/*
 * Version: 1.0
 *
 * The contents of this file are subject to the OpenVPMS License Version
 * 1.0 (the 'License'); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.openvpms.org/license/
 *
 * Software distributed under the License is distributed on an 'AS IS' basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * Copyright 2020 (C) OpenVPMS Ltd. All Rights Reserved.
 */

#
# Script to create the openvpms database, and add a single user with all privileges.
# NOTE: the user can only connect from localhost. To connect from another host, a separate grant
# statement must be manually added e.g.:
#    GRANT ALL PRIVILEGES ON `openvpms`.* TO 'auser'@'%' IDENTIFIED BY 'apassword' WITH GRANT OPTION;
#

CREATE DATABASE `${db.name}` /*!40100 DEFAULT CHARACTER SET utf8 */;

GRANT ALL PRIVILEGES ON `${db.name}`.* TO '${db.user}'@'localhost'
IDENTIFIED BY '${db.password}'
WITH GRANT OPTION;

COMMIT;
