/*
 * Version: 1.0
 *
 * The contents of this file are subject to the OpenVPMS License Version
 * 1.0 (the 'License'); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.openvpms.org/license/
 *
 * Software distributed under the License is distributed on an 'AS IS' basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * Copyright 2020 (C) OpenVPMS Ltd. All Rights Reserved.
 */

package org.openvpms.domain.internal.patient.record;

import org.openvpms.component.model.act.ActRelationship;
import org.openvpms.component.service.archetype.ArchetypeService;
import org.openvpms.domain.internal.factory.DomainService;
import org.openvpms.domain.internal.object.RelatedDomainObjects;
import org.openvpms.domain.patient.record.DocumentVersion;
import org.openvpms.domain.patient.record.DocumentVersions;

import java.util.List;

/**
 * Default implementation of {@link DocumentVersionsImpl}.
 *
 * @author Tim Anderson
 */
public class DocumentVersionsImpl extends RelatedDomainObjects<DocumentVersion, ActRelationship>
        implements DocumentVersions {

    /**
     * Constructs a {@link DocumentVersionsImpl}.
     *
     * @param relationships the relationships to adapt
     * @param domainService the domain object service
     * @param service       the archetype service
     */
    public DocumentVersionsImpl(List<ActRelationship> relationships, DomainService domainService,
                                ArchetypeService service) {
        super(relationships, DocumentVersion.class, false, domainService, service);
    }
}
