/*
 * Version: 1.0
 *
 * The contents of this file are subject to the OpenVPMS License Version
 * 1.0 (the 'License'); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.openvpms.org/license/
 *
 * Software distributed under the License is distributed on an 'AS IS' basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * Copyright 2019 (C) OpenVPMS Ltd. All Rights Reserved.
 */

package org.openvpms.web.workspace.admin.mapping;

import nextapp.echo2.app.Component;
import org.openvpms.mapping.model.Mapping;
import org.openvpms.mapping.model.Source;

/**
 * The source in a {@link Mapping}.
 *
 * @author Tim Anderson
 */
interface MappingSource {

    /**
     * Returns the source.
     *
     * @return the source. May be {@code null}
     */
    Source getObject();

    /**
     * Returns the component.
     *
     * @return the component
     */
    Component getComponent();

}
