-- MySQL dump 10.13  Distrib 5.7.24, for Win64 (x86_64)
--
-- Host: localhost    Database: openvpms_dev
-- ------------------------------------------------------
-- Server version	5.7.24-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `act_details`
--

DROP TABLE IF EXISTS `act_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `act_details` (
  `act_id` bigint(20) NOT NULL,
  `type` varchar(255) NOT NULL,
  `value` varchar(5000) NOT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`act_id`,`name`),
  KEY `FKFB795F95D8B907FA` (`act_id`),
  CONSTRAINT `FKFB795F95D8B907FA` FOREIGN KEY (`act_id`) REFERENCES `acts` (`act_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `act_details`
--

LOCK TABLES `act_details` WRITE;
/*!40000 ALTER TABLE `act_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `act_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `act_identities`
--

DROP TABLE IF EXISTS `act_identities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `act_identities` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `version` bigint(20) NOT NULL,
  `linkId` varchar(36) NOT NULL,
  `act_id` bigint(20) DEFAULT NULL,
  `arch_short_name` varchar(50) NOT NULL,
  `arch_version` varchar(20) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `active` bit(1) DEFAULT NULL,
  `identity` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `act_identity_idx` (`arch_short_name`,`identity`),
  KEY `FK2EA137A9D8B907FA` (`act_id`),
  CONSTRAINT `FK2EA137A9D8B907FA` FOREIGN KEY (`act_id`) REFERENCES `acts` (`act_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `act_identities`
--

LOCK TABLES `act_identities` WRITE;
/*!40000 ALTER TABLE `act_identities` DISABLE KEYS */;
/*!40000 ALTER TABLE `act_identities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `act_identity_details`
--

DROP TABLE IF EXISTS `act_identity_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `act_identity_details` (
  `id` bigint(20) NOT NULL,
  `type` varchar(255) NOT NULL,
  `value` varchar(5000) NOT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`,`name`),
  KEY `FKC3054BCE13C93C8B` (`id`),
  CONSTRAINT `FKC3054BCE13C93C8B` FOREIGN KEY (`id`) REFERENCES `act_identities` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `act_identity_details`
--

LOCK TABLES `act_identity_details` WRITE;
/*!40000 ALTER TABLE `act_identity_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `act_identity_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `act_relationship_details`
--

DROP TABLE IF EXISTS `act_relationship_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `act_relationship_details` (
  `act_relationship_id` bigint(20) NOT NULL,
  `type` varchar(255) NOT NULL,
  `value` varchar(5000) NOT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`act_relationship_id`,`name`),
  KEY `FKFF1068C87D8180BF` (`act_relationship_id`),
  CONSTRAINT `FKFF1068C87D8180BF` FOREIGN KEY (`act_relationship_id`) REFERENCES `act_relationships` (`act_relationship_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `act_relationship_details`
--

LOCK TABLES `act_relationship_details` WRITE;
/*!40000 ALTER TABLE `act_relationship_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `act_relationship_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `act_relationships`
--

DROP TABLE IF EXISTS `act_relationships`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `act_relationships` (
  `act_relationship_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `arch_short_name` varchar(100) NOT NULL,
  `arch_version` varchar(100) NOT NULL,
  `linkId` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `sequence` int(11) DEFAULT NULL,
  `parent_child_relationship` bit(1) DEFAULT NULL,
  `source_id` bigint(20) DEFAULT NULL,
  `target_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`act_relationship_id`),
  KEY `FK70AA344EFCECFA9B` (`target_id`),
  KEY `FK70AA344EC84DFFD1` (`source_id`),
  CONSTRAINT `FK70AA344EC84DFFD1` FOREIGN KEY (`source_id`) REFERENCES `acts` (`act_id`) ON DELETE CASCADE,
  CONSTRAINT `FK70AA344EFCECFA9B` FOREIGN KEY (`target_id`) REFERENCES `acts` (`act_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `act_relationships`
--

LOCK TABLES `act_relationships` WRITE;
/*!40000 ALTER TABLE `act_relationships` DISABLE KEYS */;
/*!40000 ALTER TABLE `act_relationships` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `action_type_descriptors`
--

DROP TABLE IF EXISTS `action_type_descriptors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `action_type_descriptors` (
  `action_type_desc_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `version` bigint(20) NOT NULL,
  `linkId` varchar(36) NOT NULL,
  `name` varchar(255) NOT NULL,
  `arch_short_name` varchar(100) NOT NULL,
  `arch_version` varchar(100) NOT NULL,
  `active` bit(1) DEFAULT NULL,
  `class_name` varchar(255) DEFAULT NULL,
  `method_name` varchar(255) DEFAULT NULL,
  `assertion_type_desc_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`action_type_desc_id`),
  KEY `FK7974D848936158C3` (`assertion_type_desc_id`),
  CONSTRAINT `FK7974D848936158C3` FOREIGN KEY (`assertion_type_desc_id`) REFERENCES `assertion_type_descriptors` (`assertion_type_desc_id`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `action_type_descriptors`
--

LOCK TABLES `action_type_descriptors` WRITE;
/*!40000 ALTER TABLE `action_type_descriptors` DISABLE KEYS */;
INSERT INTO `action_type_descriptors` VALUES (1,0,'e0daf95f-21dc-11ea-a9f8-693042a6b9d8','set','descriptor.actionType','1.0',_binary '','org.openvpms.component.business.service.archetype.assertion.StringAssertions','propercase',1),(2,0,'e0daf970-21dc-11ea-a9f8-693042a6b9d8','validate','descriptor.actionType','1.0',_binary '','org.openvpms.component.business.service.archetype.assertion.RelationshipAssertions','validate',2),(3,0,'e0daf968-21dc-11ea-a9f8-693042a6b9d8','validate','descriptor.actionType','1.0',_binary '','org.openvpms.component.business.service.archetype.assertion.DescriptorAssertions','alwaysTrue',3),(4,0,'e0daf974-21dc-11ea-a9f8-693042a6b9d8','validate','descriptor.actionType','1.0',_binary '','org.openvpms.component.business.service.archetype.assertion.EntityRelationshipAssertions','validate',4),(5,0,'e0daf957-21dc-11ea-a9f8-693042a6b9d8','validate','descriptor.actionType','1.0',_binary '','org.openvpms.component.business.service.archetype.assertion.LookupAssertions','isStringValueInList',5),(6,0,'e0daf972-21dc-11ea-a9f8-693042a6b9d8','validate','descriptor.actionType','1.0',_binary '','org.openvpms.component.business.service.archetype.assertion.RelationshipAssertions','validate',6),(7,0,'e0daf976-21dc-11ea-a9f8-693042a6b9d8','validate','descriptor.actionType','1.0',_binary '','org.openvpms.component.business.service.archetype.assertion.ExpressionAssertions','validate',7),(8,0,'e0daf954-21dc-11ea-a9f8-693042a6b9d8','validate','descriptor.actionType','1.0',_binary '','org.openvpms.component.business.service.archetype.assertion.LookupAssertions','alwaysTrue',8),(9,0,'e0daf955-21dc-11ea-a9f8-693042a6b9d8','create','descriptor.actionType','1.0',_binary '','org.openvpms.component.business.service.archetype.assertion.LookupAssertions','setDefaultValue',8),(10,0,'e0daf966-21dc-11ea-a9f8-693042a6b9d8','validate','descriptor.actionType','1.0',_binary '','org.openvpms.component.business.service.archetype.assertion.DescriptorAssertions','alwaysTrue',9),(11,0,'e0daf96a-21dc-11ea-a9f8-693042a6b9d8','validate','descriptor.actionType','1.0',_binary '','org.openvpms.component.business.service.archetype.assertion.NumericAssertions','positive',10),(12,0,'e0daf95d-21dc-11ea-a9f8-693042a6b9d8','set','descriptor.actionType','1.0',_binary '','org.openvpms.component.business.service.archetype.assertion.StringAssertions','uppercase',11),(13,0,'e0daf964-21dc-11ea-a9f8-693042a6b9d8','validate','descriptor.actionType','1.0',_binary '','org.openvpms.component.business.service.archetype.assertion.DescriptorAssertions','alwaysTrue',12),(14,0,'e0daf96c-21dc-11ea-a9f8-693042a6b9d8','validate','descriptor.actionType','1.0',_binary '','org.openvpms.component.business.service.archetype.assertion.NumericAssertions','negative',13),(15,0,'e0daf959-21dc-11ea-a9f8-693042a6b9d8','validate','descriptor.actionType','1.0',_binary '','org.openvpms.component.business.service.archetype.assertion.StringAssertions','regularExpressionMatch',14),(16,0,'e0daf962-21dc-11ea-a9f8-693042a6b9d8','create','descriptor.actionType','1.0',_binary '','org.openvpms.component.business.service.archetype.assertion.ArchetypeRangeAssertion','create',15),(17,0,'e0daf961-21dc-11ea-a9f8-693042a6b9d8','validate','descriptor.actionType','1.0',_binary '','org.openvpms.component.business.service.archetype.assertion.ArchetypeRangeAssertion','validate',15),(18,0,'e0daf96e-21dc-11ea-a9f8-693042a6b9d8','validate','descriptor.actionType','1.0',_binary '','org.openvpms.component.business.service.archetype.assertion.NumericAssertions','nonNegative',16),(19,0,'e0daf95b-21dc-11ea-a9f8-693042a6b9d8','set','descriptor.actionType','1.0',_binary '','org.openvpms.component.business.service.archetype.assertion.StringAssertions','lowercase',18);
/*!40000 ALTER TABLE `action_type_descriptors` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `acts`
--

DROP TABLE IF EXISTS `acts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `acts` (
  `act_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `version` bigint(20) NOT NULL,
  `arch_short_name` varchar(100) NOT NULL,
  `arch_version` varchar(100) NOT NULL,
  `linkId` varchar(36) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `active` bit(1) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `activity_start_time` datetime DEFAULT NULL,
  `activity_end_time` datetime DEFAULT NULL,
  `reason` varchar(255) DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL,
  `status2` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`act_id`),
  KEY `act_short_name_status_idx` (`arch_short_name`,`status`),
  KEY `act_start_time_idx` (`activity_start_time`),
  KEY `act_short_name_status2_idx` (`arch_short_name`,`status2`),
  KEY `act_end_time_idx` (`activity_end_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `acts`
--

LOCK TABLES `acts` WRITE;
/*!40000 ALTER TABLE `acts` DISABLE KEYS */;
/*!40000 ALTER TABLE `acts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `archetype_descriptors`
--

DROP TABLE IF EXISTS `archetype_descriptors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `archetype_descriptors` (
  `archetype_desc_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `version` bigint(20) NOT NULL,
  `linkId` varchar(36) NOT NULL,
  `last_modified` datetime DEFAULT NULL,
  `name` varchar(100) NOT NULL,
  `arch_short_name` varchar(100) NOT NULL,
  `arch_version` varchar(100) NOT NULL,
  `active` bit(1) DEFAULT NULL,
  `class_name` varchar(255) NOT NULL,
  `display_name` varchar(255) DEFAULT NULL,
  `is_latest` bit(1) DEFAULT NULL,
  `is_primary` bit(1) DEFAULT NULL,
  PRIMARY KEY (`archetype_desc_id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=523 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `archetype_descriptors`
--

LOCK TABLES `archetype_descriptors` WRITE;
/*!40000 ALTER TABLE `archetype_descriptors` DISABLE KEYS */;
INSERT INTO `archetype_descriptors` VALUES (1,0,'e0fadc90-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.insuranceServicePetSure.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','PetSure VetHub Insurance Service',_binary '',_binary ''),(2,0,'e10c8fdb-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.pluginDeputy.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Deputy Service',_binary '',_binary ''),(3,0,'e11171e3-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.discountGroupType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Discount Group Type',_binary '',_binary ''),(4,0,'e117173d-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.discountType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Discount Type',_binary '',_binary ''),(5,0,'e1198845-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.discountType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Discount Type',_binary '',_binary ''),(6,0,'e11e433b-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.author.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Act Author',_binary '',_binary ''),(7,0,'e1240fa1-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.deposit.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Act Deposit',_binary '',_binary ''),(8,0,'e12680a7-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.till.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Act Till',_binary '',_binary ''),(9,0,'e12b3b9d-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.user.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Act User',_binary '',_binary ''),(10,0,'e12ff698-21dc-11ea-a9f8-693042a6b9d8',NULL,'contact.email.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.party.Contact','Email Contact',_binary '',_binary '\0'),(11,0,'e1335208-21dc-11ea-a9f8-693042a6b9d8',NULL,'contact.location.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.party.Contact','Location Contact',_binary '',_binary '\0'),(12,0,'e1380d04-21dc-11ea-a9f8-693042a6b9d8',NULL,'contact.phoneNumber.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.party.Contact','Phone Contact',_binary '',_binary '\0'),(13,0,'e13cef0d-21dc-11ea-a9f8-693042a6b9d8',NULL,'contact.website.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.party.Contact','Website',_binary '',_binary '\0'),(14,0,'e142e295-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAccountBadDebt.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Customer Bad Debt',_binary '',_binary ''),(15,0,'e149243f-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAccountChargesCounter.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Counter Sale',_binary '',_binary ''),(16,0,'e14f3eda-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAccountChargesCredit.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Credit',_binary '',_binary ''),(17,0,'e153d2d7-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAccountChargesInvoice.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Invoice',_binary '',_binary ''),(18,0,'e15a3b86-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAccountClosingBalance.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Closing Balance',_binary '',_binary ''),(19,0,'e15ea86b-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAccountCounterItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Customer Counter Sale Item',_binary '',_binary '\0'),(20,0,'e1649af3-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAccountCreditAdjust.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Credit Adjustment',_binary '',_binary ''),(21,0,'e1697d0b-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAccountCreditItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Customer Credit Item',_binary '',_binary '\0'),(22,0,'e16dc2e3-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAccountDebitAdjust.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Debit Adjustment',_binary '',_binary ''),(23,0,'e1711e58-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAccountInitialBalance.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Initial Balance',_binary '',_binary ''),(24,0,'e176eade-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAccountInvoiceItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Customer Invoice Item',_binary '',_binary '\0'),(25,0,'e17d7a9c-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAccountOpeningBalance.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Opening Balance',_binary '',_binary ''),(26,0,'e18087f5-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAccountPayment.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Payment',_binary '',_binary ''),(27,0,'e1851be0-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAccountPaymentCash.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Cash',_binary '',_binary '\0'),(28,0,'e188292b-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAccountPaymentCheque.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Cheque',_binary '',_binary '\0'),(29,0,'e18b3674-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAccountPaymentCredit.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Credit Card',_binary '',_binary '\0'),(30,0,'e18df59b-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAccountPaymentDiscount.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Discount',_binary '',_binary '\0'),(31,0,'e19066a4-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAccountPaymentEFT.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','EFT',_binary '',_binary '\0'),(32,0,'e192d7ad-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAccountPaymentOther.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Other',_binary '',_binary '\0'),(33,0,'e19521b5-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAccountRefund.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Refund',_binary '',_binary ''),(34,0,'e19a02bd-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAccountRefundCash.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Cash',_binary '',_binary '\0'),(35,0,'e19d5e28-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAccountRefundCheque.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Cheque',_binary '',_binary '\0'),(36,0,'e19fa821-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAccountRefundCredit.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Credit Card',_binary '',_binary '\0'),(37,0,'e1a21928-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAccountRefundDiscount.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Discount',_binary '',_binary '\0'),(38,0,'e1a48a2f-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAccountRefundEFT.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','EFT',_binary '',_binary '\0'),(39,0,'e1a6d426-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAccountRefundOther.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Other',_binary '',_binary '\0'),(40,0,'e1a94534-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAlert.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Customer Alert',_binary '',_binary ''),(41,0,'e1aca0aa-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerCommunicationEmail.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','Email Log',_binary '',_binary ''),(42,0,'e1b15bac-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerCommunicationMail.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','Mail Log',_binary '',_binary ''),(43,0,'e1b3ccbc-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerCommunicationNote.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','Communication',_binary '',_binary ''),(44,0,'e1b887be-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerCommunicationPhone.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','Phone Log',_binary '',_binary ''),(45,0,'e1bbe330-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerCommunicationSMS.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','SMS Log',_binary '',_binary ''),(46,0,'e1be5441-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerDocumentAttachment.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','Attachment',_binary '',_binary ''),(47,0,'e1c30f3c-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerDocumentAttachmentVersion.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','Attachment Version',_binary '',_binary '\0'),(48,0,'e1c7ca39-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerDocumentForm.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','Form',_binary '',_binary ''),(49,0,'e1cd96aa-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerDocumentLetter.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','Letter',_binary '',_binary ''),(50,0,'e1d007b5-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerDocumentLetterVersion.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','Letter Version',_binary '',_binary '\0'),(51,0,'e1d251b7-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerEstimation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Estimate',_binary '',_binary ''),(52,0,'e1d733d8-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerEstimationItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Estimate Item',_binary '',_binary '\0'),(53,0,'e1dde9a7-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerOrderItemPharmacy.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Pharmacy Order Item',_binary '',_binary '\0'),(54,0,'e1e0f6f7-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerOrderPharmacy.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Pharmacy Order',_binary '',_binary ''),(55,0,'e1e40446-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerReturnInvestigation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Investigation Return',_binary '',_binary ''),(56,0,'e1e71197-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerReturnItemInvestigation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Investigation Return Item',_binary '',_binary '\0'),(57,0,'e1ebcc96-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerReturnItemPharmacy.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Pharmacy Return Item',_binary '',_binary '\0'),(58,0,'e1eed9e6-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerReturnPharmacy.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Pharmacy Return',_binary '',_binary ''),(59,0,'e1f36dd0-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.customerAccountAllocation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Customer Account Allocation Relationship',_binary '',_binary ''),(60,0,'e1f67b19-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.customerAccountCounterItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Customer Counter Sale Item Relationship',_binary '',_binary ''),(61,0,'e1f9af70-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.customerAccountCreditItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Customer Credit Item Relationship',_binary '',_binary ''),(62,0,'e1fb3617-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.customerAccountInvoiceItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Customer Invoice Item Relationship',_binary '',_binary ''),(63,0,'e1fe435f-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.customerAccountPaymentItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Customer Payment Item Relationship',_binary '',_binary ''),(64,0,'e1ffca08-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.customerAccountRefundItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Customer Refund Item Relationship',_binary '',_binary ''),(65,0,'e2040fd1-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.customerAccountReversal.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Customer Account Transaction Reversal Relationship',_binary '',_binary ''),(66,0,'e2059679-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.customerDocumentAttachmentVersion.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Customer Document Attachment Version Relationship',_binary '',_binary ''),(67,0,'e208a3c1-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.customerDocumentLetterVersion.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Customer Document Letter Version Relationship',_binary '',_binary ''),(68,0,'e20a2a6a-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.customerEstimationItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Estimate Item Relationship',_binary '',_binary ''),(69,0,'e20c9b73-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.customerOrderItemPharmacy.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Customer Order Item Relationship',_binary '',_binary ''),(70,0,'e20f0c7c-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.customerReturnItemInvestigation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Customer Return Item Relationship',_binary '',_binary ''),(71,0,'e213c775-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.customerReturnItemPharmacy.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Customer Return Item Relationship',_binary '',_binary ''),(72,0,'e216116c-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.invoiceItemAlert.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Invoice Item Alert',_binary '',_binary ''),(73,0,'e21993e5-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.invoiceItemDispensing.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Invoice Item Dispensing',_binary '',_binary ''),(74,0,'e21bddde-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.invoiceItemDocument.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Invoice Item Document',_binary '',_binary ''),(75,0,'e21e4ee7-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.invoiceItemInvestigation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Invoice Item Investigation',_binary '',_binary ''),(76,0,'e220bef0-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.invoiceItemReminder.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Invoice Item Reminder',_binary '',_binary ''),(77,0,'e22308e8-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.patientCustomerNote.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Patient Customer Note Relationship',_binary '',_binary ''),(78,0,'e22579f0-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.patientDocument.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Patient Document Relationship',_binary '',_binary ''),(79,0,'e228d559-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.customerDiscount.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Customer Discount',_binary '',_binary ''),(80,0,'e22b4661-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.customerLocation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Customer Location',_binary '',_binary ''),(81,0,'e22d905b-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.customerCommunicationReason.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Customer Communication Reason',_binary '',_binary ''),(82,0,'e2300161-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.customer.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Act Customer',_binary '',_binary ''),(83,0,'e234bc57-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.customerAccountBalance.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Act Customer Account Balance',_binary '',_binary ''),(84,0,'e2372d5d-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.location.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Act Location',_binary '',_binary ''),(85,0,'e239eca1-21dc-11ea-a9f8-693042a6b9d8',NULL,'party.customerperson.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.party.Party','Customer',_binary '',_binary ''),(86,0,'e241b4dd-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.documentLogo.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','Logo',_binary '',_binary ''),(87,0,'e244c227-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.documentTemplate.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','Document Template',_binary '',_binary ''),(88,0,'e2478152-21dc-11ea-a9f8-693042a6b9d8',NULL,'document.image.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.document.Document','Image',_binary '',_binary ''),(89,0,'e249561b-21dc-11ea-a9f8-693042a6b9d8',NULL,'document.other.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.document.Document','Generic Document',_binary '',_binary ''),(90,0,'e24adcc4-21dc-11ea-a9f8-693042a6b9d8',NULL,'document.temporary.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.document.Document','Temporary Document',_binary '',_binary ''),(91,0,'e24e111d-21dc-11ea-a9f8-693042a6b9d8',NULL,'document.text.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.document.Document','Text Document',_binary '',_binary ''),(92,0,'e24f97d7-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.documentTemplate.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Document Template',_binary '',_binary ''),(93,0,'e258bfa4-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.documentTemplateEmailSystem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','System Email Template',_binary '',_binary ''),(94,0,'e25bccf1-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.documentTemplateEmailUser.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Email Template',_binary '',_binary ''),(95,0,'e25f0149-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.documentTemplateSMSAppointment.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Appointment Reminder SMS Template',_binary '',_binary ''),(96,0,'e261c071-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.documentTemplateSMSReminder.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Patient Reminder SMS Template',_binary '',_binary ''),(97,0,'e2640a81-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.letterhead.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Letterhead & Document Control',_binary '',_binary ''),(98,0,'e2667a89-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.documentTemplateEmail.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Email Template',_binary '',_binary ''),(99,0,'e268c481-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.documentTemplateSMS.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','SMS Template',_binary '',_binary ''),(100,0,'e26b3589-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.letterheadContacts.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Letterhead Contacts Source',_binary '',_binary ''),(101,0,'e26da698-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.documentTemplatePrinter.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','Document Template Printer',_binary '',_binary ''),(102,0,'e27101fe-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.document.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Entity Document',_binary '',_binary ''),(103,0,'e2734bf4-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.documentTemplate.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Act Document Template',_binary '',_binary ''),(104,0,'e275bcfa-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.logo.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Entity Logo',_binary '',_binary ''),(105,0,'e2782e08-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.bankDeposit.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Bank Deposit',_binary '',_binary ''),(106,0,'e27ce907-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.tillBalance.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Till Balance',_binary '',_binary ''),(107,0,'e281a400-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.tillBalanceAdjustment.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Adjustment',_binary '',_binary ''),(108,0,'e2841508-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.bankDepositItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Bank Deposit Item Relationship',_binary '',_binary ''),(109,0,'e2865f00-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.tillBalanceItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Till Balance Item Relationship',_binary '',_binary ''),(110,0,'e288d010-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.HL7Message.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','HL7 Message',_binary '',_binary ''),(111,0,'e28d8b08-21dc-11ea-a9f8-693042a6b9d8',NULL,'document.HL7.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.document.Document','HL7 Document',_binary '',_binary ''),(112,0,'e28ffc1c-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.HL7Mapping.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','HL7 Mapping',_binary '',_binary ''),(113,0,'e2926d2f-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.HL7MappingCubex.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Cubex HL7 Mapping',_binary '',_binary ''),(114,0,'e2972832-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.HL7MappingIDEXX.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','IDEXX HL7 Mapping',_binary '',_binary ''),(115,0,'e299722e-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.HL7ReceiverMLLP.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','HL7 MLLP Receiver',_binary '',_binary ''),(116,0,'e29be33e-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.HL7SenderMLLP.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','HL7 MLLP Sender',_binary '',_binary ''),(117,0,'e2a09e38-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.HL7ServiceLaboratory.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','HL7 Laboratory',_binary '',_binary ''),(118,0,'e2a30f40-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.HL7ServiceLaboratoryGroup.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.party.Party','HL7 Laboratory Group',_binary '',_binary ''),(119,0,'e2a55838-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.HL7ServicePatientEvent.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Patient Event Service',_binary '',_binary ''),(120,0,'e2a7c942-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.HL7ServicePharmacy.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Pharmacy',_binary '',_binary ''),(121,0,'e2aa3a4a-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.HL7ServicePharmacyGroup.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.party.Party','Pharmacy Group',_binary '',_binary ''),(122,0,'e2ac8440-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.HL7LaboratoryGroupLaboratory.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Laboratory',_binary '',_binary ''),(123,0,'e2aef548-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.HL7Mapping.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','HL7 Connection Mapping',_binary '',_binary ''),(124,0,'e2b16650-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.HL7PharmacyGroupPharmacy.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Pharmacy',_binary '',_binary ''),(125,0,'e2b3b048-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.HL7ServiceLocation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','HL7 Connection Location',_binary '',_binary ''),(126,0,'e2b62150-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.HL7ServiceReceiver.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','HL7 Service Receiver',_binary '',_binary ''),(127,0,'e2b86b48-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.HL7ServiceSender.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','HL7 Service Sender',_binary '',_binary ''),(128,0,'e2badc50-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.HL7ServiceUser.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Pharmacy User',_binary '',_binary ''),(129,0,'e2bd4d56-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.HL7Connector.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','HL7 Message Connector',_binary '',_binary ''),(130,0,'e2bf974b-21dc-11ea-a9f8-693042a6b9d8',NULL,'actIdentity.smartflowsheet.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActIdentity','Smart Flow Sheet ID',_binary '',_binary '\0'),(131,0,'e2c20850-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityIdentity.alias.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityIdentity','Alias',_binary '',_binary '\0'),(132,0,'e2c47956-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityIdentity.barcode.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityIdentity','Bar Code',_binary '',_binary '\0'),(133,0,'e2c6c34c-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityIdentity.code.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityIdentity','Code',_binary '',_binary '\0'),(134,0,'e2c93455-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityIdentity.microchip.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityIdentity','Microchip',_binary '',_binary '\0'),(135,0,'e2cb7e4b-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityIdentity.petTag.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityIdentity','Pet Tag',_binary '',_binary '\0'),(136,0,'e2cdef50-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityIdentity.rabiesTag.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityIdentity','Rabies Tag',_binary '',_binary '\0'),(137,0,'e2d0606f-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientInsuranceClaim.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Insurance Claim',_binary '',_binary ''),(138,0,'e2d51b6e-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientInsuranceClaimAttachment.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','Attachment',_binary '',_binary ''),(139,0,'e2d78c80-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientInsuranceClaimItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Condition',_binary '',_binary '\0'),(140,0,'e2d9d67c-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientInsurancePolicy.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Insurance Policy',_binary '',_binary ''),(141,0,'e2de916f-21dc-11ea-a9f8-693042a6b9d8',NULL,'actIdentity.insuranceClaim.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActIdentity','Claim Identifier',_binary '',_binary ''),(142,0,'e2de9172-21dc-11ea-a9f8-693042a6b9d8',NULL,'actIdentity.insurancePolicy.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActIdentity','Policy Identity',_binary '',_binary ''),(143,0,'e2e10279-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.insuranceClaimAttachment.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Insurance Claim Attachment',_binary '',_binary ''),(144,0,'e2e37381-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.insuranceClaimDocument.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Insurance Claim Document',_binary '',_binary ''),(145,0,'e2e5bd78-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.insuranceClaimInvoiceItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Insurance Claim Invoice Item Relationship',_binary '',_binary ''),(146,0,'e2e82e7f-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.insuranceClaimItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Insurance Claim Item Relationship',_binary '',_binary ''),(147,0,'e2ea9f86-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.insuranceClaimPolicy.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Insurance Claim Policy Relationship',_binary '',_binary ''),(148,0,'e2ef5a7c-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.insuranceService.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Insurance Service',_binary '',_binary ''),(149,0,'e2f1a472-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.insurerDocumentTemplate.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Insurer Document Template',_binary '',_binary ''),(150,0,'e2f41476-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.insurer.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Insurer',_binary '',_binary ''),(151,0,'e2f41484-21dc-11ea-a9f8-693042a6b9d8',NULL,'party.supplierInsurer.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.party.Party','Insurer',_binary '',_binary ''),(152,0,'e2f8cf8e-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.jobAppointmentReminder.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Appointment Reminder Sender',_binary '',_binary ''),(153,0,'e2fd8a95-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.jobDocumentLoader.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Document Loader',_binary '',_binary ''),(154,0,'e2fffba2-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.jobESCIInboxReader.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','ESCI Inbox Reader',_binary '',_binary ''),(155,0,'e3026cb4-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.jobMedicalRecordLocker.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Medical Record Locker',_binary '',_binary ''),(156,0,'e30727b2-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.jobPatientReminderQueue.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Patient Reminder Queue',_binary '',_binary ''),(157,0,'e30998c0-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.jobPatientReminderSender.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Patient Reminder Sender',_binary '',_binary ''),(158,0,'e30be2c2-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.jobPharmacyOrderDiscontinuation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Pharmacy Order Discontinuation Job',_binary '',_binary ''),(159,0,'e3109db9-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.jobUser.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Job User',_binary '',_binary ''),(160,0,'e3109dc1-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.jobUserGroup.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Job User Group',_binary '',_binary ''),(161,0,'e3130f2c-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.jobScheduledReport.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Scheduled Report',_binary '',_binary ''),(162,0,'e31cab22-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.jobScheduledReportLocation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Scheduled Report Job Location',_binary '',_binary ''),(163,0,'e31cab28-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.jobScheduledReportTemplate.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Scheduled Report Job Template',_binary '',_binary ''),(164,0,'e31ef52e-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.laboratoryOrder.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Laboratory Order',_binary '',_binary ''),(165,0,'e323b023-21dc-11ea-a9f8-693042a6b9d8',NULL,'actIdentity.patientInvestigation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActIdentity','Patient Investigation ID',_binary '',_binary '\0'),(166,0,'e323b029-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.patientInvestigationOrder.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Investigation Order',_binary '',_binary ''),(167,0,'e3262134-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.investigationType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Investigation Type',_binary '',_binary ''),(168,0,'e32adc2c-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.laboratoryDevice.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Laboratory Device',_binary '',_binary ''),(169,0,'e32d4d39-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.laboratoryTest.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Laboratory Test',_binary '',_binary ''),(170,0,'e32fbe42-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.laboratoryTestHL7.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','HL7 Laboratory Test',_binary '',_binary ''),(171,0,'e3320837-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityIdentity.laboratoryTest.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityIdentity','Laboratory Test Code',_binary '',_binary '\0'),(172,0,'e334793d-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.investigationTypeDevice.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Investigation Type Device',_binary '',_binary ''),(173,0,'e336c334-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.investigationTypeLaboratory.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Laboratory',_binary '',_binary ''),(174,0,'e339343a-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.laboratoryDeviceLaboratory.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Laboratory Device',_binary '',_binary ''),(175,0,'e33ba540-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.laboratoryDeviceLocation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Laboratory Device Location',_binary '',_binary ''),(176,0,'e33ba547-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.laboratoryLocation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Laboratory Service Location',_binary '',_binary ''),(177,0,'e33def3e-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.laboratoryTestInvestigationType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Laboratory Test Investigation Type',_binary '',_binary ''),(178,0,'e3406043-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.laboratory.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Laboratory',_binary '',_binary ''),(179,0,'e342aa37-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.laboratoryDevice.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Laboratory Device',_binary '',_binary ''),(180,0,'e3451b3c-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.laboratoryTest.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Laboratory Test',_binary '',_binary ''),(181,0,'e3478c46-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.addressformat.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Address Format',_binary '',_binary ''),(182,0,'e349d63e-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.bank.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Bank',_binary '',_binary ''),(183,0,'e349d648-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.breed.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Breed',_binary '',_binary ''),(184,0,'e34c4750-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.colour.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Colour',_binary '',_binary ''),(185,0,'e34eb857-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.contactPurpose.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Contact Purpose',_binary '',_binary ''),(186,0,'e3510251-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.country.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Country',_binary '',_binary ''),(187,0,'e353735c-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.creditcard.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Credit Card',_binary '',_binary ''),(188,0,'e355bd58-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.currency.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Currency',_binary '',_binary ''),(189,0,'e35a9f75-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.customerAccountType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Customer Account Type',_binary '',_binary ''),(190,0,'e361ca71-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.customerAlertType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Customer Alert Type',_binary '',_binary ''),(191,0,'e3641469-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.customerInsurance.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Customer Insurance',_binary '',_binary ''),(192,0,'e3668571-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.customerReferral.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Customer Referral',_binary '',_binary ''),(193,0,'e3668578-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.customerType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Customer Type',_binary '',_binary ''),(194,0,'e368cf70-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.customerVet.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Customer Vet',_binary '',_binary ''),(195,0,'e36b4078-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.customPaymentType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Custom Payment Type',_binary '',_binary ''),(196,0,'e36db181-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.demographicUpdate.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Demographic Update',_binary '',_binary ''),(197,0,'e36ffb79-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.diagnosis.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Diagnosis',_binary '',_binary ''),(198,0,'e3726c82-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.diagnosisVeNom.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Diagnosis (VeNom)',_binary '',_binary ''),(199,0,'e374dd90-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.durationformat.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Duration Format',_binary '',_binary '\0'),(200,0,'e377278a-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.durationformats.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Duration Formats',_binary '',_binary ''),(201,0,'e3799893-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.fileNameFormat.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','File Name Format',_binary '',_binary ''),(202,0,'e37be28b-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.macro.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Macro',_binary '',_binary ''),(203,0,'e37be295-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.macroReport.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Report Macro',_binary '',_binary ''),(204,0,'e37e539d-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.patientAlertType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Patient Alert Class',_binary '',_binary ''),(205,0,'e380c4a6-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.personTitle.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Person Title',_binary '',_binary ''),(206,0,'e3830e9d-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.practiceType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Practice Type',_binary '',_binary ''),(207,0,'e3857fa5-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.presentingComplaint.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Presenting Complaint',_binary '',_binary ''),(208,0,'e387f0ae-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.presentingComplaintVeNom.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Presenting Complaint (VeNom)',_binary '',_binary ''),(209,0,'e38a3aa6-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.pricingGroup.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Pricing Group',_binary '',_binary ''),(210,0,'e38ef59f-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.productDrugSchedule.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Product Drug Schedule',_binary '',_binary ''),(211,0,'e39166a6-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.productGroup.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Product Group',_binary '',_binary ''),(212,0,'e393d7ae-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.productIncomeType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Product Income Type',_binary '',_binary ''),(213,0,'e39621a5-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.reminderGroup.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Reminder Group',_binary '',_binary ''),(214,0,'e39621ad-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.reportType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Report Type',_binary '',_binary ''),(215,0,'e39892ba-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.species.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Species',_binary '',_binary ''),(216,0,'e39adcb5-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.speciesIDEXX.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Species (IDEXX)',_binary '',_binary ''),(217,0,'e39d4dc0-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.state.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','State',_binary '',_binary ''),(218,0,'e39fbdcb-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.suburb.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Suburb',_binary '',_binary ''),(219,0,'e3a207c5-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.supplierAccountType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Supplier Account Type',_binary '',_binary ''),(220,0,'e3a478cc-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.supplierType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Supplier Type',_binary '',_binary ''),(221,0,'e3a6e9d8-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.taxType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Tax Type',_binary '',_binary ''),(222,0,'e3a933d3-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.uom.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Units of Measure',_binary '',_binary ''),(223,0,'e3aba4db-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.uomGroup.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Units of Measure Group',_binary '',_binary ''),(224,0,'e3adeed4-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.userNameFormat.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','User Name Format',_binary '',_binary ''),(225,0,'e3b05fdc-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.userType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','User Type',_binary '',_binary ''),(226,0,'e3b2d0e3-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.veterinarySpeciality.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Veterinary Speciality',_binary '',_binary ''),(227,0,'e3b51ad9-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookupRelationship.breedMapping.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.LookupRelationship','Breed Mapping',_binary '',_binary ''),(228,0,'e3b78bdf-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookupRelationship.countryState.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.LookupRelationship','Country State',_binary '',_binary ''),(229,0,'e3b78be5-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookupRelationship.customerAccountAlert.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.LookupRelationship','Customer Account Alert',_binary '',_binary ''),(230,0,'e3b9fceb-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookupRelationship.durationformats.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.LookupRelationship','Duration Formats',_binary '',_binary ''),(231,0,'e3bc46e1-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookupRelationship.speciesBreed.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.LookupRelationship','Species Breed',_binary '',_binary ''),(232,0,'e3beb7e7-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookupRelationship.speciesMappingIDEXX.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.LookupRelationship','IDEXX Species Mapping',_binary '',_binary ''),(233,0,'e3c101db-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookupRelationship.stateSuburb.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.LookupRelationship','State Suburb',_binary '',_binary ''),(234,0,'e3c372e1-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookupRelationship.uomGroup.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.LookupRelationship','UOM Group',_binary '',_binary ''),(235,0,'e3c5e3e8-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.entityMappings.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Entity Mappings',_binary '',_binary ''),(236,0,'e3c5e3ee-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.entityMapping.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Entity Mapping',_binary '',_binary ''),(237,0,'e3c82de4-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.pluginMapping.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Plugin Entity Mapping',_binary '',_binary ''),(238,0,'e3ca9eed-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.lookupMappings.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Lookup Mappings',_binary '',_binary ''),(239,0,'e3cd0ff3-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookupLink.lookupMapping.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.LookupLink','Lookup Mapping',_binary '',_binary ''),(240,0,'e3cf59ee-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.subscription.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','OpenVPMS Subscription',_binary '',_binary ''),(241,0,'e3d1cafd-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.mailServer.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Mail Server',_binary '',_binary ''),(242,0,'e3d414f2-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.printer.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Printer',_binary '',_binary ''),(243,0,'e3d685fb-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.followupWorkList.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Follow-up Work List',_binary '',_binary ''),(244,0,'e3d8f701-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.locationGapBenefitTill.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Practice Location Gap Benefit Till',_binary '',_binary ''),(245,0,'e3db40f9-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.locationLetterhead.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Practice Letterhead',_binary '',_binary ''),(246,0,'e3ddb1ff-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.locationPrinter.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Practice Location Printer',_binary '',_binary ''),(247,0,'e3e02307-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.organisationMailServer.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Organisation Mail Server',_binary '',_binary ''),(248,0,'e3e26cff-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.organisationSMSAppointment.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Organisation SMS Appointment Reminder',_binary '',_binary ''),(249,0,'e3e4de05-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.practiceReminderConfiguration.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Practice Reminder Configuration',_binary '',_binary ''),(250,0,'e3e727fd-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.practiceServiceUser.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Pharmacy User',_binary '',_binary ''),(251,0,'e3e99907-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.locationDeposit.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','Location Deposit Account',_binary '',_binary ''),(252,0,'e3ec0910-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.locationOTC.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','Location OTC',_binary '',_binary ''),(253,0,'e3ee5309-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.locationStockLocation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','Stock Location',_binary '',_binary ''),(254,0,'e3f0c413-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.locationTill.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','Location Till',_binary '',_binary ''),(255,0,'e3f30e0d-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.locationView.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','Location Schedule View',_binary '',_binary ''),(256,0,'e3f57f17-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.locationWorkListView.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','Location Work List View',_binary '',_binary ''),(257,0,'e3f7f021-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.practiceLocation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','Practice Location',_binary '',_binary ''),(258,0,'e3fa3a1a-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.stockLocationDefaultAuthor.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','Stock Location Default Author',_binary '',_binary ''),(259,0,'e3fcab20-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.stockLocation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Stock Location',_binary '',_binary ''),(260,0,'e3ff1c26-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.subscription.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Subscription',_binary '',_binary ''),(261,0,'e4016625-21dc-11ea-a9f8-693042a6b9d8',NULL,'party.organisationDeposit.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.party.Party','Deposit Account',_binary '',_binary ''),(262,0,'e403d74e-21dc-11ea-a9f8-693042a6b9d8',NULL,'party.organisationLocation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.party.Party','Practice Location',_binary '',_binary ''),(263,0,'e408924f-21dc-11ea-a9f8-693042a6b9d8',NULL,'party.organisationOTC.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.party.Party','OTC',_binary '',_binary ''),(264,0,'e40d4d7f-21dc-11ea-a9f8-693042a6b9d8',NULL,'party.organisationPractice.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.party.Party','Practice',_binary '',_binary ''),(265,0,'e414797a-21dc-11ea-a9f8-693042a6b9d8',NULL,'party.organisationStockLocation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.party.Party','Stock Location',_binary '',_binary ''),(266,0,'e416ea88-21dc-11ea-a9f8-693042a6b9d8',NULL,'party.organisationTill.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.party.Party','Till',_binary '',_binary ''),(267,0,'e4193488-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientAlert.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Patient Alert',_binary '',_binary ''),(268,0,'e41ba496-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientClinicalAddendum.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Addendum',_binary '',_binary ''),(269,0,'e4205f98-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientClinicalEvent.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Visit',_binary '',_binary ''),(270,0,'e422d0a8-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientClinicalNote.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Note',_binary '',_binary ''),(271,0,'e42541bb-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientClinicalProblem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Problem',_binary '',_binary ''),(272,0,'e4278bb6-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientCustomerNote.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Customer Note',_binary '',_binary ''),(273,0,'e429fcc8-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientDocumentAttachment.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','Attachment',_binary '',_binary ''),(274,0,'e42c46c6-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientDocumentAttachmentVersion.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','Attachment Version',_binary '',_binary '\0'),(275,0,'e43128d8-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientDocumentForm.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','Form',_binary '',_binary ''),(276,0,'e43372da-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientDocumentImage.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','Image',_binary '',_binary ''),(277,0,'e435e3e8-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientDocumentImageVersion.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','Image Version',_binary '',_binary '\0'),(278,0,'e4382ded-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientDocumentLetter.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','Letter',_binary '',_binary ''),(279,0,'e43d0ffd-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientDocumentLetterVersion.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','Letter Version',_binary '',_binary '\0'),(280,0,'e43f5a11-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientInvestigation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','Investigation',_binary '',_binary ''),(281,0,'e4443c25-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientInvestigationResultItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Investigation Result Item',_binary '',_binary ''),(282,0,'e4468524-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientInvestigationResults.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Investigation Results',_binary '',_binary ''),(283,0,'e448f633-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientInvestigationVersion.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','Investigation Version',_binary '',_binary '\0'),(284,0,'e44db138-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientMedication.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Medication',_binary '',_binary ''),(285,0,'e4526c37-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientPrescription.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Prescription',_binary '',_binary ''),(286,0,'e4555276-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientWeight.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Weight',_binary '',_binary ''),(287,0,'e4579c6e-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.patientClinicalEventChargeItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Patient Clinical Event Charge Item Relationship',_binary '',_binary ''),(288,0,'e45a0d76-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.patientClinicalEventItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Patient Clinical Event Item Relationship',_binary '',_binary ''),(289,0,'e45c7e7e-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.patientClinicalItemAddendum.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Patient Clinical Addendum Relationship',_binary '',_binary ''),(290,0,'e45ec876-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.patientClinicalProblemItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Patient Clinical Problem Item Relationship',_binary '',_binary ''),(291,0,'e461397e-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.patientDocumentAttachmentVersion.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Patient Document Attachment Version Relationship',_binary '',_binary ''),(292,0,'e463aa86-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.patientDocumentImageVersion.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Patient Document Image Version Relationship',_binary '',_binary ''),(293,0,'e465f47e-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.patientDocumentLetterVersion.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Patient Document Letter Version Relationship',_binary '',_binary ''),(294,0,'e4686586-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.patientInvestigationResultItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Patient Investigation Result Item Relationship',_binary '',_binary ''),(295,0,'e46aaf7e-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.patientInvestigationResults.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Patient Investigation Results Relationship',_binary '',_binary ''),(296,0,'e46d2086-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.patientInvestigationVersion.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Patient Investigation Version Relationship',_binary '',_binary ''),(297,0,'e46f918e-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.patientPrescriptionMedication.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Patient Prescription Medication',_binary '',_binary ''),(298,0,'e471db83-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.customPatientExample.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Example Custom Fields',_binary '',_binary ''),(299,0,'e4744c92-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.patientAlertType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Patient Alert Type',_binary '',_binary ''),(300,0,'e476bd9b-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.patientDiscount.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Patient Discount',_binary '',_binary ''),(301,0,'e4790793-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.customPatientFields.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','Custom Patient Fields',_binary '',_binary ''),(302,0,'e47b789c-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.investigationTypeSupplier.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','Investigation Type Supplier',_binary '',_binary ''),(303,0,'e47dc295-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.investigationTypeTemplate.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','Investigation Type Template',_binary '',_binary ''),(304,0,'e480339f-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.patientLocation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','Patient Location',_binary '',_binary ''),(305,0,'e482a4a9-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.patientOwner.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','Patient Owner',_binary '',_binary ''),(306,0,'e484eea4-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.referredFrom.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','Referred From',_binary '',_binary ''),(307,0,'e4875eaf-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.referredTo.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','Referred To',_binary '',_binary ''),(308,0,'e48c19a5-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.clinician.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Act Clinician',_binary '',_binary ''),(309,0,'e48e8aab-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.investigationType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Investigation Type',_binary '',_binary ''),(310,0,'e490d4a1-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.patient.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Patient',_binary '',_binary ''),(311,0,'e49345a5-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.patientAlertType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Patient Alert Type',_binary '',_binary ''),(312,0,'e495b6ab-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.reminderType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Reminder Type',_binary '',_binary ''),(313,0,'e49800b9-21dc-11ea-a9f8-693042a6b9d8',NULL,'party.patientpet.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.party.Party','Patient (Pet)',_binary '',_binary ''),(314,0,'e49cbbae-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.pluginConfiguration.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Plugin Configuration',_binary '',_binary ''),(315,0,'e49f2cb6-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.preferenceGroupCharge.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Charges',_binary '',_binary ''),(316,0,'e4a19dc2-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.preferenceGroupGeneral.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','General',_binary '',_binary ''),(317,0,'e4a3e7bf-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.preferenceGroupHistory.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Patient History',_binary '',_binary ''),(318,0,'e4a658cf-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.preferenceGroupScheduling.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Scheduling',_binary '',_binary ''),(319,0,'e4a8c9d7-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.preferenceGroupSummary.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Summary',_binary '',_binary ''),(320,0,'e4ab13d3-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.preferenceGroupWorkList.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Work Lists',_binary '',_binary ''),(321,0,'e4ad84da-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.preferences.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Preferences',_binary '',_binary ''),(322,0,'e4ad84e3-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.preferenceGroupCharge.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Charge Preferences',_binary '',_binary ''),(323,0,'e4b23fdc-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.preferenceGroupGeneral.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','General Preferences',_binary '',_binary ''),(324,0,'e4b23fe5-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.preferenceGroupHistory.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Patient History Preferences',_binary '',_binary ''),(325,0,'e4b4b0ee-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.preferenceGroupScheduling.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Scheduling Preferences',_binary '',_binary ''),(326,0,'e4b6fae7-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.preferenceGroupSummary.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Summary Preferences',_binary '',_binary ''),(327,0,'e4b96bf0-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.preferenceGroupWorkList.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Work List Preferences',_binary '',_binary ''),(328,0,'e4bbdcf8-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.preferencesUser.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Preferences User',_binary '',_binary ''),(329,0,'e4be26f0-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.productBatch.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Product Batch',_binary '',_binary ''),(330,0,'e4c09802-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.productDose.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Dose',_binary '',_binary ''),(331,0,'e4c2e1fe-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.productType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Product Type',_binary '',_binary ''),(332,0,'e4c55308-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.batchLocation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Batch Stock Location',_binary '',_binary ''),(333,0,'e4c7c310-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.batchManufacturer.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Batch Manufacturer',_binary '',_binary ''),(334,0,'e4ca0d09-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.batchProduct.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Batch Manufacturer',_binary '',_binary ''),(335,0,'e4cc7e13-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.locationProductType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Service Ratio',_binary '',_binary ''),(336,0,'e4ceef1b-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.productAlert.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Product Alert Type',_binary '',_binary ''),(337,0,'e4d13914-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.productDiscount.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Product Discount',_binary '',_binary ''),(338,0,'e4d3aa1c-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.productDocument.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Product Document',_binary '',_binary ''),(339,0,'e4d5f415-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.productDose.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Product Dose',_binary '',_binary ''),(340,0,'e4d5f41e-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.productEquivalent.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Product Equivalent',_binary '',_binary ''),(341,0,'e4d86535-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.productIncludes.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Product Includes',_binary '',_binary ''),(342,0,'e4dd202e-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.productLaboratoryTest.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Product Laboratory Test',_binary '',_binary ''),(343,0,'e4df9137-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.productLink.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Product Link',_binary '',_binary ''),(344,0,'e4e1db30-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.productLocation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Product Location',_binary '',_binary ''),(345,0,'e4e44c38-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.productPharmacy.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Product Pharmacy',_binary '',_binary ''),(346,0,'e4e6bd44-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.productReminder.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Product Reminder',_binary '',_binary ''),(347,0,'e4e90745-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.productStockLocation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Product Stock Location',_binary '',_binary ''),(348,0,'e4ede961-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.productSupplier.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Product Supplier',_binary '',_binary ''),(349,0,'e4f0335a-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.productType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Product Type',_binary '',_binary ''),(350,0,'e4f2a462-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.productTypeDiscount.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Product Type Discount',_binary '',_binary ''),(351,0,'e4f4ee58-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.medication.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Medication',_binary '',_binary ''),(352,0,'e4f75f5e-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.product.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Product',_binary '',_binary ''),(353,0,'e4f9d064-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.productBatch.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Product Batch',_binary '',_binary ''),(354,0,'e4fc1a5a-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.productTemplate.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Template',_binary '',_binary ''),(355,0,'e4fc1a60-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.stock.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Stock',_binary '',_binary ''),(356,0,'e4fe8b97-21dc-11ea-a9f8-693042a6b9d8',NULL,'product.medication.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.product.Product','Medication',_binary '',_binary ''),(357,0,'e505b6af-21dc-11ea-a9f8-693042a6b9d8',NULL,'product.merchandise.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.product.Product','Merchandise',_binary '',_binary ''),(358,0,'e50a71ae-21dc-11ea-a9f8-693042a6b9d8',NULL,'product.priceTemplate.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.product.Product','Product Price Template',_binary '',_binary ''),(359,0,'e50ce2d1-21dc-11ea-a9f8-693042a6b9d8',NULL,'product.service.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.product.Product','Service',_binary '',_binary ''),(360,0,'e5119dd9-21dc-11ea-a9f8-693042a6b9d8',NULL,'product.template.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.product.Product','Template',_binary '',_binary ''),(361,0,'e51658d7-21dc-11ea-a9f8-693042a6b9d8',NULL,'productPrice.fixedPrice.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.product.ProductPrice','Product Fixed Price',_binary '',_binary ''),(362,0,'e518c9e7-21dc-11ea-a9f8-693042a6b9d8',NULL,'productPrice.unitPrice.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.product.ProductPrice','Product Unit Price',_binary '',_binary ''),(363,0,'e51b13ea-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientReminder.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Reminder',_binary '',_binary ''),(364,0,'e51d84f6-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientReminderItemEmail.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Patient Email Reminder',_binary '',_binary ''),(365,0,'e51ff602-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientReminderItemExport.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Patient Export Reminder',_binary '',_binary ''),(366,0,'e5223ffe-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientReminderItemList.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Patient List Reminder',_binary '',_binary ''),(367,0,'e524b10a-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientReminderItemPrint.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Patient Print Reminder',_binary '',_binary ''),(368,0,'e5272216-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.patientReminderItemSMS.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Patient SMS Reminder',_binary '',_binary ''),(369,0,'e5296b0c-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.patientReminderCommunication.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Patient Reminder Communication Relationship',_binary '',_binary ''),(370,0,'e52bdc13-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.patientReminderItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Patient Reminder Item Relationship',_binary '',_binary ''),(371,0,'e52e2635-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.reminderConfigurationType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Reminder Configuration',_binary '',_binary ''),(372,0,'e537c330-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.reminderCount.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Reminder Count',_binary '',_binary ''),(373,0,'e53a0d2d-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.reminderRule.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Reminder Rule',_binary '',_binary ''),(374,0,'e53c7e43-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.reminderType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Reminder Type',_binary '',_binary ''),(375,0,'e53eef49-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.reminderConfigurationLocation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Reminder Configuration Location',_binary '',_binary ''),(376,0,'e541393f-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.reminderConfigurationTemplateCustomer.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Reminder Configuration Grouped Reminders Template by Customer ',_binary '',_binary ''),(377,0,'e543aa45-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.reminderConfigurationTemplatePatient.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Reminder Configuration Grouped Reminders Template by Patient',_binary '',_binary ''),(378,0,'e543aa4c-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.reminderCountRule.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Reminder Count Rule',_binary '',_binary ''),(379,0,'e5461b52-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.reminderCountTemplate.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Reminder Count Template',_binary '',_binary ''),(380,0,'e5486549-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.reminderTypeCount.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Reminder Type Count',_binary '',_binary ''),(381,0,'e54ad657-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.smartflowConfigurationType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Smart Flow Sheet Configuration',_binary '',_binary ''),(382,0,'e54d204d-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.smartflowConfiguration.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Smart Flow Sheet Configuration',_binary '',_binary ''),(383,0,'e54d2059-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.stockAdjust.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Stock Adjustment',_binary '',_binary ''),(384,0,'e54f9161-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.stockAdjustItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Stock Adjustment Item',_binary '',_binary '\0'),(385,0,'e552026e-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.stockTransfer.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Stock Transfer',_binary '',_binary ''),(386,0,'e5544c67-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.stockTransferItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Stock Transfer Item',_binary '',_binary '\0'),(387,0,'e556bd70-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.stockAdjustItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Stock Adjustment Item Relationship',_binary '',_binary ''),(388,0,'e5592e79-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.stockTransferItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Stock Transfer Item Relationship',_binary '',_binary ''),(389,0,'e55b786f-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.stockTransferLocation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Stock Transfer Location',_binary '',_binary ''),(390,0,'e55de97d-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.supplierAccountChargesCredit.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Credit',_binary '',_binary ''),(391,0,'e560337b-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.supplierAccountChargesInvoice.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Invoice',_binary '',_binary ''),(392,0,'e562a387-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.supplierAccountCreditItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Supplier Credit Item',_binary '',_binary '\0'),(393,0,'e5651493-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.supplierAccountInvoiceItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Supplier Invoice Item',_binary '',_binary '\0'),(394,0,'e56514a1-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.supplierAccountPayment.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Payment',_binary '',_binary ''),(395,0,'e569cf9b-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.supplierAccountPaymentCash.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Cash',_binary '',_binary '\0'),(396,0,'e569cfa6-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.supplierAccountPaymentCheque.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Cheque',_binary '',_binary '\0'),(397,0,'e56c199f-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.supplierAccountPaymentCredit.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Credit Card',_binary '',_binary '\0'),(398,0,'e56e8aa6-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.supplierAccountPaymentEFT.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','EFT',_binary '',_binary '\0'),(399,0,'e570fbb4-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.supplierAccountRefund.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Refund',_binary '',_binary ''),(400,0,'e57345ac-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.supplierAccountRefundCash.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Cash',_binary '',_binary '\0'),(401,0,'e575b6b7-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.supplierAccountRefundCheque.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Cheque',_binary '',_binary '\0'),(402,0,'e57827c0-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.supplierAccountRefundCredit.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Credit Card',_binary '',_binary '\0'),(403,0,'e57a71b7-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.supplierAccountRefundEFT.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','EFT',_binary '',_binary '\0'),(404,0,'e57a71d0-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.supplierDelivery.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Delivery',_binary '',_binary ''),(405,0,'e57f2cde-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.supplierDeliveryItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Delivery Item',_binary '',_binary '\0'),(406,0,'e5819def-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.supplierDocumentAttachment.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','Attachment',_binary '',_binary ''),(407,0,'e58658ea-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.supplierDocumentAttachmentVersion.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','Attachment Version',_binary '',_binary ''),(408,0,'e58658f7-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.supplierDocumentForm.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','Form',_binary '',_binary ''),(409,0,'e588ca08-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.supplierDocumentLetter.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','Letter',_binary '',_binary ''),(410,0,'e58d8403-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.supplierDocumentLetterVersion.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.DocumentAct','Letter Version',_binary '',_binary ''),(411,0,'e58d841a-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.supplierOrder.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Order',_binary '',_binary ''),(412,0,'e5923f29-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.supplierOrderItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Order Item',_binary '',_binary '\0'),(413,0,'e597213c-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.supplierReturn.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Return',_binary '',_binary ''),(414,0,'e5996b40-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.supplierReturnItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.FinancialAct','Return Item',_binary '',_binary '\0'),(415,0,'e59e4d49-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.supplierAccountCreditItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Supplier Credit Item Relationship',_binary '',_binary ''),(416,0,'e5a09742-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.supplierAccountInvoiceItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Supplier Invoice Item Relationship',_binary '',_binary ''),(417,0,'e5a3084b-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.supplierAccountPaymentItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Supplier Payment Item Relationship',_binary '',_binary ''),(418,0,'e5a55244-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.supplierAccountRefundItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Supplier Refund Item Relationship',_binary '',_binary ''),(419,0,'e5a7c34d-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.supplierDeliveryInvoice.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Delivery Invoice Relationship',_binary '',_binary ''),(420,0,'e5aa3456-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.supplierDeliveryItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Delivery Item Relationship',_binary '',_binary ''),(421,0,'e5ac7e4e-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.supplierDeliveryOrder.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Delivery/Order Relationship',_binary '',_binary ''),(422,0,'e5aeef56-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.supplierDeliveryOrderItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Delivery Item Relationship',_binary '',_binary ''),(423,0,'e5b1605e-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.supplierDocumentAttachmentVersion.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Supplier Document Attachment Version Relationship',_binary '',_binary ''),(424,0,'e5b3aa56-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.supplierDocumentLetterVersion.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Supplier Document Letter Version Relationship',_binary '',_binary ''),(425,0,'e5b61b5f-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.supplierOrderItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Order Item Relationship',_binary '',_binary ''),(426,0,'e5b86558-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.supplierReturnCredit.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Supplier Return Credit Relationship',_binary '',_binary ''),(427,0,'e5b86561-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.supplierReturnItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Return Item Relationship',_binary '',_binary ''),(428,0,'e5bad669-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.supplierReturnOrderItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Return Item Relationship',_binary '',_binary ''),(429,0,'e5bd4773-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.supplierLocation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Supplier to Practice Location',_binary '',_binary ''),(430,0,'e5bf916d-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.practiceVeterinarians.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','Practice Veterinarians',_binary '',_binary ''),(431,0,'e5c20277-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.supplierRepresentatives.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','Supplier Representative',_binary '',_binary ''),(432,0,'e5c44c72-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.supplierStockLocationESCI.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','Supplier Stock Location Relationship for e-Supply Chain Interfacing',_binary '',_binary ''),(433,0,'e5c6bc78-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.manufacturer.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Manufacturer',_binary '',_binary ''),(434,0,'e5c92d7e-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.supplier.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Act Supplier',_binary '',_binary ''),(435,0,'e5cb9e8a-21dc-11ea-a9f8-693042a6b9d8',NULL,'party.supplierManufacturer.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.party.Party','Manufacturer',_binary '',_binary ''),(436,0,'e5cde889-21dc-11ea-a9f8-693042a6b9d8',NULL,'party.supplierorganisation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.party.Party','Supplier(Organisation)',_binary '',_binary ''),(437,0,'e5d2a38c-21dc-11ea-a9f8-693042a6b9d8',NULL,'party.supplierperson.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.party.Party','Supplier(Person)',_binary '',_binary ''),(438,0,'e5d514a0-21dc-11ea-a9f8-693042a6b9d8',NULL,'party.supplierVeterinarian.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.party.Party','Veterinarian',_binary '',_binary ''),(439,0,'e5d75e9d-21dc-11ea-a9f8-693042a6b9d8',NULL,'party.supplierVeterinaryPractice.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.party.Party','Veterinary Practice',_binary '',_binary ''),(440,0,'e5dc40b1-21dc-11ea-a9f8-693042a6b9d8',NULL,'assertion.archetypeRange.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.archetype.descriptor.AssertionDescriptor','assertion.archetypeRange',_binary '',_binary ''),(441,0,'e5dc40b2-21dc-11ea-a9f8-693042a6b9d8',NULL,'assertion.archetypeRangeProperties.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.datatypes.property.PropertyMap','Archetype',_binary '',_binary '\0'),(442,0,'e5de8aab-21dc-11ea-a9f8-693042a6b9d8',NULL,'assertion.candidateChildren.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.archetype.descriptor.AssertionDescriptor','assertion.candidateChildren',_binary '',_binary ''),(443,0,'e5e0fbaf-21dc-11ea-a9f8-693042a6b9d8',NULL,'assertion.expression.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.archetype.descriptor.AssertionDescriptor','assertion.expression',_binary '',_binary ''),(444,0,'e5e36cb9-21dc-11ea-a9f8-693042a6b9d8',NULL,'assertion.localLookup.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.archetype.descriptor.AssertionDescriptor','assertion.localLookup',_binary '',_binary ''),(445,0,'e5e36cba-21dc-11ea-a9f8-693042a6b9d8',NULL,'assertion.localLookupEntryProperties.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty','assertion.localLookupEntryProperties',_binary '',_binary '\0'),(446,0,'e5e5b6b7-21dc-11ea-a9f8-693042a6b9d8',NULL,'assertion.lookup.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.archetype.descriptor.AssertionDescriptor','assertion.lookup',_binary '',_binary ''),(447,0,'e5e827b9-21dc-11ea-a9f8-693042a6b9d8',NULL,'assertion.number.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.archetype.descriptor.AssertionDescriptor','assertion.number',_binary '',_binary ''),(448,0,'e5e827bb-21dc-11ea-a9f8-693042a6b9d8',NULL,'assertion.password.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.archetype.descriptor.AssertionDescriptor','assertion.password',_binary '',_binary ''),(449,0,'e5ea71b4-21dc-11ea-a9f8-693042a6b9d8',NULL,'assertion.regularExpression.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.archetype.descriptor.AssertionDescriptor','assertion.regularExpression',_binary '',_binary ''),(450,0,'e5ece2b6-21dc-11ea-a9f8-693042a6b9d8',NULL,'assertion.stringcase.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.archetype.descriptor.AssertionDescriptor','assertion.stringcase',_binary '',_binary ''),(451,0,'e5ef53b8-21dc-11ea-a9f8-693042a6b9d8',NULL,'assertion.uniqueEntityRelationship.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.archetype.descriptor.AssertionDescriptor','assertion.uniqueEntityRelationship',_binary '',_binary ''),(452,0,'e5ef53bc-21dc-11ea-a9f8-693042a6b9d8',NULL,'descriptor.actionType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.archetype.descriptor.ActionTypeDescriptor','descriptor.actionType',_binary '',_binary '\0'),(453,0,'e5f19db5-21dc-11ea-a9f8-693042a6b9d8',NULL,'descriptor.archetype.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.archetype.descriptor.ArchetypeDescriptor','descriptor.archetype',_binary '',_binary ''),(454,0,'e5f40ebc-21dc-11ea-a9f8-693042a6b9d8',NULL,'descriptor.assertion.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.archetype.descriptor.AssertionDescriptor','descriptor.assertion',_binary '',_binary '\0'),(455,0,'e5f67fc1-21dc-11ea-a9f8-693042a6b9d8',NULL,'descriptor.assertionProperty.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty','descriptor.assertionProperty',_binary '',_binary '\0'),(456,0,'e5f67fc5-21dc-11ea-a9f8-693042a6b9d8',NULL,'descriptor.assertionType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.archetype.descriptor.AssertionTypeDescriptor','descriptor.assertionType',_binary '',_binary '\0'),(457,0,'e5f8c9c8-21dc-11ea-a9f8-693042a6b9d8',NULL,'descriptor.collectionNode.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.archetype.descriptor.NodeDescriptor','Collection Node',_binary '',_binary '\0'),(458,0,'e5fb3ad9-21dc-11ea-a9f8-693042a6b9d8',NULL,'descriptor.node.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.archetype.descriptor.NodeDescriptor','Node',_binary '',_binary '\0'),(459,0,'e5fd84ce-21dc-11ea-a9f8-693042a6b9d8',NULL,'descriptor.propertyList.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.datatypes.property.PropertyList','descriptor.propertyList',_binary '',_binary '\0'),(460,0,'e5fff5d3-21dc-11ea-a9f8-693042a6b9d8',NULL,'descriptor.propertyMap.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.datatypes.property.PropertyMap','descriptor.propertyMap',_binary '',_binary '\0'),(461,0,'e60266d7-21dc-11ea-a9f8-693042a6b9d8',NULL,'descriptor.propertyType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.archetype.descriptor.PropertyTypeDescriptor','descriptor.propertyType',_binary '',_binary '\0'),(462,0,'e604b0cf-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.userGroup.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','User Group',_binary '',_binary ''),(463,0,'e60720d7-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.userLocation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','User Location',_binary '',_binary ''),(464,0,'e60991e0-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.userGroup.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','User-Group Relationship',_binary '',_binary ''),(465,0,'e60bdbdb-21dc-11ea-a9f8-693042a6b9d8',NULL,'security.archetypeAuthority.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.security.ArchetypeAwareGrantedAuthority','Authority',_binary '',_binary ''),(466,0,'e60e4ce3-21dc-11ea-a9f8-693042a6b9d8',NULL,'security.role.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.security.SecurityRole','Role',_binary '',_binary ''),(467,0,'e61096f7-21dc-11ea-a9f8-693042a6b9d8',NULL,'security.user.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.security.User','User',_binary '',_binary ''),(468,0,'e617c2f3-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.auditMessage.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Audit Message',_binary '',_binary ''),(469,0,'e617c2ff-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.calendarBlock.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Calendar Block',_binary '',_binary ''),(470,0,'e61a340b-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.calendarEvent.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Calendar Event',_binary '',_binary ''),(471,0,'e61c7e08-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.calendarEventSeries.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Calendar Event Series',_binary '',_binary ''),(472,0,'e61eef23-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerAppointment.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Appointment',_binary '',_binary ''),(473,0,'e623aa23-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.customerTask.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Task',_binary '',_binary ''),(474,0,'e6261b31-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.systemMessage.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','System Message',_binary '',_binary ''),(475,0,'e6288c3f-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.userMessage.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Message',_binary '',_binary ''),(476,0,'e62ad637-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.appointmentClinicalEvent.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Patient Clinical Event Charge Item Relationship',_binary '',_binary ''),(477,0,'e62d4740-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.calendarEventSeries.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Calendar Event Series Relationship',_binary '',_binary ''),(478,0,'e62f9138-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.customerAppointmentTask.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','Customer Appointment Task Relationship',_binary '',_binary ''),(479,0,'e62f9140-21dc-11ea-a9f8-693042a6b9d8',NULL,'actRelationship.systemMessageItem.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.ActRelationship','System Message Item Relationship',_binary '',_binary ''),(480,0,'e6325068-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.appointmentType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Appointment Type',_binary '',_binary ''),(481,0,'e6349a63-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.cageType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Cage Type',_binary '',_binary ''),(482,0,'e6370b6b-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.calendarBlockType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Calendar Block Type',_binary '',_binary ''),(483,0,'e6397c71-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.calendarServiceRatio.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.party.Party','Service Ratio Calendar',_binary '',_binary ''),(484,0,'e63bc57b-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.onlineBookingTimesType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Online Booking Times',_binary '',_binary ''),(485,0,'e63e3689-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.organisationScheduleView.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Schedule View',_binary '',_binary ''),(486,0,'e6408086-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.organisationWorkListView.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Work List View',_binary '',_binary ''),(487,0,'e642f18c-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.taskType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Task Type',_binary '',_binary ''),(488,0,'e6456294-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.cageFirstPetProductDay.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','First Pet Product - Day',_binary '',_binary ''),(489,0,'e64a1d8c-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.cageFirstPetProductNight.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','First Pet Product - Overnight',_binary '',_binary ''),(490,0,'e64c8e94-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.cageLateCheckoutProduct.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Second Pet Product - Overnight',_binary '',_binary ''),(491,0,'e64ed88c-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.cageSecondPetProductDay.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Second Pet Product - Day',_binary '',_binary ''),(492,0,'e6514994-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.cageSecondPetProductNight.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Second Pet Product - Overnight',_binary '',_binary ''),(493,0,'e653938d-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.scheduleBookingTimes.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Schedule Booking Times',_binary '',_binary ''),(494,0,'e6560495-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.scheduleCageType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Schedule Cage Type',_binary '',_binary ''),(495,0,'e658759d-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.scheduleLocation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Schedule Location',_binary '',_binary ''),(496,0,'e65abf98-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.scheduleAppointmentType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','Schedule Appointment Type',_binary '',_binary ''),(497,0,'e65d30a1-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.scheduleDocumentTemplate.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','Template',_binary '',_binary ''),(498,0,'e65f7a98-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.scheduleWorkList.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','Work List',_binary '',_binary ''),(499,0,'e661eba1-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.viewSchedule.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','View Schedule Relationship',_binary '',_binary ''),(500,0,'e6645caa-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.viewWorkList.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','View Work List Relationship',_binary '',_binary ''),(501,0,'e666a6a3-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.worklistDocumentTemplate.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','Template',_binary '',_binary ''),(502,0,'e66917ae-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.worklistTaskType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','Worklist Task Type',_binary '',_binary ''),(503,0,'e66b88b6-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.messageReason.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Message Reason',_binary '',_binary ''),(504,0,'e66dd2ae-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.messageStatus.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Message Status',_binary '',_binary ''),(505,0,'e67043b7-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.visitReason.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Visit Reason',_binary '',_binary ''),(506,0,'e6728db0-21dc-11ea-a9f8-693042a6b9d8',NULL,'lookup.visitReasonVeNom.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.lookup.Lookup','Visit Reason (VeNom)',_binary '',_binary ''),(507,0,'e6728db6-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.appointmentType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Act Appointment Type',_binary '',_binary ''),(508,0,'e674febc-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.calendarBlockType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Calendar Block',_binary '',_binary ''),(509,0,'e6776fc2-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.schedule.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Act Schedule',_binary '',_binary ''),(510,0,'e679b9b8-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.taskType.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Act Task Type',_binary '',_binary ''),(511,0,'e67c2abe-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.worklist.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Act Worklist',_binary '',_binary ''),(512,0,'e67e9bd9-21dc-11ea-a9f8-693042a6b9d8',NULL,'party.organisationSchedule.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.party.Party','Schedule',_binary '',_binary ''),(513,0,'e680e4de-21dc-11ea-a9f8-693042a6b9d8',NULL,'party.organisationWorkList.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.party.Party','Work List',_binary '',_binary ''),(514,0,'e68355ea-21dc-11ea-a9f8-693042a6b9d8',NULL,'act.rosterEvent.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.act.Act','Shift',_binary '',_binary ''),(515,0,'e6859fe1-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.rosterArea.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','Roster Area',_binary '',_binary ''),(516,0,'e68810e7-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.rosterAreaLocation.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Roster Area Location',_binary '',_binary ''),(517,0,'e68a81ed-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityLink.rosterAreaSchedule.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityLink','Area Schedule',_binary '',_binary ''),(518,0,'e68ccbe1-21dc-11ea-a9f8-693042a6b9d8',NULL,'participation.rosterArea.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Participation','Roster Area',_binary '',_binary ''),(519,0,'e68ccbea-21dc-11ea-a9f8-693042a6b9d8',NULL,'entityRelationship.practiceSMSConfiguration.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.EntityRelationship','Practice SMS Configuration',_binary '',_binary ''),(520,0,'e68f3cfd-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.SMSConfigEmailGeneric.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','SMS Configuration: Generic Email Gateway',_binary '',_binary ''),(521,0,'e691ae0f-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.SMSConfigEmailClickatell.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','SMS Configuration: Clickatell SMTP Connection',_binary '',_binary ''),(522,0,'e693f80d-21dc-11ea-a9f8-693042a6b9d8',NULL,'entity.SMSConfigEmailSMSGlobal.1.0','descriptor.archetype','1.0',_binary '','org.openvpms.component.business.domain.im.common.Entity','SMS Configuration: SMSGlobal Email2SMS',_binary '',_binary '');
/*!40000 ALTER TABLE `archetype_descriptors` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `assertion_descriptors`
--

DROP TABLE IF EXISTS `assertion_descriptors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `assertion_descriptors` (
  `assertion_desc_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `version` bigint(20) NOT NULL,
  `linkId` varchar(36) NOT NULL,
  `name` varchar(255) NOT NULL,
  `active` bit(1) DEFAULT NULL,
  `assertion_index` int(11) DEFAULT NULL,
  `error_message` varchar(255) DEFAULT NULL,
  `property_map` longtext,
  `node_desc_id` bigint(20) DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`assertion_desc_id`),
  KEY `FKA1159D27273C243C` (`node_desc_id`),
  CONSTRAINT `FKA1159D27273C243C` FOREIGN KEY (`node_desc_id`) REFERENCES `node_descriptors` (`node_desc_id`)
) ENGINE=InnoDB AUTO_INCREMENT=908 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `assertion_descriptors`
--

LOCK TABLES `assertion_descriptors` WRITE;
/*!40000 ALTER TABLE `assertion_descriptors` DISABLE KEYS */;
INSERT INTO `assertion_descriptors` VALUES (1,0,'e0f8929f-21dc-11ea-a9f8-693042a6b9d8','password',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',6,'password'),(2,0,'e10c8fd7-21dc-11ea-a9f8-693042a6b9d8','password',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',12,'password'),(3,0,'e11171de-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',17,'propercase'),(4,0,'e11171e2-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active discount relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',20,'uniqueEntityRelationship'),(5,0,'e1171736-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',22,'propercase'),(6,0,'e1171739-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>FIXED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Fixed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PERCENTAGE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Percentage</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COST_RATE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>At-cost + Rate + Tax</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',24,'lookup.local'),(7,0,'e11e4338-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>security.user*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',36,'archetypeRange'),(8,0,'e11e433a-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',37,'archetypeRange'),(9,0,'e1240f9e-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationDeposit</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',39,'archetypeRange'),(10,0,'e1240fa0-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',40,'archetypeRange'),(11,0,'e12680a4-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationTill</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',42,'archetypeRange'),(12,0,'e12680a6-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',43,'archetypeRange'),(13,0,'e12b3b9a-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>security.user*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',45,'archetypeRange'),(14,0,'e12b3b9c-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',46,'archetypeRange'),(15,0,'e12ff692-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Email Address','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>^[a-zA-Z0-9.!#$%&amp;&apos;*+/=?^_`{|}~-]+@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)*$</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',50,'regularExpression'),(16,0,'e12ff697-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.contactPurpose</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',54,'archetypeRange'),(17,0,'e13351fd-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',58,'propercase'),(18,0,'e13351ff-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>targetLookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>relationship</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>relationship</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookupRelationship.stateSuburb</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>value</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>value</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>/details/state</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',59,'lookup'),(19,0,'e1335202-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.state</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',61,'lookup'),(20,0,'e1335207-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.contactPurpose</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',65,'archetypeRange'),(21,0,'e1380d03-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.contactPurpose</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',75,'archetypeRange'),(22,0,'e13cef0c-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.contactPurpose</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',82,'archetypeRange'),(23,0,'e1429463-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',87,'nonNegative'),(24,0,'e1429465-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',88,'nonNegative'),(25,0,'e142946a-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Bad Debt status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',92,'lookup.local'),(26,0,'e149242e-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',110,'nonNegative'),(27,0,'e1492435-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Charge Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ON_HOLD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>On Hold</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',116,'lookup.local'),(28,0,'e14db82b-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Charge Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ON_HOLD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>On Hold</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',136,'lookup.local'),(29,0,'e153d2c3-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',158,'nonNegative'),(30,0,'e153d2c7-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Charge Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ON_HOLD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>On Hold</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',161,'lookup.local'),(31,0,'e15a3b81-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Closing Balance Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',185,'lookup.local'),(32,0,'e15ea860-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',198,'nonNegative'),(33,0,'e1649ae1-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',213,'nonNegative'),(34,0,'e1649ae3-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',214,'nonNegative'),(35,0,'e1649ae6-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Credit Adjustment status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',216,'lookup.local'),(36,0,'e1697cff-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',239,'nonNegative'),(37,0,'e16c8a51-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',255,'nonNegative'),(38,0,'e16c8a53-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',256,'nonNegative'),(39,0,'e16c8a56-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Debit Adjustment status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',258,'lookup.local'),(40,0,'e1711e49-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',275,'nonNegative'),(41,0,'e1711e4c-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Initial Balance status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',277,'lookup.local'),(42,0,'e176eac5-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',300,'nonNegative'),(43,0,'e176ead2-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ORDERED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Ordered</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DISCONTINUED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Discontinued</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',312,'lookup.local'),(44,0,'e176ead6-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.invoiceItemDispensing</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',315,'archetypeRange'),(45,0,'e17d7a98-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Opening Balance Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',331,'lookup.local'),(46,0,'e18087e2-21dc-11ea-a9f8-693042a6b9d8','positive',_binary '',0,'Value must be > 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',339,'positive'),(47,0,'e18087e8-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Payment Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ON_HOLD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>On Hold</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',344,'lookup.local'),(48,0,'e18087f1-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.customerAccountPaymentItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',352,'archetypeRange'),(49,0,'e1851bde-21dc-11ea-a9f8-693042a6b9d8','expression',_binary '',0,'The tendered amount must be >= the amount','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>tendered &gt;= roundedAmount</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',363,'expression'),(50,0,'e188292a-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.bank</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',373,'lookup'),(51,0,'e18b3673-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.creditcard</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',380,'lookup'),(52,0,'e192d7ac-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.customPaymentType</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',401,'lookup'),(53,0,'e19521a3-21dc-11ea-a9f8-693042a6b9d8','positive',_binary '',0,'Value must be > 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',406,'positive'),(54,0,'e19521a9-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Payment Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ON_HOLD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>On Hold</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',411,'lookup.local'),(55,0,'e19d5e27-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.bank</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',438,'lookup'),(56,0,'e19fa820-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.creditcard</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',445,'lookup'),(57,0,'e1a9452e-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.customerAlertType</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',470,'lookup'),(58,0,'e1a94533-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',474,'lookup.local'),(59,0,'e1aca0a1-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.customerCommunicationReason</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',486,'lookup'),(60,0,'e1b15ba4-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.customerCommunicationReason</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',503,'lookup'),(61,0,'e1b3ccb5-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.customerCommunicationReason</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',518,'lookup'),(62,0,'e1b887b6-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.customerCommunicationReason</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',533,'lookup'),(63,0,'e1baf8c8-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.customerCommunicationReason</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',549,'lookup'),(64,0,'e1be5436-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',561,'lookup.local'),(65,0,'e1be5439-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>document.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',563,'archetypeRange'),(66,0,'e1be5440-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.customerDocumentAttachmentVersion</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',569,'archetypeRange'),(67,0,'e1c30f38-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>document.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',575,'archetypeRange'),(68,0,'e1c7ca32-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',583,'lookup.local'),(69,0,'e1cb4caf-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',594,'lookup.local'),(70,0,'e1cb4cb9-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.customerDocumentLetterVersion</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',603,'archetypeRange'),(71,0,'e1d251b1-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Estimate Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CANCELLED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Cancelled</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>INVOICED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Invoiced</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',624,'lookup.local'),(72,0,'e1d733c1-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',638,'nonNegative'),(73,0,'e1d733c3-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',639,'nonNegative'),(74,0,'e1d733c5-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',640,'nonNegative'),(75,0,'e1d733c6-21dc-11ea-a9f8-693042a6b9d8','expression',_binary '',1,'The High Qty must be >= the Low Qty','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>highQty &gt;= lowQty</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',640,'expression'),(76,0,'e1d733c8-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',641,'nonNegative'),(77,0,'e1d733ca-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',642,'nonNegative'),(78,0,'e1d733cc-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',643,'nonNegative'),(79,0,'e1d733ce-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',644,'nonNegative'),(80,0,'e1d733d0-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',645,'nonNegative'),(81,0,'e1d733d5-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',649,'nonNegative'),(82,0,'e1d733d7-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',650,'nonNegative'),(83,0,'e1dde99f-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountInvoiceItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',656,'archetypeRange'),(84,0,'e1dde9a5-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Quantity must be >= 0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',661,'nonNegative'),(85,0,'e1e0f6ed-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',667,'lookup.local'),(86,0,'e1e4043d-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',681,'lookup.local'),(87,0,'e1e7118c-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountInvoiceItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',694,'archetypeRange'),(88,0,'e1e7118e-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientInvestigation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',695,'archetypeRange'),(89,0,'e1e71195-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Quantity must be >= 0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',701,'nonNegative'),(90,0,'e1ebcc8e-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountInvoiceItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',708,'archetypeRange'),(91,0,'e1ebcc94-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Quantity must be >= 0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',713,'nonNegative'),(92,0,'e1eed9dc-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',719,'lookup.local'),(93,0,'e1f31fac-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountChargesCounter</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountChargesCredit</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountChargesInvoice</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountDebitAdjust</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountRefund</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountInitialBalance</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',733,'archetypeRange'),(94,0,'e1f31fae-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountBadDebt</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountChargesCounter</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountChargesCredit</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountCreditAdjust</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountChargesInvoice</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountPayment</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountInitialBalance</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',734,'archetypeRange'),(95,0,'e1f67b16-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountChargesCounter</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',740,'archetypeRange'),(96,0,'e1f67b18-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountCounterItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',741,'archetypeRange'),(97,0,'e1fdf53e-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountPaymentEFT</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountPaymentCash</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountPaymentCredit</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountPaymentCheque</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountPaymentOther</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountPaymentDiscount</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',759,'archetypeRange'),(98,0,'e1ffca05-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountRefund</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',764,'archetypeRange'),(99,0,'e1ffca07-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountRefundCash</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountRefundCredit</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountRefundEFT</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountRefundCheque</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountRefundDiscount</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountRefundOther</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',765,'archetypeRange'),(100,0,'e202892e-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccount*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',770,'archetypeRange'),(101,0,'e2028930-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccount*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',771,'archetypeRange'),(102,0,'e2059676-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerDocumentAttachment</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',775,'archetypeRange'),(103,0,'e2059678-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerDocumentAttachmentVersion</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',776,'archetypeRange'),(104,0,'e208a3be-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerDocumentLetter</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',780,'archetypeRange'),(105,0,'e208a3c0-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerDocumentLetterVersion</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',781,'archetypeRange'),(106,0,'e20a2a67-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerEstimation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',786,'archetypeRange'),(107,0,'e20a2a69-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerEstimationItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',787,'archetypeRange'),(108,0,'e20c9b70-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerOrderPharmacy</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',792,'archetypeRange'),(109,0,'e20c9b72-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerOrderItemPharmacy</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',793,'archetypeRange'),(110,0,'e20f0c79-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerReturnInvestigation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',798,'archetypeRange'),(111,0,'e20f0c7b-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerReturnItemInvestigation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',799,'archetypeRange'),(112,0,'e213c772-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerReturnPharmacy</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',804,'archetypeRange'),(113,0,'e213c774-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerReturnItemPharmacy</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',805,'archetypeRange'),(114,0,'e2188272-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountInvoiceItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',816,'archetypeRange'),(115,0,'e2188274-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientMedication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',817,'archetypeRange'),(116,0,'e21bdddb-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountInvoiceItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',822,'archetypeRange'),(117,0,'e21bdddd-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientDocument*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',823,'archetypeRange'),(118,0,'e21e4ee4-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountInvoiceItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',828,'archetypeRange'),(119,0,'e21e4ee6-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientInvestigation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',829,'archetypeRange'),(120,0,'e220beed-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountInvoiceItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',834,'archetypeRange'),(121,0,'e220beef-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientReminder</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',835,'archetypeRange'),(122,0,'e22308e5-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountChargesInvoice</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerEstimation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',839,'archetypeRange'),(123,0,'e22308e7-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientCustomerNote</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',840,'archetypeRange'),(124,0,'e22579ed-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountChargesInvoice</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerEstimation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',844,'archetypeRange'),(125,0,'e22579ef-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientDocumentAttachment</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientDocumentForm</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientDocumentImage</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientDocumentLetter</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',845,'archetypeRange'),(126,0,'e228d556-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.discountType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.discountGroupType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',850,'archetypeRange'),(127,0,'e22b465e-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.customerperson</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',856,'archetypeRange'),(128,0,'e22b4660-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',857,'archetypeRange'),(129,0,'e22d9054-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',859,'regularExpression'),(130,0,'e22d9055-21dc-11ea-a9f8-693042a6b9d8','uppercase',_binary '',1,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',859,'uppercase'),(131,0,'e22d9057-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',860,'propercase'),(132,0,'e230015e-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.customer*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationOTC</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',865,'archetypeRange'),(133,0,'e2300160-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',866,'archetypeRange'),(134,0,'e234bc54-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.customer*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationOTC</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',868,'archetypeRange'),(135,0,'e234bc56-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountBadDebt</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountChargesCounter</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountChargesCredit</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountChargesInvoice</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountCreditAdjust</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountDebitAdjust</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountInitialBalance</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountPayment</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountRefund</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',869,'archetypeRange'),(136,0,'e2372d5a-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',871,'archetypeRange'),(137,0,'e2372d5c-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',872,'archetypeRange'),(138,0,'e239ec82-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',876,'propercase'),(139,0,'e239ec84-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.personTitle</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',877,'lookup'),(140,0,'e239ec86-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',878,'propercase'),(141,0,'e239ec88-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',879,'propercase'),(142,0,'e239ec8a-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',880,'propercase'),(143,0,'e239ec8c-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.customerReferral</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',881,'lookup'),(144,0,'e239ec8e-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.customerVet</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',882,'lookup'),(145,0,'e239ec90-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.customerInsurance</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',883,'lookup'),(146,0,'e239ec95-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityRelationship.patientOwner</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityRelationship.patientLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',887,'archetypeRange'),(147,0,'e239ec96-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',1,'Duplicate active patient relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',887,'uniqueEntityRelationship'),(148,0,'e239ec98-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.location</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.phoneNumber</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.email</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.website</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',888,'archetypeRange'),(149,0,'e239ec9b-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.customerAccountType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',890,'archetypeRange'),(150,0,'e239ec9d-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active discount customer relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',891,'uniqueEntityRelationship'),(151,0,'e24f97c3-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.patientDocumentForm</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Patient Form</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.patientDocumentImage</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Patient Image</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.patientDocumentLetter</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Patient Letter</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.customerDocumentForm</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Customer Form</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.customerDocumentLetter</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Customer Letter</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.supplierDocumentForm</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Supplier Form</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.supplierDocumentLetter</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Supplier Letter</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.customerAccountPayment</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Customer Payment</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.customerAccountRefund</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Customer Refund</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.customerAccountChargesInvoice</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Customer Invoice</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.customerAccountChargesCredit</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Customer Credit</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.customerAccountCreditAdjust</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Customer Credit Adjustment</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.customerAccountChargesCounter</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Customer Counter Sale</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.customerAccountDebitAdjust</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Customer Debit Adjustment</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.customerEstimation</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Customer Estimate</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.customerOrderPharmacy</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Customer Pharmacy Order</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.customerReturnPharmacy</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Customer Pharmacy Return</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.customerReturnInvestigation</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Investigation Return</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.patientMedication</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Patient Medication Label</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.patientPrescription</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Prescription</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.patientReminder</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Reminder Report</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.patientClinicalEvent</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Patient Visit</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.patientClinicalProblem</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Patient Problem</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.patientInsuranceClaim</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Insurance Claim</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.tillBalance</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Till Balance</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.bankDeposit</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Bank Deposit</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.customerAccountOpeningBalance</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Customer Statement</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.supplierOrder</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Supplier Order</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.supplierDelivery</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Supplier Delivery</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.supplierAccountChargesInvoice</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Supplier Invoice</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.supplierAccountChargesCredit</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Supplier Credit</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.supplierAccountPayment</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Supplier Remittance</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.supplierAccountRefund</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Supplier Refund</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.supplierReturn</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Supplier Return</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.stockAdjust</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Stock Adjustment</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.stockTransfer</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Stock Transfer</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.customerAppointment</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Appointment</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.customerTask</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Task</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.auditMessage</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Audit Message</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.systemMessage</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>System Message</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.userMessage</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Message</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>act.HL7Message</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>HL7 Message</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CUSTOMER_BALANCE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Customer Account Balance</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WORK_IN_PROGRESS_CHARGES</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Work in Progress Charges</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>GROUPED_REMINDERS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Grouped Reminders</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>REPORT</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Report</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>SUBREPORT</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Sub Report</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>INSURANCE_CLAIM_INVOICE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Insurance Claim Invoice</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>INSURANCE_CLAIM_MEDICAL_RECORDS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Insurance Claim Medical Records</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>INSURANCE_CLAIM</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Insurance Claim - Custom</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>INSURANCE_CLAIMS_REPORT</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Insurance Claims Report</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',953,'lookup.local'),(152,0,'e24f97c5-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>0</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>0</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>1</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>1</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>2</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>2</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>3</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>3</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>4</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>4</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>5</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>5</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>6</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>6</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>7</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>7</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>8</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>8</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>9</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>9</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',954,'lookup.local'),(153,0,'e24f97c7-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.reportType</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',955,'lookup'),(154,0,'e24f97c9-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IMMEDIATE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Immediate</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MANUAL</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Manual</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CHECK_OUT</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Check-Out</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',956,'lookup.local'),(155,0,'e24f97cb-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>A4</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>A4</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>A5</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>A5</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>LETTER</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Letter</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CUSTOM</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Custom</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',957,'lookup.local'),(156,0,'e24f97cd-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PORTRAIT</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Portrait</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>LANDSCAPE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Landscape</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',958,'lookup.local'),(157,0,'e24f97d2-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MM</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Millimetres</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>INCH</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Inches</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',962,'lookup.local'),(158,0,'e258bf9c-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>TEXT</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Plain text</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MACRO</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Macro</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>XPATH</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Expression</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',970,'lookup.local'),(159,0,'e258bfa0-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>TEXT</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Plain text</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MACRO</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Macro</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>XPATH</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Expression</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DOCUMENT</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Document</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',973,'lookup.local'),(160,0,'e25bcce9-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>TEXT</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Plain text</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MACRO</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Macro</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>XPATH</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Expression</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',980,'lookup.local'),(161,0,'e25bcced-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>TEXT</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Plain text</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MACRO</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Macro</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>XPATH</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Expression</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DOCUMENT</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Document</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',983,'lookup.local'),(162,0,'e25f0147-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>TEXT</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Plain text</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MACRO</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Macro</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>XPATH</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Expression</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',991,'lookup.local'),(163,0,'e261c06f-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>TEXT</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Plain text</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MACRO</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Macro</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>XPATH</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Expression</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',997,'lookup.local'),(164,0,'e2640a7f-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>A</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Always</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>N</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Never</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>P</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>If Not Printed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1027,'lookup.local'),(165,0,'e2667a86-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.documentTemplate</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1032,'archetypeRange'),(166,0,'e2667a88-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.documentTemplateEmailSystem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.documentTemplateEmailUser</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1033,'archetypeRange'),(167,0,'e268c47e-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.documentTemplate</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1037,'archetypeRange'),(168,0,'e268c480-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.documentTemplateSMSReminder</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1038,'archetypeRange'),(169,0,'e26b3586-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.letterhead</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1042,'archetypeRange'),(170,0,'e26b3588-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationPractice</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1043,'archetypeRange'),(171,0,'e26da690-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>TOP</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Top</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MIDDLE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Middle</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>BOTTOM</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Bottom</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ENVELOPE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Envelope</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MANUAL</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Manual</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>LARGE_CAPACITY</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Large Capacity</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MAIN</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Main</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>SIDE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Side</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1049,'lookup.local'),(172,0,'e26da692-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ONE_SIDED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Print single sided</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>TWO_SIDED_LONG_EDGE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Print both sides - flip pages on long edge</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>TWO_SIDED_SHORT_EDGE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Print both sides - flip pages on short edge</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1050,'lookup.local'),(173,0,'e26da695-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.documentTemplate</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1052,'archetypeRange'),(174,0,'e26da697-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationPractice</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1053,'archetypeRange'),(175,0,'e27101fb-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.documentTemplate</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.documentTemplateEmailUser</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.documentTemplateEmailSystem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1055,'archetypeRange'),(176,0,'e27101fd-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.documentTemplate</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1056,'archetypeRange'),(177,0,'e2734bf1-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.documentTemplate</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1058,'archetypeRange'),(178,0,'e2734bf3-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientDocument*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerDocument*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierDocument*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1059,'archetypeRange'),(179,0,'e275bcf7-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1061,'archetypeRange'),(180,0,'e275bcf9-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.documentLogo</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1062,'archetypeRange'),(181,0,'e2782e04-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>UNDEPOSITED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Undeposited</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DEPOSITED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Deposited</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1071,'lookup.local'),(182,0,'e2782e07-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.bankDepositItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1073,'archetypeRange'),(183,0,'e27ce903-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>UNCLEARED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Uncleared</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Clear In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CLEARED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Cleared</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1083,'lookup.local'),(184,0,'e27ce906-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.tillBalanceItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1085,'archetypeRange'),(185,0,'e2841505-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.bankDeposit</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1097,'archetypeRange'),(186,0,'e2841507-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.tillBalance</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1098,'archetypeRange'),(187,0,'e2865efd-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.tillBalance</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1102,'archetypeRange'),(188,0,'e2865eff-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountPayment</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountRefund</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.tillBalanceAdjustment</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1103,'archetypeRange'),(189,0,'e288d008-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PENDING</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Pending</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ACCEPTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Accepted</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ERROR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Error</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CANCELLED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Cancelled</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1110,'lookup.local'),(190,0,'e288d00d-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>document.HL7</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1114,'archetypeRange'),(191,0,'e28ffc0b-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1125,'propercase'),(192,0,'e2997225-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1179,'propercase'),(193,0,'e29be331-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1189,'propercase'),(194,0,'e2a09e31-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1203,'propercase'),(195,0,'e2a30f3b-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1211,'propercase'),(196,0,'e2a30f3f-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate laboratory service','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1214,'uniqueEntityRelationship'),(197,0,'e2a55833-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1216,'propercase'),(198,0,'e2a7c93b-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1222,'propercase'),(199,0,'e2aa3a45-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1230,'propercase'),(200,0,'e2aa3a49-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate pharmacy','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1233,'uniqueEntityRelationship'),(201,0,'e2aef545-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.HL7Receiver*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.HL7Sender*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1242,'archetypeRange'),(202,0,'e2aef547-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.HL7Mapping*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1243,'archetypeRange'),(203,0,'e2b1664d-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.HL7ServicePharmacyGroup</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1247,'archetypeRange'),(204,0,'e2b1664f-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.HL7ServicePharmacy</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1248,'archetypeRange'),(205,0,'e2b3b045-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.HL7Service*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1252,'archetypeRange'),(206,0,'e2b3b047-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1253,'archetypeRange'),(207,0,'e2b6214d-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.HL7Service*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1257,'archetypeRange'),(208,0,'e2b6214f-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.HL7Receiver*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1258,'archetypeRange'),(209,0,'e2b86b45-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.HL7Service*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1262,'archetypeRange'),(210,0,'e2b86b47-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.HL7Sender*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1263,'archetypeRange'),(211,0,'e2badc4d-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.HL7Service*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1267,'archetypeRange'),(212,0,'e2badc4f-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>security.user</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1268,'archetypeRange'),(213,0,'e2bd4d53-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.HL7SenderMLLP</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.HL7ReceiverMLLP</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1270,'archetypeRange'),(214,0,'e2bd4d55-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.HL7Message</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1271,'archetypeRange'),(215,0,'e2c93453-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DORSAL_NECK</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Dorsal Surface of Neck between Shoulders</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>LEFT_SHOULDER</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Left Shoulder / Neck Region</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>RIGHT_SHOULDER</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Right Shoulder / Neck Region</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>VENTRAL_NECK</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Ventral Area of Neck</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1295,'lookup.local'),(216,0,'e2d0605f-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1319,'nonNegative'),(217,0,'e2d06061-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1320,'nonNegative'),(218,0,'e2d06063-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PENDING</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Pending</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>SUBMITTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Submitted</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ACCEPTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Accepted</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>SETTLED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Settled</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DECLINED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Declined</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CANCELLING</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Cancelling</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CANCELLED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Cancelled</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1321,'lookup.local'),(219,0,'e2d06065-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PENDING</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Pending</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>RECEIVED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Received</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PAID</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Paid</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>NOTIFIED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Notified</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1322,'lookup.local'),(220,0,'e2d06067-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1323,'nonNegative'),(221,0,'e2d06069-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1324,'nonNegative'),(222,0,'e2d51b66-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PENDING</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Pending</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ERROR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Error</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>SUBMITTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Submitted</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1335,'lookup.local'),(223,0,'e2d78c74-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.diagnosis*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1347,'lookup'),(224,0,'e2d78c77-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1349,'nonNegative'),(225,0,'e2d78c79-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1350,'nonNegative'),(226,0,'e2d78c7b-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>UNRESOLVED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Ongoing</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>RESOLVED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Resolved</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DIED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Died</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>EUTHANASED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Euthanased</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1351,'lookup.local'),(227,0,'e2e37380-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountChargesInvoice</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientDocumentAttachment</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientDocumentForm</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientDocumentImage</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientDocumentLetter</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientInvestigation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerDocumentAttachment</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerDocumentForm</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerDocumentLetter</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1382,'archetypeRange'),(228,0,'e2f41479-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1415,'propercase'),(229,0,'e2f41480-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.location</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.phoneNumber</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.email</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.website</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1421,'archetypeRange'),(230,0,'e2f41482-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active representatives relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1422,'uniqueEntityRelationship'),(231,0,'e2f8cf7b-21dc-11ea-a9f8-693042a6b9d8','positive',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1429,'positive'),(232,0,'e2f8cf7d-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>HOURS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>hours</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1430,'lookup.local'),(233,0,'e2f8cf7f-21dc-11ea-a9f8-693042a6b9d8','positive',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1431,'positive'),(234,0,'e2f8cf81-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>HOURS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>hours</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1432,'lookup.local'),(235,0,'e2f8cf83-21dc-11ea-a9f8-693042a6b9d8','positive',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1433,'positive'),(236,0,'e2f8cf85-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>HOURS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>hours</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1434,'lookup.local'),(237,0,'e3026ca8-21dc-11ea-a9f8-693042a6b9d8','positive',_binary '',0,'Batch Size must be > 0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1481,'positive'),(238,0,'e3026caa-21dc-11ea-a9f8-693042a6b9d8','positive',_binary '',0,'Max Records must be > 0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1482,'positive'),(239,0,'e30be2b6-21dc-11ea-a9f8-693042a6b9d8','positive',_binary '',0,'Batch Size must be > 0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1522,'positive'),(240,0,'e30be2b8-21dc-11ea-a9f8-693042a6b9d8','positive',_binary '',0,'Max Records must be > 0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1523,'positive'),(241,0,'e3109dc0-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>security.user</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.userGroup</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1544,'archetypeRange'),(242,0,'e3130ecc-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PDF</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>PDF</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CSV</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Comma-separated values</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1554,'lookup.local'),(243,0,'e3130ed5-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PDF</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>PDF</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CSV</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Comma-separated values</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1562,'lookup.local'),(244,0,'e31ef526-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>NEW</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>New Order</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CANCEL</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Cancel Order</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1671,'lookup.local'),(245,0,'e31ef528-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PENDING</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Pending</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>QUEUED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Queued</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CONFIRM</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Confirm</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>SUBMITTING</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Submitting</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>SUBMITTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Submitted</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ERROR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Error</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1672,'lookup.local'),(246,0,'e31ef52a-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PENDING</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Pending</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WAITING_FOR_SAMPLE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Waiting for Sample</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PARTIAL_RESULTS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Partial Results</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1673,'lookup.local'),(247,0,'e326212c-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1687,'propercase'),(248,0,'e32d4d37-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>YES</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Yes</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>NO</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>No</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>OPTIONAL</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Optional</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1711,'lookup.local'),(249,0,'e336c333-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.HL7ServiceLaboratory*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.laboratoryService*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1734,'archetypeRange'),(250,0,'e33ba545-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.laboratoryService*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.HL7ServiceLaboratory</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1748,'archetypeRange'),(251,0,'e33def3c-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.laboratoryTest</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.laboratoryTestHL7</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1753,'archetypeRange'),(252,0,'e3406042-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.laboratoryService*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.HL7ServiceLaboratory</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1757,'archetypeRange'),(253,0,'e3451b3b-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.laboratoryTest</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.laboratoryTestHL7</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1763,'archetypeRange'),(254,0,'e3478c3f-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1765,'regularExpression'),(255,0,'e3478c49-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1773,'regularExpression'),(256,0,'e349d641-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1779,'regularExpression'),(257,0,'e349d643-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1780,'propercase'),(258,0,'e34c474b-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1786,'regularExpression'),(259,0,'e34eb853-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1792,'regularExpression'),(260,0,'e351024a-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1797,'regularExpression'),(261,0,'e351024c-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1798,'propercase'),(262,0,'e3537354-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1804,'regularExpression'),(263,0,'e355bd4f-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid ISO Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>AED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>AED</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>AFN</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>AFN</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ALL</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>ALL</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>AMD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>AMD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ANG</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>ANG</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>AOA</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>AOA</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ARS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>ARS</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>AUD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>AUD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>AWG</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>AWG</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>AZN</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>AZN</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>BAM</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>BAM</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>BBD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>BBD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>BDT</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>BDT</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>BGN</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>BGN</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>BHD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>BHD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>BIF</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>BIF</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>BMD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>BMD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>BND</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>BND</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>BOB</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>BOB</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>BRL</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>BRL</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>BSD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>BSD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>BTN</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>BTN</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>BWP</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>BWP</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>BYR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>BYR</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>BZD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>BZD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CAD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>CAD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CDF</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>CDF</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CHF</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>CHF</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CLP</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>CLP</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CNY</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>CNY</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COP</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>COP</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COU</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>COU</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CRC</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>CRC</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CUP</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>CUP</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CVE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>CVE</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CZK</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>CZK</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DJF</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>DJF</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DKK</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>DKK</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DOP</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>DOP</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DZD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>DZD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>EGP</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>EGP</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ERN</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>ERN</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ETB</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>ETB</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>EUR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>EUR</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>FJD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>FJD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>FKP</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>FKP</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>GBP</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>GBP</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>GEL</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>GEL</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>GHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>GHS</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>GIP</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>GIP</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>GMD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>GMD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>GNF</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>GNF</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>GTQ</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>GTQ</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>GYD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>GYD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>HKD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>HKD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>HNL</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>HNL</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>HRK</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>HRK</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>HTG</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>HTG</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>HUF</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>HUF</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IDR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>IDR</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ILS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>ILS</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>INR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>INR</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IQD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>IQD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IRR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>IRR</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ISK</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>ISK</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>JMD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>JMD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>JOD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>JOD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>JPY</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>JPY</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>KES</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>KES</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>KGS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>KGS</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>KHR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>KHR</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>KMF</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>KMF</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>KPW</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>KPW</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>KRW</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>KRW</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>KWD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>KWD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>KYD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>KYD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>KZT</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>KZT</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>LAK</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>LAK</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>LBP</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>LBP</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>LKR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>LKR</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>LRD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>LRD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>LSL</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>LSL</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>LTL</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>LTL</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>LVL</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>LVL</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>LYD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>LYD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MAD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>MAD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MDL</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>MDL</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MGA</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>MGA</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MKD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>MKD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MMK</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>MMK</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MNT</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>MNT</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MOP</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>MOP</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MRO</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>MRO</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MUR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>MUR</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MVR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>MVR</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MWK</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>MWK</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MXN</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>MXN</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MXV</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>MXV</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MYR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>MYR</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MZN</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>MZN</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>NAD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>NAD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>NGN</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>NGN</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>NIO</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>NIO</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>NOK</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>NOK</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>NPR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>NPR</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>NZD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>NZD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>OMR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>OMR</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PAB</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>PAB</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PEN</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>PEN</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PGK</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>PGK</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PHP</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>PHP</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PKR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>PKR</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PLN</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>PLN</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PYG</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>PYG</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>QAR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>QAR</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>RON</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>RON</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>RSD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>RSD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>RUB</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>RUB</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>RWF</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>RWF</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>SAR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>SAR</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>SBD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>SBD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>SCR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>SCR</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>SDG</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>SDG</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>SEK</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>SEK</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>SGD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>SGD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>SHP</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>SHP</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>SLL</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>SLL</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>SOS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>SOS</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>SRD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>SRD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>SSP</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>SSP</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>STD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>STD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>SYP</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>SYP</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>SZL</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>SZL</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>THB</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>THB</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>TJS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>TJS</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>TMT</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>TMT</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>TND</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>TND</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>TOP</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>TOP</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>TRY</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>TRY</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>TTD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>TTD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>TWD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>TWD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>TZS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>TZS</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>UAH</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>UAH</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>UGX</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>UGX</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>USD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>USD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>UYU</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>UYU</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>UZS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>UZS</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>VEF</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>VEF</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>VND</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>VND</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>VUV</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>VUV</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WST</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>WST</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>XCD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>XCD</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>XOF</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>XOF</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>XPF</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>XPF</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>YER</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>YER</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ZAR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>ZAR</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ZMK</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>ZMK</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ZWL</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>ZWL</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1813,'lookup.local'),(264,0,'e355bd54-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Rounding Mode','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>HALF_UP</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Half Up</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>HALF_DOWN</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Half Down</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>HALF_EVEN</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Half Even</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1817,'lookup.local'),(265,0,'e35a9f5b-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1822,'regularExpression'),(266,0,'e35a9f61-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1827,'lookup.local'),(267,0,'e35a9f63-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>FIXED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Fixed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PERCENTAGE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Percentage</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1828,'lookup.local'),(268,0,'e35a9f6a-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>FIXED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Fixed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PERCENTAGE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Percentage</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1834,'lookup.local'),(269,0,'e35a9f74-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookupRelationship.customerAccountAlert</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1843,'archetypeRange'),(270,0,'e35f5968-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1845,'regularExpression'),(271,0,'e35f596c-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>HIGH</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>High</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MEDIUM</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Medium</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>LOW</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Low</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1848,'lookup.local'),(272,0,'e3641464-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1854,'regularExpression'),(273,0,'e364146c-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1860,'regularExpression'),(274,0,'e3668574-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1866,'regularExpression'),(275,0,'e368cf6b-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1871,'regularExpression'),(276,0,'e36b4073-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1877,'regularExpression'),(277,0,'e36db17b-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1883,'regularExpression'),(278,0,'e36ffb74-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>^(?!VENOM_)[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1890,'regularExpression'),(279,0,'e3726c7c-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>VENOM_[0-9]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1896,'regularExpression'),(280,0,'e374dd8b-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>YEARS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>years</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1909,'lookup.local'),(281,0,'e3772783-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1915,'regularExpression'),(282,0,'e3772789-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookupRelationship.durationformats</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1920,'archetypeRange'),(283,0,'e379988d-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1922,'regularExpression'),(284,0,'e3799896-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[a-zA-Z@][a-zA-Z0-9_.]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1929,'regularExpression'),(285,0,'e37be28e-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[a-zA-Z@][a-zA-Z0-9_.]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1935,'regularExpression'),(286,0,'e37be294-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.documentTemplate</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1940,'archetypeRange'),(287,0,'e37e5398-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1942,'regularExpression'),(288,0,'e380c4a0-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1948,'regularExpression'),(289,0,'e380c4a2-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1949,'propercase'),(290,0,'e3830e99-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1954,'regularExpression'),(291,0,'e3857fa0-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>^(?!VENOM_)[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1959,'regularExpression'),(292,0,'e387f0a8-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>VENOM_[0-9]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1965,'regularExpression'),(293,0,'e38a3aa1-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1972,'regularExpression'),(294,0,'e38ef599-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1978,'regularExpression'),(295,0,'e39166a2-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1985,'regularExpression'),(296,0,'e393d7a9-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1990,'regularExpression'),(297,0,'e393d7b1-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',1996,'regularExpression'),(298,0,'e39621a8-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2001,'regularExpression'),(299,0,'e39892b0-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2007,'regularExpression'),(300,0,'e39892b2-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2008,'propercase'),(301,0,'e39892b9-21dc-11ea-a9f8-693042a6b9d8','uniqueRelationshipType',_binary '',0,'There are multiple mappings of the same type','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2014,'uniqueRelationshipType'),(302,0,'e39d4db8-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2026,'regularExpression'),(303,0,'e39d4dba-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2027,'propercase'),(304,0,'e39fbdc3-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2034,'regularExpression'),(305,0,'e39fbdc5-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2035,'propercase'),(306,0,'e3a207be-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2042,'regularExpression'),(307,0,'e3a207c3-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2046,'lookup.local'),(308,0,'e3a478c8-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2049,'regularExpression'),(309,0,'e3a6e9cf-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2054,'regularExpression'),(310,0,'e3a6e9d5-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid tax scheme','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>GST</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Goods and services tax</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>VAT</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Value added tax</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2059,'lookup.local'),(311,0,'e3a6e9d7-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid tax category','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>S</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Standard rated</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>Z</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Zero rated goods</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2060,'lookup.local'),(312,0,'e3a933cb-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2062,'regularExpression'),(313,0,'e3a933cf-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>AM</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>ampoule</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>BG</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>bag</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>BO</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>bottle</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>BX</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>box</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>AV</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>capsule</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>case</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CT</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>carton</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>crate</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>EA</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>each</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>GRM</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>gram</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>HUR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>hour</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>KGM</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>kilogram</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>LTR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>litre</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MGM</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>milligram</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MLT</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>millilitre</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MIN</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>minute</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PK</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>package</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PA</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>packet</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>LBR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>pound</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>RO</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>roll</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>U2</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>tablet</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>U1</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>treatment</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>TU</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>tube</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>VI</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>vial</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2065,'lookup.local'),(314,0,'e3aba4d6-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2070,'regularExpression'),(315,0,'e3adeece-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2076,'regularExpression'),(316,0,'e3b05fd7-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2083,'regularExpression'),(317,0,'e3b2d0df-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2089,'regularExpression'),(318,0,'e3b51ad6-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.breed</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2094,'archetypeRange'),(319,0,'e3b51ad8-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.breedIDEXX</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2095,'archetypeRange'),(320,0,'e3b78bdc-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.country</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2097,'archetypeRange'),(321,0,'e3b78bde-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.state</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2098,'archetypeRange'),(322,0,'e3b78be2-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.customerAccountType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2100,'archetypeRange'),(323,0,'e3b78be4-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.customerAlertType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2101,'archetypeRange'),(324,0,'e3b9fce8-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.durationformats</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2103,'archetypeRange'),(325,0,'e3b9fcea-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.durationformat</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2104,'archetypeRange'),(326,0,'e3bc46de-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.species</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2106,'archetypeRange'),(327,0,'e3bc46e0-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.breed</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2107,'archetypeRange'),(328,0,'e3beb7e4-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.species</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2109,'archetypeRange'),(329,0,'e3beb7e6-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.speciesIDEXX</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2110,'archetypeRange'),(330,0,'e3c372de-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.uomGroup</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2115,'archetypeRange'),(331,0,'e3c372e0-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.uom</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2116,'archetypeRange'),(332,0,'e3c5e3e6-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Cardinality','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>1:1</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>1:1</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>N:1</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>N:1</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2120,'lookup.local'),(333,0,'e3ca9ee7-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[a-zA-Z0-9_\\-\\.]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2133,'regularExpression'),(334,0,'e3ca9eeb-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Cardinality','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>1:1</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>1:1</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>N:1</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>N:1</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2136,'lookup.local'),(335,0,'e3d1caf5-21dc-11ea-a9f8-693042a6b9d8','positive',_binary '',0,'Value must be > 0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2158,'positive'),(336,0,'e3d1caf8-21dc-11ea-a9f8-693042a6b9d8','password',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2160,'password'),(337,0,'e3d1cafa-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>STARTTLS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>STARTTLS</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>SSL_TLS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>SSL/TLS</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2161,'lookup.local'),(338,0,'e3d1cafc-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2162,'nonNegative'),(339,0,'e3d685f7-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>security.user</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2170,'archetypeRange'),(340,0,'e3d685f9-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationWorkList</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2171,'archetypeRange'),(341,0,'e3db40f6-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2181,'archetypeRange'),(342,0,'e3db40f8-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.letterhead</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2182,'archetypeRange'),(343,0,'e3e02304-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationPractice</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2191,'archetypeRange'),(344,0,'e3e02306-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.mailServer</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2192,'archetypeRange'),(345,0,'e3e26cfc-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationPractice</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2196,'archetypeRange'),(346,0,'e3e26cfe-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.documentTemplateSMSAppointment</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2197,'archetypeRange'),(347,0,'e3e727fa-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationPractice</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2206,'archetypeRange');
INSERT INTO `assertion_descriptors` VALUES (348,0,'e3e727fc-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>security.user</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2207,'archetypeRange'),(349,0,'e3e99904-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2213,'archetypeRange'),(350,0,'e3e99906-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationDeposit</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2214,'archetypeRange'),(351,0,'e3ec090d-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2219,'archetypeRange'),(352,0,'e3ec090f-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationOTC</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2220,'archetypeRange'),(353,0,'e3ee5306-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2225,'archetypeRange'),(354,0,'e3ee5308-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationStockLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2226,'archetypeRange'),(355,0,'e3f0c410-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2232,'archetypeRange'),(356,0,'e3f0c412-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationTill</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2233,'archetypeRange'),(357,0,'e3f30e0a-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2239,'archetypeRange'),(358,0,'e3f30e0c-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.organisationScheduleView</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2240,'archetypeRange'),(359,0,'e3f57f14-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2246,'archetypeRange'),(360,0,'e3f57f16-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.organisationWorkListView</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2247,'archetypeRange'),(361,0,'e3f7f01e-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationPractice</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2253,'archetypeRange'),(362,0,'e3f7f020-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2254,'archetypeRange'),(363,0,'e3fa3a17-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationStockLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2259,'archetypeRange'),(364,0,'e3fa3a19-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>security.user</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2260,'archetypeRange'),(365,0,'e3fcab1d-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationStockLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2262,'archetypeRange'),(366,0,'e3fcab1f-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2263,'archetypeRange'),(367,0,'e3ff1c23-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationPractice</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2265,'archetypeRange'),(368,0,'e3ff1c25-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.subscription</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2266,'archetypeRange'),(369,0,'e4016619-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2268,'propercase'),(370,0,'e401661d-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.bank</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2271,'lookup'),(371,0,'e4016623-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityRelationship.locationDeposit</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2276,'archetypeRange'),(372,0,'e4016624-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',1,'Duplicate active location deposit relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2276,'uniqueEntityRelationship'),(373,0,'e403d728-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2278,'propercase'),(374,0,'e403d72f-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2284,'lookup.local'),(375,0,'e403d732-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.location</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.phoneNumber</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.email</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.website</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2286,'archetypeRange'),(376,0,'e403d736-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active practice location relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2289,'uniqueEntityRelationship'),(377,0,'e403d738-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active till relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2290,'uniqueEntityRelationship'),(378,0,'e403d73a-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active deposit account relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2291,'uniqueEntityRelationship'),(379,0,'e403d73c-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active schedule view relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2292,'uniqueEntityRelationship'),(380,0,'e403d73e-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active location work list view relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2293,'uniqueEntityRelationship'),(381,0,'e403d740-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active stock location relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2294,'uniqueEntityRelationship'),(382,0,'e403d74b-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active service ratio relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2304,'uniqueEntityRelationship'),(383,0,'e403d74d-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active follow-up work list relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2305,'uniqueEntityRelationship'),(384,0,'e4089241-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2307,'propercase'),(385,0,'e4089245-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityRelationship.locationOTC</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2310,'archetypeRange'),(386,0,'e4089247-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityRelationship.patientLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityRelationship.patientOwner</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2311,'archetypeRange'),(387,0,'e4089248-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',1,'Duplicate active patient relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2311,'uniqueEntityRelationship'),(388,0,'e408924a-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.location</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.phoneNumber</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.email</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2312,'archetypeRange'),(389,0,'e408924c-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityIdentity.code</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2313,'archetypeRange'),(390,0,'e40d4d42-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2317,'propercase'),(391,0,'e40d4d46-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,'Invalid currency','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.currency</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2320,'lookup'),(392,0,'e40d4d48-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.addressformat</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2321,'lookup'),(393,0,'e40d4d4a-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,'Invalid duration format','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.durationformats</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2322,'lookup'),(394,0,'e40d4d4d-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>YEARS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>years</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2324,'lookup.local'),(395,0,'e40d4d50-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>YEARS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>years</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2326,'lookup.local'),(396,0,'e40d4d52-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMMA</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Comma separated values</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>TAB</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Tab separated values</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2327,'lookup.local'),(397,0,'e40d4d5b-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>HOURS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>hours</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>YEARS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>years</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2335,'lookup.local'),(398,0,'e40d4d5e-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,'Invalid user type','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.userType</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2337,'lookup'),(399,0,'e40d4d64-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,'Invalid user name format','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.userNameFormat</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2342,'lookup'),(400,0,'e40d4d66-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,'Invalid user name format','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.userNameFormat</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2343,'lookup'),(401,0,'e40d4d68-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,'Invalid user name format','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.userNameFormat</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2344,'lookup'),(402,0,'e40d4d6c-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MINUTES</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>minutes</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>HOURS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>hours</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2347,'lookup.local'),(403,0,'e40d4d74-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.location</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.phoneNumber</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.email</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.website</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2354,'archetypeRange'),(404,0,'e40d4d77-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active practice location relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2356,'uniqueEntityRelationship'),(405,0,'e4147972-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2365,'propercase'),(406,0,'e4147976-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityRelationship.stockLocationDefaultAuthor</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2368,'archetypeRange'),(407,0,'e4147978-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityRelationship.locationStockLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2369,'archetypeRange'),(408,0,'e4147979-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',1,'Duplicate active stock location relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2369,'uniqueEntityRelationship'),(409,0,'e416ea7d-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2371,'propercase'),(410,0,'e416ea84-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'The Drawer Command must contain a comma separated list of values in the range 0..255','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>(^$)|(^(\\d+)(,\\s*\\d+)*$)</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2377,'regularExpression'),(411,0,'e416ea86-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityRelationship.locationTill</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2378,'archetypeRange'),(412,0,'e416ea87-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',1,'Duplicate active till location relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2378,'uniqueEntityRelationship'),(413,0,'e4193484-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2389,'lookup.local'),(414,0,'e41ba48e-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Addendum Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2397,'lookup.local'),(415,0,'e4205f8e-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,'Invalid Visit Reason','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.visitReason*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2411,'lookup'),(416,0,'e4205f93-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Visit Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2415,'lookup.local'),(417,0,'e422d09e-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Note Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2424,'lookup.local'),(418,0,'e422d0a5-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.patientClinicalEventItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2430,'archetypeRange'),(419,0,'e42541af-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.presentingComplaint*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2438,'lookup'),(420,0,'e42541b1-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.diagnosis*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2439,'lookup'),(421,0,'e42541b3-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>UNRESOLVED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Unresolved</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>RESOLVED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Resolved</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2440,'lookup.local'),(422,0,'e42541b6-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.patientClinicalProblemItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2442,'archetypeRange'),(423,0,'e42541ba-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.patientClinicalEventItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2445,'archetypeRange'),(424,0,'e429fcbc-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2460,'lookup.local'),(425,0,'e42c46bd-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2475,'lookup.local'),(426,0,'e42eb7cc-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2488,'lookup.local'),(427,0,'e43372ce-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2504,'lookup.local'),(428,0,'e435e3df-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2519,'lookup.local'),(429,0,'e4382dde-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2532,'lookup.local'),(430,0,'e43d0ff2-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2550,'lookup.local'),(431,0,'e43f59fc-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CANCELLED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Cancelled</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2574,'lookup.local'),(432,0,'e43f59fe-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PENDING</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Pending</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CONFIRM</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Confirm Order</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>SENT</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Sent</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ERROR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Error</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WAITING_FOR_SAMPLE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Waiting for Sample</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PARTIAL_RESULTS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Partial Results</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>RECEIVED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Received</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>REVIEWED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Reviewed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2575,'lookup.local'),(433,0,'e4443c16-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PENDING</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Pending</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CANCELLED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Cancelled</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2597,'lookup.local'),(434,0,'e446851f-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PENDING</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Pending</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CANCELLED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Cancelled</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2620,'lookup.local'),(435,0,'e448f62b-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2630,'lookup.local'),(436,0,'e44db12a-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Medication Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2643,'lookup.local'),(437,0,'e44db12c-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2644,'nonNegative'),(438,0,'e4526c36-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.patientPrescriptionMedication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2668,'archetypeRange'),(439,0,'e455526d-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Medication Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2673,'lookup.local'),(440,0,'e4555271-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>KILOGRAMS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Kilograms</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>GRAMS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Grams</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POUNDS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Pounds</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2676,'lookup.local'),(441,0,'e4555275-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.patientClinicalEventItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2679,'archetypeRange'),(442,0,'e4579c6b-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientClinicalEvent</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2683,'archetypeRange'),(443,0,'e4579c6d-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAccountInvoiceItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2684,'archetypeRange'),(444,0,'e45a0d73-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientClinicalEvent</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2688,'archetypeRange'),(445,0,'e45a0d75-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientClinicalAddendum</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientClinicalNote</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientClinicalProblem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientWeight</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientMedication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientInvestigation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientDocumentAttachment</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientDocumentForm</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientDocumentImage</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientDocumentLetter</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2689,'archetypeRange'),(446,0,'e45c7e7b-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientClinicalNote</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientMedication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2693,'archetypeRange'),(447,0,'e45c7e7d-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientClinicalAddendum</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2694,'archetypeRange'),(448,0,'e45ec873-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientClinicalProblem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2698,'archetypeRange'),(449,0,'e45ec875-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientClinicalAddendum</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientClinicalNote</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientMedication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientInvestigation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientDocumentAttachment</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientDocumentForm</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientDocumentImage</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientDocumentLetter</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2699,'archetypeRange'),(450,0,'e461397b-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientDocumentAttachment</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2703,'archetypeRange'),(451,0,'e461397d-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientDocumentAttachmentVersion</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2704,'archetypeRange'),(452,0,'e463aa83-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientDocumentImage</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2708,'archetypeRange'),(453,0,'e463aa85-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientDocumentImageVersion</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2709,'archetypeRange'),(454,0,'e465f47b-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientDocumentLetter</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2713,'archetypeRange'),(455,0,'e465f47d-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientDocumentLetterVersion</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2714,'archetypeRange'),(456,0,'e46d2083-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientInvestigation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2732,'archetypeRange'),(457,0,'e46d2085-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientInvestigationVersion</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2733,'archetypeRange'),(458,0,'e46f918b-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientPrescription</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2737,'archetypeRange'),(459,0,'e46f918d-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientMedication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2738,'archetypeRange'),(460,0,'e4744c89-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>HIGH</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>High</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MEDIUM</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Medium</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>LOW</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Low</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2747,'lookup.local'),(461,0,'e4744c8e-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>YEARS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>years</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2751,'lookup.local'),(462,0,'e476bd98-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.discountType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.discountGroupType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2759,'archetypeRange'),(463,0,'e4790790-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.patientpet</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2765,'archetypeRange'),(464,0,'e4790792-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.customPatient*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2766,'archetypeRange'),(465,0,'e47b7899-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.investigationType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2771,'archetypeRange'),(466,0,'e47b789b-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.supplierorganisation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2772,'archetypeRange'),(467,0,'e47dc292-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.investigationType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2777,'archetypeRange'),(468,0,'e47dc294-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.documentTemplate</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2778,'archetypeRange'),(469,0,'e480339a-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.customerperson</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2782,'archetypeRange'),(470,0,'e480339c-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.patientpet</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2783,'archetypeRange'),(471,0,'e482a4a4-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.customerperson</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2789,'archetypeRange'),(472,0,'e482a4a6-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.patientpet</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2790,'archetypeRange'),(473,0,'e484eea1-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.patientpet</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2799,'archetypeRange'),(474,0,'e484eea3-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.supplierVeterinarian</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2800,'archetypeRange'),(475,0,'e4875eac-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.patientpet</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2807,'archetypeRange'),(476,0,'e4875eae-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.supplierVeterinarian</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2808,'archetypeRange'),(477,0,'e48c19a2-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>security.user</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2810,'archetypeRange'),(478,0,'e48c19a4-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2811,'archetypeRange'),(479,0,'e48e8aa8-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.investigationType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2813,'archetypeRange'),(480,0,'e48e8aaa-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2814,'archetypeRange'),(481,0,'e490d49e-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.patient*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2816,'archetypeRange'),(482,0,'e490d4a0-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2817,'archetypeRange'),(483,0,'e495b6a8-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.reminderType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2822,'archetypeRange'),(484,0,'e495b6aa-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientReminder</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2823,'archetypeRange'),(485,0,'e498009e-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2825,'propercase'),(486,0,'e49800a1-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.species</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2827,'lookup'),(487,0,'e49800a3-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>targetLookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>relationship</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>relationship</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookupRelationship.speciesBreed</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>value</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>value</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>/details/species</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2828,'lookup'),(488,0,'e49800a6-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2830,'propercase'),(489,0,'e49800a8-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MALE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Male</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>FEMALE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Female</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>UNSPECIFIED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Unspecified</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2831,'lookup.local'),(490,0,'e49800b1-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityRelationship.patientOwner</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityRelationship.patientLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2839,'archetypeRange'),(491,0,'e49800b2-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',1,'Duplicate active customer relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2839,'uniqueEntityRelationship'),(492,0,'e49800b4-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityIdentity.microchip</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityIdentity.petTag</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityIdentity.alias</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2840,'archetypeRange'),(493,0,'e49800b6-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityRelationship.referredFrom</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityRelationship.referredTo</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2841,'archetypeRange'),(494,0,'e49f2cbc-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>customer.information</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Customers - Information</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>customer.document</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Customers - Documents</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>customer.estimate</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Customers - Estimates</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>customer.charge</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Customers - Charges</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>customer.payment</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Customers - Payments</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>customer.account</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Customers - Accounts</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>customer.communication</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Customers - Communications</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>patient.information</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Patients - Information</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>patient.record</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Patients - Medical Records</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>supplier.document</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Suppliers - Documents</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>supplier.order</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Suppliers - Orders</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>supplier.delivery</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Suppliers - Deliveries</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>supplier.charge</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Suppliers - Charges</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>supplier.payment</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Suppliers - Payments</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>supplier.account</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Suppliers - Account</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>workflow.scheduling</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Workflow - Scheduling</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>workflow.worklist</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Workflow - Work Lists</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>workflow.messaing</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Workflow - Messaging</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>workflow.investigation</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Workflow - Investigations</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>product.information</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Products - Information</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>product.stock</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Products - Stock Management</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>product.batch</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Products - Batches</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>reporting.till</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Reporting - Till Balancing</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>reporting.deposit</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Reporting - Deposits</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>reporting.debtor</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Reporting - Debtors</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>reporting.wip</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Reporting - Work In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>reporting.insurance</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Reporting - Insurance</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>reporting.reminder</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Reporting - Reminders</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>reporting.report</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Reporting - Reports</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2859,'lookup.local'),(495,0,'e4a19dcc-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ASC</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Oldest Visit First</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DESC</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Newest Visit First</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2873,'lookup.local'),(496,0,'e4a19dce-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ASC</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Oldest Record First</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DESC</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Newest Record First</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2874,'lookup.local'),(497,0,'e4a658c8-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>EVENT_TYPE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Event Type</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CLINICIAN</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Clinician</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>STATUS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Status</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2882,'lookup.local'),(498,0,'e4a658ca-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ALL</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>All</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>AM_PM</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Now (AM/PM)</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>M_A_E</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Now (Morning/Afternoon/Evening)</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2883,'lookup.local'),(499,0,'e4a658cc-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAY</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Day</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEK</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Week</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>FORTNIGHT</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Fortnight</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTH</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Month</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2884,'lookup.local'),(500,0,'e4a658ce-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ALL</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>All</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CAGE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Cage</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>SUMMARY</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Summary</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CHECKIN</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Check-Ins</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CHECKOUT</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Check-Outs</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2885,'lookup.local'),(501,0,'e4a8c9d6-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ALWAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Always</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ACTIVE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Active</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>NEVER</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Never</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2891,'lookup.local'),(502,0,'e4ab13d0-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>EVENT_TYPE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Event Type</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CLINICIAN</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Clinician</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>STATUS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Status</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2899,'lookup.local'),(503,0,'e4ab13d2-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ALL</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>All</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>INCOMPLETE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Incomplete</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Complete</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2900,'lookup.local'),(504,0,'e4ad84df-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.preferences</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2910,'archetypeRange'),(505,0,'e4ad84e1-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.preferenceGroupCharge</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2911,'archetypeRange'),(506,0,'e4afced8-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.preferences</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2916,'archetypeRange'),(507,0,'e4afceda-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.preferenceGroupGeneral</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2917,'archetypeRange'),(508,0,'e4b23fe1-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.preferences</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2922,'archetypeRange'),(509,0,'e4b23fe3-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.preferenceGroupHistory</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2923,'archetypeRange'),(510,0,'e4b4b0ea-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.preferences</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2928,'archetypeRange'),(511,0,'e4b4b0ec-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.preferenceGroupScheduling</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2929,'archetypeRange'),(512,0,'e4b6fae3-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.preferences</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2934,'archetypeRange'),(513,0,'e4b6fae5-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.preferenceGroupSummary</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2935,'archetypeRange'),(514,0,'e4b96bec-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.preferences</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2940,'archetypeRange'),(515,0,'e4b96bee-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.preferenceGroupWorkList</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2941,'archetypeRange'),(516,0,'e4bbdcf5-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.preferences</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2946,'archetypeRange'),(517,0,'e4bbdcf7-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>security.user</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationPractice</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2947,'archetypeRange'),(518,0,'e4c097f7-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2960,'nonNegative'),(519,0,'e4c097f9-21dc-11ea-a9f8-693042a6b9d8','positive',_binary '',0,'Value must be > 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2961,'positive'),(520,0,'e4c097fb-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>KILOGRAMS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Kilograms</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>GRAMS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Grams</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POUNDS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Pounds</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2962,'lookup.local'),(521,0,'e4c097fd-21dc-11ea-a9f8-693042a6b9d8','positive',_binary '',0,'Value must be > 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2963,'positive'),(522,0,'e4c097ff-21dc-11ea-a9f8-693042a6b9d8','positive',_binary '',0,'Value must be > 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2964,'positive'),(523,0,'e4c09801-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>0</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>0</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>1</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>1</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>2</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>2</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2965,'lookup.local'),(524,0,'e4c2e1fc-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active discount product type relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2974,'uniqueEntityRelationship'),(525,0,'e4c55303-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.productBatch</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2979,'archetypeRange'),(526,0,'e4c55305-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationStockLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2980,'archetypeRange'),(527,0,'e4c7c30d-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.productBatch</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2986,'archetypeRange'),(528,0,'e4c7c30f-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.supplierManufacturer</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2987,'archetypeRange'),(529,0,'e4ca0d05-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.productBatch</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2991,'archetypeRange'),(530,0,'e4ca0d07-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.medication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.merchandise</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',2992,'archetypeRange'),(531,0,'e4ceef19-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.medication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.service</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.merchandise</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3007,'archetypeRange'),(532,0,'e4d13910-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.medication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.merchandise</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.service</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.template</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3012,'archetypeRange'),(533,0,'e4d3aa1a-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.medication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.merchandise</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.service</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3020,'archetypeRange'),(534,0,'e4d3aa21-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3025,'archetypeRange'),(535,0,'e4d3aa23-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.productDose</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3026,'archetypeRange'),(536,0,'e4d5f41b-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.medication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.merchandise</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3032,'archetypeRange'),(537,0,'e4d5f41d-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.medication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.merchandise</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3033,'archetypeRange'),(538,0,'e4d86524-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3038,'nonNegative'),(539,0,'e4d86526-21dc-11ea-a9f8-693042a6b9d8','positive',_binary '',0,'Value must be > 0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3039,'positive'),(540,0,'e4d86528-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3040,'nonNegative'),(541,0,'e4d8652a-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3041,'nonNegative'),(542,0,'e4d8652c-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>KILOGRAMS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Kilograms</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>GRAMS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Grams</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POUNDS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Pounds</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3042,'lookup.local'),(543,0,'e4d86532-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.template</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3047,'archetypeRange'),(544,0,'e4d86534-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.medication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.merchandise</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.service</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.template</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3048,'archetypeRange'),(545,0,'e4dd202b-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.medication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.merchandise</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.service</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3053,'archetypeRange'),(546,0,'e4dd202d-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.laboratoryTest</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.laboratoryTestHL7</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3054,'archetypeRange'),(547,0,'e4df9133-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.medication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.merchandise</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.service</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3058,'archetypeRange'),(548,0,'e4e1db2d-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.service</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.template</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3066,'archetypeRange'),(549,0,'e4e1db2f-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3067,'archetypeRange'),(550,0,'e4e44c35-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.productType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3071,'archetypeRange'),(551,0,'e4e44c37-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.HL7ServicePharmacy</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.HL7ServicePharmacyGroup</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3072,'archetypeRange'),(552,0,'e4e6bd40-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>YEARS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>years</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3079,'lookup.local'),(553,0,'e4e6bd42-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.medication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.service</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.merchandise</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3080,'archetypeRange'),(554,0,'e4e9073b-21dc-11ea-a9f8-693042a6b9d8','expression',_binary '',0,'Ideal Qty must be >= Critical Qty','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>idealQty &gt;= criticalQty</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3087,'expression'),(555,0,'e4e90740-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.medication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.merchandise</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3091,'archetypeRange'),(556,0,'e4e90742-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationStockLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3092,'archetypeRange'),(557,0,'e4e90744-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.supplierorganisation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3093,'archetypeRange'),(558,0,'e4ede950-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Package Size must be >= 0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3103,'nonNegative'),(559,0,'e4ede952-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.uom</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3104,'lookup'),(560,0,'e4ede957-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>hours</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>hours</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3108,'lookup.local'),(561,0,'e4ede959-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'List Price must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3109,'nonNegative'),(562,0,'e4ede95b-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Nett Price must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3110,'nonNegative'),(563,0,'e4ede95e-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.medication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.merchandise</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.service</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3112,'archetypeRange'),(564,0,'e4ede960-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.supplierorganisation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.supplierperson</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3113,'archetypeRange'),(565,0,'e4f03357-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.medication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.merchandise</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.service</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.template</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3118,'archetypeRange'),(566,0,'e4f03359-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.productType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3119,'archetypeRange'),(567,0,'e4f4ee55-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.medication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3128,'archetypeRange'),(568,0,'e4f4ee57-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3129,'archetypeRange'),(569,0,'e4f75f5b-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.medication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.merchandise</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.service</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.template</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3131,'archetypeRange'),(570,0,'e4f75f5d-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3132,'archetypeRange'),(571,0,'e4f9d061-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.productBatch</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3134,'archetypeRange'),(572,0,'e4f9d063-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3135,'archetypeRange'),(573,0,'e4fc1a57-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.template</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3137,'archetypeRange'),(574,0,'e4fc1a59-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3138,'archetypeRange'),(575,0,'e4fc1a5d-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.medication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.merchandise</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3140,'archetypeRange'),(576,0,'e4fc1a5f-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3141,'archetypeRange'),(577,0,'e4fe8b66-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.productDrugSchedule</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3146,'lookup'),(578,0,'e4fe8b69-21dc-11ea-a9f8-693042a6b9d8','positive',_binary '',0,'Value must be > 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3148,'positive'),(579,0,'e4fe8b6b-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.uom</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3149,'lookup'),(580,0,'e4fe8b6d-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.uom</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3150,'lookup'),(581,0,'e4fe8b6f-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.uom</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3151,'lookup'),(582,0,'e4fe8b71-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>GIVE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Give</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ADMINISTER</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Administer</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>INJECT</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Inject</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>APPLY</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Apply</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3152,'lookup.local'),(583,0,'e4fe8b78-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>entityIdentity.microchip</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Microchip</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>entityIdentity.petTag</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Pet Tag</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>entityIdentity.rabiesTag</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Rabies Tag</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3158,'lookup.local'),(584,0,'e4fe8b7c-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>productPrice.fixedPrice</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>productPrice.unitPrice</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3161,'archetypeRange'),(585,0,'e4fe8b7f-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active linked product relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3163,'uniqueEntityRelationship'),(586,0,'e4fe8b81-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active Laboratory Test relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3164,'uniqueEntityRelationship'),(587,0,'e4fe8b85-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active stock location relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3167,'uniqueEntityRelationship'),(588,0,'e4fe8b87-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active product reminder relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3168,'uniqueEntityRelationship'),(589,0,'e4fe8b89-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active product alert relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3169,'uniqueEntityRelationship'),(590,0,'e4fe8b8b-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active product document relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3170,'uniqueEntityRelationship'),(591,0,'e4fe8b8d-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active product discount relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3171,'uniqueEntityRelationship'),(592,0,'e4fe8b91-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.productGroup</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.productIncomeType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3174,'archetypeRange'),(593,0,'e4fe8b93-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityIdentity.barcode</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityIdentity.code</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3175,'archetypeRange'),(594,0,'e4fe8b95-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active product equivalent relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3176,'uniqueEntityRelationship'),(595,0,'e505b68d-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.uom</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3182,'lookup'),(596,0,'e505b692-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>entityIdentity.microchip</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Microchip</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>entityIdentity.petTag</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Pet Tag</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>entityIdentity.rabiesTag</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Rabies Tag</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3186,'lookup.local'),(597,0,'e505b695-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>productPrice.fixedPrice</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>productPrice.unitPrice</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3188,'archetypeRange'),(598,0,'e505b697-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active linked product relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3189,'uniqueEntityRelationship'),(599,0,'e505b699-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active Laboratory Test relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3190,'uniqueEntityRelationship'),(600,0,'e505b69d-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active stock location relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3193,'uniqueEntityRelationship'),(601,0,'e505b69f-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active product reminder relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3194,'uniqueEntityRelationship'),(602,0,'e505b6a1-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active product alert relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3195,'uniqueEntityRelationship'),(603,0,'e505b6a3-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active product document relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3196,'uniqueEntityRelationship'),(604,0,'e505b6a5-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active product discount relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3197,'uniqueEntityRelationship'),(605,0,'e505b6a9-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.productGroup</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.productIncomeType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3200,'archetypeRange'),(606,0,'e505b6ab-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityIdentity.barcode</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityIdentity.code</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3201,'archetypeRange'),(607,0,'e505b6ad-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active product equivalent relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3202,'uniqueEntityRelationship'),(608,0,'e50a71a9-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.productGroup</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.productIncomeType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3212,'archetypeRange'),(609,0,'e50ce2b4-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.uom</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3221,'lookup'),(610,0,'e50ce2b8-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>entityIdentity.microchip</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Microchip</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>entityIdentity.petTag</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Pet Tag</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>entityIdentity.rabiesTag</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Rabies Tag</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3224,'lookup.local'),(611,0,'e50ce2bb-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>productPrice.fixedPrice</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>productPrice.unitPrice</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3226,'archetypeRange'),(612,0,'e50ce2bd-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active linked product relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3227,'uniqueEntityRelationship'),(613,0,'e50ce2bf-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active Laboratory Test relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3228,'uniqueEntityRelationship'),(614,0,'e50ce2c1-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active product reminder relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3229,'uniqueEntityRelationship'),(615,0,'e50ce2c3-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active product alert relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3230,'uniqueEntityRelationship'),(616,0,'e50ce2c5-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active product document relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3231,'uniqueEntityRelationship'),(617,0,'e50ce2c8-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active product discount relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3233,'uniqueEntityRelationship'),(618,0,'e50ce2cb-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.productType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.productGroup</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.productIncomeType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3235,'archetypeRange'),(619,0,'e50ce2cf-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active location relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3238,'uniqueEntityRelationship'),(620,0,'e5119dcf-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.productType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.productGroup</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.productIncomeType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3252,'archetypeRange'),(621,0,'e5119dd4-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active product discount relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3256,'uniqueEntityRelationship'),(622,0,'e5119dd7-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active location relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3258,'uniqueEntityRelationship'),(623,0,'e51658d6-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.pricingGroup</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3271,'archetypeRange'),(624,0,'e518c9e1-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.uom</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3280,'lookup'),(625,0,'e518c9e6-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.pricingGroup</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3284,'archetypeRange'),(626,0,'e51b13e0-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CANCELLED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Cancelled</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3292,'lookup.local'),(627,0,'e51d84f2-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PENDING</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Queued</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Sent</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CANCELLED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Dequeued</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ERROR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Error</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3308,'lookup.local'),(628,0,'e51ff5fe-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PENDING</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Queued</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Sent</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CANCELLED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Dequeued</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ERROR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Error</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3318,'lookup.local'),(629,0,'e5223ffa-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PENDING</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Queued</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Sent</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CANCELLED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Dequeued</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ERROR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Error</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3328,'lookup.local'),(630,0,'e524b106-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PENDING</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Queued</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Sent</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CANCELLED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Dequeued</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ERROR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Error</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3338,'lookup.local'),(631,0,'e5272212-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PENDING</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Queued</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Sent</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CANCELLED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Dequeued</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ERROR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Error</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3348,'lookup.local'),(632,0,'e52e2606-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3364,'propercase'),(633,0,'e52e260b-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3368,'nonNegative'),(634,0,'e52e260d-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3369,'lookup.local'),(635,0,'e52e260f-21dc-11ea-a9f8-693042a6b9d8','positive',_binary '',0,'Value must be > 0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3370,'positive'),(636,0,'e52e2611-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3371,'lookup.local'),(637,0,'e52e2613-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3372,'nonNegative'),(638,0,'e52e2615-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3373,'lookup.local'),(639,0,'e52e2617-21dc-11ea-a9f8-693042a6b9d8','positive',_binary '',0,'Value must be > 0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3374,'positive'),(640,0,'e52e2619-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3375,'lookup.local'),(641,0,'e52e261b-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3376,'nonNegative'),(642,0,'e52e261d-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3377,'lookup.local'),(643,0,'e52e261f-21dc-11ea-a9f8-693042a6b9d8','positive',_binary '',0,'Value must be > 0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3378,'positive'),(644,0,'e52e2621-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3379,'lookup.local'),(645,0,'e52e2623-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3380,'nonNegative'),(646,0,'e52e2625-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3381,'lookup.local'),(647,0,'e52e2627-21dc-11ea-a9f8-693042a6b9d8','positive',_binary '',0,'Value must be > 0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3382,'positive'),(648,0,'e52e2629-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3383,'lookup.local'),(649,0,'e52e262b-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Value must be >= 0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3384,'nonNegative'),(650,0,'e52e262d-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3385,'lookup.local'),(651,0,'e52e262f-21dc-11ea-a9f8-693042a6b9d8','positive',_binary '',0,'Value must be > 0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3386,'positive'),(652,0,'e52e2631-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3387,'lookup.local'),(653,0,'e537c32c-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>YEARS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>years</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3396,'lookup.local'),(654,0,'e53a0d2c-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>FIRST</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>First</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ANY</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Any</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ALL</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>All</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3410,'lookup.local'),(655,0,'e53c7e30-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3412,'propercase'),(656,0,'e53c7e34-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CUSTOMER</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Customer</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PATIENT</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Patient</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3415,'lookup.local'),(657,0,'e53c7e38-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>YEARS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>years</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3418,'lookup.local'),(658,0,'e53c7e3b-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>YEARS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>years</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3420,'lookup.local'),(659,0,'e53c7e3e-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>YEARS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>years</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3422,'lookup.local'),(660,0,'e54ad64c-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3460,'propercase'),(661,0,'e54d2054-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3481,'lookup.local'),(662,0,'e54d2057-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.stockAdjustItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3483,'archetypeRange'),(663,0,'e5520269-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3498,'lookup.local'),(664,0,'e552026c-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.stockTransferItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3500,'archetypeRange'),(665,0,'e5544c65-21dc-11ea-a9f8-693042a6b9d8','positive',_binary '',0,'Quantity must be >= 1','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3507,'positive'),(666,0,'e556bd6d-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.stockAdjust</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3513,'archetypeRange'),(667,0,'e556bd6f-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.stockAdjustItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3514,'archetypeRange'),(668,0,'e5592e76-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.stockTransfer</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3519,'archetypeRange'),(669,0,'e5592e78-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.stockTransferItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3520,'archetypeRange'),(670,0,'e55b786c-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationStockLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3522,'archetypeRange'),(671,0,'e55b786e-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.stockTransfer</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3523,'archetypeRange'),(672,0,'e55de978-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Charge Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ON_HOLD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>On Hold</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3531,'lookup.local'),(673,0,'e55de97a-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.supplierAccountCreditItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3532,'archetypeRange'),(674,0,'e5603376-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Charge Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ON_HOLD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>On Hold</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3542,'lookup.local'),(675,0,'e5603378-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.supplierAccountInvoiceItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3543,'archetypeRange'),(676,0,'e565149c-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Payment Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ON_HOLD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>On Hold</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3575,'lookup.local'),(677,0,'e565149e-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.supplierAccountPaymentItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3576,'archetypeRange'),(678,0,'e569cfa5-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.bank</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3596,'lookup'),(679,0,'e56c199e-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.creditcard</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3603,'lookup'),(680,0,'e570fbaf-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Payment Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ON_HOLD</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>On Hold</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3617,'lookup.local'),(681,0,'e570fbb1-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.supplierAccountRefundItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3618,'archetypeRange'),(682,0,'e575b6b6-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.bank</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3636,'lookup'),(683,0,'e57827bf-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.creditcard</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3643,'lookup'),(684,0,'e57a71c0-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Amount must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3657,'nonNegative'),(685,0,'e57a71c2-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Tax must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3658,'nonNegative'),(686,0,'e57a71c7-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CANCELLED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Cancelled</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3662,'lookup.local'),(687,0,'e57a71ca-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.supplierDeliveryItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3664,'archetypeRange'),(688,0,'e57a71cc-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.supplierDeliveryOrder</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3665,'archetypeRange'),(689,0,'e57a71ce-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.supplierDeliveryInvoice</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3666,'archetypeRange'),(690,0,'e57f2ccd-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Package Size must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3679,'nonNegative'),(691,0,'e57f2ccf-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.uom</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3680,'lookup'),(692,0,'e57f2cd1-21dc-11ea-a9f8-693042a6b9d8','positive',_binary '',0,'Quantity must be > 0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3681,'positive'),(693,0,'e57f2cd3-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Nett Price must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3682,'nonNegative'),(694,0,'e57f2cd5-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'List Price must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3683,'nonNegative'),(695,0,'e57f2cd7-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Tax must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3684,'nonNegative'),(696,0,'e57f2cd9-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Total must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3685,'nonNegative'),(697,0,'e57f2cdc-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.supplierDeliveryOrderItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3687,'archetypeRange'),(698,0,'e5819de4-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3693,'lookup.local'),(699,0,'e5819de7-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>document.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3695,'archetypeRange'),(700,0,'e5819dee-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.supplierDocumentAttachmentVersion</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3701,'archetypeRange'),(701,0,'e58658e6-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>document.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3707,'archetypeRange'),(702,0,'e58658f0-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3715,'lookup.local'),(703,0,'e588c9fd-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3726,'lookup.local'),(704,0,'e588ca07-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.supplierDocumentLetterVersion</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3735,'archetypeRange'),(705,0,'e58d840c-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Amount must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3753,'nonNegative'),(706,0,'e58d840e-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Tax must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3754,'nonNegative'),(707,0,'e58d8411-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CANCELLED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Cancelled</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ACCEPTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Accepted</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>REJECTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Rejected</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3756,'lookup.local'),(708,0,'e58d8413-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PENDING</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Pending</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PART</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Part</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>FULL</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Full</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3757,'lookup.local'),(709,0,'e58d8416-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.supplierOrderItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3759,'archetypeRange'),(710,0,'e58d8418-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.supplierDeliveryOrder</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3760,'archetypeRange'),(711,0,'e5923f13-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Package Size must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3769,'nonNegative'),(712,0,'e5923f15-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.uom</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3770,'lookup'),(713,0,'e5923f17-21dc-11ea-a9f8-693042a6b9d8','positive',_binary '',0,'Quantity must be > 0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3771,'positive'),(714,0,'e5923f19-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Received Quantity must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3772,'nonNegative'),(715,0,'e5923f1b-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Cancelled Quantity must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3773,'nonNegative'),(716,0,'e5923f1d-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Nett Price must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3774,'nonNegative'),(717,0,'e5923f1f-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'List Price must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3775,'nonNegative'),(718,0,'e5923f21-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Tax must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3776,'nonNegative'),(719,0,'e5923f23-21dc-11ea-a9f8-693042a6b9d8','nonNegative',_binary '',0,'Total must be >= 0.0','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3777,'nonNegative'),(720,0,'e5923f25-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.supplierDeliveryOrderItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3778,'archetypeRange'),(721,0,'e5923f27-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.supplierReturnOrderItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3779,'archetypeRange'),(722,0,'e5972136-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>POSTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Finalised</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CANCELLED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Cancelled</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3792,'lookup.local'),(723,0,'e5972138-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.supplierReturnItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3793,'archetypeRange'),(724,0,'e597213a-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.supplierReturnCredit</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3794,'archetypeRange'),(725,0,'e5996b36-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.uom</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3804,'lookup'),(726,0,'e5996b3e-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.supplierReturnOrderItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3811,'archetypeRange'),(727,0,'e59e4d46-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierAccountChargesCredit</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3817,'archetypeRange'),(728,0,'e59e4d48-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierAccountCreditItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3818,'archetypeRange');
INSERT INTO `assertion_descriptors` VALUES (729,0,'e5a0973f-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierAccountChargesInvoice</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3823,'archetypeRange'),(730,0,'e5a09741-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierAccountInvoiceItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3824,'archetypeRange'),(731,0,'e5a30848-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierAccountPayment</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3829,'archetypeRange'),(732,0,'e5a3084a-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierAccountPaymentCash</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierAccountPaymentCheque</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierAccountPaymentCredit</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierAccountPaymentEFT</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3830,'archetypeRange'),(733,0,'e5a55241-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierAccountRefund</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3835,'archetypeRange'),(734,0,'e5a55243-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierAccountRefundCash</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierAccountRefundCheque</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierAccountRefundCredit</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierAccountRefundEFT</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3836,'archetypeRange'),(735,0,'e5a7c34a-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierDelivery</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3841,'archetypeRange'),(736,0,'e5a7c34c-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierAccountChargesInvoice</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3842,'archetypeRange'),(737,0,'e5aa3453-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierDelivery</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3847,'archetypeRange'),(738,0,'e5aa3455-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierDeliveryItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3848,'archetypeRange'),(739,0,'e5ac7e4b-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierDelivery</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3852,'archetypeRange'),(740,0,'e5ac7e4d-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierOrder</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3853,'archetypeRange'),(741,0,'e5aeef53-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierDeliveryItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3857,'archetypeRange'),(742,0,'e5aeef55-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierOrderItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3858,'archetypeRange'),(743,0,'e5b1605b-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierDocumentAttachment</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3862,'archetypeRange'),(744,0,'e5b1605d-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierDocumentAttachmentVersion</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3863,'archetypeRange'),(745,0,'e5b3aa53-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierDocumentLetter</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3867,'archetypeRange'),(746,0,'e5b3aa55-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierDocumentLetterVersion</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3868,'archetypeRange'),(747,0,'e5b61b5c-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierOrder</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3873,'archetypeRange'),(748,0,'e5b61b5e-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierOrderItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3874,'archetypeRange'),(749,0,'e5b61b65-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierReturn</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3879,'archetypeRange'),(750,0,'e5b61b67-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierAccountChargesCredit</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3880,'archetypeRange'),(751,0,'e5b8655e-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierReturn</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3885,'archetypeRange'),(752,0,'e5b86560-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierReturnItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3886,'archetypeRange'),(753,0,'e5bad666-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierReturnItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3890,'archetypeRange'),(754,0,'e5bad668-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.supplierOrderItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3891,'archetypeRange'),(755,0,'e5bd4770-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.supplierorganisation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3897,'archetypeRange'),(756,0,'e5bd4772-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3898,'archetypeRange'),(757,0,'e5bf916a-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.supplierVeterinaryPractice</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3904,'archetypeRange'),(758,0,'e5bf916c-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.supplierVeterinarian</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3905,'archetypeRange'),(759,0,'e5c20274-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.supplierorganisation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.supplierManufacturer</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.supplierInsurer</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3911,'archetypeRange'),(760,0,'e5c20276-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.supplierperson</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3912,'archetypeRange'),(761,0,'e5c44c6d-21dc-11ea-a9f8-693042a6b9d8','password',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3917,'password'),(762,0,'e5c44c6f-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.supplier*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3918,'archetypeRange'),(763,0,'e5c44c71-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationStockLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3919,'archetypeRange'),(764,0,'e5c6bc75-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.supplierManufacturer</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3921,'archetypeRange'),(765,0,'e5c6bc77-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3922,'archetypeRange'),(766,0,'e5c92d7b-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.supplier*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3924,'archetypeRange'),(767,0,'e5c92d7d-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3925,'archetypeRange'),(768,0,'e5cb9e81-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3927,'propercase'),(769,0,'e5cb9e86-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.location</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.phoneNumber</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.email</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.website</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3931,'archetypeRange'),(770,0,'e5cb9e88-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityRelationship.supplierRepresentatives</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3932,'archetypeRange'),(771,0,'e5cb9e89-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',1,'Duplicate active representatives relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3932,'uniqueEntityRelationship'),(772,0,'e5cde87d-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3934,'propercase'),(773,0,'e5cde882-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.location</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.phoneNumber</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.email</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.website</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3938,'archetypeRange'),(774,0,'e5cde884-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active representatives relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3939,'uniqueEntityRelationship'),(775,0,'e5d0598e-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.personTitle</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3947,'lookup'),(776,0,'e5d05990-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3948,'propercase'),(777,0,'e5d05992-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3949,'propercase'),(778,0,'e5d05994-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3950,'propercase'),(779,0,'e5d05998-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.location</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.phoneNumber</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.email</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.website</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3953,'archetypeRange'),(780,0,'e5d51491-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.personTitle</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3960,'lookup'),(781,0,'e5d51493-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3961,'propercase'),(782,0,'e5d51495-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3962,'propercase'),(783,0,'e5d51497-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3963,'propercase'),(784,0,'e5d5149b-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.location</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.phoneNumber</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.email</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.website</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3966,'archetypeRange'),(785,0,'e5d5149d-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active practice relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3967,'uniqueEntityRelationship'),(786,0,'e5d5149f-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.veterinarySpeciality</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3968,'archetypeRange'),(787,0,'e5d75e93-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3970,'propercase'),(788,0,'e5d75e98-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.location</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.phoneNumber</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.email</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.website</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3974,'archetypeRange'),(789,0,'e5d75e9a-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active veterinarians relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3975,'uniqueEntityRelationship'),(790,0,'e5d75e9c-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.practiceType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3976,'archetypeRange'),(791,0,'e5dc40a3-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'Invalid archetype specified for collection','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>assertion.archetypeRangeProperties</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',3981,'archetypeRange'),(792,0,'e5e36cb5-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'Invalid lookup entry specified','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>assertion.localLookupEntryProperties</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4010,'archetypeRange'),(793,0,'e5f19db4-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'Can only add node descriptors','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>descriptor.node</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>descriptor.collectionNode</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4047,'archetypeRange'),(794,0,'e5f40ebb-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'Can only add property descriptors','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>descriptor.assertionProperty</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>descriptor.propertyMap</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>descriptor.propertyList</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4052,'archetypeRange'),(795,0,'e5f67fc4-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'Invalid archetype specified','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>descriptor.actionType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4058,'archetypeRange'),(796,0,'e5f8c9c5-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'Can only add assertion descriptors','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>assertion.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>descriptor.assertion</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4073,'archetypeRange'),(797,0,'e5f8c9c7-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'Can only add node descriptors','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>descriptor.node</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>descriptor.collectionNode</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4074,'archetypeRange'),(798,0,'e5fb3ad8-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'Can only add assertion descriptors','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>assertion.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>descriptor.assertion</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4089,'archetypeRange'),(799,0,'e5fd84cd-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'Invalid property type','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>descriptor.assertionProperty</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>descriptor.propertyList</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>descriptor.propertyMap</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4092,'archetypeRange'),(800,0,'e5fff5d2-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'Invalid property type','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>descriptor.assertionProperty</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>descriptor.propertyList</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>descriptor.propertyMap</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4095,'archetypeRange'),(801,0,'e60266dd-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityRelationship.userGroup</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4103,'archetypeRange'),(802,0,'e60266de-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',1,'Duplicate user','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4103,'uniqueEntityRelationship'),(803,0,'e60991dd-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.userGroup</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4115,'archetypeRange'),(804,0,'e60991df-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>security.user</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4116,'archetypeRange'),(805,0,'e60bdbd3-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4118,'propercase'),(806,0,'e60bdbd6-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>archetypeService</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Archetype Service</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4120,'lookup.local'),(807,0,'e60bdbd8-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>save</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>save</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>remove</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>remove</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>create</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>create</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4121,'lookup.local'),(808,0,'e60e4cde-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4125,'propercase'),(809,0,'e60e4ce2-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'Can only add security.archetypeAuthority objects','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>security.archetypeAuthority</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4128,'archetypeRange'),(810,0,'e61096d6-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid login name','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[a-zA-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4130,'regularExpression'),(811,0,'e61096d8-21dc-11ea-a9f8-693042a6b9d8','password',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4131,'password'),(812,0,'e61096d9-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',1,'Invalid password','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[\\\\!-~]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4131,'regularExpression'),(813,0,'e61096db-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4132,'propercase'),(814,0,'e61096df-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.personTitle</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4135,'lookup'),(815,0,'e61096e1-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4136,'propercase'),(816,0,'e61096e3-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4137,'propercase'),(817,0,'e61096e6-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>0</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>0</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>1</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>1</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>2</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>2</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>3</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>3</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>4</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>4</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>5</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>5</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>6</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>6</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>7</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>7</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>8</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>8</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>9</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>9</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4139,'lookup.local'),(818,0,'e61096ea-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.location</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.phoneNumber</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>contact.email</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4142,'archetypeRange'),(819,0,'e61096ec-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'Can only add security.role objects','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>security.role</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4143,'archetypeRange'),(820,0,'e61096ee-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityRelationship.userGroup</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4144,'archetypeRange'),(821,0,'e61096ef-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',1,'Duplicate active user group relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4144,'uniqueEntityRelationship'),(822,0,'e61096f1-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>lookup.userType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4145,'archetypeRange'),(823,0,'e61096f4-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active location relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4147,'uniqueEntityRelationship'),(824,0,'e61096f6-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active follow-up work list relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4148,'uniqueEntityRelationship'),(825,0,'e617c2ef-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MEDICAL_RECORD_LOCKING</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Medical Record Locking</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4155,'lookup.local'),(826,0,'e617c2f2-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Message Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PENDING</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Pending</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>READ</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Read</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4157,'lookup.local'),(827,0,'e61c7e03-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>DAYS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>days</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>WEEKS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>weeks</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MONTHS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>months</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>YEARS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>years</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4186,'lookup.local'),(828,0,'e61eef12-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,'Invalid Visit Reason','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.visitReason*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4199,'lookup'),(829,0,'e61eef16-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Appointment Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PENDING</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Pending</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CANCELLED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Cancelled</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CHECKED_IN</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Checked In</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>BILLED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Billed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ADMITTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Admitted</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4202,'lookup.local'),(830,0,'e6216030-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Task Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PENDING</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Pending</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CANCELLED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Cancelled</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>IN_PROGRESS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>In Progress</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>BILLED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Billed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4226,'lookup.local'),(831,0,'e623aa2b-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ERROR</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Error</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ORDER_ACCEPTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Order accepted</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ORDER_REJECTED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Order rejected</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>ORDER_INVOICED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Order invoiced</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4235,'lookup.local'),(832,0,'e623aa2e-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PENDING</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Pending</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>READ</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Read</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4237,'lookup.local'),(833,0,'e623aa30-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>actRelationship.systemMessageItem</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4238,'archetypeRange'),(834,0,'e6288c3b-21dc-11ea-a9f8-693042a6b9d8','lookup',_binary '',0,'An error message','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>type</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>type</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n    <entry>\n      <string>source</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>source</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>lookup.messageReason</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4247,'lookup'),(835,0,'e6288c3e-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,'Invalid Message Status','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>PENDING</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Pending</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>READ</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Read</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>COMPLETED</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Completed</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4249,'lookup.local'),(836,0,'e62ad634-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAppointment</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4253,'archetypeRange'),(837,0,'e62ad636-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.patientClinicalEvent</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4254,'archetypeRange'),(838,0,'e62ad63c-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.calendarEventSeries</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4258,'archetypeRange'),(839,0,'e62ad63e-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAppointment</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.calendarBlock</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.calendarEvent</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4259,'archetypeRange'),(840,0,'e62d4745-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAppointment</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4264,'archetypeRange'),(841,0,'e62d4747-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerTask</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4265,'archetypeRange'),(842,0,'e62f913d-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.systemMessage</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4269,'archetypeRange'),(843,0,'e62f913f-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4270,'archetypeRange'),(844,0,'e6397c6e-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4296,'propercase'),(845,0,'e63e367e-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4325,'propercase'),(846,0,'e63e3684-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>EVENT_TYPE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Event Type</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CLINICIAN</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Clinician</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>STATUS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Status</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4330,'lookup.local'),(847,0,'e63e3688-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active view schedule relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4333,'uniqueEntityRelationship'),(848,0,'e640807c-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4335,'propercase'),(849,0,'e6408082-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>EVENT_TYPE</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Event Type</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>CLINICIAN</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Clinician</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>STATUS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>Status</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4340,'lookup.local'),(850,0,'e6408084-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityRelationship.viewWorkList</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4341,'archetypeRange'),(851,0,'e6408085-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',1,'Duplicate active Work List View relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4341,'uniqueEntityRelationship'),(852,0,'e6456291-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.cageType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4350,'archetypeRange'),(853,0,'e6456293-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.medication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.merchandise</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.service</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.template</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4351,'archetypeRange'),(854,0,'e64a1d89-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.cageType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4355,'archetypeRange'),(855,0,'e64a1d8b-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.medication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.merchandise</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.service</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.template</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4356,'archetypeRange'),(856,0,'e64c8e91-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.cageType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4360,'archetypeRange'),(857,0,'e64c8e93-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.medication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.merchandise</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.service</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.template</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4361,'archetypeRange'),(858,0,'e64ed889-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.cageType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4365,'archetypeRange'),(859,0,'e64ed88b-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.medication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.merchandise</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.service</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.template</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4366,'archetypeRange'),(860,0,'e6514991-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.cageType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4370,'archetypeRange'),(861,0,'e6514993-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.medication</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.merchandise</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.service</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>product.template</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4371,'archetypeRange'),(862,0,'e653938a-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationSchedule</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4376,'archetypeRange'),(863,0,'e653938c-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.onlineBookingTimesType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4377,'archetypeRange'),(864,0,'e6560492-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationSchedule</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4381,'archetypeRange'),(865,0,'e6560494-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.cageType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4382,'archetypeRange'),(866,0,'e658759a-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationSchedule</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4386,'archetypeRange'),(867,0,'e658759c-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationLocation</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4387,'archetypeRange'),(868,0,'e65abf95-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationSchedule</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4394,'archetypeRange'),(869,0,'e65abf97-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.appointmentType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4395,'archetypeRange'),(870,0,'e65d309d-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationSchedule</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4399,'archetypeRange'),(871,0,'e65d309f-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.documentTemplate</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4400,'archetypeRange'),(872,0,'e661eb9e-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.organisationScheduleView</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4412,'archetypeRange'),(873,0,'e661eba0-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationSchedule</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4413,'archetypeRange'),(874,0,'e6645ca7-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.organisationWorkListView</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4418,'archetypeRange'),(875,0,'e6645ca9-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationWorkList</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4419,'archetypeRange'),(876,0,'e666a69f-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationWorkList</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4423,'archetypeRange'),(877,0,'e666a6a1-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.documentTemplate</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4424,'archetypeRange'),(878,0,'e66917ab-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationWorkList</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4432,'archetypeRange'),(879,0,'e66917ad-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.taskType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4433,'archetypeRange'),(880,0,'e66b88b1-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4435,'regularExpression'),(881,0,'e66dd2a9-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4441,'regularExpression'),(882,0,'e67043b1-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,'Invalid Code','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>[A-Z0-9_]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4447,'regularExpression'),(883,0,'e67043b3-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4448,'propercase'),(884,0,'e6728daa-21dc-11ea-a9f8-693042a6b9d8','regularExpression',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>expression</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>assertionProperty</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n          <shortName>descriptor.assertionProperty</shortName>\n        </archetypeId>\n        <name>expression</name>\n        <version>0</version>\n        <details/>\n        <type>java.lang.String</type>\n        <value>VENOM_[0-9]*</value>\n      </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4453,'regularExpression'),(885,0,'e6728db3-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.appointmentType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4460,'archetypeRange'),(886,0,'e6728db5-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAppointment</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4461,'archetypeRange'),(887,0,'e674feb9-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.calendarBlockType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4463,'archetypeRange'),(888,0,'e674febb-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.calendarBlock</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4464,'archetypeRange'),(889,0,'e6776fbf-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationSchedule</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.calendarServiceRatio</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4466,'archetypeRange'),(890,0,'e6776fc1-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerAppointment</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.calendarBlock</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.calendarEvent</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4467,'archetypeRange'),(891,0,'e679b9b5-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.taskType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4469,'archetypeRange'),(892,0,'e679b9b7-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerTask</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4470,'archetypeRange'),(893,0,'e67c2abb-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationWorkList</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4472,'archetypeRange'),(894,0,'e67c2abd-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,'errorMessage','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>act.customerTask</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4473,'archetypeRange'),(895,0,'e67e9bc1-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4475,'propercase'),(896,0,'e67e9bc5-21dc-11ea-a9f8-693042a6b9d8','lookup.local',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>entries</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>entries</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>MINUTES</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>minutes</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n          <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>assertionProperty</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n              <shortName>descriptor.assertionProperty</shortName>\n            </archetypeId>\n            <name>HOURS</name>\n            <version>0</version>\n            <details/>\n            <type>java.lang.String</type>\n            <value>hours</value>\n          </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4478,'lookup.local'),(897,0,'e67e9bd4-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active appointment type relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4492,'uniqueEntityRelationship'),(898,0,'e67e9bd6-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active schedule work-list relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4493,'uniqueEntityRelationship'),(899,0,'e67e9bd8-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',0,'Duplicate active document template relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4494,'uniqueEntityRelationship'),(900,0,'e680e4cc-21dc-11ea-a9f8-693042a6b9d8','propercase',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4496,'propercase'),(901,0,'e680e4d7-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityRelationship.viewWorkList</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4506,'archetypeRange'),(902,0,'e680e4d9-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityRelationship.worklistTaskType</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4507,'archetypeRange'),(903,0,'e680e4da-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',1,'Duplicate active task type relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4507,'uniqueEntityRelationship'),(904,0,'e680e4dc-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entityRelationship.worklistDocumentTemplate</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4508,'archetypeRange'),(905,0,'e680e4dd-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship',_binary '',1,'Duplicate active document template relationship','<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\"/>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4508,'uniqueEntityRelationship'),(906,0,'e68ccbe7-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>party.organisationPractice</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4543,'archetypeRange'),(907,0,'e68ccbe9-21dc-11ea-a9f8-693042a6b9d8','archetypeRange',_binary '',0,NULL,'<org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n  <id>-1</id>\n  <active>true</active>\n  <name>root</name>\n  <version>0</version>\n  <details/>\n  <properties class=\"linked-hash-map\">\n    <entry>\n      <string>archetypes</string>\n      <org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n        <id>-1</id>\n        <active>true</active>\n        <archetypeId>\n          <entityName>descriptor</entityName>\n          <concept>propertyList</concept>\n          <version>1.0</version>\n          <qualifiedName>descriptor.propertyList.1.0</qualifiedName>\n          <shortName>descriptor.propertyList</shortName>\n        </archetypeId>\n        <name>archetypes</name>\n        <version>0</version>\n        <details/>\n        <properties class=\"linked-hash-set\">\n          <org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n            <id>-1</id>\n            <active>true</active>\n            <archetypeId>\n              <entityName>descriptor</entityName>\n              <concept>propertyMap</concept>\n              <version>1.0</version>\n              <qualifiedName>descriptor.propertyMap.1.0</qualifiedName>\n              <shortName>descriptor.propertyMap</shortName>\n            </archetypeId>\n            <name>archetype</name>\n            <version>0</version>\n            <details/>\n            <properties class=\"linked-hash-map\">\n              <entry>\n                <string>shortName</string>\n                <org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n                  <id>-1</id>\n                  <active>true</active>\n                  <archetypeId>\n                    <entityName>descriptor</entityName>\n                    <concept>assertionProperty</concept>\n                    <version>1.0</version>\n                    <qualifiedName>descriptor.assertionProperty.1.0</qualifiedName>\n                    <shortName>descriptor.assertionProperty</shortName>\n                  </archetypeId>\n                  <name>shortName</name>\n                  <version>0</version>\n                  <details/>\n                  <type>java.lang.String</type>\n                  <value>entity.SMSConfig*</value>\n                </org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty>\n              </entry>\n            </properties>\n          </org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>\n        </properties>\n      </org.openvpms.component.business.domain.im.datatypes.property.PropertyList>\n    </entry>\n  </properties>\n</org.openvpms.component.business.domain.im.datatypes.property.PropertyMap>',4544,'archetypeRange');
/*!40000 ALTER TABLE `assertion_descriptors` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `assertion_type_descriptors`
--

DROP TABLE IF EXISTS `assertion_type_descriptors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `assertion_type_descriptors` (
  `assertion_type_desc_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `version` bigint(20) NOT NULL,
  `linkId` varchar(36) NOT NULL,
  `name` varchar(255) NOT NULL,
  `arch_short_name` varchar(100) NOT NULL,
  `arch_version` varchar(100) NOT NULL,
  `active` bit(1) DEFAULT NULL,
  `property_archetype` varchar(255) NOT NULL,
  PRIMARY KEY (`assertion_type_desc_id`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `assertion_type_descriptors`
--

LOCK TABLES `assertion_type_descriptors` WRITE;
/*!40000 ALTER TABLE `assertion_type_descriptors` DISABLE KEYS */;
INSERT INTO `assertion_type_descriptors` VALUES (1,0,'e0daf960-21dc-11ea-a9f8-693042a6b9d8','propercase','descriptor.assertionType','1.0',_binary '','assertion.stringcase.1.0'),(2,0,'e0daf971-21dc-11ea-a9f8-693042a6b9d8','uniqueRelationship','descriptor.assertionType','1.0',_binary '','assertion.uniqueRelationship.1.0'),(3,0,'e0daf969-21dc-11ea-a9f8-693042a6b9d8','validateMethod','descriptor.assertionType','1.0',_binary '','assertion.validateMethod.1.0'),(4,0,'e0daf975-21dc-11ea-a9f8-693042a6b9d8','uniqueEntityRelationship','descriptor.assertionType','1.0',_binary '','assertion.uniqueEntityRelationship.1.0'),(5,0,'e0daf958-21dc-11ea-a9f8-693042a6b9d8','lookup.local','descriptor.assertionType','1.0',_binary '','assertion.lookupLocal.1.0'),(6,0,'e0daf973-21dc-11ea-a9f8-693042a6b9d8','uniqueRelationshipType','descriptor.assertionType','1.0',_binary '','assertion.uniqueRelationship.1.0'),(7,0,'e0daf977-21dc-11ea-a9f8-693042a6b9d8','expression','descriptor.assertionType','1.0',_binary '','assertion.expression.1.0'),(8,0,'e0daf956-21dc-11ea-a9f8-693042a6b9d8','lookup','descriptor.assertionType','1.0',_binary '','assertion.lookup.1.0'),(9,0,'e0daf967-21dc-11ea-a9f8-693042a6b9d8','lookup.assertionType','descriptor.assertionType','1.0',_binary '','assertion.lookupAssertionType.1.0'),(10,0,'e0daf96b-21dc-11ea-a9f8-693042a6b9d8','positive','descriptor.assertionType','1.0',_binary '','assertion.number.1.0'),(11,0,'e0daf95e-21dc-11ea-a9f8-693042a6b9d8','uppercase','descriptor.assertionType','1.0',_binary '','assertion.stringcase.1.0'),(12,0,'e0daf965-21dc-11ea-a9f8-693042a6b9d8','candidateChildren','descriptor.assertionType','1.0',_binary '','assertion.candidateChildren.1.0'),(13,0,'e0daf96d-21dc-11ea-a9f8-693042a6b9d8','negative','descriptor.assertionType','1.0',_binary '','assertion.number.1.0'),(14,0,'e0daf95a-21dc-11ea-a9f8-693042a6b9d8','regularExpression','descriptor.assertionType','1.0',_binary '','assertion.regularExpression.1.0'),(15,0,'e0daf963-21dc-11ea-a9f8-693042a6b9d8','archetypeRange','descriptor.assertionType','1.0',_binary '','assertion.archetypeRange.1.0'),(16,0,'e0daf96f-21dc-11ea-a9f8-693042a6b9d8','nonNegative','descriptor.assertionType','1.0',_binary '','assertion.number.1.0'),(17,0,'e0daf978-21dc-11ea-a9f8-693042a6b9d8','password','descriptor.assertionType','1.0',_binary '','assertion.password.1.0'),(18,0,'e0daf95c-21dc-11ea-a9f8-693042a6b9d8','lowercase','descriptor.assertionType','1.0',_binary '','assertion.stringcase.1.0');
/*!40000 ALTER TABLE `assertion_type_descriptors` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `audit_records`
--

DROP TABLE IF EXISTS `audit_records`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `audit_records` (
  `audit_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `version` bigint(20) NOT NULL,
  `linkId` varchar(36) NOT NULL,
  `archetype_id` varchar(255) DEFAULT NULL,
  `time_stamp` datetime DEFAULT NULL,
  `object_id` bigint(20) DEFAULT NULL,
  `service` varchar(255) DEFAULT NULL,
  `operation` varchar(255) DEFAULT NULL,
  `user` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`audit_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `audit_records`
--

LOCK TABLES `audit_records` WRITE;
/*!40000 ALTER TABLE `audit_records` DISABLE KEYS */;
/*!40000 ALTER TABLE `audit_records` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_classifications`
--

DROP TABLE IF EXISTS `contact_classifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contact_classifications` (
  `contact_id` bigint(20) NOT NULL,
  `lookup_id` bigint(20) NOT NULL,
  PRIMARY KEY (`contact_id`,`lookup_id`),
  KEY `FK5AC8832E6AE6B6CA` (`lookup_id`),
  KEY `FK5AC8832E3B64C74E` (`contact_id`),
  CONSTRAINT `FK5AC8832E3B64C74E` FOREIGN KEY (`contact_id`) REFERENCES `contacts` (`contact_id`),
  CONSTRAINT `FK5AC8832E6AE6B6CA` FOREIGN KEY (`lookup_id`) REFERENCES `lookups` (`lookup_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact_classifications`
--

LOCK TABLES `contact_classifications` WRITE;
/*!40000 ALTER TABLE `contact_classifications` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact_classifications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_details`
--

DROP TABLE IF EXISTS `contact_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contact_details` (
  `contact_id` bigint(20) NOT NULL,
  `type` varchar(255) NOT NULL,
  `value` varchar(5000) NOT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`contact_id`,`name`),
  KEY `FKA3499D233B64C74E` (`contact_id`),
  CONSTRAINT `FKA3499D233B64C74E` FOREIGN KEY (`contact_id`) REFERENCES `contacts` (`contact_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact_details`
--

LOCK TABLES `contact_details` WRITE;
/*!40000 ALTER TABLE `contact_details` DISABLE KEYS */;
INSERT INTO `contact_details` VALUES (1,'string','03','areaCode'),(1,'boolean','true','preferred'),(1,'boolean','false','sms'),(1,'string','99999999','telephoneNumber'),(2,'string','03','areaCode'),(2,'boolean','true','preferred'),(2,'boolean','false','sms'),(2,'string','9999999','telephoneNumber');
/*!40000 ALTER TABLE `contact_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contacts`
--

DROP TABLE IF EXISTS `contacts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contacts` (
  `contact_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `version` bigint(20) NOT NULL,
  `linkId` varchar(36) NOT NULL,
  `party_id` bigint(20) DEFAULT NULL,
  `arch_short_name` varchar(100) NOT NULL,
  `arch_version` varchar(100) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `active` bit(1) DEFAULT NULL,
  `active_start_time` date DEFAULT NULL,
  `active_end_time` date DEFAULT NULL,
  PRIMARY KEY (`contact_id`),
  KEY `FKDE2D60537649DB4E` (`party_id`),
  CONSTRAINT `FKDE2D60537649DB4E` FOREIGN KEY (`party_id`) REFERENCES `parties` (`party_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contacts`
--

LOCK TABLES `contacts` WRITE;
/*!40000 ALTER TABLE `contacts` DISABLE KEYS */;
INSERT INTO `contacts` VALUES (1,1,'6c55740e-21dd-11ea-98ac-ffe11db4702c',15,'contact.phoneNumber','1.0','Phone Number','(03) 99999999 ',_binary '','2019-12-19',NULL),(2,1,'6c57be02-21dd-11ea-98ac-ffe11db4702c',16,'contact.phoneNumber','1.0','Phone Number','(03) 9999999 ',_binary '','2019-12-19',NULL);
/*!40000 ALTER TABLE `contacts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `document_acts`
--

DROP TABLE IF EXISTS `document_acts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `document_acts` (
  `document_act_id` bigint(20) NOT NULL,
  `doc_version` varchar(255) DEFAULT NULL,
  `file_name` varchar(255) DEFAULT NULL,
  `mime_type` varchar(255) DEFAULT NULL,
  `printed` bit(1) DEFAULT NULL,
  `document_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`document_act_id`),
  KEY `FK5E78FAC5D1AECF9E` (`document_act_id`),
  KEY `FK5E78FAC592203729` (`document_id`),
  CONSTRAINT `FK5E78FAC592203729` FOREIGN KEY (`document_id`) REFERENCES `documents` (`document_id`),
  CONSTRAINT `FK5E78FAC5D1AECF9E` FOREIGN KEY (`document_act_id`) REFERENCES `acts` (`act_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `document_acts`
--

LOCK TABLES `document_acts` WRITE;
/*!40000 ALTER TABLE `document_acts` DISABLE KEYS */;
/*!40000 ALTER TABLE `document_acts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `document_details`
--

DROP TABLE IF EXISTS `document_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `document_details` (
  `document_id` bigint(20) NOT NULL,
  `type` varchar(255) NOT NULL,
  `value` varchar(5000) NOT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`document_id`,`name`),
  KEY `FK829C1F1E92203729` (`document_id`),
  CONSTRAINT `FK829C1F1E92203729` FOREIGN KEY (`document_id`) REFERENCES `documents` (`document_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `document_details`
--

LOCK TABLES `document_details` WRITE;
/*!40000 ALTER TABLE `document_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `document_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `documents`
--

DROP TABLE IF EXISTS `documents`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `documents` (
  `document_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `version` bigint(20) NOT NULL,
  `linkId` varchar(36) NOT NULL,
  `arch_short_name` varchar(100) NOT NULL,
  `arch_version` varchar(100) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `mime_type` varchar(255) DEFAULT NULL,
  `doc_size` int(11) DEFAULT NULL,
  `checksum` bigint(20) DEFAULT NULL,
  `contents` longblob,
  PRIMARY KEY (`document_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `documents`
--

LOCK TABLES `documents` WRITE;
/*!40000 ALTER TABLE `documents` DISABLE KEYS */;
/*!40000 ALTER TABLE `documents` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `entities`
--

DROP TABLE IF EXISTS `entities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `entities` (
  `entity_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `version` bigint(20) NOT NULL,
  `linkId` varchar(36) NOT NULL,
  `arch_short_name` varchar(100) NOT NULL,
  `arch_version` varchar(100) NOT NULL,
  `name` varchar(100) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `active` bit(1) DEFAULT NULL,
  PRIMARY KEY (`entity_id`),
  KEY `entity_arch_sn_name_idx` (`arch_short_name`,`name`),
  KEY `entity_name_idx` (`name`),
  KEY `entity_short_name_idx` (`arch_short_name`)
) ENGINE=InnoDB AUTO_INCREMENT=32 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `entities`
--

LOCK TABLES `entities` WRITE;
/*!40000 ALTER TABLE `entities` DISABLE KEYS */;
INSERT INTO `entities` VALUES (1,0,'6c4e48c6-21dd-11ea-98ac-ffe11db4702c','security.user','1.0','Admin',NULL,_binary ''),(2,0,'6c50b9c7-21dd-11ea-98ac-ffe11db4702c','security.user','1.0','Vet',NULL,_binary ''),(3,0,'6c57be06-21dd-11ea-98ac-ffe11db4702c','party.organisationOTC','1.0','Otc',NULL,_binary ''),(4,0,'6c57be07-21dd-11ea-98ac-ffe11db4702c','party.organisationDeposit','1.0','Openvpms Account','Last Deposit : ',_binary ''),(5,0,'6c5a2f08-21dd-11ea-98ac-ffe11db4702c','party.organisationTill','1.0','Main Reception Till','Last Cleared : Never, Cash Float : 200',_binary ''),(6,0,'6c5a2f1a-21dd-11ea-98ac-ffe11db4702c','entity.appointmentType','1.0','Standard Consult','Standard Consultation',_binary ''),(7,0,'6c5a2f1b-21dd-11ea-98ac-ffe11db4702c','entity.appointmentType','1.0','Long Consult','Long Consultation',_binary ''),(8,0,'6c5a2f1c-21dd-11ea-98ac-ffe11db4702c','entity.appointmentType','1.0','New Patient','New Patient',_binary ''),(9,0,'6c5a2f1d-21dd-11ea-98ac-ffe11db4702c','entity.appointmentType','1.0','Short Consult','Short Consult',_binary ''),(10,0,'6c5a2f1e-21dd-11ea-98ac-ffe11db4702c','entity.taskType','1.0','Consultation','Consultation',_binary ''),(11,0,'6c5a2f1f-21dd-11ea-98ac-ffe11db4702c','entity.taskType','1.0','Surgery','Surgery',_binary ''),(12,0,'6c5a2f20-21dd-11ea-98ac-ffe11db4702c','entity.taskType','1.0','Day Procedure','New Patient',_binary ''),(13,0,'6c63cbdf-21dd-11ea-98ac-ffe11db4702c','entity.documentTemplateSMSAppointment','1.0','Default Appointment Reminder SMS Template','<patient>\'s appointment at <location> is confirmed for <date/time>. Call us on <phone> if you need to change the appointment',_binary ''),(14,0,'6c63cbe0-21dd-11ea-98ac-ffe11db4702c','entity.documentTemplateSMSReminder','1.0','Sample Vaccination Reminder SMS Template','<patient> is due for a vaccination at <location>. Call us on <phone> to make an appointment',_binary ''),(15,2,'6c55740d-21dd-11ea-98ac-ffe11db4702c','party.organisationPractice','1.0','Openvpms Practice',NULL,_binary ''),(16,3,'6c57be01-21dd-11ea-98ac-ffe11db4702c','party.organisationLocation','1.0','Main Clinic',NULL,_binary ''),(17,0,'6c5a2f15-21dd-11ea-98ac-ffe11db4702c','party.organisationWorkList','1.0','Main Waiting List',NULL,_binary ''),(18,0,'6c5a2f17-21dd-11ea-98ac-ffe11db4702c','party.organisationWorkList','1.0','Main Hospital List',NULL,_binary ''),(19,0,'6c5a2f09-21dd-11ea-98ac-ffe11db4702c','party.organisationSchedule','1.0','Main Appointment Schedule',NULL,_binary ''),(20,0,'6c5a2f0f-21dd-11ea-98ac-ffe11db4702c','party.organisationSchedule','1.0','Main Surgery Schedule',NULL,_binary ''),(21,2,'0970b929-21de-11ea-a983-bfc012b2c00a','entity.mailServer','1.0','gmail',NULL,_binary ''),(22,1,'218ac46a-21de-11ea-a983-bfc012b2c00a','entity.mailServer','1.0','iinet',NULL,_binary ''),(23,0,'33deb13b-21de-11ea-a983-bfc012b2c00a','party.supplierorganisation','1.0','Cenvet','Cenvet',_binary ''),(24,2,'49cb7c3e-21de-11ea-a983-bfc012b2c00a','party.organisationStockLocation','1.0','Main Clinic Stock',NULL,_binary ''),(25,0,'92514fd4-21de-11ea-a983-bfc012b2c00a','party.supplierorganisation','1.0','Provet','Provet',_binary ''),(26,1,'281e5a2c-21e0-11ea-a983-bfc012b2c00a','party.organisationLocation','1.0','Branch Clinic 1',NULL,_binary ''),(27,0,'38df9915-21e0-11ea-a983-bfc012b2c00a','party.organisationLocation','1.0','Branch Clinic 2',NULL,_binary ''),(28,1,'5957d2d5-21e0-11ea-a983-bfc012b2c00a','party.organisationStockLocation','1.0','Branch Clinic 1 Stock',NULL,_binary ''),(29,0,'8eded398-21e0-11ea-a983-bfc012b2c00a','party.supplierorganisation','1.0','Zoetis','Zoetis',_binary ''),(30,0,'c2dbb1f7-21e0-11ea-a983-bfc012b2c00a','entity.pluginDeputy','1.0','Deputy Service','Provides roster synchronisation with Deputy',_binary ''),(31,0,'d5136438-21e0-11ea-a983-bfc012b2c00a','entity.insuranceServicePetSure','1.0','PetSure test service',NULL,_binary '');
/*!40000 ALTER TABLE `entities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `entity_classifications`
--

DROP TABLE IF EXISTS `entity_classifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `entity_classifications` (
  `entity_id` bigint(20) NOT NULL,
  `lookup_id` bigint(20) NOT NULL,
  PRIMARY KEY (`entity_id`,`lookup_id`),
  KEY `FK76B55CF16AE6B6CA` (`lookup_id`),
  KEY `FK76B55CF14372B7A1` (`entity_id`),
  CONSTRAINT `FK76B55CF14372B7A1` FOREIGN KEY (`entity_id`) REFERENCES `entities` (`entity_id`),
  CONSTRAINT `FK76B55CF16AE6B6CA` FOREIGN KEY (`lookup_id`) REFERENCES `lookups` (`lookup_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `entity_classifications`
--

LOCK TABLES `entity_classifications` WRITE;
/*!40000 ALTER TABLE `entity_classifications` DISABLE KEYS */;
INSERT INTO `entity_classifications` VALUES (1,1),(2,2);
/*!40000 ALTER TABLE `entity_classifications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `entity_details`
--

DROP TABLE IF EXISTS `entity_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `entity_details` (
  `entity_id` bigint(20) NOT NULL,
  `type` varchar(255) NOT NULL,
  `value` varchar(5000) NOT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_id`,`name`),
  KEY `FKD621E9E64372B7A1` (`entity_id`),
  CONSTRAINT `FKD621E9E64372B7A1` FOREIGN KEY (`entity_id`) REFERENCES `entities` (`entity_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `entity_details`
--

LOCK TABLES `entity_details` WRITE;
/*!40000 ALTER TABLE `entity_details` DISABLE KEYS */;
INSERT INTO `entity_details` VALUES (1,'boolean','true','editPreferences'),(1,'boolean','false','onlineBooking'),(2,'boolean','true','editPreferences'),(2,'boolean','false','onlineBooking'),(4,'string','OpenVPMS Pty Ltd','accountName'),(4,'string','123-456-789','accountNumber'),(4,'string','Bendigo','bank'),(4,'string','Boronia','branch'),(5,'money','200.00','tillFloat'),(6,'boolean','false','onlineBooking'),(6,'boolean','false','sendReminders'),(7,'boolean','false','onlineBooking'),(7,'boolean','false','sendReminders'),(8,'boolean','false','onlineBooking'),(8,'boolean','false','sendReminders'),(9,'boolean','false','onlineBooking'),(9,'boolean','false','sendReminders'),(13,'string','concat(expr:if(expr:var(\'patient.name\') != \'\', concat(expr:var(\'patient.name\'), \"\'s\"), \'Your\'), \' appointment at \' , $location.name,\' is confirmed for \', date:formatDate($appointment.startTime, \'short\'), \' @ \', date:formatTime($appointment.startTime, \'short\'), $nl, \'Call us on \', party:getTelephone($location), \' if you need to change the appointment\')','content'),(13,'string','XPATH','contentType'),(14,'string','concat($patient.name, \' is due for a vaccination at \', $location.name, \'.\', $nl, \'Please contact us on \',  party:getTelephone($location), \' to make an appointment\')','content'),(14,'string','XPATH','contentType'),(15,'long','30','appointmentCacheMaxElements'),(15,'int','5','autoLockScreen'),(15,'int','30','autoLogout'),(15,'long','30','calendarCacheMaxElements'),(15,'string','AUD','currency'),(15,'int','30','estimateExpiryPeriod'),(15,'string','DAYS','estimateExpiryUnits'),(15,'boolean','false','followUpAtCheckOut'),(15,'boolean','false','ignoreListPriceDecreases'),(15,'sql-timestamp','2019-12-19 08:30:39.93','installDate'),(15,'boolean','false','logCommunication'),(15,'string','TITLE_NAME_QUALIFICATIONS','longUserNameFormat'),(15,'long','40000','lookupCacheMaxElements'),(15,'string','TITLE_NAME','mediumUserNameFormat'),(15,'boolean','false','minimumQuantities'),(15,'int','0','pharmacyOrderDiscontinuePeriod'),(15,'string','MINUTES','pharmacyOrderDiscontinuePeriodUnits'),(15,'int','1','prescriptionExpiryPeriod'),(15,'string','YEARS','prescriptionExpiryUnits'),(15,'int','24','recordLockPeriod'),(15,'string','HOURS','recordLockPeriodUnits'),(15,'boolean','false','restrictOrdering'),(15,'long','30','rosterAreaCacheMaxElements'),(15,'long','30','rosterUserCacheMaxElements'),(15,'int','30','schedulingRefresh'),(15,'string','NAME','shortUserNameFormat'),(15,'boolean','true','showPricesTaxInclusive'),(15,'boolean','false','showProblemsInVisit'),(15,'long','30','taskCacheMaxElements'),(15,'boolean','false','useLocationProducts'),(15,'boolean','true','useLoggedInClinician'),(16,'boolean','false','disableDiscounts'),(16,'boolean','false','onlineBooking'),(16,'int','4','rosterCheckPeriod'),(16,'string','WEEKS','rosterCheckPeriodUnits'),(16,'boolean','false','rostering'),(16,'string','1234567890','smartFlowSheetKey'),(16,'boolean','false','stockControl'),(17,'int','1','expectedHospitalStay'),(17,'boolean','true','inputWeight'),(17,'int','100','maximumSlots'),(17,'boolean','true','useAllTemplates'),(18,'int','1','expectedHospitalStay'),(18,'boolean','true','inputWeight'),(18,'int','50','maximumSlots'),(18,'boolean','true','useAllTemplates'),(19,'boolean','true','allowDoubleBooking'),(19,'boolean','true','inputWeight'),(19,'boolean','false','onlineBooking'),(19,'boolean','false','sendReminders'),(19,'int','15','slotSize'),(19,'string','MINUTES','slotUnit'),(19,'boolean','true','useAllTemplates'),(19,'boolean','true','useAllWorkLists'),(20,'boolean','false','allowDoubleBooking'),(20,'boolean','true','inputWeight'),(20,'boolean','false','onlineBooking'),(20,'boolean','false','sendReminders'),(20,'int','30','slotSize'),(20,'string','MINUTES','slotUnit'),(20,'boolean','true','useAllTemplates'),(20,'boolean','true','useAllWorkLists'),(21,'string','smtp.gmail.com','host'),(21,'string','gmailp','password'),(21,'int','465','port'),(21,'string','STARTTLS','security'),(21,'int','120','timeout'),(21,'string','gmailu','username'),(22,'string','mail.iinet.net.au','host'),(22,'string','iinetp','password'),(22,'int','587','port'),(22,'string','STARTTLS','security'),(22,'int','120','timeout'),(22,'string','iinetu','username'),(26,'boolean','false','disableDiscounts'),(26,'boolean','false','onlineBooking'),(26,'int','4','rosterCheckPeriod'),(26,'string','WEEKS','rosterCheckPeriodUnits'),(26,'boolean','false','rostering'),(26,'string','987654321','smartFlowSheetKey'),(26,'boolean','false','stockControl'),(27,'boolean','false','disableDiscounts'),(27,'boolean','false','onlineBooking'),(27,'int','4','rosterCheckPeriod'),(27,'string','WEEKS','rosterCheckPeriodUnits'),(27,'boolean','false','rostering'),(27,'boolean','false','stockControl'),(30,'string','deputyp1','accessToken'),(30,'int','30','daysToSync'),(30,'int','30','syncFrequency'),(30,'string','http://deputy.com.au/test','url'),(31,'string','petsurep','password'),(31,'string','petsureu','username');
/*!40000 ALTER TABLE `entity_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `entity_identities`
--

DROP TABLE IF EXISTS `entity_identities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `entity_identities` (
  `entity_identity_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `version` bigint(20) NOT NULL,
  `linkId` varchar(36) NOT NULL,
  `entity_id` bigint(20) DEFAULT NULL,
  `arch_short_name` varchar(100) NOT NULL,
  `arch_version` varchar(100) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `active` bit(1) DEFAULT NULL,
  `identity` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_identity_id`),
  KEY `entity_identity_name_idx` (`name`),
  KEY `FKB1D93FB84372B7A1` (`entity_id`),
  CONSTRAINT `FKB1D93FB84372B7A1` FOREIGN KEY (`entity_id`) REFERENCES `entities` (`entity_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `entity_identities`
--

LOCK TABLES `entity_identities` WRITE;
/*!40000 ALTER TABLE `entity_identities` DISABLE KEYS */;
/*!40000 ALTER TABLE `entity_identities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `entity_identity_details`
--

DROP TABLE IF EXISTS `entity_identity_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `entity_identity_details` (
  `entity_identity_id` bigint(20) NOT NULL,
  `type` varchar(255) NOT NULL,
  `value` varchar(5000) NOT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_identity_id`,`name`),
  KEY `FK4794CC9D3C2625E8` (`entity_identity_id`),
  CONSTRAINT `FK4794CC9D3C2625E8` FOREIGN KEY (`entity_identity_id`) REFERENCES `entity_identities` (`entity_identity_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `entity_identity_details`
--

LOCK TABLES `entity_identity_details` WRITE;
/*!40000 ALTER TABLE `entity_identity_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `entity_identity_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `entity_link_details`
--

DROP TABLE IF EXISTS `entity_link_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `entity_link_details` (
  `id` bigint(20) NOT NULL,
  `type` varchar(255) NOT NULL,
  `value` varchar(5000) NOT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`,`name`),
  KEY `FKD2E4DDD9A03946DF` (`id`),
  CONSTRAINT `FKD2E4DDD9A03946DF` FOREIGN KEY (`id`) REFERENCES `entity_links` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `entity_link_details`
--

LOCK TABLES `entity_link_details` WRITE;
/*!40000 ALTER TABLE `entity_link_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `entity_link_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `entity_links`
--

DROP TABLE IF EXISTS `entity_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `entity_links` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `version` bigint(20) NOT NULL,
  `linkId` varchar(36) NOT NULL,
  `arch_short_name` varchar(100) NOT NULL,
  `arch_version` varchar(100) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `active_start_time` datetime DEFAULT NULL,
  `active_end_time` datetime DEFAULT NULL,
  `sequence` int(11) NOT NULL,
  `source_id` bigint(20) DEFAULT NULL,
  `target_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK3FCDE05D3EFA2333` (`target_id`),
  KEY `FK3FCDE05DA5B2869` (`source_id`),
  CONSTRAINT `FK3FCDE05D3EFA2333` FOREIGN KEY (`target_id`) REFERENCES `entities` (`entity_id`),
  CONSTRAINT `FK3FCDE05DA5B2869` FOREIGN KEY (`source_id`) REFERENCES `entities` (`entity_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `entity_links`
--

LOCK TABLES `entity_links` WRITE;
/*!40000 ALTER TABLE `entity_links` DISABLE KEYS */;
INSERT INTO `entity_links` VALUES (1,0,'6c57be00-21dd-11ea-98ac-ffe11db4702c','entityLink.organisationSMSAppointment','1.0','Practice SMS Appointment Reminder',NULL,NULL,NULL,0,15,13),(2,0,'6c5a2f0a-21dd-11ea-98ac-ffe11db4702c','entityLink.scheduleLocation','1.0','Schedule Location',NULL,NULL,NULL,0,19,16),(3,0,'6c5a2f10-21dd-11ea-98ac-ffe11db4702c','entityLink.scheduleLocation','1.0','Schedule Location',NULL,NULL,NULL,0,20,16);
/*!40000 ALTER TABLE `entity_links` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `entity_relationship_details`
--

DROP TABLE IF EXISTS `entity_relationship_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `entity_relationship_details` (
  `entity_relationship_id` bigint(20) NOT NULL,
  `type` varchar(255) NOT NULL,
  `value` varchar(5000) NOT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`entity_relationship_id`,`name`),
  KEY `FKBB44EA17AB042EA8` (`entity_relationship_id`),
  CONSTRAINT `FKBB44EA17AB042EA8` FOREIGN KEY (`entity_relationship_id`) REFERENCES `entity_relationships` (`entity_relationship_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `entity_relationship_details`
--

LOCK TABLES `entity_relationship_details` WRITE;
/*!40000 ALTER TABLE `entity_relationship_details` DISABLE KEYS */;
INSERT INTO `entity_relationship_details` VALUES (1,'boolean','false','default'),(3,'boolean','false','default'),(4,'boolean','false','default'),(4,'int','1','noSlots'),(5,'boolean','false','default'),(5,'int','2','noSlots'),(6,'boolean','false','default'),(6,'int','1','noSlots'),(7,'boolean','false','default'),(7,'int','1','noSlots'),(8,'boolean','false','default'),(8,'int','1','noSlots'),(9,'boolean','false','default'),(9,'int','2','noSlots'),(10,'boolean','false','default'),(10,'int','1','noSlots'),(11,'boolean','false','default'),(11,'int','1','noSlots'),(12,'boolean','false','default'),(12,'int','2','noSlots'),(13,'boolean','false','default'),(13,'int','2','noSlots'),(14,'boolean','false','default'),(14,'int','1','noSlots'),(15,'boolean','false','default'),(17,'string','1','accountId'),(17,'string','cenvetp','password'),(17,'string','http://cenvet.com.au/test','serviceURL'),(17,'string','cenvetu','username'),(18,'string','2','accountId'),(18,'string','provetp1','password'),(18,'string','http://provet.com.au/test','serviceURL'),(18,'string','provetu1','username'),(20,'string','3','accountId'),(20,'string','provetp2','password'),(20,'string','http://provet.com.au/test','serviceURL'),(20,'string','provetu2','username');
/*!40000 ALTER TABLE `entity_relationship_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `entity_relationships`
--

DROP TABLE IF EXISTS `entity_relationships`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `entity_relationships` (
  `entity_relationship_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `version` bigint(20) NOT NULL,
  `linkId` varchar(36) NOT NULL,
  `arch_short_name` varchar(100) NOT NULL,
  `arch_version` varchar(100) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `active_start_time` datetime DEFAULT NULL,
  `active_end_time` datetime DEFAULT NULL,
  `sequence` int(11) NOT NULL,
  `source_id` bigint(20) DEFAULT NULL,
  `target_id` bigint(20) DEFAULT NULL,
  `identity_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`entity_relationship_id`),
  KEY `FK861BFDDF529A044` (`identity_id`),
  KEY `FK861BFDDF3EFA2333` (`target_id`),
  KEY `FK861BFDDFA5B2869` (`source_id`),
  CONSTRAINT `FK861BFDDF3EFA2333` FOREIGN KEY (`target_id`) REFERENCES `entities` (`entity_id`) ON DELETE CASCADE,
  CONSTRAINT `FK861BFDDF529A044` FOREIGN KEY (`identity_id`) REFERENCES `entity_identities` (`entity_identity_id`),
  CONSTRAINT `FK861BFDDFA5B2869` FOREIGN KEY (`source_id`) REFERENCES `entities` (`entity_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `entity_relationships`
--

LOCK TABLES `entity_relationships` WRITE;
/*!40000 ALTER TABLE `entity_relationships` DISABLE KEYS */;
INSERT INTO `entity_relationships` VALUES (1,0,'6c57be03-21dd-11ea-98ac-ffe11db4702c','entityRelationship.locationTill','1.0','Location Till','Location Till (19/12/2019 - )','2019-12-19 08:29:08',NULL,0,16,5,NULL),(2,0,'6c57be04-21dd-11ea-98ac-ffe11db4702c','entityRelationship.locationOTC','1.0','Location OTC','Location OTC(19/12/2019 - )','2019-12-19 08:29:08',NULL,0,16,3,NULL),(3,0,'6c57be05-21dd-11ea-98ac-ffe11db4702c','entityRelationship.locationDeposit','1.0','Location Deposit Account','Location Deposit Account(19/12/2019 - )','2019-12-19 08:29:08',NULL,0,16,4,NULL),(4,0,'6c5a2f16-21dd-11ea-98ac-ffe11db4702c','entityRelationship.worklistTaskType','1.0','Worklist Task Type','No of Slots : 1','2019-12-19 08:29:08',NULL,0,17,10,NULL),(5,1,'6c5a2f0c-21dd-11ea-98ac-ffe11db4702c','entityRelationship.scheduleAppointmentType','1.0','Schedule Appointment Type','No of Slots : 2','2019-12-19 08:29:08',NULL,0,19,7,NULL),(6,1,'6c5a2f19-21dd-11ea-98ac-ffe11db4702c','entityRelationship.worklistTaskType','1.0','Worklist Task Type','No of Slots : 1','2019-12-19 08:29:08',NULL,0,18,12,NULL),(7,1,'6c5a2f11-21dd-11ea-98ac-ffe11db4702c','entityRelationship.scheduleAppointmentType','1.0','Schedule Appointment Type','No of Slots : 1','2019-12-19 08:29:08',NULL,0,20,6,NULL),(8,0,'6c5a2f18-21dd-11ea-98ac-ffe11db4702c','entityRelationship.worklistTaskType','1.0','Worklist Task Type','No of Slots : 1','2019-12-19 08:29:08',NULL,0,18,11,NULL),(9,1,'6c5a2f13-21dd-11ea-98ac-ffe11db4702c','entityRelationship.scheduleAppointmentType','1.0','Schedule Appointment Type','No of Slots : 2','2019-12-19 08:29:08',NULL,0,20,8,NULL),(10,1,'6c5a2f0e-21dd-11ea-98ac-ffe11db4702c','entityRelationship.scheduleAppointmentType','1.0','Schedule Appointment Type','No of Slots : 1','2019-12-19 08:29:08',NULL,0,19,9,NULL),(11,1,'6c5a2f0b-21dd-11ea-98ac-ffe11db4702c','entityRelationship.scheduleAppointmentType','1.0','Schedule Appointment Type','No of Slots : 1','2019-12-19 08:29:08',NULL,0,19,6,NULL),(12,0,'6c5a2f0d-21dd-11ea-98ac-ffe11db4702c','entityRelationship.scheduleAppointmentType','1.0','Schedule Appointment Type','No of Slots : 2','2019-12-19 08:29:08',NULL,0,19,8,NULL),(13,0,'6c5a2f12-21dd-11ea-98ac-ffe11db4702c','entityRelationship.scheduleAppointmentType','1.0','Schedule Appointment Type','No of Slots : 2','2019-12-19 08:29:08',NULL,0,20,7,NULL),(14,0,'6c5a2f14-21dd-11ea-98ac-ffe11db4702c','entityRelationship.scheduleAppointmentType','1.0','Schedule Appointment Type','No of Slots : 1','2019-12-19 08:29:08',NULL,0,20,9,NULL),(15,0,'6c57bdff-21dd-11ea-98ac-ffe11db4702c','entityRelationship.practiceLocation','1.0','Practice Location','Practice Location(19/12/2019 - )','2019-12-19 08:29:08',NULL,0,15,16,NULL),(16,0,'5083c2df-21de-11ea-a983-bfc012b2c00a','entityRelationship.locationStockLocation','1.0','Stock Location','Stock Location (19/12/2019 - )','2019-12-19 08:35:30',NULL,0,16,24,NULL),(17,0,'71313d63-21de-11ea-a983-bfc012b2c00a','entityRelationship.supplierStockLocationESCI','1.0',NULL,NULL,NULL,NULL,0,23,24,NULL),(18,1,'955fa145-21de-11ea-a983-bfc012b2c00a','entityRelationship.supplierStockLocationESCI','1.0',NULL,NULL,NULL,NULL,0,25,24,NULL),(19,0,'607088f6-21e0-11ea-a983-bfc012b2c00a','entityRelationship.locationStockLocation','1.0','Stock Location','Stock Location (19/12/2019 - )','2019-12-19 08:50:16',NULL,0,26,28,NULL),(20,1,'6c5286f7-21e0-11ea-a983-bfc012b2c00a','entityRelationship.supplierStockLocationESCI','1.0',NULL,NULL,NULL,NULL,0,25,28,NULL);
/*!40000 ALTER TABLE `entity_relationships` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `etl_log`
--

DROP TABLE IF EXISTS `etl_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `etl_log` (
  `log_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `row_id` varchar(32) DEFAULT NULL,
  `loader` varchar(32) DEFAULT NULL,
  `archetype` varchar(255) DEFAULT NULL,
  `collection_index` int(11) DEFAULT NULL,
  `id` bigint(20) DEFAULT NULL,
  `linkId` varchar(36) DEFAULT NULL,
  `error_messages` varchar(1536) DEFAULT NULL,
  PRIMARY KEY (`log_id`),
  KEY `etl_rowId_archetype_idx` (`row_id`,`archetype`),
  KEY `etl_rowId_loader_idx` (`row_id`,`loader`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `etl_log`
--

LOCK TABLES `etl_log` WRITE;
/*!40000 ALTER TABLE `etl_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `etl_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `financial_acts`
--

DROP TABLE IF EXISTS `financial_acts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `financial_acts` (
  `financial_act_id` bigint(20) NOT NULL,
  `quantity` decimal(18,3) DEFAULT NULL,
  `fixed_amount` decimal(18,3) DEFAULT NULL,
  `unit_amount` decimal(18,3) DEFAULT NULL,
  `fixed_cost` decimal(18,3) DEFAULT NULL,
  `unit_cost` decimal(18,3) DEFAULT NULL,
  `tax_amount` decimal(18,3) DEFAULT NULL,
  `total` decimal(18,3) DEFAULT NULL,
  `allocated_amount` decimal(18,3) DEFAULT NULL,
  `credit` bit(1) DEFAULT NULL,
  `printed` bit(1) DEFAULT NULL,
  PRIMARY KEY (`financial_act_id`),
  KEY `FK3D69E417B80AAC70` (`financial_act_id`),
  CONSTRAINT `FK3D69E417B80AAC70` FOREIGN KEY (`financial_act_id`) REFERENCES `acts` (`act_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `financial_acts`
--

LOCK TABLES `financial_acts` WRITE;
/*!40000 ALTER TABLE `financial_acts` DISABLE KEYS */;
/*!40000 ALTER TABLE `financial_acts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `granted_authorities`
--

DROP TABLE IF EXISTS `granted_authorities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `granted_authorities` (
  `granted_authority_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `version` bigint(20) NOT NULL,
  `linkId` varchar(36) NOT NULL,
  `arch_short_name` varchar(100) NOT NULL,
  `arch_version` varchar(100) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `active` bit(1) DEFAULT NULL,
  `service_name` varchar(255) DEFAULT NULL,
  `method` varchar(255) DEFAULT NULL,
  `archetype` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`granted_authority_id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `granted_authorities`
--

LOCK TABLES `granted_authorities` WRITE;
/*!40000 ALTER TABLE `granted_authorities` DISABLE KEYS */;
INSERT INTO `granted_authorities` VALUES (1,0,'6c498dd2-21dd-11ea-98ac-ffe11db4702c','security.archetypeAuthority','1.0','Save. All','Authority to Save All Archetypes',_binary '','archetypeService','save','*'),(2,0,'6c4bd7c3-21dd-11ea-98ac-ffe11db4702c','security.archetypeAuthority','1.0','Remove. All','Authority to Remove All Archetypes',_binary '','archetypeService','remove','*'),(3,0,'6c4bd7c4-21dd-11ea-98ac-ffe11db4702c','security.archetypeAuthority','1.0','Create. All','Authority to Create All Archetypes',_binary '','archetypeService','create','*');
/*!40000 ALTER TABLE `granted_authorities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lookup_details`
--

DROP TABLE IF EXISTS `lookup_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lookup_details` (
  `lookup_id` bigint(20) NOT NULL,
  `type` varchar(255) NOT NULL,
  `value` varchar(5000) NOT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`lookup_id`,`name`),
  KEY `FKB2E8287D6AE6B6CA` (`lookup_id`),
  CONSTRAINT `FKB2E8287D6AE6B6CA` FOREIGN KEY (`lookup_id`) REFERENCES `lookups` (`lookup_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lookup_details`
--

LOCK TABLES `lookup_details` WRITE;
/*!40000 ALTER TABLE `lookup_details` DISABLE KEYS */;
INSERT INTO `lookup_details` VALUES (10,'string','kg','printedName'),(10,'string','EA','unitCode'),(11,'string','lb','printedName'),(11,'string','EA','unitCode'),(21,'big-decimal','10.0','rate'),(21,'string','S','taxCategory'),(21,'string','GST','taxScheme'),(24,'string','0xFF0000','colour'),(24,'boolean','false','mandatoryAlert'),(24,'string','HIGH','priority'),(40,'string','concat($dispensingVerb, \' \', $number, \' \', $dispensingUnits, \'(s) Once Daily\')','expression'),(41,'string','concat($dispensingVerb, \' \', $number, \' \', $dispensingUnits, \'(s) Twice a Day\')','expression'),(42,'string','concat($dispensingVerb, \' \', $number, \' \', $dispensingUnits, \'(s) Three Times a Day\')','expression'),(43,'string','concat($dispensingVerb, \' \', $number, \' \', $dispensingUnits, \'(s) Four Times a Day\')','expression'),(44,'string','concat($dispensingVerb, \' \', $number, \' \', $dispensingUnits, \'(s) Every Alternate Day\')','expression'),(45,'string','concat($dispensingVerb, \' \', $number, \' \', $dispensingUnits, \'(s) Once a Week\')','expression'),(46,'string','concat($dispensingVerb, \' \', $number, \' \', $dispensingUnits, \'(s) Twice a Week\')','expression'),(47,'string','concat($dispensingVerb, \' \', $number, \' \', $dispensingUnits, \'(s) Every Alternate Week\')','expression'),(48,'string','concat($dispensingVerb, \' \', $number, \' \', $dispensingUnits, \'(s) Monthly\')','expression'),(49,'string','\'To Left Eye\'','expression'),(50,'string','\'To Right Eye\'','expression'),(51,'string','\'To Both Eyes\'','expression'),(52,'string','\'To Left Ear\'','expression'),(53,'string','\'To Right Ear\'','expression'),(54,'string','\'To Both Ears\'','expression'),(55,'string','\'To affected Skin\'','expression'),(56,'string','\'in the afternoon\'','expression'),(57,'string','\'in the morning\'','expression'),(58,'string','\'after Meals\'','expression'),(59,'string','\'before Meals\'','expression'),(60,'string','\'with Meals\'','expression'),(61,'string','\'in the Morning\'','expression'),(62,'string','\'in the evening\'','expression'),(63,'string','concat(\'for \', $number, \' day(s)\')','expression'),(64,'string','concat(\'for \', $number, \'week(s)\')','expression'),(65,'string','concat(\'for \', $number, \'month(s)\')','expression'),(66,'string','concat(\'every \', $number, \' hour(s)\')','expression'),(67,'string','\'shake well before use\'','expression'),(68,'string','openvpms:lookup(openvpms:get(.,\'product.entity\'), \'sellingUnits\')','expression'),(69,'string','openvpms:lookup(openvpms:get(.,\'product.entity\'), \'dispensingUnits\')','expression'),(70,'string','openvpms:lookup(openvpms:get(.,\'product.entity\'), \'dispensingVerb\')','expression'),(71,'big-decimal','0.05','minimumCashDenomination'),(71,'big-decimal','0','minPrice'),(71,'string','HALF_UP','roundingMode'),(72,'big-decimal','0.10','minimumCashDenomination'),(72,'big-decimal','0','minPrice'),(72,'string','HALF_UP','roundingMode'),(73,'big-decimal','0.00','minimumCashDenomination'),(73,'big-decimal','0','minPrice'),(73,'string','HALF_UP','roundingMode'),(74,'string','party:setPatientDesexed(.)','expression'),(74,'string','patient.entity','nodeName'),(75,'string','party:setPatientDeceased(.)','expression'),(75,'string','patient.entity','nodeName'),(76,'string','party:setPatientInactive(.)','expression'),(76,'string','patient.entity','nodeName'),(77,'string','expr:ifempty(expr:concatIf($firstName, \' \', $lastName), $name)','expression'),(78,'string','concat(expr:concatIf($title,\' \'),                              expr:ifempty(expr:concatIf($firstName, \' \', $lastName), $name))','expression'),(79,'string','concat(expr:concatIf($title,\' \'),                              expr:ifempty(expr:concatIf($firstName, \' \', $lastName), $name),                              expr:concatIf(\', \', $qualifications))','expression'),(80,'string','$username','expression'),(81,'string','expr:ifempty($description, $name)','expression'),(82,'boolean','false','restricted'),(83,'boolean','false','restricted'),(84,'boolean','false','restricted'),(85,'boolean','true','restricted'),(86,'boolean','false','restricted'),(87,'boolean','false','restricted'),(88,'boolean','false','restricted'),(89,'boolean','false','restricted'),(90,'string','EA','unitCode'),(91,'string','BO','unitCode'),(92,'string','EA','unitCode'),(93,'string','U2','unitCode'),(94,'string','PA','unitCode'),(95,'string','VI','unitCode'),(96,'string','BX','unitCode'),(97,'string','g','printedName'),(97,'string','GRM','unitCode'),(98,'string','l','printedName'),(98,'string','LTR','unitCode'),(99,'string','AM','unitCode'),(100,'string','mg','printedName'),(100,'string','MGM','unitCode'),(101,'string','ml','printedName'),(101,'string','MLT','unitCode'),(102,'string','TU','unitCode'),(123,'money','500.00','floorLimit'),(123,'boolean','true','separateList'),(124,'money','500.00','floorLimit'),(124,'boolean','true','separateList'),(125,'money','500.00','floorLimit'),(125,'boolean','true','separateList'),(126,'money','500.00','floorLimit'),(126,'boolean','true','separateList'),(340,'string','concat($file, \' - \', date:format(openvpms:get(.,\'startTime\'), \'d MMM yyyy\'))','expression'),(341,'string','concat($file, \' - \', date:format(java.util.Date.new(), \'d MMM yyyy\'))','expression'),(342,'string','concat($file, \' - \', $patient.name, \' \', $customer.lastName, \' - \', date:format(openvpms:get(.,\'startTime\'), \'d MMM yyyy\'))','expression'),(343,'string','concat($file, \' - \', $patient.name, \' \', $customer.lastName, \' - \', date:format(java.util.Date.new(), \'d MMM yyyy\'))','expression'),(344,'string','concat($file, \' - \', party:getPartyFullName($customer), \' - \', date:format(openvpms:get(.,\'startTime\'), \'d MMM yyyy\'))','expression'),(345,'string','concat($file, \' - \', party:getPartyFullName($customer), \' - \', date:format(java.util.Date.new(), \'d MMM yyyy\'))','expression'),(346,'string','concat($file, \' - \', party:getPartyFullName($supplier), \' - \', date:format(openvpms:get(.,\'startTime\'), \'d MMM yyyy\'))','expression'),(347,'string','concat($file, \' - \', party:getPartyFullName($supplier), \' - \', date:format(java.util.Date.new(), \'d MMM yyyy\'))','expression');
/*!40000 ALTER TABLE `lookup_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lookup_link_details`
--

DROP TABLE IF EXISTS `lookup_link_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lookup_link_details` (
  `id` bigint(20) NOT NULL,
  `type` varchar(255) NOT NULL,
  `value` varchar(5000) NOT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`,`name`),
  KEY `FKD00125A2671B76FF` (`id`),
  CONSTRAINT `FKD00125A2671B76FF` FOREIGN KEY (`id`) REFERENCES `lookup_links` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lookup_link_details`
--

LOCK TABLES `lookup_link_details` WRITE;
/*!40000 ALTER TABLE `lookup_link_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `lookup_link_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lookup_links`
--

DROP TABLE IF EXISTS `lookup_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lookup_links` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `version` bigint(20) NOT NULL,
  `linkId` varchar(36) NOT NULL,
  `arch_short_name` varchar(100) NOT NULL,
  `arch_version` varchar(100) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `source_id` bigint(20) DEFAULT NULL,
  `target_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FKF970D8B4F5B96353` (`target_id`),
  KEY `FKF970D8B4C11A6889` (`source_id`),
  CONSTRAINT `FKF970D8B4C11A6889` FOREIGN KEY (`source_id`) REFERENCES `lookups` (`lookup_id`) ON DELETE CASCADE,
  CONSTRAINT `FKF970D8B4F5B96353` FOREIGN KEY (`target_id`) REFERENCES `lookups` (`lookup_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lookup_links`
--

LOCK TABLES `lookup_links` WRITE;
/*!40000 ALTER TABLE `lookup_links` DISABLE KEYS */;
/*!40000 ALTER TABLE `lookup_links` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lookup_relationship_details`
--

DROP TABLE IF EXISTS `lookup_relationship_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lookup_relationship_details` (
  `lookup_relationship_id` bigint(20) NOT NULL,
  `type` varchar(255) NOT NULL,
  `value` varchar(5000) NOT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`lookup_relationship_id`,`name`),
  KEY `FK40E558E08B49F65F` (`lookup_relationship_id`),
  CONSTRAINT `FK40E558E08B49F65F` FOREIGN KEY (`lookup_relationship_id`) REFERENCES `lookup_relationships` (`lookup_relationship_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lookup_relationship_details`
--

LOCK TABLES `lookup_relationship_details` WRITE;
/*!40000 ALTER TABLE `lookup_relationship_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `lookup_relationship_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lookup_relationships`
--

DROP TABLE IF EXISTS `lookup_relationships`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lookup_relationships` (
  `lookup_relationship_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `version` bigint(20) NOT NULL,
  `linkId` varchar(36) NOT NULL,
  `arch_short_name` varchar(100) NOT NULL,
  `arch_version` varchar(100) NOT NULL,
  `active` bit(1) DEFAULT NULL,
  `source_id` bigint(20) DEFAULT NULL,
  `target_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`lookup_relationship_id`),
  KEY `FK2C88AF36F5B96353` (`target_id`),
  KEY `FK2C88AF36C11A6889` (`source_id`),
  CONSTRAINT `FK2C88AF36C11A6889` FOREIGN KEY (`source_id`) REFERENCES `lookups` (`lookup_id`) ON DELETE CASCADE,
  CONSTRAINT `FK2C88AF36F5B96353` FOREIGN KEY (`target_id`) REFERENCES `lookups` (`lookup_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=200 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lookup_relationships`
--

LOCK TABLES `lookup_relationships` WRITE;
/*!40000 ALTER TABLE `lookup_relationships` DISABLE KEYS */;
INSERT INTO `lookup_relationships` VALUES (1,1,'6c615b86-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,289),(2,1,'6c615ba7-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,327),(3,1,'6c615b50-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,224),(4,1,'6c615b5d-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,238),(5,1,'6c615b8e-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,298),(6,1,'6c615ba2-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,322),(7,1,'6c615b24-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,171),(8,1,'6c615b55-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,230),(9,1,'6c615b3d-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,203),(10,1,'6c615b70-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,260),(11,1,'6c615baf-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,161),(12,1,'6c5eea05-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,135),(13,1,'6c615b7d-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,275),(14,1,'6c615b30-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,187),(15,1,'6c615b6e-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,258),(16,1,'6c615b97-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,309),(17,1,'6c5eea0d-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,145),(18,1,'6c615b15-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,154),(19,1,'6c615b44-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,211),(20,1,'6c615b35-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,192),(21,1,'6c615b29-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,177),(22,1,'6c615b4e-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,222),(23,1,'6c615b18-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,157),(24,1,'6c615b77-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,269),(25,1,'6c5eea11-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,149),(26,1,'6c615b95-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,307),(27,1,'6c615bb1-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,179),(28,1,'6c615b2e-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,184),(29,1,'6c615b49-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,217),(30,1,'6c615bbb-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,262),(31,1,'6c615b4c-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,220),(32,1,'6c615ba5-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,325),(33,1,'6c615b84-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,287),(34,1,'6c615b61-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,242),(35,1,'6c615b9f-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,319),(36,1,'6c615ba4-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,324),(37,1,'6c615b1d-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,163),(38,1,'6c615b9a-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,313),(39,1,'6c615b89-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,292),(40,1,'6c615bc2-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,294),(41,1,'6c615b2f-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,186),(42,1,'6c615b72-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,263),(43,1,'6c615b90-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,300),(44,1,'6c615b3b-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,201),(45,1,'6c615b66-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,248),(46,1,'6c615bb6-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,199),(47,1,'6c615b32-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,189),(48,1,'6c615bc5-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,314),(49,1,'6c615b58-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,233),(50,1,'6c615b3a-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,200),(51,1,'6c615bb5-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,198),(52,1,'6c5eea0f-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,147),(53,1,'6c615b78-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,270),(54,1,'6c615b6b-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,254),(55,1,'6c615b5b-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,236),(56,1,'6c615b83-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,283),(57,1,'6c615b1e-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,164),(58,1,'6c615b68-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,250),(59,1,'6c615bb4-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,195),(60,1,'6c615b79-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,271),(61,1,'6c615b21-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,168),(62,1,'6c615b47-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,215),(63,1,'6c615b5a-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,235),(64,1,'6c615ba0-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,320),(65,1,'6c615b4b-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,219),(66,1,'6c615b1f-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,166),(67,1,'6c615b94-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,305),(68,1,'6c5eea03-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,133),(69,1,'6c5eea12-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,150),(70,0,'6c615bc8-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',348,310),(71,0,'6c615bc7-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',348,140),(72,1,'6c615b23-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,170),(73,1,'6c615b7f-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,277),(74,0,'6c615b1c-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,162),(75,0,'6c615b45-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,212),(76,0,'6c5eea10-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,148),(77,0,'6c615b91-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,302),(78,0,'6c615b4d-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,221),(79,0,'6c615b7e-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,276),(80,0,'6c615b60-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,241),(81,0,'6c615b96-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,308),(82,0,'6c615b2d-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,183),(83,0,'6c615b71-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,261),(84,0,'6c615b56-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,231),(85,0,'6c615b3c-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,202),(86,0,'6c615b65-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,247),(87,0,'6c615b80-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,280),(88,0,'6c615b85-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,288),(89,0,'6c615ba6-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,326),(90,0,'6c615b76-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,268),(91,0,'6c615b9e-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,318),(92,0,'6c615ba3-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,323),(93,0,'6c615b8f-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,299),(94,0,'6c5eea0e-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,146),(95,0,'6c615b36-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,193),(96,0,'6c615b59-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,234),(97,0,'6c615b67-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,249),(98,0,'6c615b54-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,229),(99,0,'6c615b6f-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,259),(100,0,'6c5eea09-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,139),(101,0,'6c615b20-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,167),(102,0,'6c615b8d-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,297),(103,0,'6c615b25-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,173),(104,0,'6c615b43-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,210),(105,0,'6c615b48-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,216),(106,0,'6c615b6a-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,253),(107,0,'6c5eea04-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,134),(108,0,'6c615b7c-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,274),(109,0,'6c615b5e-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,239),(110,0,'6c615b19-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,158),(111,0,'6c615b31-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,188),(112,0,'6c615b73-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,264),(113,0,'6c5eea0a-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,141),(114,0,'6c615b63-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,245),(115,0,'6c5eea02-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,133),(116,0,'6c615b37-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,194),(117,0,'6c615b99-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,312),(118,0,'6c615b7b-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,273),(119,0,'6c615b17-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,156),(120,0,'6c615b2a-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,178),(121,0,'6c615b42-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,209),(122,0,'6c615b9c-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,316),(123,0,'6c615b27-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,175),(124,0,'6c615b8c-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,296),(125,0,'6c5eea08-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,138),(126,0,'6c615b5f-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,240),(127,0,'6c615b88-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,291),(128,0,'6c615ba9-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,329),(129,0,'6c615b9b-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,315),(130,0,'6c615b26-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,174),(131,0,'6c615b3f-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,205),(132,0,'6c615b62-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,243),(133,0,'6c615b38-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,196),(134,0,'6c615b53-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,228),(135,0,'6c615b41-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,207),(136,0,'6c615b8a-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,293),(137,0,'6c615b6c-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,255),(138,0,'6c615b9d-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,317),(139,0,'6c615b2b-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,180),(140,0,'6c615b3e-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,204),(141,0,'6c615b5c-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,237),(142,0,'6c615b28-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,176),(143,0,'6c5eea06-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,136),(144,0,'6c615b82-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,282),(145,0,'6c615b1b-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,160),(146,0,'6c615b87-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,290),(147,0,'6c615ba8-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,328),(148,0,'6c615b92-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,303),(149,0,'6c5eea0b-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,143),(150,0,'6c615b46-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,214),(151,0,'6c615b33-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,190),(152,0,'6c615b74-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,265),(153,0,'6c5eea14-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,153),(154,0,'6c615b64-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,246),(155,0,'6c615b51-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,225),(156,0,'6c615ba1-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,321),(157,0,'6c615b7a-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,272),(158,0,'6c615b1a-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,159),(159,0,'6c615b93-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,304),(160,0,'6c615b16-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,155),(161,0,'6c615b75-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,266),(162,0,'6c5eea0c-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,144),(163,0,'6c615b34-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,191),(164,0,'6c615b39-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,197),(165,0,'6c5eea13-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,152),(166,0,'6c615b52-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,227),(167,0,'6c615b4f-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,223),(168,0,'6c615b69-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,251),(169,0,'6c615b40-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,206),(170,0,'6c615b8b-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,295),(171,0,'6c615b22-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,169),(172,0,'6c615b6d-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,257),(173,0,'6c615b2c-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,181),(174,0,'6c615b4a-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,218),(175,0,'6c615b57-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,232),(176,0,'6c5eea07-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,137),(177,0,'6c615b98-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,311),(178,0,'6c615b81-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',349,281),(179,1,'6c615bc4-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,306),(180,1,'6c615bb3-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,185),(181,1,'6c615bba-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,252),(182,1,'6c615bb2-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,182),(183,1,'6c615bbf-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,284),(184,1,'6c615bb7-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,208),(185,1,'6c615bc3-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,301),(186,1,'6c615bc1-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,286),(187,0,'6c63cbd6-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',350,256),(188,1,'6c615bb0-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,172),(189,1,'6c615bae-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,165),(190,0,'6c615bca-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',351,213),(191,0,'6c615bab-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,132),(192,0,'6c615bbe-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,279),(193,0,'6c615bac-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,142),(194,0,'6c615bc0-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,285),(195,0,'6c615bb8-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,226),(196,0,'6c615bad-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,151),(197,0,'6c615bbc-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,267),(198,0,'6c615bb9-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,244),(199,0,'6c615bbd-21dd-11ea-98ac-ffe11db4702c','lookupRelationship.speciesBreed','1.0',_binary '',352,278);
/*!40000 ALTER TABLE `lookup_relationships` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lookups`
--

DROP TABLE IF EXISTS `lookups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lookups` (
  `lookup_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `version` bigint(20) NOT NULL,
  `linkId` varchar(36) NOT NULL,
  `active` bit(1) DEFAULT NULL,
  `arch_short_name` varchar(100) NOT NULL,
  `arch_version` varchar(100) NOT NULL,
  `code` varchar(100) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `default_lookup` bit(1) DEFAULT NULL,
  PRIMARY KEY (`lookup_id`),
  UNIQUE KEY `arch_short_name` (`arch_short_name`,`code`),
  KEY `lookup_short_name_index` (`arch_short_name`)
) ENGINE=InnoDB AUTO_INCREMENT=353 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lookups`
--

LOCK TABLES `lookups` WRITE;
/*!40000 ALTER TABLE `lookups` DISABLE KEYS */;
INSERT INTO `lookups` VALUES (1,0,'6c498dce-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.userType','1.0','ADMINISTRATOR','Administrator','Administrator User Type',_binary '\0'),(2,0,'6c498dcf-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.userType','1.0','CLINICIAN','Clinician','Clinician User Type',_binary '\0'),(3,0,'6c498dd0-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.userType','1.0','NURSE','Nurse','Nurse User Type',_binary '\0'),(4,0,'6c498dd1-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.userType','1.0','RECEPTIONIST','Receptionist','Receptionist User Type',_binary '\0'),(5,0,'6c50b9c8-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.visitReason','1.0','CHECKUP','Checkup','Checkup',_binary ''),(6,0,'6c50b9c9-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.visitReason','1.0','VACCINATION','Vaccination','Vaccination',_binary '\0'),(7,0,'6c50b9ca-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.visitReason','1.0','OTHER','Other','Other',_binary '\0'),(8,0,'6c50b9cb-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.messageReason','1.0','PHONE','Phone Call','Phone Call',_binary ''),(9,0,'6c50b9cc-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.messageReason','1.0','OTHER','Other','Other',_binary '\0'),(10,0,'6c50b9cd-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.uom','1.0','KILOGRAM','Kilogram','Kilogram ',_binary '\0'),(11,0,'6c50b9ce-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.uom','1.0','POUNDS','Pounds','Pounds ',_binary '\0'),(12,0,'6c50b9cf-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.uomGroup','1.0','WEIGHT','Weight','Weight ',_binary '\0'),(13,0,'6c50b9d0-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.contactPurpose','1.0','HOME','Home','Home Contact Purpose',_binary '\0'),(14,0,'6c50b9d1-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.contactPurpose','1.0','WORK','Work','Work Contact Purpose',_binary '\0'),(15,0,'6c50b9d2-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.contactPurpose','1.0','POSTAL','Postal','Postal Contact Purpose',_binary '\0'),(16,0,'6c50b9d3-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.contactPurpose','1.0','CORRESPONDENCE','Correspondence','Correspondence Contact Purpose',_binary '\0'),(17,0,'6c50b9d4-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.contactPurpose','1.0','REMINDER','Reminder','Reminder Contact Purpose',_binary '\0'),(18,0,'6c50b9d5-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.contactPurpose','1.0','BILLING','Billing','Billing Contact Purpose',_binary '\0'),(19,0,'6c50b9d6-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.contactPurpose','1.0','MOBILE','Mobile','Mobile Contact Purpose',_binary '\0'),(20,0,'6c50b9d7-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.contactPurpose','1.0','FAX','Fax','Fax Contact Purpose',_binary '\0'),(21,0,'6c50b9d8-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.taxType','1.0','GST','Gst',NULL,_binary '\0'),(22,0,'6c50b9d9-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.patientAlertType','1.0','ALLERGY','Allergy','Allergy ',_binary '\0'),(23,0,'6c50b9da-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.patientAlertType','1.0','AGGRESSION','Aggression','Aggression ',_binary '\0'),(24,0,'6c50b9db-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.customerAlertType','1.0','BAD_DEBT','Bad Debt','Bad Debt ',_binary '\0'),(25,0,'6c50b9dc-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.customerCommunicationReason','1.0','AD_HOC_EMAIL','Ad hoc Email','Ad hoc Email',_binary '\0'),(26,0,'6c50b9dd-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.customerCommunicationReason','1.0','AD_HOC_SMS','Ad hoc SMS','Ad hoc SMS',_binary '\0'),(27,0,'6c50b9de-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.customerCommunicationReason','1.0','APPOINTMENT_REMINDER','Appointment Reminder','Appointment Reminder',_binary '\0'),(28,0,'6c50b9df-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.customerCommunicationReason','1.0','FORWARDED_DOCUMENT','Forwarded Documents','Forwarded Documents',_binary '\0'),(29,0,'6c50b9e0-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.customerCommunicationReason','1.0','PATIENT_REMINDER','Patient Reminder','Patient Reminder',_binary '\0'),(30,0,'6c50b9e1-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.customerCommunicationReason','1.0','STATEMENT','Statement','Statement',_binary '\0'),(31,0,'6c50b9e2-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.customPaymentType','1.0','GAP_BENEFIT_PAYMENT','Gap Benefit Payment','Gap Benefit Payment ',_binary '\0'),(32,0,'6c50b9e3-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.reportType','1.0','CUSTOMER','Customer','Customer ',_binary '\0'),(33,0,'6c50b9e4-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.reportType','1.0','PATIENT','Patient','Patient ',_binary '\0'),(34,0,'6c50b9e5-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.reportType','1.0','SUPPLIER','Supplier','Supplier ',_binary '\0'),(35,0,'6c50b9e6-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.reportType','1.0','PRODUCT','Product','Product ',_binary '\0'),(36,0,'6c50b9e7-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.reportType','1.0','WORKFLOW','Workflow','Workflow ',_binary '\0'),(37,0,'6c50b9e8-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.reportType','1.0','ADMINISTRATION','Administration','Administration ',_binary '\0'),(38,0,'6c50b9e9-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.reportType','1.0','FINANCIAL','Financial','Financial ',_binary '\0'),(39,0,'6c50b9ea-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.reportType','1.0','OTHER','Other','Other  (Default)',_binary ''),(40,0,'6c50b9eb-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@oid','Once daily',NULL,_binary '\0'),(41,0,'6c50b9ec-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@bid','Twice a day',NULL,_binary '\0'),(42,0,'6c50b9ed-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@tid','Three times a day',NULL,_binary '\0'),(43,0,'6c50b9ee-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@qid','Four times a day',NULL,_binary '\0'),(44,0,'6c50b9ef-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@ald','Every alternate day',NULL,_binary '\0'),(45,0,'6c50b9f0-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@owk','Once a week',NULL,_binary '\0'),(46,0,'6c50b9f1-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@bwk','Twice a week',NULL,_binary '\0'),(47,0,'6c50b9f2-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@alw','Every alternate week',NULL,_binary '\0'),(48,0,'6c50b9f3-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@mth','Monthly',NULL,_binary '\0'),(49,0,'6c50b9f4-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@ley','To left eye',NULL,_binary '\0'),(50,0,'6c50b9f5-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@rey','To right eye',NULL,_binary '\0'),(51,0,'6c50b9f6-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@bey','To both eyes',NULL,_binary '\0'),(52,0,'6c50b9f7-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@lea','To left ear',NULL,_binary '\0'),(53,0,'6c50b9f8-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@rea','To right ear',NULL,_binary '\0'),(54,0,'6c50b9f9-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@bea','To both ears',NULL,_binary '\0'),(55,0,'6c50b9fa-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@ski','To affected skin',NULL,_binary '\0'),(56,0,'6c50b9fb-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@pm','In the afternoon',NULL,_binary '\0'),(57,0,'6c50b9fc-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@am','In the morning',NULL,_binary '\0'),(58,0,'6c50b9fd-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@af','After meals',NULL,_binary '\0'),(59,0,'6c5302ee-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@bf','Before meals',NULL,_binary '\0'),(60,0,'6c5302ef-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@wf','With meals',NULL,_binary '\0'),(61,0,'6c5302f0-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@mor','In the morning',NULL,_binary '\0'),(62,0,'6c5302f1-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@eve','In the evening',NULL,_binary '\0'),(63,0,'6c5302f2-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@d','Days',NULL,_binary '\0'),(64,0,'6c5302f3-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@w','Weeks',NULL,_binary '\0'),(65,0,'6c5302f4-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@m','Months',NULL,_binary '\0'),(66,0,'6c5302f5-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@hr','Hours',NULL,_binary '\0'),(67,0,'6c5302f6-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','@sh','Shake well',NULL,_binary '\0'),(68,0,'6c5302f7-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','sellingUnits','Selling units',NULL,_binary '\0'),(69,0,'6c5302f8-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','dispensingUnits','Dispensing units',NULL,_binary '\0'),(70,0,'6c5302f9-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.macro','1.0','dispensingVerb','Dispensing verb',NULL,_binary '\0'),(71,0,'6c5302fa-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.currency','1.0','AUD','Australian Dollar','Australian Dollar  (Default)',_binary ''),(72,0,'6c5302fb-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.currency','1.0','NZD','New Zealand Dollar','New Zealand Dollar ',_binary '\0'),(73,0,'6c5302fc-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.currency','1.0','USD','US Dollar','US Dollar ',_binary '\0'),(74,0,'6c5302fd-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.demographicUpdate','1.0','PATIENT_DESEXED','Patient Desexed','Patient Desexed Demographic Update',_binary '\0'),(75,0,'6c5302fe-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.demographicUpdate','1.0','PATIENT_DECEASED','Patient Deceased','Patient Deceased Demographic Update',_binary '\0'),(76,0,'6c5302ff-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.demographicUpdate','1.0','PATIENT_INACTIVE','Patient Inactive','Patient Inactive Demographic Update',_binary '\0'),(77,0,'6c530300-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.userNameFormat','1.0','NAME','Name','User name format including the name only',_binary '\0'),(78,0,'6c530301-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.userNameFormat','1.0','TITLE_NAME','Title and Name','User name format including the title and name',_binary '\0'),(79,0,'6c530302-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.userNameFormat','1.0','TITLE_NAME_QUALIFICATIONS','Title, Name and Qualifications','User name format including the title, name, and qualifications',_binary '\0'),(80,0,'6c530303-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.userNameFormat','1.0','LOGIN_NAME','Login name','User name format including the login name',_binary '\0'),(81,0,'6c530304-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.userNameFormat','1.0','DESCRIPTION','Description','User name format including the description',_binary '\0'),(82,0,'6c530305-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.productDrugSchedule','1.0','S1','S1','S1 Schedule',_binary '\0'),(83,0,'6c530306-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.productDrugSchedule','1.0','S2','S2','S2 Schedule',_binary '\0'),(84,0,'6c530307-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.productDrugSchedule','1.0','S3','S3','S3 Schedule',_binary '\0'),(85,0,'6c530308-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.productDrugSchedule','1.0','S4','S4','S4 Schedule',_binary '\0'),(86,0,'6c530309-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.productDrugSchedule','1.0','S5','S5','S5 Schedule',_binary '\0'),(87,0,'6c53030a-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.productDrugSchedule','1.0','S6','S6','S6 Schedule',_binary '\0'),(88,0,'6c53030b-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.productDrugSchedule','1.0','S7','S7','S7 Schedule',_binary '\0'),(89,0,'6c53030c-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.productDrugSchedule','1.0','S8','S8','S8 Schedule',_binary '\0'),(90,0,'6c5a2f21-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.uom','1.0','UNIT','Unit','Unit  (Default)',_binary ''),(91,0,'6c5a2f22-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.uom','1.0','BOTTLE','Bottle','Bottle ',_binary '\0'),(92,0,'6c5a2f23-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.uom','1.0','SYRINGE','Syringe','Syringe ',_binary '\0'),(93,0,'6c5a2f24-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.uom','1.0','TABLET','Tablet','Tablet ',_binary '\0'),(94,0,'6c5a2f25-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.uom','1.0','PACKET','Packet','Packet ',_binary '\0'),(95,0,'6c5a2f26-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.uom','1.0','VIAL','Vial','Vial ',_binary '\0'),(96,0,'6c5a2f27-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.uom','1.0','BOX','Box','Box ',_binary '\0'),(97,0,'6c5a2f28-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.uom','1.0','GRAMS','Grams','Grams ',_binary '\0'),(98,0,'6c5a2f29-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.uom','1.0','LITRES','Litres','Litres ',_binary '\0'),(99,0,'6c5a2f2a-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.uom','1.0','AMPOULE','Ampoule','Ampoule ',_binary '\0'),(100,0,'6c5a2f2b-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.uom','1.0','MG','Mg','Mg ',_binary '\0'),(101,0,'6c5a2f2c-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.uom','1.0','MLS','Mls','Mls ',_binary '\0'),(102,0,'6c5a2f2d-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.uom','1.0','TUBE','Tube','Tube ',_binary '\0'),(103,0,'6c5a2f2e-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.customerType','1.0','SMALL_ANIMAL','Small Animal','Small Animal Customer Type',_binary '\0'),(104,0,'6c5a2f2f-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.customerType','1.0','LARGE_ANIMAL','Large Animal','Large Animal Customer Type',_binary '\0'),(105,0,'6c5a2f30-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.customerType','1.0','STUD','Stud','Stud Customer Type',_binary '\0'),(106,0,'6c5a2f31-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.customerType','1.0','FARM','Farm','Farm Customer Type',_binary '\0'),(107,0,'6c5a2f32-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.supplierType','1.0','WHOLESALER','Wholesaler','Wholesaler Supplier Type',_binary '\0'),(108,0,'6c5a2f33-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.supplierType','1.0','MANUFACTURER','Manufacturer','Manufacturer Supplier Type',_binary '\0'),(109,0,'6c5a2f34-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.supplierType','1.0','RETAIL','Retail','Retail Supplier Type',_binary '\0'),(110,0,'6c5a2f35-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.supplierType','1.0','OTHER','Other','Other Supplier Type',_binary '\0'),(111,0,'6c5a2f36-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.reminderGroup','1.0','VACCINATIONS','Vaccinations',NULL,_binary '\0'),(112,0,'6c5a2f37-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.reminderGroup','1.0','DESEXING','Desexing',NULL,_binary '\0'),(113,0,'6c5a2f38-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.reminderGroup','1.0','WORMING','Worming',NULL,_binary '\0'),(114,0,'6c5a2f39-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.reminderGroup','1.0','OTHER','Other',NULL,_binary '\0'),(115,0,'6c5a2f3a-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.bank','1.0','NAB','National','National ',_binary '\0'),(116,0,'6c5a2f3b-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.bank','1.0','CBA','Commonwealth','Commonwealth ',_binary '\0'),(117,0,'6c5a2f3c-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.bank','1.0','ANZ','Anz','Anz ',_binary '\0'),(118,0,'6c5a2f3d-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.bank','1.0','WBA','Westpac','Westpac ',_binary '\0'),(119,0,'6c5a2f3e-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.bank','1.0','SGB','St George','St George ',_binary '\0'),(120,0,'6c5a2f3f-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.bank','1.0','BANK_WEST','Bank West','Bank West ',_binary '\0'),(121,0,'6c5a2f40-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.bank','1.0','STATE_SA','State Sa','State Sa ',_binary '\0'),(122,0,'6c5a2f41-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.bank','1.0','BEN','Bendigo','Bendigo ',_binary '\0'),(123,0,'6c5a2f42-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.creditcard','1.0','VISA','Visa','Visa ',_binary '\0'),(124,0,'6c5a2f43-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.creditcard','1.0','MASTERCARD','Mastercard','Mastercard ',_binary '\0'),(125,0,'6c5a2f44-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.creditcard','1.0','AMEX','American Express','American Express ',_binary '\0'),(126,0,'6c5a2f45-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.creditcard','1.0','DINERS','Diners','Diners ',_binary '\0'),(127,0,'6c5a2f46-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.personTitle','1.0','MR','Mr','Mr  (Default)',_binary ''),(128,0,'6c5a2f47-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.personTitle','1.0','MRS','Mrs','Mrs ',_binary '\0'),(129,0,'6c5a2f48-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.personTitle','1.0','MS','Ms','Ms ',_binary '\0'),(130,0,'6c5a2f49-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.personTitle','1.0','DR','Dr','Dr ',_binary '\0'),(131,0,'6c5a2f4a-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.personTitle','1.0','LADY','Lady','Lady ',_binary '\0'),(132,0,'6c5a2f4b-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','ABYSSINIAN','Abyssinian','Abyssinian ',_binary '\0'),(133,0,'6c5a2f4c-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','AFFENPINSCHER','Affenpinscher','Affenpinscher ',_binary '\0'),(134,0,'6c5ca04d-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','AFGHAN_HOUND','Afghan Hound','Afghan Hound ',_binary '\0'),(135,0,'6c5ca04e-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','AIREDALE_TERRIER','Airedale Terrier','Airedale Terrier ',_binary '\0'),(136,0,'6c5ca04f-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','AKITA','Akita','Akita ',_binary '\0'),(137,0,'6c5ca050-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','ALASKAN_MALAMUTE','Alaskan Malamute','Alaskan Malamute ',_binary '\0'),(138,0,'6c5ca051-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','AMERICAN_STAFFORDSHIRE_TERRIER','American Staffordshire Terrier','American Staffordshire Terrier ',_binary '\0'),(139,0,'6c5ca052-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','ANATOLIAN_SHEPHERD_DOG','Anatolian Shepherd Dog','Anatolian Shepherd Dog ',_binary '\0'),(140,0,'6c5ca053-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','ARAB','Arab','Arab ',_binary '\0'),(141,0,'6c5ca054-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','AUSTRALIAN_TERRIER','Australian Terrier','Australian Terrier ',_binary '\0'),(142,0,'6c5ca055-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','BALINESE','Balinese','Balinese ',_binary '\0'),(143,0,'6c5ca056-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','BASENJI','Basenji','Basenji ',_binary '\0'),(144,0,'6c5ca057-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','BASSET_HOUND','Basset Hound','Basset Hound ',_binary '\0'),(145,0,'6c5ca058-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','BEARDED_COLLIE','Bearded Collie','Bearded Collie ',_binary '\0'),(146,0,'6c5ca059-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','BEAGLE','Beagle','Beagle ',_binary '\0'),(147,0,'6c5ca05a-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','BEDLINGTON_TERRIER','Bedlington Terrier','Bedlington Terrier ',_binary '\0'),(148,0,'6c5ca05b-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','BERNESE_MOUNTAIN_DOG','Bernese Mountain Dog','Bernese Mountain Dog ',_binary '\0'),(149,0,'6c5ca05c-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','BELGIAN_SHEPHERD_DOG','Belgian Shepherd Dog (4 Types)','Belgian Shepherd Dog (4 Types) ',_binary '\0'),(150,0,'6c5ca05d-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','BICHON_FRISE','Bichon Frise','Bichon Frise ',_binary '\0'),(151,0,'6c5ca05e-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','BIRMAN','Birman','Birman ',_binary '\0'),(152,0,'6c5ca05f-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','BLOODHOUND','Bloodhound','Bloodhound ',_binary '\0'),(153,0,'6c5ca060-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','BOUVIER_DES_FLANDES','Bouvier Des Flandes','Bouvier Des Flandes ',_binary '\0'),(154,0,'6c5ca061-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','BORDER_COLLIE','Border Collie','Border Collie ',_binary '\0'),(155,0,'6c5ca062-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','BORDER_TERRIER','Border Terrier','Border Terrier ',_binary '\0'),(156,0,'6c5ca063-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','BORZOI','Borzoi','Borzoi ',_binary '\0'),(157,0,'6c5ca064-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','BOSTON_TERRIER','Boston Terrier','Boston Terrier ',_binary '\0'),(158,0,'6c5ca065-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','BOXER','Boxer','Boxer ',_binary '\0'),(159,0,'6c5ca066-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','BRIARD','Briard','Briard ',_binary '\0'),(160,0,'6c5ca067-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','BRITISH_BULLDOG','British Bulldog','British Bulldog ',_binary '\0'),(161,0,'6c5ca068-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','BRITISH_SHORTHAIR','British Shorthair','British Shorthair ',_binary '\0'),(162,0,'6c5ca069-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','BRITTANY','Brittany','Brittany ',_binary '\0'),(163,0,'6c5ca06a-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','BULLMASTIFF','Bullmastiff','Bullmastiff ',_binary '\0'),(164,0,'6c5ca06b-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','BULL_TERRIER','Bull Terrier','Bull Terrier ',_binary '\0'),(165,0,'6c5ca06c-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','BURMESE','Burmese','Burmese ',_binary '\0'),(166,0,'6c5ca06d-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','CAIRN_TERRIER','Cairn Terrier','Cairn Terrier ',_binary '\0'),(167,0,'6c5ca06e-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','AUSTRALIAN_CATTLE_DOG','Australian Cattle Dog','Australian Cattle Dog ',_binary '\0'),(168,0,'6c5ca06f-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','CATTLE_DOG','Cattle Dog (Stumpy Tail)','Cattle Dog (Stumpy Tail) ',_binary '\0'),(169,0,'6c5ca070-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','CHESAPEAKE_BAY_RETRIEVER','Chesapeake Bay Retriever','Chesapeake Bay Retriever ',_binary '\0'),(170,0,'6c5ca071-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','CHINESE_CRESTED_DOG','Chinese Crested Dog','Chinese Crested Dog ',_binary '\0'),(171,0,'6c5ca072-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','CHIHUAHUA_LONG','Chihuahua (Long)','Chihuahua (Long) ',_binary '\0'),(172,0,'6c5ca073-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','CHINCHILLA_PERSIAN','Chinchilla (Persian)','Chinchilla (Persian) ',_binary '\0'),(173,0,'6c5ca074-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','CHIHUAHUA_SMOOTH','Chihuahua (Smooth)','Chihuahua (Smooth) ',_binary '\0'),(174,0,'6c5ca075-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','CHOW_CHOW','Chow Chow','Chow Chow ',_binary '\0'),(175,0,'6c5ca076-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','CAVALIER_KING_CHARLES_SPANIEL','Cavalier King Charles Spaniel','Cavalier King Charles Spaniel ',_binary '\0'),(176,0,'6c5ca077-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','CLUMBER_SPANIEL','Clumber Spaniel','Clumber Spaniel ',_binary '\0'),(177,0,'6c5ca078-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','COCKER_SPANIEL','Cocker Spaniel','Cocker Spaniel ',_binary '\0'),(178,0,'6c5ca079-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','COLLIE_ROUGH','Collie (Rough)','Collie (Rough) ',_binary '\0'),(179,0,'6c5ca07a-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','COLORPOINT_SHORTHAIR_SIAMESE','Colorpoint Shorthair (Siamese)','Colorpoint Shorthair (Siamese) ',_binary '\0'),(180,0,'6c5ca07b-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','COLLIE_SMOOTH','Collie (Smooth)','Collie (Smooth) ',_binary '\0'),(181,0,'6c5ca07c-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','WELSH_CORGI','Welsh Corgi Cardigan/pembroke','Welsh Corgi Cardigan/pembroke ',_binary '\0'),(182,0,'6c5ca07d-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','CORNISH_REX','Cornish Rex','Cornish Rex ',_binary '\0'),(183,0,'6c5ca07e-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','COCKER_SPANIEL_AMERICAN','Cocker Spaniel (American)','Cocker Spaniel (American) ',_binary '\0'),(184,0,'6c5ca07f-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','CURLY_COATED_RETRIEVER','Curly Coated Retriever','Curly Coated Retriever ',_binary '\0'),(185,0,'6c5ca080-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','CYMRIC','Cymric','Cymric ',_binary '\0'),(186,0,'6c5ca081-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','DACHSHUND_LONGHAIR','Dachshund (Longhair)','Dachshund (Longhair) ',_binary '\0'),(187,0,'6c5ca082-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','DACHSHIND_SMOOTHHAIR','Dachshund (Smoothhair)','Dachshund (Smoothhair) ',_binary '\0'),(188,0,'6c5ca083-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','DACHSHUND_WIREHAIR','Dachshund (Wirehair)','Dachshund (Wirehair) ',_binary '\0'),(189,0,'6c5ca084-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','DANDIE_DINMONT_TERRIER','Dandie Dinmont Terrier','Dandie Dinmont Terrier ',_binary '\0'),(190,0,'6c5ca085-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','DALMATION','Dalmation','Dalmation ',_binary '\0'),(191,0,'6c5ca086-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','DACHSHUND_MINIATURE_LONGHAIR','Dachshund (Miniature Longhair)','Dachshund (Miniature Longhair) ',_binary '\0'),(192,0,'6c5ca087-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','DACHSHUND_MINIATURE_SMOOTHHAIR','Dachshund (Miniature Smoothhair)','Dachshund (Miniature Smoothhair) ',_binary '\0'),(193,0,'6c5ca088-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','DACHSHUND_MINIATURE_WIREHAIR','Dachshund (Miniature Wirehair)','Dachshund (Miniature Wirehair) ',_binary '\0'),(194,0,'6c5ca089-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','DEERHOUND','Deerhound','Deerhound ',_binary '\0'),(195,0,'6c5ca08a-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','DEVON_REX','Devon Rex','Devon Rex ',_binary '\0'),(196,0,'6c5ca08b-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','DINGO','Dingo','Dingo ',_binary '\0'),(197,0,'6c5ca08c-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','DOBERMAN','Doberman','Doberman ',_binary '\0'),(198,0,'6c5ca08d-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','DOMESTIC_LONGHAIR','Domestic Longhair','Domestic Longhair ',_binary '\0'),(199,0,'6c5ca08e-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','DOMESTIC_SHORTHAIR','Domestic Shorthair','Domestic Shorthair ',_binary '\0'),(200,0,'6c5ca08f-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','ELKHOUND','Elkhound','Elkhound ',_binary '\0'),(201,0,'6c5ca090-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','ENGLISH_SETTER','English Setter','English Setter ',_binary '\0'),(202,0,'6c5ca091-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','ENGLISH_SPRINGER_SPANIEL','English Springer Spaniel','English Springer Spaniel ',_binary '\0'),(203,0,'6c5ca092-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','ENGLISH_TOY_TERRIER_BLACK','English Toy Terrier (Black)','English Toy Terrier (Black) ',_binary '\0'),(204,0,'6c5ca093-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','ENGLISH_TOY_TERRIER_BLACK_TAN','English Toy Terrier (Tan)','English Toy Terrier (Tan) ',_binary '\0'),(205,0,'6c5ca094-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','FIELD_SPANIEL','Field Spaniel','Field Spaniel ',_binary '\0'),(206,0,'6c5ca095-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','FINNISH_SPITZ','Finnish Spitz','Finnish Spitz ',_binary '\0'),(207,0,'6c5ca096-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','FLAT_COATED_RETRIEVER','Flat Coated Retriever','Flat Coated Retriever ',_binary '\0'),(208,0,'6c5ca097-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','FORIEGN_WHITE','Foriegn White','Foriegn White ',_binary '\0'),(209,0,'6c5ca098-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','FOX_TERRIER_SMOOTHHAIR','Fox Terrier (Smoothhair)','Fox Terrier (Smoothhair) ',_binary '\0'),(210,0,'6c5ca099-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','FOX_TERRIER_WIREHAIR','Fox Terrier (Wirehair)','Fox Terrier (Wirehair) ',_binary '\0'),(211,0,'6c5ca09a-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','FOXHOUND','Foxhound','Foxhound ',_binary '\0'),(212,0,'6c5ca09b-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','FRENCH_BULLDOG','French Bulldog','French Bulldog ',_binary '\0'),(213,0,'6c5ca09c-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','FRIESIAN','Friesian','Friesian ',_binary '\0'),(214,0,'6c5ca09d-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','GERMAN_PINSCHER','German Pinscher','German Pinscher ',_binary '\0'),(215,0,'6c5ca09e-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','GERMAN_SHEPHERD_DOG','German Shepherd Dog','German Shepherd Dog ',_binary '\0'),(216,0,'6c5ca09f-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','GERMAN_SHORTHAIRED_POINTER','German Shorthaired Pointer','German Shorthaired Pointer ',_binary '\0'),(217,0,'6c5ca0a0-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','GERMAN_WIREHAIRED_POINTER','German Wirehaired Pointer','German Wirehaired Pointer ',_binary '\0'),(218,0,'6c5ca0a1-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','GLEN_OF_IMMAAL_TERRIER','Glen Of Immaal Terrier','Glen Of Immaal Terrier ',_binary '\0'),(219,0,'6c5ca0a2-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','GOLDEN_RETRIEVER','Golden Retriever','Golden Retriever ',_binary '\0'),(220,0,'6c5ca0a3-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','GORDON_SETTER','Gordon Setter','Gordon Setter ',_binary '\0'),(221,0,'6c5ca0a4-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','GREAT_DANE','Great Dane','Great Dane ',_binary '\0'),(222,0,'6c5ca0a5-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','GREYHOUND','Greyhound','Greyhound ',_binary '\0'),(223,0,'6c5ca0a6-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','GRIFFON_BRUXELLOIS','Griffon Bruxellois','Griffon Bruxellois ',_binary '\0'),(224,0,'6c5ca0a7-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','HAMILTONSTOVARE','Hamiltonstovare','Hamiltonstovare ',_binary '\0'),(225,0,'6c5ca0a8-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','HARRIER','Harrier','Harrier ',_binary '\0'),(226,0,'6c5ca0a9-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','HIMALAYAN','Himalayan','Himalayan ',_binary '\0'),(227,0,'6c5ca0aa-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','HUNGARIAN_PULI','Hungarian Puli','Hungarian Puli ',_binary '\0'),(228,0,'6c5ca0ab-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','HUNGARIAN_SHEEPDOG','Hungarian Sheepdog','Hungarian Sheepdog ',_binary '\0'),(229,0,'6c5ca0ac-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','HUNGARIAN_VIZSLA','Hungarian Vizsla','Hungarian Vizsla ',_binary '\0'),(230,0,'6c5ca0ad-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','IBIZAN_HOUND','Ibizan Hound','Ibizan Hound ',_binary '\0'),(231,0,'6c5ca0ae-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','IRISH_SETTER','Irish Setter','Irish Setter ',_binary '\0'),(232,0,'6c5ca0af-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','IRISH_TERRIER','Irish Terrier','Irish Terrier ',_binary '\0'),(233,0,'6c5ca0b0-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','IRISH_WOLFHOUND','Irish Wolfhound','Irish Wolfhound ',_binary '\0'),(234,0,'6c5ca0b1-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','IRISH_WATER_SPANIEL','Irish Water Spaniel','Irish Water Spaniel ',_binary '\0'),(235,0,'6c5ca0b2-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','ITALIAN_GREYHOUND','Italian Greyhound','Italian Greyhound ',_binary '\0'),(236,0,'6c5ca0b3-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','JAPANESE_CHIN','Japanese Chin','Japanese Chin ',_binary '\0'),(237,0,'6c5ca0b4-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','JAPANESE_SPITZ','Japanese Spitz','Japanese Spitz ',_binary '\0'),(238,0,'6c5ca0b5-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','JACK_RUSSEL_TERRIER','Jack Russel Terrier','Jack Russel Terrier ',_binary '\0'),(239,0,'6c5ca0b6-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','KERRY_BLUE_TERRIER','Kerry Blue Terrier','Kerry Blue Terrier ',_binary '\0'),(240,0,'6c5ca0b7-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','KEESHOND','Keeshond','Keeshond ',_binary '\0'),(241,0,'6c5ca0b8-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','AUSTRALIAN_KELPIE','Australian Kelpie','Australian Kelpie ',_binary '\0'),(242,0,'6c5ca0b9-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','KING_CHARLES_SPANIEL','King Charles Spaniel','King Charles Spaniel ',_binary '\0'),(243,0,'6c5ca0ba-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','KOMONDOR','Komondor','Komondor ',_binary '\0'),(244,0,'6c5ca0bb-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','KORAT','Korat','Korat ',_binary '\0'),(245,0,'6c5ca0bc-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','LABRADOR_RETRIEVER','Labrador Retriever','Labrador Retriever ',_binary '\0'),(246,0,'6c5ca0bd-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','LABASO_APSO','Labaso Apso','Labaso Apso ',_binary '\0'),(247,0,'6c5ca0be-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','LAKELAND_TERRIER','Lakeland Terrier','Lakeland Terrier ',_binary '\0'),(248,0,'6c5ca0bf-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','LARGE_MUNSTERLANDER','Large Munsterlander','Large Munsterlander ',_binary '\0'),(249,0,'6c5ca0c0-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','LOWCHEN','Lowchen','Lowchen ',_binary '\0'),(250,0,'6c5ca0c1-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','MALTESE','Maltese','Maltese ',_binary '\0'),(251,0,'6c5ca0c2-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','MANCHESTER_TERRIER','Manchester Terrier','Manchester Terrier ',_binary '\0'),(252,0,'6c5ca0c3-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','MANX','Manx','Manx ',_binary '\0'),(253,0,'6c5ee9b4-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','MAREMMA_SHEEPDOG','Maremma Sheepdog','Maremma Sheepdog ',_binary '\0'),(254,0,'6c5ee9b5-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','MASTIFF','Mastiff','Mastiff ',_binary '\0'),(255,0,'6c5ee9b6-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','MINIATURE_PINSCHER','Miniature Pinscher','Miniature Pinscher ',_binary '\0'),(256,0,'6c5ee9b7-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','NO_BREED','No Breed','No Breed ',_binary '\0'),(257,0,'6c5ee9b8-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','NEWFOUNDLAND','Newfoundland','Newfoundland ',_binary '\0'),(258,0,'6c5ee9b9-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','NORWEGIAN_BUHUND','Norwegian Buhund','Norwegian Buhund ',_binary '\0'),(259,0,'6c5ee9ba-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','NORFOLK_TERRIER','Norfolk Terrier','Norfolk Terrier ',_binary '\0'),(260,0,'6c5ee9bb-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','NORWICH_TERRIER','Norwich Terrier','Norwich Terrier ',_binary '\0'),(261,0,'6c5ee9bc-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','OLD_ENGLISH_SHEEPDOG','Old English Sheepdog','Old English Sheepdog ',_binary '\0'),(262,0,'6c5ee9bd-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','ORIENTAL_SHORTHAIR','Oriental Shorthair','Oriental Shorthair ',_binary '\0'),(263,0,'6c5ee9be-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','OTTERHOUND','Otterhound','Otterhound ',_binary '\0'),(264,0,'6c5ee9bf-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','PAPILLON','Papillon','Papillon ',_binary '\0'),(265,0,'6c5ee9c0-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','PETIT_BASSET_GRIFFON_VENDEEN','Petit Basset Griffon Vendeen','Petit Basset Griffon Vendeen ',_binary '\0'),(266,0,'6c5ee9c1-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','PEKINGESE','Pekingese','Pekingese ',_binary '\0'),(267,0,'6c5ee9c2-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','PERSIAN','Persian','Persian ',_binary '\0'),(268,0,'6c5ee9c3-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','PHAROAH_HOUND','Pharoah Hound','Pharoah Hound ',_binary '\0'),(269,0,'6c5ee9c4-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','POINTER','Pointer','Pointer ',_binary '\0'),(270,0,'6c5ee9c5-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','POMERANIAN','Pomeranian','Pomeranian ',_binary '\0'),(271,0,'6c5ee9c6-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','POODLE_MINIATURE','Poodle (Miniature)','Poodle (Miniature) ',_binary '\0'),(272,0,'6c5ee9c7-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','POODLE_STANDARD','Poodle (Standard)','Poodle (Standard) ',_binary '\0'),(273,0,'6c5ee9c8-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','POODLE_TOY','Poodle (Toy)','Poodle (Toy) ',_binary '\0'),(274,0,'6c5ee9c9-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','PUREBRED_GIANT_50KG','Purebred Giant ( 50kg)','Purebred Giant ( 50kg) ',_binary '\0'),(275,0,'6c5ee9ca-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','PUREBRED_LARGE_25_50KG','Purebred Large (25-50kg)','Purebred Large (25-50kg) ',_binary '\0'),(276,0,'6c5ee9cb-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','PUREBRED_MEDIUM_10_25KG','Purebred Medium (10-25kg)','Purebred Medium (10-25kg) ',_binary '\0'),(277,0,'6c5ee9cc-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','PUREBRED_TOY','Purebred Toy ( 5kg)','Purebred Toy ( 5kg) ',_binary '\0'),(278,0,'6c5ee9cd-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','PUREBRED_FELINE_LONGHAIR','Purebred Feline Longhair','Purebred Feline Longhair ',_binary '\0'),(279,0,'6c5ee9ce-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','PUREBRED_FELINE_SHORTHAIR','Purebred Feline Shorthair','Purebred Feline Shorthair ',_binary '\0'),(280,0,'6c5ee9cf-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','PUG','Pug','Pug ',_binary '\0'),(281,0,'6c5ee9d0-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','PYRENEAN_MOUNTAIN_DOG','Pyrenean Mountain Dog','Pyrenean Mountain Dog ',_binary '\0'),(282,0,'6c5ee9d1-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','RHODESIAN_RIDGEBACK','Rhodesian Ridgeback','Rhodesian Ridgeback ',_binary '\0'),(283,0,'6c5ee9d2-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','ROTTWEILER','Rottweiler','Rottweiler ',_binary '\0'),(284,0,'6c5ee9d3-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','RUSSIAN_BLACK','Russian Black','Russian Black ',_binary '\0'),(285,0,'6c5ee9d4-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','RUSSIAN_BLUE','Russian Blue','Russian Blue ',_binary '\0'),(286,0,'6c5ee9d5-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','RUSSIAN_WHITE','Russian White','Russian White ',_binary '\0'),(287,0,'6c5ee9d6-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','SAINT_BERNARD','Saint Bernard','Saint Bernard ',_binary '\0'),(288,0,'6c5ee9d7-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','SALUKI','Saluki','Saluki ',_binary '\0'),(289,0,'6c5ee9d8-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','SAMOYED','Samoyed','Samoyed ',_binary '\0'),(290,0,'6c5ee9d9-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','SCHAUZER_GIANT','Schnauzer (Giant)','Schnauzer (Giant) ',_binary '\0'),(291,0,'6c5ee9da-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','SCHIPPERKE','Schipperke','Schipperke ',_binary '\0'),(292,0,'6c5ee9db-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','SCHNAUZER_MINIATURE','Schnauzer (Miniture)','Schnauzer (Miniture) ',_binary '\0'),(293,0,'6c5ee9dc-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','SCHNAUZER_STANDARD','Schnauzer (Standard)','Schnauzer (Standard) ',_binary '\0'),(294,0,'6c5ee9dd-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','SCOTTISH_FOLD','Scottish Fold','Scottish Fold ',_binary '\0'),(295,0,'6c5ee9de-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','SCOTTISH_TERRIER','Scottish Terrier','Scottish Terrier ',_binary '\0'),(296,0,'6c5ee9df-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','SOFT_COATED_WHEATON_TERRIER','Soft Coated Wheaton Terrier','Soft Coated Wheaton Terrier ',_binary '\0'),(297,0,'6c5ee9e0-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','SEALYHAM_TERRIER','Sealyham Terrier','Sealyham Terrier ',_binary '\0'),(298,0,'6c5ee9e1-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','SHAR_PEI','Shar Pei','Shar Pei ',_binary '\0'),(299,0,'6c5ee9e2-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','SHETLAND_SHEEPDOG','Shetland Sheepdog','Shetland Sheepdog ',_binary '\0'),(300,0,'6c5ee9e3-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','SHIH_TZU','Shih Tzu','Shih Tzu ',_binary '\0'),(301,0,'6c5ee9e4-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','SIAMESE','Siamese','Siamese ',_binary '\0'),(302,0,'6c5ee9e5-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','SIBERIAN_HUSKY','Siberian Husky','Siberian Husky ',_binary '\0'),(303,0,'6c5ee9e6-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','AUSTRALIAN_SILY_TERRIER','Australian Sily Terrier','Australian Sily Terrier ',_binary '\0'),(304,0,'6c5ee9e7-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','SKYE_TERRIER','Skye Terrier','Skye Terrier ',_binary '\0'),(305,0,'6c5ee9e8-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','SLOUGHI','Sloughi','Sloughi ',_binary '\0'),(306,0,'6c5ee9e9-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','SOMALI','Somali','Somali ',_binary '\0'),(307,0,'6c5ee9ea-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','STAFFORDSHIRE_BULL_TERRIER','Staffordshire Bull Terrier','Staffordshire Bull Terrier ',_binary '\0'),(308,0,'6c5ee9eb-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','SUSSEX_SPANIEL','Sussex Spaniel','Sussex Spaniel ',_binary '\0'),(309,0,'6c5ee9ec-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','SWEDISH_VALLHUND','Swedish Vallhund','Swedish Vallhund ',_binary '\0'),(310,0,'6c5ee9ed-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','THOROUGHBRED','Thoroughbred','Thoroughbred ',_binary '\0'),(311,0,'6c5ee9ee-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','TIBETAN_MASTIFF','Tibetan Mastiff','Tibetan Mastiff ',_binary '\0'),(312,0,'6c5ee9ef-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','TIBETAN_SPANIEL','Tibetan Spaniel','Tibetan Spaniel ',_binary '\0'),(313,0,'6c5ee9f0-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','TIBETAN_TERRIER','Tibetan Terrier','Tibetan Terrier ',_binary '\0'),(314,0,'6c5ee9f1-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','TURKISH_VAN','Turkish Van','Turkish Van ',_binary '\0'),(315,0,'6c5ee9f2-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','WEIMARANER','Weimaraner','Weimaraner ',_binary '\0'),(316,0,'6c5ee9f3-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','WELSH_TERRIER','Welsh Terrier','Welsh Terrier ',_binary '\0'),(317,0,'6c5ee9f4-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','WELSH_SPRINGER_SPANIEL','Welsh Springer Spaniel','Welsh Springer Spaniel ',_binary '\0'),(318,0,'6c5ee9f5-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','WHIPPET','Whippet','Whippet ',_binary '\0'),(319,0,'6c5ee9f6-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','WEST_HIGHLAND_WHITE_TERRIER','West Highland White Terrier','West Highland White Terrier ',_binary '\0'),(320,0,'6c5ee9f7-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','CROSSBRED_CATTLE_DOG','Crossbred Cattle Dog','Crossbred Cattle Dog ',_binary '\0'),(321,0,'6c5ee9f8-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','CROSSBRED_GIANT_50KG','Crossbred Giant ( 50kg)','Crossbred Giant ( 50kg) ',_binary '\0'),(322,0,'6c5ee9f9-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','CROSSBRED_GERMAN_SHEPHERD_DOG','Crossbred German Shepherd Dog','Crossbred German Shepherd Dog ',_binary '\0'),(323,0,'6c5ee9fa-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','CROSSBRED_KELPIE','Crossbred Kelpie','Crossbred Kelpie ',_binary '\0'),(324,0,'6c5ee9fb-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','CROSSBRED_LARGE_25_50KG','Crossbred Large (25-50kg)','Crossbred Large (25-50kg) ',_binary '\0'),(325,0,'6c5ee9fc-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','CROSSBRED_LABRADOR','Crossbred Labrador','Crossbred Labrador ',_binary '\0'),(326,0,'6c5ee9fd-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','CROSSBRED_MEDIUM_10_25KG','Crossbred Medium (10-25kg)','Crossbred Medium (10-25kg) ',_binary '\0'),(327,0,'6c5ee9fe-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','CROSSBRED_SMALL_5_10KG','Crossbred Small (5-10kg)','Crossbred Small (5-10kg) ',_binary '\0'),(328,0,'6c5ee9ff-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','CROSSBRED_TOY_5_KG','Crossbred Toy ( 5kg)','Crossbred Toy ( 5kg) ',_binary '\0'),(329,0,'6c5eea00-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.breed','1.0','YORKSHIRE_TERRIER','Yorkshire Terrier','Yorkshire Terrier ',_binary '\0'),(330,0,'6c615bcb-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.species','1.0','CAPRINE','Caprine','Caprine ',_binary '\0'),(331,0,'6c615bcc-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.species','1.0','OVINE','Ovine','Ovine ',_binary '\0'),(332,0,'6c615bcd-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.species','1.0','PORCINE','Porcine','Porcine ',_binary '\0'),(333,0,'6c615bce-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.species','1.0','AVIAN','Avian','Avian ',_binary '\0'),(334,0,'6c615bcf-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.species','1.0','LAPINE','Lapine','Lapine ',_binary '\0'),(335,0,'6c615bd0-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.species','1.0','MURINE','Murine','Murine ',_binary '\0'),(336,0,'6c63cbd1-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.species','1.0','CERVIDAE','Cervidae','Cervidae ',_binary '\0'),(337,0,'6c63cbd2-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.species','1.0','CAVIES','Cavies','Cavies ',_binary '\0'),(338,0,'6c63cbd3-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.species','1.0','PISCINE','Piscine','Piscine ',_binary '\0'),(339,0,'6c63cbd4-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.species','1.0','CAMELID','Camelid','Camelid ',_binary '\0'),(340,0,'6c63cbd7-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.fileNameFormat','1.0','DOC_NAME_DOC_DATE','Document name - document date','Valid for customer, patient, and supplier documents only',_binary '\0'),(341,0,'6c63cbd8-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.fileNameFormat','1.0','DOC_NAME_TODAYS_DATE','Document name - today\'s date','Valid for all documents',_binary '\0'),(342,0,'6c63cbd9-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.fileNameFormat','1.0','DOC_NAME_PATIENT_FULL_NAME_DOC_DATE','Document name - patient full name - document date','Valid for patient documents only',_binary '\0'),(343,0,'6c63cbda-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.fileNameFormat','1.0','DOC_NAME_PATIENT_FULL_NAME_TODAYS_DATE','Document name - patient full name - today\'s date','Valid for patient documents only',_binary '\0'),(344,0,'6c63cbdb-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.fileNameFormat','1.0','DOC_NAME_CUSTOMER_FULL_NAME_DOC_DATE','Document name - customer full name - document date','Valid for customer documents only',_binary '\0'),(345,0,'6c63cbdc-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.fileNameFormat','1.0','DOC_NAME_CUSTOMER_FULL_NAME_TODAYS_DATE','Document name - customer full name - today\'s date','Valid for customer documents only',_binary '\0'),(346,0,'6c63cbdd-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.fileNameFormat','1.0','DOC_NAME_SUPPLIER_FULL_NAME_DOC_DATE','Document name - supplier full name - document date','Valid for supplier documents only',_binary '\0'),(347,0,'6c63cbde-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.fileNameFormat','1.0','DOC_NAME_SUPPLIER_FULL_NAME_TODAYS_DATE','Document name - supplier full name - today\'s date','Valid for supplier documents only',_binary '\0'),(348,0,'6c615bc6-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.species','1.0','EQUINE','Equine','Equine ',_binary '\0'),(349,0,'6c5eea01-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.species','1.0','CANINE','Canine','Canine ',_binary '\0'),(350,0,'6c63cbd5-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.species','1.0','OTHER','Other','Other ',_binary '\0'),(351,0,'6c615bc9-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.species','1.0','BOVINE','Bovine','Bovine ',_binary '\0'),(352,0,'6c615baa-21dd-11ea-98ac-ffe11db4702c',_binary '','lookup.species','1.0','FELINE','Feline','Feline ',_binary '\0');
/*!40000 ALTER TABLE `lookups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `node_descriptors`
--

DROP TABLE IF EXISTS `node_descriptors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_descriptors` (
  `node_desc_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `version` bigint(20) NOT NULL,
  `linkId` varchar(36) NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `active` bit(1) DEFAULT NULL,
  `display_name` varchar(255) DEFAULT NULL,
  `type` varchar(255) NOT NULL,
  `path` varchar(255) NOT NULL,
  `base_name` varchar(255) DEFAULT NULL,
  `default_value` varchar(5000) DEFAULT NULL,
  `filter` varchar(255) DEFAULT NULL,
  `derived_value` varchar(5000) DEFAULT NULL,
  `is_readonly` bit(1) DEFAULT NULL,
  `is_hidden` bit(1) DEFAULT NULL,
  `is_derived` bit(1) DEFAULT NULL,
  `min_cardinality` int(11) DEFAULT NULL,
  `max_cardinality` int(11) DEFAULT NULL,
  `min_length` int(11) DEFAULT NULL,
  `max_length` int(11) DEFAULT NULL,
  `node_index` int(11) DEFAULT NULL,
  `is_parent_child` bit(1) DEFAULT NULL,
  `parent_id` bigint(20) DEFAULT NULL,
  `archetype_desc_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`node_desc_id`),
  KEY `FKAB46B427F01904C0` (`parent_id`),
  KEY `FKAB46B42775928C22` (`archetype_desc_id`),
  CONSTRAINT `FKAB46B42775928C22` FOREIGN KEY (`archetype_desc_id`) REFERENCES `archetype_descriptors` (`archetype_desc_id`) ON DELETE CASCADE,
  CONSTRAINT `FKAB46B427F01904C0` FOREIGN KEY (`parent_id`) REFERENCES `node_descriptors` (`node_desc_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=4593 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_descriptors`
--

LOCK TABLES `node_descriptors` WRITE;
/*!40000 ALTER TABLE `node_descriptors` DISABLE KEYS */;
INSERT INTO `node_descriptors` VALUES (1,0,'e0f89299-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,1),(2,0,'e0f8929a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,1),(3,0,'e0f8929b-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,1),(4,0,'e0f8929c-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,1),(5,0,'e0f8929d-21dc-11ea-a9f8-693042a6b9d8','username',NULL,_binary '','Username','java.lang.String','/details/username',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,1),(6,0,'e0f8929e-21dc-11ea-a9f8-693042a6b9d8','password',NULL,_binary '','Password','java.lang.String','/details/password',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,1),(7,0,'e10c8fd1-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,2),(8,0,'e10c8fd2-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Deputy Service\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,2),(9,0,'e10c8fd3-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,'\'Provides roster synchronisation with Deputy\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,2),(10,0,'e10c8fd4-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,2),(11,0,'e10c8fd5-21dc-11ea-a9f8-693042a6b9d8','url',NULL,_binary '','URL','java.lang.String','/details/url',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,2),(12,0,'e10c8fd6-21dc-11ea-a9f8-693042a6b9d8','accessToken',NULL,_binary '','Access Token','java.lang.String','/details/accessToken',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,2),(13,0,'e10c8fd8-21dc-11ea-a9f8-693042a6b9d8','daysToSync',NULL,_binary '','Days To Sync','java.lang.Integer','/details/daysToSync',NULL,'30',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,2),(14,0,'e10c8fd9-21dc-11ea-a9f8-693042a6b9d8','syncFrequency',NULL,_binary '','Sync Frequency','java.lang.Integer','/details/syncFrequency',NULL,'30',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,2),(15,0,'e10c8fda-21dc-11ea-a9f8-693042a6b9d8','mapping',NULL,_binary '','Mapping','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.pluginMapping',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,8,_binary '',NULL,2),(16,0,'e11171dc-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,3),(17,0,'e11171dd-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,3),(18,0,'e11171df-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,3),(19,0,'e11171e0-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,3),(20,0,'e11171e1-21dc-11ea-a9f8-693042a6b9d8','discounts',NULL,_binary '','Discounts','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.discountType',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,4,_binary '',NULL,3),(21,0,'e1171734-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,4),(22,0,'e1171735-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,4),(23,0,'e1171737-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,4),(24,0,'e1171738-21dc-11ea-a9f8-693042a6b9d8','type',NULL,_binary '','Discount Type','java.lang.String','/details/type',NULL,'\'PERCENTAGE\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,4),(25,0,'e117173a-21dc-11ea-a9f8-693042a6b9d8','rate',NULL,_binary '','Rate','java.math.BigDecimal','/details/rate',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,4),(26,0,'e117173b-21dc-11ea-a9f8-693042a6b9d8','discountFixed',NULL,_binary '','Include Fixed Amount','java.lang.Boolean','/details/discountFixed',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,4),(27,0,'e117173c-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,4),(28,0,'e119883e-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,5),(29,0,'e119883f-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Discount Type\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,5),(30,0,'e1198840-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name, \' (\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,5),(31,0,'e1198841-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Group','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'entity.discountGroupType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,5),(32,0,'e1198842-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Discount','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'entity.discountType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,5),(33,0,'e1198843-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','From Date','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,5),(34,0,'e1198844-21dc-11ea-a9f8-693042a6b9d8','activeEndTime',NULL,_binary '','To Date','java.util.Date','/activeEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,5),(35,0,'e11e4336-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,6),(36,0,'e11e4337-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','User','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,6),(37,0,'e11e4339-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,6),(38,0,'e1240f9c-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,7),(39,0,'e1240f9d-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Deposit Account','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,7),(40,0,'e1240f9f-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,7),(41,0,'e12680a2-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,8),(42,0,'e12680a3-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Till','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,8),(43,0,'e12680a5-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,8),(44,0,'e12b3b98-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,9),(45,0,'e12b3b99-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','User','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,9),(46,0,'e12b3b9b-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,9),(47,0,'e12ff68e-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,10),(48,0,'e12ff68f-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Email Address\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,1,_binary '\0',NULL,10),(49,0,'e12ff690-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/details/emailAddress,\' \',party:getContactPurposes())',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,10),(50,0,'e12ff691-21dc-11ea-a9f8-693042a6b9d8','emailAddress',NULL,_binary '','Email Address','java.lang.String','/details/emailAddress',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,10),(51,0,'e12ff693-21dc-11ea-a9f8-693042a6b9d8','preferred',NULL,_binary '','Preferred','java.lang.Boolean','/details/preferred',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,10),(52,0,'e12ff694-21dc-11ea-a9f8-693042a6b9d8','startDate',NULL,_binary '','Start Date','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,5,_binary '\0',NULL,10),(53,0,'e12ff695-21dc-11ea-a9f8-693042a6b9d8','endDate',NULL,_binary '','End Date','java.util.Date','/activeEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,6,_binary '\0',NULL,10),(54,0,'e12ff696-21dc-11ea-a9f8-693042a6b9d8','purposes',NULL,_binary '','Purposes','java.util.HashSet','/classifications','Classification',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,7,_binary '\0',NULL,10),(55,0,'e13351f9-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,11),(56,0,'e13351fa-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Location\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,1,_binary '\0',NULL,11),(57,0,'e13351fb-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(expr:concatIf(/details/address, \' \'),expr:concatIf(openvpms:lookup(., \'suburb\'),\' \'),expr:concatIf(/details/postCode, \' \'),party:getContactPurposes())',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,11),(58,0,'e13351fc-21dc-11ea-a9f8-693042a6b9d8','address',NULL,_binary '','Address','java.lang.String','/details/address',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,3,_binary '\0',NULL,11),(59,0,'e13351fe-21dc-11ea-a9f8-693042a6b9d8','suburb',NULL,_binary '','Suburb','java.lang.String','/details/suburb',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,11),(60,0,'e1335200-21dc-11ea-a9f8-693042a6b9d8','postcode',NULL,_binary '','Postcode','java.lang.String','/details/postCode',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,11),(61,0,'e1335201-21dc-11ea-a9f8-693042a6b9d8','state',NULL,_binary '','State','java.lang.String','/details/state',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,11),(62,0,'e1335203-21dc-11ea-a9f8-693042a6b9d8','preferred',NULL,_binary '','Preferred','java.lang.Boolean','/details/preferred',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,11),(63,0,'e1335204-21dc-11ea-a9f8-693042a6b9d8','startDate',NULL,_binary '','Start Date','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,8,_binary '\0',NULL,11),(64,0,'e1335205-21dc-11ea-a9f8-693042a6b9d8','endDate',NULL,_binary '','End Date','java.util.Date','/activeEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,9,_binary '\0',NULL,11),(65,0,'e1335206-21dc-11ea-a9f8-693042a6b9d8','purposes',NULL,_binary '','Purposes','java.util.HashSet','/classifications','Classification',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,10,_binary '\0',NULL,11),(66,0,'e1380cf9-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,12),(67,0,'e1380cfa-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Phone Number\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,1,_binary '\0',NULL,12),(68,0,'e1380cfb-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(expr:if(boolean(/details/areaCode), concat(\'(\',/details/areaCode,\') \'), \'\'), translate(normalize-space(/details/telephoneNumber),\' \',\'\'),\' \',party:getContactPurposes())',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,12),(69,0,'e1380cfc-21dc-11ea-a9f8-693042a6b9d8','areaCode',NULL,_binary '','Area Code','java.lang.String','/details/areaCode',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,6,3,_binary '\0',NULL,12),(70,0,'e1380cfd-21dc-11ea-a9f8-693042a6b9d8','telephoneNumber',NULL,_binary '','Telephone Number','java.lang.String','/details/telephoneNumber',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,30,4,_binary '\0',NULL,12),(71,0,'e1380cfe-21dc-11ea-a9f8-693042a6b9d8','preferred',NULL,_binary '','Preferred','java.lang.Boolean','/details/preferred',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,12),(72,0,'e1380cff-21dc-11ea-a9f8-693042a6b9d8','sms',NULL,_binary '','Allow SMS','java.lang.Boolean','/details/sms',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,12),(73,0,'e1380d00-21dc-11ea-a9f8-693042a6b9d8','startDate',NULL,_binary '','Start Date','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,7,_binary '\0',NULL,12),(74,0,'e1380d01-21dc-11ea-a9f8-693042a6b9d8','endDate',NULL,_binary '','End Date','java.util.Date','/activeEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,8,_binary '\0',NULL,12),(75,0,'e1380d02-21dc-11ea-a9f8-693042a6b9d8','purposes',NULL,_binary '','Purposes','java.util.HashSet','/classifications','Classification',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,9,_binary '\0',NULL,12),(76,0,'e13cef05-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,13),(77,0,'e13cef06-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Website\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,1,_binary '\0',NULL,13),(78,0,'e13cef07-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/details/url,\' \',party:getContactPurposes())',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,13),(79,0,'e13cef08-21dc-11ea-a9f8-693042a6b9d8','url',NULL,_binary '','URL','java.lang.String','/details/url',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,13),(80,0,'e13cef09-21dc-11ea-a9f8-693042a6b9d8','startDate',NULL,_binary '','Start Date','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,4,_binary '\0',NULL,13),(81,0,'e13cef0a-21dc-11ea-a9f8-693042a6b9d8','endDate',NULL,_binary '','End Date','java.util.Date','/activeEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,13),(82,0,'e13cef0b-21dc-11ea-a9f8-693042a6b9d8','purposes',NULL,_binary '','Purposes','java.util.HashSet','/classifications','Classification',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,6,_binary '\0',NULL,13),(83,0,'e142945e-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,14),(84,0,'e142945f-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Customer Bad Debt\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,14),(85,0,'e1429460-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,14),(86,0,'e1429461-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,14),(87,0,'e1429462-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,14),(88,0,'e1429464-21dc-11ea-a9f8-693042a6b9d8','tax',NULL,_binary '','Tax','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/taxAmount',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,14),(89,0,'e1429466-21dc-11ea-a9f8-693042a6b9d8','allocatedAmount',NULL,_binary '','Allocated Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/allocatedAmount',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,6,_binary '\0',NULL,14),(90,0,'e1429467-21dc-11ea-a9f8-693042a6b9d8','notes',NULL,_binary '','Notes','java.lang.String','/details/notes',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,7,_binary '\0',NULL,14),(91,0,'e1429468-21dc-11ea-a9f8-693042a6b9d8','reference',NULL,_binary '','Reference','java.lang.String','/details/reference',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,20,8,_binary '\0',NULL,14),(92,0,'e1429469-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,NULL,NULL,'\'POSTED\'',_binary '\0',_binary '\0',_binary '',1,1,0,255,9,_binary '\0',NULL,14),(93,0,'e142946b-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,14),(94,0,'e142946c-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,14),(95,0,'e142946d-21dc-11ea-a9f8-693042a6b9d8','hide',NULL,_binary '','Hide','java.lang.Boolean','/details/hide',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,12,_binary '\0',NULL,14),(96,0,'e142946e-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,13,_binary '',NULL,14),(97,0,'e142946f-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,14,_binary '',NULL,14),(98,0,'e1429470-21dc-11ea-a9f8-693042a6b9d8','accountBalance',NULL,_binary '','Account Balance','java.util.HashSet','/participations',NULL,NULL,'participation.customerAccountBalance',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,15,_binary '',NULL,14),(99,0,'e1429471-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/participations',NULL,NULL,'participation.location',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,16,_binary '',NULL,14),(100,0,'e1429472-21dc-11ea-a9f8-693042a6b9d8','allocation',NULL,_binary '','Allocation','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.customerAccountAllocation',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,17,_binary '',NULL,14),(101,0,'e1429473-21dc-11ea-a9f8-693042a6b9d8','reversal',NULL,_binary '','Reversal','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.customerAccountReversal',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,18,_binary '',NULL,14),(102,0,'e1429474-21dc-11ea-a9f8-693042a6b9d8','reverses',NULL,_binary '','Reverses','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.customerAccountReversal',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,19,_binary '',NULL,14),(103,0,'e148d606-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,15),(104,0,'e1492427-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'concat(\'Customer Invoice\', \'\')',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,15),(105,0,'e1492428-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,15),(106,0,'e1492429-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,15),(107,0,'e149242a-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','Completed Date','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,4,_binary '\0',NULL,15),(108,0,'e149242b-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,15),(109,0,'e149242c-21dc-11ea-a9f8-693042a6b9d8','tax',NULL,_binary '','Tax','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/taxAmount',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,15),(110,0,'e149242d-21dc-11ea-a9f8-693042a6b9d8','allocatedAmount',NULL,_binary '','Allocated Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/allocatedAmount',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,7,_binary '\0',NULL,15),(111,0,'e149242f-21dc-11ea-a9f8-693042a6b9d8','fixedCost',NULL,_binary '','Fixed Cost','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/fixedCost',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,8,_binary '\0',NULL,15),(112,0,'e1492430-21dc-11ea-a9f8-693042a6b9d8','unitCost',NULL,_binary '','Unit Cost','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/unitCost',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,9,_binary '\0',NULL,15),(113,0,'e1492431-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,10,_binary '\0',NULL,15),(114,0,'e1492432-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,15),(115,0,'e1492433-21dc-11ea-a9f8-693042a6b9d8','hide',NULL,_binary '','Hide','java.lang.Boolean','/details/hide',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,12,_binary '\0',NULL,15),(116,0,'e1492434-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,13,_binary '\0',NULL,15),(117,0,'e1492436-21dc-11ea-a9f8-693042a6b9d8','notes',NULL,_binary '','Notes','java.lang.String','/details/notes',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,14,_binary '\0',NULL,15),(118,0,'e1492437-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,15,_binary '',NULL,15),(119,0,'e1492438-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,16,_binary '',NULL,15),(120,0,'e1492439-21dc-11ea-a9f8-693042a6b9d8','accountBalance',NULL,_binary '','Account Balance','java.util.HashSet','/participations',NULL,NULL,'participation.customerAccountBalance',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,17,_binary '',NULL,15),(121,0,'e149243a-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/participations',NULL,NULL,'participation.location',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,18,_binary '',NULL,15),(122,0,'e149243b-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Items','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.customerAccountCounterItem',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,19,_binary '',NULL,15),(123,0,'e149243c-21dc-11ea-a9f8-693042a6b9d8','allocation',NULL,_binary '','Allocation','java.util.HashSet','/actRelationships','ActRelationship',NULL,'actRelationship.customerAccountAllocation',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,20,_binary '',NULL,15),(124,0,'e149243d-21dc-11ea-a9f8-693042a6b9d8','reversal',NULL,_binary '','Reversal','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.customerAccountReversal',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,21,_binary '',NULL,15),(125,0,'e149243e-21dc-11ea-a9f8-693042a6b9d8','reverses',NULL,_binary '','Reverses','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.customerAccountReversal',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,22,_binary '',NULL,15),(126,0,'e14db820-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,16),(127,0,'e14db821-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Customer Credit\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,16),(128,0,'e14db822-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,16),(129,0,'e14db823-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,16),(130,0,'e14db824-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','Completed Date','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,4,_binary '\0',NULL,16),(131,0,'e14db825-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,16),(132,0,'e14db826-21dc-11ea-a9f8-693042a6b9d8','tax',NULL,_binary '','Tax','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/taxAmount',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,16),(133,0,'e14db827-21dc-11ea-a9f8-693042a6b9d8','allocatedAmount',NULL,_binary '','Allocated Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/allocatedAmount',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,7,_binary '\0',NULL,16),(134,0,'e14db828-21dc-11ea-a9f8-693042a6b9d8','fixedCost',NULL,_binary '','Fixed Cost','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/fixedCost',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,8,_binary '\0',NULL,16),(135,0,'e14db829-21dc-11ea-a9f8-693042a6b9d8','unitCost',NULL,_binary '','Unit Cost','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/unitCost',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,9,_binary '\0',NULL,16),(136,0,'e14db82a-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,10,_binary '\0',NULL,16),(137,0,'e14db82c-21dc-11ea-a9f8-693042a6b9d8','notes',NULL,_binary '','Notes','java.lang.String','/details/notes',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,11,_binary '\0',NULL,16),(138,0,'e14db82d-21dc-11ea-a9f8-693042a6b9d8','reference',NULL,_binary '','Reference','java.lang.String','/details/reference',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,20,12,_binary '\0',NULL,16),(139,0,'e14db82e-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,13,_binary '\0',NULL,16),(140,0,'e14db82f-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,14,_binary '\0',NULL,16),(141,0,'e14db830-21dc-11ea-a9f8-693042a6b9d8','hide',NULL,_binary '','Hide','java.lang.Boolean','/details/hide',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,15,_binary '\0',NULL,16),(142,0,'e14db831-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,16,_binary '',NULL,16),(143,0,'e14db832-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,17,_binary '',NULL,16),(144,0,'e14db833-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,18,_binary '',NULL,16),(145,0,'e14db834-21dc-11ea-a9f8-693042a6b9d8','accountBalance',NULL,_binary '','Account Balance','java.util.HashSet','/participations',NULL,NULL,'participation.customerAccountBalance',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,19,_binary '',NULL,16),(146,0,'e14db835-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/participations',NULL,NULL,'participation.location',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,20,_binary '',NULL,16),(147,0,'e14db836-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Items','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.customerAccountCreditItem',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,21,_binary '',NULL,16),(148,0,'e14db837-21dc-11ea-a9f8-693042a6b9d8','allocation',NULL,_binary '','Allocation','java.util.HashSet','/actRelationships','ActRelationship',NULL,'actRelationship.customerAccountAllocation',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,22,_binary '',NULL,16),(149,0,'e14db838-21dc-11ea-a9f8-693042a6b9d8','reversal',NULL,_binary '','Reversal','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.customerAccountReversal',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,23,_binary '',NULL,16),(150,0,'e14db839-21dc-11ea-a9f8-693042a6b9d8','reverses',NULL,_binary '','Reverses','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.customerAccountReversal',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,24,_binary '',NULL,16),(151,0,'e153d2bb-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,17),(152,0,'e153d2bc-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'concat(\'Customer Invoice\', \'\')',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,17),(153,0,'e153d2bd-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,17),(154,0,'e153d2be-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,17),(155,0,'e153d2bf-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','Completed Date','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,4,_binary '\0',NULL,17),(156,0,'e153d2c0-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,17),(157,0,'e153d2c1-21dc-11ea-a9f8-693042a6b9d8','tax',NULL,_binary '','Tax','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/taxAmount',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,17),(158,0,'e153d2c2-21dc-11ea-a9f8-693042a6b9d8','allocatedAmount',NULL,_binary '','Allocated Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/allocatedAmount',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,7,_binary '\0',NULL,17),(159,0,'e153d2c4-21dc-11ea-a9f8-693042a6b9d8','fixedCost',NULL,_binary '','Fixed Cost','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/fixedCost',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,8,_binary '\0',NULL,17),(160,0,'e153d2c5-21dc-11ea-a9f8-693042a6b9d8','unitCost',NULL,_binary '','Unit Cost','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/unitCost',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,9,_binary '\0',NULL,17),(161,0,'e153d2c6-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,10,_binary '\0',NULL,17),(162,0,'e153d2c8-21dc-11ea-a9f8-693042a6b9d8','notes',NULL,_binary '','Notes','java.lang.String','/details/notes',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,11,_binary '\0',NULL,17),(163,0,'e153d2c9-21dc-11ea-a9f8-693042a6b9d8','reference',NULL,_binary '','Reference','java.lang.String','/details/reference',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,20,12,_binary '\0',NULL,17),(164,0,'e153d2ca-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,13,_binary '\0',NULL,17),(165,0,'e153d2cb-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,14,_binary '\0',NULL,17),(166,0,'e153d2cc-21dc-11ea-a9f8-693042a6b9d8','hide',NULL,_binary '','Hide','java.lang.Boolean','/details/hide',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,15,_binary '\0',NULL,17),(167,0,'e153d2cd-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,16,_binary '',NULL,17),(168,0,'e153d2ce-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,17,_binary '',NULL,17),(169,0,'e153d2cf-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,18,_binary '',NULL,17),(170,0,'e153d2d0-21dc-11ea-a9f8-693042a6b9d8','accountBalance',NULL,_binary '','Account Balance','java.util.HashSet','/participations',NULL,NULL,'participation.customerAccountBalance',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,19,_binary '',NULL,17),(171,0,'e153d2d1-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/participations',NULL,NULL,'participation.location',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,20,_binary '',NULL,17),(172,0,'e153d2d2-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Items','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.customerAccountInvoiceItem',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,21,_binary '',NULL,17),(173,0,'e153d2d3-21dc-11ea-a9f8-693042a6b9d8','customerNotes',NULL,_binary '','Customer Notes','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.patientCustomerNote',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,22,_binary '',NULL,17),(174,0,'e153d2d4-21dc-11ea-a9f8-693042a6b9d8','allocation',NULL,_binary '','Allocation','java.util.HashSet','/actRelationships','ActRelationship',NULL,'actRelationship.customerAccountAllocation',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,23,_binary '',NULL,17),(175,0,'e153d2d5-21dc-11ea-a9f8-693042a6b9d8','reversal',NULL,_binary '','Reversal','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.customerAccountReversal',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,24,_binary '',NULL,17),(176,0,'e153d2d6-21dc-11ea-a9f8-693042a6b9d8','reverses',NULL,_binary '','Reverses','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.customerAccountReversal',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,25,_binary '',NULL,17),(177,0,'e15a3b78-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,18),(178,0,'e15a3b79-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Customer Closing Balance\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,18),(179,0,'e15a3b7a-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,18),(180,0,'e15a3b7b-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,18),(181,0,'e15a3b7c-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,18),(182,0,'e15a3b7d-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,18),(183,0,'e15a3b7e-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,18),(184,0,'e15a3b7f-21dc-11ea-a9f8-693042a6b9d8','hide',NULL,_binary '','Hide','java.lang.Boolean','/details/hide',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,7,_binary '\0',NULL,18),(185,0,'e15a3b80-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'POSTED\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,8,_binary '\0',NULL,18),(186,0,'e15a3b82-21dc-11ea-a9f8-693042a6b9d8','overdueBalance',NULL,_binary '','Overdue Balance','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/overdueBalance',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,18),(187,0,'e15a3b83-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,10,_binary '',NULL,18),(188,0,'e15a3b84-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,11,_binary '',NULL,18),(189,0,'e15a3b85-21dc-11ea-a9f8-693042a6b9d8','accountBalance',NULL,_binary '','Account Balance','java.util.HashSet','/participations',NULL,NULL,'participation.customerAccountBalance',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,12,_binary '',NULL,18),(190,0,'e15ea857-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,19),(191,0,'e15ea858-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,19),(192,0,'e15ea859-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,19),(193,0,'e15ea85a-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,19),(194,0,'e15ea85b-21dc-11ea-a9f8-693042a6b9d8','product',NULL,_binary '','Product','java.util.HashSet','/participations',NULL,NULL,'participation.product',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '',NULL,19),(195,0,'e15ea85c-21dc-11ea-a9f8-693042a6b9d8','template',NULL,_binary '','Template','java.util.HashSet','/participations',NULL,NULL,'participation.productTemplate',NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '',NULL,19),(196,0,'e15ea85d-21dc-11ea-a9f8-693042a6b9d8','stockLocation',NULL,_binary '','Stock Location','java.util.HashSet','/participations',NULL,NULL,'participation.stockLocation',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,6,_binary '',NULL,19),(197,0,'e15ea85e-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,7,_binary '',NULL,19),(198,0,'e15ea85f-21dc-11ea-a9f8-693042a6b9d8','minQuantity',NULL,_binary '','Minimum Quantity','java.math.BigDecimal','/details/minQuantity',NULL,'0.0',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,8,_binary '\0',NULL,19),(199,0,'e15ea861-21dc-11ea-a9f8-693042a6b9d8','quantity',NULL,_binary '','Quantity','java.math.BigDecimal','/quantity',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,9,_binary '\0',NULL,19),(200,0,'e15ea862-21dc-11ea-a9f8-693042a6b9d8','fixedPrice',NULL,_binary '','Fixed Price','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/fixedAmount',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,19),(201,0,'e15ea863-21dc-11ea-a9f8-693042a6b9d8','unitPrice',NULL,_binary '','Unit Price','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/unitAmount',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,19),(202,0,'e15ea864-21dc-11ea-a9f8-693042a6b9d8','discount',NULL,_binary '','Discount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/discount',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,12,_binary '\0',NULL,19),(203,0,'e15ea865-21dc-11ea-a9f8-693042a6b9d8','fixedCost',NULL,_binary '','Fixed Cost','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/fixedCost',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,13,_binary '\0',NULL,19),(204,0,'e15ea866-21dc-11ea-a9f8-693042a6b9d8','unitCost',NULL,_binary '','Unit Cost','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/unitCost',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,14,_binary '\0',NULL,19),(205,0,'e15ea867-21dc-11ea-a9f8-693042a6b9d8','serviceRatio',NULL,_binary '','Service Ratio','java.math.BigDecimal','/details/serviceRatio',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,15,_binary '\0',NULL,19),(206,0,'e15ea868-21dc-11ea-a9f8-693042a6b9d8','print',NULL,_binary '','Print','java.lang.Boolean','/details/print',NULL,'true()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,16,_binary '\0',NULL,19),(207,0,'e15ea869-21dc-11ea-a9f8-693042a6b9d8','tax',NULL,_binary '','Tax','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/taxAmount',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,17,_binary '\0',NULL,19),(208,0,'e15ea86a-21dc-11ea-a9f8-693042a6b9d8','total',NULL,_binary '','Total','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,18,_binary '\0',NULL,19),(209,0,'e1649adc-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,20),(210,0,'e1649add-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Customer Credit Adjustment\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,20),(211,0,'e1649ade-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,20),(212,0,'e1649adf-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,20),(213,0,'e1649ae0-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,20),(214,0,'e1649ae2-21dc-11ea-a9f8-693042a6b9d8','tax',NULL,_binary '','Tax','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/taxAmount',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,20),(215,0,'e1649ae4-21dc-11ea-a9f8-693042a6b9d8','allocatedAmount',NULL,_binary '','Allocated Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/allocatedAmount',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,6,_binary '\0',NULL,20),(216,0,'e1649ae5-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,NULL,NULL,'\'POSTED\'',_binary '\0',_binary '\0',_binary '',1,1,0,255,7,_binary '\0',NULL,20),(217,0,'e1649ae7-21dc-11ea-a9f8-693042a6b9d8','notes',NULL,_binary '','Notes','java.lang.String','/details/notes',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,8,_binary '\0',NULL,20),(218,0,'e1649ae8-21dc-11ea-a9f8-693042a6b9d8','reference',NULL,_binary '','Reference','java.lang.String','/details/reference',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,20,9,_binary '\0',NULL,20),(219,0,'e1649ae9-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,10,_binary '\0',NULL,20),(220,0,'e1649aea-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,20),(221,0,'e1649aeb-21dc-11ea-a9f8-693042a6b9d8','hide',NULL,_binary '','Hide','java.lang.Boolean','/details/hide',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,12,_binary '\0',NULL,20),(222,0,'e1649aec-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,13,_binary '',NULL,20),(223,0,'e1649aed-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,14,_binary '',NULL,20),(224,0,'e1649aee-21dc-11ea-a9f8-693042a6b9d8','accountBalance',NULL,_binary '','Account Balance','java.util.HashSet','/participations',NULL,NULL,'participation.customerAccountBalance',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,15,_binary '',NULL,20),(225,0,'e1649aef-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/participations',NULL,NULL,'participation.location',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,16,_binary '',NULL,20),(226,0,'e1649af0-21dc-11ea-a9f8-693042a6b9d8','allocation',NULL,_binary '','Allocation','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.customerAccountAllocation',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,17,_binary '',NULL,20),(227,0,'e1649af1-21dc-11ea-a9f8-693042a6b9d8','reversal',NULL,_binary '','Reversal','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.customerAccountReversal',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,18,_binary '',NULL,20),(228,0,'e1649af2-21dc-11ea-a9f8-693042a6b9d8','reverses',NULL,_binary '','Reverses','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.customerAccountReversal',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,19,_binary '',NULL,20),(229,0,'e1697cf4-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,21),(230,0,'e1697cf5-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,21),(231,0,'e1697cf6-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,21),(232,0,'e1697cf7-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,21),(233,0,'e1697cf8-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '',NULL,21),(234,0,'e1697cf9-21dc-11ea-a9f8-693042a6b9d8','product',NULL,_binary '','Product','java.util.HashSet','/participations',NULL,NULL,'participation.product',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '',NULL,21),(235,0,'e1697cfa-21dc-11ea-a9f8-693042a6b9d8','template',NULL,_binary '','Template','java.util.HashSet','/participations',NULL,NULL,'participation.productTemplate',NULL,_binary '',_binary '',_binary '\0',0,1,0,255,6,_binary '',NULL,21),(236,0,'e1697cfb-21dc-11ea-a9f8-693042a6b9d8','stockLocation',NULL,_binary '','Stock Location','java.util.HashSet','/participations',NULL,NULL,'participation.stockLocation',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,7,_binary '',NULL,21),(237,0,'e1697cfc-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,8,_binary '',NULL,21),(238,0,'e1697cfd-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '',NULL,21),(239,0,'e1697cfe-21dc-11ea-a9f8-693042a6b9d8','minQuantity',NULL,_binary '','Minimum Quantity','java.math.BigDecimal','/details/minQuantity',NULL,'0.0',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,10,_binary '\0',NULL,21),(240,0,'e1697d00-21dc-11ea-a9f8-693042a6b9d8','quantity',NULL,_binary '','Quantity','java.math.BigDecimal','/quantity',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,11,_binary '\0',NULL,21),(241,0,'e1697d01-21dc-11ea-a9f8-693042a6b9d8','fixedPrice',NULL,_binary '','Fixed Price','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/fixedAmount',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,12,_binary '\0',NULL,21),(242,0,'e1697d02-21dc-11ea-a9f8-693042a6b9d8','unitPrice',NULL,_binary '','Unit Price','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/unitAmount',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,13,_binary '\0',NULL,21),(243,0,'e1697d03-21dc-11ea-a9f8-693042a6b9d8','discount',NULL,_binary '','Discount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/discount',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,14,_binary '\0',NULL,21),(244,0,'e1697d04-21dc-11ea-a9f8-693042a6b9d8','fixedCost',NULL,_binary '','Fixed Cost','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/fixedCost',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,15,_binary '\0',NULL,21),(245,0,'e1697d05-21dc-11ea-a9f8-693042a6b9d8','unitCost',NULL,_binary '','Unit Cost','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/unitCost',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,16,_binary '\0',NULL,21),(246,0,'e1697d06-21dc-11ea-a9f8-693042a6b9d8','serviceRatio',NULL,_binary '','Service Ratio','java.math.BigDecimal','/details/serviceRatio',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,17,_binary '\0',NULL,21),(247,0,'e1697d07-21dc-11ea-a9f8-693042a6b9d8','print',NULL,_binary '','Print','java.lang.Boolean','/details/print',NULL,'true()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,18,_binary '\0',NULL,21),(248,0,'e1697d08-21dc-11ea-a9f8-693042a6b9d8','tax',NULL,_binary '','Tax','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/taxAmount',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,19,_binary '\0',NULL,21),(249,0,'e1697d09-21dc-11ea-a9f8-693042a6b9d8','total',NULL,_binary '','Total','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,20,_binary '\0',NULL,21),(250,0,'e1697d0a-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,21,_binary '\0',NULL,21),(251,0,'e16c8a4c-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,22),(252,0,'e16c8a4d-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Customer Debit Adjustment\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,22),(253,0,'e16c8a4e-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,22),(254,0,'e16c8a4f-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,22),(255,0,'e16c8a50-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,22),(256,0,'e16c8a52-21dc-11ea-a9f8-693042a6b9d8','tax',NULL,_binary '','Tax','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/taxAmount',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,22),(257,0,'e16c8a54-21dc-11ea-a9f8-693042a6b9d8','allocatedAmount',NULL,_binary '','Allocated Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/allocatedAmount',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,6,_binary '\0',NULL,22),(258,0,'e16c8a55-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,NULL,NULL,'\'POSTED\'',_binary '\0',_binary '\0',_binary '',1,1,0,255,7,_binary '\0',NULL,22),(259,0,'e16c8a57-21dc-11ea-a9f8-693042a6b9d8','notes',NULL,_binary '','Notes','java.lang.String','/details/notes',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,8,_binary '\0',NULL,22),(260,0,'e16c8a58-21dc-11ea-a9f8-693042a6b9d8','reference',NULL,_binary '','Reference','java.lang.String','/details/reference',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,20,9,_binary '\0',NULL,22),(261,0,'e16c8a59-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,10,_binary '\0',NULL,22),(262,0,'e16c8a5a-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,22),(263,0,'e16c8a5b-21dc-11ea-a9f8-693042a6b9d8','hide',NULL,_binary '','Hide','java.lang.Boolean','/details/hide',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,12,_binary '\0',NULL,22),(264,0,'e16c8a5c-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,13,_binary '',NULL,22),(265,0,'e16c8a5d-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,14,_binary '',NULL,22),(266,0,'e16c8a5e-21dc-11ea-a9f8-693042a6b9d8','accountBalance',NULL,_binary '','Account Balance','java.util.HashSet','/participations',NULL,NULL,'participation.customerAccountBalance',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,15,_binary '',NULL,22),(267,0,'e16c8a5f-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/participations',NULL,NULL,'participation.location',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,16,_binary '',NULL,22),(268,0,'e16c8a60-21dc-11ea-a9f8-693042a6b9d8','allocation',NULL,_binary '','Allocation','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.customerAccountAllocation',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,17,_binary '',NULL,22),(269,0,'e16c8a61-21dc-11ea-a9f8-693042a6b9d8','reversal',NULL,_binary '','Reversal','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.customerAccountReversal',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,18,_binary '',NULL,22),(270,0,'e16c8a62-21dc-11ea-a9f8-693042a6b9d8','reverses',NULL,_binary '','Reverses','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.customerAccountReversal',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,19,_binary '',NULL,22),(271,0,'e1711e44-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,23),(272,0,'e1711e45-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Customer Initial Balance\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,23),(273,0,'e1711e46-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,23),(274,0,'e1711e47-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,23),(275,0,'e1711e48-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,23),(276,0,'e1711e4a-21dc-11ea-a9f8-693042a6b9d8','allocatedAmount',NULL,_binary '','Allocated Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/allocatedAmount',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,5,_binary '\0',NULL,23),(277,0,'e1711e4b-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,NULL,NULL,'\'POSTED\'',_binary '\0',_binary '\0',_binary '',1,1,0,255,6,_binary '\0',NULL,23),(278,0,'e1711e4d-21dc-11ea-a9f8-693042a6b9d8','notes',NULL,_binary '','Notes','java.lang.String','/details/notes',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,7,_binary '\0',NULL,23),(279,0,'e1711e4e-21dc-11ea-a9f8-693042a6b9d8','reference',NULL,_binary '','Reference','java.lang.String','/details/reference',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,20,8,_binary '\0',NULL,23),(280,0,'e1711e4f-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'false()',NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,23),(281,0,'e1711e50-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,23),(282,0,'e1711e51-21dc-11ea-a9f8-693042a6b9d8','hide',NULL,_binary '','Hide','java.lang.Boolean','/details/hide',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,11,_binary '\0',NULL,23),(283,0,'e1711e52-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,12,_binary '',NULL,23),(284,0,'e1711e53-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,13,_binary '',NULL,23),(285,0,'e1711e54-21dc-11ea-a9f8-693042a6b9d8','accountBalance',NULL,_binary '','Account Balance','java.util.HashSet','/participations',NULL,NULL,'participation.customerAccountBalance',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,14,_binary '',NULL,23),(286,0,'e1711e55-21dc-11ea-a9f8-693042a6b9d8','allocation',NULL,_binary '','Allocation','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.customerAccountAllocation',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,15,_binary '',NULL,23),(287,0,'e1711e56-21dc-11ea-a9f8-693042a6b9d8','reversal',NULL,_binary '','Reversal','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.customerAccountReversal',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,16,_binary '',NULL,23),(288,0,'e1711e57-21dc-11ea-a9f8-693042a6b9d8','reverses',NULL,_binary '','Reverses','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.customerAccountReversal',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,17,_binary '',NULL,23),(289,0,'e176eab9-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,24),(290,0,'e176eaba-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,24),(291,0,'e176eabb-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,24),(292,0,'e176eabc-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,24),(293,0,'e176eabd-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '',NULL,24),(294,0,'e176eabe-21dc-11ea-a9f8-693042a6b9d8','product',NULL,_binary '','Product','java.util.HashSet','/participations',NULL,NULL,'participation.product',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '',NULL,24),(295,0,'e176eabf-21dc-11ea-a9f8-693042a6b9d8','template',NULL,_binary '','Template','java.util.HashSet','/participations',NULL,NULL,'participation.productTemplate',NULL,_binary '',_binary '',_binary '\0',0,1,0,255,6,_binary '',NULL,24),(296,0,'e176eac0-21dc-11ea-a9f8-693042a6b9d8','batch',NULL,_binary '','Batch','java.util.HashSet','/participations',NULL,NULL,'participation.productBatch',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '',NULL,24),(297,0,'e176eac1-21dc-11ea-a9f8-693042a6b9d8','stockLocation',NULL,_binary '','Stock Location','java.util.HashSet','/participations',NULL,NULL,'participation.stockLocation',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,8,_binary '',NULL,24),(298,0,'e176eac2-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,9,_binary '',NULL,24),(299,0,'e176eac3-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '',NULL,24),(300,0,'e176eac4-21dc-11ea-a9f8-693042a6b9d8','minQuantity',NULL,_binary '','Minimum Quantity','java.math.BigDecimal','/details/minQuantity',NULL,'0.0',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,11,_binary '\0',NULL,24),(301,0,'e176eac6-21dc-11ea-a9f8-693042a6b9d8','quantity',NULL,_binary '','Quantity','java.math.BigDecimal','/quantity',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,12,_binary '\0',NULL,24),(302,0,'e176eac7-21dc-11ea-a9f8-693042a6b9d8','fixedPrice',NULL,_binary '','Fixed Price','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/fixedAmount',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,13,_binary '\0',NULL,24),(303,0,'e176eac8-21dc-11ea-a9f8-693042a6b9d8','unitPrice',NULL,_binary '','Unit Price','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/unitAmount',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,14,_binary '\0',NULL,24),(304,0,'e176eac9-21dc-11ea-a9f8-693042a6b9d8','discount',NULL,_binary '','Discount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/discount',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,15,_binary '\0',NULL,24),(305,0,'e176eaca-21dc-11ea-a9f8-693042a6b9d8','fixedCost',NULL,_binary '','Fixed Cost','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/fixedCost',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,16,_binary '\0',NULL,24),(306,0,'e176eacb-21dc-11ea-a9f8-693042a6b9d8','unitCost',NULL,_binary '','Unit Cost','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/unitCost',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,17,_binary '\0',NULL,24),(307,0,'e176eacc-21dc-11ea-a9f8-693042a6b9d8','serviceRatio',NULL,_binary '','Service Ratio','java.math.BigDecimal','/details/serviceRatio',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,18,_binary '\0',NULL,24),(308,0,'e176eacd-21dc-11ea-a9f8-693042a6b9d8','print',NULL,_binary '','Print','java.lang.Boolean','/details/print',NULL,'true()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,19,_binary '\0',NULL,24),(309,0,'e176eace-21dc-11ea-a9f8-693042a6b9d8','tax',NULL,_binary '','Tax','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/taxAmount',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,20,_binary '\0',NULL,24),(310,0,'e176eacf-21dc-11ea-a9f8-693042a6b9d8','total',NULL,_binary '','Total','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,21,_binary '\0',NULL,24),(311,0,'e176ead0-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,22,_binary '\0',NULL,24),(312,0,'e176ead1-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,23,_binary '\0',NULL,24),(313,0,'e176ead3-21dc-11ea-a9f8-693042a6b9d8','receivedQuantity',NULL,_binary '','Received Quantity','java.math.BigDecimal','/details/receivedQuantity',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,24,_binary '\0',NULL,24),(314,0,'e176ead4-21dc-11ea-a9f8-693042a6b9d8','returnedQuantity',NULL,_binary '','Returned Quantity','java.math.BigDecimal','/details/returnedQuantity',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,25,_binary '\0',NULL,24),(315,0,'e176ead5-21dc-11ea-a9f8-693042a6b9d8','dispensing',NULL,_binary '','Dispensing','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.invoiceItemDispensing',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,26,_binary '',NULL,24),(316,0,'e176ead7-21dc-11ea-a9f8-693042a6b9d8','investigations',NULL,_binary '','Investigations','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.invoiceItemInvestigation',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,27,_binary '',NULL,24),(317,0,'e176ead8-21dc-11ea-a9f8-693042a6b9d8','documents',NULL,_binary '','Documents','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.invoiceItemDocument',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,28,_binary '',NULL,24),(318,0,'e176ead9-21dc-11ea-a9f8-693042a6b9d8','reminders',NULL,_binary '','Reminders','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.invoiceItemReminder',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,29,_binary '',NULL,24),(319,0,'e176eada-21dc-11ea-a9f8-693042a6b9d8','alerts',NULL,_binary '','Alerts','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.invoiceItemAlert',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,30,_binary '',NULL,24),(320,0,'e176eadb-21dc-11ea-a9f8-693042a6b9d8','event',NULL,_binary '','Event','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientClinicalEventChargeItem',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,31,_binary '',NULL,24),(321,0,'e176eadc-21dc-11ea-a9f8-693042a6b9d8','invoice',NULL,_binary '','Invoice','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.customerAccountInvoiceItem',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,32,_binary '',NULL,24),(322,0,'e176eadd-21dc-11ea-a9f8-693042a6b9d8','claims',NULL,_binary '','Claims','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.insuranceClaimInvoiceItem',NULL,_binary '',_binary '',_binary '\0',0,-1,0,255,33,_binary '',NULL,24),(323,0,'e17d7a8f-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,25),(324,0,'e17d7a90-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Customer Opening Balance\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,25),(325,0,'e17d7a91-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,25),(326,0,'e17d7a92-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,25),(327,0,'e17d7a93-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,25),(328,0,'e17d7a94-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'false()',NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,25),(329,0,'e17d7a95-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,25),(330,0,'e17d7a96-21dc-11ea-a9f8-693042a6b9d8','hide',NULL,_binary '','Hide','java.lang.Boolean','/details/hide',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,7,_binary '\0',NULL,25),(331,0,'e17d7a97-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'POSTED\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,8,_binary '\0',NULL,25),(332,0,'e17d7a99-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,9,_binary '',NULL,25),(333,0,'e17d7a9a-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,10,_binary '',NULL,25),(334,0,'e17d7a9b-21dc-11ea-a9f8-693042a6b9d8','accountBalance',NULL,_binary '','Account Balance','java.util.HashSet','/participations',NULL,NULL,'participation.customerAccountBalance',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,11,_binary '',NULL,25),(335,0,'e18087dd-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,26),(336,0,'e18087de-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Customer Payment\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,26),(337,0,'e18087df-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,26),(338,0,'e18087e0-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,26),(339,0,'e18087e1-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,26),(340,0,'e18087e3-21dc-11ea-a9f8-693042a6b9d8','allocatedAmount',NULL,_binary '','Allocated Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/allocatedAmount',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,5,_binary '\0',NULL,26),(341,0,'e18087e4-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,6,_binary '\0',NULL,26),(342,0,'e18087e5-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,26),(343,0,'e18087e6-21dc-11ea-a9f8-693042a6b9d8','hide',NULL,_binary '','Hide','java.lang.Boolean','/details/hide',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,8,_binary '\0',NULL,26),(344,0,'e18087e7-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'POSTED\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,9,_binary '\0',NULL,26),(345,0,'e18087e9-21dc-11ea-a9f8-693042a6b9d8','notes',NULL,_binary '','Notes','java.lang.String','/details/notes',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,10,_binary '\0',NULL,26),(346,0,'e18087ea-21dc-11ea-a9f8-693042a6b9d8','reference',NULL,_binary '','Reference','java.lang.String','/details/reference',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,20,11,_binary '\0',NULL,26),(347,0,'e18087eb-21dc-11ea-a9f8-693042a6b9d8','till',NULL,_binary '','Till','java.util.HashSet','/participations',NULL,NULL,'participation.till',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,12,_binary '',NULL,26),(348,0,'e18087ec-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,13,_binary '',NULL,26),(349,0,'e18087ed-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,14,_binary '',NULL,26),(350,0,'e18087ee-21dc-11ea-a9f8-693042a6b9d8','accountBalance',NULL,_binary '','Account Balance','java.util.HashSet','/participations',NULL,NULL,'participation.customerAccountBalance',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,15,_binary '',NULL,26),(351,0,'e18087ef-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/participations',NULL,NULL,'participation.location',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,16,_binary '',NULL,26),(352,0,'e18087f0-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Items','java.util.HashSet','/sourceActRelationships',NULL,NULL,'actRelationship.customerAccountPaymentItem',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,17,_binary '',NULL,26),(353,0,'e18087f2-21dc-11ea-a9f8-693042a6b9d8','allocation',NULL,_binary '','Allocation','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.customerAccountAllocation',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,18,_binary '',NULL,26),(354,0,'e18087f3-21dc-11ea-a9f8-693042a6b9d8','reversal',NULL,_binary '','Reversal','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.customerAccountReversal',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,19,_binary '',NULL,26),(355,0,'e18087f4-21dc-11ea-a9f8-693042a6b9d8','reverses',NULL,_binary '','Reverses','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.customerAccountReversal',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,20,_binary '',NULL,26),(356,0,'e1851bd6-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,27),(357,0,'e1851bd7-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Cash Payment\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,27),(358,0,'e1851bd8-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\' Tendered : \',/details/tendered)',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,27),(359,0,'e1851bd9-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,27),(360,0,'e1851bda-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,27),(361,0,'e1851bdb-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,27),(362,0,'e1851bdc-21dc-11ea-a9f8-693042a6b9d8','roundedAmount',NULL,_binary '','Rounded Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/roundedAmount',NULL,'0.0',NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,27),(363,0,'e1851bdd-21dc-11ea-a9f8-693042a6b9d8','tendered',NULL,_binary '','Tendered','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/tendered',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,27),(364,0,'e1851bdf-21dc-11ea-a9f8-693042a6b9d8','change',NULL,_binary '','Change','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/change',NULL,NULL,NULL,'/details/tendered - /details/roundedAmount',_binary '\0',_binary '\0',_binary '',0,1,0,255,8,_binary '\0',NULL,27),(365,0,'e1882921-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,28),(366,0,'e1882922-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Cheque Payment\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,28),(367,0,'e1882923-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/details/drawer,    \' \', /details/bsb,\' \',openvpms:lookup(.,\'bank\'))',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,28),(368,0,'e1882924-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,28),(369,0,'e1882925-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,28),(370,0,'e1882926-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,28),(371,0,'e1882927-21dc-11ea-a9f8-693042a6b9d8','drawer',NULL,_binary '','Drawer','java.lang.String','/details/drawer',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,50,6,_binary '\0',NULL,28),(372,0,'e1882928-21dc-11ea-a9f8-693042a6b9d8','bsb',NULL,_binary '','Branch','java.lang.String','/details/bsb',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,50,7,_binary '\0',NULL,28),(373,0,'e1882929-21dc-11ea-a9f8-693042a6b9d8','bank',NULL,_binary '','Bank','java.lang.String','/details/bank',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,30,8,_binary '\0',NULL,28),(374,0,'e18b366c-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,29),(375,0,'e18b366d-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Credit Payment\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,29),(376,0,'e18b366e-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(openvpms:lookup(.,\'creditCard\'), \' \')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,29),(377,0,'e18b366f-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,29),(378,0,'e18b3670-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,29),(379,0,'e18b3671-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,29),(380,0,'e18b3672-21dc-11ea-a9f8-693042a6b9d8','creditCard',NULL,_binary '','Credit Card','java.lang.String','/details/creditCard',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,30,6,_binary '\0',NULL,29),(381,0,'e18df595-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,30),(382,0,'e18df596-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Discount Payment\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,30),(383,0,'e18df597-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,30),(384,0,'e18df598-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,30),(385,0,'e18df599-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,30),(386,0,'e18df59a-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,30),(387,0,'e190669c-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,31),(388,0,'e190669d-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'EFT Payment\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,31),(389,0,'e190669e-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\' Cash Out : \',/details/cashout)',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,31),(390,0,'e190669f-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,31),(391,0,'e19066a0-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,31),(392,0,'e19066a1-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,31),(393,0,'e19066a2-21dc-11ea-a9f8-693042a6b9d8','cashout',NULL,_binary '','Cashout','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/cashout',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,31),(394,0,'e19066a3-21dc-11ea-a9f8-693042a6b9d8','total',NULL,_binary '','Total','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/total',NULL,NULL,NULL,'/total + /details/cashout',_binary '\0',_binary '\0',_binary '',0,1,0,255,7,_binary '\0',NULL,31),(395,0,'e192d7a5-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,32),(396,0,'e192d7a6-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Other Payment\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,32),(397,0,'e192d7a7-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(openvpms:lookup(.,\'paymentType\'), \' \')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,32),(398,0,'e192d7a8-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,32),(399,0,'e192d7a9-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,32),(400,0,'e192d7aa-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,32),(401,0,'e192d7ab-21dc-11ea-a9f8-693042a6b9d8','paymentType',NULL,_binary '','Payment Type','java.lang.String','/details/paymentType',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,30,6,_binary '\0',NULL,32),(402,0,'e195219e-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,33),(403,0,'e195219f-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Customer Refund\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,33),(404,0,'e19521a0-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,33),(405,0,'e19521a1-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,33),(406,0,'e19521a2-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,33),(407,0,'e19521a4-21dc-11ea-a9f8-693042a6b9d8','allocatedAmount',NULL,_binary '','Allocated Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/allocatedAmount',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,5,_binary '\0',NULL,33),(408,0,'e19521a5-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,6,_binary '\0',NULL,33),(409,0,'e19521a6-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,33),(410,0,'e19521a7-21dc-11ea-a9f8-693042a6b9d8','hide',NULL,_binary '','Hide','java.lang.Boolean','/details/hide',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,8,_binary '\0',NULL,33),(411,0,'e19521a8-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'POSTED\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,9,_binary '\0',NULL,33),(412,0,'e19521aa-21dc-11ea-a9f8-693042a6b9d8','notes',NULL,_binary '','Notes','java.lang.String','/details/notes',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,10,_binary '\0',NULL,33),(413,0,'e19521ab-21dc-11ea-a9f8-693042a6b9d8','reference',NULL,_binary '','Reference','java.lang.String','/details/reference',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,20,11,_binary '\0',NULL,33),(414,0,'e19521ac-21dc-11ea-a9f8-693042a6b9d8','till',NULL,_binary '','Till','java.util.HashSet','/participations',NULL,NULL,'participation.till',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,12,_binary '',NULL,33),(415,0,'e19521ad-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,13,_binary '',NULL,33),(416,0,'e19521ae-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,14,_binary '',NULL,33),(417,0,'e19521af-21dc-11ea-a9f8-693042a6b9d8','accountBalance',NULL,_binary '','Account Balance','java.util.HashSet','/participations',NULL,NULL,'participation.customerAccountBalance',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,15,_binary '',NULL,33),(418,0,'e19521b0-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/participations',NULL,NULL,'participation.location',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,16,_binary '',NULL,33),(419,0,'e19521b1-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Items','java.util.HashSet','/sourceActRelationships',NULL,NULL,'actRelationship.customerAccountRefundItem',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,17,_binary '',NULL,33),(420,0,'e19521b2-21dc-11ea-a9f8-693042a6b9d8','allocation',NULL,_binary '','Allocation','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.customerAccountAllocation',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,18,_binary '',NULL,33),(421,0,'e19521b3-21dc-11ea-a9f8-693042a6b9d8','reversal',NULL,_binary '','Reversal','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.customerAccountReversal',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,19,_binary '',NULL,33),(422,0,'e19521b4-21dc-11ea-a9f8-693042a6b9d8','reverses',NULL,_binary '','Reverses','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.customerAccountReversal',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,20,_binary '',NULL,33),(423,0,'e19a02b6-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,34),(424,0,'e19a02b7-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Cash Refund\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,34),(425,0,'e19a02b8-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,34),(426,0,'e19a02b9-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,34),(427,0,'e19a02ba-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,34),(428,0,'e19a02bb-21dc-11ea-a9f8-693042a6b9d8','roundedAmount',NULL,_binary '','Rounded Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/roundedAmount',NULL,'0.0',NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,34),(429,0,'e19a02bc-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,6,_binary '\0',NULL,34),(430,0,'e19d5e1e-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,35),(431,0,'e19d5e1f-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Cheque Payment\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,35),(432,0,'e19d5e20-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/details/drawer,    \' \', /details/bsb,\' \',openvpms:lookup(.,\'bank\'))',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,35),(433,0,'e19d5e21-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,35),(434,0,'e19d5e22-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,35),(435,0,'e19d5e23-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,35),(436,0,'e19d5e24-21dc-11ea-a9f8-693042a6b9d8','drawer',NULL,_binary '','Drawer','java.lang.String','/details/drawer',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,50,6,_binary '\0',NULL,35),(437,0,'e19d5e25-21dc-11ea-a9f8-693042a6b9d8','bsb',NULL,_binary '','Branch','java.lang.String','/details/bsb',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,50,7,_binary '\0',NULL,35),(438,0,'e19d5e26-21dc-11ea-a9f8-693042a6b9d8','bank',NULL,_binary '','Bank','java.lang.String','/details/bank',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,30,8,_binary '\0',NULL,35),(439,0,'e19fa819-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,36),(440,0,'e19fa81a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Credit Payment\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,36),(441,0,'e19fa81b-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(openvpms:lookup(.,\'creditCard\'), \' \')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,36),(442,0,'e19fa81c-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,36),(443,0,'e19fa81d-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,36),(444,0,'e19fa81e-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,36),(445,0,'e19fa81f-21dc-11ea-a9f8-693042a6b9d8','creditCard',NULL,_binary '','Credit Card','java.lang.String','/details/creditCard',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,30,6,_binary '\0',NULL,36),(446,0,'e1a21922-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,37),(447,0,'e1a21923-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Discount Refund\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,37),(448,0,'e1a21924-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,37),(449,0,'e1a21925-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,37),(450,0,'e1a21926-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,37),(451,0,'e1a21927-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,37),(452,0,'e1a48a29-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,38),(453,0,'e1a48a2a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'EFT Payment\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,38),(454,0,'e1a48a2b-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,38),(455,0,'e1a48a2c-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,38),(456,0,'e1a48a2d-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,38),(457,0,'e1a48a2e-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,38),(458,0,'e1a6d420-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,39),(459,0,'e1a6d421-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Other Refund\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,39),(460,0,'e1a6d422-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,39),(461,0,'e1a6d423-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,39),(462,0,'e1a6d424-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,39),(463,0,'e1a6d425-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,39),(464,0,'e1a94527-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,40),(465,0,'e1a94528-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Alert\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,40),(466,0,'e1a94529-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(openvpms:lookup(., \'alertType\'), \' - \', /reason,\' End Date: \', date:formatDate(/activityEndTime))',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,40),(467,0,'e1a9452a-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '',NULL,40),(468,0,'e1a9452b-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,40),(469,0,'e1a9452c-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','End Date','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,40),(470,0,'e1a9452d-21dc-11ea-a9f8-693042a6b9d8','alertType',NULL,_binary '','Alert Type','java.lang.String','/details/alertType',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,40),(471,0,'e1a9452f-21dc-11ea-a9f8-693042a6b9d8','reason',NULL,_binary '','Reason','java.lang.String','/reason',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,100,7,_binary '\0',NULL,40),(472,0,'e1a94530-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,8,_binary '',NULL,40),(473,0,'e1a94531-21dc-11ea-a9f8-693042a6b9d8','notes',NULL,_binary '','Notes','java.lang.String','/details/notes',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,2000,9,_binary '\0',NULL,40),(474,0,'e1a94532-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,10,_binary '\0',NULL,40),(475,0,'e1aca095-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,41),(476,0,'e1aca096-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Email Log\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,41),(477,0,'e1aca097-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,41),(478,0,'e1aca098-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Subject','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,41),(479,0,'e1aca099-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,4,_binary '',NULL,41),(480,0,'e1aca09a-21dc-11ea-a9f8-693042a6b9d8','from',NULL,_binary '','From','java.lang.String','/details/from',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,41),(481,0,'e1aca09b-21dc-11ea-a9f8-693042a6b9d8','address',NULL,_binary '','To','java.lang.String','/details/address',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,6,_binary '\0',NULL,41),(482,0,'e1aca09c-21dc-11ea-a9f8-693042a6b9d8','cc',NULL,_binary '','Cc','java.lang.String','/details/cc',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,7,_binary '\0',NULL,41),(483,0,'e1aca09d-21dc-11ea-a9f8-693042a6b9d8','bcc',NULL,_binary '','Bcc','java.lang.String','/details/bcc',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,8,_binary '\0',NULL,41),(484,0,'e1aca09e-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,9,_binary '',NULL,41),(485,0,'e1aca09f-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '',NULL,41),(486,0,'e1aca0a0-21dc-11ea-a9f8-693042a6b9d8','reason',NULL,_binary '','Reason','java.lang.String','/reason',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,41),(487,0,'e1aca0a2-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,12,_binary '\0',NULL,41),(488,0,'e1aca0a3-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/participations',NULL,NULL,'participation.location',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,13,_binary '',NULL,41),(489,0,'e1aca0a4-21dc-11ea-a9f8-693042a6b9d8','message',NULL,_binary '','Message','java.lang.String','/details/message',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,14,_binary '\0',NULL,41),(490,0,'e1aca0a5-21dc-11ea-a9f8-693042a6b9d8','note',NULL,_binary '','Note','java.lang.String','/details/note',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,15,_binary '\0',NULL,41),(491,0,'e1aca0a6-21dc-11ea-a9f8-693042a6b9d8','attachments',NULL,_binary '','Attachments','java.lang.String','/details/attachments',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,16,_binary '\0',NULL,41),(492,0,'e1aca0a7-21dc-11ea-a9f8-693042a6b9d8','document',NULL,_binary '','Document','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,17,_binary '\0',NULL,41),(493,0,'e1aca0a8-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,18,_binary '\0',NULL,41),(494,0,'e1aca0a9-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,19,_binary '\0',NULL,41),(495,0,'e1b15b9b-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,42),(496,0,'e1b15b9c-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Mail Log\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,42),(497,0,'e1b15b9d-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,42),(498,0,'e1b15b9e-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Subject','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,42),(499,0,'e1b15b9f-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,4,_binary '',NULL,42),(500,0,'e1b15ba0-21dc-11ea-a9f8-693042a6b9d8','address',NULL,_binary '','To','java.lang.String','/details/address',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,5,_binary '\0',NULL,42),(501,0,'e1b15ba1-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,6,_binary '',NULL,42),(502,0,'e1b15ba2-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '',NULL,42),(503,0,'e1b15ba3-21dc-11ea-a9f8-693042a6b9d8','reason',NULL,_binary '','Reason','java.lang.String','/reason',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,42),(504,0,'e1b15ba5-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,9,_binary '\0',NULL,42),(505,0,'e1b15ba6-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/participations',NULL,NULL,'participation.location',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,10,_binary '',NULL,42),(506,0,'e1b15ba7-21dc-11ea-a9f8-693042a6b9d8','message',NULL,_binary '','Message','java.lang.String','/details/message',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,11,_binary '\0',NULL,42),(507,0,'e1b15ba8-21dc-11ea-a9f8-693042a6b9d8','note',NULL,_binary '','Note','java.lang.String','/details/note',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,12,_binary '\0',NULL,42),(508,0,'e1b15ba9-21dc-11ea-a9f8-693042a6b9d8','document',NULL,_binary '','Document','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,13,_binary '\0',NULL,42),(509,0,'e1b15baa-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,14,_binary '\0',NULL,42),(510,0,'e1b15bab-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,15,_binary '\0',NULL,42),(511,0,'e1b3ccad-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,43),(512,0,'e1b3ccae-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Note\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,43),(513,0,'e1b3ccaf-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,43),(514,0,'e1b3ccb0-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Subject','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,43),(515,0,'e1b3ccb1-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,4,_binary '',NULL,43),(516,0,'e1b3ccb2-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,5,_binary '',NULL,43),(517,0,'e1b3ccb3-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '',NULL,43),(518,0,'e1b3ccb4-21dc-11ea-a9f8-693042a6b9d8','reason',NULL,_binary '','Reason','java.lang.String','/reason',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,43),(519,0,'e1b3ccb6-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,8,_binary '\0',NULL,43),(520,0,'e1b3ccb7-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/participations',NULL,NULL,'participation.location',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,9,_binary '',NULL,43),(521,0,'e1b3ccb8-21dc-11ea-a9f8-693042a6b9d8','message',NULL,_binary '','Note','java.lang.String','/details/message',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,10,_binary '\0',NULL,43),(522,0,'e1b3ccb9-21dc-11ea-a9f8-693042a6b9d8','document',NULL,_binary '','Document','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,11,_binary '\0',NULL,43),(523,0,'e1b3ccba-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,12,_binary '\0',NULL,43),(524,0,'e1b3ccbb-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,13,_binary '\0',NULL,43),(525,0,'e1b887ad-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,44),(526,0,'e1b887ae-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Phone Log\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,44),(527,0,'e1b887af-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,44),(528,0,'e1b887b0-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Subject','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,44),(529,0,'e1b887b1-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,4,_binary '',NULL,44),(530,0,'e1b887b2-21dc-11ea-a9f8-693042a6b9d8','address',NULL,_binary '','To','java.lang.String','/details/address',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,5,_binary '\0',NULL,44),(531,0,'e1b887b3-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,6,_binary '',NULL,44),(532,0,'e1b887b4-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '',NULL,44),(533,0,'e1b887b5-21dc-11ea-a9f8-693042a6b9d8','reason',NULL,_binary '','Reason','java.lang.String','/reason',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,44),(534,0,'e1b887b7-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,9,_binary '\0',NULL,44),(535,0,'e1b887b8-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/participations',NULL,NULL,'participation.location',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,10,_binary '',NULL,44),(536,0,'e1b887b9-21dc-11ea-a9f8-693042a6b9d8','message',NULL,_binary '','Message','java.lang.String','/details/message',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,11,_binary '\0',NULL,44),(537,0,'e1b887ba-21dc-11ea-a9f8-693042a6b9d8','note',NULL,_binary '','Note','java.lang.String','/details/note',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,12,_binary '\0',NULL,44),(538,0,'e1b887bb-21dc-11ea-a9f8-693042a6b9d8','document',NULL,_binary '','Document','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,13,_binary '\0',NULL,44),(539,0,'e1b887bc-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,14,_binary '\0',NULL,44),(540,0,'e1b887bd-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,15,_binary '\0',NULL,44),(541,0,'e1baf8bf-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,45),(542,0,'e1baf8c0-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'SMS Log\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,45),(543,0,'e1baf8c1-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,45),(544,0,'e1baf8c2-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Subject','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,45),(545,0,'e1baf8c3-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,4,_binary '',NULL,45),(546,0,'e1baf8c4-21dc-11ea-a9f8-693042a6b9d8','address',NULL,_binary '','To','java.lang.String','/details/address',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,5,_binary '\0',NULL,45),(547,0,'e1baf8c5-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,6,_binary '',NULL,45),(548,0,'e1baf8c6-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '',NULL,45),(549,0,'e1baf8c7-21dc-11ea-a9f8-693042a6b9d8','reason',NULL,_binary '','Reason','java.lang.String','/reason',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,45),(550,0,'e1baf8c9-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,9,_binary '\0',NULL,45),(551,0,'e1baf8ca-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/participations',NULL,NULL,'participation.location',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,10,_binary '',NULL,45),(552,0,'e1baf8cb-21dc-11ea-a9f8-693042a6b9d8','message',NULL,_binary '','Message','java.lang.String','/details/message',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,11,_binary '\0',NULL,45),(553,0,'e1baf8cc-21dc-11ea-a9f8-693042a6b9d8','note',NULL,_binary '','Note','java.lang.String','/details/note',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,12,_binary '\0',NULL,45),(554,0,'e1baf8cd-21dc-11ea-a9f8-693042a6b9d8','document',NULL,_binary '','Document','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,13,_binary '\0',NULL,45),(555,0,'e1baf8ce-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,14,_binary '\0',NULL,45),(556,0,'e1baf8cf-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,15,_binary '\0',NULL,45),(557,0,'e1be5431-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,46),(558,0,'e1be5432-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Customer Attachment\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,46),(559,0,'e1be5433-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,46),(560,0,'e1be5434-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,46),(561,0,'e1be5435-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,46),(562,0,'e1be5437-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,46),(563,0,'e1be5438-21dc-11ea-a9f8-693042a6b9d8','document',NULL,_binary '','Attachment','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,46),(564,0,'e1be543a-21dc-11ea-a9f8-693042a6b9d8','docReference',NULL,_binary '','Doc Reference','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,7,_binary '\0',NULL,46),(565,0,'e1be543b-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,8,_binary '',NULL,46),(566,0,'e1be543c-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,9,_binary '',NULL,46),(567,0,'e1be543d-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,10,_binary '\0',NULL,46),(568,0,'e1be543e-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,11,_binary '\0',NULL,46),(569,0,'e1be543f-21dc-11ea-a9f8-693042a6b9d8','versions',NULL,_binary '','Versions','java.util.HashSet','/sourceActRelationships',NULL,NULL,'actRelationship.customerDocumentAttachmentVersion',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,12,_binary '',NULL,46),(570,0,'e1c30f32-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,47),(571,0,'e1c30f33-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Customer Attachment Version\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,47),(572,0,'e1c30f34-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,47),(573,0,'e1c30f35-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,47),(574,0,'e1c30f36-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,47),(575,0,'e1c30f37-21dc-11ea-a9f8-693042a6b9d8','document',NULL,_binary '','Attachment','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,47),(576,0,'e1c30f39-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,6,_binary '',NULL,47),(577,0,'e1c30f3a-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,7,_binary '\0',NULL,47),(578,0,'e1c30f3b-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,8,_binary '\0',NULL,47),(579,0,'e1c7ca2d-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,48),(580,0,'e1c7ca2e-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Customer Form\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,48),(581,0,'e1c7ca2f-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,48),(582,0,'e1c7ca30-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,48),(583,0,'e1c7ca31-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,48),(584,0,'e1c7ca33-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,48),(585,0,'e1c7ca34-21dc-11ea-a9f8-693042a6b9d8','documentTemplate',NULL,_binary '','Form','java.util.HashSet','/participations',NULL,NULL,'participation.documentTemplate',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '',NULL,48),(586,0,'e1c7ca35-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,7,_binary '',NULL,48),(587,0,'e1c7ca36-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,8,_binary '',NULL,48),(588,0,'e1c7ca37-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,9,_binary '\0',NULL,48),(589,0,'e1c7ca38-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,10,_binary '\0',NULL,48),(590,0,'e1cb4caa-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,49),(591,0,'e1cb4cab-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Customer Letter\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,49),(592,0,'e1cb4cac-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,49),(593,0,'e1cb4cad-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,49),(594,0,'e1cb4cae-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,49),(595,0,'e1cb4cb0-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,49),(596,0,'e1cb4cb1-21dc-11ea-a9f8-693042a6b9d8','documentTemplate',NULL,_binary '','Template','java.util.HashSet','/participations',NULL,NULL,'participation.documentTemplate',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '',NULL,49),(597,0,'e1cb4cb2-21dc-11ea-a9f8-693042a6b9d8','document',NULL,_binary '','Document','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,49),(598,0,'e1cb4cb3-21dc-11ea-a9f8-693042a6b9d8','docReference',NULL,_binary '','Doc Reference','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,8,_binary '\0',NULL,49),(599,0,'e1cb4cb4-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,9,_binary '',NULL,49),(600,0,'e1cb4cb5-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,10,_binary '',NULL,49),(601,0,'e1cb4cb6-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,11,_binary '\0',NULL,49),(602,0,'e1cb4cb7-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,12,_binary '\0',NULL,49),(603,0,'e1cb4cb8-21dc-11ea-a9f8-693042a6b9d8','versions',NULL,_binary '','Versions','java.util.HashSet','/sourceActRelationships',NULL,NULL,'actRelationship.customerDocumentLetterVersion',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,13,_binary '',NULL,49),(604,0,'e1d007ab-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,50),(605,0,'e1d007ac-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Customer Letter Version\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,50),(606,0,'e1d007ad-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,50),(607,0,'e1d007ae-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,50),(608,0,'e1d007af-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,50),(609,0,'e1d007b0-21dc-11ea-a9f8-693042a6b9d8','documentTemplate',NULL,_binary '','Template','java.util.HashSet','/participations',NULL,NULL,'participation.documentTemplate',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '',NULL,50),(610,0,'e1d007b1-21dc-11ea-a9f8-693042a6b9d8','document',NULL,_binary '','Document','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,50),(611,0,'e1d007b2-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,7,_binary '',NULL,50),(612,0,'e1d007b3-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,8,_binary '\0',NULL,50),(613,0,'e1d007b4-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,9,_binary '\0',NULL,50),(614,0,'e1d251a6-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,51),(615,0,'e1d251a7-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'concat(/title, \'\')',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,51),(616,0,'e1d251a8-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/title, \' Low Estimate: \',/lowTotal,\' High Estimate: \', /highTotal)',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,51),(617,0,'e1d251a9-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,51),(618,0,'e1d251aa-21dc-11ea-a9f8-693042a6b9d8','title',NULL,_binary '','Title','java.lang.String','/title',NULL,'\'Enter a title ...\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,200,4,_binary '\0',NULL,51),(619,0,'e1d251ab-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','Expiry Date','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,51),(620,0,'e1d251ac-21dc-11ea-a9f8-693042a6b9d8','notes',NULL,_binary '','Notes','java.lang.String','/details/notes',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,6,_binary '\0',NULL,51),(621,0,'e1d251ad-21dc-11ea-a9f8-693042a6b9d8','lowTotal',NULL,_binary '','Low Total','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/lowTotal',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,51),(622,0,'e1d251ae-21dc-11ea-a9f8-693042a6b9d8','highTotal',NULL,_binary '','High Total','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/highTotal',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,8,_binary '\0',NULL,51),(623,0,'e1d251af-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/details/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,9,_binary '\0',NULL,51),(624,0,'e1d251b0-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'COMPLETED\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,10,_binary '\0',NULL,51),(625,0,'e1d251b2-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,11,_binary '',NULL,51),(626,0,'e1d251b3-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,12,_binary '',NULL,51),(627,0,'e1d251b4-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,13,_binary '',NULL,51),(628,0,'e1d251b5-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Items','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.customerEstimationItem',NULL,_binary '\0',_binary '\0',_binary '\0',1,-1,0,255,14,_binary '',NULL,51),(629,0,'e1d251b6-21dc-11ea-a9f8-693042a6b9d8','customerNotes',NULL,_binary '','Customer Notes','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.patientCustomerNote',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,15,_binary '',NULL,51),(630,0,'e1d733b8-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,52),(631,0,'e1d733b9-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,52),(632,0,'e1d733ba-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,52),(633,0,'e1d733bb-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,52),(634,0,'e1d733bc-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '',NULL,52),(635,0,'e1d733bd-21dc-11ea-a9f8-693042a6b9d8','product',NULL,_binary '','Product','java.util.HashSet','/participations',NULL,NULL,'participation.product',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '',NULL,52),(636,0,'e1d733be-21dc-11ea-a9f8-693042a6b9d8','template',NULL,_binary '','Template','java.util.HashSet','/participations',NULL,NULL,'participation.productTemplate',NULL,_binary '',_binary '',_binary '\0',0,1,0,255,6,_binary '',NULL,52),(637,0,'e1d733bf-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,7,_binary '',NULL,52),(638,0,'e1d733c0-21dc-11ea-a9f8-693042a6b9d8','minQuantity',NULL,_binary '','Minimum Quantity','java.math.BigDecimal','/details/minQuantity',NULL,'0.0',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,8,_binary '\0',NULL,52),(639,0,'e1d733c2-21dc-11ea-a9f8-693042a6b9d8','lowQty',NULL,_binary '','Low Qty','java.math.BigDecimal','/details/lowQty',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,9,_binary '\0',NULL,52),(640,0,'e1d733c4-21dc-11ea-a9f8-693042a6b9d8','highQty',NULL,_binary '','High Qty','java.math.BigDecimal','/details/highQty',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,10,_binary '\0',NULL,52),(641,0,'e1d733c7-21dc-11ea-a9f8-693042a6b9d8','fixedPrice',NULL,_binary '','Fixed Price','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/fixedPrice',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,11,_binary '\0',NULL,52),(642,0,'e1d733c9-21dc-11ea-a9f8-693042a6b9d8','lowUnitPrice',NULL,_binary '','Low Unit Price','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/lowUnitPrice',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,12,_binary '\0',NULL,52),(643,0,'e1d733cb-21dc-11ea-a9f8-693042a6b9d8','highUnitPrice',NULL,_binary '','High Unit Price','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/highUnitPrice',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,13,_binary '\0',NULL,52),(644,0,'e1d733cd-21dc-11ea-a9f8-693042a6b9d8','lowDiscount',NULL,_binary '','Low Discount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/lowDiscount',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,14,_binary '\0',NULL,52),(645,0,'e1d733cf-21dc-11ea-a9f8-693042a6b9d8','highDiscount',NULL,_binary '','High Discount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/highDiscount',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,15,_binary '\0',NULL,52),(646,0,'e1d733d1-21dc-11ea-a9f8-693042a6b9d8','discount',NULL,_binary '','Discount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/highDiscount',NULL,'0.0',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,16,_binary '\0',NULL,52),(647,0,'e1d733d2-21dc-11ea-a9f8-693042a6b9d8','serviceRatio',NULL,_binary '','Service Ratio','java.math.BigDecimal','/details/serviceRatio',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,17,_binary '\0',NULL,52),(648,0,'e1d733d3-21dc-11ea-a9f8-693042a6b9d8','print',NULL,_binary '','Print','java.lang.Boolean','/details/print',NULL,'true()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,18,_binary '\0',NULL,52),(649,0,'e1d733d4-21dc-11ea-a9f8-693042a6b9d8','lowTotal',NULL,_binary '','Low Total','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/lowTotal',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,19,_binary '\0',NULL,52),(650,0,'e1d733d6-21dc-11ea-a9f8-693042a6b9d8','highTotal',NULL,_binary '','High Total','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/highTotal',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,20,_binary '\0',NULL,52),(651,0,'e1dde999-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,53),(652,0,'e1dde99a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,53),(653,0,'e1dde99b-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,53),(654,0,'e1dde99c-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,53),(655,0,'e1dde99d-21dc-11ea-a9f8-693042a6b9d8','reference',NULL,_binary '','Reference','java.lang.String','/details/reference',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,50,4,_binary '\0',NULL,53),(656,0,'e1dde99e-21dc-11ea-a9f8-693042a6b9d8','sourceInvoiceItem',NULL,_binary '','Source Invoice Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/details/sourceInvoiceItem',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,53),(657,0,'e1dde9a0-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '',NULL,53),(658,0,'e1dde9a1-21dc-11ea-a9f8-693042a6b9d8','product',NULL,_binary '','Product','java.util.HashSet','/participations',NULL,NULL,'participation.product',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '',NULL,53),(659,0,'e1dde9a2-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,8,_binary '',NULL,53),(660,0,'e1dde9a3-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '',NULL,53),(661,0,'e1dde9a4-21dc-11ea-a9f8-693042a6b9d8','quantity',NULL,_binary '','Quantity','java.math.BigDecimal','/quantity',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,53),(662,0,'e1dde9a6-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,11,_binary '\0',NULL,53),(663,0,'e1e0f6e8-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,54),(664,0,'e1e0f6e9-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Customer Pharmacy Order\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,1,_binary '\0',NULL,54),(665,0,'e1e0f6ea-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,54),(666,0,'e1e0f6eb-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,54),(667,0,'e1e0f6ec-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,54),(668,0,'e1e0f6ee-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '',NULL,54),(669,0,'e1e0f6ef-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '',NULL,54),(670,0,'e1e0f6f0-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,7,_binary '',NULL,54),(671,0,'e1e0f6f1-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/participations',NULL,NULL,'participation.location',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,8,_binary '',NULL,54),(672,0,'e1e0f6f2-21dc-11ea-a9f8-693042a6b9d8','notes',NULL,_binary '','Notes','java.lang.String','/details/notes',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,9,_binary '\0',NULL,54),(673,0,'e1e0f6f3-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,10,_binary '\0',NULL,54),(674,0,'e1e0f6f4-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,54),(675,0,'e1e0f6f5-21dc-11ea-a9f8-693042a6b9d8','identities',NULL,_binary '','Identities','java.util.HashSet','/identities',NULL,NULL,'actIdentity.*',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,12,_binary '',NULL,54),(676,0,'e1e0f6f6-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Items','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.customerOrderItemPharmacy',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,13,_binary '',NULL,54),(677,0,'e1e40438-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,55),(678,0,'e1e40439-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Customer Investigation Return\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,1,_binary '\0',NULL,55),(679,0,'e1e4043a-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,55),(680,0,'e1e4043b-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,55),(681,0,'e1e4043c-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,55),(682,0,'e1e4043e-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '',NULL,55),(683,0,'e1e4043f-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '',NULL,55),(684,0,'e1e40440-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,7,_binary '',NULL,55),(685,0,'e1e40441-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/participations',NULL,NULL,'participation.location',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,8,_binary '',NULL,55),(686,0,'e1e40442-21dc-11ea-a9f8-693042a6b9d8','notes',NULL,_binary '','Notes','java.lang.String','/details/notes',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,9,_binary '\0',NULL,55),(687,0,'e1e40443-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,10,_binary '\0',NULL,55),(688,0,'e1e40444-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,55),(689,0,'e1e40445-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Items','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.customerReturnItemInvestigation',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,12,_binary '',NULL,55),(690,0,'e1e71187-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,56),(691,0,'e1e71188-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Investigation Return Item\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,1,_binary '\0',NULL,56),(692,0,'e1e71189-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,56),(693,0,'e1e7118a-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,56),(694,0,'e1e7118b-21dc-11ea-a9f8-693042a6b9d8','sourceInvoiceItem',NULL,_binary '','Source Invoice Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/details/sourceInvoiceItem',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,4,_binary '\0',NULL,56),(695,0,'e1e7118d-21dc-11ea-a9f8-693042a6b9d8','sourceInvestigation',NULL,_binary '','Investigation','org.openvpms.component.business.domain.im.common.IMObjectReference','/details/sourceInvestigation',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,56),(696,0,'e1e7118f-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '',NULL,56),(697,0,'e1e71190-21dc-11ea-a9f8-693042a6b9d8','product',NULL,_binary '','Product','java.util.HashSet','/participations',NULL,NULL,'participation.product',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,7,_binary '',NULL,56),(698,0,'e1e71191-21dc-11ea-a9f8-693042a6b9d8','investigationType',NULL,_binary '','Investigation Type','java.util.HashSet','/participations',NULL,NULL,'participation.investigationType',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,8,_binary '',NULL,56),(699,0,'e1e71192-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,9,_binary '',NULL,56),(700,0,'e1e71193-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,10,_binary '',NULL,56),(701,0,'e1e71194-21dc-11ea-a9f8-693042a6b9d8','quantity',NULL,_binary '','Quantity','java.math.BigDecimal','/quantity',NULL,'1.0',NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,56),(702,0,'e1e71196-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,12,_binary '\0',NULL,56),(703,0,'e1ebcc88-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,57),(704,0,'e1ebcc89-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,57),(705,0,'e1ebcc8a-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,57),(706,0,'e1ebcc8b-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,57),(707,0,'e1ebcc8c-21dc-11ea-a9f8-693042a6b9d8','reference',NULL,_binary '','Reference','java.lang.String','/details/reference',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,50,4,_binary '\0',NULL,57),(708,0,'e1ebcc8d-21dc-11ea-a9f8-693042a6b9d8','sourceInvoiceItem',NULL,_binary '','Source Invoice Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/details/sourceInvoiceItem',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,57),(709,0,'e1ebcc8f-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '',NULL,57),(710,0,'e1ebcc90-21dc-11ea-a9f8-693042a6b9d8','product',NULL,_binary '','Product','java.util.HashSet','/participations',NULL,NULL,'participation.product',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '',NULL,57),(711,0,'e1ebcc91-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,8,_binary '',NULL,57),(712,0,'e1ebcc92-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '',NULL,57),(713,0,'e1ebcc93-21dc-11ea-a9f8-693042a6b9d8','quantity',NULL,_binary '','Quantity','java.math.BigDecimal','/quantity',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,57),(714,0,'e1ebcc95-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,11,_binary '\0',NULL,57),(715,0,'e1eed9d7-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,58),(716,0,'e1eed9d8-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Customer Pharmacy Return\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,1,_binary '\0',NULL,58),(717,0,'e1eed9d9-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,58),(718,0,'e1eed9da-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,58),(719,0,'e1eed9db-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,58),(720,0,'e1eed9dd-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '',NULL,58),(721,0,'e1eed9de-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '',NULL,58),(722,0,'e1eed9df-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,7,_binary '',NULL,58),(723,0,'e1eed9e0-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/participations',NULL,NULL,'participation.location',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,8,_binary '',NULL,58),(724,0,'e1eed9e1-21dc-11ea-a9f8-693042a6b9d8','notes',NULL,_binary '','Notes','java.lang.String','/details/notes',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,9,_binary '\0',NULL,58),(725,0,'e1eed9e2-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,10,_binary '\0',NULL,58),(726,0,'e1eed9e3-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,58),(727,0,'e1eed9e4-21dc-11ea-a9f8-693042a6b9d8','identities',NULL,_binary '','Identities','java.util.HashSet','/identities',NULL,NULL,'actIdentity.*',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,12,_binary '',NULL,58),(728,0,'e1eed9e5-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Items','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.customerReturnItemPharmacy',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,13,_binary '',NULL,58),(729,0,'e1f31fa7-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,59),(730,0,'e1f31fa8-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,59),(731,0,'e1f31fa9-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,59),(732,0,'e1f31faa-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,59),(733,0,'e1f31fab-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Debit','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,59),(734,0,'e1f31fad-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Credit','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,59),(735,0,'e1f31faf-21dc-11ea-a9f8-693042a6b9d8','allocatedAmount',NULL,_binary '','Allocated Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/allocatedAmount',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,6,_binary '\0',NULL,59),(736,0,'e1f67b11-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,60),(737,0,'e1f67b12-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,60),(738,0,'e1f67b13-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,60),(739,0,'e1f67b14-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,60),(740,0,'e1f67b15-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Invoice','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,60),(741,0,'e1f67b17-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Invoice Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,60),(742,0,'e1f9af6a-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,61),(743,0,'e1f9af6b-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,61),(744,0,'e1f9af6c-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,61),(745,0,'e1f9af6d-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,61),(746,0,'e1f9af6e-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Credit','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'act.customerAccountChargesCredit',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,61),(747,0,'e1f9af6f-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Credit Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'act.customerAccountCreditItem',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,61),(748,0,'e1fb3611-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,62),(749,0,'e1fb3612-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,62),(750,0,'e1fb3613-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,62),(751,0,'e1fb3614-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,62),(752,0,'e1fb3615-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Invoice','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'act.customerAccountChargesInvoice',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,62),(753,0,'e1fb3616-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Invoice Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'act.customerAccountInvoiceItem',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,62),(754,0,'e1fdf538-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,63),(755,0,'e1fdf539-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,63),(756,0,'e1fdf53a-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,63),(757,0,'e1fdf53b-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,63),(758,0,'e1fdf53c-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Payment','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'act.customerAccountPayment',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,63),(759,0,'e1fdf53d-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Payment Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,63),(760,0,'e1ffca00-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,64),(761,0,'e1ffca01-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,64),(762,0,'e1ffca02-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,64),(763,0,'e1ffca03-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,64),(764,0,'e1ffca04-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Invoice','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,64),(765,0,'e1ffca06-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Refund Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,64),(766,0,'e2028929-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,65),(767,0,'e202892a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,65),(768,0,'e202892b-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,65),(769,0,'e202892c-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,65),(770,0,'e202892d-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Source','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,65),(771,0,'e202892f-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Target','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,65),(772,0,'e2059672-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,66),(773,0,'e2059673-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,66),(774,0,'e2059674-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,66),(775,0,'e2059675-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Attachment','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,66),(776,0,'e2059677-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Attachment Version','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,66),(777,0,'e208a3ba-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,67),(778,0,'e208a3bb-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,67),(779,0,'e208a3bc-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,67),(780,0,'e208a3bd-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Letter','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,67),(781,0,'e208a3bf-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Letter Version','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,67),(782,0,'e20a2a62-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,68),(783,0,'e20a2a63-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,68),(784,0,'e20a2a64-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,68),(785,0,'e20a2a65-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,68),(786,0,'e20a2a66-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Estimate','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,68),(787,0,'e20a2a68-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Estimate Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,68),(788,0,'e20c9b6b-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,69),(789,0,'e20c9b6c-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,69),(790,0,'e20c9b6d-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,69),(791,0,'e20c9b6e-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,69),(792,0,'e20c9b6f-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Order','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,69),(793,0,'e20c9b71-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Order Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,69),(794,0,'e20f0c74-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,70),(795,0,'e20f0c75-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,70),(796,0,'e20f0c76-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,70),(797,0,'e20f0c77-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,70),(798,0,'e20f0c78-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Return','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,70),(799,0,'e20f0c7a-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Return Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,70),(800,0,'e213c76d-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,71),(801,0,'e213c76e-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,71),(802,0,'e213c76f-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,71),(803,0,'e213c770-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,71),(804,0,'e213c771-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Return','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,71),(805,0,'e213c773-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Return Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,71),(806,0,'e2161166-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,72),(807,0,'e2161167-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,72),(808,0,'e2161168-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,72),(809,0,'e2161169-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,72),(810,0,'e216116a-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Invoice Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'act.customerAccountInvoiceItem',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,72),(811,0,'e216116b-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Item Document','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'act.patientAlert',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,72),(812,0,'e218826d-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,73),(813,0,'e218826e-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,73),(814,0,'e218826f-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,73),(815,0,'e2188270-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,73),(816,0,'e2188271-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Invoice Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,73),(817,0,'e2188273-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Item Dispensing','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,73),(818,0,'e21bddd6-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,74),(819,0,'e21bddd7-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,74),(820,0,'e21bddd8-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,74),(821,0,'e21bddd9-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,74),(822,0,'e21bddda-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Invoice Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,74),(823,0,'e21bdddc-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Item Document','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,74),(824,0,'e21e4edf-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,75),(825,0,'e21e4ee0-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,75),(826,0,'e21e4ee1-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,75),(827,0,'e21e4ee2-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,75),(828,0,'e21e4ee3-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Invoice Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,75),(829,0,'e21e4ee5-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Patient Investigation','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,75),(830,0,'e220bee8-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,76),(831,0,'e220bee9-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,76),(832,0,'e220beea-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,76),(833,0,'e220beeb-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,76),(834,0,'e220beec-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Invoice Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,76),(835,0,'e220beee-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Item Document','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,76),(836,0,'e22308e1-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,77),(837,0,'e22308e2-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,77),(838,0,'e22308e3-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,77),(839,0,'e22308e4-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,77),(840,0,'e22308e6-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Note','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,77),(841,0,'e22579e9-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,78),(842,0,'e22579ea-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,78),(843,0,'e22579eb-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,78),(844,0,'e22579ec-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,78),(845,0,'e22579ee-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Document','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,78),(846,0,'e228d551-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,79),(847,0,'e228d552-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Customer Discount\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,79),(848,0,'e228d553-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name, \' (\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,79),(849,0,'e228d554-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Customer','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'party.customerperson',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,79),(850,0,'e228d555-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Discount','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,79),(851,0,'e228d557-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','From Date','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,79),(852,0,'e228d558-21dc-11ea-a9f8-693042a6b9d8','activeEndTime',NULL,_binary '','To Date','java.util.Date','/activeEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,79),(853,0,'e22b465a-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,80),(854,0,'e22b465b-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Customer Location\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,80),(855,0,'e22b465c-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'/name',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,80),(856,0,'e22b465d-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Customer','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,80),(857,0,'e22b465f-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,80),(858,0,'e22d9052-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,81),(859,0,'e22d9053-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,1,_binary '\0',NULL,81),(860,0,'e22d9056-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,81),(861,0,'e22d9058-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'/name',_binary '\0',_binary '',_binary '',0,1,0,255,3,_binary '\0',NULL,81),(862,0,'e22d9059-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,81),(863,0,'e22d905a-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,81),(864,0,'e230015c-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,82),(865,0,'e230015d-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Customer','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,82),(866,0,'e230015f-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,82),(867,0,'e234bc52-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,83),(868,0,'e234bc53-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Customer','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,83),(869,0,'e234bc55-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,83),(870,0,'e2372d58-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,84),(871,0,'e2372d59-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,84),(872,0,'e2372d5b-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,84),(873,0,'e239ec7e-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,85),(874,0,'e239ec7f-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'expr:ifempty(/details/companyName, concat(/details/lastName,\',\',/details/firstName))',_binary '\0',_binary '',_binary '',1,1,0,100,1,_binary '\0',NULL,85),(875,0,'e239ec80-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(party:getBillingAddress(., true()),\' - \',party:getHomeTelephone(.))',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,85),(876,0,'e239ec81-21dc-11ea-a9f8-693042a6b9d8','lastName',NULL,_binary '','Last Name','java.lang.String','/details/lastName',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,30,3,_binary '\0',NULL,85),(877,0,'e239ec83-21dc-11ea-a9f8-693042a6b9d8','title',NULL,_binary '','Title','java.lang.String','/details/title',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,85),(878,0,'e239ec85-21dc-11ea-a9f8-693042a6b9d8','initials',NULL,_binary '','Initials','java.lang.String','/details/initials',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,10,5,_binary '\0',NULL,85),(879,0,'e239ec87-21dc-11ea-a9f8-693042a6b9d8','firstName',NULL,_binary '','First Name','java.lang.String','/details/firstName',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,30,6,_binary '\0',NULL,85),(880,0,'e239ec89-21dc-11ea-a9f8-693042a6b9d8','companyName',NULL,_binary '','Company Name','java.lang.String','/details/companyName',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,50,7,_binary '\0',NULL,85),(881,0,'e239ec8b-21dc-11ea-a9f8-693042a6b9d8','referral',NULL,_binary '','Referred By','java.lang.String','/details/referral',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,85),(882,0,'e239ec8d-21dc-11ea-a9f8-693042a6b9d8','preferredVet',NULL,_binary '','Preferred Vet','java.lang.String','/details/preferredVet',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,85),(883,0,'e239ec8f-21dc-11ea-a9f8-693042a6b9d8','insurancePlan',NULL,_binary '','Insurance Plan','java.lang.String','/details/insurancePlan',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,85),(884,0,'e239ec91-21dc-11ea-a9f8-693042a6b9d8','travel',NULL,_binary '','Travel','java.lang.String','/details/travel',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,20,11,_binary '\0',NULL,85),(885,0,'e239ec92-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,12,_binary '\0',NULL,85),(886,0,'e239ec93-21dc-11ea-a9f8-693042a6b9d8','createdDate',NULL,_binary '','Created Date','java.util.Date','/details/createdDate',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,13,_binary '\0',NULL,85),(887,0,'e239ec94-21dc-11ea-a9f8-693042a6b9d8','patients',NULL,_binary '','Patients','java.util.HashSet','/sourceEntityRelationships','EntityRelationship',NULL,'entityRelationship.patient*',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,14,_binary '',NULL,85),(888,0,'e239ec97-21dc-11ea-a9f8-693042a6b9d8','contacts',NULL,_binary '','Contacts','java.util.HashSet','/contacts','Contact',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,15,_binary '',NULL,85),(889,0,'e239ec99-21dc-11ea-a9f8-693042a6b9d8','identities',NULL,_binary '','Identities','java.util.HashSet','/identities','Identity',NULL,'entityIdentity.code',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,16,_binary '',NULL,85),(890,0,'e239ec9a-21dc-11ea-a9f8-693042a6b9d8','type',NULL,_binary '','Account Type','java.util.HashSet','/classifications','Classification','openvpms:defaultLookup(.,\'type\')','lookup.customerAccountType',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,17,_binary '\0',NULL,85),(891,0,'e239ec9c-21dc-11ea-a9f8-693042a6b9d8','discounts',NULL,_binary '','Discounts','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.customerDiscount',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,18,_binary '',NULL,85),(892,0,'e239ec9e-21dc-11ea-a9f8-693042a6b9d8','taxes',NULL,_binary '','Tax Exemptions','java.util.HashSet','/classifications','Classification',NULL,'lookup.taxType',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,19,_binary '\0',NULL,85),(893,0,'e239ec9f-21dc-11ea-a9f8-693042a6b9d8','classifications',NULL,_binary '','Categories','java.util.HashSet','/classifications','Classification',NULL,'lookup.customerType',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,20,_binary '\0',NULL,85),(894,0,'e239eca0-21dc-11ea-a9f8-693042a6b9d8','practice',NULL,_binary '','Practice Location','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.customerLocation',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,21,_binary '',NULL,85),(895,0,'e241b4d2-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,86),(896,0,'e241b4d3-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'/fileName',_binary '\0',_binary '\0',_binary '',0,1,0,255,1,_binary '\0',NULL,86),(897,0,'e241b4d4-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,86),(898,0,'e241b4d5-21dc-11ea-a9f8-693042a6b9d8','width',NULL,_binary '','Width','java.lang.Integer','/details/width',NULL,'-1',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,86),(899,0,'e241b4d6-21dc-11ea-a9f8-693042a6b9d8','height',NULL,_binary '','Height','java.lang.Integer','/details/height',NULL,'-1',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,86),(900,0,'e241b4d7-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,5,_binary '\0',NULL,86),(901,0,'e241b4d8-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,86),(902,0,'e241b4d9-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,86),(903,0,'e241b4da-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,8,_binary '',NULL,86),(904,0,'e241b4db-21dc-11ea-a9f8-693042a6b9d8','owner',NULL,_binary '','Owner','java.util.HashSet','/participations',NULL,NULL,'participation.logo',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,9,_binary '',NULL,86),(905,0,'e241b4dc-21dc-11ea-a9f8-693042a6b9d8','document',NULL,_binary '','Image','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,86),(906,0,'e244c21e-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,87),(907,0,'e244c21f-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'/fileName',_binary '\0',_binary '\0',_binary '',0,1,0,255,1,_binary '\0',NULL,87),(908,0,'e244c220-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,87),(909,0,'e244c221-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,87),(910,0,'e244c222-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,87),(911,0,'e244c223-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,87),(912,0,'e244c224-21dc-11ea-a9f8-693042a6b9d8','template',NULL,_binary '','Template','java.util.HashSet','/participations',NULL,NULL,'participation.document',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,6,_binary '',NULL,87),(913,0,'e244c225-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,7,_binary '',NULL,87),(914,0,'e244c226-21dc-11ea-a9f8-693042a6b9d8','document',NULL,_binary '','Document','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,87),(915,0,'e2478148-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,88),(916,0,'e2478149-21dc-11ea-a9f8-693042a6b9d8','version',NULL,_binary '','Version','java.lang.Long','/version',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,88),(917,0,'e247814a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,88),(918,0,'e247814b-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,'\'Image\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,88),(919,0,'e247814c-21dc-11ea-a9f8-693042a6b9d8','width',NULL,_binary '','Width','java.lang.Integer','/details/width',NULL,'-1',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,88),(920,0,'e247814d-21dc-11ea-a9f8-693042a6b9d8','height',NULL,_binary '','Height','java.lang.Integer','/details/height',NULL,'-1',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,88),(921,0,'e247814e-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,88),(922,0,'e247814f-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,88),(923,0,'e2478150-21dc-11ea-a9f8-693042a6b9d8','size',NULL,_binary '','Size','java.lang.Long','/docSize',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,88),(924,0,'e2478151-21dc-11ea-a9f8-693042a6b9d8','checksum',NULL,_binary '','Checksum','java.lang.Long','/checksum',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,88),(925,0,'e2495613-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,89),(926,0,'e2495614-21dc-11ea-a9f8-693042a6b9d8','version',NULL,_binary '','Version','java.lang.Long','/version',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,89),(927,0,'e2495615-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,89),(928,0,'e2495616-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,'\'Generic Document\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,89),(929,0,'e2495617-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,89),(930,0,'e2495618-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,89),(931,0,'e2495619-21dc-11ea-a9f8-693042a6b9d8','size',NULL,_binary '','Size','java.lang.Long','/docSize',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,89),(932,0,'e249561a-21dc-11ea-a9f8-693042a6b9d8','checksum',NULL,_binary '','Checksum','java.lang.Long','/checksum',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,89),(933,0,'e24adcbc-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,90),(934,0,'e24adcbd-21dc-11ea-a9f8-693042a6b9d8','version',NULL,_binary '','Version','java.lang.Long','/version',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,90),(935,0,'e24adcbe-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,90),(936,0,'e24adcbf-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,'\'Temporary Document\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,90),(937,0,'e24adcc0-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,90),(938,0,'e24adcc1-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,90),(939,0,'e24adcc2-21dc-11ea-a9f8-693042a6b9d8','size',NULL,_binary '','Size','java.lang.Long','/docSize',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,90),(940,0,'e24adcc3-21dc-11ea-a9f8-693042a6b9d8','checksum',NULL,_binary '','Checksum','java.lang.Long','/checksum',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,90),(941,0,'e24e1115-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,91),(942,0,'e24e1116-21dc-11ea-a9f8-693042a6b9d8','version',NULL,_binary '','Version','java.lang.Long','/version',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,91),(943,0,'e24e1117-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,91),(944,0,'e24e1118-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,'\'Text Document\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,91),(945,0,'e24e1119-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,91),(946,0,'e24e111a-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,'text/plain',NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,91),(947,0,'e24e111b-21dc-11ea-a9f8-693042a6b9d8','size',NULL,_binary '','Size','java.lang.Long','/docSize',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,91),(948,0,'e24e111c-21dc-11ea-a9f8-693042a6b9d8','checksum',NULL,_binary '','Checksum','java.lang.Long','/checksum',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,91),(949,0,'e24f97be-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,92),(950,0,'e24f97bf-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,92),(951,0,'e24f97c0-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,92),(952,0,'e24f97c1-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,92),(953,0,'e24f97c2-21dc-11ea-a9f8-693042a6b9d8','archetype',NULL,_binary '','Type','java.lang.String','/details/archetype',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,92),(954,0,'e24f97c4-21dc-11ea-a9f8-693042a6b9d8','userLevel',NULL,_binary '','User Level','java.lang.String','/details/userLevel',NULL,'\'0\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,92),(955,0,'e24f97c6-21dc-11ea-a9f8-693042a6b9d8','reportType',NULL,_binary '','Report Type','java.lang.String','/details/reportType',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,92),(956,0,'e24f97c8-21dc-11ea-a9f8-693042a6b9d8','printMode',NULL,_binary '','Preferred Print Mode','java.lang.String','/details/printMode',NULL,'\'CHECK_OUT\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,92),(957,0,'e24f97ca-21dc-11ea-a9f8-693042a6b9d8','paperSize',NULL,_binary '','Paper Size','java.lang.String','/details/paperSize',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,92),(958,0,'e24f97cc-21dc-11ea-a9f8-693042a6b9d8','orientation',NULL,_binary '','Orientation','java.lang.String','/details/orientation',NULL,'\'PORTRAIT\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,92),(959,0,'e24f97ce-21dc-11ea-a9f8-693042a6b9d8','copies',NULL,_binary '','Copies','java.lang.Integer','/details/copies',NULL,'1',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,92),(960,0,'e24f97cf-21dc-11ea-a9f8-693042a6b9d8','paperHeight',NULL,_binary '','Paper Height','java.math.BigDecimal','/details/paperHeight',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,92),(961,0,'e24f97d0-21dc-11ea-a9f8-693042a6b9d8','paperWidth',NULL,_binary '','Paper Width','java.math.BigDecimal','/details/paperWidth',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,12,_binary '\0',NULL,92),(962,0,'e24f97d1-21dc-11ea-a9f8-693042a6b9d8','paperUnits',NULL,_binary '','Paper Units','java.lang.String','/details/paperUnits',NULL,'\'MM\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,13,_binary '\0',NULL,92),(963,0,'e24f97d3-21dc-11ea-a9f8-693042a6b9d8','email',NULL,_binary '','Email Template','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.documentTemplateEmail',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,14,_binary '',NULL,92),(964,0,'e24f97d4-21dc-11ea-a9f8-693042a6b9d8','sms',NULL,_binary '','SMS Template','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.documentTemplateSMS',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,15,_binary '',NULL,92),(965,0,'e24f97d5-21dc-11ea-a9f8-693042a6b9d8','fileNameFormat',NULL,_binary '','File Name Format','java.util.HashSet','/classifications','Classification',NULL,'lookup.fileNameFormat',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,16,_binary '\0',NULL,92),(966,0,'e24f97d6-21dc-11ea-a9f8-693042a6b9d8','printers',NULL,_binary '','Printers','java.util.HashSet','/entityRelationships','EntityRelationship',NULL,'entityRelationship.documentTemplatePrinter',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,17,_binary '',NULL,92),(967,0,'e258bf98-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,93),(968,0,'e258bf99-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,93),(969,0,'e258bf9a-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,93),(970,0,'e258bf9b-21dc-11ea-a9f8-693042a6b9d8','subjectType',NULL,_binary '','Subject Type','java.lang.String','/details/subjectType',NULL,'\'TEXT\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,93),(971,0,'e258bf9d-21dc-11ea-a9f8-693042a6b9d8','subject',NULL,_binary '','Subject','java.lang.String','/details/subject',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,5000,4,_binary '\0',NULL,93),(972,0,'e258bf9e-21dc-11ea-a9f8-693042a6b9d8','subjectSource',NULL,_binary '','Subject Source','java.lang.String','/details/subjectSource',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,5,_binary '\0',NULL,93),(973,0,'e258bf9f-21dc-11ea-a9f8-693042a6b9d8','contentType',NULL,_binary '','Content Type','java.lang.String','/details/contentType',NULL,'\'TEXT\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,93),(974,0,'e258bfa1-21dc-11ea-a9f8-693042a6b9d8','content',NULL,_binary '','Content','java.lang.String','/details/content',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,7,_binary '\0',NULL,93),(975,0,'e258bfa2-21dc-11ea-a9f8-693042a6b9d8','contentSource',NULL,_binary '','Content Source','java.lang.String','/details/contentSource',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,8,_binary '\0',NULL,93),(976,0,'e258bfa3-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,93),(977,0,'e25bcce5-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,94),(978,0,'e25bcce6-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,94),(979,0,'e25bcce7-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,94),(980,0,'e25bcce8-21dc-11ea-a9f8-693042a6b9d8','subjectType',NULL,_binary '','Subject Type','java.lang.String','/details/subjectType',NULL,'\'TEXT\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,94),(981,0,'e25bccea-21dc-11ea-a9f8-693042a6b9d8','subject',NULL,_binary '','Subject','java.lang.String','/details/subject',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,5000,4,_binary '\0',NULL,94),(982,0,'e25bcceb-21dc-11ea-a9f8-693042a6b9d8','subjectSource',NULL,_binary '','Subject Source','java.lang.String','/details/subjectSource',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,5,_binary '\0',NULL,94),(983,0,'e25bccec-21dc-11ea-a9f8-693042a6b9d8','contentType',NULL,_binary '','Content Type','java.lang.String','/details/contentType',NULL,'\'TEXT\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,94),(984,0,'e25bccee-21dc-11ea-a9f8-693042a6b9d8','content',NULL,_binary '','Content','java.lang.String','/details/content',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,7,_binary '\0',NULL,94),(985,0,'e25bccef-21dc-11ea-a9f8-693042a6b9d8','contentSource',NULL,_binary '','Content Source','java.lang.String','/details/contentSource',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,8,_binary '\0',NULL,94),(986,0,'e25bccf0-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,94),(987,0,'e25f0142-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,95),(988,0,'e25f0143-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Appointment Reminder SMS Template\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,95),(989,0,'e25f0144-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,'\'A template for generating SMS appointment reminders\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,95),(990,0,'e25f0145-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,95),(991,0,'e25f0146-21dc-11ea-a9f8-693042a6b9d8','contentType',NULL,_binary '','Content Type','java.lang.String','/details/contentType',NULL,'\'XPATH\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,95),(992,0,'e25f0148-21dc-11ea-a9f8-693042a6b9d8','content',NULL,_binary '','Content','java.lang.String','/details/content',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,5000,5,_binary '\0',NULL,95),(993,0,'e261c06a-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,96),(994,0,'e261c06b-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Patient Reminder SMS Template\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,96),(995,0,'e261c06c-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,'\'A template for generating SMS patient reminders\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,96),(996,0,'e261c06d-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,96),(997,0,'e261c06e-21dc-11ea-a9f8-693042a6b9d8','contentType',NULL,_binary '','Content Type','java.lang.String','/details/contentType',NULL,'\'TEXT\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,96),(998,0,'e261c070-21dc-11ea-a9f8-693042a6b9d8','content',NULL,_binary '','Content','java.lang.String','/details/content',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,5000,5,_binary '\0',NULL,96),(999,0,'e2640a62-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,97),(1000,0,'e2640a63-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,97),(1001,0,'e2640a64-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,97),(1002,0,'e2640a65-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,97),(1003,0,'e2640a66-21dc-11ea-a9f8-693042a6b9d8','companyID',NULL,_binary '','Company Tax ID','java.lang.String','/details/companyID',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,97),(1004,0,'e2640a67-21dc-11ea-a9f8-693042a6b9d8','logoFile',NULL,_binary '','Logo File','java.lang.String','/details/logoFile',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,240,5,_binary '\0',NULL,97),(1005,0,'e2640a68-21dc-11ea-a9f8-693042a6b9d8','logoFileHTML',NULL,_binary '','HTML Logo URL','java.lang.String','/details/logoFileHTML',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,240,6,_binary '\0',NULL,97),(1006,0,'e2640a69-21dc-11ea-a9f8-693042a6b9d8','baseURL',NULL,_binary '','Base URL','java.lang.String','/details/baseURL',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,97),(1007,0,'e2640a6a-21dc-11ea-a9f8-693042a6b9d8','contacts',NULL,_binary '','Contacts Source','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.letterheadContacts',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '',NULL,97),(1008,0,'e2640a6b-21dc-11ea-a9f8-693042a6b9d8','subreport',NULL,_binary '','Subreport Expression','java.lang.String','/details/subreport',NULL,'\'Letterhead\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,30,9,_binary '\0',NULL,97),(1009,0,'e2640a6c-21dc-11ea-a9f8-693042a6b9d8','plainPaper',NULL,_binary '','Plain Paper','java.lang.Boolean','/details/plainPaper',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,97),(1010,0,'e2640a6d-21dc-11ea-a9f8-693042a6b9d8','letterheadP1only',NULL,_binary '','Letterhead Page 1 Only','java.lang.Boolean','/details/letterheadP1only',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,97),(1011,0,'e2640a6e-21dc-11ea-a9f8-693042a6b9d8','useProductTypes',NULL,_binary '','Use Product Types','java.lang.Boolean','/details/useProductTypes',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,12,_binary '\0',NULL,97),(1012,0,'e2640a6f-21dc-11ea-a9f8-693042a6b9d8','remindersInvoice',NULL,_binary '','Reminders on invoice','java.lang.Boolean','/details/remindersInvoice',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,13,_binary '\0',NULL,97),(1013,0,'e2640a70-21dc-11ea-a9f8-693042a6b9d8','appointmentsInvoice',NULL,_binary '','Appointments on invoice','java.lang.Boolean','/details/appointmentsInvoice',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,14,_binary '\0',NULL,97),(1014,0,'e2640a71-21dc-11ea-a9f8-693042a6b9d8','lastPageFooter',NULL,_binary '','Slogan','java.lang.String','/details/lastPageFooter',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,15,_binary '\0',NULL,97),(1015,0,'e2640a72-21dc-11ea-a9f8-693042a6b9d8','invoiceMsg',NULL,_binary '','Invoice Message','java.lang.String','/details/invoiceMsg',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,16,_binary '\0',NULL,97),(1016,0,'e2640a73-21dc-11ea-a9f8-693042a6b9d8','invoicePay',NULL,_binary '','Invoice Payment Instr.','java.lang.String','/details/invoicePay',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,17,_binary '\0',NULL,97),(1017,0,'e2640a74-21dc-11ea-a9f8-693042a6b9d8','receiptMsg',NULL,_binary '','Receipt Message','java.lang.String','/details/receiptMsg',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,18,_binary '\0',NULL,97),(1018,0,'e2640a75-21dc-11ea-a9f8-693042a6b9d8','estimateMsg',NULL,_binary '','Estimate Message','java.lang.String','/details/estimateMsg',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,19,_binary '\0',NULL,97),(1019,0,'e2640a76-21dc-11ea-a9f8-693042a6b9d8','generalMsg',NULL,_binary '','General Message','java.lang.String','/details/generalMsg',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,20,_binary '\0',NULL,97),(1020,0,'e2640a77-21dc-11ea-a9f8-693042a6b9d8','orderMsg',NULL,_binary '','Order Message','java.lang.String','/details/orderMsg',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,21,_binary '\0',NULL,97),(1021,0,'e2640a78-21dc-11ea-a9f8-693042a6b9d8','supplierMsg',NULL,_binary '','Supplier Message','java.lang.String','/details/supplierMsg',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,22,_binary '\0',NULL,97),(1022,0,'e2640a79-21dc-11ea-a9f8-693042a6b9d8','pharmacyMsg',NULL,_binary '','Pharmacy Message','java.lang.String','/details/pharmacyMsg',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,23,_binary '\0',NULL,97),(1023,0,'e2640a7a-21dc-11ea-a9f8-693042a6b9d8','creditCardInstructions',NULL,_binary '','Credit Card Instructions','java.lang.String','/details/creditCardInstructions',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,24,_binary '\0',NULL,97),(1024,0,'e2640a7b-21dc-11ea-a9f8-693042a6b9d8','directDepositInstructions',NULL,_binary '','Direct Deposit Instructions','java.lang.String','/details/directDepositInstructions',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,25,_binary '\0',NULL,97),(1025,0,'e2640a7c-21dc-11ea-a9f8-693042a6b9d8','paymentOption3',NULL,_binary '','Payment Option 3','java.lang.String','/details/paymentOption3',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,26,_binary '\0',NULL,97),(1026,0,'e2640a7d-21dc-11ea-a9f8-693042a6b9d8','paymentOption4',NULL,_binary '','Payment Option 4','java.lang.String','/details/paymentOption4',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,27,_binary '\0',NULL,97),(1027,0,'e2640a7e-21dc-11ea-a9f8-693042a6b9d8','lineItemPrint',NULL,_binary '','Line Item Print','java.lang.String','/details/lineItemPrint',NULL,'\'A\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,28,_binary '\0',NULL,97),(1028,0,'e2640a80-21dc-11ea-a9f8-693042a6b9d8','groupRemindMsg',NULL,_binary '','Reminder Message','java.lang.String','/details/groupRemindMsg',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,900,29,_binary '\0',NULL,97),(1029,0,'e2667a82-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,98),(1030,0,'e2667a83-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Email Template\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,1,_binary '\0',NULL,98),(1031,0,'e2667a84-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,98),(1032,0,'e2667a85-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Template','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,98),(1033,0,'e2667a87-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Email Template','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,98),(1034,0,'e268c47a-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,99),(1035,0,'e268c47b-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Email Template\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,1,_binary '\0',NULL,99),(1036,0,'e268c47c-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,99),(1037,0,'e268c47d-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Template','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,99),(1038,0,'e268c47f-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','SMS Template','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,99),(1039,0,'e26b3582-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,100),(1040,0,'e26b3583-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Letterhead Contacts Source\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,100),(1041,0,'e26b3584-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,100),(1042,0,'e26b3585-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Letterhead','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,100),(1043,0,'e26b3587-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Practice','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,100),(1044,0,'e26da68a-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,101),(1045,0,'e26da68b-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'concat(\'Document Template Printer\', \'\')',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,101),(1046,0,'e26da68c-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/details/printerName, \' \')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,101),(1047,0,'e26da68d-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,101),(1048,0,'e26da68e-21dc-11ea-a9f8-693042a6b9d8','printerName',NULL,_binary '','Printer Name','java.lang.String','/details/printerName',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,101),(1049,0,'e26da68f-21dc-11ea-a9f8-693042a6b9d8','paperTray',NULL,_binary '','Paper Tray','java.lang.String','/details/paperTray',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,101),(1050,0,'e26da691-21dc-11ea-a9f8-693042a6b9d8','sides',NULL,_binary '','Sides','java.lang.String','/details/sides',NULL,'\'ONE_SIDED\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,101),(1051,0,'e26da693-21dc-11ea-a9f8-693042a6b9d8','interactive',NULL,_binary '','Interactive','java.lang.Boolean','/details/interactive',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,101),(1052,0,'e26da694-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Document Template','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,8,_binary '\0',NULL,101),(1053,0,'e26da696-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Practice Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,9,_binary '\0',NULL,101),(1054,0,'e27101f9-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,102),(1055,0,'e27101fa-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Document Template','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,102),(1056,0,'e27101fc-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Document','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,102),(1057,0,'e2734bef-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,103),(1058,0,'e2734bf0-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Document Template','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,103),(1059,0,'e2734bf2-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,103),(1060,0,'e275bcf5-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,104),(1061,0,'e275bcf6-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Entity','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,104),(1062,0,'e275bcf8-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Logo','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,104),(1063,0,'e2782dfb-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,105),(1064,0,'e2782dfc-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'concat(\'Bank Deposit\', \'\')',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,105),(1065,0,'e2782dfd-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,105),(1066,0,'e2782dfe-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Start Time','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,105),(1067,0,'e2782dff-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','End Time','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,105),(1068,0,'e2782e00-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,105),(1069,0,'e2782e01-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,6,_binary '\0',NULL,105),(1070,0,'e2782e02-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,105),(1071,0,'e2782e03-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'UNDEPOSITED\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,8,_binary '\0',NULL,105),(1072,0,'e2782e05-21dc-11ea-a9f8-693042a6b9d8','depositAccount',NULL,_binary '','Deposit Account','java.util.HashSet','/participations',NULL,NULL,'participation.deposit',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,9,_binary '',NULL,105),(1073,0,'e2782e06-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Till Balances','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,10,_binary '',NULL,105),(1074,0,'e27ce8f9-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,106),(1075,0,'e27ce8fa-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'concat(\'Till Balance\', \'\')',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,106),(1076,0,'e27ce8fb-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,106),(1077,0,'e27ce8fc-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Start Time','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,106),(1078,0,'e27ce8fd-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','End Time','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,106),(1079,0,'e27ce8fe-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,106),(1080,0,'e27ce8ff-21dc-11ea-a9f8-693042a6b9d8','cashFloat',NULL,_binary '','Cash Float','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/cashFloat',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,106),(1081,0,'e27ce900-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,7,_binary '\0',NULL,106),(1082,0,'e27ce901-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,106),(1083,0,'e27ce902-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'UNCLEARED\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,9,_binary '\0',NULL,106),(1084,0,'e27ce904-21dc-11ea-a9f8-693042a6b9d8','till',NULL,_binary '','Till','java.util.HashSet','/participations',NULL,NULL,'participation.till',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,10,_binary '',NULL,106),(1085,0,'e27ce905-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Payments','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,11,_binary '',NULL,106),(1086,0,'e281a3f8-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,107),(1087,0,'e281a3f9-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Till Balance Adjustment\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,107),(1088,0,'e281a3fa-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,107),(1089,0,'e281a3fb-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,107),(1090,0,'e281a3fc-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,107),(1091,0,'e281a3fd-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,107),(1092,0,'e281a3fe-21dc-11ea-a9f8-693042a6b9d8','till',NULL,_binary '','Till','java.util.HashSet','/participations',NULL,NULL,'participation.till',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,6,_binary '',NULL,107),(1093,0,'e281a3ff-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,7,_binary '',NULL,107),(1094,0,'e2841501-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,108),(1095,0,'e2841502-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,108),(1096,0,'e2841503-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,108),(1097,0,'e2841504-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Till Balance','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,108),(1098,0,'e2841506-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Till Balance Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,108),(1099,0,'e2865ef9-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,109),(1100,0,'e2865efa-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,109),(1101,0,'e2865efb-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,109),(1102,0,'e2865efc-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Till Balance','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,109),(1103,0,'e2865efe-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Till Balance Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,109),(1104,0,'e288d001-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,110),(1105,0,'e288d002-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Created','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,110),(1106,0,'e288d003-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','Sent/Received','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,110),(1107,0,'e288d004-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,110),(1108,0,'e288d005-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,4,_binary '\0',NULL,110),(1109,0,'e288d006-21dc-11ea-a9f8-693042a6b9d8','hl7Version',NULL,_binary '','HL7 Version','java.lang.String','/details/hl7Version',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,110),(1110,0,'e288d007-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'PENDING\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,110),(1111,0,'e288d009-21dc-11ea-a9f8-693042a6b9d8','connector',NULL,_binary '','Connector','java.util.HashSet','/participations',NULL,NULL,'participation.HL7Connector',NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,7,_binary '',NULL,110),(1112,0,'e288d00a-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,8,_binary '',NULL,110),(1113,0,'e288d00b-21dc-11ea-a9f8-693042a6b9d8','error',NULL,_binary '','Error','java.lang.String','/details/error',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,5000,9,_binary '\0',NULL,110),(1114,0,'e288d00c-21dc-11ea-a9f8-693042a6b9d8','document',NULL,_binary '','Message','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,110),(1115,0,'e288d00e-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,11,_binary '\0',NULL,110),(1116,0,'e288d00f-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,12,_binary '\0',NULL,110),(1117,0,'e28d8b01-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,111),(1118,0,'e28d8b02-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,111),(1119,0,'e28d8b03-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,'\'Text Document\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,111),(1120,0,'e28d8b04-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,111),(1121,0,'e28d8b05-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,111),(1122,0,'e28d8b06-21dc-11ea-a9f8-693042a6b9d8','size',NULL,_binary '','Size','java.lang.Long','/docSize',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,111),(1123,0,'e28d8b07-21dc-11ea-a9f8-693042a6b9d8','checksum',NULL,_binary '','Checksum','java.lang.Long','/checksum',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,111),(1124,0,'e28ffc09-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,112),(1125,0,'e28ffc0a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,112),(1126,0,'e28ffc0c-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,112),(1127,0,'e28ffc0d-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,112),(1128,0,'e28ffc0e-21dc-11ea-a9f8-693042a6b9d8','sendADT',NULL,_binary '','Send Admit/Discharge/Transfer','java.lang.Boolean','/details/sendADT',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,112),(1129,0,'e28ffc0f-21dc-11ea-a9f8-693042a6b9d8','sendUpdatePatient',NULL,_binary '','Send Update Patient (ADT A08)','java.lang.Boolean','/details/sendUpdatePatient',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,112),(1130,0,'e28ffc10-21dc-11ea-a9f8-693042a6b9d8','sendCancelAdmit',NULL,_binary '','Send Cancel Admit (ADT A11)','java.lang.Boolean','/details/sendCancelAdmit',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,112),(1131,0,'e28ffc11-21dc-11ea-a9f8-693042a6b9d8','setPID3','Populate PID-3 with the patient identifier',_binary '','Set PID-3','java.lang.Boolean','/details/setPID3',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,112),(1132,0,'e28ffc12-21dc-11ea-a9f8-693042a6b9d8','setPID2','Populate PID-2 with the patient identifier',_binary '','Set PID-2','java.lang.Boolean','/details/setPID2',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,112),(1133,0,'e28ffc13-21dc-11ea-a9f8-693042a6b9d8','male',NULL,_binary '','Sex: Male','java.lang.String','/details/male',NULL,'\'M\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,112),(1134,0,'e28ffc14-21dc-11ea-a9f8-693042a6b9d8','maleDesexed',NULL,_binary '','Sex: Male - desexed','java.lang.String','/details/maleDesexed',NULL,'\'C\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,112),(1135,0,'e28ffc15-21dc-11ea-a9f8-693042a6b9d8','female',NULL,_binary '','Sex: Female','java.lang.String','/details/female',NULL,'\'F\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,112),(1136,0,'e28ffc16-21dc-11ea-a9f8-693042a6b9d8','femaleDesexed',NULL,_binary '','Sex: Female - desexed','java.lang.String','/details/femaleDesexed',NULL,'\'S\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,12,_binary '\0',NULL,112),(1137,0,'e28ffc17-21dc-11ea-a9f8-693042a6b9d8','unknownSex',NULL,_binary '','Sex: Unknown','java.lang.String','/details/unknownSex',NULL,'\'U\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,13,_binary '\0',NULL,112),(1138,0,'e28ffc18-21dc-11ea-a9f8-693042a6b9d8','speciesMapping',NULL,_binary '','Species Mapping','java.lang.String','/details/speciesMapping',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,14,_binary '\0',NULL,112),(1139,0,'e28ffc19-21dc-11ea-a9f8-693042a6b9d8','unmappedSpecies',NULL,_binary '','Unmapped Species','java.lang.String','/details/unmappedSpecies',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,15,_binary '\0',NULL,112),(1140,0,'e28ffc1a-21dc-11ea-a9f8-693042a6b9d8','includeMillis',NULL,_binary '','Include Milliseconds','java.lang.Boolean','/details/includeMillis',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,16,_binary '\0',NULL,112),(1141,0,'e28ffc1b-21dc-11ea-a9f8-693042a6b9d8','includeTimeZone',NULL,_binary '','Include Time Zone','java.lang.Boolean','/details/includeTimeZone',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,17,_binary '\0',NULL,112),(1142,0,'e2926d1d-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,113),(1143,0,'e2926d1e-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Cubex HL7 Mapping\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,113),(1144,0,'e2926d1f-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,'\'Use this mapping for HL7 connections to Cubex\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,113),(1145,0,'e2926d20-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,113),(1146,0,'e2926d21-21dc-11ea-a9f8-693042a6b9d8','sendADT',NULL,_binary '','Send Admit/Discharge/Transfer','java.lang.Boolean','/details/sendADT',NULL,'true()',NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,113),(1147,0,'e2926d22-21dc-11ea-a9f8-693042a6b9d8','sendUpdatePatient',NULL,_binary '','Send Update Patient (ADT A08)','java.lang.Boolean','/details/sendUpdatePatient',NULL,'true()',NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,113),(1148,0,'e2926d23-21dc-11ea-a9f8-693042a6b9d8','sendCancelAdmit',NULL,_binary '','Send Cancel Admit (ADT A11)','java.lang.Boolean','/details/sendCancelAdmit',NULL,'true()',NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,113),(1149,0,'e2926d24-21dc-11ea-a9f8-693042a6b9d8','setPID3','Populate PID-3 with the patient identifier',_binary '','Set PID-3','java.lang.Boolean','/details/setPID3',NULL,'false()',NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,113),(1150,0,'e2926d25-21dc-11ea-a9f8-693042a6b9d8','setPID2','Populate PID-2 with the patient identifier',_binary '','Set PID-2','java.lang.Boolean','/details/setPID2',NULL,'true()',NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,113),(1151,0,'e2926d26-21dc-11ea-a9f8-693042a6b9d8','male',NULL,_binary '','Sex: Male','java.lang.String','/details/male',NULL,'\'M\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,9,_binary '\0',NULL,113),(1152,0,'e2926d27-21dc-11ea-a9f8-693042a6b9d8','maleDesexed',NULL,_binary '','Sex: Male - desexed','java.lang.String','/details/maleDesexed',NULL,'\'NM\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,10,_binary '\0',NULL,113),(1153,0,'e2926d28-21dc-11ea-a9f8-693042a6b9d8','female',NULL,_binary '','Sex: Female','java.lang.String','/details/female',NULL,'\'F\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,11,_binary '\0',NULL,113),(1154,0,'e2926d29-21dc-11ea-a9f8-693042a6b9d8','femaleDesexed',NULL,_binary '','Sex: Female - desexed','java.lang.String','/details/femaleDesexed',NULL,'\'SF\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,12,_binary '\0',NULL,113),(1155,0,'e2926d2a-21dc-11ea-a9f8-693042a6b9d8','unknownSex',NULL,_binary '','Sex: Unknown','java.lang.String','/details/unknownSex',NULL,'\'U\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,13,_binary '\0',NULL,113),(1156,0,'e2926d2b-21dc-11ea-a9f8-693042a6b9d8','speciesMapping',NULL,_binary '','Species Mapping','java.lang.String','/details/speciesMapping',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,14,_binary '\0',NULL,113),(1157,0,'e2926d2c-21dc-11ea-a9f8-693042a6b9d8','unmappedSpecies',NULL,_binary '','Unmapped Species','java.lang.String','/details/unmappedSpecies',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,15,_binary '\0',NULL,113),(1158,0,'e2926d2d-21dc-11ea-a9f8-693042a6b9d8','includeMillis',NULL,_binary '','Include Milliseconds','java.lang.Boolean','/details/includeMillis',NULL,'false()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,16,_binary '\0',NULL,113),(1159,0,'e2926d2e-21dc-11ea-a9f8-693042a6b9d8','includeTimeZone',NULL,_binary '','Include Time Zone','java.lang.Boolean','/details/includeTimeZone',NULL,'false()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,17,_binary '\0',NULL,113),(1160,0,'e294b720-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,114),(1161,0,'e294b721-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'IDEXX HL7 Mapping\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,114),(1162,0,'e294b722-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,'\'Use this mapping for HL7 connections to IDEXX\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,114),(1163,0,'e294b723-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,114),(1164,0,'e294b724-21dc-11ea-a9f8-693042a6b9d8','sendADT',NULL,_binary '','Send Admit/Discharge/Transfer','java.lang.Boolean','/details/sendADT',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,114),(1165,0,'e294b725-21dc-11ea-a9f8-693042a6b9d8','sendUpdatePatient',NULL,_binary '','Send Update Patient (ADT A08)','java.lang.Boolean','/details/sendUpdatePatient',NULL,'false()',NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,114),(1166,0,'e294b726-21dc-11ea-a9f8-693042a6b9d8','sendCancelAdmit',NULL,_binary '','Send Cancel Admit (ADT A11)','java.lang.Boolean','/details/sendCancelAdmit',NULL,'false()',NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,114),(1167,0,'e294b727-21dc-11ea-a9f8-693042a6b9d8','setPID3','Populate PID-3 with the patient identifier',_binary '','Set PID-3','java.lang.Boolean','/details/setPID3',NULL,'true()',NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,114),(1168,0,'e294b728-21dc-11ea-a9f8-693042a6b9d8','setPID2','Populate PID-2 with the patient identifier',_binary '','Set PID-2','java.lang.Boolean','/details/setPID2',NULL,'false()',NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,114),(1169,0,'e294b729-21dc-11ea-a9f8-693042a6b9d8','male',NULL,_binary '','Sex: Male','java.lang.String','/details/male',NULL,'\'M\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,9,_binary '\0',NULL,114),(1170,0,'e294b72a-21dc-11ea-a9f8-693042a6b9d8','maleDesexed',NULL,_binary '','Sex: Male - desexed','java.lang.String','/details/maleDesexed',NULL,'\'C\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,10,_binary '\0',NULL,114),(1171,0,'e294b72b-21dc-11ea-a9f8-693042a6b9d8','female',NULL,_binary '','Sex: Female','java.lang.String','/details/female',NULL,'\'F\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,11,_binary '\0',NULL,114),(1172,0,'e294b72c-21dc-11ea-a9f8-693042a6b9d8','femaleDesexed',NULL,_binary '','Sex: Female - desexed','java.lang.String','/details/femaleDesexed',NULL,'\'S\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,12,_binary '\0',NULL,114),(1173,0,'e294b72d-21dc-11ea-a9f8-693042a6b9d8','unknownSex',NULL,_binary '','Sex: Unknown','java.lang.String','/details/unknownSex',NULL,'\'U\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,13,_binary '\0',NULL,114),(1174,0,'e294b72e-21dc-11ea-a9f8-693042a6b9d8','speciesMapping',NULL,_binary '','Species Mapping','java.lang.String','/details/speciesMapping',NULL,'\'lookup.speciesIDEXX\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,14,_binary '\0',NULL,114),(1175,0,'e294b72f-21dc-11ea-a9f8-693042a6b9d8','unmappedSpecies',NULL,_binary '','Unmapped Species','java.lang.String','/details/unmappedSpecies',NULL,'\'OTHER\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,15,_binary '\0',NULL,114),(1176,0,'e294b730-21dc-11ea-a9f8-693042a6b9d8','includeMillis',NULL,_binary '','Include Milliseconds','java.lang.Boolean','/details/includeMillis',NULL,'false()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,16,_binary '\0',NULL,114),(1177,0,'e294b731-21dc-11ea-a9f8-693042a6b9d8','includeTimeZone',NULL,_binary '','Include Time Zone','java.lang.Boolean','/details/includeTimeZone',NULL,'false()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,17,_binary '\0',NULL,114),(1178,0,'e2997223-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,115),(1179,0,'e2997224-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,115),(1180,0,'e2997226-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Port: \', /details/port)',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,115),(1181,0,'e2997227-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,115),(1182,0,'e2997228-21dc-11ea-a9f8-693042a6b9d8','port',NULL,_binary '','Port','java.lang.Integer','/details/port',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,115),(1183,0,'e2997229-21dc-11ea-a9f8-693042a6b9d8','sendingApplication',NULL,_binary '','Sending Application','java.lang.String','/details/sendingApplication',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,115),(1184,0,'e299722a-21dc-11ea-a9f8-693042a6b9d8','sendingFacility',NULL,_binary '','Sending Facility','java.lang.String','/details/sendingFacility',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,115),(1185,0,'e299722b-21dc-11ea-a9f8-693042a6b9d8','receivingApplication',NULL,_binary '','Receiving Application','java.lang.String','/details/receivingApplication',NULL,'\'OpenVPMS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,115),(1186,0,'e299722c-21dc-11ea-a9f8-693042a6b9d8','receivingFacility',NULL,_binary '','Receiving Facility','java.lang.String','/details/receivingFacility',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,8,_binary '\0',NULL,115),(1187,0,'e299722d-21dc-11ea-a9f8-693042a6b9d8','mapping',NULL,_binary '','Mapping','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.HL7Mapping',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,9,_binary '',NULL,115),(1188,0,'e29be32f-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,116),(1189,0,'e29be330-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,116),(1190,0,'e29be332-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Host: \', /details/host, \', Port: \', /details/port)',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,116),(1191,0,'e29be333-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,116),(1192,0,'e29be334-21dc-11ea-a9f8-693042a6b9d8','host',NULL,_binary '','Host','java.lang.String','/details/host',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,116),(1193,0,'e29be335-21dc-11ea-a9f8-693042a6b9d8','port',NULL,_binary '','Port','java.lang.Integer','/details/port',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,116),(1194,0,'e29be336-21dc-11ea-a9f8-693042a6b9d8','sendingApplication',NULL,_binary '','Sending Application','java.lang.String','/details/sendingApplication',NULL,'\'OpenVPMS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,116),(1195,0,'e29be337-21dc-11ea-a9f8-693042a6b9d8','sendingFacility',NULL,_binary '','Sending Facility','java.lang.String','/details/sendingFacility',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,116),(1196,0,'e29be338-21dc-11ea-a9f8-693042a6b9d8','receivingApplication',NULL,_binary '','Receiving Application','java.lang.String','/details/receivingApplication',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,8,_binary '\0',NULL,116),(1197,0,'e29be339-21dc-11ea-a9f8-693042a6b9d8','receivingFacility',NULL,_binary '','Receiving Facility','java.lang.String','/details/receivingFacility',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,9,_binary '\0',NULL,116),(1198,0,'e29be33a-21dc-11ea-a9f8-693042a6b9d8','suspended',NULL,_binary '','Suspended','java.lang.Boolean','/details/suspended',NULL,'false()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,10,_binary '\0',NULL,116),(1199,0,'e29be33b-21dc-11ea-a9f8-693042a6b9d8','responseTimeout',NULL,_binary '','Response Timeout','java.lang.Integer','/details/responseTimeout',NULL,'30',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,116),(1200,0,'e29be33c-21dc-11ea-a9f8-693042a6b9d8','retryInterval',NULL,_binary '','Retry Interval','java.lang.Integer','/details/retryInterval',NULL,'30',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,12,_binary '\0',NULL,116),(1201,0,'e29be33d-21dc-11ea-a9f8-693042a6b9d8','mapping',NULL,_binary '','Mapping','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.HL7Mapping',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,13,_binary '',NULL,116),(1202,0,'e2a09e2f-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,117),(1203,0,'e2a09e30-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,117),(1204,0,'e2a09e32-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,117),(1205,0,'e2a09e33-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,117),(1206,0,'e2a09e34-21dc-11ea-a9f8-693042a6b9d8','sender',NULL,_binary '','Order Connector','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.HL7ServiceSender',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '',NULL,117),(1207,0,'e2a09e35-21dc-11ea-a9f8-693042a6b9d8','receiver',NULL,_binary '','Cancel Connector','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.HL7ServiceReceiver',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '',NULL,117),(1208,0,'e2a09e36-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.HL7ServiceLocation',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '',NULL,117),(1209,0,'e2a09e37-21dc-11ea-a9f8-693042a6b9d8','user',NULL,_binary '','User','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.HL7ServiceUser',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '',NULL,117),(1210,0,'e2a30f39-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,118),(1211,0,'e2a30f3a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,118),(1212,0,'e2a30f3c-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,118),(1213,0,'e2a30f3d-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,118),(1214,0,'e2a30f3e-21dc-11ea-a9f8-693042a6b9d8','services',NULL,_binary '','Laboratories','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.HL7LaboratoryGroupLaboratory',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,4,_binary '',NULL,118),(1215,0,'e2a55831-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,119),(1216,0,'e2a55832-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,119),(1217,0,'e2a55834-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,119),(1218,0,'e2a55835-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,119),(1219,0,'e2a55836-21dc-11ea-a9f8-693042a6b9d8','sender',NULL,_binary '','Connector','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.HL7ServiceSender',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '',NULL,119),(1220,0,'e2a55837-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.HL7ServiceLocation',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '',NULL,119),(1221,0,'e2a7c939-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,120),(1222,0,'e2a7c93a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,120),(1223,0,'e2a7c93c-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,120),(1224,0,'e2a7c93d-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,120),(1225,0,'e2a7c93e-21dc-11ea-a9f8-693042a6b9d8','sender',NULL,_binary '','Order Connector','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.HL7ServiceSender',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '',NULL,120),(1226,0,'e2a7c93f-21dc-11ea-a9f8-693042a6b9d8','receiver',NULL,_binary '','Dispense Connector','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.HL7ServiceReceiver',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '',NULL,120),(1227,0,'e2a7c940-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.HL7ServiceLocation',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '',NULL,120),(1228,0,'e2a7c941-21dc-11ea-a9f8-693042a6b9d8','user',NULL,_binary '','User','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.HL7ServiceUser',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '',NULL,120),(1229,0,'e2aa3a43-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,121),(1230,0,'e2aa3a44-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,121),(1231,0,'e2aa3a46-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,121),(1232,0,'e2aa3a47-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,121),(1233,0,'e2aa3a48-21dc-11ea-a9f8-693042a6b9d8','services',NULL,_binary '','Pharmacies','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.HL7PharmacyGroupPharmacy',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,4,_binary '',NULL,121),(1234,0,'e2ac843b-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,122),(1235,0,'e2ac843c-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,122),(1236,0,'e2ac843d-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,122),(1237,0,'e2ac843e-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Laboratory Group','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'entity.HL7ServiceLaboratoryGroup',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,122),(1238,0,'e2ac843f-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Laboratory','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'entity.HL7ServiceLaboratory',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,122),(1239,0,'e2aef541-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,123),(1240,0,'e2aef542-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'HL7 Connection Location\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,123),(1241,0,'e2aef543-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,123),(1242,0,'e2aef544-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Connection','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,123),(1243,0,'e2aef546-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Mapping','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,123),(1244,0,'e2b16649-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,124),(1245,0,'e2b1664a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Pharmacy Group Pharmacy\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,124),(1246,0,'e2b1664b-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,124),(1247,0,'e2b1664c-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Pharmacy Group','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,124),(1248,0,'e2b1664e-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Pharmacy','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,124),(1249,0,'e2b3b041-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,125),(1250,0,'e2b3b042-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'HL7 Connection Location\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,125),(1251,0,'e2b3b043-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,125),(1252,0,'e2b3b044-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Connection','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,125),(1253,0,'e2b3b046-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Practice Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,125),(1254,0,'e2b62149-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,126),(1255,0,'e2b6214a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Pharmacy Dispense Connection\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,126),(1256,0,'e2b6214b-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,126),(1257,0,'e2b6214c-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Service','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,126),(1258,0,'e2b6214e-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Connection','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,126),(1259,0,'e2b86b41-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,127),(1260,0,'e2b86b42-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Pharmacy Order Connection\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,127),(1261,0,'e2b86b43-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,127),(1262,0,'e2b86b44-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Service','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,127),(1263,0,'e2b86b46-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Connection','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,127),(1264,0,'e2badc49-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,128),(1265,0,'e2badc4a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'HL7 Service User\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,128),(1266,0,'e2badc4b-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,128),(1267,0,'e2badc4c-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Pharmacy','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,128),(1268,0,'e2badc4e-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','User','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,128),(1269,0,'e2bd4d51-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,129),(1270,0,'e2bd4d52-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Connector','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,129),(1271,0,'e2bd4d54-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,129),(1272,0,'e2bf9747-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,130),(1273,0,'e2bf9748-21dc-11ea-a9f8-693042a6b9d8','identity',NULL,_binary '','Identity','java.lang.String','/identity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,130),(1274,0,'e2bf9749-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'/identity',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,130),(1275,0,'e2bf974a-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,130),(1276,0,'e2c2084c-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,131),(1277,0,'e2c2084d-21dc-11ea-a9f8-693042a6b9d8','alias',NULL,_binary '','Alias','java.lang.String','/identity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,131),(1278,0,'e2c2084e-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'/identity',_binary '\0',_binary '',_binary '',1,1,0,255,2,_binary '\0',NULL,131),(1279,0,'e2c2084f-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,131),(1280,0,'e2c47951-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,132),(1281,0,'e2c47952-21dc-11ea-a9f8-693042a6b9d8','identity',NULL,_binary '','Barcode','java.lang.String','/identity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,132),(1282,0,'e2c47953-21dc-11ea-a9f8-693042a6b9d8','barCode',NULL,_binary '','Bar Code','java.lang.String','/identity',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,132),(1283,0,'e2c47954-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'/identity',_binary '\0',_binary '',_binary '',1,1,0,255,3,_binary '\0',NULL,132),(1284,0,'e2c47955-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,132),(1285,0,'e2c6c347-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,133),(1286,0,'e2c6c348-21dc-11ea-a9f8-693042a6b9d8','identity',NULL,_binary '','Code','java.lang.String','/identity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,133),(1287,0,'e2c6c349-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/identity',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,133),(1288,0,'e2c6c34a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'/identity',_binary '\0',_binary '',_binary '',1,1,0,255,3,_binary '\0',NULL,133),(1289,0,'e2c6c34b-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,133),(1290,0,'e2c9344d-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,134),(1291,0,'e2c9344e-21dc-11ea-a9f8-693042a6b9d8','identity',NULL,_binary '','Microchip','java.lang.String','/identity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,134),(1292,0,'e2c9344f-21dc-11ea-a9f8-693042a6b9d8','microchip',NULL,_binary '','Microchip','java.lang.String','/identity',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,134),(1293,0,'e2c93450-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'/identity',_binary '\0',_binary '',_binary '',1,1,0,255,3,_binary '\0',NULL,134),(1294,0,'e2c93451-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,134),(1295,0,'e2c93452-21dc-11ea-a9f8-693042a6b9d8','implantSite',NULL,_binary '','Implant Site','java.lang.String','/details/implantSite',NULL,'DORSAL_NECK',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,134),(1296,0,'e2c93454-21dc-11ea-a9f8-693042a6b9d8','implantDate',NULL,_binary '','Implant Date or Scan Date','java.util.Date','/details/startTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,134),(1297,0,'e2cb7e46-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,135),(1298,0,'e2cb7e47-21dc-11ea-a9f8-693042a6b9d8','identity',NULL,_binary '','Pet Tag','java.lang.String','/identity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,135),(1299,0,'e2cb7e48-21dc-11ea-a9f8-693042a6b9d8','petTag',NULL,_binary '','Pet Tag','java.lang.String','/identity',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,135),(1300,0,'e2cb7e49-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'/identity',_binary '\0',_binary '',_binary '',1,1,0,255,3,_binary '\0',NULL,135),(1301,0,'e2cb7e4a-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,135),(1302,0,'e2cdef4c-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,136),(1303,0,'e2cdef4d-21dc-11ea-a9f8-693042a6b9d8','identity',NULL,_binary '','Tag','java.lang.String','/identity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,136),(1304,0,'e2cdef4e-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'/identity',_binary '\0',_binary '',_binary '',1,1,0,255,2,_binary '\0',NULL,136),(1305,0,'e2cdef4f-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,136),(1306,0,'e2d06051-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,137),(1307,0,'e2d06052-21dc-11ea-a9f8-693042a6b9d8','insurerId',NULL,_binary '','Claim Number','java.util.HashSet','/identities','Identity',NULL,'actIdentity.insuranceClaim*',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,1,_binary '',NULL,137),(1308,0,'e2d06053-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Insurance Claim\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,2,_binary '\0',NULL,137),(1309,0,'e2d06054-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,137),(1310,0,'e2d06055-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,137),(1311,0,'e2d06056-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','Completed Date','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,137),(1312,0,'e2d06057-21dc-11ea-a9f8-693042a6b9d8','policy',NULL,_binary '','Policy','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.insuranceClaimPolicy',NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,6,_binary '',NULL,137),(1313,0,'e2d06058-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,7,_binary '',NULL,137),(1314,0,'e2d06059-21dc-11ea-a9f8-693042a6b9d8','gapClaim',NULL,_binary '','Gap Claim','java.lang.Boolean','/details/gapClaim',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,137),(1315,0,'e2d0605a-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,9,_binary '',NULL,137),(1316,0,'e2d0605b-21dc-11ea-a9f8-693042a6b9d8','user',NULL,_binary '','Claim Handler','java.util.HashSet','/participations',NULL,NULL,'participation.user',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,10,_binary '',NULL,137),(1317,0,'e2d0605c-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/participations',NULL,NULL,'participation.location',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,11,_binary '',NULL,137),(1318,0,'e2d0605d-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,12,_binary '',NULL,137),(1319,0,'e2d0605e-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,13,_binary '\0',NULL,137),(1320,0,'e2d06060-21dc-11ea-a9f8-693042a6b9d8','tax',NULL,_binary '','Tax','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/taxAmount',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,14,_binary '\0',NULL,137),(1321,0,'e2d06062-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Claim Status','java.lang.String','/status',NULL,'\'PENDING\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,15,_binary '\0',NULL,137),(1322,0,'e2d06064-21dc-11ea-a9f8-693042a6b9d8','status2',NULL,_binary '','Gap Claim Status','java.lang.String','/status2',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,16,_binary '\0',NULL,137),(1323,0,'e2d06066-21dc-11ea-a9f8-693042a6b9d8','benefitAmount',NULL,_binary '','Benefit Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/benefitAmount',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,17,_binary '\0',NULL,137),(1324,0,'e2d06068-21dc-11ea-a9f8-693042a6b9d8','paid',NULL,_binary '','Paid','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/paid',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,18,_binary '\0',NULL,137),(1325,0,'e2d0606a-21dc-11ea-a9f8-693042a6b9d8','benefitNotes',NULL,_binary '','Benefit Notes','java.lang.String','/details/benefitNotes',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,5000,19,_binary '\0',NULL,137),(1326,0,'e2d0606b-21dc-11ea-a9f8-693042a6b9d8','message',NULL,_binary '','Message','java.lang.String','/details/message',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,5000,20,_binary '\0',NULL,137),(1327,0,'e2d0606c-21dc-11ea-a9f8-693042a6b9d8','notes',NULL,_binary '','Notes','java.lang.String','/details/notes',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,21,_binary '\0',NULL,137),(1328,0,'e2d0606d-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Conditions','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.insuranceClaimItem',NULL,_binary '\0',_binary '\0',_binary '\0',1,-1,0,255,22,_binary '',NULL,137),(1329,0,'e2d0606e-21dc-11ea-a9f8-693042a6b9d8','attachments',NULL,_binary '','Attachments','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.insuranceClaimAttachment',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,23,_binary '',NULL,137),(1330,0,'e2d51b60-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,138),(1331,0,'e2d51b61-21dc-11ea-a9f8-693042a6b9d8','insurerId',NULL,_binary '','Attachment Number','java.util.HashSet','/identities','Identity',NULL,'actIdentity.insuranceAttachment*',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '',NULL,138),(1332,0,'e2d51b62-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,138),(1333,0,'e2d51b63-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,138),(1334,0,'e2d51b64-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,138),(1335,0,'e2d51b65-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'PENDING\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,138),(1336,0,'e2d51b67-21dc-11ea-a9f8-693042a6b9d8','document',NULL,_binary '','Attachment','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,138),(1337,0,'e2d51b68-21dc-11ea-a9f8-693042a6b9d8','type',NULL,_binary '','Type','java.lang.String','/details/type',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,7,_binary '\0',NULL,138),(1338,0,'e2d51b69-21dc-11ea-a9f8-693042a6b9d8','error',NULL,_binary '','Error','java.lang.String','/details/error',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,138),(1339,0,'e2d51b6a-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,9,_binary '\0',NULL,138),(1340,0,'e2d51b6b-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,10,_binary '\0',NULL,138),(1341,0,'e2d51b6c-21dc-11ea-a9f8-693042a6b9d8','original',NULL,_binary '','Original','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.insuranceClaimDocument',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,11,_binary '',NULL,138),(1342,0,'e2d51b6d-21dc-11ea-a9f8-693042a6b9d8','claim',NULL,_binary '','Claim','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.insuranceClaimAttachment',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,12,_binary '',NULL,138),(1343,0,'e2d78c6f-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,139),(1344,0,'e2d78c70-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Patient Insurance Claim Item\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,1,_binary '\0',NULL,139),(1345,0,'e2d78c71-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Treatment Start','java.util.Date','/activityStartTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,139),(1346,0,'e2d78c72-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','Treatment End','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,139),(1347,0,'e2d78c73-21dc-11ea-a9f8-693042a6b9d8','reason',NULL,_binary '','Diagnosis','java.lang.String','/reason',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,139),(1348,0,'e2d78c75-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,139),(1349,0,'e2d78c76-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,139),(1350,0,'e2d78c78-21dc-11ea-a9f8-693042a6b9d8','tax',NULL,_binary '','Tax','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/taxAmount',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,139),(1351,0,'e2d78c7a-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Treatment Status','java.lang.String','/status',NULL,'\'UNRESOLVED\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,8,_binary '\0',NULL,139),(1352,0,'e2d78c7c-21dc-11ea-a9f8-693042a6b9d8','euthanasiaReason',NULL,_binary '','Euthanasia Reason','java.lang.String','/details/euthanasiaReason',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,139),(1353,0,'e2d78c7d-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,10,_binary '\0',NULL,139),(1354,0,'e2d78c7e-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Charges','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.insuranceClaimInvoiceItem',NULL,_binary '',_binary '\0',_binary '\0',0,-1,0,255,11,_binary '',NULL,139),(1355,0,'e2d78c7f-21dc-11ea-a9f8-693042a6b9d8','claim',NULL,_binary '','Claim','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.insuranceClaimItem',NULL,_binary '',_binary '',_binary '\0',0,1,0,255,12,_binary '',NULL,139),(1356,0,'e2d9d671-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,140),(1357,0,'e2d9d672-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Insurance Policy\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,1,_binary '\0',NULL,140),(1358,0,'e2d9d673-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,140),(1359,0,'e2d9d674-21dc-11ea-a9f8-693042a6b9d8','insurer',NULL,_binary '','Insurer','java.util.HashSet','/participations',NULL,NULL,'participation.insurer',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '',NULL,140),(1360,0,'e2d9d675-21dc-11ea-a9f8-693042a6b9d8','insurerId',NULL,_binary '','Policy Number','java.util.HashSet','/identities','Identity',NULL,'actIdentity.insurancePolicy',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '',NULL,140),(1361,0,'e2d9d676-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Start Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,140),(1362,0,'e2d9d677-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','End Date','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,140),(1363,0,'e2d9d678-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,7,_binary '',NULL,140),(1364,0,'e2d9d679-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '',_binary '',_binary '\0',1,1,0,255,8,_binary '',NULL,140),(1365,0,'e2d9d67a-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,9,_binary '',NULL,140),(1366,0,'e2d9d67b-21dc-11ea-a9f8-693042a6b9d8','claims',NULL,_binary '','Claims','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.insuranceClaimPolicy',NULL,_binary '',_binary '\0',_binary '\0',0,-1,0,255,10,_binary '',NULL,140),(1367,0,'e2de916d-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,141),(1368,0,'e2de916e-21dc-11ea-a9f8-693042a6b9d8','identity',NULL,_binary '','Identity','java.lang.String','/identity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,141),(1369,0,'e2de9170-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,142),(1370,0,'e2de9171-21dc-11ea-a9f8-693042a6b9d8','identity',NULL,_binary '','Policy Number','java.lang.String','/identity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,142),(1371,0,'e2e10273-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,143),(1372,0,'e2e10274-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,143),(1373,0,'e2e10275-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,143),(1374,0,'e2e10276-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,143),(1375,0,'e2e10277-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Claim','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'act.patientInsuranceClaim',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,143),(1376,0,'e2e10278-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Attachment','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'act.patientInsuranceClaimAttachment',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,143),(1377,0,'e2e3737a-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,144),(1378,0,'e2e3737b-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,144),(1379,0,'e2e3737c-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,144),(1380,0,'e2e3737d-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,144),(1381,0,'e2e3737e-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Attachment','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'act.patientInsuranceClaimAttachment',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,144),(1382,0,'e2e3737f-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Document','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,144),(1383,0,'e2e5bd72-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,145),(1384,0,'e2e5bd73-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,145),(1385,0,'e2e5bd74-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,145),(1386,0,'e2e5bd75-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,145),(1387,0,'e2e5bd76-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Claim Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'act.patientInsuranceClaimItem',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,145),(1388,0,'e2e5bd77-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Invoice Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'act.customerAccountInvoiceItem',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,145),(1389,0,'e2e82e79-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,146),(1390,0,'e2e82e7a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,146),(1391,0,'e2e82e7b-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,146),(1392,0,'e2e82e7c-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,146),(1393,0,'e2e82e7d-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Claim','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'act.patientInsuranceClaim',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,146),(1394,0,'e2e82e7e-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Policy','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'act.patientInsuranceClaimItem',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,146),(1395,0,'e2ea9f80-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,147),(1396,0,'e2ea9f81-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,147),(1397,0,'e2ea9f82-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,147),(1398,0,'e2ea9f83-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,147),(1399,0,'e2ea9f84-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Claim','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'act.patientInsuranceClaim',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,147),(1400,0,'e2ea9f85-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Policy','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'act.patientInsurancePolicy',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,147),(1401,0,'e2ef5a77-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,148),(1402,0,'e2ef5a78-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Policy Insurer\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,1,_binary '\0',NULL,148),(1403,0,'e2ef5a79-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,148),(1404,0,'e2ef5a7a-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Insurer','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'party.supplierInsurer*',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,148),(1405,0,'e2ef5a7b-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Insurance Service','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'entity.insuranceService*',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,148),(1406,0,'e2f1a46d-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,149),(1407,0,'e2f1a46e-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Unsurer Document Template\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,1,_binary '\0',NULL,149),(1408,0,'e2f1a46f-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,149),(1409,0,'e2f1a470-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Insurer','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'party.supplierInsurer',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,149),(1410,0,'e2f1a471-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Document Template','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'entity.documentTemplate',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,149),(1411,0,'e2f41473-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,150),(1412,0,'e2f41474-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,'act.patientInsurancePolicy',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,150),(1413,0,'e2f41475-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Policy Type','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,'party.supplierInsurer*',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,150),(1414,0,'e2f41477-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,151),(1415,0,'e2f41478-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Company Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,151),(1416,0,'e2f4147a-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,151),(1417,0,'e2f4147b-21dc-11ea-a9f8-693042a6b9d8','insurerId',NULL,_binary '','Insurer Id','java.util.HashSet','/identities','Identity',NULL,'entityIdentity.insurer*',NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '',NULL,151),(1418,0,'e2f4147c-21dc-11ea-a9f8-693042a6b9d8','template',NULL,_binary '','Claim Form','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.insurerDocumentTemplate',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '',NULL,151),(1419,0,'e2f4147d-21dc-11ea-a9f8-693042a6b9d8','notes',NULL,_binary '','Notes','java.lang.String','/details/notes',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,5,_binary '\0',NULL,151),(1420,0,'e2f4147e-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,151),(1421,0,'e2f4147f-21dc-11ea-a9f8-693042a6b9d8','contacts',NULL,_binary '','Contacts','java.util.HashSet','/contacts','Contact',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,7,_binary '',NULL,151),(1422,0,'e2f41481-21dc-11ea-a9f8-693042a6b9d8','representatives',NULL,_binary '','Representatives','java.util.HashSet','/entityRelationships','entityRelationship',NULL,'entityRelationship.supplierRepresentatives',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,8,_binary '',NULL,151),(1423,0,'e2f41483-21dc-11ea-a9f8-693042a6b9d8','service',NULL,_binary '','Service','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.insuranceService',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,9,_binary '',NULL,151),(1424,0,'e2f8cf75-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,152),(1425,0,'e2f8cf76-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Appointment Reminder Sender\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,152),(1426,0,'e2f8cf77-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,'\'Periodically sends reminders for pending appointments\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,152),(1427,0,'e2f8cf78-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,152),(1428,0,'e2f8cf79-21dc-11ea-a9f8-693042a6b9d8','class',NULL,_binary '','Class','java.lang.String','/details/class',NULL,'\'org.openvpms.web.jobs.appointment.AppointmentReminderJob\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,4,_binary '\0',NULL,152),(1429,0,'e2f8cf7a-21dc-11ea-a9f8-693042a6b9d8','smsFrom',NULL,_binary '','SMS Before','java.lang.Integer','/details/smsFrom',NULL,'3',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,152),(1430,0,'e2f8cf7c-21dc-11ea-a9f8-693042a6b9d8','smsFromUnits',NULL,_binary '','SMS Before Units','java.lang.String','/details/smsFromUnits',NULL,'\'DAYS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,152),(1431,0,'e2f8cf7e-21dc-11ea-a9f8-693042a6b9d8','smsTo',NULL,_binary '','No SMS Before','java.lang.Integer','/details/smsTo',NULL,'1',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,152),(1432,0,'e2f8cf80-21dc-11ea-a9f8-693042a6b9d8','smsToUnits',NULL,_binary '','No SMS Before Units','java.lang.String','/details/smsToUnits',NULL,'\'DAYS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,8,_binary '\0',NULL,152),(1433,0,'e2f8cf82-21dc-11ea-a9f8-693042a6b9d8','noReminder',NULL,_binary '','No Reminder','java.lang.Integer','/details/noReminder',NULL,'2',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,9,_binary '\0',NULL,152),(1434,0,'e2f8cf84-21dc-11ea-a9f8-693042a6b9d8','noReminderUnits',NULL,_binary '','No Reminder Units','java.lang.String','/details/noReminderUnits',NULL,'\'DAYS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,10,_binary '\0',NULL,152),(1435,0,'e2f8cf86-21dc-11ea-a9f8-693042a6b9d8','minutes',NULL,_binary '','Minutes','java.lang.String','/details/minutes',NULL,'\'*/30\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,11,_binary '\0',NULL,152),(1436,0,'e2f8cf87-21dc-11ea-a9f8-693042a6b9d8','hours',NULL,_binary '','Hours','java.lang.String','/details/hours',NULL,'\'9-17\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,12,_binary '\0',NULL,152),(1437,0,'e2f8cf88-21dc-11ea-a9f8-693042a6b9d8','dayOfMonth',NULL,_binary '','Day Of Month','java.lang.String','/details/dayOfMonth',NULL,'\'?\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,13,_binary '\0',NULL,152),(1438,0,'e2f8cf89-21dc-11ea-a9f8-693042a6b9d8','month',NULL,_binary '','Month','java.lang.String','/details/month',NULL,'\'*\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,14,_binary '\0',NULL,152),(1439,0,'e2f8cf8a-21dc-11ea-a9f8-693042a6b9d8','dayOfWeek',NULL,_binary '','Day Of Week','java.lang.String','/details/dayOfWeek',NULL,'\'mon-fri\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,15,_binary '\0',NULL,152),(1440,0,'e2f8cf8b-21dc-11ea-a9f8-693042a6b9d8','expression',NULL,_binary '','Expression','java.lang.String','/details/expression',NULL,NULL,NULL,'concat(\'0 \', /details/minutes,\' \', /details/hours,\' \',/details/dayOfMonth,\' \',/details/month,\' \',/details/dayOfWeek)',_binary '\0',_binary '',_binary '',1,1,0,255,16,_binary '\0',NULL,152),(1441,0,'e2f8cf8c-21dc-11ea-a9f8-693042a6b9d8','runAs',NULL,_binary '','Run As','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.jobUser',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,17,_binary '',NULL,152),(1442,0,'e2f8cf8d-21dc-11ea-a9f8-693042a6b9d8','notify',NULL,_binary '','Notify','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.jobUserGroup',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,18,_binary '',NULL,152),(1443,0,'e2fd8a7f-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,153),(1444,0,'e2fd8a80-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,153),(1445,0,'e2fd8a81-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,153),(1446,0,'e2fd8a82-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,153),(1447,0,'e2fd8a83-21dc-11ea-a9f8-693042a6b9d8','class',NULL,_binary '','Class','java.lang.String','/details/class',NULL,'\'org.openvpms.web.jobs.docload.DocumentLoaderJob\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,4,_binary '\0',NULL,153),(1448,0,'e2fd8a84-21dc-11ea-a9f8-693042a6b9d8','sourceDir',NULL,_binary '','Source Directory','java.lang.String','/details/sourceDir',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,153),(1449,0,'e2fd8a85-21dc-11ea-a9f8-693042a6b9d8','targetDir',NULL,_binary '','Destination Directory','java.lang.String','/details/targetDir',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,153),(1450,0,'e2fd8a86-21dc-11ea-a9f8-693042a6b9d8','errorDir',NULL,_binary '','Error Directory','java.lang.String','/details/errorDir',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,153),(1451,0,'e2fd8a87-21dc-11ea-a9f8-693042a6b9d8','idPattern',NULL,_binary '','Id Pattern','java.lang.String','/details/idPattern',NULL,'\'[^\\d]*(\\d+).*\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,8,_binary '\0',NULL,153),(1452,0,'e2fd8a88-21dc-11ea-a9f8-693042a6b9d8','overwrite',NULL,_binary '','Overwrite','java.lang.Boolean','/details/overwrite',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,9,_binary '\0',NULL,153),(1453,0,'e2fd8a89-21dc-11ea-a9f8-693042a6b9d8','recurse',NULL,_binary '','Recurse Subdirectories','java.lang.Boolean','/details/recurse',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,10,_binary '\0',NULL,153),(1454,0,'e2fd8a8a-21dc-11ea-a9f8-693042a6b9d8','archetypes',NULL,_binary '','Archetypes','java.lang.String','/details/archetypes',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,11,_binary '\0',NULL,153),(1455,0,'e2fd8a8b-21dc-11ea-a9f8-693042a6b9d8','log',NULL,_binary '','Enable Logging','java.lang.Boolean','/details/log',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,12,_binary '\0',NULL,153),(1456,0,'e2fd8a8c-21dc-11ea-a9f8-693042a6b9d8','stopOnError',NULL,_binary '','Stop On Error','java.lang.Boolean','/details/stopOnError',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,13,_binary '\0',NULL,153),(1457,0,'e2fd8a8d-21dc-11ea-a9f8-693042a6b9d8','minutes',NULL,_binary '','Minutes','java.lang.String','/details/minutes',NULL,'\'*/30\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,14,_binary '\0',NULL,153),(1458,0,'e2fd8a8e-21dc-11ea-a9f8-693042a6b9d8','hours',NULL,_binary '','Hours','java.lang.String','/details/hours',NULL,'\'*\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,15,_binary '\0',NULL,153),(1459,0,'e2fd8a8f-21dc-11ea-a9f8-693042a6b9d8','dayOfMonth',NULL,_binary '','Day Of Month','java.lang.String','/details/dayOfMonth',NULL,'\'?\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,16,_binary '\0',NULL,153),(1460,0,'e2fd8a90-21dc-11ea-a9f8-693042a6b9d8','month',NULL,_binary '','Month','java.lang.String','/details/month',NULL,'\'*\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,17,_binary '\0',NULL,153),(1461,0,'e2fd8a91-21dc-11ea-a9f8-693042a6b9d8','dayOfWeek',NULL,_binary '','Day Of Week','java.lang.String','/details/dayOfWeek',NULL,'\'mon-fri\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,18,_binary '\0',NULL,153),(1462,0,'e2fd8a92-21dc-11ea-a9f8-693042a6b9d8','expression',NULL,_binary '','Expression','java.lang.String','/details/expression',NULL,NULL,NULL,'concat(\'0 \', /details/minutes,\' \', /details/hours,\' \',/details/dayOfMonth,\' \',/details/month,\' \',/details/dayOfWeek)',_binary '\0',_binary '',_binary '',1,1,0,255,19,_binary '\0',NULL,153),(1463,0,'e2fd8a93-21dc-11ea-a9f8-693042a6b9d8','runAs',NULL,_binary '','Run As','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.jobUser',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,20,_binary '',NULL,153),(1464,0,'e2fd8a94-21dc-11ea-a9f8-693042a6b9d8','notify',NULL,_binary '','Notify','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.jobUserGroup',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,21,_binary '',NULL,153),(1465,0,'e2fffb96-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,154),(1466,0,'e2fffb97-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'ESCI Inbox Reader\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,154),(1467,0,'e2fffb98-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,'\'Periodically checks ESCI Inboxes for supplier messages\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,154),(1468,0,'e2fffb99-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,154),(1469,0,'e2fffb9a-21dc-11ea-a9f8-693042a6b9d8','class',NULL,_binary '','Class','java.lang.String','/details/class',NULL,'\'org.openvpms.esci.adapter.dispatcher.quartz.ESCIDispatcherJob\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,4,_binary '\0',NULL,154),(1470,0,'e2fffb9b-21dc-11ea-a9f8-693042a6b9d8','minutes',NULL,_binary '','Minutes','java.lang.String','/details/minutes',NULL,'\'30\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,5,_binary '\0',NULL,154),(1471,0,'e2fffb9c-21dc-11ea-a9f8-693042a6b9d8','hours',NULL,_binary '','Hours','java.lang.String','/details/hours',NULL,'\'17\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,6,_binary '\0',NULL,154),(1472,0,'e2fffb9d-21dc-11ea-a9f8-693042a6b9d8','dayOfMonth',NULL,_binary '','Day Of Month','java.lang.String','/details/dayOfMonth',NULL,'\'?\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,7,_binary '\0',NULL,154),(1473,0,'e2fffb9e-21dc-11ea-a9f8-693042a6b9d8','month',NULL,_binary '','Month','java.lang.String','/details/month',NULL,'\'*\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,8,_binary '\0',NULL,154),(1474,0,'e2fffb9f-21dc-11ea-a9f8-693042a6b9d8','dayOfWeek',NULL,_binary '','Day Of Week','java.lang.String','/details/dayOfWeek',NULL,'\'mon-fri\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,9,_binary '\0',NULL,154),(1475,0,'e2fffba0-21dc-11ea-a9f8-693042a6b9d8','expression',NULL,_binary '','Expression','java.lang.String','/details/expression',NULL,NULL,NULL,'concat(\'0 \', /details/minutes,\' \', /details/hours,\' \',/details/dayOfMonth,\' \',/details/month,\' \',/details/dayOfWeek)',_binary '\0',_binary '',_binary '',1,1,0,255,10,_binary '\0',NULL,154),(1476,0,'e2fffba1-21dc-11ea-a9f8-693042a6b9d8','runAs',NULL,_binary '','Run As','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.jobUser',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,11,_binary '',NULL,154),(1477,0,'e3026ca3-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,155),(1478,0,'e3026ca4-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Medical Record Locker\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,155),(1479,0,'e3026ca5-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,'\'Finalises medical records based on the Practice \"Record Lock Period\" setting\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,155),(1480,0,'e3026ca6-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,155),(1481,0,'e3026ca7-21dc-11ea-a9f8-693042a6b9d8','batchSize',NULL,_binary '','Batch Size','java.lang.Integer','/details/batchSize',NULL,'500',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,155),(1482,0,'e3026ca9-21dc-11ea-a9f8-693042a6b9d8','maxRecords',NULL,_binary '','Max Records','java.lang.Integer','/details/maxRecords',NULL,'50000',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,155),(1483,0,'e3026cab-21dc-11ea-a9f8-693042a6b9d8','class',NULL,_binary '','Class','java.lang.String','/details/class',NULL,'\'org.openvpms.web.jobs.recordlocking.MedicalRecordLockerJob\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,6,_binary '\0',NULL,155),(1484,0,'e3026cac-21dc-11ea-a9f8-693042a6b9d8','minutes',NULL,_binary '','Minutes','java.lang.String','/details/minutes',NULL,'\'*/30\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,7,_binary '\0',NULL,155),(1485,0,'e3026cad-21dc-11ea-a9f8-693042a6b9d8','hours',NULL,_binary '','Hours','java.lang.String','/details/hours',NULL,'\'9-17\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,8,_binary '\0',NULL,155),(1486,0,'e3026cae-21dc-11ea-a9f8-693042a6b9d8','dayOfMonth',NULL,_binary '','Day Of Month','java.lang.String','/details/dayOfMonth',NULL,'\'?\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,9,_binary '\0',NULL,155),(1487,0,'e3026caf-21dc-11ea-a9f8-693042a6b9d8','month',NULL,_binary '','Month','java.lang.String','/details/month',NULL,'\'*\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,10,_binary '\0',NULL,155),(1488,0,'e3026cb0-21dc-11ea-a9f8-693042a6b9d8','dayOfWeek',NULL,_binary '','Day Of Week','java.lang.String','/details/dayOfWeek',NULL,'\'*\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,11,_binary '\0',NULL,155),(1489,0,'e3026cb1-21dc-11ea-a9f8-693042a6b9d8','expression',NULL,_binary '','Expression','java.lang.String','/details/expression',NULL,NULL,NULL,'concat(\'0 \', /details/minutes,\' \', /details/hours,\' \',/details/dayOfMonth,\' \',/details/month,\' \',/details/dayOfWeek)',_binary '\0',_binary '',_binary '',1,1,0,255,12,_binary '\0',NULL,155),(1490,0,'e3026cb2-21dc-11ea-a9f8-693042a6b9d8','runAs',NULL,_binary '','Run As','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.jobUser',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,13,_binary '',NULL,155),(1491,0,'e3026cb3-21dc-11ea-a9f8-693042a6b9d8','notify',NULL,_binary '','Notify','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.jobUserGroup',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,14,_binary '',NULL,155),(1492,0,'e30727a5-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,156),(1493,0,'e30727a6-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Patient Reminder Queue Job\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,156),(1494,0,'e30727a7-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,'\'Queues patient reminders for sending\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,156),(1495,0,'e30727a8-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,156),(1496,0,'e30727a9-21dc-11ea-a9f8-693042a6b9d8','class',NULL,_binary '','Class','java.lang.String','/details/class',NULL,'\'org.openvpms.web.jobs.reminder.PatientReminderQueueJob\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,4,_binary '\0',NULL,156),(1497,0,'e30727aa-21dc-11ea-a9f8-693042a6b9d8','minutes',NULL,_binary '','Minutes','java.lang.String','/details/minutes',NULL,'\'0\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,5,_binary '\0',NULL,156),(1498,0,'e30727ab-21dc-11ea-a9f8-693042a6b9d8','hours',NULL,_binary '','Hours','java.lang.String','/details/hours',NULL,'\'5\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,6,_binary '\0',NULL,156),(1499,0,'e30727ac-21dc-11ea-a9f8-693042a6b9d8','dayOfMonth',NULL,_binary '','Day Of Month','java.lang.String','/details/dayOfMonth',NULL,'\'?\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,7,_binary '\0',NULL,156),(1500,0,'e30727ad-21dc-11ea-a9f8-693042a6b9d8','month',NULL,_binary '','Month','java.lang.String','/details/month',NULL,'\'*\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,8,_binary '\0',NULL,156),(1501,0,'e30727ae-21dc-11ea-a9f8-693042a6b9d8','dayOfWeek',NULL,_binary '','Day Of Week','java.lang.String','/details/dayOfWeek',NULL,'\'*\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,9,_binary '\0',NULL,156),(1502,0,'e30727af-21dc-11ea-a9f8-693042a6b9d8','expression',NULL,_binary '','Expression','java.lang.String','/details/expression',NULL,NULL,NULL,'concat(\'0 \', /details/minutes,\' \', /details/hours,\' \',/details/dayOfMonth,\' \',/details/month,\' \',/details/dayOfWeek)',_binary '\0',_binary '',_binary '',1,1,0,255,10,_binary '\0',NULL,156),(1503,0,'e30727b0-21dc-11ea-a9f8-693042a6b9d8','runAs',NULL,_binary '','Run As','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.jobUser',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,11,_binary '',NULL,156),(1504,0,'e30727b1-21dc-11ea-a9f8-693042a6b9d8','notify',NULL,_binary '','Notify','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.jobUserGroup',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,12,_binary '',NULL,156),(1505,0,'e30727b3-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,157),(1506,0,'e30727b4-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Patient Reminder Sender Job\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,157),(1507,0,'e30727b5-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,'\'Sends patient email and SMS reminders\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,157),(1508,0,'e30727b6-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,157),(1509,0,'e30727b7-21dc-11ea-a9f8-693042a6b9d8','class',NULL,_binary '','Class','java.lang.String','/details/class',NULL,'\'org.openvpms.web.jobs.reminder.PatientReminderSenderJob\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,4,_binary '\0',NULL,157),(1510,0,'e30727b8-21dc-11ea-a9f8-693042a6b9d8','minutes',NULL,_binary '','Minutes','java.lang.String','/details/minutes',NULL,'\'0\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,5,_binary '\0',NULL,157),(1511,0,'e30727b9-21dc-11ea-a9f8-693042a6b9d8','hours',NULL,_binary '','Hours','java.lang.String','/details/hours',NULL,'\'8\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,6,_binary '\0',NULL,157),(1512,0,'e30727ba-21dc-11ea-a9f8-693042a6b9d8','dayOfMonth',NULL,_binary '','Day Of Month','java.lang.String','/details/dayOfMonth',NULL,'\'?\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,7,_binary '\0',NULL,157),(1513,0,'e30727bb-21dc-11ea-a9f8-693042a6b9d8','month',NULL,_binary '','Month','java.lang.String','/details/month',NULL,'\'*\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,8,_binary '\0',NULL,157),(1514,0,'e30727bc-21dc-11ea-a9f8-693042a6b9d8','dayOfWeek',NULL,_binary '','Day Of Week','java.lang.String','/details/dayOfWeek',NULL,'\'mon-fri\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,9,_binary '\0',NULL,157),(1515,0,'e30727bd-21dc-11ea-a9f8-693042a6b9d8','expression',NULL,_binary '','Expression','java.lang.String','/details/expression',NULL,NULL,NULL,'concat(\'0 \', /details/minutes,\' \', /details/hours,\' \',/details/dayOfMonth,\' \',/details/month,\' \',/details/dayOfWeek)',_binary '\0',_binary '',_binary '',1,1,0,255,10,_binary '\0',NULL,157),(1516,0,'e30727be-21dc-11ea-a9f8-693042a6b9d8','runAs',NULL,_binary '','Run As','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.jobUser',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,11,_binary '',NULL,157),(1517,0,'e30727bf-21dc-11ea-a9f8-693042a6b9d8','notify',NULL,_binary '','Notify','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.jobUserGroup',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,12,_binary '',NULL,157),(1518,0,'e30be2b1-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,158),(1519,0,'e30be2b2-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Pharmacy Order Discontinuation Job\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,158),(1520,0,'e30be2b3-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,'\'Discontinues pharmacy orders based on the Practice \"Pharmacy Order Discontinue Period\" setting\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,158),(1521,0,'e30be2b4-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,158),(1522,0,'e30be2b5-21dc-11ea-a9f8-693042a6b9d8','batchSize',NULL,_binary '','Batch Size','java.lang.Integer','/details/batchSize',NULL,'100',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,158),(1523,0,'e30be2b7-21dc-11ea-a9f8-693042a6b9d8','maxRecords',NULL,_binary '','Max Records','java.lang.Integer','/details/maxRecords',NULL,'1000',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,158),(1524,0,'e30be2b9-21dc-11ea-a9f8-693042a6b9d8','class',NULL,_binary '','Class','java.lang.String','/details/class',NULL,'\'org.openvpms.web.jobs.pharmacy.PharmacyOrderDiscontinuationJob\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,6,_binary '\0',NULL,158),(1525,0,'e30be2ba-21dc-11ea-a9f8-693042a6b9d8','minutes',NULL,_binary '','Minutes','java.lang.String','/details/minutes',NULL,'\'*/30\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,7,_binary '\0',NULL,158),(1526,0,'e30be2bb-21dc-11ea-a9f8-693042a6b9d8','hours',NULL,_binary '','Hours','java.lang.String','/details/hours',NULL,'\'*\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,8,_binary '\0',NULL,158),(1527,0,'e30be2bc-21dc-11ea-a9f8-693042a6b9d8','dayOfMonth',NULL,_binary '','Day Of Month','java.lang.String','/details/dayOfMonth',NULL,'\'?\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,9,_binary '\0',NULL,158),(1528,0,'e30be2bd-21dc-11ea-a9f8-693042a6b9d8','month',NULL,_binary '','Month','java.lang.String','/details/month',NULL,'\'*\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,10,_binary '\0',NULL,158),(1529,0,'e30be2be-21dc-11ea-a9f8-693042a6b9d8','dayOfWeek',NULL,_binary '','Day Of Week','java.lang.String','/details/dayOfWeek',NULL,'\'*\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,11,_binary '\0',NULL,158),(1530,0,'e30be2bf-21dc-11ea-a9f8-693042a6b9d8','expression',NULL,_binary '','Expression','java.lang.String','/details/expression',NULL,NULL,NULL,'concat(\'0 \', /details/minutes,\' \', /details/hours,\' \',/details/dayOfMonth,\' \',/details/month,\' \',/details/dayOfWeek)',_binary '\0',_binary '',_binary '',1,1,0,255,12,_binary '\0',NULL,158),(1531,0,'e30be2c0-21dc-11ea-a9f8-693042a6b9d8','runAs',NULL,_binary '','Run As','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.jobUser',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,13,_binary '',NULL,158),(1532,0,'e30be2c1-21dc-11ea-a9f8-693042a6b9d8','notify',NULL,_binary '','Notify','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.jobUserGroup',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,14,_binary '',NULL,158),(1533,0,'e30e53c3-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,159),(1534,0,'e30e53c4-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Job User\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,1,_binary '\0',NULL,159),(1535,0,'e30e53c5-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name, \'(\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,159),(1536,0,'e30e53c6-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,159),(1537,0,'e30e53c7-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Source','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'entity.job*',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,159),(1538,0,'e30e53c8-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','User','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'security.user',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,159),(1539,0,'e3109dba-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,160),(1540,0,'e3109dbb-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Job User Group\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,1,_binary '\0',NULL,160),(1541,0,'e3109dbc-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name, \'(\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,160),(1542,0,'e3109dbd-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,160),(1543,0,'e3109dbe-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Source','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'entity.job*',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,160),(1544,0,'e3109dbf-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','User','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,160),(1545,0,'e3130ec2-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,161),(1546,0,'e3130ec3-21dc-11ea-a9f8-693042a6b9d8','report',NULL,_binary '','Report','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.jobScheduledReportTemplate',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '',NULL,161),(1547,0,'e3130ec4-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,2,_binary '\0',NULL,161),(1548,0,'e3130ec5-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,161),(1549,0,'e3130ec6-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,161),(1550,0,'e3130ec7-21dc-11ea-a9f8-693042a6b9d8','class',NULL,_binary '','Class','java.lang.String','/details/class',NULL,'\'org.openvpms.web.jobs.scheduledreport.ScheduledReportJob\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,5,_binary '\0',NULL,161),(1551,0,'e3130ec8-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.jobScheduledReportLocation',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '',NULL,161),(1552,0,'e3130ec9-21dc-11ea-a9f8-693042a6b9d8','file',NULL,_binary '','File','java.lang.Boolean','/details/file',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,161),(1553,0,'e3130eca-21dc-11ea-a9f8-693042a6b9d8','directory',NULL,_binary '','Directory','java.lang.String','/details/directory',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,161),(1554,0,'e3130ecb-21dc-11ea-a9f8-693042a6b9d8','fileType',NULL,_binary '','File Type','java.lang.String','/details/fileType',NULL,'\'PDF\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,9,_binary '\0',NULL,161),(1555,0,'e3130ecd-21dc-11ea-a9f8-693042a6b9d8','email',NULL,_binary '','Email','java.lang.Boolean','/details/email',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,161),(1556,0,'e3130ece-21dc-11ea-a9f8-693042a6b9d8','emailFrom',NULL,_binary '','Email From','java.lang.String','/details/emailFrom',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,161),(1557,0,'e3130ecf-21dc-11ea-a9f8-693042a6b9d8','emailTo0',NULL,_binary '','Email To','java.lang.String','/details/emailTo0',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,12,_binary '\0',NULL,161),(1558,0,'e3130ed0-21dc-11ea-a9f8-693042a6b9d8','emailTo1',NULL,_binary '','Email To','java.lang.String','/details/emailTo1',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,13,_binary '\0',NULL,161),(1559,0,'e3130ed1-21dc-11ea-a9f8-693042a6b9d8','emailTo2',NULL,_binary '','Email To','java.lang.String','/details/emailTo2',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,14,_binary '\0',NULL,161),(1560,0,'e3130ed2-21dc-11ea-a9f8-693042a6b9d8','emailTo3',NULL,_binary '','Email To','java.lang.String','/details/emailTo3',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,15,_binary '\0',NULL,161),(1561,0,'e3130ed3-21dc-11ea-a9f8-693042a6b9d8','emailTo4',NULL,_binary '','Email To','java.lang.String','/details/emailTo4',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,16,_binary '\0',NULL,161),(1562,0,'e3130ed4-21dc-11ea-a9f8-693042a6b9d8','attachmentType',NULL,_binary '','Attachment Type','java.lang.String','/details/attachmentType',NULL,'\'PDF\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,17,_binary '\0',NULL,161),(1563,0,'e3130ed6-21dc-11ea-a9f8-693042a6b9d8','print',NULL,_binary '','Print','java.lang.Boolean','/details/print',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,18,_binary '\0',NULL,161),(1564,0,'e3130ed7-21dc-11ea-a9f8-693042a6b9d8','printer',NULL,_binary '','Printer','java.lang.String','/details/printer',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,19,_binary '\0',NULL,161),(1565,0,'e3130ed8-21dc-11ea-a9f8-693042a6b9d8','minutes',NULL,_binary '','Minutes','java.lang.String','/details/minutes',NULL,'\'*/30\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,20,_binary '\0',NULL,161),(1566,0,'e3130ed9-21dc-11ea-a9f8-693042a6b9d8','hours',NULL,_binary '','Hours','java.lang.String','/details/hours',NULL,'\'*\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,21,_binary '\0',NULL,161),(1567,0,'e3130eda-21dc-11ea-a9f8-693042a6b9d8','dayOfMonth',NULL,_binary '','Day Of Month','java.lang.String','/details/dayOfMonth',NULL,'\'?\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,22,_binary '\0',NULL,161),(1568,0,'e3130edb-21dc-11ea-a9f8-693042a6b9d8','month',NULL,_binary '','Month','java.lang.String','/details/month',NULL,'\'*\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,23,_binary '\0',NULL,161),(1569,0,'e3130edc-21dc-11ea-a9f8-693042a6b9d8','dayOfWeek',NULL,_binary '','Day Of Week','java.lang.String','/details/dayOfWeek',NULL,'\'mon-fri\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,24,_binary '\0',NULL,161),(1570,0,'e3130edd-21dc-11ea-a9f8-693042a6b9d8','expression',NULL,_binary '','Expression','java.lang.String','/details/expression',NULL,NULL,NULL,'concat(\'0 \', /details/minutes,\' \', /details/hours,\' \',/details/dayOfMonth,\' \',/details/month,\' \',/details/dayOfWeek)',_binary '\0',_binary '',_binary '',1,1,0,255,25,_binary '\0',NULL,161),(1571,0,'e3130ede-21dc-11ea-a9f8-693042a6b9d8','runAs',NULL,_binary '','Run As','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.jobUser',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,26,_binary '',NULL,161),(1572,0,'e3130edf-21dc-11ea-a9f8-693042a6b9d8','notify',NULL,_binary '','Notify','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.jobUserGroup',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,27,_binary '',NULL,161),(1573,0,'e3130ee0-21dc-11ea-a9f8-693042a6b9d8','notifyOnSuccess',NULL,_binary '','Notify On Success','java.lang.Boolean','/details/notifyOnSuccess',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,28,_binary '\0',NULL,161),(1574,0,'e3130ee1-21dc-11ea-a9f8-693042a6b9d8','paramName0',NULL,_binary '','Param Name0','java.lang.String','/details/paramName0',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,29,_binary '\0',NULL,161),(1575,0,'e3130ee2-21dc-11ea-a9f8-693042a6b9d8','paramDisplayName0',NULL,_binary '','Param Display Name0','java.lang.String','/details/paramDisplayName0',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,30,_binary '\0',NULL,161),(1576,0,'e3130ee3-21dc-11ea-a9f8-693042a6b9d8','paramType0',NULL,_binary '','Param Type0','java.lang.String','/details/paramType0',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,31,_binary '\0',NULL,161),(1577,0,'e3130ee4-21dc-11ea-a9f8-693042a6b9d8','paramExprType0',NULL,_binary '','Param Expr Type0','java.lang.String','/details/paramExprType0',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,32,_binary '\0',NULL,161),(1578,0,'e3130ee5-21dc-11ea-a9f8-693042a6b9d8','paramValue0',NULL,_binary '','Param Value0','java.lang.Object','/details/paramValue0',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,33,_binary '\0',NULL,161),(1579,0,'e3130ee6-21dc-11ea-a9f8-693042a6b9d8','paramName1',NULL,_binary '','Param Name1','java.lang.String','/details/paramName1',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,34,_binary '\0',NULL,161),(1580,0,'e3130ee7-21dc-11ea-a9f8-693042a6b9d8','paramDisplayName1',NULL,_binary '','Param Display Name1','java.lang.String','/details/paramDisplayName1',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,35,_binary '\0',NULL,161),(1581,0,'e3130ee8-21dc-11ea-a9f8-693042a6b9d8','paramType1',NULL,_binary '','Param Type1','java.lang.String','/details/paramType1',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,36,_binary '\0',NULL,161),(1582,0,'e3130ee9-21dc-11ea-a9f8-693042a6b9d8','paramExprType1',NULL,_binary '','Param Expr Type1','java.lang.String','/details/paramExprType1',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,37,_binary '\0',NULL,161),(1583,0,'e3130eea-21dc-11ea-a9f8-693042a6b9d8','paramValue1',NULL,_binary '','Param Value1','java.lang.Object','/details/paramValue1',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,38,_binary '\0',NULL,161),(1584,0,'e3130eeb-21dc-11ea-a9f8-693042a6b9d8','paramName2',NULL,_binary '','Param Name2','java.lang.String','/details/paramName2',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,39,_binary '\0',NULL,161),(1585,0,'e3130eec-21dc-11ea-a9f8-693042a6b9d8','paramDisplayName2',NULL,_binary '','Param Display Name2','java.lang.String','/details/paramDisplayName2',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,40,_binary '\0',NULL,161),(1586,0,'e3130eed-21dc-11ea-a9f8-693042a6b9d8','paramType2',NULL,_binary '','Param Type2','java.lang.String','/details/paramType2',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,41,_binary '\0',NULL,161),(1587,0,'e3130eee-21dc-11ea-a9f8-693042a6b9d8','paramExprType2',NULL,_binary '','Param Expr Type2','java.lang.String','/details/paramExprType2',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,42,_binary '\0',NULL,161),(1588,0,'e3130eef-21dc-11ea-a9f8-693042a6b9d8','paramValue2',NULL,_binary '','Param Value2','java.lang.Object','/details/paramValue2',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,43,_binary '\0',NULL,161),(1589,0,'e3130ef0-21dc-11ea-a9f8-693042a6b9d8','paramName3',NULL,_binary '','Param Name3','java.lang.String','/details/paramName3',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,44,_binary '\0',NULL,161),(1590,0,'e3130ef1-21dc-11ea-a9f8-693042a6b9d8','paramDisplayName3',NULL,_binary '','Param Display Name3','java.lang.String','/details/paramDisplayName3',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,45,_binary '\0',NULL,161),(1591,0,'e3130ef2-21dc-11ea-a9f8-693042a6b9d8','paramType3',NULL,_binary '','Param Type3','java.lang.String','/details/paramType3',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,46,_binary '\0',NULL,161),(1592,0,'e3130ef3-21dc-11ea-a9f8-693042a6b9d8','paramExprType3',NULL,_binary '','Param Expr Type3','java.lang.String','/details/paramExprType3',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,47,_binary '\0',NULL,161),(1593,0,'e3130ef4-21dc-11ea-a9f8-693042a6b9d8','paramValue3',NULL,_binary '','Param Value3','java.lang.Object','/details/paramValue3',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,48,_binary '\0',NULL,161),(1594,0,'e3130ef5-21dc-11ea-a9f8-693042a6b9d8','paramName4',NULL,_binary '','Param Name4','java.lang.String','/details/paramName4',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,49,_binary '\0',NULL,161),(1595,0,'e3130ef6-21dc-11ea-a9f8-693042a6b9d8','paramDisplayName4',NULL,_binary '','Param Display Name4','java.lang.String','/details/paramDisplayName4',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,50,_binary '\0',NULL,161),(1596,0,'e3130ef7-21dc-11ea-a9f8-693042a6b9d8','paramType4',NULL,_binary '','Param Type4','java.lang.String','/details/paramType4',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,51,_binary '\0',NULL,161),(1597,0,'e3130ef8-21dc-11ea-a9f8-693042a6b9d8','paramExprType4',NULL,_binary '','Param Expr Type4','java.lang.String','/details/paramExprType4',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,52,_binary '\0',NULL,161),(1598,0,'e3130ef9-21dc-11ea-a9f8-693042a6b9d8','paramValue4',NULL,_binary '','Param Value4','java.lang.Object','/details/paramValue4',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,53,_binary '\0',NULL,161),(1599,0,'e3130efa-21dc-11ea-a9f8-693042a6b9d8','paramName5',NULL,_binary '','Param Name5','java.lang.String','/details/paramName5',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,54,_binary '\0',NULL,161),(1600,0,'e3130efb-21dc-11ea-a9f8-693042a6b9d8','paramDisplayName5',NULL,_binary '','Param Display Name5','java.lang.String','/details/paramDisplayName5',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,55,_binary '\0',NULL,161),(1601,0,'e3130efc-21dc-11ea-a9f8-693042a6b9d8','paramType5',NULL,_binary '','Param Type5','java.lang.String','/details/paramType5',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,56,_binary '\0',NULL,161),(1602,0,'e3130efd-21dc-11ea-a9f8-693042a6b9d8','paramExprType5',NULL,_binary '','Param Expr Type5','java.lang.String','/details/paramExprType5',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,57,_binary '\0',NULL,161),(1603,0,'e3130efe-21dc-11ea-a9f8-693042a6b9d8','paramValue5',NULL,_binary '','Param Value5','java.lang.Object','/details/paramValue5',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,58,_binary '\0',NULL,161),(1604,0,'e3130eff-21dc-11ea-a9f8-693042a6b9d8','paramName6',NULL,_binary '','Param Name6','java.lang.String','/details/paramName6',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,59,_binary '\0',NULL,161),(1605,0,'e3130f00-21dc-11ea-a9f8-693042a6b9d8','paramDisplayName6',NULL,_binary '','Param Display Name6','java.lang.String','/details/paramDisplayName6',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,60,_binary '\0',NULL,161),(1606,0,'e3130f01-21dc-11ea-a9f8-693042a6b9d8','paramType6',NULL,_binary '','Param Type6','java.lang.String','/details/paramType6',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,61,_binary '\0',NULL,161),(1607,0,'e3130f02-21dc-11ea-a9f8-693042a6b9d8','paramExprType6',NULL,_binary '','Param Expr Type6','java.lang.String','/details/paramExprType6',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,62,_binary '\0',NULL,161),(1608,0,'e3130f03-21dc-11ea-a9f8-693042a6b9d8','paramValue6',NULL,_binary '','Param Value6','java.lang.Object','/details/paramValue6',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,63,_binary '\0',NULL,161),(1609,0,'e3130f04-21dc-11ea-a9f8-693042a6b9d8','paramName7',NULL,_binary '','Param Name7','java.lang.String','/details/paramName7',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,64,_binary '\0',NULL,161),(1610,0,'e3130f05-21dc-11ea-a9f8-693042a6b9d8','paramDisplayName7',NULL,_binary '','Param Display Name7','java.lang.String','/details/paramDisplayName7',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,65,_binary '\0',NULL,161),(1611,0,'e3130f06-21dc-11ea-a9f8-693042a6b9d8','paramType7',NULL,_binary '','Param Type7','java.lang.String','/details/paramType7',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,66,_binary '\0',NULL,161),(1612,0,'e3130f07-21dc-11ea-a9f8-693042a6b9d8','paramExprType7',NULL,_binary '','Param Expr Type7','java.lang.String','/details/paramExprType7',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,67,_binary '\0',NULL,161),(1613,0,'e3130f08-21dc-11ea-a9f8-693042a6b9d8','paramValue7',NULL,_binary '','Param Value7','java.lang.Object','/details/paramValue7',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,68,_binary '\0',NULL,161),(1614,0,'e3130f09-21dc-11ea-a9f8-693042a6b9d8','paramName8',NULL,_binary '','Param Name8','java.lang.String','/details/paramName8',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,69,_binary '\0',NULL,161),(1615,0,'e3130f0a-21dc-11ea-a9f8-693042a6b9d8','paramDisplayName8',NULL,_binary '','Param Display Name8','java.lang.String','/details/paramDisplayName8',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,70,_binary '\0',NULL,161),(1616,0,'e3130f0b-21dc-11ea-a9f8-693042a6b9d8','paramType8',NULL,_binary '','Param Type8','java.lang.String','/details/paramType8',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,71,_binary '\0',NULL,161),(1617,0,'e3130f0c-21dc-11ea-a9f8-693042a6b9d8','paramExprType8',NULL,_binary '','Param Expr Type8','java.lang.String','/details/paramExprType8',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,72,_binary '\0',NULL,161),(1618,0,'e3130f0d-21dc-11ea-a9f8-693042a6b9d8','paramValue8',NULL,_binary '','Param Value8','java.lang.Object','/details/paramValue8',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,73,_binary '\0',NULL,161),(1619,0,'e3130f0e-21dc-11ea-a9f8-693042a6b9d8','paramName9',NULL,_binary '','Param Name9','java.lang.String','/details/paramName9',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,74,_binary '\0',NULL,161),(1620,0,'e3130f0f-21dc-11ea-a9f8-693042a6b9d8','paramDisplayName9',NULL,_binary '','Param Display Name9','java.lang.String','/details/paramDisplayName9',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,75,_binary '\0',NULL,161),(1621,0,'e3130f10-21dc-11ea-a9f8-693042a6b9d8','paramType9',NULL,_binary '','Param Type9','java.lang.String','/details/paramType9',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,76,_binary '\0',NULL,161),(1622,0,'e3130f11-21dc-11ea-a9f8-693042a6b9d8','paramExprType9',NULL,_binary '','Param Expr Type9','java.lang.String','/details/paramExprType9',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,77,_binary '\0',NULL,161),(1623,0,'e3130f12-21dc-11ea-a9f8-693042a6b9d8','paramValue9',NULL,_binary '','Param Value9','java.lang.Object','/details/paramValue9',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,78,_binary '\0',NULL,161),(1624,0,'e3130f13-21dc-11ea-a9f8-693042a6b9d8','paramName10',NULL,_binary '','Param Name10','java.lang.String','/details/paramName10',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,79,_binary '\0',NULL,161),(1625,0,'e3130f14-21dc-11ea-a9f8-693042a6b9d8','paramDisplayName10',NULL,_binary '','Param Display Name10','java.lang.String','/details/paramDisplayName10',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,80,_binary '\0',NULL,161),(1626,0,'e3130f15-21dc-11ea-a9f8-693042a6b9d8','paramType10',NULL,_binary '','Param Type10','java.lang.String','/details/paramType10',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,81,_binary '\0',NULL,161),(1627,0,'e3130f16-21dc-11ea-a9f8-693042a6b9d8','paramExprType10',NULL,_binary '','Param Expr Type10','java.lang.String','/details/paramExprType10',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,82,_binary '\0',NULL,161),(1628,0,'e3130f17-21dc-11ea-a9f8-693042a6b9d8','paramValue10',NULL,_binary '','Param Value10','java.lang.Object','/details/paramValue10',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,83,_binary '\0',NULL,161),(1629,0,'e3130f18-21dc-11ea-a9f8-693042a6b9d8','paramName11',NULL,_binary '','Param Name11','java.lang.String','/details/paramName11',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,84,_binary '\0',NULL,161),(1630,0,'e3130f19-21dc-11ea-a9f8-693042a6b9d8','paramDisplayName11',NULL,_binary '','Param Display Name11','java.lang.String','/details/paramDisplayName11',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,85,_binary '\0',NULL,161),(1631,0,'e3130f1a-21dc-11ea-a9f8-693042a6b9d8','paramType11',NULL,_binary '','Param Type11','java.lang.String','/details/paramType11',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,86,_binary '\0',NULL,161),(1632,0,'e3130f1b-21dc-11ea-a9f8-693042a6b9d8','paramExprType11',NULL,_binary '','Param Expr Type11','java.lang.String','/details/paramExprType11',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,87,_binary '\0',NULL,161),(1633,0,'e3130f1c-21dc-11ea-a9f8-693042a6b9d8','paramValue11',NULL,_binary '','Param Value11','java.lang.Object','/details/paramValue11',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,88,_binary '\0',NULL,161),(1634,0,'e3130f1d-21dc-11ea-a9f8-693042a6b9d8','paramName12',NULL,_binary '','Param Name12','java.lang.String','/details/paramName12',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,89,_binary '\0',NULL,161),(1635,0,'e3130f1e-21dc-11ea-a9f8-693042a6b9d8','paramDisplayName12',NULL,_binary '','Param Display Name12','java.lang.String','/details/paramDisplayName12',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,90,_binary '\0',NULL,161),(1636,0,'e3130f1f-21dc-11ea-a9f8-693042a6b9d8','paramType12',NULL,_binary '','Param Type12','java.lang.String','/details/paramType12',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,91,_binary '\0',NULL,161),(1637,0,'e3130f20-21dc-11ea-a9f8-693042a6b9d8','paramExprType12',NULL,_binary '','Param Expr Type12','java.lang.String','/details/paramExprType12',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,92,_binary '\0',NULL,161),(1638,0,'e3130f21-21dc-11ea-a9f8-693042a6b9d8','paramValue12',NULL,_binary '','Param Value12','java.lang.Object','/details/paramValue12',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,93,_binary '\0',NULL,161),(1639,0,'e3130f22-21dc-11ea-a9f8-693042a6b9d8','paramName13',NULL,_binary '','Param Name13','java.lang.String','/details/paramName13',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,94,_binary '\0',NULL,161),(1640,0,'e3130f23-21dc-11ea-a9f8-693042a6b9d8','paramDisplayName13',NULL,_binary '','Param Display Name13','java.lang.String','/details/paramDisplayName13',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,95,_binary '\0',NULL,161),(1641,0,'e3130f24-21dc-11ea-a9f8-693042a6b9d8','paramType13',NULL,_binary '','Param Type13','java.lang.String','/details/paramType13',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,96,_binary '\0',NULL,161),(1642,0,'e3130f25-21dc-11ea-a9f8-693042a6b9d8','paramExprType13',NULL,_binary '','Param Expr Type13','java.lang.String','/details/paramExprType13',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,97,_binary '\0',NULL,161),(1643,0,'e3130f26-21dc-11ea-a9f8-693042a6b9d8','paramValue13',NULL,_binary '','Param Value13','java.lang.Object','/details/paramValue13',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,98,_binary '\0',NULL,161),(1644,0,'e3130f27-21dc-11ea-a9f8-693042a6b9d8','paramName14',NULL,_binary '','Param Name14','java.lang.String','/details/paramName14',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,99,_binary '\0',NULL,161),(1645,0,'e3130f28-21dc-11ea-a9f8-693042a6b9d8','paramDisplayName14',NULL,_binary '','Param Display Name14','java.lang.String','/details/paramDisplayName14',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,100,_binary '\0',NULL,161),(1646,0,'e3130f29-21dc-11ea-a9f8-693042a6b9d8','paramType14',NULL,_binary '','Param Type14','java.lang.String','/details/paramType14',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,101,_binary '\0',NULL,161),(1647,0,'e3130f2a-21dc-11ea-a9f8-693042a6b9d8','paramExprType14',NULL,_binary '','Param Expr Type14','java.lang.String','/details/paramExprType14',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,102,_binary '\0',NULL,161),(1648,0,'e3130f2b-21dc-11ea-a9f8-693042a6b9d8','paramValue14',NULL,_binary '','Param Value14','java.lang.Object','/details/paramValue14',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,103,_binary '\0',NULL,161),(1649,0,'e31cab1d-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,162),(1650,0,'e31cab1e-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Scheduled Report Job Location\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,162),(1651,0,'e31cab1f-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,162),(1652,0,'e31cab20-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Scheduled Report','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'entity.jobScheduledReport',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,162),(1653,0,'e31cab21-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'party.organisationLocation',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,162),(1654,0,'e31cab23-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,163),(1655,0,'e31cab24-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Scheduled Report Job Template\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,163),(1656,0,'e31cab25-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,163),(1657,0,'e31cab26-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Scheduled Report','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'entity.jobScheduledReport',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,163),(1658,0,'e31cab27-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Report','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'entity.documentTemplate',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,163),(1659,0,'e31ef519-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,164),(1660,0,'e31ef51a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,164),(1661,0,'e31ef51b-21dc-11ea-a9f8-693042a6b9d8','investigationId',NULL,_binary '','Investigation Id','java.util.HashSet','/identities','Identity',NULL,'actIdentity.patientInvestigation',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '',NULL,164),(1662,0,'e31ef51c-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,164),(1663,0,'e31ef51d-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,4,_binary '',NULL,164),(1664,0,'e31ef51e-21dc-11ea-a9f8-693042a6b9d8','orderId',NULL,_binary '','Laboratory Order Id','java.util.HashSet','/identities','Identity',NULL,'actIdentity.laboratoryOrder*',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,5,_binary '',NULL,164),(1665,0,'e31ef51f-21dc-11ea-a9f8-693042a6b9d8','laboratory',NULL,_binary '','Laboratory','java.util.HashSet','/participations',NULL,NULL,'participation.laboratory',NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,6,_binary '',NULL,164),(1666,0,'e31ef520-21dc-11ea-a9f8-693042a6b9d8','device',NULL,_binary '','Device','java.util.HashSet','/participations',NULL,NULL,'participation.laboratoryDevice',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,7,_binary '',NULL,164),(1667,0,'e31ef521-21dc-11ea-a9f8-693042a6b9d8','investigationType',NULL,_binary '','Investigation Type','java.util.HashSet','/participations',NULL,NULL,'participation.investigationType',NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,8,_binary '',NULL,164),(1668,0,'e31ef522-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/participations',NULL,NULL,'participation.location',NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,9,_binary '',NULL,164),(1669,0,'e31ef523-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Notes','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,164),(1670,0,'e31ef524-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,11,_binary '',NULL,164),(1671,0,'e31ef525-21dc-11ea-a9f8-693042a6b9d8','type',NULL,_binary '','Type','java.lang.String','/details/type',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,12,_binary '\0',NULL,164),(1672,0,'e31ef527-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Order Status','java.lang.String','/status',NULL,'\'PENDING\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,13,_binary '\0',NULL,164),(1673,0,'e31ef529-21dc-11ea-a9f8-693042a6b9d8','status2',NULL,_binary '','Result Status','java.lang.String','/status2',NULL,'\'PENDING\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,14,_binary '\0',NULL,164),(1674,0,'e31ef52b-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,15,_binary '',NULL,164),(1675,0,'e31ef52c-21dc-11ea-a9f8-693042a6b9d8','tests',NULL,_binary '','Tests','java.util.HashSet','/participations',NULL,NULL,'participation.laboratoryTest',NULL,_binary '',_binary '\0',_binary '\0',0,-1,0,255,16,_binary '',NULL,164),(1676,0,'e31ef52d-21dc-11ea-a9f8-693042a6b9d8','investigation',NULL,_binary '','Investigation','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientInvestigationOrder',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,17,_binary '',NULL,164),(1677,0,'e323b01f-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,165),(1678,0,'e323b020-21dc-11ea-a9f8-693042a6b9d8','identity',NULL,_binary '','Identity','java.lang.String','/identity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,165),(1679,0,'e323b021-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'/identity',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,165),(1680,0,'e323b022-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,165),(1681,0,'e323b024-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,166),(1682,0,'e323b025-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,166),(1683,0,'e323b026-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,166),(1684,0,'e323b027-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Investigation','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'act.patientInvestigation',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,166),(1685,0,'e323b028-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Order','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'act.laboratoryOrder',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,166),(1686,0,'e326212a-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,167),(1687,0,'e326212b-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,167),(1688,0,'e326212d-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,167),(1689,0,'e326212e-21dc-11ea-a9f8-693042a6b9d8','typeId',NULL,_binary '','Type Id','java.util.HashSet','/identities','Identity',NULL,'entityIdentity.investigationType*',NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '',NULL,167),(1690,0,'e326212f-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,167),(1691,0,'e3262130-21dc-11ea-a9f8-693042a6b9d8','laboratory',NULL,_binary '','Laboratory','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.investigationTypeLaboratory',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '',NULL,167),(1692,0,'e3262131-21dc-11ea-a9f8-693042a6b9d8','devices',NULL,_binary '','Devices','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.investigationTypeDevice',NULL,_binary '',_binary '\0',_binary '\0',0,-1,0,255,6,_binary '',NULL,167),(1693,0,'e3262132-21dc-11ea-a9f8-693042a6b9d8','template',NULL,_binary '','Template','java.util.HashSet','/entityRelationships','EntityRelationship',NULL,'entityRelationship.investigationTypeTemplate',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '',NULL,167),(1694,0,'e3262133-21dc-11ea-a9f8-693042a6b9d8','supplier',NULL,_binary '','Supplier','java.util.HashSet','/entityRelationships','EntityRelationship',NULL,'entityRelationship.investigationTypeSupplier',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '',NULL,167),(1695,0,'e3289235-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,168),(1696,0,'e3289236-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,168),(1697,0,'e3289237-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,168),(1698,0,'e3289238-21dc-11ea-a9f8-693042a6b9d8','deviceId',NULL,_binary '','Device Id','java.util.HashSet','/identities','Identity',NULL,'entityIdentity.laboratoryDevice*',NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '',NULL,168),(1699,0,'e3289239-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,168),(1700,0,'e328923a-21dc-11ea-a9f8-693042a6b9d8','laboratory',NULL,_binary '','Laboratory','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.laboratoryDeviceLaboratory',NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,5,_binary '',NULL,168),(1701,0,'e328923b-21dc-11ea-a9f8-693042a6b9d8','locations',NULL,_binary '','Locations','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.laboratoryDeviceLocation',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,6,_binary '',NULL,168),(1702,0,'e32d4d2d-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,169),(1703,0,'e32d4d2e-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,169),(1704,0,'e32d4d2f-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,169),(1705,0,'e32d4d30-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.util.HashSet','/identities','Identity',NULL,'entityIdentity.laboratoryTest*',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,3,_binary '',NULL,169),(1706,0,'e32d4d31-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,169),(1707,0,'e32d4d32-21dc-11ea-a9f8-693042a6b9d8','turnaround',NULL,_binary '','Turnaround','java.lang.String','/details/turnaround',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,169),(1708,0,'e32d4d33-21dc-11ea-a9f8-693042a6b9d8','specimen',NULL,_binary '','Specimen','java.lang.String','/details/specimen',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,6,_binary '\0',NULL,169),(1709,0,'e32d4d34-21dc-11ea-a9f8-693042a6b9d8','investigationType',NULL,_binary '','Investigation Type','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.laboratoryTestInvestigationType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '',NULL,169),(1710,0,'e32d4d35-21dc-11ea-a9f8-693042a6b9d8','group',NULL,_binary '','Group','java.lang.Boolean','/details/group',NULL,'false()',NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,169),(1711,0,'e32d4d36-21dc-11ea-a9f8-693042a6b9d8','useDevice',NULL,_binary '','Use Device','java.lang.String','/details/useDevice',NULL,'\'NO\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,9,_binary '\0',NULL,169),(1712,0,'e32d4d38-21dc-11ea-a9f8-693042a6b9d8','identities',NULL,_binary '','Identities','java.util.HashSet','/identities','Identity',NULL,'entityIdentity.*',NULL,_binary '',_binary '',_binary '\0',0,-1,0,255,10,_binary '',NULL,169),(1713,0,'e32fbe3a-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,170),(1714,0,'e32fbe3b-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,170),(1715,0,'e32fbe3c-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,170),(1716,0,'e32fbe3d-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Universal Service Identifier','java.util.HashSet','/identities','Identity',NULL,'entityIdentity.laboratoryTest',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '',NULL,170),(1717,0,'e32fbe3e-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,170),(1718,0,'e32fbe3f-21dc-11ea-a9f8-693042a6b9d8','group',NULL,_binary '','Group','java.lang.Boolean','/details/group',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,170),(1719,0,'e32fbe40-21dc-11ea-a9f8-693042a6b9d8','investigationType',NULL,_binary '','Investigation Type','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.laboratoryTestInvestigationType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '',NULL,170),(1720,0,'e32fbe41-21dc-11ea-a9f8-693042a6b9d8','identities',NULL,_binary '','Identities','java.util.HashSet','/identities','Identity',NULL,'entityIdentity.*',NULL,_binary '',_binary '',_binary '\0',0,-1,0,255,7,_binary '',NULL,170),(1721,0,'e3320833-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,171),(1722,0,'e3320834-21dc-11ea-a9f8-693042a6b9d8','identity',NULL,_binary '','Identity','java.lang.String','/identity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,171),(1723,0,'e3320835-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'/identity',_binary '\0',_binary '',_binary '',1,1,0,255,2,_binary '\0',NULL,171),(1724,0,'e3320836-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,171),(1725,0,'e3347938-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,172),(1726,0,'e3347939-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,172),(1727,0,'e334793a-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,172),(1728,0,'e334793b-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Laboratory Test','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'entity.investigationType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,172),(1729,0,'e334793c-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Device','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'entity.laboratoryDevice',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,172),(1730,0,'e336c32e-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,173),(1731,0,'e336c32f-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,173),(1732,0,'e336c330-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,173),(1733,0,'e336c331-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Investigation Type','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'entity.investigationType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,173),(1734,0,'e336c332-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Laboratory','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,173),(1735,0,'e3393435-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,174),(1736,0,'e3393436-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,174),(1737,0,'e3393437-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,174),(1738,0,'e3393438-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Laboratory Test','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'entity.laboratoryDevice',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,174),(1739,0,'e3393439-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Laboratory','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'entity.laboratoryService*',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,174),(1740,0,'e33ba53b-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,175),(1741,0,'e33ba53c-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,175),(1742,0,'e33ba53d-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,175),(1743,0,'e33ba53e-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Laboratory Test','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'entity.laboratoryDevice',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,175),(1744,0,'e33ba53f-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Laboratory','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'party.organisationLocation',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,175),(1745,0,'e33ba541-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,176),(1746,0,'e33ba542-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,176),(1747,0,'e33ba543-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,176),(1748,0,'e33ba544-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Laboratory','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,176),(1749,0,'e33ba546-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Practice Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'party.organisationLocation',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,176),(1750,0,'e33def38-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,177),(1751,0,'e33def39-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,177),(1752,0,'e33def3a-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,177),(1753,0,'e33def3b-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Investigation Type','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,177),(1754,0,'e33def3d-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Test','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'entity.investigationType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,177),(1755,0,'e340603f-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,178),(1756,0,'e3406040-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,'act.patientInvestigation',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,178),(1757,0,'e3406041-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Laboratory','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,178),(1758,0,'e342aa34-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,179),(1759,0,'e342aa35-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,179),(1760,0,'e342aa36-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Device','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,'entity.laboratoryDevice',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,179),(1761,0,'e3451b38-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,180),(1762,0,'e3451b39-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,180),(1763,0,'e3451b3a-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Test','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,180),(1764,0,'e3478c3d-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,181),(1765,0,'e3478c3e-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,181),(1766,0,'e3478c40-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,181),(1767,0,'e3478c41-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name,\' \',lookup:isDefault(/defaultLookup))',_binary '\0',_binary '',_binary '',0,1,0,255,3,_binary '\0',NULL,181),(1768,0,'e3478c42-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,4,_binary '\0',NULL,181),(1769,0,'e3478c43-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,181),(1770,0,'e3478c44-21dc-11ea-a9f8-693042a6b9d8','singleLineFormat',NULL,_binary '','Single Line Format','java.lang.String','/details/singleLineFormat',NULL,'\"concat(expr:concatIf($address, \', \'),expr:concatIf(toUpperCase($suburb), \' \'),expr:concatIf($state.code, \' \'),$postcode)\"',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,5000,6,_binary '\0',NULL,181),(1771,0,'e3478c45-21dc-11ea-a9f8-693042a6b9d8','multiLineFormat',NULL,_binary '','Multi-line Format','java.lang.String','/details/multiLineFormat',NULL,'\"concat(expr:concatIf($address, $nl),expr:concatIf(toUpperCase($suburb), \' \'),expr:concatIf($state.code, \' \'),$postcode)\"',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,5000,7,_binary '\0',NULL,181),(1772,0,'e3478c47-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,182),(1773,0,'e3478c48-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,182),(1774,0,'e3478c4a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,182),(1775,0,'e3478c4b-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name,\' \',lookup:isDefault(/defaultLookup))',_binary '\0',_binary '',_binary '',0,1,0,255,3,_binary '\0',NULL,182),(1776,0,'e3478c4c-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,182),(1777,0,'e3478c4d-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,182),(1778,0,'e349d63f-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,183),(1779,0,'e349d640-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,183),(1780,0,'e349d642-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,183),(1781,0,'e349d644-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name,\' \',lookup:isDefault(/defaultLookup))',_binary '\0',_binary '',_binary '',0,1,0,255,3,_binary '\0',NULL,183),(1782,0,'e349d645-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Species','java.util.HashSet','/targetLookupRelationships','targetLookupRelationship',NULL,'lookupRelationship.speciesBreed',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '',NULL,183),(1783,0,'e349d646-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,183),(1784,0,'e349d647-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,183),(1785,0,'e34c4749-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,184),(1786,0,'e34c474a-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,184),(1787,0,'e34c474c-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,184),(1788,0,'e34c474d-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name,\' \', lookup:isDefault(/defaultLookup))',_binary '\0',_binary '',_binary '',0,1,0,255,3,_binary '\0',NULL,184),(1789,0,'e34c474e-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,184),(1790,0,'e34c474f-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,184),(1791,0,'e34eb851-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,185),(1792,0,'e34eb852-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,185),(1793,0,'e34eb854-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,185),(1794,0,'e34eb855-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name, \' Contact Purpose\')',_binary '\0',_binary '',_binary '',1,1,0,255,3,_binary '\0',NULL,185),(1795,0,'e34eb856-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,185),(1796,0,'e3510248-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,186),(1797,0,'e3510249-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,2,1,_binary '\0',NULL,186),(1798,0,'e351024b-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Country','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,186),(1799,0,'e351024d-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name,\' \',lookup:isDefault(/defaultLookup))',_binary '\0',_binary '',_binary '',0,1,0,255,3,_binary '\0',NULL,186),(1800,0,'e351024e-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,186),(1801,0,'e351024f-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,186),(1802,0,'e3510250-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','States','java.util.HashSet','/sourceLookupRelationships','sourceLookupRelationship',NULL,'lookupRelationship.countryState',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,6,_binary '',NULL,186),(1803,0,'e3537352-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,187),(1804,0,'e3537353-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,187),(1805,0,'e3537355-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,187),(1806,0,'e3537356-21dc-11ea-a9f8-693042a6b9d8','floorLimit',NULL,_binary '','Floor Limit','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/floorLimit',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,187),(1807,0,'e3537357-21dc-11ea-a9f8-693042a6b9d8','authorisation',NULL,_binary '','Authorisation','java.lang.String','/details/authorisation',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,4,_binary '\0',NULL,187),(1808,0,'e3537358-21dc-11ea-a9f8-693042a6b9d8','separateList',NULL,_binary '','Separate Deposit List','java.lang.Boolean','/details/separateList',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,187),(1809,0,'e3537359-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name,\' \',lookup:isDefault(/defaultLookup))',_binary '\0',_binary '',_binary '',0,1,0,255,6,_binary '\0',NULL,187),(1810,0,'e353735a-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,187),(1811,0,'e353735b-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,187),(1812,0,'e355bd4d-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,188),(1813,0,'e355bd4e-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','ISO code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,3,1,_binary '\0',NULL,188),(1814,0,'e355bd50-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Currency','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,188),(1815,0,'e355bd51-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name,\' \',lookup:isDefault(/defaultLookup))',_binary '\0',_binary '',_binary '',0,1,0,255,3,_binary '\0',NULL,188),(1816,0,'e355bd52-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,188),(1817,0,'e355bd53-21dc-11ea-a9f8-693042a6b9d8','roundingMode',NULL,_binary '','Rounding Mode','java.lang.String','/details/roundingMode',NULL,'\'HALF_UP\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,188),(1818,0,'e355bd55-21dc-11ea-a9f8-693042a6b9d8','minDenomination',NULL,_binary '','Minimum Cash Denomination','java.math.BigDecimal','/details/minimumCashDenomination',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,188),(1819,0,'e355bd56-21dc-11ea-a9f8-693042a6b9d8','minPrice',NULL,_binary '','Minimum Price','java.math.BigDecimal','/details/minPrice',NULL,'0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,188),(1820,0,'e355bd57-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,188),(1821,0,'e35a9f59-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,189),(1822,0,'e35a9f5a-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,189),(1823,0,'e35a9f5c-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,189),(1824,0,'e35a9f5d-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,189),(1825,0,'e35a9f5e-21dc-11ea-a9f8-693042a6b9d8','creditLimit',NULL,_binary '','Credit Limit','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/creditLimit',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,189),(1826,0,'e35a9f5f-21dc-11ea-a9f8-693042a6b9d8','paymentTerms',NULL,_binary '','Payment Terms','java.lang.Integer','/details/paymentTerms',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,189),(1827,0,'e35a9f60-21dc-11ea-a9f8-693042a6b9d8','paymentUom',NULL,_binary '','Payment Terms Units','java.lang.String','/details/paymentUom',NULL,'\'DAYS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,189),(1828,0,'e35a9f62-21dc-11ea-a9f8-693042a6b9d8','accountFee',NULL,_binary '','Account Fee Type','java.lang.String','/details/accountFee',NULL,'\'FIXED\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,189),(1829,0,'e35a9f64-21dc-11ea-a9f8-693042a6b9d8','accountFeeAmount',NULL,_binary '','Fee Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/accountFeeAmount',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,189),(1830,0,'e35a9f65-21dc-11ea-a9f8-693042a6b9d8','accountFeeMinimum',NULL,_binary '','Minimum Fee','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/accountFeeMinimum',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,189),(1831,0,'e35a9f66-21dc-11ea-a9f8-693042a6b9d8','accountFeeBalance',NULL,_binary '','Minimum Balance','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/accountFeeBalance',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,189),(1832,0,'e35a9f67-21dc-11ea-a9f8-693042a6b9d8','accountFeeDays',NULL,_binary '','Overdue Days','java.lang.Integer','/details/accountFeeDays',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,189),(1833,0,'e35a9f68-21dc-11ea-a9f8-693042a6b9d8','accountFeeMessage',NULL,_binary '','Fee Message','java.lang.String','/details/accountFeeMessage',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,12,_binary '\0',NULL,189),(1834,0,'e35a9f69-21dc-11ea-a9f8-693042a6b9d8','settlementDiscount',NULL,_binary '','Settlement Discount Type','java.lang.String','/details/settlementDiscount',NULL,'\'PERCENTAGE\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,13,_binary '\0',NULL,189),(1835,0,'e35a9f6b-21dc-11ea-a9f8-693042a6b9d8','settlementDiscountAmount',NULL,_binary '','Discount Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/settlementDiscountAmount',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,14,_binary '\0',NULL,189),(1836,0,'e35a9f6c-21dc-11ea-a9f8-693042a6b9d8','settlementDiscountMaximum',NULL,_binary '','Maximum Balance','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/settlementDiscountMinimum',NULL,'\'0.0\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,15,_binary '\0',NULL,189),(1837,0,'e35a9f6d-21dc-11ea-a9f8-693042a6b9d8','settlementDiscountDays',NULL,_binary '','Payment Days','java.lang.Integer','/details/settlementDiscountDays',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,16,_binary '\0',NULL,189),(1838,0,'e35a9f6e-21dc-11ea-a9f8-693042a6b9d8','settlementDiscountMessage',NULL,_binary '','Message','java.lang.String','/details/settlementDiscountMessage',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,300,17,_binary '\0',NULL,189),(1839,0,'e35a9f6f-21dc-11ea-a9f8-693042a6b9d8','generalMessage',NULL,_binary '','General Message','java.lang.String','/details/generalMessage',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,18,_binary '\0',NULL,189),(1840,0,'e35a9f70-21dc-11ea-a9f8-693042a6b9d8','overdueMessage',NULL,_binary '','Overdue Message','java.lang.String','/details/overdueMessage',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,19,_binary '\0',NULL,189),(1841,0,'e35a9f71-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,20,_binary '\0',NULL,189),(1842,0,'e35a9f72-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'\'false\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,21,_binary '\0',NULL,189),(1843,0,'e35a9f73-21dc-11ea-a9f8-693042a6b9d8','alert',NULL,_binary '','Alert','java.util.HashSet','/sourceLookupRelationships','sourceLookupRelationship',NULL,'lookupRelationship.customerAccountAlert',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,22,_binary '',NULL,189),(1844,0,'e35f5966-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,190),(1845,0,'e35f5967-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,190),(1846,0,'e35f5969-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,190),(1847,0,'e35f596a-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name,\' \', lookup:isDefault(/defaultLookup))',_binary '\0',_binary '',_binary '',0,1,0,255,3,_binary '\0',NULL,190),(1848,0,'e35f596b-21dc-11ea-a9f8-693042a6b9d8','priority',NULL,_binary '','Priority','java.lang.String','/details/priority',NULL,'\'HIGH\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,190),(1849,0,'e35f596d-21dc-11ea-a9f8-693042a6b9d8','mandatoryAlert',NULL,_binary '','Mandatory Alert','java.lang.Boolean','/details/mandatoryAlert',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,190),(1850,0,'e35f596e-21dc-11ea-a9f8-693042a6b9d8','colour',NULL,_binary '','Colour','java.lang.String','/details/colour',NULL,'\'0xFF0000\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,8,6,_binary '\0',NULL,190),(1851,0,'e35f596f-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,190),(1852,0,'e35f5970-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,190),(1853,0,'e3641462-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,191),(1854,0,'e3641463-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,191),(1855,0,'e3641465-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,191),(1856,0,'e3641466-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name,\' \',lookup:isDefault(/defaultLookup))',_binary '\0',_binary '',_binary '',0,1,0,255,3,_binary '\0',NULL,191),(1857,0,'e3641467-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,191),(1858,0,'e3641468-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,191),(1859,0,'e364146a-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,192),(1860,0,'e364146b-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,192),(1861,0,'e364146d-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,192),(1862,0,'e364146e-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name,\' \',lookup:isDefault(/defaultLookup))',_binary '\0',_binary '',_binary '',0,1,0,255,3,_binary '\0',NULL,192),(1863,0,'e364146f-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,192),(1864,0,'e3641470-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,192),(1865,0,'e3668572-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,193),(1866,0,'e3668573-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,193),(1867,0,'e3668575-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,193),(1868,0,'e3668576-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name, \' Customer Type\')',_binary '\0',_binary '',_binary '',1,1,0,255,3,_binary '\0',NULL,193),(1869,0,'e3668577-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,193),(1870,0,'e368cf69-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,194),(1871,0,'e368cf6a-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,194),(1872,0,'e368cf6c-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,194),(1873,0,'e368cf6d-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name,\' \',lookup:isDefault(/defaultLookup))',_binary '\0',_binary '',_binary '',0,1,0,255,3,_binary '\0',NULL,194),(1874,0,'e368cf6e-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,194),(1875,0,'e368cf6f-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,194),(1876,0,'e36b4071-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,195),(1877,0,'e36b4072-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,195),(1878,0,'e36b4074-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,195),(1879,0,'e36b4075-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name,\' \',lookup:isDefault(/defaultLookup))',_binary '\0',_binary '',_binary '',0,1,0,255,3,_binary '\0',NULL,195),(1880,0,'e36b4076-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,195),(1881,0,'e36b4077-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,195),(1882,0,'e36db179-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,196),(1883,0,'e36db17a-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,196),(1884,0,'e36db17c-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,196),(1885,0,'e36db17d-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name, \' Demographic Update\')',_binary '\0',_binary '',_binary '',1,1,0,255,3,_binary '\0',NULL,196),(1886,0,'e36db17e-21dc-11ea-a9f8-693042a6b9d8','expression',NULL,_binary '','Expression','java.lang.String','/details/expression',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,196),(1887,0,'e36db17f-21dc-11ea-a9f8-693042a6b9d8','nodeName',NULL,_binary '','Node Name','java.lang.String','/details/nodeName',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,196),(1888,0,'e36db180-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,196),(1889,0,'e36ffb72-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,197),(1890,0,'e36ffb73-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,197),(1891,0,'e36ffb75-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,197),(1892,0,'e36ffb76-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,197),(1893,0,'e36ffb77-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,197),(1894,0,'e36ffb78-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default Lookup','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,197),(1895,0,'e3726c7a-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,198),(1896,0,'e3726c7b-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,198),(1897,0,'e3726c7d-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,198),(1898,0,'e3726c7e-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,198),(1899,0,'e3726c7f-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,198),(1900,0,'e3726c80-21dc-11ea-a9f8-693042a6b9d8','dataDictionaryId',NULL,_binary '','Data Dictionary Id','java.lang.String','/details/dataDictionaryId',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,198),(1901,0,'e3726c81-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default Lookup','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,6,_binary '\0',NULL,198),(1902,0,'e374dd83-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,199),(1903,0,'e374dd84-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,100,1,_binary '\0',NULL,199),(1904,0,'e374dd85-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'concat(/details/interval, \' \', openvpms:lookup(., \'units\'))',_binary '\0',_binary '\0',_binary '',0,1,0,255,2,_binary '\0',NULL,199),(1905,0,'e374dd86-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,199),(1906,0,'e374dd87-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,4,_binary '\0',NULL,199),(1907,0,'e374dd88-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,199),(1908,0,'e374dd89-21dc-11ea-a9f8-693042a6b9d8','interval',NULL,_binary '','Interval','java.lang.Integer','/details/interval',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,199),(1909,0,'e374dd8a-21dc-11ea-a9f8-693042a6b9d8','units',NULL,_binary '','Units','java.lang.String','/details/units',NULL,'\'YEARS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,199),(1910,0,'e374dd8c-21dc-11ea-a9f8-693042a6b9d8','showYears',NULL,_binary '','Show Years','java.lang.Boolean','/details/showYears',NULL,'\'true\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,8,_binary '\0',NULL,199),(1911,0,'e374dd8d-21dc-11ea-a9f8-693042a6b9d8','showMonths',NULL,_binary '','Show Months','java.lang.Boolean','/details/showMonths',NULL,'\'true\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,9,_binary '\0',NULL,199),(1912,0,'e374dd8e-21dc-11ea-a9f8-693042a6b9d8','showWeeks',NULL,_binary '','Show Weeks','java.lang.Boolean','/details/showWeeks',NULL,'\'true\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,10,_binary '\0',NULL,199),(1913,0,'e374dd8f-21dc-11ea-a9f8-693042a6b9d8','showDays',NULL,_binary '','Show Days','java.lang.Boolean','/details/showDays',NULL,'\'true\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,11,_binary '\0',NULL,199),(1914,0,'e3772781-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,200),(1915,0,'e3772782-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,200),(1916,0,'e3772784-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,200),(1917,0,'e3772785-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name,\' \',lookup:isDefault(/defaultLookup))',_binary '\0',_binary '',_binary '',0,1,0,255,3,_binary '\0',NULL,200),(1918,0,'e3772786-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,4,_binary '\0',NULL,200),(1919,0,'e3772787-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,200),(1920,0,'e3772788-21dc-11ea-a9f8-693042a6b9d8','formats',NULL,_binary '','Formats','java.util.HashSet','/sourceLookupRelationships','sourceLookupRelationship',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,6,_binary '',NULL,200),(1921,0,'e379988b-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,201),(1922,0,'e379988c-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,201),(1923,0,'e379988e-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,201),(1924,0,'e379988f-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,201),(1925,0,'e3799890-21dc-11ea-a9f8-693042a6b9d8','expression',NULL,_binary '','Expression','java.lang.String','/details/expression',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,5000,4,_binary '\0',NULL,201),(1926,0,'e3799891-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,201),(1927,0,'e3799892-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,201),(1928,0,'e3799894-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,202),(1929,0,'e3799895-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,202),(1930,0,'e3799897-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,202),(1931,0,'e3799898-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,202),(1932,0,'e3799899-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,202),(1933,0,'e379989a-21dc-11ea-a9f8-693042a6b9d8','expression',NULL,_binary '','Expression','java.lang.String','/details/expression',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,4999,5,_binary '\0',NULL,202),(1934,0,'e37be28c-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,203),(1935,0,'e37be28d-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,203),(1936,0,'e37be28f-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,203),(1937,0,'e37be290-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,203),(1938,0,'e37be291-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,203),(1939,0,'e37be292-21dc-11ea-a9f8-693042a6b9d8','expression',NULL,_binary '','Expression','java.lang.String','/details/expression',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,4999,5,_binary '\0',NULL,203),(1940,0,'e37be293-21dc-11ea-a9f8-693042a6b9d8','report',NULL,_binary '','Report','org.openvpms.component.business.domain.im.common.IMObjectReference','/details/report',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,203),(1941,0,'e37e5396-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,204),(1942,0,'e37e5397-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,204),(1943,0,'e37e5399-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,204),(1944,0,'e37e539a-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name,\' \', lookup:isDefault(/defaultLookup))',_binary '\0',_binary '',_binary '',0,1,0,255,3,_binary '\0',NULL,204),(1945,0,'e37e539b-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,204),(1946,0,'e37e539c-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,204),(1947,0,'e380c49e-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,205),(1948,0,'e380c49f-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,205),(1949,0,'e380c4a1-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,205),(1950,0,'e380c4a3-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name,\' \',lookup:isDefault(/defaultLookup))',_binary '\0',_binary '',_binary '',0,1,0,255,3,_binary '\0',NULL,205),(1951,0,'e380c4a4-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,205),(1952,0,'e380c4a5-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,205),(1953,0,'e3830e97-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,206),(1954,0,'e3830e98-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,206),(1955,0,'e3830e9a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,206),(1956,0,'e3830e9b-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name, \' Practice Type\')',_binary '\0',_binary '',_binary '',1,1,0,255,3,_binary '\0',NULL,206),(1957,0,'e3830e9c-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,206),(1958,0,'e3857f9e-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,207),(1959,0,'e3857f9f-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,207),(1960,0,'e3857fa1-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,207),(1961,0,'e3857fa2-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,207),(1962,0,'e3857fa3-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,207),(1963,0,'e3857fa4-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default Lookup','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,207),(1964,0,'e387f0a6-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,208),(1965,0,'e387f0a7-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,208),(1966,0,'e387f0a9-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,208),(1967,0,'e387f0aa-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,208),(1968,0,'e387f0ab-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,208),(1969,0,'e387f0ac-21dc-11ea-a9f8-693042a6b9d8','dataDictionaryId',NULL,_binary '','Data Dictionary Id','java.lang.String','/details/dataDictionaryId',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,208),(1970,0,'e387f0ad-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default Lookup','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,6,_binary '\0',NULL,208),(1971,0,'e38a3a9f-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,209),(1972,0,'e38a3aa0-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,209),(1973,0,'e38a3aa2-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,209),(1974,0,'e38a3aa3-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name,\' \',lookup:isDefault(/defaultLookup))',_binary '\0',_binary '',_binary '',0,1,0,255,3,_binary '\0',NULL,209),(1975,0,'e38a3aa4-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,209),(1976,0,'e38a3aa5-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,209),(1977,0,'e38ef597-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,210),(1978,0,'e38ef598-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,210),(1979,0,'e38ef59a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,210),(1980,0,'e38ef59b-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name, \' Schedule\')',_binary '\0',_binary '',_binary '',1,1,0,255,3,_binary '\0',NULL,210),(1981,0,'e38ef59c-21dc-11ea-a9f8-693042a6b9d8','restricted',NULL,_binary '','Restricted','java.lang.Boolean','/details/restricted',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,210),(1982,0,'e38ef59d-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,210),(1983,0,'e38ef59e-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,210),(1984,0,'e39166a0-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,211),(1985,0,'e39166a1-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,211),(1986,0,'e39166a3-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,211),(1987,0,'e39166a4-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name, \' Product Group\')',_binary '\0',_binary '',_binary '',1,1,0,255,3,_binary '\0',NULL,211),(1988,0,'e39166a5-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,211),(1989,0,'e393d7a7-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,212),(1990,0,'e393d7a8-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,212),(1991,0,'e393d7aa-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,212),(1992,0,'e393d7ab-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name, \' Product Income Type\')',_binary '\0',_binary '',_binary '',1,1,0,255,3,_binary '\0',NULL,212),(1993,0,'e393d7ac-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,212),(1994,0,'e393d7ad-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,212),(1995,0,'e393d7af-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,213),(1996,0,'e393d7b0-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,213),(1997,0,'e393d7b2-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,213),(1998,0,'e393d7b3-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,213),(1999,0,'e393d7b4-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,213),(2000,0,'e39621a6-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,214),(2001,0,'e39621a7-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,214),(2002,0,'e39621a9-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,214),(2003,0,'e39621aa-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name,\' \',lookup:isDefault(/defaultLookup))',_binary '\0',_binary '',_binary '',0,1,0,255,3,_binary '\0',NULL,214),(2004,0,'e39621ab-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,214),(2005,0,'e39621ac-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,214),(2006,0,'e39892ae-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,215),(2007,0,'e39892af-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,215),(2008,0,'e39892b1-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,215),(2009,0,'e39892b3-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name,\' \',lookup:isDefault(/defaultLookup))',_binary '\0',_binary '',_binary '',0,1,0,255,3,_binary '\0',NULL,215),(2010,0,'e39892b4-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,215),(2011,0,'e39892b5-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,215),(2012,0,'e39892b6-21dc-11ea-a9f8-693042a6b9d8','customFields',NULL,_binary '','Custom Fields','java.lang.String','/details/customFields',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,215),(2013,0,'e39892b7-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Breeds','java.util.HashSet','/sourceLookupRelationships','sourceLookupRelationship',NULL,'lookupRelationship.speciesBreed',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,7,_binary '',NULL,215),(2014,0,'e39892b8-21dc-11ea-a9f8-693042a6b9d8','mapping',NULL,_binary '','Mapping','java.util.HashSet','/sourceLookupRelationships','sourceLookupRelationship',NULL,'lookupRelationship.speciesMapping*',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,8,_binary '',NULL,215),(2015,0,'e39adcab-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,216),(2016,0,'e39adcac-21dc-11ea-a9f8-693042a6b9d8','species',NULL,_binary '','Species','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,216),(2017,0,'e39adcad-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,2,_binary '\0',NULL,216),(2018,0,'e39adcae-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,216),(2019,0,'e39adcaf-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'/name',_binary '\0',_binary '',_binary '',0,1,0,255,4,_binary '\0',NULL,216),(2020,0,'e39adcb0-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,216),(2021,0,'e39adcb1-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,6,_binary '\0',NULL,216),(2022,0,'e39adcb2-21dc-11ea-a9f8-693042a6b9d8','mapping',NULL,_binary '','Mapping','java.util.HashSet','/targetLookupRelationships','targetLookupRelationship',NULL,'lookupRelationship.speciesMappingIDEXX',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,7,_binary '',NULL,216),(2023,0,'e39adcb3-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Target','java.util.HashSet','/targetLookupRelationships','targetLookupRelationship',NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,8,_binary '',NULL,216),(2024,0,'e39adcb4-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Source','java.util.HashSet','/sourceLookupRelationships','sourceLookupRelationship',NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,9,_binary '',NULL,216),(2025,0,'e39d4db6-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,217),(2026,0,'e39d4db7-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,50,1,_binary '\0',NULL,217),(2027,0,'e39d4db9-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,217),(2028,0,'e39d4dbb-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name,\' \', lookup:isDefault(/defaultLookup))',_binary '\0',_binary '',_binary '',0,1,0,255,3,_binary '\0',NULL,217),(2029,0,'e39d4dbc-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Suburbs','java.util.HashSet','/sourceLookupRelationships','sourceLookupRelationship',NULL,'lookupRelationship.stateSuburb',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,4,_binary '',NULL,217),(2030,0,'e39d4dbd-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Country','java.util.HashSet','/targetLookupRelationships','targetLookupRelationship',NULL,'lookupRelationship.countryState',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '',NULL,217),(2031,0,'e39d4dbe-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,217),(2032,0,'e39d4dbf-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,217),(2033,0,'e39fbdc1-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,218),(2034,0,'e39fbdc2-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,218),(2035,0,'e39fbdc4-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,218),(2036,0,'e39fbdc6-21dc-11ea-a9f8-693042a6b9d8','postCode',NULL,_binary '','Post Code','java.lang.String','/details/postCode',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,6,3,_binary '\0',NULL,218),(2037,0,'e39fbdc7-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat (/name, \' \', /details/postCode,lookup:isDefault(/defaultLookup))',_binary '\0',_binary '',_binary '',0,1,0,255,4,_binary '\0',NULL,218),(2038,0,'e39fbdc8-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','State','java.util.HashSet','/targetLookupRelationships','targetLookupRelationship',NULL,'lookupRelationship.stateSuburb',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '',NULL,218),(2039,0,'e39fbdc9-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,218),(2040,0,'e39fbdca-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,218),(2041,0,'e3a207bc-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,219),(2042,0,'e3a207bd-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,219),(2043,0,'e3a207bf-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,219),(2044,0,'e3a207c0-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,219),(2045,0,'e3a207c1-21dc-11ea-a9f8-693042a6b9d8','paymentTerms',NULL,_binary '','Payment Terms','java.lang.Integer','/details/paymentTerms',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,219),(2046,0,'e3a207c2-21dc-11ea-a9f8-693042a6b9d8','paymentUom',NULL,_binary '','Payment Terms Units','java.lang.String','/details/paymentUom',NULL,'\'DAYS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,219),(2047,0,'e3a207c4-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,219),(2048,0,'e3a478c6-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,220),(2049,0,'e3a478c7-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,220),(2050,0,'e3a478c9-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,220),(2051,0,'e3a478ca-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name, \' Supplier Type\')',_binary '\0',_binary '',_binary '',1,1,0,255,3,_binary '\0',NULL,220),(2052,0,'e3a478cb-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,220),(2053,0,'e3a6e9cd-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,221),(2054,0,'e3a6e9ce-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,221),(2055,0,'e3a6e9d0-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,221),(2056,0,'e3a6e9d1-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,221),(2057,0,'e3a6e9d2-21dc-11ea-a9f8-693042a6b9d8','rate',NULL,_binary '','Percentage %','java.math.BigDecimal','/details/rate',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,221),(2058,0,'e3a6e9d3-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,221),(2059,0,'e3a6e9d4-21dc-11ea-a9f8-693042a6b9d8','taxScheme','UN/ECE 5153 Duty/Tax/Fee Type Code',_binary '','Tax Scheme','java.lang.String','/details/taxScheme',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,221),(2060,0,'e3a6e9d6-21dc-11ea-a9f8-693042a6b9d8','taxCategory','UN/ECE 5305 Duty/Tax/Fee Category Code',_binary '','Tax Category','java.lang.String','/details/taxCategory',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,221),(2061,0,'e3a933c9-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,222),(2062,0,'e3a933ca-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,222),(2063,0,'e3a933cc-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,222),(2064,0,'e3a933cd-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name,\' \',lookup:isDefault(/defaultLookup))',_binary '\0',_binary '',_binary '',0,1,0,255,3,_binary '\0',NULL,222),(2065,0,'e3a933ce-21dc-11ea-a9f8-693042a6b9d8','unitCode','UN/CEFACT Unit Code',_binary '','Unit Code','java.lang.String','/details/unitCode',NULL,'\'EA\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,3,4,_binary '\0',NULL,222),(2066,0,'e3a933d0-21dc-11ea-a9f8-693042a6b9d8','printedName',NULL,_binary '','Printed Name','java.lang.String','/details/printedName',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,222),(2067,0,'e3a933d1-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,222),(2068,0,'e3a933d2-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,222),(2069,0,'e3aba4d4-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,223),(2070,0,'e3aba4d5-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,223),(2071,0,'e3aba4d7-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,223),(2072,0,'e3aba4d8-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name,\' \', lookup:isDefault(/defaultLookup))',_binary '\0',_binary '',_binary '',0,1,0,255,3,_binary '\0',NULL,223),(2073,0,'e3aba4d9-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,223),(2074,0,'e3aba4da-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,223),(2075,0,'e3adeecc-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,224),(2076,0,'e3adeecd-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,224),(2077,0,'e3adeecf-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,224),(2078,0,'e3adeed0-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,224),(2079,0,'e3adeed1-21dc-11ea-a9f8-693042a6b9d8','expression',NULL,_binary '','Expression','java.lang.String','/details/expression',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,5000,4,_binary '\0',NULL,224),(2080,0,'e3adeed2-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,224),(2081,0,'e3adeed3-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,224),(2082,0,'e3b05fd5-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,225),(2083,0,'e3b05fd6-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,225),(2084,0,'e3b05fd8-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,225),(2085,0,'e3b05fd9-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name, \' User Type\')',_binary '\0',_binary '',_binary '',1,1,0,255,3,_binary '\0',NULL,225),(2086,0,'e3b05fda-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,225),(2087,0,'e3b05fdb-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default Lookup','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,225),(2088,0,'e3b2d0dd-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,226),(2089,0,'e3b2d0de-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,226),(2090,0,'e3b2d0e0-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,226),(2091,0,'e3b2d0e1-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name, \' Veterinary Speciality\')',_binary '\0',_binary '',_binary '',1,1,0,255,3,_binary '\0',NULL,226),(2092,0,'e3b2d0e2-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,226),(2093,0,'e3b51ad4-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,227),(2094,0,'e3b51ad5-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Breed','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,1,_binary '\0',NULL,227),(2095,0,'e3b51ad7-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Mapped Breed','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,227),(2096,0,'e3b78bda-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,228),(2097,0,'e3b78bdb-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Country','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,1,_binary '\0',NULL,228),(2098,0,'e3b78bdd-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','State','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,228),(2099,0,'e3b78be0-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,229),(2100,0,'e3b78be1-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Account Type','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,1,_binary '\0',NULL,229),(2101,0,'e3b78be3-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Alert Type','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,229),(2102,0,'e3b9fce6-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,230),(2103,0,'e3b9fce7-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Duration Formats','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,1,_binary '\0',NULL,230),(2104,0,'e3b9fce9-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Duration Format','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,230),(2105,0,'e3bc46dc-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,231),(2106,0,'e3bc46dd-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Species','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,1,_binary '\0',NULL,231),(2107,0,'e3bc46df-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Breed','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,231),(2108,0,'e3beb7e2-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,232),(2109,0,'e3beb7e3-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Species','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,1,_binary '\0',NULL,232),(2110,0,'e3beb7e5-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Mapped Species','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,232),(2111,0,'e3c101d8-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,233),(2112,0,'e3c101d9-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','State','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'lookup.state',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,233),(2113,0,'e3c101da-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Suburb','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'lookup.suburb',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,233),(2114,0,'e3c372dc-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,234),(2115,0,'e3c372dd-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Species','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,1,_binary '\0',NULL,234),(2116,0,'e3c372df-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Breed','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,234),(2117,0,'e3c5e3e2-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,235),(2118,0,'e3c5e3e3-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Entity Mappings\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,235),(2119,0,'e3c5e3e4-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,235),(2120,0,'e3c5e3e5-21dc-11ea-a9f8-693042a6b9d8','cardinality',NULL,_binary '','Cardinality','java.lang.String','/details/cardinality',NULL,'\'1:1\'',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,235),(2121,0,'e3c5e3e7-21dc-11ea-a9f8-693042a6b9d8','mappings',NULL,_binary '','Mappings','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.entityMapping',NULL,_binary '',_binary '',_binary '\0',0,-1,0,255,4,_binary '',NULL,235),(2122,0,'e3c5e3e9-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,236),(2123,0,'e3c5e3ea-21dc-11ea-a9f8-693042a6b9d8','identity',NULL,_binary '','Identity','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,236),(2124,0,'e3c5e3eb-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,236),(2125,0,'e3c5e3ec-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Source','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'entity.entityMapping',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,236),(2126,0,'e3c5e3ed-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Target','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,236),(2127,0,'e3c82ddf-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,237),(2128,0,'e3c82de0-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Plugin Mapping\'',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,237),(2129,0,'e3c82de1-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,237),(2130,0,'e3c82de2-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Source','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'entity.plugin*',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,237),(2131,0,'e3c82de3-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Target','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'entity.entityMappings',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,237),(2132,0,'e3ca9ee5-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,238),(2133,0,'e3ca9ee6-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,238),(2134,0,'e3ca9ee8-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Lookup Mappings\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,2,_binary '\0',NULL,238),(2135,0,'e3ca9ee9-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,238),(2136,0,'e3ca9eea-21dc-11ea-a9f8-693042a6b9d8','cardinality',NULL,_binary '','Cardinality','java.lang.String','/details/cardinality',NULL,'\'1:1\'',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,4,_binary '\0',NULL,238),(2137,0,'e3ca9eec-21dc-11ea-a9f8-693042a6b9d8','mappings',NULL,_binary '','Mappings','java.util.HashSet','/lookupLinks','LookupLink',NULL,'lookupLink.lookupMapping',NULL,_binary '',_binary '',_binary '\0',0,-1,0,255,5,_binary '',NULL,238),(2138,0,'e3cd0fee-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,239),(2139,0,'e3cd0fef-21dc-11ea-a9f8-693042a6b9d8','identity',NULL,_binary '','Identity','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,239),(2140,0,'e3cd0ff0-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,239),(2141,0,'e3cd0ff1-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Source','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'lookup.lookupMappings*',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,239),(2142,0,'e3cd0ff2-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Target','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,239),(2143,0,'e3cf59e4-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,240),(2144,0,'e3cf59e5-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'OpenVPMS Subscription\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,240),(2145,0,'e3cf59e6-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Start Time','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,2,_binary '\0',NULL,240),(2146,0,'e3cf59e7-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,240),(2147,0,'e3cf59e8-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'COMPLETED\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,4,_binary '\0',NULL,240),(2148,0,'e3cf59e9-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,240),(2149,0,'e3cf59ea-21dc-11ea-a9f8-693042a6b9d8','document',NULL,_binary '','Subscription','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,240),(2150,0,'e3cf59eb-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,7,_binary '\0',NULL,240),(2151,0,'e3cf59ec-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,8,_binary '\0',NULL,240),(2152,0,'e3cf59ed-21dc-11ea-a9f8-693042a6b9d8','practice',NULL,_binary '','Practice','java.util.HashSet','/participations',NULL,NULL,'participation.subscription',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,9,_binary '',NULL,240),(2153,0,'e3d1caef-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,241),(2154,0,'e3d1caf0-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,241),(2155,0,'e3d1caf1-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,241),(2156,0,'e3d1caf2-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,241),(2157,0,'e3d1caf3-21dc-11ea-a9f8-693042a6b9d8','host',NULL,_binary '','Host','java.lang.String','/details/host',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,241),(2158,0,'e3d1caf4-21dc-11ea-a9f8-693042a6b9d8','port',NULL,_binary '','Port','java.lang.Integer','/details/port',NULL,'25',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,241),(2159,0,'e3d1caf6-21dc-11ea-a9f8-693042a6b9d8','username',NULL,_binary '','Username','java.lang.String','/details/username',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,241),(2160,0,'e3d1caf7-21dc-11ea-a9f8-693042a6b9d8','password',NULL,_binary '','Password','java.lang.String','/details/password',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,241),(2161,0,'e3d1caf9-21dc-11ea-a9f8-693042a6b9d8','security',NULL,_binary '','Connection Security','java.lang.String','/details/security',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,241),(2162,0,'e3d1cafb-21dc-11ea-a9f8-693042a6b9d8','timeout',NULL,_binary '','Timeout (seconds)','java.lang.Integer','/details/timeout',NULL,'120',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,241),(2163,0,'e3d414ee-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,242),(2164,0,'e3d414ef-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,242),(2165,0,'e3d414f0-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,242),(2166,0,'e3d414f1-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,242),(2167,0,'e3d685f3-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,243),(2168,0,'e3d685f4-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Follow-up Work List\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,243),(2169,0,'e3d685f5-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,243),(2170,0,'e3d685f6-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Entity','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,243),(2171,0,'e3d685f8-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Work List','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,243),(2172,0,'e3d685fa-21dc-11ea-a9f8-693042a6b9d8','sequence',NULL,_binary '','Sequence','java.lang.Integer','/sequence',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,243),(2173,0,'e3d8f6fc-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,244),(2174,0,'e3d8f6fd-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Practice Location Gap Payment Till\'',_binary '\0',_binary '',_binary '',0,1,0,255,1,_binary '\0',NULL,244),(2175,0,'e3d8f6fe-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,244),(2176,0,'e3d8f6ff-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'party.organisationLocation',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,244),(2177,0,'e3d8f700-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Gap Benefit Till','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'party.organisationTill',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,244),(2178,0,'e3db40f2-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,245),(2179,0,'e3db40f3-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Organisation Letterhead\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,245),(2180,0,'e3db40f4-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,245),(2181,0,'e3db40f5-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Practice','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,245),(2182,0,'e3db40f7-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Letterhead','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,245),(2183,0,'e3ddb1fa-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,246),(2184,0,'e3ddb1fb-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Location Printer\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,246),(2185,0,'e3ddb1fc-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,246),(2186,0,'e3ddb1fd-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'party.organisationLocation',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,246),(2187,0,'e3ddb1fe-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Printer','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'entity.printer',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,246),(2188,0,'e3e02300-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,247),(2189,0,'e3e02301-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Organisation Mail Server\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,247),(2190,0,'e3e02302-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,247),(2191,0,'e3e02303-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Practice','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,247),(2192,0,'e3e02305-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Mail Server','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,247),(2193,0,'e3e26cf8-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,248),(2194,0,'e3e26cf9-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Practice SMS Appointment Reminder\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,248),(2195,0,'e3e26cfa-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,248),(2196,0,'e3e26cfb-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Practice','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,248),(2197,0,'e3e26cfd-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Appointment Reminder SMS Template','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,248),(2198,0,'e3e4de00-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,249),(2199,0,'e3e4de01-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Practice Reminder Configuration\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,249),(2200,0,'e3e4de02-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,249),(2201,0,'e3e4de03-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Practice','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'party.organisationPractice',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,249),(2202,0,'e3e4de04-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Reminder Configuration','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'entity.reminderConfigurationType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,249),(2203,0,'e3e727f6-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,250),(2204,0,'e3e727f7-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'HL7 Service User\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,250),(2205,0,'e3e727f8-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,250),(2206,0,'e3e727f9-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Practice','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,250),(2207,0,'e3e727fb-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','User','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,250),(2208,0,'e3e998fe-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,251),(2209,0,'e3e998ff-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'concat(\'Location Deposit Account\', \'\')',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,251),(2210,0,'e3e99900-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Location Deposit Account\', \'(\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,251),(2211,0,'e3e99901-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,251),(2212,0,'e3e99902-21dc-11ea-a9f8-693042a6b9d8','default',NULL,_binary '','Default','java.lang.Boolean','/details/default',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,251),(2213,0,'e3e99903-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,251),(2214,0,'e3e99905-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Deposit Account','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,251),(2215,0,'e3ec0908-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,252),(2216,0,'e3ec0909-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Location OTC\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,252),(2217,0,'e3ec090a-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Location OTC\', \'(\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,252),(2218,0,'e3ec090b-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,252),(2219,0,'e3ec090c-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,252),(2220,0,'e3ec090e-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','OTC','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,252),(2221,0,'e3ee5301-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,253),(2222,0,'e3ee5302-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Stock Location\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,253),(2223,0,'e3ee5303-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Stock Location (\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,253),(2224,0,'e3ee5304-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,253),(2225,0,'e3ee5305-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,253),(2226,0,'e3ee5307-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Stock Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,253),(2227,0,'e3f0c40a-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,254),(2228,0,'e3f0c40b-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'concat(\'Location Till\', \'\')',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,254),(2229,0,'e3f0c40c-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Location Till (\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,254),(2230,0,'e3f0c40d-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,254),(2231,0,'e3f0c40e-21dc-11ea-a9f8-693042a6b9d8','default',NULL,_binary '','Default','java.lang.Boolean','/details/default',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,254),(2232,0,'e3f0c40f-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,254),(2233,0,'e3f0c411-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Till','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,254),(2234,0,'e3f30e04-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,255),(2235,0,'e3f30e05-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'concat(\'Location Schedule\', \'\')',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,255),(2236,0,'e3f30e06-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Location Schedule\', \'(\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,255),(2237,0,'e3f30e07-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,255),(2238,0,'e3f30e08-21dc-11ea-a9f8-693042a6b9d8','default',NULL,_binary '','Default','java.lang.Boolean','/details/default',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,255),(2239,0,'e3f30e09-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,255),(2240,0,'e3f30e0b-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Schedule View','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,255),(2241,0,'e3f57f0e-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,256),(2242,0,'e3f57f0f-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'concat(\'Location WorkList\', \'\')',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,256),(2243,0,'e3f57f10-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Location WorkList\', \'(\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,256),(2244,0,'e3f57f11-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,256),(2245,0,'e3f57f12-21dc-11ea-a9f8-693042a6b9d8','default',NULL,_binary '','Default','java.lang.Boolean','/details/default',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,256),(2246,0,'e3f57f13-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,256),(2247,0,'e3f57f15-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Work List View','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,256),(2248,0,'e3f7f018-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,257),(2249,0,'e3f7f019-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'concat(\'Practice Location\', \'\')',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,257),(2250,0,'e3f7f01a-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Practice Location\', \'(\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,257),(2251,0,'e3f7f01b-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,257),(2252,0,'e3f7f01c-21dc-11ea-a9f8-693042a6b9d8','default',NULL,_binary '','Default','java.lang.Boolean','/details/default',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,257),(2253,0,'e3f7f01d-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Practice','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,257),(2254,0,'e3f7f01f-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,257),(2255,0,'e3fa3a12-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,258),(2256,0,'e3fa3a13-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Stock Location Fallback Author\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,258),(2257,0,'e3fa3a14-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Stock Location Default Author (\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,258),(2258,0,'e3fa3a15-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,258),(2259,0,'e3fa3a16-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Stock Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,258),(2260,0,'e3fa3a18-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','User','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,258),(2261,0,'e3fcab1b-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,259),(2262,0,'e3fcab1c-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,259),(2263,0,'e3fcab1e-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,259),(2264,0,'e3ff1c21-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,260),(2265,0,'e3ff1c22-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,260),(2266,0,'e3ff1c24-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,260),(2267,0,'e4016617-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,261),(2268,0,'e4016618-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,261),(2269,0,'e401661a-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Last Deposit : \', date:formatDate(/details/lastDeposit))',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,261),(2270,0,'e401661b-21dc-11ea-a9f8-693042a6b9d8','accountName',NULL,_binary '','Account Name','java.lang.String','/details/accountName',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,261),(2271,0,'e401661c-21dc-11ea-a9f8-693042a6b9d8','bank',NULL,_binary '','Bank','java.lang.String','/details/bank',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,261),(2272,0,'e401661e-21dc-11ea-a9f8-693042a6b9d8','branch',NULL,_binary '','Branch','java.lang.String','/details/branch',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,261),(2273,0,'e401661f-21dc-11ea-a9f8-693042a6b9d8','accountNumber',NULL,_binary '','Account Number','java.lang.String','/details/accountNumber',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,261),(2274,0,'e4016620-21dc-11ea-a9f8-693042a6b9d8','lastDeposit',NULL,_binary '','Last Deposit','java.util.Date','/details/lastDeposit',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,261),(2275,0,'e4016621-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,261),(2276,0,'e4016622-21dc-11ea-a9f8-693042a6b9d8','locations',NULL,_binary '','Locations','java.util.HashSet','/targetEntityRelationships','EntityRelationship',NULL,'entityRelationship.locationDeposit',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,9,_binary '',NULL,261),(2277,0,'e403d726-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,262),(2278,0,'e403d727-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Location Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,262),(2279,0,'e403d729-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,262),(2280,0,'e403d72a-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,262),(2281,0,'e403d72b-21dc-11ea-a9f8-693042a6b9d8','stockControl',NULL,_binary '','Stock Control','java.lang.Boolean','/details/stockControl',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,262),(2282,0,'e403d72c-21dc-11ea-a9f8-693042a6b9d8','rostering',NULL,_binary '','Rostering','java.lang.Boolean','/details/rostering',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,262),(2283,0,'e403d72d-21dc-11ea-a9f8-693042a6b9d8','rosterCheckPeriod',NULL,_binary '','Roster Check Period','java.lang.Integer','/details/rosterCheckPeriod',NULL,'4',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,262),(2284,0,'e403d72e-21dc-11ea-a9f8-693042a6b9d8','rosterCheckPeriodUnits',NULL,_binary '','Roster Check Period Units','java.lang.String','/details/rosterCheckPeriodUnits',NULL,'\'WEEKS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,262),(2285,0,'e403d730-21dc-11ea-a9f8-693042a6b9d8','defaultPrinter',NULL,_binary '','Default Printer','java.lang.String','/details/defaultPrinter',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,262),(2286,0,'e403d731-21dc-11ea-a9f8-693042a6b9d8','contacts',NULL,_binary '','Contacts','java.util.HashSet','/contacts','Contact',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,9,_binary '',NULL,262),(2287,0,'e403d733-21dc-11ea-a9f8-693042a6b9d8','pricingGroup',NULL,_binary '','Pricing Group','java.util.HashSet','/classifications','Classification',NULL,'lookup.pricingGroup',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,262),(2288,0,'e403d734-21dc-11ea-a9f8-693042a6b9d8','disableDiscounts',NULL,_binary '','Disable Discounts','java.lang.Boolean','/details/disableDiscounts',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,262),(2289,0,'e403d735-21dc-11ea-a9f8-693042a6b9d8','practice',NULL,_binary '','Practice','java.util.HashSet','/entityRelationships','EntityRelationship',NULL,'entityRelationship.practiceLocation',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,12,_binary '',NULL,262),(2290,0,'e403d737-21dc-11ea-a9f8-693042a6b9d8','tills',NULL,_binary '','Tills','java.util.HashSet','/entityRelationships','EntityRelationship',NULL,'entityRelationship.locationTill',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,13,_binary '',NULL,262),(2291,0,'e403d739-21dc-11ea-a9f8-693042a6b9d8','depositAccounts',NULL,_binary '','Deposit Accounts','java.util.HashSet','/entityRelationships','EntityRelationship',NULL,'entityRelationship.locationDeposit',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,14,_binary '',NULL,262),(2292,0,'e403d73b-21dc-11ea-a9f8-693042a6b9d8','scheduleViews',NULL,_binary '','Schedule Views','java.util.HashSet','/sourceEntityRelationships','EntityRelationship',NULL,'entityRelationship.locationView',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,15,_binary '',NULL,262),(2293,0,'e403d73d-21dc-11ea-a9f8-693042a6b9d8','workListViews',NULL,_binary '','Work List Views','java.util.HashSet','/sourceEntityRelationships','EntityRelationship',NULL,'entityRelationship.locationWorkListView',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,16,_binary '',NULL,262),(2294,0,'e403d73f-21dc-11ea-a9f8-693042a6b9d8','stockLocations',NULL,_binary '','Stock Locations','java.util.HashSet','/entityRelationships','EntityRelationship',NULL,'entityRelationship.locationStockLocation',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,17,_binary '',NULL,262),(2295,0,'e403d741-21dc-11ea-a9f8-693042a6b9d8','OTC',NULL,_binary '','O T C','java.util.HashSet','/entityRelationships','EntityRelationship',NULL,'entityRelationship.locationOTC',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,18,_binary '',NULL,262),(2296,0,'e403d742-21dc-11ea-a9f8-693042a6b9d8','smartFlowSheetKey',NULL,_binary '','Smart Flow Sheet Clinic API Key','java.lang.String','/details/smartFlowSheetKey',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,19,_binary '\0',NULL,262),(2297,0,'e403d743-21dc-11ea-a9f8-693042a6b9d8','mailServer',NULL,_binary '','Mail Server','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.organisationMailServer',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,20,_binary '',NULL,262),(2298,0,'e403d744-21dc-11ea-a9f8-693042a6b9d8','smsAppointment',NULL,_binary '','Appointment SMS','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.organisationSMSAppointment',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,21,_binary '',NULL,262),(2299,0,'e403d745-21dc-11ea-a9f8-693042a6b9d8','letterhead',NULL,_binary '','Letterhead','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.locationLetterhead',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,22,_binary '',NULL,262),(2300,0,'e403d746-21dc-11ea-a9f8-693042a6b9d8','onlineBooking',NULL,_binary '','Online Booking','java.lang.Boolean','/details/onlineBooking',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,23,_binary '\0',NULL,262),(2301,0,'e403d747-21dc-11ea-a9f8-693042a6b9d8','gapBenefitTill',NULL,_binary '','Gap Benefit Till','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.locationGapBenefitTill',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,24,_binary '',NULL,262),(2302,0,'e403d748-21dc-11ea-a9f8-693042a6b9d8','printers',NULL,_binary '','Printers','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.locationPrinter',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,25,_binary '',NULL,262),(2303,0,'e403d749-21dc-11ea-a9f8-693042a6b9d8','templates',NULL,_binary '','Templates','java.util.HashSet','/entityRelationships','EntityRelationship',NULL,'entityRelationship.documentTemplatePrinter',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,26,_binary '',NULL,262),(2304,0,'e403d74a-21dc-11ea-a9f8-693042a6b9d8','serviceRatios',NULL,_binary '','Service Ratios','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.locationProductType',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,27,_binary '',NULL,262),(2305,0,'e403d74c-21dc-11ea-a9f8-693042a6b9d8','followupWorkLists',NULL,_binary '','Follow-up Work Lists','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.followupWorkList',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,28,_binary '',NULL,262),(2306,0,'e408923f-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,263),(2307,0,'e4089240-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,263),(2308,0,'e4089242-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,263),(2309,0,'e4089243-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,263),(2310,0,'e4089244-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/entityRelationships','EntityRelationship',NULL,'entityRelationship.locationOTC',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '',NULL,263),(2311,0,'e4089246-21dc-11ea-a9f8-693042a6b9d8','patients',NULL,_binary '','Patients','java.util.HashSet','/sourceEntityRelationships','EntityRelationship',NULL,'entityRelationship.patient*',NULL,_binary '\0',_binary '',_binary '\0',0,0,0,255,5,_binary '',NULL,263),(2312,0,'e4089249-21dc-11ea-a9f8-693042a6b9d8','contacts',NULL,_binary '','Contacts','java.util.HashSet','/contacts','Contact',NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,0,0,255,6,_binary '',NULL,263),(2313,0,'e408924b-21dc-11ea-a9f8-693042a6b9d8','identities',NULL,_binary '','Identities','java.util.HashSet','/identities','Identity',NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,0,0,255,7,_binary '',NULL,263),(2314,0,'e408924d-21dc-11ea-a9f8-693042a6b9d8','type',NULL,_binary '','Type','java.util.HashSet','/classifications','Classification',NULL,'lookup.customerAccountType',NULL,_binary '\0',_binary '',_binary '\0',0,0,0,255,8,_binary '\0',NULL,263),(2315,0,'e408924e-21dc-11ea-a9f8-693042a6b9d8','practice',NULL,_binary '','Practice','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.customerLocation',NULL,_binary '\0',_binary '',_binary '\0',0,0,0,255,9,_binary '',NULL,263),(2316,0,'e40d4d40-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,264),(2317,0,'e40d4d41-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Practice Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,264),(2318,0,'e40d4d43-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,264),(2319,0,'e40d4d44-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,264),(2320,0,'e40d4d45-21dc-11ea-a9f8-693042a6b9d8','currency',NULL,_binary '','Currency','java.lang.String','/details/currency',NULL,'openvpms:defaultLookup(.,\'currency\')',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,264),(2321,0,'e40d4d47-21dc-11ea-a9f8-693042a6b9d8','addressFormat',NULL,_binary '','Address Format','java.lang.String','/details/addressFormat',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,264),(2322,0,'e40d4d49-21dc-11ea-a9f8-693042a6b9d8','patientAgeFormat',NULL,_binary '','Patient Age Format','java.lang.String','/details/patientAgeFormat',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,264),(2323,0,'e40d4d4b-21dc-11ea-a9f8-693042a6b9d8','estimateExpiryPeriod',NULL,_binary '','Estimate Expiry','java.lang.Integer','/details/estimateExpiryPeriod',NULL,'30',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,264),(2324,0,'e40d4d4c-21dc-11ea-a9f8-693042a6b9d8','estimateExpiryUnits',NULL,_binary '','Estimate Expiry Units','java.lang.String','/details/estimateExpiryUnits',NULL,'\'DAYS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,264),(2325,0,'e40d4d4e-21dc-11ea-a9f8-693042a6b9d8','prescriptionExpiryPeriod',NULL,_binary '','Prescription Expiry','java.lang.Integer','/details/prescriptionExpiryPeriod',NULL,'1',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,264),(2326,0,'e40d4d4f-21dc-11ea-a9f8-693042a6b9d8','prescriptionExpiryUnits',NULL,_binary '','Prescription Expiry Units','java.lang.String','/details/prescriptionExpiryUnits',NULL,'\'YEARS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,264),(2327,0,'e40d4d51-21dc-11ea-a9f8-693042a6b9d8','fileExportFormat',NULL,_binary '','File Export Format','java.lang.String','/details/fileExportFormat',NULL,'COMMA',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,264),(2328,0,'e40d4d53-21dc-11ea-a9f8-693042a6b9d8','autoLockScreen',NULL,_binary '','Auto Lock Screen','java.lang.Integer','/details/autoLockScreen',NULL,'5',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,12,_binary '\0',NULL,264),(2329,0,'e40d4d54-21dc-11ea-a9f8-693042a6b9d8','autoLogout',NULL,_binary '','Auto Logout','java.lang.Integer','/details/autoLogout',NULL,'30',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,13,_binary '\0',NULL,264),(2330,0,'e40d4d55-21dc-11ea-a9f8-693042a6b9d8','schedulingRefresh',NULL,_binary '','Scheduling Refresh','java.lang.Integer','/details/schedulingRefresh',NULL,'30',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,14,_binary '\0',NULL,264),(2331,0,'e40d4d56-21dc-11ea-a9f8-693042a6b9d8','showProblemsInVisit',NULL,_binary '','Show Problems In Visit','java.lang.Boolean','/details/showProblemsInVisit',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,15,_binary '\0',NULL,264),(2332,0,'e40d4d57-21dc-11ea-a9f8-693042a6b9d8','ignoreListPriceDecreases',NULL,_binary '','Ignore List Price Decreases','java.lang.Boolean','/details/ignoreListPriceDecreases',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,16,_binary '\0',NULL,264),(2333,0,'e40d4d58-21dc-11ea-a9f8-693042a6b9d8','logCommunication',NULL,_binary '','Log Communication','java.lang.Boolean','/details/logCommunication',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,17,_binary '\0',NULL,264),(2334,0,'e40d4d59-21dc-11ea-a9f8-693042a6b9d8','recordLockPeriod',NULL,_binary '','Record Lock Period','java.lang.Integer','/details/recordLockPeriod',NULL,'24',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,18,_binary '\0',NULL,264),(2335,0,'e40d4d5a-21dc-11ea-a9f8-693042a6b9d8','recordLockPeriodUnits',NULL,_binary '','Record Lock Period Units','java.lang.String','/details/recordLockPeriodUnits',NULL,'\'HOURS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,19,_binary '\0',NULL,264),(2336,0,'e40d4d5c-21dc-11ea-a9f8-693042a6b9d8','minimumQuantities',NULL,_binary '','Minimum Quantities','java.lang.Boolean','/details/minimumQuantities',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,20,_binary '\0',NULL,264),(2337,0,'e40d4d5d-21dc-11ea-a9f8-693042a6b9d8','minimumQuantitiesOverride',NULL,_binary '','Override','java.lang.String','/details/minimumQuantitiesOverride',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,21,_binary '\0',NULL,264),(2338,0,'e40d4d5f-21dc-11ea-a9f8-693042a6b9d8','showPricesTaxInclusive',NULL,_binary '','Show Prices Tax Inclusive','java.lang.Boolean','/details/showPricesTaxInclusive',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,22,_binary '\0',NULL,264),(2339,0,'e40d4d60-21dc-11ea-a9f8-693042a6b9d8','useLocationProducts',NULL,_binary '','Use Location Products','java.lang.Boolean','/details/useLocationProducts',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,23,_binary '\0',NULL,264),(2340,0,'e40d4d61-21dc-11ea-a9f8-693042a6b9d8','followUpAtCheckOut',NULL,_binary '','Follow Up At Check Out','java.lang.Boolean','/details/followUpAtCheckOut',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,24,_binary '\0',NULL,264),(2341,0,'e40d4d62-21dc-11ea-a9f8-693042a6b9d8','useLoggedInClinician',NULL,_binary '','Use Logged In Clinician','java.lang.Boolean','/details/useLoggedInClinician',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,25,_binary '\0',NULL,264),(2342,0,'e40d4d63-21dc-11ea-a9f8-693042a6b9d8','shortUserNameFormat',NULL,_binary '','Short User Name Format','java.lang.String','/details/shortUserNameFormat',NULL,'\'NAME\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,26,_binary '\0',NULL,264),(2343,0,'e40d4d65-21dc-11ea-a9f8-693042a6b9d8','mediumUserNameFormat',NULL,_binary '','Medium User Name Format','java.lang.String','/details/mediumUserNameFormat',NULL,'\'TITLE_NAME\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,27,_binary '\0',NULL,264),(2344,0,'e40d4d67-21dc-11ea-a9f8-693042a6b9d8','longUserNameFormat',NULL,_binary '','Long User Name Format','java.lang.String','/details/longUserNameFormat',NULL,'\'TITLE_NAME_QUALIFICATIONS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,28,_binary '\0',NULL,264),(2345,0,'e40d4d69-21dc-11ea-a9f8-693042a6b9d8','restrictOrdering',NULL,_binary '','Restrict Ordering','java.lang.Boolean','/details/restrictOrdering',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,29,_binary '\0',NULL,264),(2346,0,'e40d4d6a-21dc-11ea-a9f8-693042a6b9d8','pharmacyOrderDiscontinuePeriod',NULL,_binary '','Pharmacy Order Discontinue Period','java.lang.Integer','/details/pharmacyOrderDiscontinuePeriod',NULL,'0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,30,_binary '\0',NULL,264),(2347,0,'e40d4d6b-21dc-11ea-a9f8-693042a6b9d8','pharmacyOrderDiscontinuePeriodUnits',NULL,_binary '','Pharmacy Order Discontinue Period Units','java.lang.String','/details/pharmacyOrderDiscontinuePeriodUnits',NULL,'\'MINUTES\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,31,_binary '\0',NULL,264),(2348,0,'e40d4d6d-21dc-11ea-a9f8-693042a6b9d8','appointmentCacheMaxElements',NULL,_binary '','Appointment Cache Max Elements','java.lang.Long','/details/appointmentCacheMaxElements',NULL,'30',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,32,_binary '\0',NULL,264),(2349,0,'e40d4d6e-21dc-11ea-a9f8-693042a6b9d8','calendarCacheMaxElements',NULL,_binary '','Calendar Cache Max Elements','java.lang.Long','/details/calendarCacheMaxElements',NULL,'30',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,33,_binary '\0',NULL,264),(2350,0,'e40d4d6f-21dc-11ea-a9f8-693042a6b9d8','taskCacheMaxElements',NULL,_binary '','Task Cache Max Elements','java.lang.Long','/details/taskCacheMaxElements',NULL,'30',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,34,_binary '\0',NULL,264),(2351,0,'e40d4d70-21dc-11ea-a9f8-693042a6b9d8','rosterAreaCacheMaxElements',NULL,_binary '','Roster Area Cache Max Elements','java.lang.Long','/details/rosterAreaCacheMaxElements',NULL,'30',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,35,_binary '\0',NULL,264),(2352,0,'e40d4d71-21dc-11ea-a9f8-693042a6b9d8','rosterUserCacheMaxElements',NULL,_binary '','Roster User Cache Max Elements','java.lang.Long','/details/rosterUserCacheMaxElements',NULL,'30',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,36,_binary '\0',NULL,264),(2353,0,'e40d4d72-21dc-11ea-a9f8-693042a6b9d8','lookupCacheMaxElements',NULL,_binary '','Lookup Cache Max Elements','java.lang.Long','/details/lookupCacheMaxElements',NULL,'40000',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,37,_binary '\0',NULL,264),(2354,0,'e40d4d73-21dc-11ea-a9f8-693042a6b9d8','contacts',NULL,_binary '','Contacts','java.util.HashSet','/contacts','Contact',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,38,_binary '',NULL,264),(2355,0,'e40d4d75-21dc-11ea-a9f8-693042a6b9d8','serviceUser',NULL,_binary '','Service User','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.practiceServiceUser',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,39,_binary '',NULL,264),(2356,0,'e40d4d76-21dc-11ea-a9f8-693042a6b9d8','locations',NULL,_binary '','Locations','java.util.HashSet','/entityRelationships','EntityRelationship',NULL,'entityRelationship.practiceLocation',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,40,_binary '',NULL,264),(2357,0,'e40d4d78-21dc-11ea-a9f8-693042a6b9d8','taxes',NULL,_binary '','Taxes','java.util.HashSet','/classifications','Classification',NULL,'lookup.taxType',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,41,_binary '\0',NULL,264),(2358,0,'e40d4d79-21dc-11ea-a9f8-693042a6b9d8','templates',NULL,_binary '','Templates','java.util.HashSet','/entityRelationships','EntityRelationship',NULL,'entityRelationship.documentTemplatePrinter',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,42,_binary '',NULL,264),(2359,0,'e40d4d7a-21dc-11ea-a9f8-693042a6b9d8','mailServer',NULL,_binary '','Mail Server','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.organisationMailServer',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,43,_binary '',NULL,264),(2360,0,'e40d4d7b-21dc-11ea-a9f8-693042a6b9d8','sms',NULL,_binary '','SMS','java.util.HashSet','/entityRelationships','EntityRelationship',NULL,'entityRelationship.practiceSMSConfiguration',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,44,_binary '',NULL,264),(2361,0,'e40d4d7c-21dc-11ea-a9f8-693042a6b9d8','smsAppointment',NULL,_binary '','Appointment SMS','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.organisationSMSAppointment',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,45,_binary '',NULL,264),(2362,0,'e40d4d7d-21dc-11ea-a9f8-693042a6b9d8','reminderConfiguration',NULL,_binary '','Reminder Configuration','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.practiceReminderConfiguration',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,46,_binary '',NULL,264),(2363,0,'e40d4d7e-21dc-11ea-a9f8-693042a6b9d8','smartflowConfiguration',NULL,_binary '','Smart Flow Sheet Configuration','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.smartflowConfiguration',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,47,_binary '',NULL,264),(2364,0,'e4147970-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,265),(2365,0,'e4147971-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,265),(2366,0,'e4147973-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,265),(2367,0,'e4147974-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,265),(2368,0,'e4147975-21dc-11ea-a9f8-693042a6b9d8','defaultAuthor',NULL,_binary '','Default Author','java.util.HashSet','/sourceEntityRelationships','EntityRelationship',NULL,'entityRelationship.stockLocationDefaultAuthor',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '',NULL,265),(2369,0,'e4147977-21dc-11ea-a9f8-693042a6b9d8','locations',NULL,_binary '','Locations','java.util.HashSet','/targetEntityRelationships','EntityRelationship',NULL,'entityRelationship.locationStockLocation',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,5,_binary '',NULL,265),(2370,0,'e416ea7b-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,266),(2371,0,'e416ea7c-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,266),(2372,0,'e416ea7e-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Last Cleared : \', expr:if(boolean(/details/lastCleared), date:formatDateTime(/details/lastCleared, \'medium\', \'short\'), \'Never\'), \', Cash Float : \',/details/tillFloat)',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,266),(2373,0,'e416ea7f-21dc-11ea-a9f8-693042a6b9d8','tillFloat',NULL,_binary '','Till Float','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/tillFloat',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,266),(2374,0,'e416ea80-21dc-11ea-a9f8-693042a6b9d8','lastCleared',NULL,_binary '','Last Cleared','java.util.Date','/details/lastCleared',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,266),(2375,0,'e416ea81-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,266),(2376,0,'e416ea82-21dc-11ea-a9f8-693042a6b9d8','printerName',NULL,_binary '','Printer Name','java.lang.String','/details/printerName',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,266),(2377,0,'e416ea83-21dc-11ea-a9f8-693042a6b9d8','drawerCommand',NULL,_binary '','Drawer Command','java.lang.String','/details/drawerCommand',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,266),(2378,0,'e416ea85-21dc-11ea-a9f8-693042a6b9d8','locations',NULL,_binary '','Locations','java.util.HashSet','/targetEntityRelationships','EntityRelationship',NULL,'entityRelationship.locationTill',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,8,_binary '',NULL,266),(2379,0,'e4193479-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,267),(2380,0,'e419347a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Alert\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,267),(2381,0,'e419347b-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(openvpms:get(., \'alertType.entity.name\'), expr:concatIf(\' - \', /reason), expr:concatIf(\', End Date: \', date:formatDate(/activityEndTime)))',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,267),(2382,0,'e419347c-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,267),(2383,0,'e419347d-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','End Date','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,267),(2384,0,'e419347e-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,5,_binary '',NULL,267),(2385,0,'e419347f-21dc-11ea-a9f8-693042a6b9d8','alertType',NULL,_binary '','Alert Type','java.util.HashSet','/participations',NULL,NULL,'participation.patientAlertType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '',NULL,267),(2386,0,'e4193480-21dc-11ea-a9f8-693042a6b9d8','reason',NULL,_binary '','Reason','java.lang.String','/reason',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,100,7,_binary '\0',NULL,267),(2387,0,'e4193481-21dc-11ea-a9f8-693042a6b9d8','product',NULL,_binary '','Product','java.util.HashSet','/participations',NULL,NULL,'participation.product',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '',NULL,267),(2388,0,'e4193482-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '',NULL,267),(2389,0,'e4193483-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,10,_binary '\0',NULL,267),(2390,0,'e4193485-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,11,_binary '',NULL,267),(2391,0,'e4193486-21dc-11ea-a9f8-693042a6b9d8','notes',NULL,_binary '','Notes','java.lang.String','/details/notes',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,2000,12,_binary '\0',NULL,267),(2392,0,'e4193487-21dc-11ea-a9f8-693042a6b9d8','invoiceItem',NULL,_binary '','Invoice Item','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.invoiceItemAlert',NULL,_binary '',_binary '',_binary '\0',0,1,0,255,13,_binary '',NULL,267),(2393,0,'e41ba489-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,268),(2394,0,'e41ba48a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Addendum\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,268),(2395,0,'e41ba48b-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,268),(2396,0,'e41ba48c-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,268),(2397,0,'e41ba48d-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,4,_binary '\0',NULL,268),(2398,0,'e41ba48f-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,5,_binary '',NULL,268),(2399,0,'e41ba490-21dc-11ea-a9f8-693042a6b9d8','note',NULL,_binary '','Note','java.lang.String','/details/note',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,6,_binary '\0',NULL,268),(2400,0,'e41ba491-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '',NULL,268),(2401,0,'e41ba492-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,8,_binary '',NULL,268),(2402,0,'e41ba493-21dc-11ea-a9f8-693042a6b9d8','record',NULL,_binary '','Record','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientClinicalAddendum',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,9,_binary '',NULL,268),(2403,0,'e41ba494-21dc-11ea-a9f8-693042a6b9d8','event',NULL,_binary '','Event','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientClinicalEventItem',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,10,_binary '',NULL,268),(2404,0,'e41ba495-21dc-11ea-a9f8-693042a6b9d8','problem',NULL,_binary '','Problem','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientClinicalProblemItem',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,11,_binary '',NULL,268),(2405,0,'e4205f87-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,269),(2406,0,'e4205f88-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Visit\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,269),(2407,0,'e4205f89-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(date:formatDate(/activityStartTime),\' - \',date:formatDate(/activityEndTime), expr:concatIf(\' : \', openvpms:lookup(.,\'reason\')))',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,269),(2408,0,'e4205f8a-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Start Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,269),(2409,0,'e4205f8b-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','Complete Date','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,269),(2410,0,'e4205f8c-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,5,_binary '',NULL,269),(2411,0,'e4205f8d-21dc-11ea-a9f8-693042a6b9d8','reason',NULL,_binary '','Reason','java.lang.String','/reason',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,269),(2412,0,'e4205f8f-21dc-11ea-a9f8-693042a6b9d8','title',NULL,_binary '','Summary','java.lang.String','/title',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,50,7,_binary '\0',NULL,269),(2413,0,'e4205f90-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '',NULL,269),(2414,0,'e4205f91-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/participations',NULL,NULL,'participation.location',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,9,_binary '',NULL,269),(2415,0,'e4205f92-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,10,_binary '\0',NULL,269),(2416,0,'e4205f94-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,11,_binary '',NULL,269),(2417,0,'e4205f95-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Records','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.patientClinicalEventItem',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,12,_binary '',NULL,269),(2418,0,'e4205f96-21dc-11ea-a9f8-693042a6b9d8','chargeItems',NULL,_binary '','Charges','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.patientClinicalEventChargeItem',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,13,_binary '',NULL,269),(2419,0,'e4205f97-21dc-11ea-a9f8-693042a6b9d8','appointment',NULL,_binary '','Appointment','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.appointmentClinicalEvent',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,14,_binary '',NULL,269),(2420,0,'e422d099-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,270),(2421,0,'e422d09a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Note\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,270),(2422,0,'e422d09b-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,270),(2423,0,'e422d09c-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,270),(2424,0,'e422d09d-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,4,_binary '\0',NULL,270),(2425,0,'e422d09f-21dc-11ea-a9f8-693042a6b9d8','identities',NULL,_binary '','Identities','java.util.HashSet','/identities',NULL,NULL,'actIdentity.*',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,5,_binary '',NULL,270),(2426,0,'e422d0a0-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,6,_binary '',NULL,270),(2427,0,'e422d0a1-21dc-11ea-a9f8-693042a6b9d8','note',NULL,_binary '','Note','java.lang.String','/details/note',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,7,_binary '\0',NULL,270),(2428,0,'e422d0a2-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '',NULL,270),(2429,0,'e422d0a3-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,9,_binary '',NULL,270),(2430,0,'e422d0a4-21dc-11ea-a9f8-693042a6b9d8','event',NULL,_binary '','Event','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientClinicalEventItem',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,10,_binary '',NULL,270),(2431,0,'e422d0a6-21dc-11ea-a9f8-693042a6b9d8','problem',NULL,_binary '','Problem','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientClinicalProblemItem',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,11,_binary '',NULL,270),(2432,0,'e422d0a7-21dc-11ea-a9f8-693042a6b9d8','addenda',NULL,_binary '','Addenda','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.patientClinicalItemAddendum',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,12,_binary '',NULL,270),(2433,0,'e42541a9-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,271),(2434,0,'e42541aa-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Problem\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,271),(2435,0,'e42541ab-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(expr:if(boolean(/reason), openvpms:lookup(.,\'reason\'), \'No Diagnosis\'),\' (\',openvpms:lookup(.,\'status\'),\')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,271),(2436,0,'e42541ac-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,271),(2437,0,'e42541ad-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,4,_binary '',NULL,271),(2438,0,'e42541ae-21dc-11ea-a9f8-693042a6b9d8','presentingComplaint',NULL,_binary '','Presenting Complaint','java.lang.String','/details/presentingComplaint',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,271),(2439,0,'e42541b0-21dc-11ea-a9f8-693042a6b9d8','reason',NULL,_binary '','Diagnosis','java.lang.String','/reason',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,271),(2440,0,'e42541b2-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'UNRESOLVED\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,271),(2441,0,'e42541b4-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','Resolved Date','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,271),(2442,0,'e42541b5-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Records','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,9,_binary '',NULL,271),(2443,0,'e42541b7-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '',NULL,271),(2444,0,'e42541b8-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,11,_binary '',NULL,271),(2445,0,'e42541b9-21dc-11ea-a9f8-693042a6b9d8','events',NULL,_binary '','Events','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientClinicalEventItem',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,12,_binary '',NULL,271),(2446,0,'e4278bac-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,272),(2447,0,'e4278bad-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Customer Note\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,272),(2448,0,'e4278bae-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,272),(2449,0,'e4278baf-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,272),(2450,0,'e4278bb0-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '',NULL,272),(2451,0,'e4278bb1-21dc-11ea-a9f8-693042a6b9d8','note',NULL,_binary '','Note','java.lang.String','/details/note',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,5,_binary '\0',NULL,272),(2452,0,'e4278bb2-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '',NULL,272),(2453,0,'e4278bb3-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,7,_binary '',NULL,272),(2454,0,'e4278bb4-21dc-11ea-a9f8-693042a6b9d8','event',NULL,_binary '','Event','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientClinicalEventItem',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,8,_binary '',NULL,272),(2455,0,'e4278bb5-21dc-11ea-a9f8-693042a6b9d8','problem',NULL,_binary '','Problem','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientClinicalProblemItem',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,9,_binary '',NULL,272),(2456,0,'e429fcb7-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,273),(2457,0,'e429fcb8-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Patient Attachment\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,273),(2458,0,'e429fcb9-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,273),(2459,0,'e429fcba-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,273),(2460,0,'e429fcbb-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,273),(2461,0,'e429fcbd-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,273),(2462,0,'e429fcbe-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '',NULL,273),(2463,0,'e429fcbf-21dc-11ea-a9f8-693042a6b9d8','document',NULL,_binary '','Attachment','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,273),(2464,0,'e429fcc0-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,8,_binary '',NULL,273),(2465,0,'e429fcc1-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,9,_binary '\0',NULL,273),(2466,0,'e429fcc2-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,10,_binary '\0',NULL,273),(2467,0,'e429fcc3-21dc-11ea-a9f8-693042a6b9d8','identities',NULL,_binary '','Identities','java.util.HashSet','/identities',NULL,NULL,'actIdentity.*',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,11,_binary '',NULL,273),(2468,0,'e429fcc4-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,12,_binary '',NULL,273),(2469,0,'e429fcc5-21dc-11ea-a9f8-693042a6b9d8','versions',NULL,_binary '','Versions','java.util.HashSet','/sourceActRelationships',NULL,NULL,'actRelationship.patientDocumentAttachmentVersion',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,13,_binary '',NULL,273),(2470,0,'e429fcc6-21dc-11ea-a9f8-693042a6b9d8','event',NULL,_binary '','Event','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientClinicalEventItem',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,14,_binary '',NULL,273),(2471,0,'e429fcc7-21dc-11ea-a9f8-693042a6b9d8','problem',NULL,_binary '','Problem','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientClinicalProblemItem',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,15,_binary '',NULL,273),(2472,0,'e42c46b9-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,274),(2473,0,'e42c46ba-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Patient Attachment\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,274),(2474,0,'e42c46bb-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,274),(2475,0,'e42c46bc-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,274),(2476,0,'e42c46be-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,274),(2477,0,'e42c46bf-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,274),(2478,0,'e42c46c0-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '',NULL,274),(2479,0,'e42c46c1-21dc-11ea-a9f8-693042a6b9d8','document',NULL,_binary '','Attachment','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,274),(2480,0,'e42c46c2-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,274),(2481,0,'e42c46c3-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,9,_binary '\0',NULL,274),(2482,0,'e42c46c4-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,10,_binary '',NULL,274),(2483,0,'e42c46c5-21dc-11ea-a9f8-693042a6b9d8','parent',NULL,_binary '','Parent','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientDocumentAttachmentVersion',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,11,_binary '',NULL,274),(2484,0,'e42eb7c7-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,275),(2485,0,'e42eb7c8-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Patient Form\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,275),(2486,0,'e42eb7c9-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,275),(2487,0,'e42eb7ca-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,275),(2488,0,'e42eb7cb-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,275),(2489,0,'e42eb7cd-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,275),(2490,0,'e42eb7ce-21dc-11ea-a9f8-693042a6b9d8','documentTemplate',NULL,_binary '','Form','java.util.HashSet','/participations',NULL,NULL,'participation.documentTemplate',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '',NULL,275),(2491,0,'e42eb7cf-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,7,_binary '',NULL,275),(2492,0,'e42eb7d0-21dc-11ea-a9f8-693042a6b9d8','product',NULL,_binary '','Product','java.util.HashSet','/participations',NULL,NULL,'participation.product',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '',NULL,275),(2493,0,'e42eb7d1-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '',NULL,275),(2494,0,'e42eb7d2-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,10,_binary '',NULL,275),(2495,0,'e42eb7d3-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,11,_binary '\0',NULL,275),(2496,0,'e42eb7d4-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,12,_binary '\0',NULL,275),(2497,0,'e42eb7d5-21dc-11ea-a9f8-693042a6b9d8','event',NULL,_binary '','Event','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientClinicalEventItem',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,13,_binary '',NULL,275),(2498,0,'e42eb7d6-21dc-11ea-a9f8-693042a6b9d8','invoiceItem',NULL,_binary '','Invoice Item','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.invoiceItemDocument',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,14,_binary '',NULL,275),(2499,0,'e42eb7d7-21dc-11ea-a9f8-693042a6b9d8','problem',NULL,_binary '','Problem','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientClinicalProblemItem',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,15,_binary '',NULL,275),(2500,0,'e43372c9-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,276),(2501,0,'e43372ca-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Patient Image\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,276),(2502,0,'e43372cb-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,276),(2503,0,'e43372cc-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,276),(2504,0,'e43372cd-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,276),(2505,0,'e43372cf-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,276),(2506,0,'e43372d0-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '',NULL,276),(2507,0,'e43372d1-21dc-11ea-a9f8-693042a6b9d8','document',NULL,_binary '','Image','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,276),(2508,0,'e43372d2-21dc-11ea-a9f8-693042a6b9d8','docReference',NULL,_binary '','Doc Reference','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,8,_binary '\0',NULL,276),(2509,0,'e43372d3-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,9,_binary '',NULL,276),(2510,0,'e43372d4-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,10,_binary '',NULL,276),(2511,0,'e43372d5-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,11,_binary '\0',NULL,276),(2512,0,'e43372d6-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,12,_binary '\0',NULL,276),(2513,0,'e43372d7-21dc-11ea-a9f8-693042a6b9d8','versions',NULL,_binary '','Versions','java.util.HashSet','/sourceActRelationships',NULL,NULL,'actRelationship.patientDocumentImageVersion',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,13,_binary '',NULL,276),(2514,0,'e43372d8-21dc-11ea-a9f8-693042a6b9d8','event',NULL,_binary '','Event','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientClinicalEventItem',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,14,_binary '',NULL,276),(2515,0,'e43372d9-21dc-11ea-a9f8-693042a6b9d8','problem',NULL,_binary '','Problem','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientClinicalProblemItem',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,15,_binary '',NULL,276),(2516,0,'e435e3db-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,277),(2517,0,'e435e3dc-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Patient Image Version\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,277),(2518,0,'e435e3dd-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,277),(2519,0,'e435e3de-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,277),(2520,0,'e435e3e0-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,277),(2521,0,'e435e3e1-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,277),(2522,0,'e435e3e2-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '',NULL,277),(2523,0,'e435e3e3-21dc-11ea-a9f8-693042a6b9d8','document',NULL,_binary '','Image','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,277),(2524,0,'e435e3e4-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,8,_binary '',NULL,277),(2525,0,'e435e3e5-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,9,_binary '\0',NULL,277),(2526,0,'e435e3e6-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,10,_binary '\0',NULL,277),(2527,0,'e435e3e7-21dc-11ea-a9f8-693042a6b9d8','parent',NULL,_binary '','Parent','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientDocumentImageVersion',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,11,_binary '',NULL,277),(2528,0,'e4382dd9-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,278),(2529,0,'e4382dda-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Patient Letter\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,278),(2530,0,'e4382ddb-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,278),(2531,0,'e4382ddc-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,278),(2532,0,'e4382ddd-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,278),(2533,0,'e4382ddf-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,278),(2534,0,'e4382de0-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '',NULL,278),(2535,0,'e4382de1-21dc-11ea-a9f8-693042a6b9d8','documentTemplate',NULL,_binary '','Template','java.util.HashSet','/participations',NULL,NULL,'participation.documentTemplate',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '',NULL,278),(2536,0,'e4382de2-21dc-11ea-a9f8-693042a6b9d8','document',NULL,_binary '','Document','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,278),(2537,0,'e4382de3-21dc-11ea-a9f8-693042a6b9d8','docReference',NULL,_binary '','Doc Reference','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,9,_binary '\0',NULL,278),(2538,0,'e4382de4-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,10,_binary '',NULL,278),(2539,0,'e4382de5-21dc-11ea-a9f8-693042a6b9d8','product',NULL,_binary '','Product','java.util.HashSet','/participations',NULL,NULL,'participation.product',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '',NULL,278),(2540,0,'e4382de6-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,12,_binary '',NULL,278),(2541,0,'e4382de7-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,13,_binary '\0',NULL,278),(2542,0,'e4382de8-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,14,_binary '\0',NULL,278),(2543,0,'e4382de9-21dc-11ea-a9f8-693042a6b9d8','versions',NULL,_binary '','Versions','java.util.HashSet','/sourceActRelationships',NULL,NULL,'actRelationship.patientDocumentLetterVersion',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,15,_binary '',NULL,278),(2544,0,'e4382dea-21dc-11ea-a9f8-693042a6b9d8','event',NULL,_binary '','Event','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientClinicalEventItem',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,16,_binary '',NULL,278),(2545,0,'e4382deb-21dc-11ea-a9f8-693042a6b9d8','invoiceItem',NULL,_binary '','Invoice Item','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.invoiceItemDocument',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,17,_binary '',NULL,278),(2546,0,'e4382dec-21dc-11ea-a9f8-693042a6b9d8','problem',NULL,_binary '','Problem','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientClinicalProblemItem',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,18,_binary '',NULL,278),(2547,0,'e43d0fee-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,279),(2548,0,'e43d0fef-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Patient Letter\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,279),(2549,0,'e43d0ff0-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,279),(2550,0,'e43d0ff1-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,279),(2551,0,'e43d0ff3-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,279),(2552,0,'e43d0ff4-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,279),(2553,0,'e43d0ff5-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '',NULL,279),(2554,0,'e43d0ff6-21dc-11ea-a9f8-693042a6b9d8','documentTemplate',NULL,_binary '','Template','java.util.HashSet','/participations',NULL,NULL,'participation.documentTemplate',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '',NULL,279),(2555,0,'e43d0ff7-21dc-11ea-a9f8-693042a6b9d8','document',NULL,_binary '','Document','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,279),(2556,0,'e43d0ff8-21dc-11ea-a9f8-693042a6b9d8','product',NULL,_binary '','Product','java.util.HashSet','/participations',NULL,NULL,'participation.product',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '',NULL,279),(2557,0,'e43d0ff9-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,10,_binary '',NULL,279),(2558,0,'e43d0ffa-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,11,_binary '\0',NULL,279),(2559,0,'e43d0ffb-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,12,_binary '\0',NULL,279),(2560,0,'e43d0ffc-21dc-11ea-a9f8-693042a6b9d8','parent',NULL,_binary '','Parent','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientDocumentLetterVersion',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,13,_binary '',NULL,279),(2561,0,'e43f59ee-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,280),(2562,0,'e43f59ef-21dc-11ea-a9f8-693042a6b9d8','orderId',NULL,_binary '','Order Id','java.util.HashSet','/identities','Identity',NULL,'actIdentity.laboratoryOrder*',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,1,_binary '',NULL,280),(2563,0,'e43f59f0-21dc-11ea-a9f8-693042a6b9d8','reportId',NULL,_binary '','Report Id','java.util.HashSet','/identities','Identity',NULL,'actIdentity.laboratoryReport*',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,2,_binary '',NULL,280),(2564,0,'e43f59f1-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Patient Investigation\'',_binary '\0',_binary '',_binary '',1,1,0,255,3,_binary '\0',NULL,280),(2565,0,'e43f59f2-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,280),(2566,0,'e43f59f3-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','Last Updated','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,280),(2567,0,'e43f59f4-21dc-11ea-a9f8-693042a6b9d8','investigationType',NULL,_binary '','Investigation Type','java.util.HashSet','/participations',NULL,NULL,'participation.investigationType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '',NULL,280),(2568,0,'e43f59f5-21dc-11ea-a9f8-693042a6b9d8','tests',NULL,_binary '','Tests','java.util.HashSet','/participations',NULL,NULL,'participation.laboratoryTest',NULL,_binary '',_binary '\0',_binary '\0',0,-1,0,255,7,_binary '',NULL,280),(2569,0,'e43f59f6-21dc-11ea-a9f8-693042a6b9d8','products',NULL,_binary '','Products','java.util.HashSet','/participations',NULL,NULL,'participation.product',NULL,_binary '',_binary '\0',_binary '\0',0,-1,0,255,8,_binary '',NULL,280),(2570,0,'e43f59f7-21dc-11ea-a9f8-693042a6b9d8','laboratory',NULL,_binary '','Laboratory','java.util.HashSet','/participations',NULL,NULL,'participation.laboratory',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,9,_binary '',NULL,280),(2571,0,'e43f59f8-21dc-11ea-a9f8-693042a6b9d8','device',NULL,_binary '','Device','java.util.HashSet','/participations',NULL,NULL,'participation.laboratoryDevice',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,10,_binary '',NULL,280),(2572,0,'e43f59f9-21dc-11ea-a9f8-693042a6b9d8','confirmOrder',NULL,_binary '','Confirm Order','java.lang.Boolean','/details/confirmOrder',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,11,_binary '\0',NULL,280),(2573,0,'e43f59fa-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Notes','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,12,_binary '\0',NULL,280),(2574,0,'e43f59fb-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,13,_binary '\0',NULL,280),(2575,0,'e43f59fd-21dc-11ea-a9f8-693042a6b9d8','status2',NULL,_binary '','Order Status','java.lang.String','/status2',NULL,'\'PENDING\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,14,_binary '\0',NULL,280),(2576,0,'e43f59ff-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,15,_binary '\0',NULL,280),(2577,0,'e43f5a00-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,16,_binary '',NULL,280),(2578,0,'e43f5a01-21dc-11ea-a9f8-693042a6b9d8','document',NULL,_binary '','Report','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,17,_binary '\0',NULL,280),(2579,0,'e43f5a02-21dc-11ea-a9f8-693042a6b9d8','docReference',NULL,_binary '','Doc Reference','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,18,_binary '\0',NULL,280),(2580,0,'e43f5a03-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,19,_binary '',NULL,280),(2581,0,'e43f5a04-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,20,_binary '',NULL,280),(2582,0,'e43f5a05-21dc-11ea-a9f8-693042a6b9d8','message',NULL,_binary '','Message','java.lang.String','/details/message',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,5000,21,_binary '\0',NULL,280),(2583,0,'e43f5a06-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,22,_binary '\0',NULL,280),(2584,0,'e43f5a07-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,23,_binary '\0',NULL,280),(2585,0,'e43f5a08-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/participations',NULL,NULL,'participation.location',NULL,_binary '',_binary '',_binary '\0',0,1,0,255,24,_binary '',NULL,280),(2586,0,'e43f5a09-21dc-11ea-a9f8-693042a6b9d8','summary',NULL,_binary '','Summary','java.lang.String','/details/summary',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,5000,25,_binary '\0',NULL,280),(2587,0,'e43f5a0a-21dc-11ea-a9f8-693042a6b9d8','results',NULL,_binary '','Results','java.util.HashSet','/sourceActRelationships',NULL,NULL,'actRelationship.patientInvestigationResults',NULL,_binary '',_binary '\0',_binary '\0',0,-1,0,255,26,_binary '',NULL,280),(2588,0,'e43f5a0b-21dc-11ea-a9f8-693042a6b9d8','synchronisationId',NULL,_binary '','Synchronisation Id','java.lang.String','/details/synchronisationId',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,0,0,100,27,_binary '\0',NULL,280),(2589,0,'e43f5a0c-21dc-11ea-a9f8-693042a6b9d8','versions',NULL,_binary '','Versions','java.util.HashSet','/sourceActRelationships',NULL,NULL,'actRelationship.patientInvestigationVersion',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,28,_binary '',NULL,280),(2590,0,'e43f5a0d-21dc-11ea-a9f8-693042a6b9d8','invoiceItems',NULL,_binary '','Invoice Items','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.invoiceItemInvestigation',NULL,_binary '',_binary '',_binary '\0',0,-1,0,255,29,_binary '',NULL,280),(2591,0,'e43f5a0e-21dc-11ea-a9f8-693042a6b9d8','event',NULL,_binary '','Event','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientClinicalEventItem',NULL,_binary '',_binary '',_binary '\0',0,1,0,255,30,_binary '',NULL,280),(2592,0,'e43f5a0f-21dc-11ea-a9f8-693042a6b9d8','problem',NULL,_binary '','Problem','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientClinicalProblemItem',NULL,_binary '',_binary '',_binary '\0',0,1,0,255,31,_binary '',NULL,280),(2593,0,'e43f5a10-21dc-11ea-a9f8-693042a6b9d8','order',NULL,_binary '','Order','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.patientInvestigationOrder',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,32,_binary '',NULL,280),(2594,0,'e4443c12-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,281),(2595,0,'e4443c13-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,281),(2596,0,'e4443c14-21dc-11ea-a9f8-693042a6b9d8','resultId',NULL,_binary '','Result Id','java.lang.String','/details/resultId',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,2,_binary '\0',NULL,281),(2597,0,'e4443c15-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'PENDING\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,281),(2598,0,'e4443c17-21dc-11ea-a9f8-693042a6b9d8','analyteCode',NULL,_binary '','Analyte Code','java.lang.String','/details/analyteCode',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,4,_binary '\0',NULL,281),(2599,0,'e4443c18-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Analyte Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,281),(2600,0,'e4443c19-21dc-11ea-a9f8-693042a6b9d8','value',NULL,_binary '','Value','java.math.BigDecimal','/details/value',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,281),(2601,0,'e4443c1a-21dc-11ea-a9f8-693042a6b9d8','result',NULL,_binary '','Result','java.lang.String','/details/result',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,281),(2602,0,'e4443c1b-21dc-11ea-a9f8-693042a6b9d8','units',NULL,_binary '','Units','java.lang.String','/details/units',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,281),(2603,0,'e4443c1c-21dc-11ea-a9f8-693042a6b9d8','qualifier',NULL,_binary '','Qualifier','java.lang.String','/details/qualifier',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,281),(2604,0,'e4443c1d-21dc-11ea-a9f8-693042a6b9d8','lowRange',NULL,_binary '','Low Range','java.math.BigDecimal','/details/lowRange',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,281),(2605,0,'e4443c1e-21dc-11ea-a9f8-693042a6b9d8','highRange',NULL,_binary '','High Range','java.math.BigDecimal','/details/highRange',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,281),(2606,0,'e4443c1f-21dc-11ea-a9f8-693042a6b9d8','extremeLowRange',NULL,_binary '','Extreme Low Range','java.math.BigDecimal','/details/extremeLowRange',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,12,_binary '\0',NULL,281),(2607,0,'e4443c20-21dc-11ea-a9f8-693042a6b9d8','extremeHighRange',NULL,_binary '','Extreme High Range','java.math.BigDecimal','/details/extremeHighRange',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,13,_binary '\0',NULL,281),(2608,0,'e4443c21-21dc-11ea-a9f8-693042a6b9d8','outOfRange',NULL,_binary '','Out Of Range','java.lang.Boolean','/details/outOfRange',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,14,_binary '\0',NULL,281),(2609,0,'e4443c22-21dc-11ea-a9f8-693042a6b9d8','referenceRange',NULL,_binary '','Reference Range','java.lang.String','/details/referenceRange',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,15,_binary '\0',NULL,281),(2610,0,'e4443c23-21dc-11ea-a9f8-693042a6b9d8','notes',NULL,_binary '','Notes','java.lang.String','/details/notes',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,5000,16,_binary '\0',NULL,281),(2611,0,'e4443c24-21dc-11ea-a9f8-693042a6b9d8','results',NULL,_binary '','Results','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientInvestigationResultItem',NULL,_binary '',_binary '',_binary '\0',0,1,0,255,17,_binary '',NULL,281),(2612,0,'e4468516-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,282),(2613,0,'e4468517-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Patient Investigation Results\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,282),(2614,0,'e4468518-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Result Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,282),(2615,0,'e4468519-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','Last Updated','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,282),(2616,0,'e446851a-21dc-11ea-a9f8-693042a6b9d8','resultsId',NULL,_binary '','Results Id','java.lang.String','/details/resultsId',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,4,_binary '\0',NULL,282),(2617,0,'e446851b-21dc-11ea-a9f8-693042a6b9d8','test',NULL,_binary '','Test','java.util.HashSet','/participations',NULL,NULL,'participation.laboratoryTest',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,5,_binary '',NULL,282),(2618,0,'e446851c-21dc-11ea-a9f8-693042a6b9d8','categoryCode',NULL,_binary '','Category Code','java.lang.String','/details/categoryCode',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,100,6,_binary '\0',NULL,282),(2619,0,'e446851d-21dc-11ea-a9f8-693042a6b9d8','categoryName',NULL,_binary '','Category','java.lang.String','/details/categoryName',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,100,7,_binary '\0',NULL,282),(2620,0,'e446851e-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'PENDING\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,8,_binary '\0',NULL,282),(2621,0,'e4468520-21dc-11ea-a9f8-693042a6b9d8','notes',NULL,_binary '','Notes','java.lang.String','/details/notes',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,5000,9,_binary '\0',NULL,282),(2622,0,'e4468521-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '',_binary '\0',0,1,0,255,10,_binary '',NULL,282),(2623,0,'e4468522-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Test Results','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.patientInvestigationResultItem',NULL,_binary '',_binary '\0',_binary '\0',0,-1,0,255,11,_binary '',NULL,282),(2624,0,'e4468523-21dc-11ea-a9f8-693042a6b9d8','investigation',NULL,_binary '','Investigation','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientInvestigationResults',NULL,_binary '',_binary '',_binary '\0',0,1,0,255,12,_binary '',NULL,282),(2625,0,'e448f625-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,283),(2626,0,'e448f626-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Patient Investigation\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,283),(2627,0,'e448f627-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,283),(2628,0,'e448f628-21dc-11ea-a9f8-693042a6b9d8','investigationType',NULL,_binary '','Investigation Type','java.util.HashSet','/participations',NULL,NULL,'participation.investigationType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '',NULL,283),(2629,0,'e448f629-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Notes','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,283),(2630,0,'e448f62a-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,5,_binary '\0',NULL,283),(2631,0,'e448f62c-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,6,_binary '\0',NULL,283),(2632,0,'e448f62d-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '',NULL,283),(2633,0,'e448f62e-21dc-11ea-a9f8-693042a6b9d8','document',NULL,_binary '','Report','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,283),(2634,0,'e448f62f-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,9,_binary '',NULL,283),(2635,0,'e448f630-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,10,_binary '\0',NULL,283),(2636,0,'e448f631-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,11,_binary '\0',NULL,283),(2637,0,'e448f632-21dc-11ea-a9f8-693042a6b9d8','parent',NULL,_binary '','Parent','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientInvestigationVersion',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,12,_binary '',NULL,283),(2638,0,'e44db124-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,284),(2639,0,'e44db125-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Medication\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,284),(2640,0,'e44db126-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(openvpms:get(.,\'product.entity.name\'), \' - Qty: \',/details/quantity,\' Expiry: \', expr:if(boolean(/activityEndTime), date:formatDate(/activityEndTime), \'None\'))',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,284),(2641,0,'e44db127-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,284),(2642,0,'e44db128-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','Expiry Date','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,284),(2643,0,'e44db129-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,5,_binary '\0',NULL,284),(2644,0,'e44db12b-21dc-11ea-a9f8-693042a6b9d8','quantity',NULL,_binary '','Quantity','java.math.BigDecimal','/details/quantity',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,284),(2645,0,'e44db12d-21dc-11ea-a9f8-693042a6b9d8','label',NULL,_binary '','Label','java.lang.String','/details/label',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,7,_binary '\0',NULL,284),(2646,0,'e44db12e-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,8,_binary '',NULL,284),(2647,0,'e44db12f-21dc-11ea-a9f8-693042a6b9d8','product',NULL,_binary '','Medication','java.util.HashSet','/participations',NULL,NULL,'participation.product',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,9,_binary '',NULL,284),(2648,0,'e44db130-21dc-11ea-a9f8-693042a6b9d8','batch',NULL,_binary '','Batch','java.util.HashSet','/participations',NULL,NULL,'participation.productBatch',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '',NULL,284),(2649,0,'e44db131-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '',NULL,284),(2650,0,'e44db132-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,12,_binary '',NULL,284),(2651,0,'e44db133-21dc-11ea-a9f8-693042a6b9d8','invoiceItem',NULL,_binary '','Invoice Item','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.invoiceItemDispensing',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,13,_binary '',NULL,284),(2652,0,'e44db134-21dc-11ea-a9f8-693042a6b9d8','event',NULL,_binary '','Event','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientClinicalEventItem',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,14,_binary '',NULL,284),(2653,0,'e44db135-21dc-11ea-a9f8-693042a6b9d8','problem',NULL,_binary '','Problem','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientClinicalProblemItem',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,15,_binary '',NULL,284),(2654,0,'e44db136-21dc-11ea-a9f8-693042a6b9d8','prescription',NULL,_binary '','Prescription','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientPrescriptionMedication',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,16,_binary '',NULL,284),(2655,0,'e44db137-21dc-11ea-a9f8-693042a6b9d8','addenda',NULL,_binary '','Addenda','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.patientClinicalItemAddendum',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,17,_binary '',NULL,284),(2656,0,'e4526c29-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,285),(2657,0,'e4526c2a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Prescription\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,285),(2658,0,'e4526c2b-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(openvpms:get(.,\'product.entity.name\'), \' - \',\'Qty : \',/details/quantity,\' Expiry : \', date:formatDate(/activityEndTime))',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,285),(2659,0,'e4526c2c-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,285),(2660,0,'e4526c2d-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','Expiry Date','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,285),(2661,0,'e4526c2e-21dc-11ea-a9f8-693042a6b9d8','quantity',NULL,_binary '','Quantity','java.math.BigDecimal','/details/quantity',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,285),(2662,0,'e4526c2f-21dc-11ea-a9f8-693042a6b9d8','repeats',NULL,_binary '','Repeats','java.lang.Integer','/details/repeats',NULL,'5',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,285),(2663,0,'e4526c30-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,7,_binary '',NULL,285),(2664,0,'e4526c31-21dc-11ea-a9f8-693042a6b9d8','product',NULL,_binary '','Medication','java.util.HashSet','/participations',NULL,NULL,'participation.medication',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,8,_binary '',NULL,285),(2665,0,'e4526c32-21dc-11ea-a9f8-693042a6b9d8','label',NULL,_binary '','Label','java.lang.String','/details/label',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,9,_binary '\0',NULL,285),(2666,0,'e4526c33-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,10,_binary '',NULL,285),(2667,0,'e4526c34-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,11,_binary '',NULL,285),(2668,0,'e4526c35-21dc-11ea-a9f8-693042a6b9d8','dispensing',NULL,_binary '','Dispensing','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.patientPrescriptionMedication',NULL,_binary '',_binary '\0',_binary '\0',0,-1,0,255,12,_binary '\0',NULL,285),(2669,0,'e4555268-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,286),(2670,0,'e4555269-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Weight\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,286),(2671,0,'e455526a-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/details/weight, \' \', openvpms:lookup(.,\'units\'))',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,286),(2672,0,'e455526b-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,286),(2673,0,'e455526c-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,4,_binary '\0',NULL,286),(2674,0,'e455526e-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,5,_binary '',NULL,286),(2675,0,'e455526f-21dc-11ea-a9f8-693042a6b9d8','weight',NULL,_binary '','Weight','java.math.BigDecimal','/details/weight',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,286),(2676,0,'e4555270-21dc-11ea-a9f8-693042a6b9d8','units',NULL,_binary '','Units','java.lang.String','/details/units',NULL,'\'KILOGRAMS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,30,7,_binary '\0',NULL,286),(2677,0,'e4555272-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '',NULL,286),(2678,0,'e4555273-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,9,_binary '',NULL,286),(2679,0,'e4555274-21dc-11ea-a9f8-693042a6b9d8','event',NULL,_binary '','Event','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientClinicalEventItem',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,10,_binary '',NULL,286),(2680,0,'e4579c67-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,287),(2681,0,'e4579c68-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,287),(2682,0,'e4579c69-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,287),(2683,0,'e4579c6a-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Event','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,287),(2684,0,'e4579c6c-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Charge Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,287),(2685,0,'e45a0d6f-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,288),(2686,0,'e45a0d70-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,288),(2687,0,'e45a0d71-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,288),(2688,0,'e45a0d72-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Event','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,288),(2689,0,'e45a0d74-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Medical Record','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,288),(2690,0,'e45c7e77-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,289),(2691,0,'e45c7e78-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,289),(2692,0,'e45c7e79-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,289),(2693,0,'e45c7e7a-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Record','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,289),(2694,0,'e45c7e7c-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Addendum','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,289),(2695,0,'e45ec86f-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,290),(2696,0,'e45ec870-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,290),(2697,0,'e45ec871-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,290),(2698,0,'e45ec872-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Event','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,290),(2699,0,'e45ec874-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Medical Record','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,290),(2700,0,'e4613977-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,291),(2701,0,'e4613978-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,291),(2702,0,'e4613979-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,291),(2703,0,'e461397a-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Attachment','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,291),(2704,0,'e461397c-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Attachment Version','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,291),(2705,0,'e463aa7f-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,292),(2706,0,'e463aa80-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,292),(2707,0,'e463aa81-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,292),(2708,0,'e463aa82-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Image','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,292),(2709,0,'e463aa84-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Image Version','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,292),(2710,0,'e465f477-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,293),(2711,0,'e465f478-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,293),(2712,0,'e465f479-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,293),(2713,0,'e465f47a-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Letter','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,293),(2714,0,'e465f47c-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Letter Version','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,293),(2715,0,'e468657f-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,294),(2716,0,'e4686580-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,294),(2717,0,'e4686581-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,294),(2718,0,'e4686582-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,294),(2719,0,'e4686583-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Investigation Results','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'act.patientInvestigationResults',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,294),(2720,0,'e4686584-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Result','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'act.patientInvestigationResultItem*',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,294),(2721,0,'e4686585-21dc-11ea-a9f8-693042a6b9d8','sequence',NULL,_binary '','Sequence','java.lang.Integer','/sequence',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,6,_binary '\0',NULL,294),(2722,0,'e46aaf77-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,295),(2723,0,'e46aaf78-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,295),(2724,0,'e46aaf79-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,295),(2725,0,'e46aaf7a-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,295),(2726,0,'e46aaf7b-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Investigation','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'act.patientInvestigation',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,295),(2727,0,'e46aaf7c-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Results','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'act.patientInvestigationResults',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,295),(2728,0,'e46aaf7d-21dc-11ea-a9f8-693042a6b9d8','sequence',NULL,_binary '','Sequence','java.lang.Integer','/sequence',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,6,_binary '\0',NULL,295),(2729,0,'e46d207f-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,296),(2730,0,'e46d2080-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,296),(2731,0,'e46d2081-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,296),(2732,0,'e46d2082-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Letter','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,296),(2733,0,'e46d2084-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Letter Version','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,296),(2734,0,'e46f9187-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,297),(2735,0,'e46f9188-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Prescription Medication\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,297),(2736,0,'e46f9189-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,297),(2737,0,'e46f918a-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Prescription','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,297),(2738,0,'e46f918c-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Medication','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,297),(2739,0,'e471db7f-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,298),(2740,0,'e471db80-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,100,1,_binary '\0',NULL,298),(2741,0,'e471db81-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,298),(2742,0,'e471db82-21dc-11ea-a9f8-693042a6b9d8','lastVaccinationDate',NULL,_binary '','Last Vaccination Date','java.util.Date','/details/lastVaccinationDate',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,298),(2743,0,'e4744c84-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,299),(2744,0,'e4744c85-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,299),(2745,0,'e4744c86-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,299),(2746,0,'e4744c87-21dc-11ea-a9f8-693042a6b9d8','reason',NULL,_binary '','Reason','java.lang.String','/details/reason',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,100,3,_binary '\0',NULL,299),(2747,0,'e4744c88-21dc-11ea-a9f8-693042a6b9d8','priority',NULL,_binary '','Priority','java.lang.String','/details/priority',NULL,'\'HIGH\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,299),(2748,0,'e4744c8a-21dc-11ea-a9f8-693042a6b9d8','mandatoryAlert',NULL,_binary '','Mandatory Alert','java.lang.Boolean','/details/mandatoryAlert',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,299),(2749,0,'e4744c8b-21dc-11ea-a9f8-693042a6b9d8','colour',NULL,_binary '','Colour','java.lang.String','/details/colour',NULL,'\'0xFF0000\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,8,6,_binary '\0',NULL,299),(2750,0,'e4744c8c-21dc-11ea-a9f8-693042a6b9d8','duration',NULL,_binary '','Duration','java.lang.Integer','/details/duration',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,299),(2751,0,'e4744c8d-21dc-11ea-a9f8-693042a6b9d8','durationUnits',NULL,_binary '','Duration Units','java.lang.String','/details/units',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,299),(2752,0,'e4744c8f-21dc-11ea-a9f8-693042a6b9d8','interactive',NULL,_binary '','Interactive','java.lang.Boolean','/details/interactive',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,299),(2753,0,'e4744c90-21dc-11ea-a9f8-693042a6b9d8','class',NULL,_binary '','Class','java.util.HashSet','/classifications','Classification',NULL,'lookup.patientAlertType',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,299),(2754,0,'e4744c91-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,299),(2755,0,'e476bd93-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,300),(2756,0,'e476bd94-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Patient Discount\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,300),(2757,0,'e476bd95-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name, \' (\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,300),(2758,0,'e476bd96-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Patient','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'party.patientpet',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,300),(2759,0,'e476bd97-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Discount','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,300),(2760,0,'e476bd99-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','From Date','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,300),(2761,0,'e476bd9a-21dc-11ea-a9f8-693042a6b9d8','activeEndTime',NULL,_binary '','To Date','java.util.Date','/activeEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,300),(2762,0,'e479078c-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,301),(2763,0,'e479078d-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,301),(2764,0,'e479078e-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,301),(2765,0,'e479078f-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Patient','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,301),(2766,0,'e4790791-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Custom Fields','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,301),(2767,0,'e47b7894-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,302),(2768,0,'e47b7895-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Investigation Type Supplier\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,302),(2769,0,'e47b7896-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'/name',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,302),(2770,0,'e47b7897-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,302),(2771,0,'e47b7898-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Investigation Type','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,302),(2772,0,'e47b789a-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Supplier','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,302),(2773,0,'e47dc28d-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,303),(2774,0,'e47dc28e-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Investigation Type Template\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,303),(2775,0,'e47dc28f-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'/name',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,303),(2776,0,'e47dc290-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,303),(2777,0,'e47dc291-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Investigation Type','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,303),(2778,0,'e47dc293-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Document Template','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,303),(2779,0,'e4803396-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,304),(2780,0,'e4803397-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'concat(\'Patient Location\', \'\')',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,304),(2781,0,'e4803398-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Patient Location\', \'(\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,304),(2782,0,'e4803399-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Customer','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,304),(2783,0,'e480339b-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Patient','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,304),(2784,0,'e480339d-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','From Date','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,304),(2785,0,'e480339e-21dc-11ea-a9f8-693042a6b9d8','activeEndTime',NULL,_binary '','To Date','java.util.Date','/activeEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,304),(2786,0,'e482a4a0-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,305),(2787,0,'e482a4a1-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'concat(\'Patient Owner\', \'\')',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,305),(2788,0,'e482a4a2-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Patient Owner\',\'(\',date:formatDate(/activeStartTime), \' - \',date:formatDate(/activeEndTime),\')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,305),(2789,0,'e482a4a3-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Customer','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,305),(2790,0,'e482a4a5-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Patient','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,305),(2791,0,'e482a4a7-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','From Date','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,305),(2792,0,'e482a4a8-21dc-11ea-a9f8-693042a6b9d8','activeEndTime',NULL,_binary '','To Date','java.util.Date','/activeEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,305),(2793,0,'e484ee9a-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,306),(2794,0,'e484ee9b-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Referred From\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,306),(2795,0,'e484ee9c-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Referred From (\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\', expr:concatIf(\' - \', /details/reason))',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,306),(2796,0,'e484ee9d-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Start Date','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,306),(2797,0,'e484ee9e-21dc-11ea-a9f8-693042a6b9d8','activeEndTime',NULL,_binary '','End Date','java.util.Date','/activeEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,306),(2798,0,'e484ee9f-21dc-11ea-a9f8-693042a6b9d8','reason',NULL,_binary '','Reason','java.lang.String','/details/reason',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,5,_binary '\0',NULL,306),(2799,0,'e484eea0-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Patient','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,306),(2800,0,'e484eea2-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Veterinarian','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,306),(2801,0,'e4875ea5-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,307),(2802,0,'e4875ea6-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Referred To\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,307),(2803,0,'e4875ea7-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Referred To (\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\', expr:concatIf(\' - \', /details/reason))',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,307),(2804,0,'e4875ea8-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Start Date','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,307),(2805,0,'e4875ea9-21dc-11ea-a9f8-693042a6b9d8','activeEndTime',NULL,_binary '','End Date','java.util.Date','/activeEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,307),(2806,0,'e4875eaa-21dc-11ea-a9f8-693042a6b9d8','reason',NULL,_binary '','Reason','java.lang.String','/details/reason',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,5,_binary '\0',NULL,307),(2807,0,'e4875eab-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Patient','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,307),(2808,0,'e4875ead-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Veterinarian','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,307),(2809,0,'e48c19a0-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,308),(2810,0,'e48c19a1-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Clinician','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,308),(2811,0,'e48c19a3-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,308),(2812,0,'e48e8aa6-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,309),(2813,0,'e48e8aa7-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Investigation Type','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,309),(2814,0,'e48e8aa9-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,309),(2815,0,'e490d49c-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,310),(2816,0,'e490d49d-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Patient','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,310),(2817,0,'e490d49f-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,310),(2818,0,'e49345a2-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,311),(2819,0,'e49345a3-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Patient Alert Type','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,'entity.patientAlertType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,311),(2820,0,'e49345a4-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,'act.patientAlertType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,311),(2821,0,'e495b6a6-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,312),(2822,0,'e495b6a7-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Reminder Type','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,312),(2823,0,'e495b6a9-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,312),(2824,0,'e498009c-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,313),(2825,0,'e498009d-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,313),(2826,0,'e498009f-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(openvpms:lookup(.,\'sex\'), expr:concatIf(\' \', /details/colour), \' \',                             openvpms:lookup(.,\'breed\'), expr:concatIf(\' (\',party:identities(),\')\'))',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,313),(2827,0,'e49800a0-21dc-11ea-a9f8-693042a6b9d8','species',NULL,_binary '','Species','java.lang.String','/details/species',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,313),(2828,0,'e49800a2-21dc-11ea-a9f8-693042a6b9d8','breed',NULL,_binary '','Breed','java.lang.String','/details/breed',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,313),(2829,0,'e49800a4-21dc-11ea-a9f8-693042a6b9d8','newBreed',NULL,_binary '','New Breed','java.lang.String','/details/newBreed',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,313),(2830,0,'e49800a5-21dc-11ea-a9f8-693042a6b9d8','colour',NULL,_binary '','Colour','java.lang.String','/details/colour',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,30,6,_binary '\0',NULL,313),(2831,0,'e49800a7-21dc-11ea-a9f8-693042a6b9d8','sex',NULL,_binary '','Sex','java.lang.String','/details/sex',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,313),(2832,0,'e49800a9-21dc-11ea-a9f8-693042a6b9d8','desexed',NULL,_binary '','Desexed','java.lang.Boolean','/details/desexed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,313),(2833,0,'e49800aa-21dc-11ea-a9f8-693042a6b9d8','dateOfBirth',NULL,_binary '','Date Of Birth','java.util.Date','/details/dateOfBirth',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,313),(2834,0,'e49800ab-21dc-11ea-a9f8-693042a6b9d8','age',NULL,_binary '','Age','java.lang.String','/details/age',NULL,NULL,NULL,'party:getPatientAge()',_binary '\0',_binary '\0',_binary '',0,1,0,255,10,_binary '\0',NULL,313),(2835,0,'e49800ac-21dc-11ea-a9f8-693042a6b9d8','deceased',NULL,_binary '','Deceased','java.lang.Boolean','/details/deceased',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,313),(2836,0,'e49800ad-21dc-11ea-a9f8-693042a6b9d8','deceasedDate',NULL,_binary '','Deceased Date','java.util.Date','/details/deceasedDate',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,12,_binary '\0',NULL,313),(2837,0,'e49800ae-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,13,_binary '\0',NULL,313),(2838,0,'e49800af-21dc-11ea-a9f8-693042a6b9d8','createdDate',NULL,_binary '','Created Date','java.util.Date','/details/createdDate',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,14,_binary '\0',NULL,313),(2839,0,'e49800b0-21dc-11ea-a9f8-693042a6b9d8','customers',NULL,_binary '','Customers','java.util.HashSet','/targetEntityRelationships','EntityRelationship',NULL,'entityRelationship.patient*',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,15,_binary '',NULL,313),(2840,0,'e49800b3-21dc-11ea-a9f8-693042a6b9d8','identities',NULL,_binary '','Identities','java.util.HashSet','/identities','Identity',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,16,_binary '',NULL,313),(2841,0,'e49800b5-21dc-11ea-a9f8-693042a6b9d8','referrals',NULL,_binary '','Referrals','java.util.HashSet','/entityRelationships','EntityRelationship',NULL,'entityRelationship.referred*',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,17,_binary '',NULL,313),(2842,0,'e49800b7-21dc-11ea-a9f8-693042a6b9d8','discounts',NULL,_binary '','Discounts','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.patientDiscount',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,18,_binary '',NULL,313),(2843,0,'e49800b8-21dc-11ea-a9f8-693042a6b9d8','customFields',NULL,_binary '','Custom Fields','java.util.HashSet','/entityRelationships','EntityRelationship',NULL,'entityRelationship.customPatientFields',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,19,_binary '',NULL,313),(2844,0,'e49cbbaa-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,314),(2845,0,'e49cbbab-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Plugin Configuration\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,1,_binary '\0',NULL,314),(2846,0,'e49cbbac-21dc-11ea-a9f8-693042a6b9d8','path',NULL,_binary '','Path','java.lang.String','/details/path',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,314),(2847,0,'e49cbbad-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,314),(2848,0,'e49f2caf-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,315),(2849,0,'e49f2cb0-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Charge Preferences\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,100,1,_binary '\0',NULL,315),(2850,0,'e49f2cb1-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,315),(2851,0,'e49f2cb2-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,315),(2852,0,'e49f2cb3-21dc-11ea-a9f8-693042a6b9d8','showBatch',NULL,_binary '','Show Batches','java.lang.Boolean','/details/showBatch',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,315),(2853,0,'e49f2cb4-21dc-11ea-a9f8-693042a6b9d8','showTemplate',NULL,_binary '','Show Templates','java.lang.Boolean','/details/showTemplate',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,315),(2854,0,'e49f2cb5-21dc-11ea-a9f8-693042a6b9d8','showProductType',NULL,_binary '','Show Product Types','java.lang.Boolean','/details/showProductType',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,315),(2855,0,'e49f2cb7-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,316),(2856,0,'e49f2cb8-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'General Preferences\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,100,1,_binary '\0',NULL,316),(2857,0,'e49f2cb9-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,316),(2858,0,'e49f2cba-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,316),(2859,0,'e49f2cbb-21dc-11ea-a9f8-693042a6b9d8','homePage',NULL,_binary '','Home Page','java.lang.String','/details/homePage',NULL,'\'customer.information\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,316),(2860,0,'e49f2cbd-21dc-11ea-a9f8-693042a6b9d8','customerHistory',NULL,_binary '','Customer History','java.lang.String','/details/customerHistory',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,5000,5,_binary '\0',NULL,316),(2861,0,'e49f2cbe-21dc-11ea-a9f8-693042a6b9d8','patientHistory',NULL,_binary '','Patient History','java.lang.String','/details/patientHistory',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,5000,6,_binary '\0',NULL,316),(2862,0,'e49f2cbf-21dc-11ea-a9f8-693042a6b9d8','customerAlerts',NULL,_binary '','Customer Alerts','java.lang.String','/details/customerAlerts',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,5000,7,_binary '\0',NULL,316),(2863,0,'e49f2cc0-21dc-11ea-a9f8-693042a6b9d8','accountTypeAlerts',NULL,_binary '','Account Type Alerts','java.lang.String','/details/accountTypeAlerts',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,5000,8,_binary '\0',NULL,316),(2864,0,'e49f2cc1-21dc-11ea-a9f8-693042a6b9d8','patientAlerts',NULL,_binary '','Patient Alerts','java.lang.String','/details/patientAlerts',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,5000,9,_binary '\0',NULL,316),(2865,0,'e4a19dc3-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,317),(2866,0,'e4a19dc4-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Patient History Preferences\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,100,1,_binary '\0',NULL,317),(2867,0,'e4a19dc5-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,317),(2868,0,'e4a19dc6-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,317),(2869,0,'e4a19dc7-21dc-11ea-a9f8-693042a6b9d8','showClinician',NULL,_binary '','Show Clinician','java.lang.Boolean','/details/showClinician',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,317),(2870,0,'e4a19dc8-21dc-11ea-a9f8-693042a6b9d8','showCharges',NULL,_binary '','Show Charges','java.lang.Boolean','/details/showCharges',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,317),(2871,0,'e4a19dc9-21dc-11ea-a9f8-693042a6b9d8','showCommunications',NULL,_binary '','Show Communications','java.lang.Boolean','/details/showCommunications',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,317),(2872,0,'e4a19dca-21dc-11ea-a9f8-693042a6b9d8','showBatches',NULL,_binary '','Show Batches','java.lang.Boolean','/details/showBatches',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,317),(2873,0,'e4a19dcb-21dc-11ea-a9f8-693042a6b9d8','historySort',NULL,_binary '','History Sort Order','java.lang.String','/details/historySort',NULL,'DESC',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,8,_binary '\0',NULL,317),(2874,0,'e4a19dcd-21dc-11ea-a9f8-693042a6b9d8','sort',NULL,_binary '','Visit Record Sort Order','java.lang.String','/details/sort',NULL,'ASC',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,9,_binary '\0',NULL,317),(2875,0,'e4a658c0-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,318),(2876,0,'e4a658c1-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Scheduling Preferences\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,100,1,_binary '\0',NULL,318),(2877,0,'e4a658c2-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,318),(2878,0,'e4a658c3-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,318),(2879,0,'e4a658c4-21dc-11ea-a9f8-693042a6b9d8','view',NULL,_binary '','Schedule View','org.openvpms.component.business.domain.im.common.IMObjectReference','/details/view',NULL,NULL,'entity.organisationScheduleView',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,318),(2880,0,'e4a658c5-21dc-11ea-a9f8-693042a6b9d8','schedule',NULL,_binary '','Schedule','org.openvpms.component.business.domain.im.common.IMObjectReference','/details/schedule',NULL,NULL,'party.organisationSchedule',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,318),(2881,0,'e4a658c6-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','org.openvpms.component.business.domain.im.common.IMObjectReference','/details/clinician',NULL,NULL,'security.user',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,318),(2882,0,'e4a658c7-21dc-11ea-a9f8-693042a6b9d8','highlight',NULL,_binary '','Highlight','java.lang.String','/details/highlight',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,318),(2883,0,'e4a658c9-21dc-11ea-a9f8-693042a6b9d8','time',NULL,_binary '','Time','java.lang.String','/details/time',NULL,'\'ALL\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,8,_binary '\0',NULL,318),(2884,0,'e4a658cb-21dc-11ea-a9f8-693042a6b9d8','dates',NULL,_binary '','Dates','java.lang.String','/details/dates',NULL,'\'FORTNIGHT\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,9,_binary '\0',NULL,318),(2885,0,'e4a658cd-21dc-11ea-a9f8-693042a6b9d8','show',NULL,_binary '','Show','java.lang.String','/details/show',NULL,'\'ALL\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,10,_binary '\0',NULL,318),(2886,0,'e4a8c9d0-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,319),(2887,0,'e4a8c9d1-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Summary Preferences\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,100,1,_binary '\0',NULL,319),(2888,0,'e4a8c9d2-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,319),(2889,0,'e4a8c9d3-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,319),(2890,0,'e4a8c9d4-21dc-11ea-a9f8-693042a6b9d8','showCustomerAccount',NULL,_binary '','Show Customer Account','java.lang.Boolean','/details/showCustomerAccount',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,319),(2891,0,'e4a8c9d5-21dc-11ea-a9f8-693042a6b9d8','showReferral',NULL,_binary '','Show Referral','java.lang.String','/details/showReferral',NULL,'\'ACTIVE\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,319),(2892,0,'e4ab13c8-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,320),(2893,0,'e4ab13c9-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Work List Preferences\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,100,1,_binary '\0',NULL,320),(2894,0,'e4ab13ca-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,320),(2895,0,'e4ab13cb-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,320),(2896,0,'e4ab13cc-21dc-11ea-a9f8-693042a6b9d8','view',NULL,_binary '','Work List View','org.openvpms.component.business.domain.im.common.IMObjectReference','/details/view',NULL,NULL,'entity.organisationWorkListView',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,320),(2897,0,'e4ab13cd-21dc-11ea-a9f8-693042a6b9d8','schedule',NULL,_binary '','Work List','org.openvpms.component.business.domain.im.common.IMObjectReference','/details/schedule',NULL,NULL,'party.organisationWorkList',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,320),(2898,0,'e4ab13ce-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','org.openvpms.component.business.domain.im.common.IMObjectReference','/details/clinician',NULL,NULL,'security.user',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,320),(2899,0,'e4ab13cf-21dc-11ea-a9f8-693042a6b9d8','highlight',NULL,_binary '','Highlight','java.lang.String','/details/highlight',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,320),(2900,0,'e4ab13d1-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/details/status',NULL,'\'INCOMPLETE\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,320),(2901,0,'e4ad84d4-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,321),(2902,0,'e4ad84d5-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Preferences\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,100,1,_binary '\0',NULL,321),(2903,0,'e4ad84d6-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,321),(2904,0,'e4ad84d7-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,321),(2905,0,'e4ad84d8-21dc-11ea-a9f8-693042a6b9d8','groups',NULL,_binary '','Groups','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.preferenceGroup*',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,4,_binary '',NULL,321),(2906,0,'e4ad84d9-21dc-11ea-a9f8-693042a6b9d8','user',NULL,_binary '','User','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.preferencesUser',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '',NULL,321),(2907,0,'e4ad84db-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,322),(2908,0,'e4ad84dc-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Charge Preferences\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,322),(2909,0,'e4ad84dd-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,322),(2910,0,'e4ad84de-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Source','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,322),(2911,0,'e4ad84e0-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Target','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,322),(2912,0,'e4ad84e2-21dc-11ea-a9f8-693042a6b9d8','sequence',NULL,_binary '','Sequence','java.lang.Integer','/sequence',NULL,'20',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,322),(2913,0,'e4afced4-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,323),(2914,0,'e4afced5-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'General Preferences\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,323),(2915,0,'e4afced6-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,323),(2916,0,'e4afced7-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Source','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,323),(2917,0,'e4afced9-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Target','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,323),(2918,0,'e4afcedb-21dc-11ea-a9f8-693042a6b9d8','sequence',NULL,_binary '','Sequence','java.lang.Integer','/sequence',NULL,'0',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,323),(2919,0,'e4b23fdd-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,324),(2920,0,'e4b23fde-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Patient History Preferences\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,324),(2921,0,'e4b23fdf-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,324),(2922,0,'e4b23fe0-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Source','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,324),(2923,0,'e4b23fe2-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Target','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,324),(2924,0,'e4b23fe4-21dc-11ea-a9f8-693042a6b9d8','sequence',NULL,_binary '','Sequence','java.lang.Integer','/sequence',NULL,'30',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,324),(2925,0,'e4b4b0e6-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,325),(2926,0,'e4b4b0e7-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Scheduling Preferences\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,325),(2927,0,'e4b4b0e8-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,325),(2928,0,'e4b4b0e9-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Source','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,325),(2929,0,'e4b4b0eb-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Target','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,325),(2930,0,'e4b4b0ed-21dc-11ea-a9f8-693042a6b9d8','sequence',NULL,_binary '','Sequence','java.lang.Integer','/sequence',NULL,'40',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,325),(2931,0,'e4b6fadf-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,326),(2932,0,'e4b6fae0-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Summary Preferences\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,326),(2933,0,'e4b6fae1-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,326),(2934,0,'e4b6fae2-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Source','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,326),(2935,0,'e4b6fae4-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Target','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,326),(2936,0,'e4b6fae6-21dc-11ea-a9f8-693042a6b9d8','sequence',NULL,_binary '','Sequence','java.lang.Integer','/sequence',NULL,'10',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,326),(2937,0,'e4b96be8-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,327),(2938,0,'e4b96be9-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Work List Preferences\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,327),(2939,0,'e4b96bea-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,327),(2940,0,'e4b96beb-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Source','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,327),(2941,0,'e4b96bed-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Target','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,327),(2942,0,'e4b96bef-21dc-11ea-a9f8-693042a6b9d8','sequence',NULL,_binary '','Sequence','java.lang.Integer','/sequence',NULL,'50',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,327),(2943,0,'e4bbdcf1-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,328),(2944,0,'e4bbdcf2-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Preferences User\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,328),(2945,0,'e4bbdcf3-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,328),(2946,0,'e4bbdcf4-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Source','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,328),(2947,0,'e4bbdcf6-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Target','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,328),(2948,0,'e4be26e9-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,329),(2949,0,'e4be26ea-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Batch Number','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,329),(2950,0,'e4be26eb-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,329),(2951,0,'e4be26ec-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,329),(2952,0,'e4be26ed-21dc-11ea-a9f8-693042a6b9d8','product',NULL,_binary '','Product','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.batchProduct',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '',NULL,329),(2953,0,'e4be26ee-21dc-11ea-a9f8-693042a6b9d8','manufacturer',NULL,_binary '','Manufacturer','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.batchManufacturer',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '',NULL,329),(2954,0,'e4be26ef-21dc-11ea-a9f8-693042a6b9d8','stockLocations',NULL,_binary '','Stock Locations','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.batchLocation',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,6,_binary '',NULL,329),(2955,0,'e4c097f1-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,330),(2956,0,'e4c097f2-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'concat(\'Dose for \', expr:if(boolean(openvpms:get(., \'species\')), concat(openvpms:get(., \'species.name\'), \'s\'), \'all species\'),\' between \', /details/minWeight, \'-\', /details/maxWeight, \' \', openvpms:lookup(., \'weightUnits\'))',_binary '\0',_binary '',_binary '',0,1,0,100,1,_binary '\0',NULL,330),(2957,0,'e4c097f3-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Rate: \', /details/rate)',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,330),(2958,0,'e4c097f4-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,330),(2959,0,'e4c097f5-21dc-11ea-a9f8-693042a6b9d8','species',NULL,_binary '','Species','java.util.HashSet','/classifications','Classification',NULL,'lookup.species',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,330),(2960,0,'e4c097f6-21dc-11ea-a9f8-693042a6b9d8','minWeight',NULL,_binary '','Minimum Weight','java.math.BigDecimal','/details/minWeight',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,330),(2961,0,'e4c097f8-21dc-11ea-a9f8-693042a6b9d8','maxWeight',NULL,_binary '','Maximum Weight','java.math.BigDecimal','/details/maxWeight',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,330),(2962,0,'e4c097fa-21dc-11ea-a9f8-693042a6b9d8','weightUnits',NULL,_binary '','Weight Units','java.lang.String','/details/weightUnits',NULL,'\'KILOGRAMS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,30,7,_binary '\0',NULL,330),(2963,0,'e4c097fc-21dc-11ea-a9f8-693042a6b9d8','rate',NULL,_binary '','Rate','java.math.BigDecimal','/details/rate',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,8,_binary '\0',NULL,330),(2964,0,'e4c097fe-21dc-11ea-a9f8-693042a6b9d8','quantity',NULL,_binary '','No. of Doses','java.math.BigDecimal','/details/quantity',NULL,'1',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,9,_binary '\0',NULL,330),(2965,0,'e4c09800-21dc-11ea-a9f8-693042a6b9d8','roundTo',NULL,_binary '','Round To','java.lang.Integer','/details/roundTo',NULL,'2',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,10,_binary '\0',NULL,330),(2966,0,'e4c2e1f3-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,331),(2967,0,'e4c2e1f4-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Product Type','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,331),(2968,0,'e4c2e1f5-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,331),(2969,0,'e4c2e1f6-21dc-11ea-a9f8-693042a6b9d8','sortOrder',NULL,_binary '','Invoice Sort Order','java.lang.Integer','/details/sortOrder',NULL,'1',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,331),(2970,0,'e4c2e1f7-21dc-11ea-a9f8-693042a6b9d8','detailInvoice',NULL,_binary '','Detail on Invoice','java.lang.Boolean','/details/detailInvoice',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,331),(2971,0,'e4c2e1f8-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,331),(2972,0,'e4c2e1f9-21dc-11ea-a9f8-693042a6b9d8','pharmacy',NULL,_binary '','Pharmacy','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productPharmacy',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '',NULL,331),(2973,0,'e4c2e1fa-21dc-11ea-a9f8-693042a6b9d8','taxes',NULL,_binary '','Taxes','java.util.HashSet','/classifications','Classification',NULL,'lookup.taxType',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,7,_binary '\0',NULL,331),(2974,0,'e4c2e1fb-21dc-11ea-a9f8-693042a6b9d8','discounts',NULL,_binary '','Discounts','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productTypeDiscount',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,8,_binary '',NULL,331),(2975,0,'e4c2e1fd-21dc-11ea-a9f8-693042a6b9d8','synchroniseWithSFS',NULL,_binary '','Synchronise With Smart Flow Sheet','java.lang.Boolean','/details/synchroniseWithSFS',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,331),(2976,0,'e4c552ff-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,332),(2977,0,'e4c55300-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Batch Stock Location\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,332),(2978,0,'e4c55301-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name, \' (\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,332),(2979,0,'e4c55302-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Batch','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,332),(2980,0,'e4c55304-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Stock Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,332),(2981,0,'e4c55306-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','From Date','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,332),(2982,0,'e4c55307-21dc-11ea-a9f8-693042a6b9d8','activeEndTime',NULL,_binary '','To Date','java.util.Date','/activeEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,332),(2983,0,'e4c7c309-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,333),(2984,0,'e4c7c30a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Batch Manufacturer\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,333),(2985,0,'e4c7c30b-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'/name',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,333),(2986,0,'e4c7c30c-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Batch','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,333),(2987,0,'e4c7c30e-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Manufacturer','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,333),(2988,0,'e4ca0d01-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,334),(2989,0,'e4ca0d02-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Batch Product\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,334),(2990,0,'e4ca0d03-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'/name',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,334),(2991,0,'e4ca0d04-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Batch','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,334),(2992,0,'e4ca0d06-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Product','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,334),(2993,0,'e4ca0d08-21dc-11ea-a9f8-693042a6b9d8','activeEndTime',NULL,_binary '','Expiry Date','java.util.Date','/activeEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,334),(2994,0,'e4cc7e0a-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,335),(2995,0,'e4cc7e0b-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Service Ratio\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,335),(2996,0,'e4cc7e0c-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name, \': \', /details/ratio, \' (\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,335),(2997,0,'e4cc7e0d-21dc-11ea-a9f8-693042a6b9d8','ratio',NULL,_binary '','Ratio','java.math.BigDecimal','/details/ratio',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,335),(2998,0,'e4cc7e0e-21dc-11ea-a9f8-693042a6b9d8','calendar',NULL,_binary '','Calendar','org.openvpms.component.business.domain.im.common.IMObjectReference','/details/calendar',NULL,NULL,'entity.calendarServiceRatio',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,335),(2999,0,'e4cc7e0f-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'party.organisationLocation',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,335),(3000,0,'e4cc7e10-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Product Type','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'entity.productType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,335),(3001,0,'e4cc7e11-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','From Date','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,7,_binary '\0',NULL,335),(3002,0,'e4cc7e12-21dc-11ea-a9f8-693042a6b9d8','activeEndTime',NULL,_binary '','To Date','java.util.Date','/activeEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,8,_binary '\0',NULL,335),(3003,0,'e4ceef14-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,336),(3004,0,'e4ceef15-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Alert Type\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,336),(3005,0,'e4ceef16-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\'Alert Type\'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,336),(3006,0,'e4ceef17-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,336),(3007,0,'e4ceef18-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Product','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,336),(3008,0,'e4ceef1a-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Alert Type','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'entity.patientAlertType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,336),(3009,0,'e4d1390c-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,337),(3010,0,'e4d1390d-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Product Discount\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,337),(3011,0,'e4d1390e-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name, \' (\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,337),(3012,0,'e4d1390f-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Product','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,337),(3013,0,'e4d13911-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Discount','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'entity.discountType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,337),(3014,0,'e4d13912-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','From Date','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,337),(3015,0,'e4d13913-21dc-11ea-a9f8-693042a6b9d8','activeEndTime',NULL,_binary '','To Date','java.util.Date','/activeEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,337),(3016,0,'e4d3aa15-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,338),(3017,0,'e4d3aa16-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Product Document\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,1,_binary '\0',NULL,338),(3018,0,'e4d3aa17-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name, \' (\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,338),(3019,0,'e4d3aa18-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,338),(3020,0,'e4d3aa19-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Product','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,338),(3021,0,'e4d3aa1b-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Document','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'entity.documentTemplate',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,338),(3022,0,'e4d3aa1d-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,339),(3023,0,'e4d3aa1e-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Product Dose\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,339),(3024,0,'e4d3aa1f-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,339),(3025,0,'e4d3aa20-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Product','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,339),(3026,0,'e4d3aa22-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Dose','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,339),(3027,0,'e4d3aa24-21dc-11ea-a9f8-693042a6b9d8','sequence',NULL,_binary '','Sequence','java.lang.Integer','/sequence',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,339),(3028,0,'e4d5f416-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,340),(3029,0,'e4d5f417-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Product Equivalent\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,1,_binary '\0',NULL,340),(3030,0,'e4d5f418-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name, \' (\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,340),(3031,0,'e4d5f419-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,340),(3032,0,'e4d5f41a-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Product','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,340),(3033,0,'e4d5f41c-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Equivalent','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,340),(3034,0,'e4d8651f-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,341),(3035,0,'e4d86520-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Product Includes\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,1,_binary '\0',NULL,341),(3036,0,'e4d86521-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Low Quantity - \', /details/lowQuantity, \', High Quantity - \',                             /details/highQuantity)',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,341),(3037,0,'e4d86522-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,341),(3038,0,'e4d86523-21dc-11ea-a9f8-693042a6b9d8','lowQuantity',NULL,_binary '','Low Quantity','java.math.BigDecimal','/details/lowQuantity',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,341),(3039,0,'e4d86525-21dc-11ea-a9f8-693042a6b9d8','highQuantity',NULL,_binary '','High Quantity','java.math.BigDecimal','/details/highQuantity',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,341),(3040,0,'e4d86527-21dc-11ea-a9f8-693042a6b9d8','minWeight',NULL,_binary '','Minimum Weight','java.math.BigDecimal','/details/minWeight',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,341),(3041,0,'e4d86529-21dc-11ea-a9f8-693042a6b9d8','maxWeight',NULL,_binary '','Maximum Weight','java.math.BigDecimal','/details/maxWeight',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,341),(3042,0,'e4d8652b-21dc-11ea-a9f8-693042a6b9d8','weightUnits',NULL,_binary '','Weight Units','java.lang.String','/details/units',NULL,'\'KILOGRAMS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,30,8,_binary '\0',NULL,341),(3043,0,'e4d8652d-21dc-11ea-a9f8-693042a6b9d8','skipIfMissing',NULL,_binary '','Skip If Missing','java.lang.Boolean','/details/skipIfMissing',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,341),(3044,0,'e4d8652e-21dc-11ea-a9f8-693042a6b9d8','zeroPrice',NULL,_binary '','Zero Price','java.lang.Boolean','/details/zeroPrice',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,341),(3045,0,'e4d8652f-21dc-11ea-a9f8-693042a6b9d8','print',NULL,_binary '','Print','java.lang.Boolean','/details/print',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,341),(3046,0,'e4d86530-21dc-11ea-a9f8-693042a6b9d8','sequence',NULL,_binary '','Sequence','java.lang.Integer','/sequence',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,12,_binary '\0',NULL,341),(3047,0,'e4d86531-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Template','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,13,_binary '\0',NULL,341),(3048,0,'e4d86533-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Product','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,14,_binary '\0',NULL,341),(3049,0,'e4dd2026-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,342),(3050,0,'e4dd2027-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Product Laboratory Test\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,1,_binary '\0',NULL,342),(3051,0,'e4dd2028-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name, \' (\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,342),(3052,0,'e4dd2029-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,342),(3053,0,'e4dd202a-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Product','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,342),(3054,0,'e4dd202c-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Laboratory Test','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,342),(3055,0,'e4df912f-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,343),(3056,0,'e4df9130-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Product Price Template\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,1,_binary '\0',NULL,343),(3057,0,'e4df9131-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name, \' (\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,343),(3058,0,'e4df9132-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Product','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,343),(3059,0,'e4df9134-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Price Template','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'product.priceTemplate',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,343),(3060,0,'e4df9135-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','From Date','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,343),(3061,0,'e4df9136-21dc-11ea-a9f8-693042a6b9d8','activeEndTime',NULL,_binary '','To Date','java.util.Date','/activeEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,343),(3062,0,'e4e1db28-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,344),(3063,0,'e4e1db29-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'concat(\'Product Location\', \'\')',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,344),(3064,0,'e4e1db2a-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Product Location\', \'(\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,344),(3065,0,'e4e1db2b-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,344),(3066,0,'e4e1db2c-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Product','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,344),(3067,0,'e4e1db2e-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,344),(3068,0,'e4e44c31-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,345),(3069,0,'e4e44c32-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Product Pharmacy\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,345),(3070,0,'e4e44c33-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,345),(3071,0,'e4e44c34-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Product','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,345),(3072,0,'e4e44c36-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Pharmacy','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,345),(3073,0,'e4e6bd39-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,346),(3074,0,'e4e6bd3a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Product Reminder\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,1,_binary '\0',NULL,346),(3075,0,'e4e6bd3b-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name, \' (\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,346),(3076,0,'e4e6bd3c-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,346),(3077,0,'e4e6bd3d-21dc-11ea-a9f8-693042a6b9d8','interactive',NULL,_binary '','Interactive','java.lang.Boolean','/details/interactive',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,346),(3078,0,'e4e6bd3e-21dc-11ea-a9f8-693042a6b9d8','period',NULL,_binary '','Period','java.lang.Integer','/details/period',NULL,'\'1\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,346),(3079,0,'e4e6bd3f-21dc-11ea-a9f8-693042a6b9d8','periodUom',NULL,_binary '','Period Units','java.lang.String','/details/periodUom',NULL,'\'YEARS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,346),(3080,0,'e4e6bd41-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Product','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,346),(3081,0,'e4e6bd43-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Reminder','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'entity.reminderType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,8,_binary '\0',NULL,346),(3082,0,'e4e90735-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,347),(3083,0,'e4e90736-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'concat(\'Product Stock Location\', \'\')',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,347),(3084,0,'e4e90737-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Product Stock Location\', \'(\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,347),(3085,0,'e4e90738-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,347),(3086,0,'e4e90739-21dc-11ea-a9f8-693042a6b9d8','quantity',NULL,_binary '','Quantity','java.math.BigDecimal','/details/quantity',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,347),(3087,0,'e4e9073a-21dc-11ea-a9f8-693042a6b9d8','idealQty',NULL,_binary '','Ideal Qty','java.math.BigDecimal','/details/idealQty',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,347),(3088,0,'e4e9073c-21dc-11ea-a9f8-693042a6b9d8','criticalQty',NULL,_binary '','Critical Qty','java.math.BigDecimal','/details/criticalQty',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,347),(3089,0,'e4e9073d-21dc-11ea-a9f8-693042a6b9d8','alwaysOrder',NULL,_binary '','Always Order','java.lang.Boolean','/details/alwaysOrder',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,347),(3090,0,'e4e9073e-21dc-11ea-a9f8-693042a6b9d8','neverOrder',NULL,_binary '','Never Order','java.lang.Boolean','/details/neverOrder',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,347),(3091,0,'e4e9073f-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Product','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,9,_binary '\0',NULL,347),(3092,0,'e4e90741-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Stock Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,10,_binary '\0',NULL,347),(3093,0,'e4e90743-21dc-11ea-a9f8-693042a6b9d8','supplier',NULL,_binary '','Preferred Supplier','org.openvpms.component.business.domain.im.common.IMObjectReference','/details/supplier',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,347),(3094,0,'e4ede946-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,348),(3095,0,'e4ede947-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'concat(\'ProductSupplier\', \'\')',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,348),(3096,0,'e4ede948-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Product Supplier\', \'(\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,348),(3097,0,'e4ede949-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Start Date','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,348),(3098,0,'e4ede94a-21dc-11ea-a9f8-693042a6b9d8','activeEndTime',NULL,_binary '','Active End Time','java.util.Date','/activeEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,348),(3099,0,'e4ede94b-21dc-11ea-a9f8-693042a6b9d8','preferred',NULL,_binary '','Preferred','java.lang.Boolean','/details/preferred',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,348),(3100,0,'e4ede94c-21dc-11ea-a9f8-693042a6b9d8','reorderCode',NULL,_binary '','Reorder Code','java.lang.String','/details/reorderCode',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,348),(3101,0,'e4ede94d-21dc-11ea-a9f8-693042a6b9d8','reorderDescription',NULL,_binary '','Reorder Description','java.lang.String','/details/reorderDescription',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,348),(3102,0,'e4ede94e-21dc-11ea-a9f8-693042a6b9d8','barCode',NULL,_binary '','Reorder Bar Code','java.lang.String','/details/barCode',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,348),(3103,0,'e4ede94f-21dc-11ea-a9f8-693042a6b9d8','packageSize',NULL,_binary '','Package Size','java.lang.Integer','/details/packageSize',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,348),(3104,0,'e4ede951-21dc-11ea-a9f8-693042a6b9d8','packageUnits',NULL,_binary '','Package Units','java.lang.String','/details/packageUnits',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,348),(3105,0,'e4ede953-21dc-11ea-a9f8-693042a6b9d8','minimumQty',NULL,_binary '','Minimum Order Qty','java.lang.Integer','/details/minimumOrderQty',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,348),(3106,0,'e4ede954-21dc-11ea-a9f8-693042a6b9d8','orderQtyInc',NULL,_binary '','Order Qty Increments','java.lang.Integer','/details/orderQtyInc',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,12,_binary '\0',NULL,348),(3107,0,'e4ede955-21dc-11ea-a9f8-693042a6b9d8','leadTime',NULL,_binary '','Lead Time','java.lang.Integer','/details/leadTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,13,_binary '\0',NULL,348),(3108,0,'e4ede956-21dc-11ea-a9f8-693042a6b9d8','leadTimeUnits',NULL,_binary '','Lead Time Units','java.lang.String','/details/leadTimeUnits',NULL,'\'DAYS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,14,_binary '\0',NULL,348),(3109,0,'e4ede958-21dc-11ea-a9f8-693042a6b9d8','listPrice',NULL,_binary '','List Price','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/listPrice',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,15,_binary '\0',NULL,348),(3110,0,'e4ede95a-21dc-11ea-a9f8-693042a6b9d8','nettPrice',NULL,_binary '','Nett Price','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/nettPrice',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,16,_binary '\0',NULL,348),(3111,0,'e4ede95c-21dc-11ea-a9f8-693042a6b9d8','autoPriceUpdate',NULL,_binary '','Auto Price Update','java.lang.Boolean','/details/autoPriceUpdate',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,17,_binary '\0',NULL,348),(3112,0,'e4ede95d-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Product','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,18,_binary '\0',NULL,348),(3113,0,'e4ede95f-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Supplier','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,19,_binary '\0',NULL,348),(3114,0,'e4f03352-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,349),(3115,0,'e4f03353-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Product Type\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,349),(3116,0,'e4f03354-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\'Product Type\'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,349),(3117,0,'e4f03355-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,349),(3118,0,'e4f03356-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Product','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,349),(3119,0,'e4f03358-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Product Type','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,349),(3120,0,'e4f2a45b-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,350),(3121,0,'e4f2a45c-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Product Discount\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,350),(3122,0,'e4f2a45d-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name, \' (\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,350),(3123,0,'e4f2a45e-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Product Type','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'entity.productType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,350),(3124,0,'e4f2a45f-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Discount','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'entity.discountType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,350),(3125,0,'e4f2a460-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','From Date','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,350),(3126,0,'e4f2a461-21dc-11ea-a9f8-693042a6b9d8','activeEndTime',NULL,_binary '','To Date','java.util.Date','/activeEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,350),(3127,0,'e4f4ee53-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,351),(3128,0,'e4f4ee54-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Medication','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,351),(3129,0,'e4f4ee56-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,351),(3130,0,'e4f75f59-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,352),(3131,0,'e4f75f5a-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Product','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,352),(3132,0,'e4f75f5c-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,352),(3133,0,'e4f9d05f-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,353),(3134,0,'e4f9d060-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Product Batch','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,353),(3135,0,'e4f9d062-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,353),(3136,0,'e4fc1a55-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,354),(3137,0,'e4fc1a56-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Template','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,354),(3138,0,'e4fc1a58-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,354),(3139,0,'e4fc1a5b-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,355),(3140,0,'e4fc1a5c-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Product','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,355),(3141,0,'e4fc1a5e-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,355),(3142,0,'e4fe8b61-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,356),(3143,0,'e4fe8b62-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,356),(3144,0,'e4fe8b63-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,356),(3145,0,'e4fe8b64-21dc-11ea-a9f8-693042a6b9d8','printedName',NULL,_binary '','Printed Name','java.lang.String','/details/printedName',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,356),(3146,0,'e4fe8b65-21dc-11ea-a9f8-693042a6b9d8','drugSchedule',NULL,_binary '','Drug Schedule','java.lang.String','/details/drugSchedule',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,356),(3147,0,'e4fe8b67-21dc-11ea-a9f8-693042a6b9d8','activeIngredients',NULL,_binary '','Active Ingredients','java.lang.String','/details/activeIngredients',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,356),(3148,0,'e4fe8b68-21dc-11ea-a9f8-693042a6b9d8','concentration',NULL,_binary '','Concentration','java.math.BigDecimal','/details/concentration',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,356),(3149,0,'e4fe8b6a-21dc-11ea-a9f8-693042a6b9d8','concentrationUnits',NULL,_binary '','Concentration Units','java.lang.String','/details/concentrationUnits',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,356),(3150,0,'e4fe8b6c-21dc-11ea-a9f8-693042a6b9d8','sellingUnits',NULL,_binary '','Selling Units','java.lang.String','/details/sellingUnits',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,356),(3151,0,'e4fe8b6e-21dc-11ea-a9f8-693042a6b9d8','dispensingUnits',NULL,_binary '','Dispensing Units','java.lang.String','/details/dispensingUnits',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,356),(3152,0,'e4fe8b70-21dc-11ea-a9f8-693042a6b9d8','dispensingVerb',NULL,_binary '','Dispensing Verb','java.lang.String','/details/dispensingVerb',NULL,'\'GIVE\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,356),(3153,0,'e4fe8b72-21dc-11ea-a9f8-693042a6b9d8','label',NULL,_binary '','Dispensing Label','java.lang.Boolean','/details/label',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,356),(3154,0,'e4fe8b73-21dc-11ea-a9f8-693042a6b9d8','dispInstructions',NULL,_binary '','Label Instructions','java.lang.String','/details/dispInstructions',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,12,_binary '\0',NULL,356),(3155,0,'e4fe8b74-21dc-11ea-a9f8-693042a6b9d8','type',NULL,_binary '','Type','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productType',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,13,_binary '',NULL,356),(3156,0,'e4fe8b75-21dc-11ea-a9f8-693042a6b9d8','pharmacy',NULL,_binary '','Pharmacy','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productPharmacy',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,14,_binary '',NULL,356),(3157,0,'e4fe8b76-21dc-11ea-a9f8-693042a6b9d8','templateOnly',NULL,_binary '','Use only in Templates','java.lang.Boolean','/details/templateOnly',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,15,_binary '\0',NULL,356),(3158,0,'e4fe8b77-21dc-11ea-a9f8-693042a6b9d8','patientIdentity',NULL,_binary '','Patient Identity','java.lang.String','/details/patientIdentity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,16,_binary '\0',NULL,356),(3159,0,'e4fe8b79-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,17,_binary '\0',NULL,356),(3160,0,'e4fe8b7a-21dc-11ea-a9f8-693042a6b9d8','usageNotes',NULL,_binary '','Dispensing Notes','java.lang.String','/details/usageNotes',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,3000,18,_binary '\0',NULL,356),(3161,0,'e4fe8b7b-21dc-11ea-a9f8-693042a6b9d8','prices',NULL,_binary '','Prices','java.util.HashSet','/productPrices','ProductPrice',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,19,_binary '',NULL,356),(3162,0,'e4fe8b7d-21dc-11ea-a9f8-693042a6b9d8','doses',NULL,_binary '','Doses','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productDose',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,20,_binary '',NULL,356),(3163,0,'e4fe8b7e-21dc-11ea-a9f8-693042a6b9d8','linked',NULL,_binary '','Linked','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productLink',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,21,_binary '',NULL,356),(3164,0,'e4fe8b80-21dc-11ea-a9f8-693042a6b9d8','tests',NULL,_binary '','Tests','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productLaboratoryTest',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,22,_binary '',NULL,356),(3165,0,'e4fe8b82-21dc-11ea-a9f8-693042a6b9d8','suppliers',NULL,_binary '','Suppliers','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productSupplier',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,23,_binary '',NULL,356),(3166,0,'e4fe8b83-21dc-11ea-a9f8-693042a6b9d8','locations',NULL,_binary '','Locations','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productLocation',NULL,_binary '\0',_binary '',_binary '\0',0,0,0,255,24,_binary '',NULL,356),(3167,0,'e4fe8b84-21dc-11ea-a9f8-693042a6b9d8','stockLocations',NULL,_binary '','Stock Locations','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productStockLocation',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,25,_binary '',NULL,356),(3168,0,'e4fe8b86-21dc-11ea-a9f8-693042a6b9d8','reminders',NULL,_binary '','Reminders','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productReminder',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,26,_binary '',NULL,356),(3169,0,'e4fe8b88-21dc-11ea-a9f8-693042a6b9d8','alerts',NULL,_binary '','Alerts','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productAlert',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,27,_binary '',NULL,356),(3170,0,'e4fe8b8a-21dc-11ea-a9f8-693042a6b9d8','documents',NULL,_binary '','Documents','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productDocument',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,28,_binary '',NULL,356),(3171,0,'e4fe8b8c-21dc-11ea-a9f8-693042a6b9d8','discounts',NULL,_binary '','Discounts','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productDiscount',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,29,_binary '',NULL,356),(3172,0,'e4fe8b8e-21dc-11ea-a9f8-693042a6b9d8','species',NULL,_binary '','Species','java.util.HashSet','/classifications','Classification',NULL,'lookup.species',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,30,_binary '\0',NULL,356),(3173,0,'e4fe8b8f-21dc-11ea-a9f8-693042a6b9d8','updates',NULL,_binary '','Updates','java.util.HashSet','/classifications','Classification',NULL,'lookup.demographicUpdate',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,31,_binary '\0',NULL,356),(3174,0,'e4fe8b90-21dc-11ea-a9f8-693042a6b9d8','classifications',NULL,_binary '','Classifications','java.util.HashSet','/classifications','Classification',NULL,'lookup.product*',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,32,_binary '\0',NULL,356),(3175,0,'e4fe8b92-21dc-11ea-a9f8-693042a6b9d8','identities',NULL,_binary '','Identities','java.util.HashSet','/identities','Identity',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,33,_binary '',NULL,356),(3176,0,'e4fe8b94-21dc-11ea-a9f8-693042a6b9d8','equivalents',NULL,_binary '','Equivalents','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productEquivalent',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,34,_binary '',NULL,356),(3177,0,'e4fe8b96-21dc-11ea-a9f8-693042a6b9d8','taxes',NULL,_binary '','Taxes','java.util.HashSet','/classifications','Classification',NULL,'lookup.taxType',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,35,_binary '\0',NULL,356),(3178,0,'e505b688-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,357),(3179,0,'e505b689-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,357),(3180,0,'e505b68a-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,357),(3181,0,'e505b68b-21dc-11ea-a9f8-693042a6b9d8','printedName',NULL,_binary '','Printed Name','java.lang.String','/details/printedName',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,357),(3182,0,'e505b68c-21dc-11ea-a9f8-693042a6b9d8','sellingUnits',NULL,_binary '','Selling Units','java.lang.String','/details/sellingUnits',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,357),(3183,0,'e505b68e-21dc-11ea-a9f8-693042a6b9d8','type',NULL,_binary '','Type','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productType',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '',NULL,357),(3184,0,'e505b68f-21dc-11ea-a9f8-693042a6b9d8','pharmacy',NULL,_binary '','Pharmacy','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productPharmacy',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '',NULL,357),(3185,0,'e505b690-21dc-11ea-a9f8-693042a6b9d8','templateOnly',NULL,_binary '','Use only in Templates','java.lang.Boolean','/details/templateOnly',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,357),(3186,0,'e505b691-21dc-11ea-a9f8-693042a6b9d8','patientIdentity',NULL,_binary '','Patient Identity','java.lang.String','/details/patientIdentity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,357),(3187,0,'e505b693-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,357),(3188,0,'e505b694-21dc-11ea-a9f8-693042a6b9d8','prices',NULL,_binary '','Prices','java.util.HashSet','/productPrices','ProductPrice',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,10,_binary '',NULL,357),(3189,0,'e505b696-21dc-11ea-a9f8-693042a6b9d8','linked',NULL,_binary '','Linked','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productLink',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,11,_binary '',NULL,357),(3190,0,'e505b698-21dc-11ea-a9f8-693042a6b9d8','tests',NULL,_binary '','Tests','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productLaboratoryTest',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,12,_binary '',NULL,357),(3191,0,'e505b69a-21dc-11ea-a9f8-693042a6b9d8','suppliers',NULL,_binary '','Suppliers','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productSupplier',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,13,_binary '',NULL,357),(3192,0,'e505b69b-21dc-11ea-a9f8-693042a6b9d8','locations',NULL,_binary '','Locations','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productLocation',NULL,_binary '\0',_binary '',_binary '\0',0,0,0,255,14,_binary '',NULL,357),(3193,0,'e505b69c-21dc-11ea-a9f8-693042a6b9d8','stockLocations',NULL,_binary '','Stock Locations','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productStockLocation',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,15,_binary '',NULL,357),(3194,0,'e505b69e-21dc-11ea-a9f8-693042a6b9d8','reminders',NULL,_binary '','Reminders','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productReminder',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,16,_binary '',NULL,357),(3195,0,'e505b6a0-21dc-11ea-a9f8-693042a6b9d8','alerts',NULL,_binary '','Alerts','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productAlert',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,17,_binary '',NULL,357),(3196,0,'e505b6a2-21dc-11ea-a9f8-693042a6b9d8','documents',NULL,_binary '','Documents','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productDocument',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,18,_binary '',NULL,357),(3197,0,'e505b6a4-21dc-11ea-a9f8-693042a6b9d8','discounts',NULL,_binary '','Discounts','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productDiscount',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,19,_binary '',NULL,357),(3198,0,'e505b6a6-21dc-11ea-a9f8-693042a6b9d8','species',NULL,_binary '','Species','java.util.HashSet','/classifications','Classification',NULL,'lookup.species',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,20,_binary '\0',NULL,357),(3199,0,'e505b6a7-21dc-11ea-a9f8-693042a6b9d8','updates',NULL,_binary '','Updates','java.util.HashSet','/classifications','Classification',NULL,'lookup.demographicUpdate',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,21,_binary '\0',NULL,357),(3200,0,'e505b6a8-21dc-11ea-a9f8-693042a6b9d8','classifications',NULL,_binary '','Classifications','java.util.HashSet','/classifications','Classification',NULL,'lookup.product*',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,22,_binary '\0',NULL,357),(3201,0,'e505b6aa-21dc-11ea-a9f8-693042a6b9d8','identities',NULL,_binary '','Identities','java.util.HashSet','/identities','Identity',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,23,_binary '',NULL,357),(3202,0,'e505b6ac-21dc-11ea-a9f8-693042a6b9d8','equivalents',NULL,_binary '','Equivalents','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productEquivalent',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,24,_binary '',NULL,357),(3203,0,'e505b6ae-21dc-11ea-a9f8-693042a6b9d8','taxes',NULL,_binary '','Taxes','java.util.HashSet','/classifications','Classification',NULL,'lookup.taxType',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,25,_binary '\0',NULL,357),(3204,0,'e50a71a0-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,358),(3205,0,'e50a71a1-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,358),(3206,0,'e50a71a2-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,358),(3207,0,'e50a71a3-21dc-11ea-a9f8-693042a6b9d8','printedName',NULL,_binary '','Printed Name','java.lang.String','/details/printedName',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,358),(3208,0,'e50a71a4-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,358),(3209,0,'e50a71a5-21dc-11ea-a9f8-693042a6b9d8','prices',NULL,_binary '','Prices','java.util.HashSet','/productPrices','ProductPrice',NULL,'productPrice.fixedPrice',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,5,_binary '',NULL,358),(3210,0,'e50a71a6-21dc-11ea-a9f8-693042a6b9d8','type',NULL,_binary '','Type','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productType',NULL,_binary '\0',_binary '',_binary '\0',0,0,0,255,6,_binary '',NULL,358),(3211,0,'e50a71a7-21dc-11ea-a9f8-693042a6b9d8','taxes',NULL,_binary '','Taxes','java.util.HashSet','/classifications','Classification',NULL,'lookup.taxType',NULL,_binary '\0',_binary '',_binary '\0',0,0,0,255,7,_binary '\0',NULL,358),(3212,0,'e50a71a8-21dc-11ea-a9f8-693042a6b9d8','classifications',NULL,_binary '','Classifications','java.util.HashSet','/classifications','Classification',NULL,'lookup.product*',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,8,_binary '\0',NULL,358),(3213,0,'e50a71aa-21dc-11ea-a9f8-693042a6b9d8','identities',NULL,_binary '','Identities','java.util.HashSet','/identities','Identity',NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,9,_binary '',NULL,358),(3214,0,'e50a71ab-21dc-11ea-a9f8-693042a6b9d8','species',NULL,_binary '','Species','java.util.HashSet','/classifications','Classification',NULL,'lookup.species',NULL,_binary '\0',_binary '',_binary '\0',0,0,0,255,10,_binary '\0',NULL,358),(3215,0,'e50a71ac-21dc-11ea-a9f8-693042a6b9d8','locations',NULL,_binary '','Locations','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productLocation',NULL,_binary '\0',_binary '',_binary '\0',0,0,0,255,11,_binary '',NULL,358),(3216,0,'e50a71ad-21dc-11ea-a9f8-693042a6b9d8','stockLocations',NULL,_binary '','Stock Locations','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productStockLocation',NULL,_binary '\0',_binary '',_binary '\0',0,0,0,255,12,_binary '',NULL,358),(3217,0,'e50ce2af-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,359),(3218,0,'e50ce2b0-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,359),(3219,0,'e50ce2b1-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,359),(3220,0,'e50ce2b2-21dc-11ea-a9f8-693042a6b9d8','printedName',NULL,_binary '','Printed Name','java.lang.String','/details/printedName',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,359),(3221,0,'e50ce2b3-21dc-11ea-a9f8-693042a6b9d8','sellingUnits',NULL,_binary '','Selling Units','java.lang.String','/details/sellingUnits',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,359),(3222,0,'e50ce2b5-21dc-11ea-a9f8-693042a6b9d8','type',NULL,_binary '','Type','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productType',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '',NULL,359),(3223,0,'e50ce2b6-21dc-11ea-a9f8-693042a6b9d8','templateOnly',NULL,_binary '','Use only in Templates','java.lang.Boolean','/details/templateOnly',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,359),(3224,0,'e50ce2b7-21dc-11ea-a9f8-693042a6b9d8','patientIdentity',NULL,_binary '','Patient Identity','java.lang.String','/details/patientIdentity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,359),(3225,0,'e50ce2b9-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,359),(3226,0,'e50ce2ba-21dc-11ea-a9f8-693042a6b9d8','prices',NULL,_binary '','Prices','java.util.HashSet','/productPrices','ProductPrice',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,9,_binary '',NULL,359),(3227,0,'e50ce2bc-21dc-11ea-a9f8-693042a6b9d8','linked',NULL,_binary '','Linked','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productLink',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,10,_binary '',NULL,359),(3228,0,'e50ce2be-21dc-11ea-a9f8-693042a6b9d8','tests',NULL,_binary '','Tests','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productLaboratoryTest',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,11,_binary '',NULL,359),(3229,0,'e50ce2c0-21dc-11ea-a9f8-693042a6b9d8','reminders',NULL,_binary '','Reminders','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productReminder',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,12,_binary '',NULL,359),(3230,0,'e50ce2c2-21dc-11ea-a9f8-693042a6b9d8','alerts',NULL,_binary '','Alerts','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productAlert',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,13,_binary '',NULL,359),(3231,0,'e50ce2c4-21dc-11ea-a9f8-693042a6b9d8','documents',NULL,_binary '','Documents','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productDocument',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,14,_binary '',NULL,359),(3232,0,'e50ce2c6-21dc-11ea-a9f8-693042a6b9d8','updates',NULL,_binary '','Updates','java.util.HashSet','/classifications','Classification',NULL,'lookup.demographicUpdate',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,15,_binary '\0',NULL,359),(3233,0,'e50ce2c7-21dc-11ea-a9f8-693042a6b9d8','discounts',NULL,_binary '','Discounts','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productDiscount',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,16,_binary '',NULL,359),(3234,0,'e50ce2c9-21dc-11ea-a9f8-693042a6b9d8','species',NULL,_binary '','Species','java.util.HashSet','/classifications','Classification',NULL,'lookup.species',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,17,_binary '\0',NULL,359),(3235,0,'e50ce2ca-21dc-11ea-a9f8-693042a6b9d8','classifications',NULL,_binary '','Classifications','java.util.HashSet','/classifications','Classification',NULL,'lookup.product*',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,18,_binary '\0',NULL,359),(3236,0,'e50ce2cc-21dc-11ea-a9f8-693042a6b9d8','identities',NULL,_binary '','Identities','java.util.HashSet','/identities','Identity',NULL,'entityIdentity.code',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,19,_binary '',NULL,359),(3237,0,'e50ce2cd-21dc-11ea-a9f8-693042a6b9d8','taxes',NULL,_binary '','Taxes','java.util.HashSet','/classifications','Classification',NULL,'lookup.taxType',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,20,_binary '\0',NULL,359),(3238,0,'e50ce2ce-21dc-11ea-a9f8-693042a6b9d8','locations',NULL,_binary '','Locations','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productLocation',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,21,_binary '',NULL,359),(3239,0,'e50ce2d0-21dc-11ea-a9f8-693042a6b9d8','stockLocations',NULL,_binary '','Stock Locations','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productStockLocation',NULL,_binary '\0',_binary '',_binary '\0',0,0,0,255,22,_binary '',NULL,359),(3240,0,'e5119dc2-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,360),(3241,0,'e5119dc3-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,360),(3242,0,'e5119dc4-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,360),(3243,0,'e5119dc5-21dc-11ea-a9f8-693042a6b9d8','printedName',NULL,_binary '','Printed Name','java.lang.String','/details/printedName',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,360),(3244,0,'e5119dc6-21dc-11ea-a9f8-693042a6b9d8','printAggregate',NULL,_binary '','Print Aggregate','java.lang.Boolean','/details/printAggregate',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,360),(3245,0,'e5119dc7-21dc-11ea-a9f8-693042a6b9d8','type',NULL,_binary '','Type','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productType',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '',NULL,360),(3246,0,'e5119dc8-21dc-11ea-a9f8-693042a6b9d8','templateOnly',NULL,_binary '','Use only in Templates','java.lang.Boolean','/details/templateOnly',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,360),(3247,0,'e5119dc9-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,360),(3248,0,'e5119dca-21dc-11ea-a9f8-693042a6b9d8','invoiceNote',NULL,_binary '','Invoice Note','java.lang.String','/details/invoiceNote',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,8,_binary '\0',NULL,360),(3249,0,'e5119dcb-21dc-11ea-a9f8-693042a6b9d8','visitNote',NULL,_binary '','Visit Note','java.lang.String','/details/visitNote',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,1000,9,_binary '\0',NULL,360),(3250,0,'e5119dcc-21dc-11ea-a9f8-693042a6b9d8','includes',NULL,_binary '','Includes','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productIncludes',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,10,_binary '',NULL,360),(3251,0,'e5119dcd-21dc-11ea-a9f8-693042a6b9d8','species',NULL,_binary '','Species','java.util.HashSet','/classifications','Classification',NULL,'lookup.species',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,11,_binary '\0',NULL,360),(3252,0,'e5119dce-21dc-11ea-a9f8-693042a6b9d8','classifications',NULL,_binary '','Classifications','java.util.HashSet','/classifications','Classification',NULL,'lookup.product*',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,12,_binary '\0',NULL,360),(3253,0,'e5119dd0-21dc-11ea-a9f8-693042a6b9d8','taxes',NULL,_binary '','Taxes','java.util.HashSet','/classifications','Classification',NULL,'lookup.taxType',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,13,_binary '\0',NULL,360),(3254,0,'e5119dd1-21dc-11ea-a9f8-693042a6b9d8','identities',NULL,_binary '','Identities','java.util.HashSet','/identities','Identity',NULL,'entityIdentity.code',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,14,_binary '',NULL,360),(3255,0,'e5119dd2-21dc-11ea-a9f8-693042a6b9d8','suppliers',NULL,_binary '','Suppliers','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productSupplier',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,15,_binary '',NULL,360),(3256,0,'e5119dd3-21dc-11ea-a9f8-693042a6b9d8','discounts',NULL,_binary '','Discounts','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productDiscount',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,16,_binary '',NULL,360),(3257,0,'e5119dd5-21dc-11ea-a9f8-693042a6b9d8','tests',NULL,_binary '','Tests','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productLaboratoryTest',NULL,_binary '',_binary '',_binary '\0',0,0,0,255,17,_binary '',NULL,360),(3258,0,'e5119dd6-21dc-11ea-a9f8-693042a6b9d8','locations',NULL,_binary '','Locations','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productLocation',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,18,_binary '',NULL,360),(3259,0,'e5119dd8-21dc-11ea-a9f8-693042a6b9d8','stockLocations',NULL,_binary '','Stock Locations','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.productStockLocation',NULL,_binary '\0',_binary '',_binary '\0',0,0,0,255,19,_binary '',NULL,360),(3260,0,'e51658ca-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,361),(3261,0,'e51658cb-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Fixed Price\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,361),(3262,0,'e51658cc-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'$ \',/price, \' \',\'(\',date:formatDate(/fromDate), \' - \',date:formatDate(/toDate),\')\')',_binary '\0',_binary '',_binary '',1,1,0,255,2,_binary '\0',NULL,361),(3263,0,'e51658cd-21dc-11ea-a9f8-693042a6b9d8','fixed',NULL,_binary '','Fixed','java.lang.Boolean','/fixed',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,361),(3264,0,'e51658ce-21dc-11ea-a9f8-693042a6b9d8','cost',NULL,_binary '','Cost','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/cost',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,361),(3265,0,'e51658cf-21dc-11ea-a9f8-693042a6b9d8','markup',NULL,_binary '','Markup','java.math.BigDecimal','/details/markup',NULL,'100.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,361),(3266,0,'e51658d0-21dc-11ea-a9f8-693042a6b9d8','price',NULL,_binary '','Price','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/price',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,361),(3267,0,'e51658d1-21dc-11ea-a9f8-693042a6b9d8','maxDiscount',NULL,_binary '','Max. Discount','java.math.BigDecimal','/details/maxDiscount',NULL,'\'100.0\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,361),(3268,0,'e51658d2-21dc-11ea-a9f8-693042a6b9d8','default',NULL,_binary '','Default','java.lang.Boolean','/details/default',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,361),(3269,0,'e51658d3-21dc-11ea-a9f8-693042a6b9d8','fromDate',NULL,_binary '','From Date','java.util.Date','/fromDate',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,361),(3270,0,'e51658d4-21dc-11ea-a9f8-693042a6b9d8','toDate',NULL,_binary '','To Date','java.util.Date','/toDate',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,361),(3271,0,'e51658d5-21dc-11ea-a9f8-693042a6b9d8','pricingGroups',NULL,_binary '','Pricing Groups','java.util.HashSet','/classifications','Classification',NULL,'lookup.pricingGroup',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,11,_binary '\0',NULL,361),(3272,0,'e518c9d8-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,362),(3273,0,'e518c9d9-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Unit Price\'',_binary '\0',_binary '\0',_binary '',1,1,0,255,1,_binary '\0',NULL,362),(3274,0,'e518c9da-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'$ \',/price, \' \',openvpms:lookup(.,\'uom\'),\' (\',date:formatDate(/fromDate), \' - \',date:formatDate(/toDate),\')\')',_binary '\0',_binary '',_binary '',1,1,0,255,2,_binary '\0',NULL,362),(3275,0,'e518c9db-21dc-11ea-a9f8-693042a6b9d8','fixed',NULL,_binary '','Fixed','java.lang.Boolean','/fixed',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,362),(3276,0,'e518c9dc-21dc-11ea-a9f8-693042a6b9d8','cost',NULL,_binary '','Cost','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/cost',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,362),(3277,0,'e518c9dd-21dc-11ea-a9f8-693042a6b9d8','markup',NULL,_binary '','Markup','java.math.BigDecimal','/details/markup',NULL,'100.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,362),(3278,0,'e518c9de-21dc-11ea-a9f8-693042a6b9d8','price',NULL,_binary '','Price','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/price',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,362),(3279,0,'e518c9df-21dc-11ea-a9f8-693042a6b9d8','quantity',NULL,_binary '','Qty Break Qty','java.lang.Integer','/details/quantity',NULL,'99999',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,7,_binary '\0',NULL,362),(3280,0,'e518c9e0-21dc-11ea-a9f8-693042a6b9d8','uom',NULL,_binary '','Qty Break Units','java.lang.String','/details/qtyUom',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,8,_binary '\0',NULL,362),(3281,0,'e518c9e2-21dc-11ea-a9f8-693042a6b9d8','maxDiscount',NULL,_binary '','Max. Discount','java.math.BigDecimal','/details/maxDiscount',NULL,'100.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,362),(3282,0,'e518c9e3-21dc-11ea-a9f8-693042a6b9d8','fromDate',NULL,_binary '','From Date','java.util.Date','/fromDate',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,362),(3283,0,'e518c9e4-21dc-11ea-a9f8-693042a6b9d8','toDate',NULL,_binary '','To Date','java.util.Date','/toDate',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,362),(3284,0,'e518c9e5-21dc-11ea-a9f8-693042a6b9d8','pricingGroups',NULL,_binary '','Pricing Groups','java.util.HashSet','/classifications','Classification',NULL,'lookup.pricingGroup',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,12,_binary '\0',NULL,362),(3285,0,'e51b13d8-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,363),(3286,0,'e51b13d9-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Reminder\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,363),(3287,0,'e51b13da-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Due Date : \', date:formatDate(/activityStartTime), \' Reminders Sent : \', /details/reminderCount)',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,363),(3288,0,'e51b13db-21dc-11ea-a9f8-693042a6b9d8','createdTime',NULL,_binary '','Date','java.util.Date','/details/createdTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,363),(3289,0,'e51b13dc-21dc-11ea-a9f8-693042a6b9d8','reminderType',NULL,_binary '','Reminder Type','java.util.HashSet','/participations',NULL,NULL,'participation.reminderType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '',NULL,363),(3290,0,'e51b13dd-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','Due Date','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,363),(3291,0,'e51b13de-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Next Reminder','java.util.Date','/activityStartTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,363),(3292,0,'e51b13df-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,363),(3293,0,'e51b13e1-21dc-11ea-a9f8-693042a6b9d8','reminderCount',NULL,_binary '','Reminders Sent','java.lang.Integer','/details/reminderCount',NULL,'0',NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,363),(3294,0,'e51b13e2-21dc-11ea-a9f8-693042a6b9d8','lastSent',NULL,_binary '','Last Sent','java.util.Date','/details/lastSent',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,363),(3295,0,'e51b13e3-21dc-11ea-a9f8-693042a6b9d8','completedDate',NULL,_binary '','Completed','java.util.Date','/details/completedDate',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,363),(3296,0,'e51b13e4-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,11,_binary '',NULL,363),(3297,0,'e51b13e5-21dc-11ea-a9f8-693042a6b9d8','product',NULL,_binary '','Product','java.util.HashSet','/participations',NULL,NULL,'participation.product',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,12,_binary '',NULL,363),(3298,0,'e51b13e6-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,13,_binary '',NULL,363),(3299,0,'e51b13e7-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,14,_binary '',NULL,363),(3300,0,'e51b13e8-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Items','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.patientReminderItem',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,15,_binary '',NULL,363),(3301,0,'e51b13e9-21dc-11ea-a9f8-693042a6b9d8','invoiceItem',NULL,_binary '','Invoice Item','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.invoiceItemReminder',NULL,_binary '',_binary '',_binary '\0',0,1,0,255,16,_binary '',NULL,363),(3302,0,'e51d84eb-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,364),(3303,0,'e51d84ec-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Email Reminder\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,364),(3304,0,'e51d84ed-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,364),(3305,0,'e51d84ee-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Send','java.util.Date','/activityStartTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,364),(3306,0,'e51d84ef-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','Next Reminder','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,364),(3307,0,'e51d84f0-21dc-11ea-a9f8-693042a6b9d8','count',NULL,_binary '','Count','java.lang.Integer','/details/count',NULL,'0',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,364),(3308,0,'e51d84f1-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'PENDING\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,364),(3309,0,'e51d84f3-21dc-11ea-a9f8-693042a6b9d8','processed',NULL,_binary '','Processed','java.util.Date','/details/processed',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,364),(3310,0,'e51d84f4-21dc-11ea-a9f8-693042a6b9d8','error',NULL,_binary '','Error','java.lang.String','/details/error',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,5000,8,_binary '\0',NULL,364),(3311,0,'e51d84f5-21dc-11ea-a9f8-693042a6b9d8','reminder',NULL,_binary '','Reminder','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientReminderItem',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,9,_binary '',NULL,364),(3312,0,'e51ff5f7-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,365),(3313,0,'e51ff5f8-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Patient Export Reminder\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,365),(3314,0,'e51ff5f9-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,365),(3315,0,'e51ff5fa-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Send','java.util.Date','/activityStartTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,365),(3316,0,'e51ff5fb-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','Next Reminder','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,365),(3317,0,'e51ff5fc-21dc-11ea-a9f8-693042a6b9d8','count',NULL,_binary '','Count','java.lang.Integer','/details/count',NULL,'0',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,365),(3318,0,'e51ff5fd-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'PENDING\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,365),(3319,0,'e51ff5ff-21dc-11ea-a9f8-693042a6b9d8','processed',NULL,_binary '','Processed','java.util.Date','/details/processed',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,365),(3320,0,'e51ff600-21dc-11ea-a9f8-693042a6b9d8','error',NULL,_binary '','Error','java.lang.String','/details/error',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,5000,8,_binary '\0',NULL,365),(3321,0,'e51ff601-21dc-11ea-a9f8-693042a6b9d8','reminder',NULL,_binary '','Reminder','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientReminderItem',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,9,_binary '',NULL,365),(3322,0,'e5223ff3-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,366),(3323,0,'e5223ff4-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Patient List Reminder\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,366),(3324,0,'e5223ff5-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,366),(3325,0,'e5223ff6-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Send','java.util.Date','/activityStartTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,366),(3326,0,'e5223ff7-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','Next Reminder','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,366),(3327,0,'e5223ff8-21dc-11ea-a9f8-693042a6b9d8','count',NULL,_binary '','Count','java.lang.Integer','/details/count',NULL,'0',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,366),(3328,0,'e5223ff9-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'PENDING\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,366),(3329,0,'e5223ffb-21dc-11ea-a9f8-693042a6b9d8','processed',NULL,_binary '','Processed','java.util.Date','/details/processed',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,366),(3330,0,'e5223ffc-21dc-11ea-a9f8-693042a6b9d8','error',NULL,_binary '','Error','java.lang.String','/details/error',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,5000,8,_binary '\0',NULL,366),(3331,0,'e5223ffd-21dc-11ea-a9f8-693042a6b9d8','reminder',NULL,_binary '','Reminder','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientReminderItem',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,9,_binary '',NULL,366),(3332,0,'e524b0ff-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,367),(3333,0,'e524b100-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Patient Print Reminder\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,367),(3334,0,'e524b101-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,367),(3335,0,'e524b102-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Send','java.util.Date','/activityStartTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,367),(3336,0,'e524b103-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','Next Reminder','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,367),(3337,0,'e524b104-21dc-11ea-a9f8-693042a6b9d8','count',NULL,_binary '','Count','java.lang.Integer','/details/count',NULL,'0',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,367),(3338,0,'e524b105-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'PENDING\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,367),(3339,0,'e524b107-21dc-11ea-a9f8-693042a6b9d8','processed',NULL,_binary '','Processed','java.util.Date','/details/processed',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,367),(3340,0,'e524b108-21dc-11ea-a9f8-693042a6b9d8','error',NULL,_binary '','Error','java.lang.String','/details/error',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,5000,8,_binary '\0',NULL,367),(3341,0,'e524b109-21dc-11ea-a9f8-693042a6b9d8','reminder',NULL,_binary '','Reminder','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientReminderItem',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,9,_binary '',NULL,367),(3342,0,'e527220b-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,368),(3343,0,'e527220c-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Patient SMS Reminder\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,368),(3344,0,'e527220d-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,368),(3345,0,'e527220e-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Send','java.util.Date','/activityStartTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,368),(3346,0,'e527220f-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','Next Reminder','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,368),(3347,0,'e5272210-21dc-11ea-a9f8-693042a6b9d8','count',NULL,_binary '','Count','java.lang.Integer','/details/count',NULL,'0',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,368),(3348,0,'e5272211-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'PENDING\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,368),(3349,0,'e5272213-21dc-11ea-a9f8-693042a6b9d8','processed',NULL,_binary '','Processed','java.util.Date','/details/processed',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,368),(3350,0,'e5272214-21dc-11ea-a9f8-693042a6b9d8','error',NULL,_binary '','Error','java.lang.String','/details/error',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,5000,8,_binary '\0',NULL,368),(3351,0,'e5272215-21dc-11ea-a9f8-693042a6b9d8','reminder',NULL,_binary '','Reminder','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.patientReminderItem',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,9,_binary '',NULL,368),(3352,0,'e5296b07-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,369),(3353,0,'e5296b08-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,369),(3354,0,'e5296b09-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,369),(3355,0,'e5296b0a-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Reminder','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'act.patientReminder',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,369),(3356,0,'e5296b0b-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Communication','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'act.customerCommunication*',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,369),(3357,0,'e52bdc0d-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,370),(3358,0,'e52bdc0e-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,370),(3359,0,'e52bdc0f-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,370),(3360,0,'e52bdc10-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,370),(3361,0,'e52bdc11-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Reminder','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'act.patientReminder',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,370),(3362,0,'e52bdc12-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'act.patientReminderItem*',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,370),(3363,0,'e52e2604-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,371),(3364,0,'e52e2605-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Patient Reminder Configuration\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,371),(3365,0,'e52e2607-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,'\'Determines how patient reminders will be processed\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,371),(3366,0,'e52e2608-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,371),(3367,0,'e52e2609-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.reminderConfigurationLocation',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '',NULL,371),(3368,0,'e52e260a-21dc-11ea-a9f8-693042a6b9d8','emailInterval',NULL,_binary '','Email Lead Time','java.lang.Integer','/details/emailInterval',NULL,'3',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,371),(3369,0,'e52e260c-21dc-11ea-a9f8-693042a6b9d8','emailUnits',NULL,_binary '','Email Units','java.lang.String','/details/emailUnits',NULL,'\'DAYS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,371),(3370,0,'e52e260e-21dc-11ea-a9f8-693042a6b9d8','emailCancelInterval',NULL,_binary '','Email Cancel Time','java.lang.Integer','/details/emailCancelInterval',NULL,'3',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,371),(3371,0,'e52e2610-21dc-11ea-a9f8-693042a6b9d8','emailCancelUnits',NULL,_binary '','Email Cancel Units','java.lang.String','/details/emailCancelUnits',NULL,'\'DAYS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,8,_binary '\0',NULL,371),(3372,0,'e52e2612-21dc-11ea-a9f8-693042a6b9d8','smsInterval',NULL,_binary '','SMS Lead Time','java.lang.Integer','/details/smsInterval',NULL,'3',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,9,_binary '\0',NULL,371),(3373,0,'e52e2614-21dc-11ea-a9f8-693042a6b9d8','smsUnits',NULL,_binary '','SMS Lead Time Units','java.lang.String','/details/smsUnits',NULL,'\'DAYS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,10,_binary '\0',NULL,371),(3374,0,'e52e2616-21dc-11ea-a9f8-693042a6b9d8','smsCancelInterval',NULL,_binary '','SMS Cancel Time','java.lang.Integer','/details/smsCancelInterval',NULL,'3',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,11,_binary '\0',NULL,371),(3375,0,'e52e2618-21dc-11ea-a9f8-693042a6b9d8','smsCancelUnits',NULL,_binary '','SMS Cancel Time Units','java.lang.String','/details/smsCancelUnits',NULL,'\'DAYS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,12,_binary '\0',NULL,371),(3376,0,'e52e261a-21dc-11ea-a9f8-693042a6b9d8','printInterval',NULL,_binary '','Print Lead Time','java.lang.Integer','/details/printInterval',NULL,'2',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,13,_binary '\0',NULL,371),(3377,0,'e52e261c-21dc-11ea-a9f8-693042a6b9d8','printUnits',NULL,_binary '','Print Lead Time Units','java.lang.String','/details/printUnits',NULL,'\'WEEKS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,14,_binary '\0',NULL,371),(3378,0,'e52e261e-21dc-11ea-a9f8-693042a6b9d8','printCancelInterval',NULL,_binary '','Print Cancel Time','java.lang.Integer','/details/printCancelInterval',NULL,'2',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,15,_binary '\0',NULL,371),(3379,0,'e52e2620-21dc-11ea-a9f8-693042a6b9d8','printCancelUnits',NULL,_binary '','Print Cancel Units','java.lang.String','/details/printCancelUnits',NULL,'\'WEEKS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,16,_binary '\0',NULL,371),(3380,0,'e52e2622-21dc-11ea-a9f8-693042a6b9d8','exportInterval',NULL,_binary '','Export Lead Time','java.lang.Integer','/details/exportInterval',NULL,'2',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,17,_binary '\0',NULL,371),(3381,0,'e52e2624-21dc-11ea-a9f8-693042a6b9d8','exportUnits',NULL,_binary '','Export Lead Time Units','java.lang.String','/details/exportUnits',NULL,'\'WEEKS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,18,_binary '\0',NULL,371),(3382,0,'e52e2626-21dc-11ea-a9f8-693042a6b9d8','exportCancelInterval',NULL,_binary '','Export Cancel Time','java.lang.Integer','/details/exportCancelInterval',NULL,'2',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,19,_binary '\0',NULL,371),(3383,0,'e52e2628-21dc-11ea-a9f8-693042a6b9d8','exportCancelUnits',NULL,_binary '','Export Cancel Units','java.lang.String','/details/exportCancelUnits',NULL,'\'WEEKS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,20,_binary '\0',NULL,371),(3384,0,'e52e262a-21dc-11ea-a9f8-693042a6b9d8','listInterval',NULL,_binary '','List Lead Time','java.lang.Integer','/details/listInterval',NULL,'2',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,21,_binary '\0',NULL,371),(3385,0,'e52e262c-21dc-11ea-a9f8-693042a6b9d8','listUnits',NULL,_binary '','List Lead Time Units','java.lang.String','/details/listUnits',NULL,'\'WEEKS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,22,_binary '\0',NULL,371),(3386,0,'e52e262e-21dc-11ea-a9f8-693042a6b9d8','listCancelInterval',NULL,_binary '','List Cancel Time','java.lang.Integer','/details/listCancelInterval',NULL,'2',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,23,_binary '\0',NULL,371),(3387,0,'e52e2630-21dc-11ea-a9f8-693042a6b9d8','listCancelUnits',NULL,_binary '','List Cancel Units','java.lang.String','/details/listCancelUnits',NULL,'\'WEEKS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,24,_binary '\0',NULL,371),(3388,0,'e52e2632-21dc-11ea-a9f8-693042a6b9d8','emailAttachments',NULL,_binary '','Email Reminders as Attachments','java.lang.Boolean','/details/emailAttachments',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,25,_binary '\0',NULL,371),(3389,0,'e52e2633-21dc-11ea-a9f8-693042a6b9d8','customerTemplate',NULL,_binary '','Customer Grouped Reminder Template','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.reminderConfigurationTemplateCustomer',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,26,_binary '',NULL,371),(3390,0,'e52e2634-21dc-11ea-a9f8-693042a6b9d8','patientTemplate',NULL,_binary '','Patient Grouped Reminder Template','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.reminderConfigurationTemplatePatient',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,27,_binary '',NULL,371),(3391,0,'e537c326-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,372),(3392,0,'e537c327-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Reminder Count\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,372),(3393,0,'e537c328-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Reminder Count: \',/details/reminderCount,\', Overdue Interval: \',/details/interval, \' \',openvpms:lookup(., \'units\'))',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,372),(3394,0,'e537c329-21dc-11ea-a9f8-693042a6b9d8','count',NULL,_binary '','Count','java.lang.Integer','/details/count',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,372),(3395,0,'e537c32a-21dc-11ea-a9f8-693042a6b9d8','interval',NULL,_binary '','Interval','java.lang.Integer','/details/interval',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,372),(3396,0,'e537c32b-21dc-11ea-a9f8-693042a6b9d8','units',NULL,_binary '','Units','java.lang.String','/details/units',NULL,'\'DAYS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,372),(3397,0,'e537c32d-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,6,_binary '\0',NULL,372),(3398,0,'e537c32e-21dc-11ea-a9f8-693042a6b9d8','rules',NULL,_binary '','Rules','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.reminderCountRule',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,7,_binary '',NULL,372),(3399,0,'e537c32f-21dc-11ea-a9f8-693042a6b9d8','template',NULL,_binary '','Template','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.reminderCountTemplate',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '',NULL,372),(3400,0,'e53a0d21-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,373),(3401,0,'e53a0d22-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Reminder Rule\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,373),(3402,0,'e53a0d23-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,373),(3403,0,'e53a0d24-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,373),(3404,0,'e53a0d25-21dc-11ea-a9f8-693042a6b9d8','contact',NULL,_binary '','Contact','java.lang.Boolean','/details/contact',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,373),(3405,0,'e53a0d26-21dc-11ea-a9f8-693042a6b9d8','email',NULL,_binary '','Email','java.lang.Boolean','/details/email',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,373),(3406,0,'e53a0d27-21dc-11ea-a9f8-693042a6b9d8','sms',NULL,_binary '','SMS','java.lang.Boolean','/details/sms',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,373),(3407,0,'e53a0d28-21dc-11ea-a9f8-693042a6b9d8','print',NULL,_binary '','Print','java.lang.Boolean','/details/print',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,373),(3408,0,'e53a0d29-21dc-11ea-a9f8-693042a6b9d8','list',NULL,_binary '','List','java.lang.Boolean','/details/list',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,373),(3409,0,'e53a0d2a-21dc-11ea-a9f8-693042a6b9d8','export',NULL,_binary '','Export','java.lang.Boolean','/details/export',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,373),(3410,0,'e53a0d2b-21dc-11ea-a9f8-693042a6b9d8','sendTo',NULL,_binary '','Send To','java.lang.String','/details/sendTo',NULL,'\'FIRST\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,10,_binary '\0',NULL,373),(3411,0,'e53c7e2e-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,374),(3412,0,'e53c7e2f-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,374),(3413,0,'e53c7e31-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,374),(3414,0,'e53c7e32-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,374),(3415,0,'e53c7e33-21dc-11ea-a9f8-693042a6b9d8','groupBy',NULL,_binary '','Group By','java.lang.String','/details/groupBy',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,374),(3416,0,'e53c7e35-21dc-11ea-a9f8-693042a6b9d8','interactive',NULL,_binary '','Interactive','java.lang.Boolean','/details/interactive',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,374),(3417,0,'e53c7e36-21dc-11ea-a9f8-693042a6b9d8','defaultInterval',NULL,_binary '','Reminder Interval','java.lang.Integer','/details/interval',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,374),(3418,0,'e53c7e37-21dc-11ea-a9f8-693042a6b9d8','defaultUnits',NULL,_binary '','Interval Units','java.lang.String','/details/units',NULL,'\'YEARS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,374),(3419,0,'e53c7e39-21dc-11ea-a9f8-693042a6b9d8','cancelInterval',NULL,_binary '','Cancel Interval','java.lang.Integer','/details/cancelInterval',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,374),(3420,0,'e53c7e3a-21dc-11ea-a9f8-693042a6b9d8','cancelUnits',NULL,_binary '','Cancel Units','java.lang.String','/details/cancelUnits',NULL,'\'YEARS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,374),(3421,0,'e53c7e3c-21dc-11ea-a9f8-693042a6b9d8','sensitivityInterval',NULL,_binary '','Sensitivity Interval','java.lang.Integer','/details/sensitivityInterval',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,374),(3422,0,'e53c7e3d-21dc-11ea-a9f8-693042a6b9d8','sensitivityUnits',NULL,_binary '','Sensitivity Units','java.lang.String','/details/sensitivityUnits',NULL,'\'DAYS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,374),(3423,0,'e53c7e3f-21dc-11ea-a9f8-693042a6b9d8','note',NULL,_binary '','Note','java.lang.String','/details/note',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,12,_binary '\0',NULL,374),(3424,0,'e53c7e40-21dc-11ea-a9f8-693042a6b9d8','counts',NULL,_binary '','Counts','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.reminderTypeCount',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,13,_binary '',NULL,374),(3425,0,'e53c7e41-21dc-11ea-a9f8-693042a6b9d8','species',NULL,_binary '','Species','java.util.HashSet','/classifications','Classification',NULL,'lookup.species',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,14,_binary '\0',NULL,374),(3426,0,'e53c7e42-21dc-11ea-a9f8-693042a6b9d8','groups',NULL,_binary '','Groups','java.util.HashSet','/classifications','Classification',NULL,'lookup.reminderGroup',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,15,_binary '\0',NULL,374),(3427,0,'e53eef44-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,375),(3428,0,'e53eef45-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Reminder Configuration Location\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,375),(3429,0,'e53eef46-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,375),(3430,0,'e53eef47-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Reminder Configuration','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'entity.reminderConfigurationType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,375),(3431,0,'e53eef48-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Practice Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'party.organisationLocation',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,375),(3432,0,'e541393a-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,376),(3433,0,'e541393b-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Reminder Configuration Grouped Reminders Template by Customer\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,376),(3434,0,'e541393c-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,376),(3435,0,'e541393d-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Reminder Configuration','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'entity.reminderConfigurationType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,376),(3436,0,'e541393e-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Template','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'entity.documentTemplate',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,376),(3437,0,'e543aa40-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,377),(3438,0,'e543aa41-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Reminder Configuration Grouped Reminders Template by Patient\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,377),(3439,0,'e543aa42-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,377),(3440,0,'e543aa43-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Reminder Configuration','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'entity.reminderConfigurationType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,377),(3441,0,'e543aa44-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Template','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'entity.documentTemplate',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,377),(3442,0,'e543aa46-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,378),(3443,0,'e543aa47-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Reminder Count Rule\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,378),(3444,0,'e543aa48-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,378),(3445,0,'e543aa49-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Reminder Count','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'entity.reminderCount',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,378),(3446,0,'e543aa4a-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Reminder Rule','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'entity.reminderRule',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,378),(3447,0,'e543aa4b-21dc-11ea-a9f8-693042a6b9d8','sequence',NULL,_binary '','Sequence','java.lang.Integer','/sequence',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,378),(3448,0,'e5461b4d-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,379),(3449,0,'e5461b4e-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Reminder Count Template\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,379),(3450,0,'e5461b4f-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,379),(3451,0,'e5461b50-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Reminder Count','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'entity.reminderCount',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,379),(3452,0,'e5461b51-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Document Template','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'entity.documentTemplate',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,379),(3453,0,'e5486543-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,380),(3454,0,'e5486544-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Reminder Type Count\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,380),(3455,0,'e5486545-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,380),(3456,0,'e5486546-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Reminder Type','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'entity.reminderType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,380),(3457,0,'e5486547-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Reminder Count','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'entity.reminderCount',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,380),(3458,0,'e5486548-21dc-11ea-a9f8-693042a6b9d8','sequence',NULL,_binary '','Sequence','java.lang.Integer','/sequence',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,380),(3459,0,'e54ad64a-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,381),(3460,0,'e54ad64b-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Smart Flow Sheet Configuration\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,381),(3461,0,'e54ad64d-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,'\'Practice configuration parameters for SmartFlow Sheet\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,381),(3462,0,'e54ad64e-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,381),(3463,0,'e54ad64f-21dc-11ea-a9f8-693042a6b9d8','synchroniseNotes',NULL,_binary '','Synchronise Notes','java.lang.Boolean','/details/synchroniseNotes',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,381),(3464,0,'e54ad650-21dc-11ea-a9f8-693042a6b9d8','minimumWordCount',NULL,_binary '','Minimum Word Count','java.lang.Integer','/details/minimumWordCount',NULL,'5',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,381),(3465,0,'e54ad651-21dc-11ea-a9f8-693042a6b9d8','saveFlowSheetReportOnDischarge',NULL,_binary '','Save Flow Sheet Report On Discharge','java.lang.Boolean','/details/saveFlowSheetReportOnDischarge',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,381),(3466,0,'e54ad652-21dc-11ea-a9f8-693042a6b9d8','saveMedicalRecordsReportOnDischarge',NULL,_binary '','Save Medical Records Report On Discharge','java.lang.Boolean','/details/saveMedicalRecordsReportOnDischarge',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,381),(3467,0,'e54ad653-21dc-11ea-a9f8-693042a6b9d8','saveBillingReportOnDischarge',NULL,_binary '','Save Billing Report On Discharge','java.lang.Boolean','/details/saveBillingReportOnDischarge',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,381),(3468,0,'e54ad654-21dc-11ea-a9f8-693042a6b9d8','saveNotesReportOnDischarge',NULL,_binary '','Save Notes Report On Discharge','java.lang.Boolean','/details/saveNotesReportOnDischarge',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,381),(3469,0,'e54ad655-21dc-11ea-a9f8-693042a6b9d8','saveFormsReportOnDischarge',NULL,_binary '','Save Forms Report On Discharge','java.lang.Boolean','/details/saveFormsReportOnDischarge',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,381),(3470,0,'e54ad656-21dc-11ea-a9f8-693042a6b9d8','saveAnestheticsReportsOnDischarge',NULL,_binary '','Save Anesthetics Reports On Discharge','java.lang.Boolean','/details/saveAnestheticsReportsOnDischarge',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,381),(3471,0,'e54ad658-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,382),(3472,0,'e54ad659-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Smart Flow Sheet Configuration\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,382),(3473,0,'e54ad65a-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,382),(3474,0,'e54ad65b-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Practice','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'party.organisationPractice',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,382),(3475,0,'e54ad65c-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Smart Flow Sheet Configuration','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'entity.smartflowConfigurationType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,382),(3476,0,'e54d204e-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,383),(3477,0,'e54d204f-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,383),(3478,0,'e54d2050-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,383),(3479,0,'e54d2051-21dc-11ea-a9f8-693042a6b9d8','stockLocation',NULL,_binary '','Stock Location','java.util.HashSet','/participations',NULL,NULL,'participation.stockLocation',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '',NULL,383),(3480,0,'e54d2052-21dc-11ea-a9f8-693042a6b9d8','reason',NULL,_binary '','Reason','java.lang.String','/reason',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,383),(3481,0,'e54d2053-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,383),(3482,0,'e54d2055-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Notes','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,6,_binary '\0',NULL,383),(3483,0,'e54d2056-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Items','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,-1,0,255,7,_binary '',NULL,383),(3484,0,'e54d2058-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,8,_binary '',NULL,383),(3485,0,'e54f915a-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,384),(3486,0,'e54f915b-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,384),(3487,0,'e54f915c-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Notes','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,384),(3488,0,'e54f915d-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Start Time','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,384),(3489,0,'e54f915e-21dc-11ea-a9f8-693042a6b9d8','product',NULL,_binary '','Product','java.util.HashSet','/participations',NULL,NULL,'participation.stock',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '',NULL,384),(3490,0,'e54f915f-21dc-11ea-a9f8-693042a6b9d8','quantity',NULL,_binary '','Adjust Quantity By','java.math.BigDecimal','/details/quantity',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,384),(3491,0,'e54f9160-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,6,_binary '',NULL,384),(3492,0,'e5520262-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,385),(3493,0,'e5520263-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,385),(3494,0,'e5520264-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,385),(3495,0,'e5520265-21dc-11ea-a9f8-693042a6b9d8','stockLocation',NULL,_binary '','From','java.util.HashSet','/participations',NULL,NULL,'participation.stockLocation',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '',NULL,385),(3496,0,'e5520266-21dc-11ea-a9f8-693042a6b9d8','to',NULL,_binary '','To','java.util.HashSet','/participations',NULL,NULL,'participation.stockTransferLocation',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '',NULL,385),(3497,0,'e5520267-21dc-11ea-a9f8-693042a6b9d8','reason',NULL,_binary '','Reason','java.lang.String','/reason',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,385),(3498,0,'e5520268-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,385),(3499,0,'e552026a-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Notes','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,7,_binary '\0',NULL,385),(3500,0,'e552026b-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Items','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,-1,0,255,8,_binary '',NULL,385),(3501,0,'e552026d-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,9,_binary '',NULL,385),(3502,0,'e5544c5f-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,386),(3503,0,'e5544c60-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,386),(3504,0,'e5544c61-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Notes','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,386),(3505,0,'e5544c62-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Start Time','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,386),(3506,0,'e5544c63-21dc-11ea-a9f8-693042a6b9d8','product',NULL,_binary '','Product','java.util.HashSet','/participations',NULL,NULL,'participation.stock',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '',NULL,386),(3507,0,'e5544c64-21dc-11ea-a9f8-693042a6b9d8','quantity',NULL,_binary '','Quantity','java.math.BigDecimal','/details/quantity',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,386),(3508,0,'e5544c66-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,6,_binary '',NULL,386),(3509,0,'e556bd68-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,387),(3510,0,'e556bd69-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,387),(3511,0,'e556bd6a-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,387),(3512,0,'e556bd6b-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,387),(3513,0,'e556bd6c-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Adjustment','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,387),(3514,0,'e556bd6e-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Adjustment Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,387),(3515,0,'e5592e71-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,388),(3516,0,'e5592e72-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,388),(3517,0,'e5592e73-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,388),(3518,0,'e5592e74-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,388),(3519,0,'e5592e75-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Transfer','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,388),(3520,0,'e5592e77-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Transfer Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,388),(3521,0,'e55b786a-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,389),(3522,0,'e55b786b-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,389),(3523,0,'e55b786d-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,389),(3524,0,'e55de970-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,390),(3525,0,'e55de971-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,390),(3526,0,'e55de972-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,390),(3527,0,'e55de973-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Start Time','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,390),(3528,0,'e55de974-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,390),(3529,0,'e55de975-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,390),(3530,0,'e55de976-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,390),(3531,0,'e55de977-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,390),(3532,0,'e55de979-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Items','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,-1,0,255,8,_binary '',NULL,390),(3533,0,'e55de97b-21dc-11ea-a9f8-693042a6b9d8','supplier',NULL,_binary '','Supplier','java.util.HashSet','/participations',NULL,NULL,'participation.supplier',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,9,_binary '',NULL,390),(3534,0,'e55de97c-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,10,_binary '',NULL,390),(3535,0,'e560336e-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,391),(3536,0,'e560336f-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,391),(3537,0,'e5603370-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,391),(3538,0,'e5603371-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Start Time','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,391),(3539,0,'e5603372-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,391),(3540,0,'e5603373-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'false()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,391),(3541,0,'e5603374-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,391),(3542,0,'e5603375-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,391),(3543,0,'e5603377-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Items','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,-1,0,255,8,_binary '',NULL,391),(3544,0,'e5603379-21dc-11ea-a9f8-693042a6b9d8','supplier',NULL,_binary '','Supplier','java.util.HashSet','/participations',NULL,NULL,'participation.supplier',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,9,_binary '',NULL,391),(3545,0,'e560337a-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,10,_binary '',NULL,391),(3546,0,'e562a37c-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,392),(3547,0,'e562a37d-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,392),(3548,0,'e562a37e-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,392),(3549,0,'e562a37f-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,392),(3550,0,'e562a380-21dc-11ea-a9f8-693042a6b9d8','product',NULL,_binary '','Product','java.util.HashSet','/participations',NULL,NULL,'participation.stock',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '',NULL,392),(3551,0,'e562a381-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,5,_binary '',NULL,392),(3552,0,'e562a382-21dc-11ea-a9f8-693042a6b9d8','quantity',NULL,_binary '','Quantity','java.math.BigDecimal','/quantity',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,392),(3553,0,'e562a383-21dc-11ea-a9f8-693042a6b9d8','unitPrice',NULL,_binary '','Unit Price','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/unitAmount',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,392),(3554,0,'e562a384-21dc-11ea-a9f8-693042a6b9d8','tax',NULL,_binary '','Tax','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/taxAmount',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,8,_binary '\0',NULL,392),(3555,0,'e562a385-21dc-11ea-a9f8-693042a6b9d8','total',NULL,_binary '','Total','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,NULL,NULL,'math:roundAmount(/quantity * /unitAmount + taxAmount)',_binary '\0',_binary '\0',_binary '',0,1,0,255,9,_binary '\0',NULL,392),(3556,0,'e562a386-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,10,_binary '\0',NULL,392),(3557,0,'e5651488-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,393),(3558,0,'e5651489-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,393),(3559,0,'e565148a-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,393),(3560,0,'e565148b-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,393),(3561,0,'e565148c-21dc-11ea-a9f8-693042a6b9d8','product',NULL,_binary '','Product','java.util.HashSet','/participations',NULL,NULL,'participation.stock',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '',NULL,393),(3562,0,'e565148d-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,5,_binary '',NULL,393),(3563,0,'e565148e-21dc-11ea-a9f8-693042a6b9d8','quantity',NULL,_binary '','Quantity','java.math.BigDecimal','/quantity',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,393),(3564,0,'e565148f-21dc-11ea-a9f8-693042a6b9d8','unitPrice',NULL,_binary '','Unit Price','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/unitAmount',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,393),(3565,0,'e5651490-21dc-11ea-a9f8-693042a6b9d8','tax',NULL,_binary '','Tax','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/taxAmount',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,8,_binary '\0',NULL,393),(3566,0,'e5651491-21dc-11ea-a9f8-693042a6b9d8','total',NULL,_binary '','Total','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,NULL,NULL,'math:roundAmount(/quantity * /unitAmount + /taxAmount)',_binary '\0',_binary '\0',_binary '',0,1,0,255,9,_binary '\0',NULL,393),(3567,0,'e5651492-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,10,_binary '\0',NULL,393),(3568,0,'e5651494-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,394),(3569,0,'e5651495-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'concat(\'Supplier Payment\', \'\')',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,394),(3570,0,'e5651496-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,394),(3571,0,'e5651497-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,394),(3572,0,'e5651498-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,394),(3573,0,'e5651499-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,394),(3574,0,'e565149a-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,394),(3575,0,'e565149b-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,394),(3576,0,'e565149d-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Items','java.util.HashSet','/sourceActRelationships',NULL,NULL,'actRelationship.supplierAccountPaymentItem',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,8,_binary '',NULL,394),(3577,0,'e565149f-21dc-11ea-a9f8-693042a6b9d8','supplier',NULL,_binary '','Supplier','java.util.HashSet','/participations',NULL,NULL,'participation.supplier',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,9,_binary '',NULL,394),(3578,0,'e56514a0-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,10,_binary '',NULL,394),(3579,0,'e5675e92-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,395),(3580,0,'e5675e93-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Cash Payment\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,395),(3581,0,'e5675e94-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\' Amount : \', /total,\' Tendered : \',/details/tendered)',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,395),(3582,0,'e5675e95-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,395),(3583,0,'e5675e96-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,395),(3584,0,'e5675e97-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,395),(3585,0,'e5675e98-21dc-11ea-a9f8-693042a6b9d8','roundedAmount',NULL,_binary '','Rounded Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/roundedAmount',NULL,'1.0',NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,395),(3586,0,'e5675e99-21dc-11ea-a9f8-693042a6b9d8','tendered',NULL,_binary '','Tendered','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/tendered',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,395),(3587,0,'e5675e9a-21dc-11ea-a9f8-693042a6b9d8','change',NULL,_binary '','Change','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/change',NULL,NULL,NULL,'/details/tendered - /details/roundedAmount',_binary '\0',_binary '\0',_binary '',0,1,0,255,8,_binary '\0',NULL,395),(3588,0,'e569cf9c-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,396),(3589,0,'e569cf9d-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Cheque Payment\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,396),(3590,0,'e569cf9e-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,396),(3591,0,'e569cf9f-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\' Amount : \', /total,\' Details : \',/details/drawer,    \' \', /details/bsb,\' \',openvpms:lookup(.,\'bank\'))',_binary '\0',_binary '',_binary '',0,1,0,255,3,_binary '\0',NULL,396),(3592,0,'e569cfa0-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,396),(3593,0,'e569cfa1-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,396),(3594,0,'e569cfa2-21dc-11ea-a9f8-693042a6b9d8','drawer',NULL,_binary '','Drawer','java.lang.String','/details/drawer',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,50,6,_binary '\0',NULL,396),(3595,0,'e569cfa3-21dc-11ea-a9f8-693042a6b9d8','bsb',NULL,_binary '','Branch','java.lang.String','/details/bsb',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,50,7,_binary '\0',NULL,396),(3596,0,'e569cfa4-21dc-11ea-a9f8-693042a6b9d8','bank',NULL,_binary '','Bank','java.lang.String','/details/bank',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,30,8,_binary '\0',NULL,396),(3597,0,'e56c1997-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,397),(3598,0,'e56c1998-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Credit Payment\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,397),(3599,0,'e56c1999-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\' Amount : \', /total,\' Details : \',openvpms:lookup(.,\'creditCard\'))',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,397),(3600,0,'e56c199a-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,397),(3601,0,'e56c199b-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,397),(3602,0,'e56c199c-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,397),(3603,0,'e56c199d-21dc-11ea-a9f8-693042a6b9d8','creditCard',NULL,_binary '','Credit Card','java.lang.String','/details/creditCard',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,30,6,_binary '\0',NULL,397),(3604,0,'e56e8aa0-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,398),(3605,0,'e56e8aa1-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'EFT Payment\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,398),(3606,0,'e56e8aa2-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\' Amount : \', /total,\' Cash Out : \',/details/cashout)',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,398),(3607,0,'e56e8aa3-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,398),(3608,0,'e56e8aa4-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,398),(3609,0,'e56e8aa5-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,398),(3610,0,'e570fba7-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,399),(3611,0,'e570fba8-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Supplier Refund\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,399),(3612,0,'e570fba9-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,399),(3613,0,'e570fbaa-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,399),(3614,0,'e570fbab-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,399),(3615,0,'e570fbac-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,399),(3616,0,'e570fbad-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,399),(3617,0,'e570fbae-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,399),(3618,0,'e570fbb0-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Items','java.util.HashSet','/sourceActRelationships',NULL,NULL,'actRelationship.supplierAccountRefundItem',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,8,_binary '',NULL,399),(3619,0,'e570fbb2-21dc-11ea-a9f8-693042a6b9d8','supplier',NULL,_binary '','Supplier','java.util.HashSet','/participations',NULL,NULL,'participation.supplier',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,9,_binary '',NULL,399),(3620,0,'e570fbb3-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,10,_binary '',NULL,399),(3621,0,'e57345a5-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,400),(3622,0,'e57345a6-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Cash Refund\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,400),(3623,0,'e57345a7-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\' Amount : \', /total)',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,400),(3624,0,'e57345a8-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,400),(3625,0,'e57345a9-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,400),(3626,0,'e57345aa-21dc-11ea-a9f8-693042a6b9d8','roundedAmount',NULL,_binary '','Rounded Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/roundedAmount',NULL,'0.0',NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,400),(3627,0,'e57345ab-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,6,_binary '\0',NULL,400),(3628,0,'e575b6ad-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,401),(3629,0,'e575b6ae-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Cheque Refund\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,401),(3630,0,'e575b6af-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\' Amount : \', /total,\' Details : \',/details/drawer,    \' \', /details/bsb,\' \',openvpms:lookup(.,\'bank\'))',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,401),(3631,0,'e575b6b0-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,401),(3632,0,'e575b6b1-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,401),(3633,0,'e575b6b2-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,401),(3634,0,'e575b6b3-21dc-11ea-a9f8-693042a6b9d8','drawer',NULL,_binary '','Drawer','java.lang.String','/details/drawer',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,50,6,_binary '\0',NULL,401),(3635,0,'e575b6b4-21dc-11ea-a9f8-693042a6b9d8','bsb',NULL,_binary '','Branch','java.lang.String','/details/bsb',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,50,7,_binary '\0',NULL,401),(3636,0,'e575b6b5-21dc-11ea-a9f8-693042a6b9d8','bank',NULL,_binary '','Bank','java.lang.String','/details/bank',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,30,8,_binary '\0',NULL,401),(3637,0,'e57827b8-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,402),(3638,0,'e57827b9-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Credit Refund\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,402),(3639,0,'e57827ba-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\' Amount : \', /total,\' Details : \',openvpms:lookup(.,\'creditCard\'))',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,402),(3640,0,'e57827bb-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,402),(3641,0,'e57827bc-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,402),(3642,0,'e57827bd-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,402),(3643,0,'e57827be-21dc-11ea-a9f8-693042a6b9d8','creditCard',NULL,_binary '','Credit Card','java.lang.String','/details/creditCard',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,30,6,_binary '\0',NULL,402),(3644,0,'e57827c1-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,403),(3645,0,'e57827c2-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'EFT Payment\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,403),(3646,0,'e57827c3-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\' Amount : \', /total)',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,403),(3647,0,'e57827c4-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,403),(3648,0,'e57827c5-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,403),(3649,0,'e57827c6-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,403),(3650,0,'e57a71b8-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,404),(3651,0,'e57a71b9-21dc-11ea-a9f8-693042a6b9d8','supplierInvoiceId',NULL,_binary '','Supplier Invoice Id','java.lang.String','/details/supplierInvoiceId',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,1,_binary '\0',NULL,404),(3652,0,'e57a71ba-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,404),(3653,0,'e57a71bb-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,404),(3654,0,'e57a71bc-21dc-11ea-a9f8-693042a6b9d8','supplier',NULL,_binary '','Supplier','java.util.HashSet','/participations',NULL,NULL,'participation.supplier',NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,4,_binary '',NULL,404),(3655,0,'e57a71bd-21dc-11ea-a9f8-693042a6b9d8','stockLocation',NULL,_binary '','Stock Location','java.util.HashSet','/participations',NULL,NULL,'participation.stockLocation',NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,5,_binary '',NULL,404),(3656,0,'e57a71be-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,404),(3657,0,'e57a71bf-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,404),(3658,0,'e57a71c1-21dc-11ea-a9f8-693042a6b9d8','tax',NULL,_binary '','Tax','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/taxAmount',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,8,_binary '\0',NULL,404),(3659,0,'e57a71c3-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,9,_binary '\0',NULL,404),(3660,0,'e57a71c4-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,404),(3661,0,'e57a71c5-21dc-11ea-a9f8-693042a6b9d8','title',NULL,_binary '','Notes','java.lang.String','/title',NULL,'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,150,11,_binary '\0',NULL,404),(3662,0,'e57a71c6-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,12,_binary '\0',NULL,404),(3663,0,'e57a71c8-21dc-11ea-a9f8-693042a6b9d8','supplierNotes',NULL,_binary '','Supplier Notes','java.lang.String','/details/supplierNotes',NULL,'',NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,5000,13,_binary '\0',NULL,404),(3664,0,'e57a71c9-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Items','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.supplierDeliveryItem',NULL,_binary '\0',_binary '\0',_binary '\0',1,-1,0,255,14,_binary '',NULL,404),(3665,0,'e57a71cb-21dc-11ea-a9f8-693042a6b9d8','orders',NULL,_binary '','Orders','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.supplierDeliveryOrder',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,15,_binary '',NULL,404),(3666,0,'e57a71cd-21dc-11ea-a9f8-693042a6b9d8','invoice',NULL,_binary '','Invoice','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.supplierDeliveryInvoice',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,16,_binary '',NULL,404),(3667,0,'e57a71cf-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,17,_binary '',NULL,404),(3668,0,'e57f2cc1-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,405),(3669,0,'e57f2cc2-21dc-11ea-a9f8-693042a6b9d8','supplierInvoiceLineId',NULL,_binary '','Supplier Invoice Line Id','java.lang.String','/details/supplierInvoiceLineId',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,1,_binary '\0',NULL,405),(3670,0,'e57f2cc3-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',1,1,0,255,2,_binary '\0',NULL,405),(3671,0,'e57f2cc4-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\' Description of the Order Product\', \' \')',_binary '\0',_binary '',_binary '',0,1,0,255,3,_binary '\0',NULL,405),(3672,0,'e57f2cc5-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,4,_binary '\0',NULL,405),(3673,0,'e57f2cc6-21dc-11ea-a9f8-693042a6b9d8','product',NULL,_binary '','Product','java.util.HashSet','/participations',NULL,NULL,'participation.stock',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '',NULL,405),(3674,0,'e57f2cc7-21dc-11ea-a9f8-693042a6b9d8','batchNumber',NULL,_binary '','Batch Number','java.lang.String','/details/batchNumber',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,405),(3675,0,'e57f2cc8-21dc-11ea-a9f8-693042a6b9d8','expiryDate',NULL,_binary '','Expiry Date','java.util.Date','/details/expiryDate',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,405),(3676,0,'e57f2cc9-21dc-11ea-a9f8-693042a6b9d8','manufacturer',NULL,_binary '','Manufacturer','java.util.HashSet','/participations',NULL,NULL,'participation.manufacturer',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '',NULL,405),(3677,0,'e57f2cca-21dc-11ea-a9f8-693042a6b9d8','reorderCode',NULL,_binary '','Reorder Code','java.lang.String','/details/reorderCode',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,405),(3678,0,'e57f2ccb-21dc-11ea-a9f8-693042a6b9d8','reorderDescription',NULL,_binary '','Reorder Description','java.lang.String','/details/reorderDescription',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,405),(3679,0,'e57f2ccc-21dc-11ea-a9f8-693042a6b9d8','packageSize',NULL,_binary '','Package Size','java.lang.Integer','/details/packageSize',NULL,'1',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,11,_binary '\0',NULL,405),(3680,0,'e57f2cce-21dc-11ea-a9f8-693042a6b9d8','packageUnits',NULL,_binary '','Package Units','java.lang.String','/details/packageUnits',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,12,_binary '\0',NULL,405),(3681,0,'e57f2cd0-21dc-11ea-a9f8-693042a6b9d8','quantity',NULL,_binary '','Quantity','java.math.BigDecimal','/quantity',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,13,_binary '\0',NULL,405),(3682,0,'e57f2cd2-21dc-11ea-a9f8-693042a6b9d8','unitPrice',NULL,_binary '','Nett Price','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/unitAmount',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,14,_binary '\0',NULL,405),(3683,0,'e57f2cd4-21dc-11ea-a9f8-693042a6b9d8','listPrice',NULL,_binary '','List Price','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/listPrice',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,15,_binary '\0',NULL,405),(3684,0,'e57f2cd6-21dc-11ea-a9f8-693042a6b9d8','tax',NULL,_binary '','Tax','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/taxAmount',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,16,_binary '\0',NULL,405),(3685,0,'e57f2cd8-21dc-11ea-a9f8-693042a6b9d8','total',NULL,_binary '','Total','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,NULL,NULL,'math:roundAmount(/quantity * /unitAmount + /taxAmount)',_binary '\0',_binary '\0',_binary '',0,1,0,255,17,_binary '\0',NULL,405),(3686,0,'e57f2cda-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,18,_binary '\0',NULL,405),(3687,0,'e57f2cdb-21dc-11ea-a9f8-693042a6b9d8','order',NULL,_binary '','Order','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,19,_binary '',NULL,405),(3688,0,'e57f2cdd-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,20,_binary '',NULL,405),(3689,0,'e5819ddf-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,406),(3690,0,'e5819de0-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Supplier Attachment\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,406),(3691,0,'e5819de1-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,406),(3692,0,'e5819de2-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,406),(3693,0,'e5819de3-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,406),(3694,0,'e5819de5-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,406),(3695,0,'e5819de6-21dc-11ea-a9f8-693042a6b9d8','document',NULL,_binary '','Attachment','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,406),(3696,0,'e5819de8-21dc-11ea-a9f8-693042a6b9d8','docReference',NULL,_binary '','Doc Reference','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,7,_binary '\0',NULL,406),(3697,0,'e5819de9-21dc-11ea-a9f8-693042a6b9d8','supplier',NULL,_binary '','Supplier','java.util.HashSet','/participations',NULL,NULL,'participation.supplier',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,8,_binary '',NULL,406),(3698,0,'e5819dea-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,9,_binary '',NULL,406),(3699,0,'e5819deb-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,10,_binary '\0',NULL,406),(3700,0,'e5819dec-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,11,_binary '\0',NULL,406),(3701,0,'e5819ded-21dc-11ea-a9f8-693042a6b9d8','versions',NULL,_binary '','Versions','java.util.HashSet','/sourceActRelationships',NULL,NULL,'actRelationship.supplierDocumentAttachmentVersion',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,12,_binary '',NULL,406),(3702,0,'e58658e0-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,407),(3703,0,'e58658e1-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Supplier Attachment Version\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,407),(3704,0,'e58658e2-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,407),(3705,0,'e58658e3-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,407),(3706,0,'e58658e4-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,407),(3707,0,'e58658e5-21dc-11ea-a9f8-693042a6b9d8','document',NULL,_binary '','Attachment','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,407),(3708,0,'e58658e7-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,6,_binary '',NULL,407),(3709,0,'e58658e8-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,7,_binary '\0',NULL,407),(3710,0,'e58658e9-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,8,_binary '\0',NULL,407),(3711,0,'e58658eb-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,408),(3712,0,'e58658ec-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Supplier Form\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,408),(3713,0,'e58658ed-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,408),(3714,0,'e58658ee-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,408),(3715,0,'e58658ef-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,408),(3716,0,'e58658f1-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,408),(3717,0,'e58658f2-21dc-11ea-a9f8-693042a6b9d8','documentTemplate',NULL,_binary '','Form','java.util.HashSet','/participations',NULL,NULL,'participation.documentTemplate',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '',NULL,408),(3718,0,'e58658f3-21dc-11ea-a9f8-693042a6b9d8','supplier',NULL,_binary '','Supplier','java.util.HashSet','/participations',NULL,NULL,'participation.supplier',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,7,_binary '',NULL,408),(3719,0,'e58658f4-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,8,_binary '',NULL,408),(3720,0,'e58658f5-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,9,_binary '\0',NULL,408),(3721,0,'e58658f6-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,10,_binary '\0',NULL,408),(3722,0,'e588c9f8-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,409),(3723,0,'e588c9f9-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Supplier Letter\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,409),(3724,0,'e588c9fa-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,409),(3725,0,'e588c9fb-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,409),(3726,0,'e588c9fc-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,409),(3727,0,'e588c9fe-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,409),(3728,0,'e588c9ff-21dc-11ea-a9f8-693042a6b9d8','documentTemplate',NULL,_binary '','Template','java.util.HashSet','/participations',NULL,NULL,'participation.documentTemplate',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '',NULL,409),(3729,0,'e588ca00-21dc-11ea-a9f8-693042a6b9d8','document',NULL,_binary '','Document','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,409),(3730,0,'e588ca01-21dc-11ea-a9f8-693042a6b9d8','docReference',NULL,_binary '','Doc Reference','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,8,_binary '\0',NULL,409),(3731,0,'e588ca02-21dc-11ea-a9f8-693042a6b9d8','supplier',NULL,_binary '','Supplier','java.util.HashSet','/participations',NULL,NULL,'participation.supplier',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,9,_binary '',NULL,409),(3732,0,'e588ca03-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,10,_binary '',NULL,409),(3733,0,'e588ca04-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,11,_binary '\0',NULL,409),(3734,0,'e588ca05-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,12,_binary '\0',NULL,409),(3735,0,'e588ca06-21dc-11ea-a9f8-693042a6b9d8','versions',NULL,_binary '','Versions','java.util.HashSet','/sourceActRelationships',NULL,NULL,'actRelationship.supplierDocumentLetterVersion',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,13,_binary '',NULL,409),(3736,0,'e58b3b09-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,410),(3737,0,'e58b3b0a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Supplier Letter Version\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,410),(3738,0,'e58b3b0b-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,410),(3739,0,'e58b3b0c-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,410),(3740,0,'e58b3b0d-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,410),(3741,0,'e58b3b0e-21dc-11ea-a9f8-693042a6b9d8','documentTemplate',NULL,_binary '','Template','java.util.HashSet','/participations',NULL,NULL,'participation.documentTemplate',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '',NULL,410),(3742,0,'e58b3b0f-21dc-11ea-a9f8-693042a6b9d8','document',NULL,_binary '','Document','org.openvpms.component.business.domain.im.common.IMObjectReference','/document',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,410),(3743,0,'e58b3b10-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,7,_binary '',NULL,410),(3744,0,'e58b3b11-21dc-11ea-a9f8-693042a6b9d8','fileName',NULL,_binary '','File Name','java.lang.String','/fileName',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,8,_binary '\0',NULL,410),(3745,0,'e58b3b12-21dc-11ea-a9f8-693042a6b9d8','mimeType',NULL,_binary '','Mime Type','java.lang.String','/mimeType',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,9,_binary '\0',NULL,410),(3746,0,'e58d8404-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,411),(3747,0,'e58d8405-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,411),(3748,0,'e58d8406-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,411),(3749,0,'e58d8407-21dc-11ea-a9f8-693042a6b9d8','supplier',NULL,_binary '','Supplier','java.util.HashSet','/participations',NULL,NULL,'participation.supplier',NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '',NULL,411),(3750,0,'e58d8408-21dc-11ea-a9f8-693042a6b9d8','stockLocation',NULL,_binary '','Stock Location','java.util.HashSet','/participations',NULL,NULL,'participation.stockLocation',NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,4,_binary '',NULL,411),(3751,0,'e58d8409-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,411),(3752,0,'e58d840a-21dc-11ea-a9f8-693042a6b9d8','title',NULL,_binary '','Notes','java.lang.String','/title',NULL,'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,150,6,_binary '\0',NULL,411),(3753,0,'e58d840b-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,411),(3754,0,'e58d840d-21dc-11ea-a9f8-693042a6b9d8','tax',NULL,_binary '','Tax','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/taxAmount',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,8,_binary '\0',NULL,411),(3755,0,'e58d840f-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,9,_binary '\0',NULL,411),(3756,0,'e58d8410-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,10,_binary '\0',NULL,411),(3757,0,'e58d8412-21dc-11ea-a9f8-693042a6b9d8','deliveryStatus',NULL,_binary '','Delivery Status','java.lang.String','/details/deliveryStatus',NULL,'\'PENDING\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,11,_binary '\0',NULL,411),(3758,0,'e58d8414-21dc-11ea-a9f8-693042a6b9d8','supplierResponse',NULL,_binary '','Supplier Response','java.lang.String','/details/supplierResponse',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,12,_binary '\0',NULL,411),(3759,0,'e58d8415-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Items','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.supplierOrderItem',NULL,_binary '\0',_binary '\0',_binary '\0',1,-1,0,255,13,_binary '',NULL,411),(3760,0,'e58d8417-21dc-11ea-a9f8-693042a6b9d8','deliveries',NULL,_binary '','Deliveries','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.supplierDeliveryOrder',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,14,_binary '',NULL,411),(3761,0,'e58d8419-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,15,_binary '',NULL,411),(3762,0,'e5923f0b-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,412),(3763,0,'e5923f0c-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,412),(3764,0,'e5923f0d-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,412),(3765,0,'e5923f0e-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,412),(3766,0,'e5923f0f-21dc-11ea-a9f8-693042a6b9d8','product',NULL,_binary '','Product','java.util.HashSet','/participations',NULL,NULL,'participation.stock',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '',NULL,412),(3767,0,'e5923f10-21dc-11ea-a9f8-693042a6b9d8','reorderCode',NULL,_binary '','Reorder Code','java.lang.String','/details/reorderCode',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,412),(3768,0,'e5923f11-21dc-11ea-a9f8-693042a6b9d8','reorderDescription',NULL,_binary '','Reorder Description','java.lang.String','/details/reorderDescription',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,412),(3769,0,'e5923f12-21dc-11ea-a9f8-693042a6b9d8','packageSize',NULL,_binary '','Package Size','java.lang.Integer','/details/packageSize',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,412),(3770,0,'e5923f14-21dc-11ea-a9f8-693042a6b9d8','packageUnits',NULL,_binary '','Package Units','java.lang.String','/details/packageUnits',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,412),(3771,0,'e5923f16-21dc-11ea-a9f8-693042a6b9d8','quantity',NULL,_binary '','Quantity','java.math.BigDecimal','/quantity',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,9,_binary '\0',NULL,412),(3772,0,'e5923f18-21dc-11ea-a9f8-693042a6b9d8','receivedQuantity',NULL,_binary '','Received Quantity','java.math.BigDecimal','/details/receivedQuantity',NULL,'0.0',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,10,_binary '\0',NULL,412),(3773,0,'e5923f1a-21dc-11ea-a9f8-693042a6b9d8','cancelledQuantity',NULL,_binary '','Cancelled Quantity','java.math.BigDecimal','/details/cancelledQuantity',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,11,_binary '\0',NULL,412),(3774,0,'e5923f1c-21dc-11ea-a9f8-693042a6b9d8','unitPrice',NULL,_binary '','Nett Price','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/unitAmount',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,12,_binary '\0',NULL,412),(3775,0,'e5923f1e-21dc-11ea-a9f8-693042a6b9d8','listPrice',NULL,_binary '','List Price','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/listPrice',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,13,_binary '\0',NULL,412),(3776,0,'e5923f20-21dc-11ea-a9f8-693042a6b9d8','tax',NULL,_binary '','Tax','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/taxAmount',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,14,_binary '\0',NULL,412),(3777,0,'e5923f22-21dc-11ea-a9f8-693042a6b9d8','total',NULL,_binary '','Total','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,NULL,NULL,'math:roundAmount(/quantity * /unitAmount + /taxAmount)',_binary '\0',_binary '\0',_binary '',0,1,0,255,15,_binary '\0',NULL,412),(3778,0,'e5923f24-21dc-11ea-a9f8-693042a6b9d8','deliveries',NULL,_binary '','Deliveries','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.supplierDeliveryOrderItem',NULL,_binary '',_binary '',_binary '\0',0,-1,0,255,16,_binary '',NULL,412),(3779,0,'e5923f26-21dc-11ea-a9f8-693042a6b9d8','return',NULL,_binary '','Return','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.supplierReturnOrderItem',NULL,_binary '',_binary '',_binary '\0',0,1,0,255,17,_binary '',NULL,412),(3780,0,'e5923f28-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,18,_binary '',NULL,412),(3781,0,'e597212a-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,413),(3782,0,'e597212b-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,413),(3783,0,'e597212c-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,413),(3784,0,'e597212d-21dc-11ea-a9f8-693042a6b9d8','supplier',NULL,_binary '','Supplier','java.util.HashSet','/participations',NULL,NULL,'participation.supplier',NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,3,_binary '',NULL,413),(3785,0,'e597212e-21dc-11ea-a9f8-693042a6b9d8','stockLocation',NULL,_binary '','Stock Location','java.util.HashSet','/participations',NULL,NULL,'participation.stockLocation',NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,4,_binary '',NULL,413),(3786,0,'e597212f-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,413),(3787,0,'e5972130-21dc-11ea-a9f8-693042a6b9d8','amount',NULL,_binary '','Amount','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,413),(3788,0,'e5972131-21dc-11ea-a9f8-693042a6b9d8','tax',NULL,_binary '','Tax','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/taxAmount',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,413),(3789,0,'e5972132-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,8,_binary '\0',NULL,413),(3790,0,'e5972133-21dc-11ea-a9f8-693042a6b9d8','printed',NULL,_binary '','Printed','java.lang.Boolean','/printed',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,413),(3791,0,'e5972134-21dc-11ea-a9f8-693042a6b9d8','title',NULL,_binary '','Notes','java.lang.String','/title',NULL,'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,150,10,_binary '\0',NULL,413),(3792,0,'e5972135-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'IN_PROGRESS\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,11,_binary '\0',NULL,413),(3793,0,'e5972137-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Items','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.supplierReturnItem',NULL,_binary '\0',_binary '\0',_binary '\0',1,-1,0,255,12,_binary '',NULL,413),(3794,0,'e5972139-21dc-11ea-a9f8-693042a6b9d8','returnCredit',NULL,_binary '','Return Credit','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.supplierReturnCredit',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,13,_binary '',NULL,413),(3795,0,'e597213b-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,14,_binary '',NULL,413),(3796,0,'e5996b2d-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,414),(3797,0,'e5996b2e-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,414),(3798,0,'e5996b2f-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,414),(3799,0,'e5996b30-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,414),(3800,0,'e5996b31-21dc-11ea-a9f8-693042a6b9d8','product',NULL,_binary '','Product','java.util.HashSet','/participations',NULL,NULL,'participation.stock',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '',NULL,414),(3801,0,'e5996b32-21dc-11ea-a9f8-693042a6b9d8','reorderCode',NULL,_binary '','Reorder Code','java.lang.String','/details/reorderCode',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,414),(3802,0,'e5996b33-21dc-11ea-a9f8-693042a6b9d8','reorderDescription',NULL,_binary '','Reorder Description','java.lang.String','/details/reorderDescription',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,414),(3803,0,'e5996b34-21dc-11ea-a9f8-693042a6b9d8','packageSize',NULL,_binary '','Package Size','java.lang.Integer','/details/packageSize',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,414),(3804,0,'e5996b35-21dc-11ea-a9f8-693042a6b9d8','packageUnits',NULL,_binary '','Package Units','java.lang.String','/details/packageUnits',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,414),(3805,0,'e5996b37-21dc-11ea-a9f8-693042a6b9d8','quantity',NULL,_binary '','Quantity','java.math.BigDecimal','/quantity',NULL,'1.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,9,_binary '\0',NULL,414),(3806,0,'e5996b38-21dc-11ea-a9f8-693042a6b9d8','unitPrice',NULL,_binary '','Nett Price','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/unitAmount',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,414),(3807,0,'e5996b39-21dc-11ea-a9f8-693042a6b9d8','listPrice',NULL,_binary '','List Price','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/details/listPrice',NULL,'0.0',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,414),(3808,0,'e5996b3a-21dc-11ea-a9f8-693042a6b9d8','tax',NULL,_binary '','Tax','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/taxAmount',NULL,'\'0.0\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,12,_binary '\0',NULL,414),(3809,0,'e5996b3b-21dc-11ea-a9f8-693042a6b9d8','total',NULL,_binary '','Total','org.openvpms.component.business.domain.im.datatypes.quantity.Money','/total',NULL,NULL,NULL,'math:roundAmount(/quantity * /unitAmount + /taxAmount)',_binary '\0',_binary '\0',_binary '',0,1,0,255,13,_binary '\0',NULL,414),(3810,0,'e5996b3c-21dc-11ea-a9f8-693042a6b9d8','credit',NULL,_binary '','Credit','java.lang.Boolean','/credit',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,14,_binary '\0',NULL,414),(3811,0,'e5996b3d-21dc-11ea-a9f8-693042a6b9d8','order',NULL,_binary '','Order','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,15,_binary '',NULL,414),(3812,0,'e5996b3f-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,16,_binary '',NULL,414),(3813,0,'e59e4d41-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,415),(3814,0,'e59e4d42-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,415),(3815,0,'e59e4d43-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,415),(3816,0,'e59e4d44-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,415),(3817,0,'e59e4d45-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Credit','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,415),(3818,0,'e59e4d47-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Credit Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,415),(3819,0,'e5a0973a-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,416),(3820,0,'e5a0973b-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,416),(3821,0,'e5a0973c-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,416),(3822,0,'e5a0973d-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,416),(3823,0,'e5a0973e-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Invoice','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,416),(3824,0,'e5a09740-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Invoice Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,416),(3825,0,'e5a30843-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,417),(3826,0,'e5a30844-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,417),(3827,0,'e5a30845-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,417),(3828,0,'e5a30846-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,417),(3829,0,'e5a30847-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Invoice','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,417),(3830,0,'e5a30849-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Payment Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,417),(3831,0,'e5a5523c-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,418),(3832,0,'e5a5523d-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,418),(3833,0,'e5a5523e-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,418),(3834,0,'e5a5523f-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,418),(3835,0,'e5a55240-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Invoice','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,418),(3836,0,'e5a55242-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Refund Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,418),(3837,0,'e5a7c345-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,419),(3838,0,'e5a7c346-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,419),(3839,0,'e5a7c347-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,419),(3840,0,'e5a7c348-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,419),(3841,0,'e5a7c349-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Delivery','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,419),(3842,0,'e5a7c34b-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Delivery Invoice','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,419),(3843,0,'e5aa344e-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,420),(3844,0,'e5aa344f-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,420),(3845,0,'e5aa3450-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,420),(3846,0,'e5aa3451-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,420),(3847,0,'e5aa3452-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Delivery','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,420),(3848,0,'e5aa3454-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Delivery Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,420),(3849,0,'e5ac7e47-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,421),(3850,0,'e5ac7e48-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,421),(3851,0,'e5ac7e49-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,421),(3852,0,'e5ac7e4a-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Delivery','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,421),(3853,0,'e5ac7e4c-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Order','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,421),(3854,0,'e5aeef4f-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,422),(3855,0,'e5aeef50-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,422),(3856,0,'e5aeef51-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,422),(3857,0,'e5aeef52-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Delivery Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,422),(3858,0,'e5aeef54-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Order Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,422),(3859,0,'e5b16057-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,423),(3860,0,'e5b16058-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,423),(3861,0,'e5b16059-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,423),(3862,0,'e5b1605a-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Attachment','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,423),(3863,0,'e5b1605c-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Attachment Version','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,423),(3864,0,'e5b3aa4f-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,424),(3865,0,'e5b3aa50-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,424),(3866,0,'e5b3aa51-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,424),(3867,0,'e5b3aa52-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Letter','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,424),(3868,0,'e5b3aa54-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Letter Version','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,424),(3869,0,'e5b61b57-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,425),(3870,0,'e5b61b58-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,425),(3871,0,'e5b61b59-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,425),(3872,0,'e5b61b5a-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,425),(3873,0,'e5b61b5b-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Order','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,425),(3874,0,'e5b61b5d-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Order Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,425),(3875,0,'e5b61b60-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,426),(3876,0,'e5b61b61-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,426),(3877,0,'e5b61b62-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,426),(3878,0,'e5b61b63-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,426),(3879,0,'e5b61b64-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Return','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,426),(3880,0,'e5b61b66-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Return Credit','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,426),(3881,0,'e5b86559-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,427),(3882,0,'e5b8655a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,427),(3883,0,'e5b8655b-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,427),(3884,0,'e5b8655c-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'true()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,427),(3885,0,'e5b8655d-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Return','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,427),(3886,0,'e5b8655f-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Return Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,427),(3887,0,'e5bad662-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,428),(3888,0,'e5bad663-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,428),(3889,0,'e5bad664-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,428),(3890,0,'e5bad665-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Return Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,428),(3891,0,'e5bad667-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Order Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,428),(3892,0,'e5bd476a-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,429),(3893,0,'e5bd476b-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Supplier to Practice Location\'',NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,255,1,_binary '\0',NULL,429),(3894,0,'e5bd476c-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Account Id: \', /details/accountId)',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,429),(3895,0,'e5bd476d-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,429),(3896,0,'e5bd476e-21dc-11ea-a9f8-693042a6b9d8','accountId',NULL,_binary '','Account Id','java.lang.String','/details/accountId',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,429),(3897,0,'e5bd476f-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Supplier','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,429),(3898,0,'e5bd4771-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,429),(3899,0,'e5bf9164-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,430),(3900,0,'e5bf9165-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'concat(\'Practice Veterinarians\', \'\')',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,430),(3901,0,'e5bf9166-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Practice Veterinarian\', \'(\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,430),(3902,0,'e5bf9167-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','From Date','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,430),(3903,0,'e5bf9168-21dc-11ea-a9f8-693042a6b9d8','activeEndTime',NULL,_binary '','To Date','java.util.Date','/activeEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,430),(3904,0,'e5bf9169-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Practice','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,430),(3905,0,'e5bf916b-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Veterinarian','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,430),(3906,0,'e5c2026e-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,431),(3907,0,'e5c2026f-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Supplier Representative\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,431),(3908,0,'e5c20270-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Representative (\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,431),(3909,0,'e5c20271-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','From Date','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,431),(3910,0,'e5c20272-21dc-11ea-a9f8-693042a6b9d8','activeEndTime',NULL,_binary '','To Date','java.util.Date','/activeEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,431),(3911,0,'e5c20273-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Supplier','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,431),(3912,0,'e5c20275-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Contact','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,431),(3913,0,'e5c44c68-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,432),(3914,0,'e5c44c69-21dc-11ea-a9f8-693042a6b9d8','accountId',NULL,_binary '','Account ID','java.lang.String','/details/accountId',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,1,_binary '\0',NULL,432),(3915,0,'e5c44c6a-21dc-11ea-a9f8-693042a6b9d8','serviceURL',NULL,_binary '','Service URL','java.lang.String','/details/serviceURL',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,432),(3916,0,'e5c44c6b-21dc-11ea-a9f8-693042a6b9d8','username',NULL,_binary '','Username','java.lang.String','/details/username',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,432),(3917,0,'e5c44c6c-21dc-11ea-a9f8-693042a6b9d8','password',NULL,_binary '','Password','java.lang.String','/details/password',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,432),(3918,0,'e5c44c6e-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Supplier','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,432),(3919,0,'e5c44c70-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Stock Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,432),(3920,0,'e5c6bc73-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,433),(3921,0,'e5c6bc74-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Entity','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,1,_binary '\0',NULL,433),(3922,0,'e5c6bc76-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,433),(3923,0,'e5c92d79-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,434),(3924,0,'e5c92d7a-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Entity','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,1,_binary '\0',NULL,434),(3925,0,'e5c92d7c-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,434),(3926,0,'e5cb9e7f-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,435),(3927,0,'e5cb9e80-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Company Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,435),(3928,0,'e5cb9e82-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'/name',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,435),(3929,0,'e5cb9e83-21dc-11ea-a9f8-693042a6b9d8','notes',NULL,_binary '','Notes','java.lang.String','/details/notes',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,3,_binary '\0',NULL,435),(3930,0,'e5cb9e84-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,435),(3931,0,'e5cb9e85-21dc-11ea-a9f8-693042a6b9d8','contacts',NULL,_binary '','Contacts','java.util.HashSet','/contacts','Contact',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,5,_binary '',NULL,435),(3932,0,'e5cb9e87-21dc-11ea-a9f8-693042a6b9d8','representatives',NULL,_binary '','Representatives','java.util.HashSet','/entityRelationships','entityRelationship',NULL,'entityRelationship.supplierRepresentatives',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,6,_binary '',NULL,435),(3933,0,'e5cde87b-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,436),(3934,0,'e5cde87c-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Company Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,436),(3935,0,'e5cde87e-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'/name',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,436),(3936,0,'e5cde87f-21dc-11ea-a9f8-693042a6b9d8','notes',NULL,_binary '','Notes','java.lang.String','/details/notes',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,3,_binary '\0',NULL,436),(3937,0,'e5cde880-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,436),(3938,0,'e5cde881-21dc-11ea-a9f8-693042a6b9d8','contacts',NULL,_binary '','Contacts','java.util.HashSet','/contacts','Contact',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,5,_binary '',NULL,436),(3939,0,'e5cde883-21dc-11ea-a9f8-693042a6b9d8','representatives',NULL,_binary '','Representatives','java.util.HashSet','/entityRelationships','entityRelationship',NULL,'entityRelationship.supplierRepresentatives',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,6,_binary '',NULL,436),(3940,0,'e5cde885-21dc-11ea-a9f8-693042a6b9d8','type',NULL,_binary '','Account Type','java.util.HashSet','/classifications','Classification',NULL,'lookup.supplierAccountType',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,436),(3941,0,'e5cde886-21dc-11ea-a9f8-693042a6b9d8','classifications',NULL,_binary '','Categories','java.util.HashSet','/classifications','Classification',NULL,'lookup.supplierType',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,8,_binary '\0',NULL,436),(3942,0,'e5cde887-21dc-11ea-a9f8-693042a6b9d8','stockLocations',NULL,_binary '','Stock Locations','java.util.HashSet','/entityRelationships','entityRelationship',NULL,'entityRelationship.supplierStockLocation*',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,9,_binary '',NULL,436),(3943,0,'e5cde888-21dc-11ea-a9f8-693042a6b9d8','locations',NULL,_binary '','Locations','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.supplierLocation*',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,10,_binary '',NULL,436),(3944,0,'e5d0598a-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,437),(3945,0,'e5d0598b-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'concat(/details/lastName, \',\', /details/firstName)',_binary '\0',_binary '',_binary '',1,1,0,100,1,_binary '\0',NULL,437),(3946,0,'e5d0598c-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(openvpms:lookup(.,\'title\'), \' \', /details/firstName, \' \', /details/initials,\' \',/details/lastName)',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,437),(3947,0,'e5d0598d-21dc-11ea-a9f8-693042a6b9d8','title',NULL,_binary '','Title','java.lang.String','/details/title',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,437),(3948,0,'e5d0598f-21dc-11ea-a9f8-693042a6b9d8','firstName',NULL,_binary '','First Name','java.lang.String','/details/firstName',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,30,4,_binary '\0',NULL,437),(3949,0,'e5d05991-21dc-11ea-a9f8-693042a6b9d8','initials',NULL,_binary '','Initials','java.lang.String','/details/initials',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,15,5,_binary '\0',NULL,437),(3950,0,'e5d05993-21dc-11ea-a9f8-693042a6b9d8','lastName',NULL,_binary '','Last Name','java.lang.String','/details/lastName',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,30,6,_binary '\0',NULL,437),(3951,0,'e5d05995-21dc-11ea-a9f8-693042a6b9d8','notes',NULL,_binary '','Notes','java.lang.String','/details/notes',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,7,_binary '\0',NULL,437),(3952,0,'e5d05996-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,437),(3953,0,'e5d05997-21dc-11ea-a9f8-693042a6b9d8','contacts',NULL,_binary '','Contacts','java.util.HashSet','/contacts','Contact',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,9,_binary '',NULL,437),(3954,0,'e5d05999-21dc-11ea-a9f8-693042a6b9d8','organisations',NULL,_binary '','Organisations','java.util.HashSet','/entityRelationships','entityRelationship',NULL,'entityRelationship.supplierRepresentatives',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,10,_binary '',NULL,437),(3955,0,'e5d0599a-21dc-11ea-a9f8-693042a6b9d8','type',NULL,_binary '','Account Type','java.util.HashSet','/classifications','Classification',NULL,'lookup.supplierAccountType',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,437),(3956,0,'e5d0599b-21dc-11ea-a9f8-693042a6b9d8','classifications',NULL,_binary '','Categories','java.util.HashSet','/classifications','Classification',NULL,'lookup.supplierType',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,12,_binary '\0',NULL,437),(3957,0,'e5d5148d-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,438),(3958,0,'e5d5148e-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'concat(/details/lastName, \',\', /details/firstName)',_binary '\0',_binary '',_binary '',1,1,0,100,1,_binary '\0',NULL,438),(3959,0,'e5d5148f-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'expr:trim(concat(openvpms:lookup(.,\'title\'), \' \', /details/firstName, \' \', /details/lastName, expr:concatIf(\' (\', list:sortNamesOf(\'classifications\'), \')\')),255)',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,438),(3960,0,'e5d51490-21dc-11ea-a9f8-693042a6b9d8','title',NULL,_binary '','Title','java.lang.String','/details/title',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,438),(3961,0,'e5d51492-21dc-11ea-a9f8-693042a6b9d8','firstName',NULL,_binary '','First Name','java.lang.String','/details/firstName',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,30,4,_binary '\0',NULL,438),(3962,0,'e5d51494-21dc-11ea-a9f8-693042a6b9d8','initials',NULL,_binary '','Initials','java.lang.String','/details/initials',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,15,5,_binary '\0',NULL,438),(3963,0,'e5d51496-21dc-11ea-a9f8-693042a6b9d8','lastName',NULL,_binary '','Last Name','java.lang.String','/details/lastName',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,30,6,_binary '\0',NULL,438),(3964,0,'e5d51498-21dc-11ea-a9f8-693042a6b9d8','notes',NULL,_binary '','Notes','java.lang.String','/details/notes',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,7,_binary '\0',NULL,438),(3965,0,'e5d51499-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,438),(3966,0,'e5d5149a-21dc-11ea-a9f8-693042a6b9d8','contacts',NULL,_binary '','Contacts','java.util.HashSet','/contacts','Contact',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,9,_binary '',NULL,438),(3967,0,'e5d5149c-21dc-11ea-a9f8-693042a6b9d8','practices',NULL,_binary '','Practices','java.util.HashSet','/targetEntityRelationships','entityRelationship',NULL,'entityRelationship.practiceVeterinarians',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,10,_binary '',NULL,438),(3968,0,'e5d5149e-21dc-11ea-a9f8-693042a6b9d8','classifications',NULL,_binary '','Categories','java.util.HashSet','/classifications','Classification',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,11,_binary '\0',NULL,438),(3969,0,'e5d75e91-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,439),(3970,0,'e5d75e92-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Practice Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,439),(3971,0,'e5d75e94-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(/name, \' - \',party:getPreferredContacts())',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,439),(3972,0,'e5d75e95-21dc-11ea-a9f8-693042a6b9d8','notes',NULL,_binary '','Notes','java.lang.String','/details/notes',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,300,3,_binary '\0',NULL,439),(3973,0,'e5d75e96-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,439),(3974,0,'e5d75e97-21dc-11ea-a9f8-693042a6b9d8','contacts',NULL,_binary '','Contacts','java.util.HashSet','/contacts','Contact',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,5,_binary '',NULL,439),(3975,0,'e5d75e99-21dc-11ea-a9f8-693042a6b9d8','veterinarians',NULL,_binary '','Veterinarians','java.util.HashSet','/sourceEntityRelationships','entityRelationship',NULL,'entityRelationship.practiceVeterinarians',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,6,_binary '',NULL,439),(3976,0,'e5d75e9b-21dc-11ea-a9f8-693042a6b9d8','classifications',NULL,_binary '','Categories','java.util.HashSet','/classifications','Classification',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,7,_binary '\0',NULL,439),(3977,0,'e5dc409e-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'archetypeRange\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,0,_binary '\0',NULL,440),(3978,0,'e5dc409f-21dc-11ea-a9f8-693042a6b9d8','errorMessage',NULL,_binary '','Error Message','java.lang.String','/errorMessage',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,440),(3979,0,'e5dc40a0-21dc-11ea-a9f8-693042a6b9d8','propertyMap',NULL,_binary '','Property Map','org.openvpms.component.business.domain.im.datatypes.property.PropertyMap','/propertyMap',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '',NULL,440),(3980,0,'e5dc40a1-21dc-11ea-a9f8-693042a6b9d8','properties',NULL,_binary '','Properties','java.util.LinkedHashMap','/propertyMap/properties',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,0,_binary '',3979,NULL),(3981,0,'e5dc40a2-21dc-11ea-a9f8-693042a6b9d8','archetypes',NULL,_binary '','Archetypes','org.openvpms.component.business.domain.im.datatypes.property.PropertyList','/propertyMap/properties/archetypes','property',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,0,_binary '',3980,NULL),(3982,0,'e5dc40a4-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'archetype\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,441),(3983,0,'e5dc40a5-21dc-11ea-a9f8-693042a6b9d8','shortName',NULL,_binary '','Short Name','org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty','/properties/shortName',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,441),(3984,0,'e5dc40a6-21dc-11ea-a9f8-693042a6b9d8','shortNameName',NULL,_binary '','Short Name Name','java.lang.String','/properties/shortName/name',NULL,'\'shortName\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',3983,NULL),(3985,0,'e5dc40a7-21dc-11ea-a9f8-693042a6b9d8','shortNameType',NULL,_binary '','Short Name Type','java.lang.String','/properties/shortName/type',NULL,'\'java.lang.String\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',3983,NULL),(3986,0,'e5dc40a8-21dc-11ea-a9f8-693042a6b9d8','shortNameValue',NULL,_binary '','Short Name','java.lang.String','/properties/shortName/value',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',3983,NULL),(3987,0,'e5dc40a9-21dc-11ea-a9f8-693042a6b9d8','minCardinality',NULL,_binary '','Min Cardinality','org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty','/properties/minCardinality',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,441),(3988,0,'e5dc40aa-21dc-11ea-a9f8-693042a6b9d8','minCardinalityName',NULL,_binary '','Min Cardinality Name','java.lang.String','/properties/minCardinality/name',NULL,'\'minCardinality\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',3987,NULL),(3989,0,'e5dc40ab-21dc-11ea-a9f8-693042a6b9d8','minCardinalityType',NULL,_binary '','Min Cardinality Type','java.lang.String','/properties/minCardinality/type',NULL,'\'java.lang.Integer\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',3987,NULL),(3990,0,'e5dc40ac-21dc-11ea-a9f8-693042a6b9d8','minCardinalityValue',NULL,_binary '','Min Cardinality','java.lang.String','/properties/minCardinality/value',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',3987,NULL),(3991,0,'e5dc40ad-21dc-11ea-a9f8-693042a6b9d8','maxCardinality',NULL,_binary '','Max Cardinality','org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty','/properties/maxCardinality',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,441),(3992,0,'e5dc40ae-21dc-11ea-a9f8-693042a6b9d8','maxCardinalityName',NULL,_binary '','Max Cardinality Name','java.lang.String','/properties/maxCardinality/name',NULL,'\'maxCardinality\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',3991,NULL),(3993,0,'e5dc40af-21dc-11ea-a9f8-693042a6b9d8','maxCardinalityType',NULL,_binary '','Max Cardinality Type','java.lang.String','/properties/maxCardinality/type',NULL,'\'java.lang.Integer\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',3991,NULL),(3994,0,'e5dc40b0-21dc-11ea-a9f8-693042a6b9d8','maxCardinalityValue',NULL,_binary '','Max Cardinality','java.lang.String','/properties/maxCardinality/value',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',3991,NULL),(3995,0,'e5de8aa3-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Candidate Children','java.lang.String','/name',NULL,'\'lookup\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,0,_binary '\0',NULL,442),(3996,0,'e5de8aa4-21dc-11ea-a9f8-693042a6b9d8','propertyMap',NULL,_binary '','Property Map','org.openvpms.component.business.domain.im.datatypes.property.PropertyMap','/propertyMap',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '',NULL,442),(3997,0,'e5de8aa5-21dc-11ea-a9f8-693042a6b9d8','properties',NULL,_binary '','Properties','java.util.HashMap','/propertyMap/properties',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,0,_binary '',3996,NULL),(3998,0,'e5de8aa6-21dc-11ea-a9f8-693042a6b9d8','path',NULL,_binary '','Path','org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty','/propertyMap/properties/path',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',3997,NULL),(3999,0,'e5de8aa7-21dc-11ea-a9f8-693042a6b9d8','pathName',NULL,_binary '','Path Name','java.lang.String','/propertyMap/properties/path/name',NULL,'\'path\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',3998,NULL),(4000,0,'e5de8aa8-21dc-11ea-a9f8-693042a6b9d8','expressionType',NULL,_binary '','Expression Type','java.lang.String','/propertyMap/properties/path/type',NULL,'\'java.lang.String\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',3998,NULL),(4001,0,'e5de8aa9-21dc-11ea-a9f8-693042a6b9d8','pathValue',NULL,_binary '','Path','java.lang.String','/propertyMap/properties/path/value',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',3998,NULL),(4002,0,'e5de8aaa-21dc-11ea-a9f8-693042a6b9d8','errorMessage',NULL,_binary '','Error Message','java.lang.String','/errorMessage',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',3996,NULL),(4003,0,'e5e0fbac-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Expression','java.lang.String','/name',NULL,'\'expression\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,0,_binary '\0',NULL,443),(4004,0,'e5e0fbad-21dc-11ea-a9f8-693042a6b9d8','expression',NULL,_binary '','Expression','org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty','/propertyMap/properties/expression',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,443),(4005,0,'e5e0fbae-21dc-11ea-a9f8-693042a6b9d8','value',NULL,_binary '','Value','java.lang.String','/propertyMap/properties/expression/value',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,0,_binary '\0',4004,NULL),(4006,0,'e5e36cb0-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'localLookup\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,0,_binary '\0',NULL,444),(4007,0,'e5e36cb1-21dc-11ea-a9f8-693042a6b9d8','errorMessage',NULL,_binary '','Error Message','java.lang.String','/errorMessage',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,444),(4008,0,'e5e36cb2-21dc-11ea-a9f8-693042a6b9d8','propertyMap',NULL,_binary '','Property Map','org.openvpms.component.business.domain.im.datatypes.property.PropertyMap','/propertyMap',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '',NULL,444),(4009,0,'e5e36cb3-21dc-11ea-a9f8-693042a6b9d8','properties',NULL,_binary '','Properties','java.util.HashMap','/propertyMap/properties',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,0,_binary '',4008,NULL),(4010,0,'e5e36cb4-21dc-11ea-a9f8-693042a6b9d8','entries',NULL,_binary '','Entries','org.openvpms.component.business.domain.im.datatypes.property.PropertyList','/propertyMap/properties/entries','property',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,0,_binary '',4009,NULL),(4011,0,'e5e36cb6-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,0,_binary '\0',NULL,445),(4012,0,'e5e36cb7-21dc-11ea-a9f8-693042a6b9d8','type',NULL,_binary '','Type','java.lang.String','/type',NULL,'\'java.lang.String\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,445),(4013,0,'e5e36cb8-21dc-11ea-a9f8-693042a6b9d8','value',NULL,_binary '','Value','java.lang.String','/value',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,445),(4014,0,'e5e5b6ab-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Database Lookup','java.lang.String','/name',NULL,'\'lookup\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,0,_binary '\0',NULL,446),(4015,0,'e5e5b6ac-21dc-11ea-a9f8-693042a6b9d8','propertyMap',NULL,_binary '','Property Map','org.openvpms.component.business.domain.im.datatypes.property.PropertyMap','/propertyMap',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '',NULL,446),(4016,0,'e5e5b6ad-21dc-11ea-a9f8-693042a6b9d8','properties',NULL,_binary '','Properties','java.util.HashMap','/propertyMap/properties',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,0,_binary '',4015,NULL),(4017,0,'e5e5b6ae-21dc-11ea-a9f8-693042a6b9d8','type',NULL,_binary '','Type','org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty','/propertyMap/properties/type',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',4016,NULL),(4018,0,'e5e5b6af-21dc-11ea-a9f8-693042a6b9d8','typeName',NULL,_binary '','Type Name','java.lang.String','/propertyMap/properties/type/name',NULL,'\'type\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',4017,NULL),(4019,0,'e5e5b6b0-21dc-11ea-a9f8-693042a6b9d8','typeType',NULL,_binary '','Type Type','java.lang.String','/propertyMap/properties/type/type',NULL,'\'java.lang.String\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',4017,NULL),(4020,0,'e5e5b6b1-21dc-11ea-a9f8-693042a6b9d8','typeValue',NULL,_binary '','Type','java.lang.String','/propertyMap/properties/type/value',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',4017,NULL),(4021,0,'e5e5b6b2-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Source','org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty','/propertyMap/properties/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',4016,NULL),(4022,0,'e5e5b6b3-21dc-11ea-a9f8-693042a6b9d8','sourceName',NULL,_binary '','Source Name','java.lang.String','/propertyMap/properties/source/name',NULL,'\'source\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',4021,NULL),(4023,0,'e5e5b6b4-21dc-11ea-a9f8-693042a6b9d8','sourceType',NULL,_binary '','Source Type','java.lang.String','/propertyMap/properties/source/type',NULL,'\'java.lang.String\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',4021,NULL),(4024,0,'e5e5b6b5-21dc-11ea-a9f8-693042a6b9d8','sourceValue',NULL,_binary '','Source','java.lang.String','/propertyMap/properties/source/value',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',4021,NULL),(4025,0,'e5e5b6b6-21dc-11ea-a9f8-693042a6b9d8','errorMessage',NULL,_binary '','Error Message','java.lang.String','/errorMessage',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',4015,NULL),(4026,0,'e5e827b8-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Number\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,0,_binary '\0',NULL,447),(4027,0,'e5e827ba-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'password\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,0,_binary '\0',NULL,448),(4028,0,'e5ea71ac-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Regular Expression','java.lang.String','/name',NULL,'\'regularExpression\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,0,_binary '\0',NULL,449),(4029,0,'e5ea71ad-21dc-11ea-a9f8-693042a6b9d8','propertyMap',NULL,_binary '','Property Map','org.openvpms.component.business.domain.im.datatypes.property.PropertyMap','/propertyMap',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '',NULL,449),(4030,0,'e5ea71ae-21dc-11ea-a9f8-693042a6b9d8','properties',NULL,_binary '','Properties','java.util.HashMap','/propertyMap/properties',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,0,_binary '',4029,NULL),(4031,0,'e5ea71af-21dc-11ea-a9f8-693042a6b9d8','expression',NULL,_binary '','Expression','org.openvpms.component.business.domain.im.datatypes.property.AssertionProperty','/propertyMap/properties/expression',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',4030,NULL),(4032,0,'e5ea71b0-21dc-11ea-a9f8-693042a6b9d8','expressionName',NULL,_binary '','Expression Name','java.lang.String','/propertyMap/properties/expression/name',NULL,'\'expression\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',4031,NULL),(4033,0,'e5ea71b1-21dc-11ea-a9f8-693042a6b9d8','expressionType',NULL,_binary '','Expression Type','java.lang.String','/propertyMap/properties/expression/type',NULL,'\'java.lang.String\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',4031,NULL),(4034,0,'e5ea71b2-21dc-11ea-a9f8-693042a6b9d8','expressionValue',NULL,_binary '','Expression','java.lang.String','/propertyMap/properties/expression/value',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',4031,NULL),(4035,0,'e5ea71b3-21dc-11ea-a9f8-693042a6b9d8','errorMessage',NULL,_binary '','Error Message','java.lang.String','/errorMessage',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',4029,NULL),(4036,0,'e5ece2b5-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,0,_binary '\0',NULL,450),(4037,0,'e5ef53b7-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Unique EntityRelationship\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,0,_binary '\0',NULL,451),(4038,0,'e5ef53b9-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,0,_binary '\0',NULL,452),(4039,0,'e5ef53ba-21dc-11ea-a9f8-693042a6b9d8','className',NULL,_binary '','Class Name','java.lang.String','/className',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,452),(4040,0,'e5ef53bb-21dc-11ea-a9f8-693042a6b9d8','methodName',NULL,_binary '','Method Name','java.lang.String','/methodName',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,452),(4041,0,'e5f19dad-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,453),(4042,0,'e5f19dae-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,453),(4043,0,'e5f19daf-21dc-11ea-a9f8-693042a6b9d8','displayName',NULL,_binary '','Display Name','java.lang.String','/displayName',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,453),(4044,0,'e5f19db0-21dc-11ea-a9f8-693042a6b9d8','className',NULL,_binary '','Class Name','java.lang.String','/className',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,453),(4045,0,'e5f19db1-21dc-11ea-a9f8-693042a6b9d8','latest',NULL,_binary '','Latest','java.lang.Boolean','/latest',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,453),(4046,0,'e5f19db2-21dc-11ea-a9f8-693042a6b9d8','primary',NULL,_binary '','Primary','java.lang.Boolean','/primary',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,453),(4047,0,'e5f19db3-21dc-11ea-a9f8-693042a6b9d8','nodeDescriptors',NULL,_binary '','Node Descriptors','java.util.LinkedHashMap','/nodeDescriptors','nodeDescriptor',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,6,_binary '',NULL,453),(4048,0,'e5f40eb6-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,454),(4049,0,'e5f40eb7-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,454),(4050,0,'e5f40eb8-21dc-11ea-a9f8-693042a6b9d8','errorMessage',NULL,_binary '','Error Message','java.lang.String','/errorMessage',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,454),(4051,0,'e5f40eb9-21dc-11ea-a9f8-693042a6b9d8','propertyMap',NULL,_binary '','Property Map','org.openvpms.component.business.domain.im.datatypes.property.PropertyMap','/propertyMap','property',NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,3,_binary '',NULL,454),(4052,0,'e5f40eba-21dc-11ea-a9f8-693042a6b9d8','properties',NULL,_binary '','Properties','java.util.HashMap','/propertyMap/properties','property',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,0,_binary '',4051,NULL),(4053,0,'e5f67fbd-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,0,_binary '\0',NULL,455),(4054,0,'e5f67fbe-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,1,_binary '\0',NULL,455),(4055,0,'e5f67fbf-21dc-11ea-a9f8-693042a6b9d8','type',NULL,_binary '','Type','java.lang.String','/type',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,455),(4056,0,'e5f67fc0-21dc-11ea-a9f8-693042a6b9d8','value',NULL,_binary '','Value','java.lang.String','/value',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,455),(4057,0,'e5f67fc2-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Action Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,0,_binary '\0',NULL,456),(4058,0,'e5f67fc3-21dc-11ea-a9f8-693042a6b9d8','actionTypes',NULL,_binary '','Action Types','java.util.ArrayList','/actionTypes','actionType',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,1,_binary '',NULL,456),(4059,0,'e5f8c9b6-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,457),(4060,0,'e5f8c9b7-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,457),(4061,0,'e5f8c9b8-21dc-11ea-a9f8-693042a6b9d8','displayName',NULL,_binary '','Display Name','java.lang.String','/displayName',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,457),(4062,0,'e5f8c9b9-21dc-11ea-a9f8-693042a6b9d8','type',NULL,_binary '','Type','java.lang.String','/type',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,457),(4063,0,'e5f8c9ba-21dc-11ea-a9f8-693042a6b9d8','path',NULL,_binary '','Path','java.lang.String','/path',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,457),(4064,0,'e5f8c9bb-21dc-11ea-a9f8-693042a6b9d8','minCardinality',NULL,_binary '','Min Cardinality','java.lang.Integer','/minCardinality',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,457),(4065,0,'e5f8c9bc-21dc-11ea-a9f8-693042a6b9d8','maxCardinality',NULL,_binary '','Max Cardinality','java.lang.Integer','/maxCardinality',NULL,'-1',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,457),(4066,0,'e5f8c9bd-21dc-11ea-a9f8-693042a6b9d8','minLength',NULL,_binary '','Min Length','java.lang.Integer','/minLength',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,457),(4067,0,'e5f8c9be-21dc-11ea-a9f8-693042a6b9d8','maxLength',NULL,_binary '','Max Length','java.lang.Integer','/maxLength',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,457),(4068,0,'e5f8c9bf-21dc-11ea-a9f8-693042a6b9d8','defaultValue',NULL,_binary '','Default Value','java.lang.String','/defaultValue',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,457),(4069,0,'e5f8c9c0-21dc-11ea-a9f8-693042a6b9d8','derived',NULL,_binary '','Derived','java.lang.Boolean','/derived',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,457),(4070,0,'e5f8c9c1-21dc-11ea-a9f8-693042a6b9d8','derivedValue',NULL,_binary '','Derived Value','java.lang.String','/derivedValue',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,457),(4071,0,'e5f8c9c2-21dc-11ea-a9f8-693042a6b9d8','baseName',NULL,_binary '','Base Name','java.lang.String','/defaultValue',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,12,_binary '\0',NULL,457),(4072,0,'e5f8c9c3-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChild',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,13,_binary '\0',NULL,457),(4073,0,'e5f8c9c4-21dc-11ea-a9f8-693042a6b9d8','assertionDescriptors',NULL,_binary '','Assertion Descriptors','java.util.LinkedHashMap','/assertionDescriptors','assertionDescriptor',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,14,_binary '',NULL,457),(4074,0,'e5f8c9c6-21dc-11ea-a9f8-693042a6b9d8','nodeDescriptors',NULL,_binary '','Node Descriptors','java.util.LinkedHashMap','/nodeDescriptors','nodeDescriptor',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,15,_binary '',NULL,457),(4075,0,'e5fb3ac9-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,458),(4076,0,'e5fb3aca-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,458),(4077,0,'e5fb3acb-21dc-11ea-a9f8-693042a6b9d8','displayName',NULL,_binary '','Display Name','java.lang.String','/displayName',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,458),(4078,0,'e5fb3acc-21dc-11ea-a9f8-693042a6b9d8','type',NULL,_binary '','Type','java.lang.String','/type',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,458),(4079,0,'e5fb3acd-21dc-11ea-a9f8-693042a6b9d8','path',NULL,_binary '','Path','java.lang.String','/path',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,458),(4080,0,'e5fb3ace-21dc-11ea-a9f8-693042a6b9d8','minCardinality',NULL,_binary '','Min Cardinality','java.lang.Integer','/minCardinality',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,458),(4081,0,'e5fb3acf-21dc-11ea-a9f8-693042a6b9d8','maxCardinality',NULL,_binary '','Max Cardinality','java.lang.Integer','/maxCardinality',NULL,'1',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,458),(4082,0,'e5fb3ad0-21dc-11ea-a9f8-693042a6b9d8','minLength',NULL,_binary '','Min Length','java.lang.Integer','/minLength',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,458),(4083,0,'e5fb3ad1-21dc-11ea-a9f8-693042a6b9d8','maxLength',NULL,_binary '','Max Length','java.lang.Integer','/maxLength',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,458),(4084,0,'e5fb3ad2-21dc-11ea-a9f8-693042a6b9d8','defaultValue',NULL,_binary '','Default Value','java.lang.String','/defaultValue',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,9,_binary '\0',NULL,458),(4085,0,'e5fb3ad3-21dc-11ea-a9f8-693042a6b9d8','derived',NULL,_binary '','Derived','java.lang.Boolean','/derived',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,458),(4086,0,'e5fb3ad4-21dc-11ea-a9f8-693042a6b9d8','derivedValue',NULL,_binary '','Derived Value','java.lang.String','/derivedValue',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,11,_binary '\0',NULL,458),(4087,0,'e5fb3ad5-21dc-11ea-a9f8-693042a6b9d8','hidden',NULL,_binary '','Hidden','java.lang.Boolean','/hidden',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,12,_binary '\0',NULL,458),(4088,0,'e5fb3ad6-21dc-11ea-a9f8-693042a6b9d8','readOnly',NULL,_binary '','Read Only','java.lang.Boolean','/readOnly',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,13,_binary '\0',NULL,458),(4089,0,'e5fb3ad7-21dc-11ea-a9f8-693042a6b9d8','assertionDescriptors',NULL,_binary '','Assertion Descriptors','java.util.LinkedHashMap','/assertionDescriptors','assertionDescriptor',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,14,_binary '',NULL,458),(4090,0,'e5fd84ca-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,0,_binary '\0',NULL,459),(4091,0,'e5fd84cb-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,1,_binary '\0',NULL,459),(4092,0,'e5fd84cc-21dc-11ea-a9f8-693042a6b9d8','properties',NULL,_binary '','Property List','java.util.ArrayList','/properties','property',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,2,_binary '',NULL,459),(4093,0,'e5fff5cf-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,0,_binary '\0',NULL,460),(4094,0,'e5fff5d0-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,1,_binary '\0',NULL,460),(4095,0,'e5fff5d1-21dc-11ea-a9f8-693042a6b9d8','properties',NULL,_binary '','Property Map','java.util.HashMap','/properties','property',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,2,_binary '',NULL,460),(4096,0,'e60266d4-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,0,_binary '\0',NULL,461),(4097,0,'e60266d5-21dc-11ea-a9f8-693042a6b9d8','type',NULL,_binary '','Archetype Id','java.lang.String','/type',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,461),(4098,0,'e60266d6-21dc-11ea-a9f8-693042a6b9d8','required',NULL,_binary '','Required','java.lang.Boolean','/required',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,461),(4099,0,'e60266d8-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,462),(4100,0,'e60266d9-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,462),(4101,0,'e60266da-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,462),(4102,0,'e60266db-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,462),(4103,0,'e60266dc-21dc-11ea-a9f8-693042a6b9d8','users',NULL,_binary '','Users','java.util.HashSet','/sourceEntityRelationships','EntityRelationship',NULL,'entityRelationship.userGroup',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,4,_binary '',NULL,462),(4104,0,'e60720d0-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,463),(4105,0,'e60720d1-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'User Location\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,463),(4106,0,'e60720d2-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'User Location (\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,463),(4107,0,'e60720d3-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,463),(4108,0,'e60720d4-21dc-11ea-a9f8-693042a6b9d8','default',NULL,_binary '','Default','java.lang.Boolean','/details/default',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,463),(4109,0,'e60720d5-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','User','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'security.user',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,463),(4110,0,'e60720d6-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'party.organisationLocation',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,463),(4111,0,'e60991d8-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,464),(4112,0,'e60991d9-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'User Group\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,464),(4113,0,'e60991da-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,464),(4114,0,'e60991db-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,464),(4115,0,'e60991dc-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Group','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,464),(4116,0,'e60991de-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','User','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,464),(4117,0,'e60bdbd1-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,465),(4118,0,'e60bdbd2-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Authority Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,465),(4119,0,'e60bdbd4-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,465),(4120,0,'e60bdbd5-21dc-11ea-a9f8-693042a6b9d8','serviceName',NULL,_binary '','Service Name','java.lang.String','/serviceName',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,465),(4121,0,'e60bdbd7-21dc-11ea-a9f8-693042a6b9d8','method',NULL,_binary '','Method Name','java.lang.String','/method',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,465),(4122,0,'e60bdbd9-21dc-11ea-a9f8-693042a6b9d8','archetypeShortName',NULL,_binary '','Archetype Name','java.lang.String','/shortName',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,465),(4123,0,'e60bdbda-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,465),(4124,0,'e60e4cdc-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,466),(4125,0,'e60e4cdd-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,466),(4126,0,'e60e4cdf-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,466),(4127,0,'e60e4ce0-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,466),(4128,0,'e60e4ce1-21dc-11ea-a9f8-693042a6b9d8','authorities',NULL,_binary '','Authorities','java.util.HashSet','/authorities','authority',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,4,_binary '\0',NULL,466),(4129,0,'e61096d4-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,467),(4130,0,'e61096d5-21dc-11ea-a9f8-693042a6b9d8','username',NULL,_binary '','Login Name','java.lang.String','/username',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,20,1,_binary '\0',NULL,467),(4131,0,'e61096d7-21dc-11ea-a9f8-693042a6b9d8','password',NULL,_binary '','Password','java.lang.String','/password',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,20,2,_binary '\0',NULL,467),(4132,0,'e61096da-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,3,_binary '\0',NULL,467),(4133,0,'e61096dc-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,467),(4134,0,'e61096dd-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,467),(4135,0,'e61096de-21dc-11ea-a9f8-693042a6b9d8','title',NULL,_binary '','Title','java.lang.String','/details/title',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,467),(4136,0,'e61096e0-21dc-11ea-a9f8-693042a6b9d8','firstName',NULL,_binary '','First Name','java.lang.String','/details/firstName',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,30,7,_binary '\0',NULL,467),(4137,0,'e61096e2-21dc-11ea-a9f8-693042a6b9d8','lastName',NULL,_binary '','Last Name','java.lang.String','/details/lastName',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,30,8,_binary '\0',NULL,467),(4138,0,'e61096e4-21dc-11ea-a9f8-693042a6b9d8','qualifications',NULL,_binary '','Qualifications','java.lang.String','/details/qualifications',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,60,9,_binary '\0',NULL,467),(4139,0,'e61096e5-21dc-11ea-a9f8-693042a6b9d8','userLevel',NULL,_binary '','User Level','java.lang.String','/details/userLevel',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,467),(4140,0,'e61096e7-21dc-11ea-a9f8-693042a6b9d8','editPreferences',NULL,_binary '','Edit Preferences','java.lang.Boolean','/details/editPreferences',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,467),(4141,0,'e61096e8-21dc-11ea-a9f8-693042a6b9d8','colour',NULL,_binary '','Colour','java.lang.String','/details/colour',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,10,12,_binary '\0',NULL,467),(4142,0,'e61096e9-21dc-11ea-a9f8-693042a6b9d8','contacts',NULL,_binary '','Contacts','java.util.HashSet','/contacts','Contact',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,13,_binary '',NULL,467),(4143,0,'e61096eb-21dc-11ea-a9f8-693042a6b9d8','roles',NULL,_binary '','Roles','java.util.HashSet','/roles','Role',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,14,_binary '\0',NULL,467),(4144,0,'e61096ed-21dc-11ea-a9f8-693042a6b9d8','groups',NULL,_binary '','Groups','java.util.HashSet','/entityRelationships','EntityRelationship',NULL,'entityRelationship.userGroup',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,15,_binary '',NULL,467),(4145,0,'e61096f0-21dc-11ea-a9f8-693042a6b9d8','classifications',NULL,_binary '','Category','java.util.HashSet','/classifications','Classification',NULL,'lookup.userType',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,16,_binary '\0',NULL,467),(4146,0,'e61096f2-21dc-11ea-a9f8-693042a6b9d8','onlineBooking',NULL,_binary '','Online Booking','java.lang.Boolean','/details/onlineBooking',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,17,_binary '\0',NULL,467),(4147,0,'e61096f3-21dc-11ea-a9f8-693042a6b9d8','locations',NULL,_binary '','Locations','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.userLocation',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,18,_binary '',NULL,467),(4148,0,'e61096f5-21dc-11ea-a9f8-693042a6b9d8','followupWorkLists',NULL,_binary '','Follow-up Work Lists','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.followupWorkList',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,19,_binary '',NULL,467),(4149,0,'e617c2e8-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,468),(4150,0,'e617c2e9-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Audit Message\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,468),(4151,0,'e617c2ea-21dc-11ea-a9f8-693042a6b9d8','from',NULL,_binary '','From','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '',_binary '\0',0,0,0,255,2,_binary '',NULL,468),(4152,0,'e617c2eb-21dc-11ea-a9f8-693042a6b9d8','to',NULL,_binary '','To','java.util.HashSet','/participations',NULL,NULL,'participation.user',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '',NULL,468),(4153,0,'e617c2ec-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Subject','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,468),(4154,0,'e617c2ed-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,468),(4155,0,'e617c2ee-21dc-11ea-a9f8-693042a6b9d8','reason',NULL,_binary '','Reason','java.lang.String','/reason',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,468),(4156,0,'e617c2f0-21dc-11ea-a9f8-693042a6b9d8','message',NULL,_binary '','Message','java.lang.String','/details/message',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,7,_binary '\0',NULL,468),(4157,0,'e617c2f1-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'PENDING\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,8,_binary '\0',NULL,468),(4158,0,'e617c2f4-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,469),(4159,0,'e617c2f5-21dc-11ea-a9f8-693042a6b9d8','type',NULL,_binary '','Type','java.util.HashSet','/participations',NULL,NULL,'participation.calendarBlockType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '',NULL,469),(4160,0,'e617c2f6-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,469),(4161,0,'e617c2f7-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Start Time','java.util.Date','/activityStartTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,469),(4162,0,'e617c2f8-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','End Time','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,469),(4163,0,'e617c2f9-21dc-11ea-a9f8-693042a6b9d8','reason',NULL,_binary '','Reason','java.lang.String','/reason',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,469),(4164,0,'e617c2fa-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Notes','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,469),(4165,0,'e617c2fb-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,7,_binary '\0',NULL,469),(4166,0,'e617c2fc-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,8,_binary '',NULL,469),(4167,0,'e617c2fd-21dc-11ea-a9f8-693042a6b9d8','schedule',NULL,_binary '','Schedule','java.util.HashSet','/participations',NULL,NULL,'participation.schedule',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,9,_binary '',NULL,469),(4168,0,'e617c2fe-21dc-11ea-a9f8-693042a6b9d8','repeat',NULL,_binary '','Repeat','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.calendarEventSeries',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,10,_binary '',NULL,469),(4169,0,'e61a3400-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,470),(4170,0,'e61a3401-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,1,_binary '\0',NULL,470),(4171,0,'e61a3402-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Start Time','java.util.Date','/activityStartTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,470),(4172,0,'e61a3403-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','End Time','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,470),(4173,0,'e61a3404-21dc-11ea-a9f8-693042a6b9d8','reason',NULL,_binary '','Reason','java.lang.String','/reason',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,4,_binary '\0',NULL,470),(4174,0,'e61a3405-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Notes','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,470),(4175,0,'e61a3406-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,6,_binary '\0',NULL,470),(4176,0,'e61a3407-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,7,_binary '',NULL,470),(4177,0,'e61a3408-21dc-11ea-a9f8-693042a6b9d8','schedule',NULL,_binary '','Schedule','java.util.HashSet','/participations',NULL,NULL,'participation.schedule',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,8,_binary '',NULL,470),(4178,0,'e61a3409-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/participations',NULL,NULL,'participation.location',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,9,_binary '',NULL,470),(4179,0,'e61a340a-21dc-11ea-a9f8-693042a6b9d8','repeat',NULL,_binary '','Repeat','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.calendarEventSeries',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,10,_binary '',NULL,470),(4180,0,'e61c7dfc-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,471),(4181,0,'e61c7dfd-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,471),(4182,0,'e61c7dfe-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Start Time','java.util.Date','/activityStartTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,471),(4183,0,'e61c7dff-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','End Time','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,471),(4184,0,'e61c7e00-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,4,_binary '\0',NULL,471),(4185,0,'e61c7e01-21dc-11ea-a9f8-693042a6b9d8','interval',NULL,_binary '','Interval','java.lang.Integer','/details/interval',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,471),(4186,0,'e61c7e02-21dc-11ea-a9f8-693042a6b9d8','units',NULL,_binary '','Units','java.lang.String','/details/units',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,471),(4187,0,'e61c7e04-21dc-11ea-a9f8-693042a6b9d8','expression',NULL,_binary '','Expression','java.lang.String','/details/expression',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,7,_binary '\0',NULL,471),(4188,0,'e61c7e05-21dc-11ea-a9f8-693042a6b9d8','times',NULL,_binary '','Times','java.lang.Integer','/details/times',NULL,'0',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,8,_binary '\0',NULL,471),(4189,0,'e61c7e06-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,9,_binary '',NULL,471),(4190,0,'e61c7e07-21dc-11ea-a9f8-693042a6b9d8','items',NULL,_binary '','Items','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.calendarEventSeries',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,10,_binary '',NULL,471),(4191,0,'e61eef09-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,472),(4192,0,'e61eef0a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Appointment\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,472),(4193,0,'e61eef0b-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '',NULL,472),(4194,0,'e61eef0c-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '',NULL,472),(4195,0,'e61eef0d-21dc-11ea-a9f8-693042a6b9d8','appointmentType',NULL,_binary '','Appointment Type','java.util.HashSet','/participations',NULL,NULL,'participation.appointmentType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '',NULL,472),(4196,0,'e61eef0e-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Start Time','java.util.Date','/activityStartTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,472),(4197,0,'e61eef0f-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','End Time','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,472),(4198,0,'e61eef10-21dc-11ea-a9f8-693042a6b9d8','arrivalTime',NULL,_binary '','Arrival Time','java.util.Date','/details/arrivalTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,7,_binary '\0',NULL,472),(4199,0,'e61eef11-21dc-11ea-a9f8-693042a6b9d8','reason',NULL,_binary '','Reason','java.lang.String','/reason',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,472),(4200,0,'e61eef13-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Notes','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,472),(4201,0,'e61eef14-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '',NULL,472),(4202,0,'e61eef15-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'PENDING\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,11,_binary '\0',NULL,472),(4203,0,'e61eef17-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,12,_binary '',NULL,472),(4204,0,'e61eef18-21dc-11ea-a9f8-693042a6b9d8','schedule',NULL,_binary '','Schedule','java.util.HashSet','/participations',NULL,NULL,'participation.schedule',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,13,_binary '',NULL,472),(4205,0,'e61eef19-21dc-11ea-a9f8-693042a6b9d8','tasks',NULL,_binary '','Tasks','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.customerAppointmentTask',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,14,_binary '',NULL,472),(4206,0,'e61eef1a-21dc-11ea-a9f8-693042a6b9d8','repeat',NULL,_binary '','Repeat','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.calendarEventSeries',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,15,_binary '',NULL,472),(4207,0,'e61eef1b-21dc-11ea-a9f8-693042a6b9d8','sendReminder',NULL,_binary '','Send Reminder','java.lang.Boolean','/details/sendReminder',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,16,_binary '\0',NULL,472),(4208,0,'e61eef1c-21dc-11ea-a9f8-693042a6b9d8','reminderSent',NULL,_binary '','Reminder Sent','java.util.Date','/details/reminderSent',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,17,_binary '\0',NULL,472),(4209,0,'e61eef1d-21dc-11ea-a9f8-693042a6b9d8','reminderError',NULL,_binary '','Reminder Error','java.lang.String','/details/reminderError',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,5000,18,_binary '\0',NULL,472),(4210,0,'e61eef1e-21dc-11ea-a9f8-693042a6b9d8','boardingCharged',NULL,_binary '','Boarding Charged','java.lang.Boolean','/details/boardingCharged',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,19,_binary '\0',NULL,472),(4211,0,'e61eef1f-21dc-11ea-a9f8-693042a6b9d8','firstPetRate',NULL,_binary '','First Pet Rate','java.lang.Boolean','/details/firstPetRate',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,20,_binary '\0',NULL,472),(4212,0,'e61eef20-21dc-11ea-a9f8-693042a6b9d8','onlineBooking',NULL,_binary '','Online Booking','java.lang.Boolean','/details/onlineBooking',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,21,_binary '\0',NULL,472),(4213,0,'e61eef21-21dc-11ea-a9f8-693042a6b9d8','bookingNotes',NULL,_binary '','Booking Notes','java.lang.String','/details/bookingNotes',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,5000,22,_binary '\0',NULL,472),(4214,0,'e61eef22-21dc-11ea-a9f8-693042a6b9d8','event',NULL,_binary '','Event','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,'actRelationship.appointmentClinicalEvent',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,23,_binary '',NULL,472),(4215,0,'e6216024-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,473),(4216,0,'e6216025-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Task\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,473),(4217,0,'e6216026-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '',NULL,473),(4218,0,'e6216027-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '',NULL,473),(4219,0,'e6216028-21dc-11ea-a9f8-693042a6b9d8','worklist',NULL,_binary '','Work List','java.util.HashSet','/participations',NULL,NULL,'participation.worklist',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,4,_binary '',NULL,473),(4220,0,'e6216029-21dc-11ea-a9f8-693042a6b9d8','taskType',NULL,_binary '','Task Type','java.util.HashSet','/participations',NULL,NULL,'participation.taskType',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '',NULL,473),(4221,0,'e621602a-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Started','java.util.Date','/activityStartTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,473),(4222,0,'e621602b-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','Completed','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,473),(4223,0,'e621602c-21dc-11ea-a9f8-693042a6b9d8','consultStartTime',NULL,_binary '','Consult Start Time','java.util.Date','/details/consultStartTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,8,_binary '\0',NULL,473),(4224,0,'e621602d-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Notes','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,473),(4225,0,'e621602e-21dc-11ea-a9f8-693042a6b9d8','clinician',NULL,_binary '','Clinician','java.util.HashSet','/participations',NULL,NULL,'participation.clinician',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '',NULL,473),(4226,0,'e621602f-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'PENDING\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,11,_binary '\0',NULL,473),(4227,0,'e6216031-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,12,_binary '',NULL,473),(4228,0,'e6216032-21dc-11ea-a9f8-693042a6b9d8','appointments',NULL,_binary '','Appointments','java.util.HashSet','/targetActRelationships','TargetActRelationship',NULL,'actRelationship.customerAppointmentTask',NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,13,_binary '',NULL,473),(4229,0,'e623aa24-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,474),(4230,0,'e623aa25-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Message\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,474),(4231,0,'e623aa26-21dc-11ea-a9f8-693042a6b9d8','from',NULL,_binary '','From','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '',_binary '\0',0,0,0,255,2,_binary '',NULL,474),(4232,0,'e623aa27-21dc-11ea-a9f8-693042a6b9d8','to',NULL,_binary '','To','java.util.HashSet','/participations',NULL,NULL,'participation.user',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '',NULL,474),(4233,0,'e623aa28-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Subject','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,474),(4234,0,'e623aa29-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,474),(4235,0,'e623aa2a-21dc-11ea-a9f8-693042a6b9d8','reason',NULL,_binary '','Reason','java.lang.String','/reason',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,474),(4236,0,'e623aa2c-21dc-11ea-a9f8-693042a6b9d8','message',NULL,_binary '','Message','java.lang.String','/details/message',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,7,_binary '\0',NULL,474),(4237,0,'e623aa2d-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'PENDING\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,8,_binary '\0',NULL,474),(4238,0,'e623aa2f-21dc-11ea-a9f8-693042a6b9d8','item',NULL,_binary '','Item','java.util.HashSet','/sourceActRelationships','SourceActRelationship',NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '',NULL,474),(4239,0,'e6288c32-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,475),(4240,0,'e6288c33-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Message\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,475),(4241,0,'e6288c34-21dc-11ea-a9f8-693042a6b9d8','from',NULL,_binary '','From','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,2,_binary '',NULL,475),(4242,0,'e6288c35-21dc-11ea-a9f8-693042a6b9d8','to',NULL,_binary '','To','java.util.HashSet','/participations',NULL,NULL,'participation.user',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '',NULL,475),(4243,0,'e6288c36-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Subject','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,475),(4244,0,'e6288c37-21dc-11ea-a9f8-693042a6b9d8','customer',NULL,_binary '','Customer','java.util.HashSet','/participations',NULL,NULL,'participation.customer',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '',NULL,475),(4245,0,'e6288c38-21dc-11ea-a9f8-693042a6b9d8','patient',NULL,_binary '','Patient','java.util.HashSet','/participations',NULL,NULL,'participation.patient',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '',NULL,475),(4246,0,'e6288c39-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Date','java.util.Date','/activityStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,475),(4247,0,'e6288c3a-21dc-11ea-a9f8-693042a6b9d8','reason',NULL,_binary '','Reason','java.lang.String','/reason',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,8,_binary '\0',NULL,475),(4248,0,'e6288c3c-21dc-11ea-a9f8-693042a6b9d8','message',NULL,_binary '','Message','java.lang.String','/details/message',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,9,_binary '\0',NULL,475),(4249,0,'e6288c3d-21dc-11ea-a9f8-693042a6b9d8','status',NULL,_binary '','Status','java.lang.String','/status',NULL,'\'PENDING\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,10,_binary '\0',NULL,475),(4250,0,'e62ad630-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,476),(4251,0,'e62ad631-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,476),(4252,0,'e62ad632-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,476),(4253,0,'e62ad633-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Event','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,476),(4254,0,'e62ad635-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Charge Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,476),(4255,0,'e62ad638-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,477),(4256,0,'e62ad639-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,477),(4257,0,'e62ad63a-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,477),(4258,0,'e62ad63b-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Series','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,477),(4259,0,'e62ad63d-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Appointment','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,477),(4260,0,'e62ad63f-21dc-11ea-a9f8-693042a6b9d8','parentChild',NULL,_binary '','Parent Child','java.lang.Boolean','/parentChildRelationship',NULL,'false()',NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,477),(4261,0,'e62d4741-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,478),(4262,0,'e62d4742-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,478),(4263,0,'e62d4743-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'\' \'',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,478),(4264,0,'e62d4744-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Event','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,478),(4265,0,'e62d4746-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Medical Record','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,478),(4266,0,'e62f9139-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,479),(4267,0,'e62f913a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,479),(4268,0,'e62f913b-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,479),(4269,0,'e62f913c-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Source','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,479),(4270,0,'e62f913e-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Item','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,479),(4271,0,'e6325061-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,480),(4272,0,'e6325062-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Appointment Type','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,480),(4273,0,'e6325063-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,480),(4274,0,'e6325064-21dc-11ea-a9f8-693042a6b9d8','colour',NULL,_binary '','Colour','java.lang.String','/details/colour',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,10,3,_binary '\0',NULL,480),(4275,0,'e6325065-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,480),(4276,0,'e6325066-21dc-11ea-a9f8-693042a6b9d8','onlineBooking',NULL,_binary '','Online Booking','java.lang.Boolean','/details/onlineBooking',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,480),(4277,0,'e6325067-21dc-11ea-a9f8-693042a6b9d8','sendReminders',NULL,_binary '','Send Appointment Reminders','java.lang.Boolean','/details/sendReminders',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,480),(4278,0,'e6349a59-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,481),(4279,0,'e6349a5a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,481),(4280,0,'e6349a5b-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,481),(4281,0,'e6349a5c-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,481),(4282,0,'e6349a5d-21dc-11ea-a9f8-693042a6b9d8','firstPetProductDay',NULL,_binary '','First Pet Product - Day','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.cageFirstPetProductDay',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '',NULL,481),(4283,0,'e6349a5e-21dc-11ea-a9f8-693042a6b9d8','secondPetProductDay',NULL,_binary '','Second Pet Product - Day','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.cageSecondPetProductDay',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '',NULL,481),(4284,0,'e6349a5f-21dc-11ea-a9f8-693042a6b9d8','firstPetProductNight',NULL,_binary '','First Pet Product - Overnight','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.cageFirstPetProductNight',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '',NULL,481),(4285,0,'e6349a60-21dc-11ea-a9f8-693042a6b9d8','secondPetProductNight',NULL,_binary '','Second Pet Product - Overnight','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.cageSecondPetProductNight',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '',NULL,481),(4286,0,'e6349a61-21dc-11ea-a9f8-693042a6b9d8','lateCheckoutTime',NULL,_binary '','Late Checkout Time','java.util.Date','/details/lateCheckoutTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,481),(4287,0,'e6349a62-21dc-11ea-a9f8-693042a6b9d8','lateCheckoutProduct',NULL,_binary '','Late Checkout Product','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.cageLateCheckoutProduct',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '',NULL,481),(4288,0,'e6370b64-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,482),(4289,0,'e6370b65-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,482),(4290,0,'e6370b66-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,482),(4291,0,'e6370b67-21dc-11ea-a9f8-693042a6b9d8','colour',NULL,_binary '','Colour','java.lang.String','/details/colour',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,10,3,_binary '\0',NULL,482),(4292,0,'e6370b68-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,482),(4293,0,'e6370b69-21dc-11ea-a9f8-693042a6b9d8','customerAccountTypes',NULL,_binary '','Reserve for Account Types','java.util.HashSet','/classifications','Classification',NULL,'lookup.customerAccountType',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,5,_binary '\0',NULL,482),(4294,0,'e6370b6a-21dc-11ea-a9f8-693042a6b9d8','customerTypes',NULL,_binary '','Reserve for Customer Types','java.util.HashSet','/classifications','Classification',NULL,'lookup.customerType',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,6,_binary '\0',NULL,482),(4295,0,'e6397c6c-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,483),(4296,0,'e6397c6d-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'New Service Ratio Calendar\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,483),(4297,0,'e6397c6f-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,'\'Determines the dates and times when service ratios apply\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,483),(4298,0,'e6397c70-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,483),(4299,0,'e63bc562-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,484),(4300,0,'e63bc563-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,484),(4301,0,'e63bc564-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,484),(4302,0,'e63bc565-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,484),(4303,0,'e63bc566-21dc-11ea-a9f8-693042a6b9d8','monOpen',NULL,_binary '','Open Monday','java.lang.Boolean','/details/monOpen',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,484),(4304,0,'e63bc567-21dc-11ea-a9f8-693042a6b9d8','monStartTime',NULL,_binary '','Monday Start Time','java.util.Date','/details/monStartTime',NULL,'java.sql.Timestamp.valueOf(\'1970-01-01 08:00:00.0\')',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,484),(4305,0,'e63bc568-21dc-11ea-a9f8-693042a6b9d8','monEndTime',NULL,_binary '','Monday End Time','java.util.Date','/details/monEndTime',NULL,'java.sql.Timestamp.valueOf(\'1970-01-01 17:00:00.0\')',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,484),(4306,0,'e63bc569-21dc-11ea-a9f8-693042a6b9d8','tueOpen',NULL,_binary '','Open Tuesday','java.lang.Boolean','/details/tueOpen',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,484),(4307,0,'e63bc56a-21dc-11ea-a9f8-693042a6b9d8','tueStartTime',NULL,_binary '','Tuesday Start Time','java.util.Date','/details/tueStartTime',NULL,'java.sql.Timestamp.valueOf(\'1970-01-01 08:00:00.0\')',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,484),(4308,0,'e63bc56b-21dc-11ea-a9f8-693042a6b9d8','tueEndTime',NULL,_binary '','Tuesday End Time','java.util.Date','/details/tueEndTime',NULL,'java.sql.Timestamp.valueOf(\'1970-01-01 17:00:00.0\')',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,484),(4309,0,'e63bc56c-21dc-11ea-a9f8-693042a6b9d8','wedOpen',NULL,_binary '','Open Wednesday','java.lang.Boolean','/details/wedOpen',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,10,_binary '\0',NULL,484),(4310,0,'e63bc56d-21dc-11ea-a9f8-693042a6b9d8','wedStartTime',NULL,_binary '','Wednesday Start Time','java.util.Date','/details/wedStartTime',NULL,'java.sql.Timestamp.valueOf(\'1970-01-01 08:00:00.0\')',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,484),(4311,0,'e63bc56e-21dc-11ea-a9f8-693042a6b9d8','wedEndTime',NULL,_binary '','Wednesday End Time','java.util.Date','/details/wedEndTime',NULL,'java.sql.Timestamp.valueOf(\'1970-01-01 17:00:00.0\')',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,12,_binary '\0',NULL,484),(4312,0,'e63bc56f-21dc-11ea-a9f8-693042a6b9d8','thuOpen',NULL,_binary '','Open Thursday','java.lang.Boolean','/details/thuOpen',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,13,_binary '\0',NULL,484),(4313,0,'e63bc570-21dc-11ea-a9f8-693042a6b9d8','thuStartTime',NULL,_binary '','Thursday Start Time','java.util.Date','/details/thuStartTime',NULL,'java.sql.Timestamp.valueOf(\'1970-01-01 08:00:00.0\')',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,14,_binary '\0',NULL,484),(4314,0,'e63bc571-21dc-11ea-a9f8-693042a6b9d8','thuEndTime',NULL,_binary '','Thursday End Time','java.util.Date','/details/thuEndTime',NULL,'java.sql.Timestamp.valueOf(\'1970-01-01 17:00:00.0\')',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,15,_binary '\0',NULL,484),(4315,0,'e63bc572-21dc-11ea-a9f8-693042a6b9d8','friOpen',NULL,_binary '','Open Friday','java.lang.Boolean','/details/friOpen',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,16,_binary '\0',NULL,484),(4316,0,'e63bc573-21dc-11ea-a9f8-693042a6b9d8','friStartTime',NULL,_binary '','Friday Start Time','java.util.Date','/details/friStartTime',NULL,'java.sql.Timestamp.valueOf(\'1970-01-01 08:00:00.0\')',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,17,_binary '\0',NULL,484),(4317,0,'e63bc574-21dc-11ea-a9f8-693042a6b9d8','friEndTime',NULL,_binary '','Friday End Time','java.util.Date','/details/friEndTime',NULL,'java.sql.Timestamp.valueOf(\'1970-01-01 17:00:00.0\')',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,18,_binary '\0',NULL,484),(4318,0,'e63bc575-21dc-11ea-a9f8-693042a6b9d8','satOpen',NULL,_binary '','Open Saturday','java.lang.Boolean','/details/satOpen',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,19,_binary '\0',NULL,484),(4319,0,'e63bc576-21dc-11ea-a9f8-693042a6b9d8','satStartTime',NULL,_binary '','Saturday Start Time','java.util.Date','/details/satStartTime',NULL,'java.sql.Timestamp.valueOf(\'1970-01-01 08:00:00.0\')',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,20,_binary '\0',NULL,484),(4320,0,'e63bc577-21dc-11ea-a9f8-693042a6b9d8','satEndTime',NULL,_binary '','Saturday End Time','java.util.Date','/details/satEndTime',NULL,'java.sql.Timestamp.valueOf(\'1970-01-01 17:00:00.0\')',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,21,_binary '\0',NULL,484),(4321,0,'e63bc578-21dc-11ea-a9f8-693042a6b9d8','sunOpen',NULL,_binary '','Open Sunday','java.lang.Boolean','/details/sunOpen',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,22,_binary '\0',NULL,484),(4322,0,'e63bc579-21dc-11ea-a9f8-693042a6b9d8','sunStartTime',NULL,_binary '','Sunday Start Time','java.util.Date','/details/sunStartTime',NULL,'java.sql.Timestamp.valueOf(\'1970-01-01 08:00:00.0\')',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,23,_binary '\0',NULL,484),(4323,0,'e63bc57a-21dc-11ea-a9f8-693042a6b9d8','sunEndTime',NULL,_binary '','Sunday End Time','java.util.Date','/details/sunEndTime',NULL,'java.sql.Timestamp.valueOf(\'1970-01-01 17:00:00.0\')',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,24,_binary '\0',NULL,484),(4324,0,'e63e367c-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,485),(4325,0,'e63e367d-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Schedule View','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,485),(4326,0,'e63e367f-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,485),(4327,0,'e63e3680-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,485),(4328,0,'e63e3681-21dc-11ea-a9f8-693042a6b9d8','displayExpression',NULL,_binary '','Display Expression','java.lang.String','/details/displayExpression',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,4,_binary '\0',NULL,485),(4329,0,'e63e3682-21dc-11ea-a9f8-693042a6b9d8','displayNotes',NULL,_binary '','Display Notes','java.lang.Boolean','/details/displayNotes',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,485),(4330,0,'e63e3683-21dc-11ea-a9f8-693042a6b9d8','highlight',NULL,_binary '','Highlight','java.lang.String','/details/highlight',NULL,'\'EVENT_TYPE\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,485),(4331,0,'e63e3685-21dc-11ea-a9f8-693042a6b9d8','multipleDayView',NULL,_binary '','Multiple Day View','java.lang.Boolean','/details/multipleDayView',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,485),(4332,0,'e63e3686-21dc-11ea-a9f8-693042a6b9d8','useStrikethrough',NULL,_binary '','Use strikethrough for Completed/Cancelled','java.lang.Boolean','/details/useStrikethrough',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,485),(4333,0,'e63e3687-21dc-11ea-a9f8-693042a6b9d8','schedules',NULL,_binary '','Schedules','java.util.HashSet','/sourceEntityRelationships','EntityRelationship',NULL,'entityRelationship.viewSchedule',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,9,_binary '',NULL,485),(4334,0,'e640807a-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,486),(4335,0,'e640807b-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Worklist View','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,486),(4336,0,'e640807d-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,486),(4337,0,'e640807e-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,486),(4338,0,'e640807f-21dc-11ea-a9f8-693042a6b9d8','displayExpression',NULL,_binary '','Display Expression','java.lang.String','/details/displayExpression',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,600,4,_binary '\0',NULL,486),(4339,0,'e6408080-21dc-11ea-a9f8-693042a6b9d8','displayNotes',NULL,_binary '','Display Notes','java.lang.Boolean','/details/displayNotes',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,486),(4340,0,'e6408081-21dc-11ea-a9f8-693042a6b9d8','highlight',NULL,_binary '','Highlight','java.lang.String','/details/highlight',NULL,'\'EVENT_TYPE\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,486),(4341,0,'e6408083-21dc-11ea-a9f8-693042a6b9d8','workLists',NULL,_binary '','Work Lists','java.util.HashSet','/sourceEntityRelationships','EntityRelationship',NULL,'entityRelationship.viewWorkList',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,7,_binary '',NULL,486),(4342,0,'e642f187-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,487),(4343,0,'e642f188-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Task Type','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,487),(4344,0,'e642f189-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,487),(4345,0,'e642f18a-21dc-11ea-a9f8-693042a6b9d8','colour',NULL,_binary '','Colour','java.lang.String','/details/colour',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,10,3,_binary '\0',NULL,487),(4346,0,'e642f18b-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,487),(4347,0,'e645628d-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,488),(4348,0,'e645628e-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'First Pet Product - Day\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,488),(4349,0,'e645628f-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,488),(4350,0,'e6456290-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Cage','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,488),(4351,0,'e6456292-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Product','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,488),(4352,0,'e64a1d85-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,489),(4353,0,'e64a1d86-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'First Pet Product - Overnight\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,489),(4354,0,'e64a1d87-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,489),(4355,0,'e64a1d88-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Cage','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,489),(4356,0,'e64a1d8a-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Product','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,489),(4357,0,'e64c8e8d-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,490),(4358,0,'e64c8e8e-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Second Pet Product - Overnight\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,490),(4359,0,'e64c8e8f-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,490),(4360,0,'e64c8e90-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Cage','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,490),(4361,0,'e64c8e92-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Product','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,490),(4362,0,'e64ed885-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,491),(4363,0,'e64ed886-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Second Pet Product - Day\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,491),(4364,0,'e64ed887-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,491),(4365,0,'e64ed888-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Cage','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,491),(4366,0,'e64ed88a-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Product','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,491),(4367,0,'e651498d-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,492),(4368,0,'e651498e-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Second Pet Product - Overnight\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,492),(4369,0,'e651498f-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,492),(4370,0,'e6514990-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Cage','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,492),(4371,0,'e6514992-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Product','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,492),(4372,0,'e6539385-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,493),(4373,0,'e6539386-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Schedule Booking Times\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,1,_binary '\0',NULL,493),(4374,0,'e6539387-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,493),(4375,0,'e6539388-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,493),(4376,0,'e6539389-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Source','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,493),(4377,0,'e653938b-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Online Booking Times','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,493),(4378,0,'e656048e-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,494),(4379,0,'e656048f-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Schedule Cage Type\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,494),(4380,0,'e6560490-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,494),(4381,0,'e6560491-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Schedule','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,494),(4382,0,'e6560493-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Cage Type','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,494),(4383,0,'e6587596-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,495),(4384,0,'e6587597-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Schedule Location\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,495),(4385,0,'e6587598-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,495),(4386,0,'e6587599-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Schedule','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,495),(4387,0,'e658759b-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,495),(4388,0,'e65abf8e-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,496),(4389,0,'e65abf8f-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Schedule Appointment Type\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,496),(4390,0,'e65abf90-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'No of Slots : \',/details/noSlots)',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,496),(4391,0,'e65abf91-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,496),(4392,0,'e65abf92-21dc-11ea-a9f8-693042a6b9d8','noSlots',NULL,_binary '','No of Slots','java.lang.Integer','/details/noSlots',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,496),(4393,0,'e65abf93-21dc-11ea-a9f8-693042a6b9d8','default',NULL,_binary '','Default','java.lang.Boolean','/details/default',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,496),(4394,0,'e65abf94-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Schedule','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,496),(4395,0,'e65abf96-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Appointment Type','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,496),(4396,0,'e65d3099-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,497),(4397,0,'e65d309a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,497),(4398,0,'e65d309b-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,497),(4399,0,'e65d309c-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Schedule','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,497),(4400,0,'e65d309e-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Template','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,497),(4401,0,'e65d30a0-21dc-11ea-a9f8-693042a6b9d8','print',NULL,_binary '','Print','java.lang.Boolean','/details/print',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,497),(4402,0,'e65f7a92-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,498),(4403,0,'e65f7a93-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,498),(4404,0,'e65f7a94-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,498),(4405,0,'e65f7a95-21dc-11ea-a9f8-693042a6b9d8','default',NULL,_binary '','Default','java.lang.Boolean','/details/default',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,498),(4406,0,'e65f7a96-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Schedule','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'party.organisationSchedule',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,498),(4407,0,'e65f7a97-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Work List','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'party.organisationWorkList',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,498),(4408,0,'e661eb99-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,499),(4409,0,'e661eb9a-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,499),(4410,0,'e661eb9b-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,499),(4411,0,'e661eb9c-21dc-11ea-a9f8-693042a6b9d8','sequence',NULL,_binary '','Sequence','java.lang.Integer','/sequence',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,499),(4412,0,'e661eb9d-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','View','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,499),(4413,0,'e661eb9f-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Schedule','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,499),(4414,0,'e6645ca2-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,500),(4415,0,'e6645ca3-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,500),(4416,0,'e6645ca4-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,500),(4417,0,'e6645ca5-21dc-11ea-a9f8-693042a6b9d8','sequence',NULL,_binary '','Sequence','java.lang.Integer','/sequence',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,3,_binary '\0',NULL,500),(4418,0,'e6645ca6-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','View','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,500),(4419,0,'e6645ca8-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Work List','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,500),(4420,0,'e666a69b-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,501),(4421,0,'e666a69c-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,501),(4422,0,'e666a69d-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,501),(4423,0,'e666a69e-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Work List','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,501),(4424,0,'e666a6a0-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Template','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,501),(4425,0,'e666a6a2-21dc-11ea-a9f8-693042a6b9d8','print',NULL,_binary '','Print','java.lang.Boolean','/details/print',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,501),(4426,0,'e66917a4-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,502),(4427,0,'e66917a5-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Worklist Task Type\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,502),(4428,0,'e66917a6-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'No of Slots : \',/details/noSlots)',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,502),(4429,0,'e66917a7-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,502),(4430,0,'e66917a8-21dc-11ea-a9f8-693042a6b9d8','noSlots',NULL,_binary '','No of Slots','java.lang.Integer','/details/noSlots',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,502),(4431,0,'e66917a9-21dc-11ea-a9f8-693042a6b9d8','default',NULL,_binary '','Default','java.lang.Boolean','/details/default',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,502),(4432,0,'e66917aa-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Work List','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,6,_binary '\0',NULL,502),(4433,0,'e66917ac-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Task Type','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,502),(4434,0,'e66b88af-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,503),(4435,0,'e66b88b0-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,503),(4436,0,'e66b88b2-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,503),(4437,0,'e66b88b3-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'/name',_binary '\0',_binary '',_binary '',0,1,0,255,3,_binary '\0',NULL,503),(4438,0,'e66b88b4-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,503),(4439,0,'e66b88b5-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,503),(4440,0,'e66dd2a7-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,504),(4441,0,'e66dd2a8-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,504),(4442,0,'e66dd2aa-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,504),(4443,0,'e66dd2ab-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'/name',_binary '\0',_binary '',_binary '',0,1,0,255,3,_binary '\0',NULL,504),(4444,0,'e66dd2ac-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,504),(4445,0,'e66dd2ad-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,504),(4446,0,'e67043af-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,505),(4447,0,'e67043b0-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,505),(4448,0,'e67043b2-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,505),(4449,0,'e67043b4-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'/name',_binary '\0',_binary '',_binary '',0,1,0,255,3,_binary '\0',NULL,505),(4450,0,'e67043b5-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,505),(4451,0,'e67043b6-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,505),(4452,0,'e6728da8-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,506),(4453,0,'e6728da9-21dc-11ea-a9f8-693042a6b9d8','code',NULL,_binary '','Code','java.lang.String','/code',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',1,1,0,100,1,_binary '\0',NULL,506),(4454,0,'e6728dab-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,506),(4455,0,'e6728dac-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,506),(4456,0,'e6728dad-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,506),(4457,0,'e6728dae-21dc-11ea-a9f8-693042a6b9d8','dataDictionaryId',NULL,_binary '','Data Dictionary Id','java.lang.String','/details/dataDictionaryId',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,506),(4458,0,'e6728daf-21dc-11ea-a9f8-693042a6b9d8','defaultLookup',NULL,_binary '','Default Lookup','java.lang.Boolean','/defaultLookup',NULL,'false()',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,6,_binary '\0',NULL,506),(4459,0,'e6728db1-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,507),(4460,0,'e6728db2-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Appointment Type','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,507),(4461,0,'e6728db4-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,507),(4462,0,'e674feb7-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,508),(4463,0,'e674feb8-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Calendar Block','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,508),(4464,0,'e674feba-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,508),(4465,0,'e6776fbd-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,509),(4466,0,'e6776fbe-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Schedule','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,509),(4467,0,'e6776fc0-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,509),(4468,0,'e679b9b3-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,510),(4469,0,'e679b9b4-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Task Type','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,510),(4470,0,'e679b9b6-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,510),(4471,0,'e67c2ab9-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,511),(4472,0,'e67c2aba-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Worklist','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,511),(4473,0,'e67c2abc-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,511),(4474,0,'e67e9bbf-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,512),(4475,0,'e67e9bc0-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,512),(4476,0,'e67e9bc2-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,512),(4477,0,'e67e9bc3-21dc-11ea-a9f8-693042a6b9d8','slotSize',NULL,_binary '','Slot Size','java.lang.Integer','/details/slotSize',NULL,'\'15\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,512),(4478,0,'e67e9bc4-21dc-11ea-a9f8-693042a6b9d8','slotUnits',NULL,_binary '','Slot Units','java.lang.String','/details/slotUnit',NULL,'\'MINUTES\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,512),(4479,0,'e67e9bc6-21dc-11ea-a9f8-693042a6b9d8','allowDoubleBooking',NULL,_binary '','Allow Double Booking','java.lang.Boolean','/details/allowDoubleBooking',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,512),(4480,0,'e67e9bc7-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,512),(4481,0,'e67e9bc8-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Start Time','java.util.Date','/details/startTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,512),(4482,0,'e67e9bc9-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','End Time','java.util.Date','/details/endTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,512),(4483,0,'e67e9bca-21dc-11ea-a9f8-693042a6b9d8','useAllWorkLists',NULL,_binary '','Use All Work Lists','java.lang.Boolean','/details/useAllWorkLists',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,512),(4484,0,'e67e9bcb-21dc-11ea-a9f8-693042a6b9d8','inputWeight',NULL,_binary '','Input Weight','java.lang.Boolean','/details/inputWeight',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,512),(4485,0,'e67e9bcc-21dc-11ea-a9f8-693042a6b9d8','useAllTemplates',NULL,_binary '','Use All Templates','java.lang.Boolean','/details/useAllTemplates',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,512),(4486,0,'e67e9bcd-21dc-11ea-a9f8-693042a6b9d8','sendReminders',NULL,_binary '','Send Appointment Reminders','java.lang.Boolean','/details/sendReminders',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,12,_binary '\0',NULL,512),(4487,0,'e67e9bce-21dc-11ea-a9f8-693042a6b9d8','onlineBooking',NULL,_binary '','Online Booking','java.lang.Boolean','/details/onlineBooking',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,13,_binary '\0',NULL,512),(4488,0,'e67e9bcf-21dc-11ea-a9f8-693042a6b9d8','onlineBookingTimes',NULL,_binary '','Online Booking Times','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.scheduleBookingTimes',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,14,_binary '',NULL,512),(4489,0,'e67e9bd0-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.scheduleLocation',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,15,_binary '',NULL,512),(4490,0,'e67e9bd1-21dc-11ea-a9f8-693042a6b9d8','cageType',NULL,_binary '','Cage Type','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.scheduleCageType',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,16,_binary '',NULL,512),(4491,0,'e67e9bd2-21dc-11ea-a9f8-693042a6b9d8','views',NULL,_binary '','Views','java.util.HashSet','/entityRelationships','EntityRelationship',NULL,'entityRelationship.viewSchedule',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,17,_binary '',NULL,512),(4492,0,'e67e9bd3-21dc-11ea-a9f8-693042a6b9d8','appointmentTypes',NULL,_binary '','Appointment Types','java.util.HashSet','/entityRelationships','EntityRelationship',NULL,'entityRelationship.scheduleAppointmentType',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,18,_binary '',NULL,512),(4493,0,'e67e9bd5-21dc-11ea-a9f8-693042a6b9d8','workLists',NULL,_binary '','Work Lists','java.util.HashSet','/sourceEntityRelationships','EntityRelationship',NULL,'entityRelationship.scheduleWorkList',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,19,_binary '',NULL,512),(4494,0,'e67e9bd7-21dc-11ea-a9f8-693042a6b9d8','templates',NULL,_binary '','Templates','java.util.HashSet','/sourceEntityRelationships','EntityRelationship',NULL,'entityRelationship.scheduleDocumentTemplate',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,20,_binary '',NULL,512),(4495,0,'e680e4ca-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,0,_binary '\0',NULL,513),(4496,0,'e680e4cb-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,513),(4497,0,'e680e4cd-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,513),(4498,0,'e680e4ce-21dc-11ea-a9f8-693042a6b9d8','maxSlots',NULL,_binary '','Max Slots','java.lang.Integer','/details/maximumSlots',NULL,'\'100\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,513),(4499,0,'e680e4cf-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,513),(4500,0,'e680e4d0-21dc-11ea-a9f8-693042a6b9d8','useAllTemplates',NULL,_binary '','Use All Templates','java.lang.Boolean','/details/useAllTemplates',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,513),(4501,0,'e680e4d1-21dc-11ea-a9f8-693042a6b9d8','inputWeight',NULL,_binary '','Input Weight','java.lang.Boolean','/details/inputWeight',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,513),(4502,0,'e680e4d2-21dc-11ea-a9f8-693042a6b9d8','createFlowSheet',NULL,_binary '','Create Flow Sheet','java.lang.Boolean','/details/createFlowSheet',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,513),(4503,0,'e680e4d3-21dc-11ea-a9f8-693042a6b9d8','defaultFlowSheetDepartment',NULL,_binary '','Default Flow Sheet Department','java.lang.Integer','/details/defaultFlowSheetDepartment',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,513),(4504,0,'e680e4d4-21dc-11ea-a9f8-693042a6b9d8','defaultFlowSheetTemplate',NULL,_binary '','Default Flow Sheet Template','java.lang.String','/details/defaulFlowSheetTemplate',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,513),(4505,0,'e680e4d5-21dc-11ea-a9f8-693042a6b9d8','expectedHospitalStay',NULL,_binary '','Expected Hospital Stay','java.lang.Integer','/details/expectedHospitalStay',NULL,'1',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,513),(4506,0,'e680e4d6-21dc-11ea-a9f8-693042a6b9d8','views',NULL,_binary '','Views','java.util.HashSet','/entityRelationships','EntityRelationship',NULL,'entityRelationship.viewWorkList',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,11,_binary '',NULL,513),(4507,0,'e680e4d8-21dc-11ea-a9f8-693042a6b9d8','taskTypes',NULL,_binary '','Task Types','java.util.HashSet','/entityRelationships','EntityRelationship',NULL,'entityRelationship.worklistTaskType',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,12,_binary '',NULL,513),(4508,0,'e680e4db-21dc-11ea-a9f8-693042a6b9d8','templates',NULL,_binary '','Templates','java.util.HashSet','/sourceEntityRelationships','EntityRelationship',NULL,'entityRelationship.worklistDocumentTemplate',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,13,_binary '',NULL,513),(4509,0,'e68355df-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,514),(4510,0,'e68355e0-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,1,_binary '\0',NULL,514),(4511,0,'e68355e1-21dc-11ea-a9f8-693042a6b9d8','startTime',NULL,_binary '','Start Time','java.util.Date','/activityStartTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,514),(4512,0,'e68355e2-21dc-11ea-a9f8-693042a6b9d8','endTime',NULL,_binary '','End Time','java.util.Date','/activityEndTime',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,514),(4513,0,'e68355e3-21dc-11ea-a9f8-693042a6b9d8','reason',NULL,_binary '','Reason','java.lang.String','/reason',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,4,_binary '\0',NULL,514),(4514,0,'e68355e4-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Notes','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,5,_binary '\0',NULL,514);
INSERT INTO `node_descriptors` VALUES (4515,0,'e68355e5-21dc-11ea-a9f8-693042a6b9d8','user',NULL,_binary '','Employee','java.util.HashSet','/participations',NULL,NULL,'participation.user',NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '',NULL,514),(4516,0,'e68355e6-21dc-11ea-a9f8-693042a6b9d8','schedule',NULL,_binary '','Area','java.util.HashSet','/participations',NULL,NULL,'participation.rosterArea',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '',NULL,514),(4517,0,'e68355e7-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/participations',NULL,NULL,'participation.location',NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,8,_binary '',NULL,514),(4518,0,'e68355e8-21dc-11ea-a9f8-693042a6b9d8','author',NULL,_binary '','Author','java.util.HashSet','/participations',NULL,NULL,'participation.author',NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,9,_binary '',NULL,514),(4519,0,'e68355e9-21dc-11ea-a9f8-693042a6b9d8','synchronisation',NULL,_binary '','Synchronisation','java.util.HashSet','/identities','Identity',NULL,'actIdentity.sync*',NULL,_binary '\0',_binary '',_binary '\0',0,-1,0,255,10,_binary '',NULL,514),(4520,0,'e6859fdb-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,515),(4521,0,'e6859fdc-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,515),(4522,0,'e6859fdd-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,515),(4523,0,'e6859fde-21dc-11ea-a9f8-693042a6b9d8','location',NULL,_binary '','Location','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.rosterAreaLocation',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '',NULL,515),(4524,0,'e6859fdf-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,515),(4525,0,'e6859fe0-21dc-11ea-a9f8-693042a6b9d8','schedules',NULL,_binary '','Schedules','java.util.HashSet','/entityLinks','EntityLink',NULL,'entityLink.rosterAreaSchedule',NULL,_binary '\0',_binary '\0',_binary '\0',0,-1,0,255,5,_binary '',NULL,515),(4526,0,'e68810e2-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,516),(4527,0,'e68810e3-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Roster Area Location\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,516),(4528,0,'e68810e4-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,516),(4529,0,'e68810e5-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Roster Area','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'entity.rosterArea',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,516),(4530,0,'e68810e6-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Location','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'party.organisationLocation',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,516),(4531,0,'e68a81e8-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,517),(4532,0,'e68a81e9-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Area Schedule\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,517),(4533,0,'e68a81ea-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,2,_binary '\0',NULL,517),(4534,0,'e68a81eb-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Area','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,'entity.rosterArea',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,3,_binary '\0',NULL,517),(4535,0,'e68a81ec-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','Schedule','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,'party.organisationSchedule',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,517),(4536,0,'e68ccbde-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,518),(4537,0,'e68ccbdf-21dc-11ea-a9f8-693042a6b9d8','entity',NULL,_binary '','Area','org.openvpms.component.business.domain.im.common.IMObjectReference','/entity',NULL,NULL,'entity.rosterArea',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,1,_binary '\0',NULL,518),(4538,0,'e68ccbe0-21dc-11ea-a9f8-693042a6b9d8','act',NULL,_binary '','Act','org.openvpms.component.business.domain.im.common.IMObjectReference','/act',NULL,NULL,'act.rosterEvent',NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,2,_binary '\0',NULL,518),(4539,0,'e68ccbe2-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,519),(4540,0,'e68ccbe3-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,'\'Practice SMS Configuration\'',_binary '\0',_binary '',_binary '',1,1,0,255,1,_binary '\0',NULL,519),(4541,0,'e68ccbe4-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,'concat(\'Practice SMS Configuration\', \' (\', date:formatDate(/activeStartTime), \' - \', date:formatDate(/activeEndTime), \')\')',_binary '\0',_binary '',_binary '',0,1,0,255,2,_binary '\0',NULL,519),(4542,0,'e68ccbe5-21dc-11ea-a9f8-693042a6b9d8','activeStartTime',NULL,_binary '','Active Start Time','java.util.Date','/activeStartTime',NULL,'java.util.Date.new()',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,3,_binary '\0',NULL,519),(4543,0,'e68ccbe6-21dc-11ea-a9f8-693042a6b9d8','source',NULL,_binary '','Practice','org.openvpms.component.business.domain.im.common.IMObjectReference','/source',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,4,_binary '\0',NULL,519),(4544,0,'e68ccbe8-21dc-11ea-a9f8-693042a6b9d8','target',NULL,_binary '','SMS Configuration','org.openvpms.component.business.domain.im.common.IMObjectReference','/target',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,5,_binary '\0',NULL,519),(4545,0,'e68f3ceb-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,520),(4546,0,'e68f3cec-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,520),(4547,0,'e68f3ced-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,520),(4548,0,'e68f3cee-21dc-11ea-a9f8-693042a6b9d8','website',NULL,_binary '','Web Site','java.lang.String','/details/website',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,520),(4549,0,'e68f3cef-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,520),(4550,0,'e68f3cf0-21dc-11ea-a9f8-693042a6b9d8','countryPrefix',NULL,_binary '','Country Prefix','java.lang.String','/details/countryPrefix',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,520),(4551,0,'e68f3cf1-21dc-11ea-a9f8-693042a6b9d8','areaPrefix',NULL,_binary '','Area Prefix','java.lang.String','/details/areaPrefix',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,520),(4552,0,'e68f3cf2-21dc-11ea-a9f8-693042a6b9d8','from',NULL,_binary '','From','java.lang.String','/details/from',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,7,_binary '\0',NULL,520),(4553,0,'e68f3cf3-21dc-11ea-a9f8-693042a6b9d8','fromExpression',NULL,_binary '','From Expression','java.lang.String','/details/fromExpression',NULL,'\'$from\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,8,_binary '\0',NULL,520),(4554,0,'e68f3cf4-21dc-11ea-a9f8-693042a6b9d8','to',NULL,_binary '','To','java.lang.String','/details/to',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,520),(4555,0,'e68f3cf5-21dc-11ea-a9f8-693042a6b9d8','toExpression',NULL,_binary '','To Expression','java.lang.String','/details/toExpression',NULL,'\'$phone\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,10,_binary '\0',NULL,520),(4556,0,'e68f3cf6-21dc-11ea-a9f8-693042a6b9d8','replyTo',NULL,_binary '','Reply To','java.lang.String','/details/replyTo',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,11,_binary '\0',NULL,520),(4557,0,'e68f3cf7-21dc-11ea-a9f8-693042a6b9d8','replyToExpression',NULL,_binary '','Reply To Expression','java.lang.String','/details/replyToExpression',NULL,'\'$replyTo\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,12,_binary '\0',NULL,520),(4558,0,'e68f3cf8-21dc-11ea-a9f8-693042a6b9d8','subject',NULL,_binary '','Subject','java.lang.String','/details/subject',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,13,_binary '\0',NULL,520),(4559,0,'e68f3cf9-21dc-11ea-a9f8-693042a6b9d8','subjectExpression',NULL,_binary '','Subject Expression','java.lang.String','/details/subjectExpression',NULL,'\'$subject\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,14,_binary '\0',NULL,520),(4560,0,'e68f3cfa-21dc-11ea-a9f8-693042a6b9d8','text',NULL,_binary '','Text','java.lang.String','/details/text',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,15,_binary '\0',NULL,520),(4561,0,'e68f3cfb-21dc-11ea-a9f8-693042a6b9d8','textExpression',NULL,_binary '','Text Expression','java.lang.String','/details/textExpression',NULL,'\'$message\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,5000,16,_binary '\0',NULL,520),(4562,0,'e68f3cfc-21dc-11ea-a9f8-693042a6b9d8','parts',NULL,_binary '','Maximum Parts','java.lang.Integer','/details/parts',NULL,'1',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,17,_binary '\0',NULL,520),(4563,0,'e691adfe-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,521),(4564,0,'e691adff-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'Clickatell SMTP Connection Configuration\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,521),(4565,0,'e691ae00-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,521),(4566,0,'e691ae01-21dc-11ea-a9f8-693042a6b9d8','website',NULL,_binary '','Web Site','java.lang.String','/details/website',NULL,'\'http://www.clickatell.com\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,521),(4567,0,'e691ae02-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,521),(4568,0,'e691ae03-21dc-11ea-a9f8-693042a6b9d8','countryPrefix',NULL,_binary '','Country Prefix','java.lang.String','/details/countryPrefix',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,521),(4569,0,'e691ae04-21dc-11ea-a9f8-693042a6b9d8','areaPrefix',NULL,_binary '','Area Prefix','java.lang.String','/details/areaPrefix',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,521),(4570,0,'e691ae05-21dc-11ea-a9f8-693042a6b9d8','user',NULL,_binary '','User','java.lang.String','/details/user',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,521),(4571,0,'e691ae06-21dc-11ea-a9f8-693042a6b9d8','password',NULL,_binary '','Password','java.lang.String','/details/password',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,8,_binary '\0',NULL,521),(4572,0,'e691ae07-21dc-11ea-a9f8-693042a6b9d8','apiId',NULL,_binary '','API ID','java.lang.String','/details/apiId',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,9,_binary '\0',NULL,521),(4573,0,'e691ae08-21dc-11ea-a9f8-693042a6b9d8','to',NULL,_binary '','To','java.lang.String','/details/to',NULL,'\'sms@messaging.clickatell.com\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,10,_binary '\0',NULL,521),(4574,0,'e691ae09-21dc-11ea-a9f8-693042a6b9d8','from',NULL,_binary '','From','java.lang.String','/details/from',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,11,_binary '\0',NULL,521),(4575,0,'e691ae0a-21dc-11ea-a9f8-693042a6b9d8','replyTo',NULL,_binary '','Reply To','java.lang.String','/details/replyTo',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,12,_binary '\0',NULL,521),(4576,0,'e691ae0b-21dc-11ea-a9f8-693042a6b9d8','senderId',NULL,_binary '','Sender ID','java.lang.String','/details/senderId',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,16,13,_binary '\0',NULL,521),(4577,0,'e691ae0c-21dc-11ea-a9f8-693042a6b9d8','twoWaySMS',NULL,_binary '','2 Way SMS','java.lang.Boolean','/details/twoWaySMS',NULL,'false()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,14,_binary '\0',NULL,521),(4578,0,'e691ae0d-21dc-11ea-a9f8-693042a6b9d8','textExpression',NULL,_binary '','Text Expression','java.lang.String','/details/textExpression',NULL,'\'concat(\"user:\", $user, $nl, \"password:\", $password, $nl, \"api_id:\", $apiId, $nl, \"to:\", $phone, $nl, \"reply:\", $replyTo, expr:if(boolean($senderId), concat($nl, \"from:\", $senderId), \"\"), expr:if($twoWaySMS, concat($nl, \"mo: 1\"), \"\"), $nl, \"text:\", replace($message, $nl, concat($nl, \"text:\")))\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,5000,15,_binary '\0',NULL,521),(4579,0,'e691ae0e-21dc-11ea-a9f8-693042a6b9d8','parts',NULL,_binary '','Maximum Parts','java.lang.Integer','/details/parts',NULL,'1',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,16,_binary '\0',NULL,521),(4580,0,'e693f800-21dc-11ea-a9f8-693042a6b9d8','id',NULL,_binary '','Id','java.lang.Long','/id',NULL,NULL,NULL,NULL,_binary '',_binary '',_binary '\0',0,1,0,255,0,_binary '\0',NULL,522),(4581,0,'e693f801-21dc-11ea-a9f8-693042a6b9d8','name',NULL,_binary '','Name','java.lang.String','/name',NULL,'\'SMS Global Email2SMS Configuration\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,100,1,_binary '\0',NULL,522),(4582,0,'e693f802-21dc-11ea-a9f8-693042a6b9d8','description',NULL,_binary '','Description','java.lang.String','/description',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,2,_binary '\0',NULL,522),(4583,0,'e693f803-21dc-11ea-a9f8-693042a6b9d8','website',NULL,_binary '','Web Site','java.lang.String','/details/website',NULL,'\'http://www.smsglobal.com\'',NULL,NULL,_binary '',_binary '\0',_binary '\0',0,1,0,255,3,_binary '\0',NULL,522),(4584,0,'e693f804-21dc-11ea-a9f8-693042a6b9d8','active',NULL,_binary '','Active','java.lang.Boolean','/active',NULL,'true()',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,4,_binary '\0',NULL,522),(4585,0,'e693f805-21dc-11ea-a9f8-693042a6b9d8','countryPrefix',NULL,_binary '','Country Prefix','java.lang.String','/details/countryPrefix',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,5,_binary '\0',NULL,522),(4586,0,'e693f806-21dc-11ea-a9f8-693042a6b9d8','areaPrefix',NULL,_binary '','Area Prefix','java.lang.String','/details/areaPrefix',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,6,_binary '\0',NULL,522),(4587,0,'e693f807-21dc-11ea-a9f8-693042a6b9d8','from',NULL,_binary '','From','java.lang.String','/details/from',NULL,NULL,NULL,NULL,_binary '\0',_binary '\0',_binary '\0',1,1,0,255,7,_binary '\0',NULL,522),(4588,0,'e693f808-21dc-11ea-a9f8-693042a6b9d8','toExpression',NULL,_binary '','To Expression','java.lang.String','/details/toExpression',NULL,'\'concat($phone, \"@email.smsglobal.com\")\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,8,_binary '\0',NULL,522),(4589,0,'e693f809-21dc-11ea-a9f8-693042a6b9d8','subject',NULL,_binary '','Subject','java.lang.String','/details/subject',NULL,'\'SMS Global Message\'',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,9,_binary '\0',NULL,522),(4590,0,'e693f80a-21dc-11ea-a9f8-693042a6b9d8','subjectExpression',NULL,_binary '','Subject Expression','java.lang.String','/details/subjectExpression',NULL,'\'$subject\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',0,1,0,255,10,_binary '\0',NULL,522),(4591,0,'e693f80b-21dc-11ea-a9f8-693042a6b9d8','textExpression',NULL,_binary '','Text Expression','java.lang.String','/details/textExpression',NULL,'\'$message\'',NULL,NULL,_binary '\0',_binary '',_binary '\0',1,1,0,255,11,_binary '\0',NULL,522),(4592,0,'e693f80c-21dc-11ea-a9f8-693042a6b9d8','parts',NULL,_binary '','Maximum Parts','java.lang.Integer','/details/parts',NULL,'1',NULL,NULL,_binary '\0',_binary '\0',_binary '\0',0,1,0,255,12,_binary '\0',NULL,522);
/*!40000 ALTER TABLE `node_descriptors` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `participation_details`
--

DROP TABLE IF EXISTS `participation_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `participation_details` (
  `participation_id` bigint(20) NOT NULL,
  `type` varchar(255) NOT NULL,
  `value` varchar(5000) NOT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`participation_id`,`name`),
  KEY `FK64ED55446614381A` (`participation_id`),
  CONSTRAINT `FK64ED55446614381A` FOREIGN KEY (`participation_id`) REFERENCES `participations` (`participation_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `participation_details`
--

LOCK TABLES `participation_details` WRITE;
/*!40000 ALTER TABLE `participation_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `participation_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `participations`
--

DROP TABLE IF EXISTS `participations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `participations` (
  `participation_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `version` bigint(20) NOT NULL,
  `linkId` varchar(36) NOT NULL,
  `arch_short_name` varchar(100) NOT NULL,
  `arch_version` varchar(100) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `active` bit(1) DEFAULT NULL,
  `act_arch_short_name` varchar(100) DEFAULT NULL,
  `entity_id` bigint(20) DEFAULT NULL,
  `act_id` bigint(20) DEFAULT NULL,
  `activity_start_time` datetime DEFAULT NULL,
  `activity_end_time` datetime DEFAULT NULL,
  PRIMARY KEY (`participation_id`),
  KEY `participation_arch_short_name_idx` (`arch_short_name`),
  KEY `participation_entity_end_time_idx` (`entity_id`,`activity_end_time`),
  KEY `participation_act_entity_start_time_idx` (`act_arch_short_name`,`entity_id`),
  KEY `participation_entity_start_time_idx` (`entity_id`,`activity_start_time`),
  KEY `FKA301B52D8B907FA` (`act_id`),
  KEY `FKA301B524372B7A1` (`entity_id`),
  CONSTRAINT `FKA301B524372B7A1` FOREIGN KEY (`entity_id`) REFERENCES `entities` (`entity_id`),
  CONSTRAINT `FKA301B52D8B907FA` FOREIGN KEY (`act_id`) REFERENCES `acts` (`act_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `participations`
--

LOCK TABLES `participations` WRITE;
/*!40000 ALTER TABLE `participations` DISABLE KEYS */;
/*!40000 ALTER TABLE `participations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `parties`
--

DROP TABLE IF EXISTS `parties`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `parties` (
  `party_id` bigint(20) NOT NULL,
  PRIMARY KEY (`party_id`),
  KEY `FKD0BCCA04B67A7DBE` (`party_id`),
  CONSTRAINT `FKD0BCCA04B67A7DBE` FOREIGN KEY (`party_id`) REFERENCES `entities` (`entity_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `parties`
--

LOCK TABLES `parties` WRITE;
/*!40000 ALTER TABLE `parties` DISABLE KEYS */;
INSERT INTO `parties` VALUES (1),(2),(3),(4),(5),(15),(16),(17),(18),(19),(20),(23),(24),(25),(26),(27),(28),(29);
/*!40000 ALTER TABLE `parties` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `product_price_classifications`
--

DROP TABLE IF EXISTS `product_price_classifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `product_price_classifications` (
  `product_price_id` bigint(20) NOT NULL,
  `lookup_id` bigint(20) NOT NULL,
  PRIMARY KEY (`product_price_id`,`lookup_id`),
  KEY `FK9EC6BF076AE6B6CA` (`lookup_id`),
  KEY `FK9EC6BF07521C9574` (`product_price_id`),
  CONSTRAINT `FK9EC6BF07521C9574` FOREIGN KEY (`product_price_id`) REFERENCES `product_prices` (`product_price_id`),
  CONSTRAINT `FK9EC6BF076AE6B6CA` FOREIGN KEY (`lookup_id`) REFERENCES `lookups` (`lookup_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `product_price_classifications`
--

LOCK TABLES `product_price_classifications` WRITE;
/*!40000 ALTER TABLE `product_price_classifications` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_price_classifications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `product_price_details`
--

DROP TABLE IF EXISTS `product_price_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `product_price_details` (
  `product_price_id` bigint(20) NOT NULL,
  `type` varchar(255) NOT NULL,
  `value` varchar(5000) NOT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`product_price_id`,`name`),
  KEY `FKF9A9C1FC521C9574` (`product_price_id`),
  CONSTRAINT `FKF9A9C1FC521C9574` FOREIGN KEY (`product_price_id`) REFERENCES `product_prices` (`product_price_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `product_price_details`
--

LOCK TABLES `product_price_details` WRITE;
/*!40000 ALTER TABLE `product_price_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_price_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `product_prices`
--

DROP TABLE IF EXISTS `product_prices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `product_prices` (
  `product_price_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `version` bigint(20) NOT NULL,
  `linkId` varchar(36) NOT NULL,
  `arch_short_name` varchar(100) NOT NULL,
  `arch_version` varchar(100) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `start_time` datetime DEFAULT NULL,
  `end_time` datetime DEFAULT NULL,
  `is_fixed` bit(1) DEFAULT NULL,
  `price` decimal(18,3) DEFAULT NULL,
  `active` bit(1) DEFAULT NULL,
  `product_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`product_price_id`),
  KEY `FKFBD40D9AE51F1FB7` (`product_id`),
  CONSTRAINT `FKFBD40D9AE51F1FB7` FOREIGN KEY (`product_id`) REFERENCES `products` (`product_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `product_prices`
--

LOCK TABLES `product_prices` WRITE;
/*!40000 ALTER TABLE `product_prices` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_prices` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `products`
--

DROP TABLE IF EXISTS `products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `products` (
  `product_id` bigint(20) NOT NULL,
  PRIMARY KEY (`product_id`),
  KEY `FKC42BD164D813A315` (`product_id`),
  CONSTRAINT `FKC42BD164D813A315` FOREIGN KEY (`product_id`) REFERENCES `entities` (`entity_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `products`
--

LOCK TABLES `products` WRITE;
/*!40000 ALTER TABLE `products` DISABLE KEYS */;
/*!40000 ALTER TABLE `products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `roles_authorities`
--

DROP TABLE IF EXISTS `roles_authorities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `roles_authorities` (
  `security_role_id` bigint(20) NOT NULL,
  `authority_id` bigint(20) NOT NULL,
  PRIMARY KEY (`security_role_id`,`authority_id`),
  KEY `FKE9CCCC9F2FE5EADB` (`authority_id`),
  KEY `FKE9CCCC9F844DFA25` (`security_role_id`),
  CONSTRAINT `FKE9CCCC9F2FE5EADB` FOREIGN KEY (`authority_id`) REFERENCES `granted_authorities` (`granted_authority_id`),
  CONSTRAINT `FKE9CCCC9F844DFA25` FOREIGN KEY (`security_role_id`) REFERENCES `security_roles` (`security_role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `roles_authorities`
--

LOCK TABLES `roles_authorities` WRITE;
/*!40000 ALTER TABLE `roles_authorities` DISABLE KEYS */;
INSERT INTO `roles_authorities` VALUES (1,1),(1,2),(1,3);
/*!40000 ALTER TABLE `roles_authorities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `schema_version`
--

DROP TABLE IF EXISTS `schema_version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `schema_version` (
  `installed_rank` int(11) NOT NULL,
  `version` varchar(50) DEFAULT NULL,
  `description` varchar(200) NOT NULL,
  `type` varchar(20) NOT NULL,
  `script` varchar(1000) NOT NULL,
  `checksum` int(11) DEFAULT NULL,
  `installed_by` varchar(100) NOT NULL,
  `installed_on` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `execution_time` int(11) NOT NULL,
  `success` tinyint(1) NOT NULL,
  PRIMARY KEY (`installed_rank`),
  KEY `schema_version_s_idx` (`success`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `schema_version`
--

LOCK TABLES `schema_version` WRITE;
/*!40000 ALTER TABLE `schema_version` DISABLE KEYS */;
INSERT INTO `schema_version` VALUES (1,'2.1.0.9','OVPMS-2082','BASELINE','OVPMS-2082',NULL,'openvpms','2019-12-18 21:24:50',0,1);
/*!40000 ALTER TABLE `schema_version` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `security_roles`
--

DROP TABLE IF EXISTS `security_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `security_roles` (
  `security_role_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `version` bigint(20) NOT NULL,
  `linkId` varchar(36) NOT NULL,
  `arch_short_name` varchar(100) NOT NULL,
  `arch_version` varchar(100) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `active` bit(1) DEFAULT NULL,
  PRIMARY KEY (`security_role_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `security_roles`
--

LOCK TABLES `security_roles` WRITE;
/*!40000 ALTER TABLE `security_roles` DISABLE KEYS */;
INSERT INTO `security_roles` VALUES (1,0,'6c4bd7c5-21dd-11ea-98ac-ffe11db4702c','security.role','1.0','Administration',NULL,_binary '');
/*!40000 ALTER TABLE `security_roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_roles`
--

DROP TABLE IF EXISTS `user_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_roles` (
  `user_id` bigint(20) NOT NULL,
  `security_role_id` bigint(20) NOT NULL,
  PRIMARY KEY (`user_id`,`security_role_id`),
  KEY `FK734299495F0477E4` (`user_id`),
  KEY `FK73429949844DFA25` (`security_role_id`),
  CONSTRAINT `FK734299495F0477E4` FOREIGN KEY (`user_id`) REFERENCES `users` (`user_id`),
  CONSTRAINT `FK73429949844DFA25` FOREIGN KEY (`security_role_id`) REFERENCES `security_roles` (`security_role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_roles`
--

LOCK TABLES `user_roles` WRITE;
/*!40000 ALTER TABLE `user_roles` DISABLE KEYS */;
INSERT INTO `user_roles` VALUES (1,1),(2,1);
/*!40000 ALTER TABLE `user_roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `user_id` bigint(20) NOT NULL,
  `user_name` varchar(20) NOT NULL,
  `password` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `user_name` (`user_name`),
  KEY `FK6A68E0826A12449` (`user_id`),
  CONSTRAINT `FK6A68E0826A12449` FOREIGN KEY (`user_id`) REFERENCES `parties` (`party_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES (1,'admin','admin'),(2,'vet','vet');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2019-12-18 21:54:09
